//@ui5-bundle sap-ui-integration-cardEditor.js
/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.predefine('sap/ui/model/base/ManagedObjectModel',['../json/JSONModel','../json/JSONPropertyBinding','../json/JSONListBinding','sap/ui/base/ManagedObject','sap/ui/base/ManagedObjectObserver','../Context','../ChangeReason',"sap/base/util/uid","sap/base/Log","sap/base/util/isPlainObject","sap/base/util/deepClone"],function(J,a,b,M,c,C,d,u,L,e,f){"use strict";var g="@custom",I="--";
function _(n,o,A,O){var p=A.get(o)||[],q,r;for(var i=0;i<p.length;i++){q=p[i];if(!(q instanceof M)){continue;}r=true;if(O){n._oObserver.observe(q,{properties:true,aggregations:true});}else{n._oObserver.unobserve(q,{properties:true,aggregations:true});}var s=q.getMetadata().getAllAggregations();for(var K in s){_(n,q,s[K],O);}}if(r){var K=o.getId()+"/@"+A.name;if(O){if(!n._mObservedCount.aggregations[K]){n._mObservedCount.aggregations[K]=0;}n._mObservedCount.aggregations[K]++;}else{delete n._mObservedCount.aggregations[K];}}}
function h(n){var s,i=n.length-1,p=[];while(!(n[i].node instanceof M)){if(s){p.splice(0,0,s);}s=n[i].path;i--;}return[n[i].node,n[i+1],p,s];}
function j(o){var D="",p;var t=typeof o;if(o==null||(t!="object"&&t!="function")){D=o;}else if(e(o)){D=JSON.stringify(o);}else if(o instanceof M){D=o.getId();for(p in o.mProperties){D=D+"$"+j(o.mProperties[p]);}}else if(Array.isArray(o)){for(var i=0;o.length;i++){D=D+"$"+j(o);}}else{L.warning("Could not stringify object "+o);D="$";}return D;}
var k=b.extend("sap.ui.model.base.ManagedObjectModelAggregationBinding",{
constructor:function(){b.apply(this,arguments);this._getOriginOfManagedObjectModelBinding();},
_mightBeAffectedByChangesInside:function(o){while(o){if(o.getParent()===this._oOriginMO){return true;}o=o.getParent();}return false;},
getEntryKey:function(o){var O=o.getObject();if(O instanceof M){return O.getId();}return b.prototype.getEntryKey.apply(this,arguments);},
getEntryData:function(o){var O=o.getObject();if(O instanceof M){return j(O);}return b.prototype.getEntryData.apply(this,arguments);},
_getContexts:function(s,i){var S;if(this._oAggregation){var o=this._oOriginMO.getBinding(this._sMember);if(o){var n=o.getModel();S=n.iSizeLimit;}var B=this._oOriginMO.getBindingInfo(this._sMember);if(B&&s>=0&&i&&S&&i>S){var U=false;if(s!=B.startIndex){B.startIndex=s;U=true;}if(i!=B.length){B.length=i;U=true;}if(U){this._oAggregation.update(this._oOriginMO,"change");}}}return b.prototype._getContexts.apply(this,arguments);},
_getOriginOfManagedObjectModelBinding:function(){if(!this._oOriginMO){var o=this.oModel,n=[];o._getObject(this.sPath,this.oContext,n);var v=h(n);this._oOriginMO=v[0];this._aPartsInJSON=v[2];this._sMember=v[3];this._oAggregation=this._oOriginMO.getMetadata().getAggregation(this._sMember);}},
getLength:function(){if(this._aPartsInJSON.length==0){var i=this._oOriginMO.getBinding(this._sMember);if(i&&i.isA("sap.ui.model.ListBinding")){return i.getLength();}}return b.prototype.getLength.apply(this,arguments);},
isLengthFinal:function(){if(this._aPartsInJSON.length==0){var i=this._oOriginMO.getBinding(this._sMember);if(i&&i.isA("sap.ui.model.ListBinding")){return i.isLengthFinal();}}return true;}
});
var l=a.extend("sap.ui.model.base.ManagedObjectModelPropertyBinding");
var m=J.extend("sap.ui.model.base.ManagedObjectModel",{constructor:function(o,D){if(!D&&typeof D!="object"){D={};}D[g]={};this._oObject=o;this._mObservedCount={properties:{},aggregations:{}};this.mListBinding={};J.apply(this,[D]);this._oObserver=new c(this.observerChanges.bind(this));}});
m.prototype.getAggregation=J.prototype.getProperty;
m.prototype.setData=function(D,i){var n={};n[g]=D;J.prototype.setData.apply(this,[n,i]);};
m.prototype.getJSON=function(){return JSON.stringify(this.oData[g]);};
m.prototype.setProperty=function(p,v,o,A){var r=this.resolve(p,o),n,O,P;if(!r){return false;}if(r.indexOf("/"+g)===0){return J.prototype.setProperty.apply(this,arguments);}n=r.lastIndexOf("/");O=r.substring(0,n||1);P=r.substr(n+1);var N=[],q=this._getObject(O,null,N);if(q){if(q instanceof M){var s=q.getMetadata().getManagedProperty(P);if(s){if(s.get(q)!==v){s.set(q,v);var F=function(B){var p=this.resolve(B.sPath,B.oContext);return p?p.startsWith(r):false;}.bind(this);this.checkUpdate(false,A,F);return true;}}else{L.warning("The setProperty method only supports properties, the path "+r+" does not point to a property",null,"sap.ui.model.base.ManagedObjectModel");}}else if(q[P]!==v){var V=h(N);var t=f(V[1].node),w=V[2];var x=t;for(var i=0;i<w.length;i++){x=x[w[i]];}x[P]=v;var y="/"+P;if(w.length>0){y="/"+w.join("/")+y;}var D=r.lastIndexOf(y);var z=r.substr(0,D);return this.setProperty(z,t,o);}}return false;};
m.prototype.addBinding=function(B){J.prototype.addBinding.apply(this,arguments);if(B instanceof k){var A=B.sPath.replace("/","");this.mListBinding[A]=B;}B.checkUpdate(false);};
m.prototype.removeBinding=function(B){J.prototype.removeBinding.apply(this,arguments);if(B instanceof k){var A=B.sPath.replace("/","");delete this.mListBinding[A];}this._observeBeforeEvaluating(B,false);};
m.prototype.firePropertyChange=function(p){if(p.reason===d.Binding){p.resolvedPath=this.resolve(p.path,p.context);}J.prototype.firePropertyChange.call(this,p);};
m.prototype.bindAggregation=function(p,o,P){return J.prototype.bindProperty.apply(this,arguments);};
m.prototype.bindProperty=function(p,o,P){var B=new l(this,p,o,P);return B;};
m.prototype.bindList=function(p,o,s,F,P){var B=new k(this,p,o,s,F,P);return B;};
m.prototype.getManagedObject=function(p,o){if(p instanceof C){o=p;p=o.getPath();}var O=this.getProperty(p,o);if(O instanceof M){return O;}return null;};
m.prototype.getRootObject=function(){return this._oObject;};
m.prototype._observePropertyChange=function(o,p){if(!o||!p){return;}var K=o.getId()+"/@"+p.name;if(!this._oObserver.isObserved(o,{properties:[p.name]})){this._oObserver.observe(o,{properties:[p.name]});this._mObservedCount.properties[K]=1;}else{this._mObservedCount.properties[K]++;}};
m.prototype._unobservePropertyChange=function(o,p){if(!o||!p){return;}var K=o.getId()+"/@"+p.name;this._mObservedCount.properties[K]--;if(this._mObservedCount.properties[K]==0){this._oObserver.unobserve(o,{properties:[p.name]});delete this._mObservedCount.properties[K];}};
m.prototype._observeAggregationChange=function(o,A){if(!o||!A){return;}var K=o.getId()+"/@"+A.name;if(!this._oObserver.isObserved(o,{aggregations:[A.name]})){this._oObserver.observe(o,{aggregations:[A.name]});this._mObservedCount.aggregations[K]=1;_(this,o,A,true);}else{this._mObservedCount.aggregations[K]++;}};
m.prototype._unobserveAggregationChange=function(o,A){if(!o||!A){return;}var K=o.getId()+"/@"+A.name;this._mObservedCount.aggregations[K]--;if(this._mObservedCount.aggregations[K]==0){this._oObserver.unobserve(o,{aggregations:[A.name]});delete this._mObservedCount.aggregations[K];}};
m.prototype._createId=function(i){var o=this._oObject;if(typeof o.createId==="function"){return o.createId(i);}if(!i){return o.getId()+I+u();}if(i.indexOf(o.getId()+I)!=0){return o.getId()+I+i;}return i;};
m.prototype._getSpecialNode=function(n,s,p,P){if(n instanceof M){if(s==="className"){if(n.getMetadata){return n.getMetadata().getName();}else{return typeof n;}}else if(s==="id"){return n.getId();}else if(s==="metadataContexts"){return n._oProviderData;}}else if(s==="binding"&&p&&P){return p.getBinding(P);}else if(s==="bound"&&p&&P){return p.isBound(P);}else if(s==="bindingInfo"&&p&&P){return p.getBindingInfo(P);}else if(Array.isArray(n)){if(s==="length"){return n.length;}else if(s.indexOf("id=")===0){var o=s.substring(3),F=null;for(var i=0;i<n.length;i++){if(n[i].getId()===this._createId(o)||n[i].getId()===o){F=n[i];break;}}return F;}}return null;};
m.prototype._getObject=function(p,o,n){var N=this._oObject,r="",t=this;if(n){n.push({path:"/",node:N});}this.aBindings.forEach(function(B){if(!B._bAttached){t._observeBeforeEvaluating(B,true);}});if(typeof p==="string"&&p.indexOf("/")!=0&&!o){return null;}if(o instanceof M){N=o;r=p;}else if(!o||o instanceof C){r=this.resolve(p,o);if(!r){return N;}if(r.indexOf("/"+g)===0){return J.prototype._getObject.apply(this,[p,o]);}}else{N=o;r=p;}if(!N){return null;}var P=r.split("/"),i=0;if(!P[0]){i++;}var q=null,s=null,v;while(N!==null&&P[i]){v=P[i];if(v=="id"){v="@id";}if(v.indexOf("@")===0){N=this._getSpecialNode(N,v.substring(1),q,s);}else if(N instanceof M){var w=N.getMetadata();if(w.isInstanceOf("sap.ui.core.IDScope")&&v.indexOf("#")===0){N=N.byId(v.substring(1));}else{q=N;s=v;var x=w.getManagedProperty(v);if(x){N=x.get(N);}else{var A=w.getManagedAggregation(v);if(A){N=A.get(N);}else{if(N&&N[v]&&typeof N[v]==="function"){N=N[v]();}else{N=null;}}}}}else if(Array.isArray(N)||e(N)){N=N[v];}else{if(N&&N[v]&&typeof N[v]==="function"){N=N[v]();}else{N=null;}}if(n){n.push({path:v,node:N});}i++;}return N;};
m.prototype.destroy=function(){for(var n in this._mAggregationObjects){var o=this._mAggregationObjects[n];if(o.object.invalidate.fn){o.object.invalidate=o.object.invalidate.fn;}}J.prototype.destroy.apply(this,arguments);};
m.prototype._observeBeforeEvaluating=function(B,o){if(!B.isResolved()){return;}var p=B.getPath();var i=B.getContext(),n=this._oObject,r;if(i instanceof M){n=i;r=p;}else if(!i||i instanceof C){r=this.resolve(p,i);if(!r){return;}if(r.indexOf("/"+g)===0){return;}}else{return;}var P=r.split("/");if(!P[0]){P.shift();}var s=P[0];if(n.getMetadata().isInstanceOf("sap.ui.core.IDScope")&&s.indexOf("#")===0){n=n.byId(s.substring(1));s=P[1];}if(n instanceof M){var N=n.getMetadata(),q=N.getManagedProperty(s);if(q){if(o===true){this._observePropertyChange(n,q);}else if(o===false){this._unobservePropertyChange(n,q);}}else{var A=N.getAggregation(s)||N.getAllPrivateAggregations()[s];if(A){if(o===true){this._observeAggregationChange(n,A);}else if(o===false){this._unobserveAggregationChange(n,A);}}}B._bAttached=o;}};
m.prototype.observerChanges=function(o){if(o.type=="aggregation"){var A={};if(o.child instanceof M){A=o.child.getMetadata().getAllAggregations();}if(o.mutation=="insert"){if(o.child instanceof M){this._oObserver.observe(o.child,{properties:true,aggregations:true});}for(var K in A){_(this,o.child,A[K],true);}if(this.mListBinding[o.name]){var i=this._oObject.getBinding(o.name);var n=this._oObject.getAggregation(o.name);if(i&&i.getCurrentContexts().length!=n.length){return;}}}else{if(o.child instanceof M){this._oObserver.unobserve(o.child,{properties:true,aggregations:true});}for(var K in A){_(this,o.child,A[K],false);}}}else if(o.type==="property"){this.aBindings.forEach(function(B){if(B._mightBeAffectedByChangesInside&&B._mightBeAffectedByChangesInside(o.object)){B.checkUpdate(true);}});}this.checkUpdate();};
m.prototype.checkUpdate=function(F,A,i){if(A){if(!this.sUpdateTimer){this.sUpdateTimer=setTimeout(function(){this.checkUpdate(F,false,i);}.bind(this),0);}return;}if(this.sUpdateTimer){clearTimeout(this.sUpdateTimer);this.sUpdateTimer=null;}var B=this.aBindings.slice(0);B.forEach(function(o){if(!i||i(o)){o.checkUpdate(F);}});};
return m;});
/**
 * @license
 * Lodash (Custom Build) <https://lodash.com/>
 * Build: `lodash strict include="omit,uniq,uniqBy,uniqWith,intersection,intersectionBy,intersectionWith,pick,pickBy,debounce,throttle,max,min,castArray,curry,merge,mergeWith,toArray,xor,xorBy,xorWith,isNil,difference,differenceBy,differenceWith,flatMap,flatMapDeep,flatMapDepth,isEqual,isEqualWith,without,flatten,flattenDeep,flattenDepth,compact,zipObject,zipObjectDeep,union,unionBy,unionWith"`
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */
sap.ui.predefine('sap/base/util/restricted/_/lodash.custom',function(){'use strict';var u;var V='4.17.19';var L=200;var F='Expected a function';var H='__lodash_hash_undefined__';var M=500;var P='__lodash_placeholder__';var C=1,a=2,b=4;var c=1,d=2;var W=1,f=2,g=4,h=8,i=16,j=32,k=64,l=128,m=256,o=512;var p=800,q=16;var I=1/0,r=9007199254740991,s=1.7976931348623157e+308,N=0/0;var t=4294967295;var w=[['ary',l],['bind',W],['bindKey',f],['curry',h],['curryRight',i],['flip',o],['partial',j],['partialRight',k],['rearg',m]];var v='[object Arguments]',x='[object Array]',y='[object AsyncFunction]',z='[object Boolean]',A='[object Date]',B='[object Error]',D='[object Function]',E='[object GeneratorFunction]',G='[object Map]',J='[object Number]',K='[object Null]',O='[object Object]',Q='[object Promise]',R='[object Proxy]',S='[object RegExp]',T='[object Set]',U='[object String]',X='[object Symbol]',Y='[object Undefined]',Z='[object WeakMap]';var $='[object ArrayBuffer]',_='[object DataView]',a1='[object Float32Array]',b1='[object Float64Array]',c1='[object Int8Array]',d1='[object Int16Array]',e1='[object Int32Array]',f1='[object Uint8Array]',g1='[object Uint8ClampedArray]',h1='[object Uint16Array]',i1='[object Uint32Array]';var j1=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,k1=/^\w*$/,l1=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;var m1=/[\\^$.*+?()[\]{}|]/g;var n1=/^\s+|\s+$/g;var o1=/\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,p1=/\{\n\/\* \[wrapped with (.+)\] \*/,q1=/,? & /;var r1=/\\(\\)?/g;var s1=/\w*$/;var t1=/^[-+]0x[0-9a-f]+$/i;var u1=/^0b[01]+$/i;var v1=/^\[object .+?Constructor\]$/;var w1=/^0o[0-7]+$/i;var x1=/^(?:0|[1-9]\d*)$/;var y1='\\ud800-\\udfff',z1='\\u0300-\\u036f',A1='\\ufe20-\\ufe2f',B1='\\u20d0-\\u20ff',C1=z1+A1+B1,D1='\\ufe0e\\ufe0f';var E1='['+y1+']',F1='['+C1+']',G1='\\ud83c[\\udffb-\\udfff]',H1='(?:'+F1+'|'+G1+')',I1='[^'+y1+']',J1='(?:\\ud83c[\\udde6-\\uddff]){2}',K1='[\\ud800-\\udbff][\\udc00-\\udfff]',L1='\\u200d';var M1=H1+'?',N1='['+D1+']?',O1='(?:'+L1+'(?:'+[I1,J1,K1].join('|')+')'+N1+M1+')*',P1=N1+M1+O1,Q1='(?:'+[I1+F1+'?',F1,J1,K1,E1].join('|')+')';var R1=RegExp(G1+'(?='+G1+')|'+Q1+P1,'g');var S1=RegExp('['+L1+y1+C1+D1+']');var T1={};T1[a1]=T1[b1]=T1[c1]=T1[d1]=T1[e1]=T1[f1]=T1[g1]=T1[h1]=T1[i1]=true;T1[v]=T1[x]=T1[$]=T1[z]=T1[_]=T1[A]=T1[B]=T1[D]=T1[G]=T1[J]=T1[O]=T1[S]=T1[T]=T1[U]=T1[Z]=false;var U1={};U1[v]=U1[x]=U1[$]=U1[_]=U1[z]=U1[A]=U1[a1]=U1[b1]=U1[c1]=U1[d1]=U1[e1]=U1[G]=U1[J]=U1[O]=U1[S]=U1[T]=U1[U]=U1[X]=U1[f1]=U1[g1]=U1[h1]=U1[i1]=true;U1[B]=U1[D]=U1[Z]=false;var V1=parseInt;var W1=typeof global=='object'&&global&&global.Object===Object&&global;var X1=typeof self=='object'&&self&&self.Object===Object&&self;var Y1=W1||X1||Function('return this')();var Z1=typeof exports=='object'&&exports&&!exports.nodeType&&exports;var $1=Z1&&typeof module=='object'&&module&&!module.nodeType&&module;var _1=$1&&$1.exports===Z1;var a2=_1&&W1.process;var b2=(function(){try{var n=$1&&$1.require&&$1.require('util').types;if(n){return n;}return a2&&a2.binding&&a2.binding('util');}catch(e){}}());var c2=b2&&b2.isMap,d2=b2&&b2.isSet,e2=b2&&b2.isTypedArray;
function f2(e,n,Y6){switch(Y6.length){case 0:return e.call(n);case 1:return e.call(n,Y6[0]);case 2:return e.call(n,Y6[0],Y6[1]);case 3:return e.call(n,Y6[0],Y6[1],Y6[2]);}return e.apply(n,Y6);}
function g2(e,H7){var n=-1,Y6=e==null?0:e.length;while(++n<Y6){if(H7(e[n],n,e)===false){break;}}return e;}
function h2(e,n){var Y6=-1,O7=e==null?0:e.length,P7=0,Q7=[];while(++Y6<O7){var R7=e[Y6];if(n(R7,Y6,e)){Q7[P7++]=R7;}}return Q7;}
function i2(e,n){var Y6=e==null?0:e.length;return!!Y6&&p2(e,n,0)>-1;}
function j2(e,n,Y6){var O7=-1,P7=e==null?0:e.length;while(++O7<P7){if(Y6(n,e[O7])){return true;}}return false;}
function k2(e,H7){var n=-1,Y6=e==null?0:e.length,O7=Array(Y6);while(++n<Y6){O7[n]=H7(e[n],n,e);}return O7;}
function l2(e,E7){var n=-1,Y6=E7.length,O7=e.length;while(++n<Y6){e[O7+n]=E7[n];}return e;}
function m2(e,n){var Y6=-1,O7=e==null?0:e.length;while(++Y6<O7){if(n(e[Y6],Y6,e)){return true;}}return false;}
function n2(e){return e.split('');}
function o2(e,n,Y6,O7){var P7=e.length,Q7=Y6+(O7?1:-1);while((O7?Q7--:++Q7<P7)){if(n(e[Q7],Q7,e)){return Q7;}}return-1;}
function p2(e,n,Y6){return n===n?E2(e,n,Y6):o2(e,q2,Y6);}
function q2(e){return e!==e;}
function r2(e){return function(n){return n==null?u:n[e];};}
function s2(n,H7){var e=-1,Y6=Array(n);while(++e<n){Y6[e]=H7(e);}return Y6;}
function t2(e){return function(n){return e(n);};}
function u2(e,n){return k2(n,function(Y6){return e[Y6];});}
function v2(e,n){return e.has(n);}
function w2(e,n){var Y6=e.length,O7=0;while(Y6--){if(e[Y6]===n){++O7;}}return O7;}
function x2(e,n){return e==null?u:e[n];}
function y2(e){return S1.test(e);}
function z2(e){var n,Y6=[];while(!(n=e.next()).done){Y6.push(n.value);}return Y6;}
function A2(R6){var e=-1,n=Array(R6.size);R6.forEach(function(Y6,O7){n[++e]=[O7,Y6];});return n;}
function B2(e,n){return function(Y6){return e(n(Y6));};}
function C2(e,n){var Y6=-1,O7=e.length,P7=0,Q7=[];while(++Y6<O7){var R7=e[Y6];if(R7===n||R7===P){e[Y6]=P;Q7[P7++]=Y6;}}return Q7;}
function D2(e){var n=-1,Y6=Array(e.size);e.forEach(function(O7){Y6[++n]=O7;});return Y6;}
function E2(e,n,Y6){var O7=Y6-1,P7=e.length;while(++O7<P7){if(e[O7]===n){return O7;}}return-1;}
function F2(e){return y2(e)?G2(e):n2(e);}
function G2(e){return e.match(R1)||[];}
var H2=Array.prototype,I2=Function.prototype,J2=Object.prototype;var K2=Y1['__core-js_shared__'];var L2=I2.toString;var M2=J2.hasOwnProperty;var N2=(function(){var e=/[^.]+$/.exec(K2&&K2.keys&&K2.keys.IE_PROTO||'');return e?('Symbol(src)_1.'+e):'';}());var O2=J2.toString;var P2=L2.call(Object);var Q2=RegExp('^'+L2.call(M2).replace(m1,'\\$&').replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,'$1.*?')+'$');var R2=_1?Y1.Buffer:u,S2=Y1.Symbol,T2=Y1.Uint8Array,U2=R2?R2.allocUnsafe:u,V2=B2(Object.getPrototypeOf,Object),W2=Object.create,X2=J2.propertyIsEnumerable,Y2=H2.splice,Z2=S2?S2.isConcatSpreadable:u,$2=S2?S2.iterator:u,_2=S2?S2.toStringTag:u;var a3=(function(){try{var n=I5(Object,'defineProperty');n({},'',{});return n;}catch(e){}}());var b3=Object.getOwnPropertySymbols,c3=R2?R2.isBuffer:u,d3=B2(Object.keys,Object),e3=Math.max,f3=Math.min,g3=Date.now;var h3=I5(Y1,'DataView'),i3=I5(Y1,'Map'),j3=I5(Y1,'Promise'),k3=I5(Y1,'Set'),l3=I5(Y1,'WeakMap'),m3=I5(Object,'create');var n3=l3&&new l3;var o3={};var p3=p6(h3),q3=p6(i3),r3=p6(j3),s3=p6(k3),t3=p6(l3);var u3=S2?S2.prototype:u,v3=u3?u3.valueOf:u,w3=u3?u3.toString:u;
function x3(){}
var y3=(function(){function e(){}return function(n){if(!g7(n)){return{};}if(W2){return W2(n);}e.prototype=n;var Y6=new e;e.prototype=u;return Y6;};}());
function z3(){}
function A3(e){this.__wrapped__=e;this.__actions__=[];this.__dir__=1;this.__filtered__=false;this.__iteratees__=[];this.__takeCount__=t;this.__views__=[];}
A3.prototype=y3(z3.prototype);A3.prototype.constructor=A3;
function B3(e){var n=-1,Y6=e==null?0:e.length;this.clear();while(++n<Y6){var O7=e[n];this.set(O7[0],O7[1]);}}
function C3(){this.__data__=m3?m3(null):{};this.size=0;}
function D3(e){var n=this.has(e)&&delete this.__data__[e];this.size-=n?1:0;return n;}
function E3(e){var n=this.__data__;if(m3){var Y6=n[e];return Y6===H?u:Y6;}return M2.call(n,e)?n[e]:u;}
function F3(e){var n=this.__data__;return m3?(n[e]!==u):M2.call(n,e);}
function G3(e,n){var Y6=this.__data__;this.size+=this.has(e)?0:1;Y6[e]=(m3&&n===u)?H:n;return this;}
B3.prototype.clear=C3;B3.prototype['delete']=D3;B3.prototype.get=E3;B3.prototype.has=F3;B3.prototype.set=G3;
function H3(e){var n=-1,Y6=e==null?0:e.length;this.clear();while(++n<Y6){var O7=e[n];this.set(O7[0],O7[1]);}}
function I3(){this.__data__=[];this.size=0;}
function J3(e){var n=this.__data__,Y6=d4(n,e);if(Y6<0){return false;}var O7=n.length-1;if(Y6==O7){n.pop();}else{Y2.call(n,Y6,1);}--this.size;return true;}
function K3(e){var n=this.__data__,Y6=d4(n,e);return Y6<0?u:n[Y6][1];}
function L3(e){return d4(this.__data__,e)>-1;}
function M3(e,n){var Y6=this.__data__,O7=d4(Y6,e);if(O7<0){++this.size;Y6.push([e,n]);}else{Y6[O7][1]=n;}return this;}
H3.prototype.clear=I3;H3.prototype['delete']=J3;H3.prototype.get=K3;H3.prototype.has=L3;H3.prototype.set=M3;
function N3(e){var n=-1,Y6=e==null?0:e.length;this.clear();while(++n<Y6){var O7=e[n];this.set(O7[0],O7[1]);}}
function O3(){this.size=0;this.__data__={'hash':new B3,'map':new(i3||H3),'string':new B3};}
function P3(e){var n=G5(this,e)['delete'](e);this.size-=n?1:0;return n;}
function Q3(e){return G5(this,e).get(e);}
function R3(e){return G5(this,e).has(e);}
function S3(e,n){var Y6=G5(this,e),O7=Y6.size;Y6.set(e,n);this.size+=Y6.size==O7?0:1;return this;}
N3.prototype.clear=O3;N3.prototype['delete']=P3;N3.prototype.get=Q3;N3.prototype.has=R3;N3.prototype.set=S3;
function T3(E7){var e=-1,n=E7==null?0:E7.length;this.__data__=new N3;while(++e<n){this.add(E7[e]);}}
function U3(e){this.__data__.set(e,H);return this;}
function V3(e){return this.__data__.has(e);}
T3.prototype.add=T3.prototype.push=U3;T3.prototype.has=V3;
function W3(e){var n=this.__data__=new H3(e);this.size=n.size;}
function X3(){this.__data__=new H3;this.size=0;}
function Y3(e){var n=this.__data__,Y6=n['delete'](e);this.size=n.size;return Y6;}
function Z3(e){return this.__data__.get(e);}
function $3(e){return this.__data__.has(e);}
function _3(e,n){var Y6=this.__data__;if(Y6 instanceof H3){var O7=Y6.__data__;if(!i3||(O7.length<L-1)){O7.push([e,n]);this.size=++Y6.size;return this;}Y6=this.__data__=new N3(O7);}Y6.set(e,n);this.size=Y6.size;return this;}
W3.prototype.clear=X3;W3.prototype['delete']=Y3;W3.prototype.get=Z3;W3.prototype.has=$3;W3.prototype.set=_3;
function a4(e,n){var Y6=$6(e),O7=!Y6&&Z6(e),P7=!Y6&&!O7&&b7(e),Q7=!Y6&&!O7&&!P7&&o7(e),R7=Y6||O7||P7||Q7,S7=R7?s2(e.length,String):[],T7=S7.length;for(var U7 in e){if((n||M2.call(e,U7))&&!(R7&&(U7=='length'||(P7&&(U7=='offset'||U7=='parent'))||(Q7&&(U7=='buffer'||U7=='byteLength'||U7=='byteOffset'))||U5(U7,T7)))){S7.push(U7);}}return S7;}
function b4(e,n,Y6){if((Y6!==u&&!eq(e[n],Y6))||(Y6===u&&!(n in e))){g4(e,n,Y6);}}
function c4(e,n,Y6){var O7=e[n];if(!(M2.call(e,n)&&eq(O7,Y6))||(Y6===u&&!(n in e))){g4(e,n,Y6);}}
function d4(e,n){var Y6=e.length;while(Y6--){if(eq(e[Y6][0],n)){return Y6;}}return-1;}
function e4(e,n){return e&&h5(n,x7(n),e);}
function f4(e,n){return e&&h5(n,y7(n),e);}
function g4(e,n,Y6){if(n=='__proto__'&&a3){a3(e,n,{'configurable':true,'enumerable':true,'value':Y6,'writable':true});}else{e[n]=Y6;}}
function h4(e,n,Y6,O7,P7,Q7){var R7,S7=n&C,T7=n&a,U7=n&b;if(Y6){R7=P7?Y6(e,O7,P7,Q7):Y6(e);}if(R7!==u){return R7;}if(!g7(e)){return e;}var V7=$6(e);if(V7){R7=P5(e);if(!S7){return g5(e,R7);}}else{var W7=M5(e),X7=W7==D||W7==E;if(b7(e)){return $4(e,S7);}if(W7==O||W7==v||(X7&&!P7)){R7=(T7||X7)?{}:Q5(e);if(!S7){return T7?j5(e,f4(R7,e)):i5(e,e4(R7,e));}}else{if(!U1[W7]){return P7?e:{};}R7=R5(e,W7,S7);}}Q7||(Q7=new W3);var Y7=Q7.get(e);if(Y7){return Y7;}Q7.set(e,R7);if(l7(e)){e.forEach(function(_7){R7.add(h4(_7,n,Y6,_7,e,Q7));});}else if(i7(e)){e.forEach(function(_7,O7){R7.set(O7,h4(_7,n,Y6,O7,e,Q7));});}var Z7=U7?(T7?B5:A5):(T7?y7:x7);var $7=V7?u:Z7(e);g2($7||e,function(_7,O7){if($7){O7=_7;_7=e[O7];}c4(R7,O7,h4(_7,n,Y6,O7,e,Q7));});return R7;}
function i4(e,E7,H7,n){var Y6=-1,O7=i2,P7=true,Q7=e.length,R7=[],S7=E7.length;if(!Q7){return R7;}if(H7){E7=k2(E7,t2(H7));}if(n){O7=j2;P7=false;}else if(E7.length>=L){O7=v2;P7=false;E7=new T3(E7);}outer:while(++Y6<Q7){var T7=e[Y6],U7=H7==null?T7:H7(T7);T7=(n||T7!==0)?T7:0;if(P7&&U7===U7){var V7=S7;while(V7--){if(E7[V7]===U7){continue outer;}}R7.push(T7);}else if(!O7(E7,U7,n)){R7.push(T7);}}return R7;}
var j4=l5(n4);
function k4(e,H7,n){var Y6=-1,O7=e.length;while(++Y6<O7){var P7=e[Y6],Q7=H7(P7);if(Q7!=null&&(R7===u?(Q7===Q7&&!n7(Q7)):n(Q7,R7))){var R7=Q7,S7=P7;}}return S7;}
function l4(e,n,Y6,O7,P7){var Q7=-1,R7=e.length;Y6||(Y6=T5);P7||(P7=[]);while(++Q7<R7){var S7=e[Q7];if(n>0&&Y6(S7)){if(n>1){l4(S7,n-1,Y6,O7,P7);}else{l2(P7,S7);}}else if(!O7){P7[P7.length]=S7;}}return P7;}
var m4=m5();
function n4(e,H7){return e&&m4(e,H7,x7);}
function o4(e,n){n=Z4(n,e);var Y6=0,O7=n.length;while(e!=null&&Y6<O7){e=e[o6(n[Y6++])];}return(Y6&&Y6==O7)?e:u;}
function p4(e,n,Y6){var O7=n(e);return $6(e)?O7:l2(O7,Y6(e));}
function q4(e){if(e==null){return e===u?Y:K;}return(_2&&_2 in Object(e))?J5(e):e6(e);}
function r4(e,n){return e>n;}
function s4(e,n){return e!=null&&n in Object(e);}
function t4(e,H7,n){var Y6=n?j2:i2,O7=e[0].length,P7=e.length,Q7=P7,R7=Array(P7),S7=Infinity,T7=[];while(Q7--){var U7=e[Q7];if(Q7&&H7){U7=k2(U7,t2(H7));}S7=f3(U7.length,S7);R7[Q7]=!n&&(H7||(O7>=120&&U7.length>=120))?new T3(Q7&&U7):u;}U7=e[0];var V7=-1,W7=R7[0];outer:while(++V7<O7&&T7.length<S7){var X7=U7[V7],Y7=H7?H7(X7):X7;X7=(n||X7!==0)?X7:0;if(!(W7?v2(W7,Y7):Y6(T7,Y7,n))){Q7=P7;while(--Q7){var Z7=R7[Q7];if(!(Z7?v2(Z7,Y7):Y6(e[Q7],Y7,n))){continue outer;}}if(W7){W7.push(Y7);}T7.push(X7);}}return T7;}
function u4(e){return h7(e)&&q4(e)==v;}
function v4(e,n,Y6,O7,P7){if(e===n){return true;}if(e==null||n==null||(!h7(e)&&!h7(n))){return e!==e&&n!==n;}return w4(e,n,Y6,O7,v4,P7);}
function w4(e,n,Y6,O7,P7,Q7){var R7=$6(e),S7=$6(n),T7=R7?x:M5(e),U7=S7?x:M5(n);T7=T7==v?O:T7;U7=U7==v?O:U7;var V7=T7==O,W7=U7==O,X7=T7==U7;if(X7&&b7(e)){if(!b7(n)){return false;}R7=true;V7=false;}if(X7&&!V7){Q7||(Q7=new W3);return(R7||o7(e))?w5(e,n,Y6,O7,P7,Q7):x5(e,n,T7,Y6,O7,P7,Q7);}if(!(Y6&c)){var Y7=V7&&M2.call(e,'__wrapped__'),Z7=W7&&M2.call(n,'__wrapped__');if(Y7||Z7){var $7=Y7?e.value():e,_7=Z7?n.value():n;Q7||(Q7=new W3);return P7($7,_7,Y6,O7,Q7);}}if(!X7){return false;}Q7||(Q7=new W3);return y5(e,n,Y6,O7,P7,Q7);}
function x4(e){return h7(e)&&M5(e)==G;}
function y4(e,n,Y6,O7){var P7=Y6.length,Q7=P7,R7=!O7;if(e==null){return!Q7;}e=Object(e);while(P7--){var S7=Y6[P7];if((R7&&S7[2])?S7[1]!==e[S7[0]]:!(S7[0]in e)){return false;}}while(++P7<Q7){S7=Y6[P7];var T7=S7[0],U7=e[T7],V7=S7[1];if(R7&&S7[2]){if(U7===u&&!(T7 in e)){return false;}}else{var W7=new W3;if(O7){var X7=O7(U7,V7,T7,e,n,W7);}if(!(X7===u?v4(V7,U7,c|d,O7,W7):X7)){return false;}}}return true;}
function z4(e){if(!g7(e)||Z5(e)){return false;}var n=e7(e)?Q2:v1;return n.test(p6(e));}
function A4(e){return h7(e)&&M5(e)==T;}
function B4(e){return h7(e)&&f7(e.length)&&!!T1[q4(e)];}
function C4(e){if(typeof e=='function'){return e;}if(e==null){return G7;}if(typeof e=='object'){return $6(e)?I4(e[0],e[1]):H4(e);}return J7(e);}
function D4(e){if(!$5(e)){return d3(e);}var n=[];for(var Y6 in Object(e)){if(M2.call(e,Y6)&&Y6!='constructor'){n.push(Y6);}}return n;}
function E4(e){if(!g7(e)){return d6(e);}var n=$5(e),Y6=[];for(var O7 in e){if(!(O7=='constructor'&&(n||!M2.call(e,O7)))){Y6.push(O7);}}return Y6;}
function F4(e,n){return e<n;}
function G4(e,H7){var n=-1,Y6=_6(e)?Array(e.length):[];j4(e,function(O7,P7,e){Y6[++n]=H7(O7,P7,e);});return Y6;}
function H4(e){var n=H5(e);if(n.length==1&&n[0][2]){return a6(n[0][0],n[0][1]);}return function(Y6){return Y6===e||y4(Y6,e,n);};}
function I4(e,n){if(W5(e)&&_5(n)){return a6(o6(e),n);}return function(Y6){var O7=v7(Y6,e);return(O7===u&&O7===n)?w7(Y6,e):v4(n,O7,c|d);};}
function J4(e,n,Y6,O7,P7){if(e===n){return;}m4(n,function(Q7,R7){P7||(P7=new W3);if(g7(Q7)){K4(e,n,R7,Y6,J4,O7,P7);}else{var S7=O7?O7(i6(e,R7),Q7,(R7+''),e,n,P7):u;if(S7===u){S7=Q7;}b4(e,R7,S7);}},y7);}
function K4(e,n,Y6,O7,P7,Q7,R7){var S7=i6(e,Y6),T7=i6(n,Y6),U7=R7.get(T7);if(U7){b4(e,Y6,U7);return;}var V7=Q7?Q7(S7,T7,(Y6+''),e,n,R7):u;var W7=V7===u;if(W7){var X7=$6(T7),Y7=!X7&&b7(T7),Z7=!X7&&!Y7&&o7(T7);V7=T7;if(X7||Y7||Z7){if($6(S7)){V7=S7;}else if(a7(S7)){V7=g5(S7);}else if(Y7){W7=false;V7=$4(T7,true);}else if(Z7){W7=false;V7=d5(T7,true);}else{V7=[];}}else if(k7(T7)||Z6(T7)){V7=S7;if(Z6(S7)){V7=t7(S7);}else if(!g7(S7)||e7(S7)){V7=Q5(T7);}}else{W7=false;}}if(W7){R7.set(T7,V7);P7(V7,T7,O7,Q7,R7);R7['delete'](T7);}b4(e,Y6,V7);}
function L4(e,n){return M4(e,n,function(Y6,O7){return w7(e,O7);});}
function M4(e,n,Y6){var O7=-1,P7=n.length,Q7={};while(++O7<P7){var R7=n[O7],S7=o4(e,R7);if(Y6(S7,R7)){P4(Q7,Z4(R7,e),S7);}}return Q7;}
function N4(e){return function(n){return o4(n,e);};}
function O4(e,n){return k6(f6(e,n,G7),e+'');}
function P4(e,n,Y6,O7){if(!g7(e)){return e;}n=Z4(n,e);var P7=-1,Q7=n.length,R7=Q7-1,S7=e;while(S7!=null&&++P7<Q7){var T7=o6(n[P7]),U7=Y6;if(T7==='__proto__'||T7==='constructor'||T7==='prototype'){return e;}if(P7!=R7){var V7=S7[T7];U7=O7?O7(V7,T7,S7):u;if(U7===u){U7=g7(V7)?V7:(U5(n[P7+1])?[]:{});}}c4(S7,T7,U7);S7=S7[T7];}return e;}
var Q4=!n3?G7:function(e,n){n3.set(e,n);return e;};var R4=!a3?G7:function(e,n){return a3(e,'toString',{'configurable':true,'enumerable':false,'value':F7(n),'writable':true});};
function S4(e,n,Y6){var O7=-1,P7=e.length;if(n<0){n=-n>P7?0:(P7+n);}Y6=Y6>P7?P7:Y6;if(Y6<0){Y6+=P7;}P7=n>Y6?0:((Y6-n)>>>0);n>>>=0;var Q7=Array(P7);while(++O7<P7){Q7[O7]=e[O7+n];}return Q7;}
function T4(e){if(typeof e=='string'){return e;}if($6(e)){return k2(e,T4)+'';}if(n7(e)){return w3?w3.call(e):'';}var n=(e+'');return(n=='0'&&(1/e)==-I)?'-0':n;}
function U4(e,H7,n){var Y6=-1,O7=i2,P7=e.length,Q7=true,R7=[],S7=R7;if(n){Q7=false;O7=j2;}else if(P7>=L){var T7=H7?null:t5(e);if(T7){return D2(T7);}Q7=false;O7=v2;S7=new T3;}else{S7=H7?[]:R7;}outer:while(++Y6<P7){var U7=e[Y6],V7=H7?H7(U7):U7;U7=(n||U7!==0)?U7:0;if(Q7&&V7===V7){var W7=S7.length;while(W7--){if(S7[W7]===V7){continue outer;}}if(H7){S7.push(V7);}R7.push(U7);}else if(!O7(S7,V7,n)){if(S7!==R7){S7.push(V7);}R7.push(U7);}}return R7;}
function V4(e,n){n=Z4(n,e);e=g6(e,n);return e==null||delete e[o6(B6(n))];}
function W4(e,H7,n){var Y6=e.length;if(Y6<2){return Y6?U4(e[0]):[];}var O7=-1,P7=Array(Y6);while(++O7<Y6){var Q7=e[O7],R7=-1;while(++R7<Y6){if(R7!=O7){P7[O7]=i4(P7[O7]||Q7,e[R7],H7,n);}}}return U4(l4(P7,1),H7,n);}
function X4(e,E7,n){var Y6=-1,O7=e.length,P7=E7.length,Q7={};while(++Y6<O7){var R7=Y6<P7?E7[Y6]:u;n(Q7,e[Y6],R7);}return Q7;}
function Y4(e){return a7(e)?e:[];}
function Z4(e,n){if($6(e)){return e;}return W5(e,n)?[e]:n6(u7(e));}
function $4(e,n){if(n){return e.slice();}var Y6=e.length,O7=U2?U2(Y6):new e.constructor(Y6);e.copy(O7);return O7;}
function _4(e){var n=new e.constructor(e.byteLength);new T2(n).set(new T2(e));return n;}
function a5(e,n){var Y6=n?_4(e.buffer):e.buffer;return new e.constructor(Y6,e.byteOffset,e.byteLength);}
function b5(e){var n=new e.constructor(e.source,s1.exec(e));n.lastIndex=e.lastIndex;return n;}
function c5(e){return v3?Object(v3.call(e)):{};}
function d5(e,n){var Y6=n?_4(e.buffer):e.buffer;return new e.constructor(Y6,e.byteOffset,e.length);}
function e5(e,n,Y6,O7){var P7=-1,Q7=e.length,R7=Y6.length,S7=-1,T7=n.length,U7=e3(Q7-R7,0),V7=Array(T7+U7),W7=!O7;while(++S7<T7){V7[S7]=n[S7];}while(++P7<R7){if(W7||P7<Q7){V7[Y6[P7]]=e[P7];}}while(U7--){V7[S7++]=e[P7++];}return V7;}
function f5(e,n,Y6,O7){var P7=-1,Q7=e.length,R7=-1,S7=Y6.length,T7=-1,U7=n.length,V7=e3(Q7-S7,0),W7=Array(V7+U7),X7=!O7;while(++P7<V7){W7[P7]=e[P7];}var Y7=P7;while(++T7<U7){W7[Y7+T7]=n[T7];}while(++R7<S7){if(X7||P7<Q7){W7[Y7+Y6[R7]]=e[P7++];}}return W7;}
function g5(e,n){var Y6=-1,O7=e.length;n||(n=Array(O7));while(++Y6<O7){n[Y6]=e[Y6];}return n;}
function h5(e,n,Y6,O7){var P7=!Y6;Y6||(Y6={});var Q7=-1,R7=n.length;while(++Q7<R7){var S7=n[Q7];var T7=O7?O7(Y6[S7],e[S7],S7,Y6,e):u;if(T7===u){T7=e[S7];}if(P7){g4(Y6,S7,T7);}else{c4(Y6,S7,T7);}}return Y6;}
function i5(e,n){return h5(e,K5(e),n);}
function j5(e,n){return h5(e,L5(e),n);}
function k5(e){return O4(function(n,Y6){var O7=-1,P7=Y6.length,Q7=P7>1?Y6[P7-1]:u,R7=P7>2?Y6[2]:u;Q7=(e.length>3&&typeof Q7=='function')?(P7--,Q7):u;if(R7&&V5(Y6[0],Y6[1],R7)){Q7=P7<3?u:Q7;P7=1;}n=Object(n);while(++O7<P7){var S7=Y6[O7];if(S7){e(n,S7,O7,Q7);}}return n;});}
function l5(e,n){return function(Y6,H7){if(Y6==null){return Y6;}if(!_6(Y6)){return e(Y6,H7);}var O7=Y6.length,P7=n?O7:-1,Q7=Object(Y6);while((n?P7--:++P7<O7)){if(H7(Q7[P7],P7,Q7)===false){break;}}return Y6;};}
function m5(e){return function(n,H7,Y6){var O7=-1,P7=Object(n),Q7=Y6(n),R7=Q7.length;while(R7--){var S7=Q7[e?R7:++O7];if(H7(P7[S7],S7,P7)===false){break;}}return n;};}
function n5(e,n,Y6){var O7=n&W,P7=o5(e);function Q7(){var fn=(this&&this!==Y1&&this instanceof Q7)?P7:e;return fn.apply(O7?Y6:this,arguments);}return Q7;}
function o5(e){return function(){var n=arguments;switch(n.length){case 0:return new e;case 1:return new e(n[0]);case 2:return new e(n[0],n[1]);case 3:return new e(n[0],n[1],n[2]);case 4:return new e(n[0],n[1],n[2],n[3]);case 5:return new e(n[0],n[1],n[2],n[3],n[4]);case 6:return new e(n[0],n[1],n[2],n[3],n[4],n[5]);case 7:return new e(n[0],n[1],n[2],n[3],n[4],n[5],n[6]);}var Y6=y3(e.prototype),O7=e.apply(Y6,n);return g7(O7)?O7:Y6;};}
function p5(e,n,Y6){var O7=o5(e);function P7(){var Q7=arguments.length,R7=Array(Q7),S7=Q7,T7=E5(P7);while(S7--){R7[S7]=arguments[S7];}var U7=(Q7<3&&R7[0]!==T7&&R7[Q7-1]!==T7)?[]:C2(R7,T7);Q7-=U7.length;if(Q7<Y6){return s5(e,n,q5,P7.placeholder,u,R7,U7,u,u,Y6-Q7);}var fn=(this&&this!==Y1&&this instanceof P7)?O7:e;return f2(fn,this,R7);}return P7;}
function q5(e,n,Y6,O7,P7,Q7,R7,S7,T7,U7){var V7=n&l,W7=n&W,X7=n&f,Y7=n&(h|i),Z7=n&o,$7=X7?u:o5(e);function _7(){var a8=arguments.length,b8=Array(a8),c8=a8;while(c8--){b8[c8]=arguments[c8];}if(Y7){var d8=E5(_7),e8=w2(b8,d8);}if(O7){b8=e5(b8,O7,P7,Y7);}if(Q7){b8=f5(b8,Q7,R7,Y7);}a8-=e8;if(Y7&&a8<U7){var f8=C2(b8,d8);return s5(e,n,q5,_7.placeholder,Y6,b8,f8,S7,T7,U7-a8);}var g8=W7?Y6:this,fn=X7?g8[e]:e;a8=b8.length;if(S7){b8=h6(b8,S7);}else if(Z7&&a8>1){b8.reverse();}if(V7&&T7<a8){b8.length=T7;}if(this&&this!==Y1&&this instanceof _7){fn=$7||o5(fn);}return fn.apply(g8,b8);}return _7;}
function r5(e,n,Y6,O7){var P7=n&W,Q7=o5(e);function R7(){var S7=-1,T7=arguments.length,U7=-1,V7=O7.length,W7=Array(V7+T7),fn=(this&&this!==Y1&&this instanceof R7)?Q7:e;while(++U7<V7){W7[U7]=O7[U7];}while(T7--){W7[U7++]=arguments[++S7];}return f2(fn,P7?Y6:this,W7);}return R7;}
function s5(e,n,Y6,O7,P7,Q7,R7,S7,T7,U7){var V7=n&h,W7=V7?R7:u,X7=V7?u:R7,Y7=V7?Q7:u,Z7=V7?u:Q7;n|=(V7?j:k);n&=~(V7?k:j);if(!(n&g)){n&=~(W|f);}var $7=[e,n,P7,Y7,W7,Z7,X7,S7,T7,U7];var _7=Y6.apply(u,$7);if(Y5(e)){j6(_7,$7);}_7.placeholder=O7;return l6(_7,e,n);}
var t5=!(k3&&(1/D2(new k3([,-0]))[1])==I)?I7:function(E7){return new k3(E7);};
function u5(e,n,Y6,O7,P7,Q7,R7,S7){var T7=n&f;if(!T7&&typeof e!='function'){throw new TypeError(F);}var U7=O7?O7.length:0;if(!U7){n&=~(j|k);O7=P7=u;}R7=R7===u?R7:e3(r7(R7),0);S7=S7===u?S7:r7(S7);U7-=P7?P7.length:0;if(n&k){var V7=O7,W7=P7;O7=P7=u;}var X7=T7?u:C5(e);var Y7=[e,n,Y6,O7,P7,V7,W7,Q7,R7,S7];if(X7){c6(Y7,X7);}e=Y7[0];n=Y7[1];Y6=Y7[2];O7=Y7[3];P7=Y7[4];S7=Y7[9]=Y7[9]===u?(T7?0:e.length):e3(Y7[9]-U7,0);if(!S7&&n&(h|i)){n&=~(h|i);}if(!n||n==W){var Z7=n5(e,n,Y6);}else if(n==h||n==i){Z7=p5(e,n,S7);}else if((n==j||n==(W|j))&&!P7.length){Z7=r5(e,n,Y6,O7);}else{Z7=q5.apply(u,Y7);}var $7=X7?Q4:j6;return l6($7(Z7,Y7),e,n);}
function v5(e){return k7(e)?u:e;}
function w5(e,n,Y6,O7,P7,Q7){var R7=Y6&c,S7=e.length,T7=n.length;if(S7!=T7&&!(R7&&T7>S7)){return false;}var U7=Q7.get(e);var V7=Q7.get(n);if(U7&&V7){return U7==n&&V7==e;}var W7=-1,X7=true,Y7=(Y6&d)?new T3:u;Q7.set(e,n);Q7.set(n,e);while(++W7<S7){var Z7=e[W7],$7=n[W7];if(O7){var _7=R7?O7($7,Z7,W7,n,e,Q7):O7(Z7,$7,W7,e,n,Q7);}if(_7!==u){if(_7){continue;}X7=false;break;}if(Y7){if(!m2(n,function($7,a8){if(!v2(Y7,a8)&&(Z7===$7||P7(Z7,$7,Y6,O7,Q7))){return Y7.push(a8);}})){X7=false;break;}}else if(!(Z7===$7||P7(Z7,$7,Y6,O7,Q7))){X7=false;break;}}Q7['delete'](e);Q7['delete'](n);return X7;}
function x5(e,n,Y6,O7,P7,Q7,R7){switch(Y6){case _:if((e.byteLength!=n.byteLength)||(e.byteOffset!=n.byteOffset)){return false;}e=e.buffer;n=n.buffer;case $:if((e.byteLength!=n.byteLength)||!Q7(new T2(e),new T2(n))){return false;}return true;case z:case A:case J:return eq(+e,+n);case B:return e.name==n.name&&e.message==n.message;case S:case U:return e==(n+'');case G:var S7=A2;case T:var T7=O7&c;S7||(S7=D2);if(e.size!=n.size&&!T7){return false;}var U7=R7.get(e);if(U7){return U7==n;}O7|=d;R7.set(e,n);var V7=w5(S7(e),S7(n),O7,P7,Q7,R7);R7['delete'](e);return V7;case X:if(v3){return v3.call(e)==v3.call(n);}}return false;}
function y5(e,n,Y6,O7,P7,Q7){var R7=Y6&c,S7=A5(e),T7=S7.length,U7=A5(n),V7=U7.length;if(T7!=V7&&!R7){return false;}var W7=T7;while(W7--){var X7=S7[W7];if(!(R7?X7 in n:M2.call(n,X7))){return false;}}var Y7=Q7.get(e);var Z7=Q7.get(n);if(Y7&&Z7){return Y7==n&&Z7==e;}var $7=true;Q7.set(e,n);Q7.set(n,e);var _7=R7;while(++W7<T7){X7=S7[W7];var a8=e[X7],b8=n[X7];if(O7){var c8=R7?O7(b8,a8,X7,n,e,Q7):O7(a8,b8,X7,e,n,Q7);}if(!(c8===u?(a8===b8||P7(a8,b8,Y6,O7,Q7)):c8)){$7=false;break;}_7||(_7=X7=='constructor');}if($7&&!_7){var d8=e.constructor,e8=n.constructor;if(d8!=e8&&('constructor'in e&&'constructor'in n)&&!(typeof d8=='function'&&d8 instanceof d8&&typeof e8=='function'&&e8 instanceof e8)){$7=false;}}Q7['delete'](e);Q7['delete'](n);return $7;}
function z5(e){return k6(f6(e,u,v6),e+'');}
function A5(e){return p4(e,x7,K5);}
function B5(e){return p4(e,y7,L5);}
var C5=!n3?I7:function(e){return n3.get(e);};
function D5(e){var n=(e.name+''),Y6=o3[n],O7=M2.call(o3,n)?Y6.length:0;while(O7--){var P7=Y6[O7],Q7=P7.func;if(Q7==null||Q7==e){return P7.name;}}return n;}
function E5(e){var n=M2.call(x3,'placeholder')?x3:e;return n.placeholder;}
function F5(){var e=x3.iteratee||H7;e=e===H7?C4:e;return arguments.length?e(arguments[0],arguments[1]):e;}
function G5(R6,e){var n=R6.__data__;return X5(e)?n[typeof e=='string'?'string':'hash']:n.map;}
function H5(e){var n=x7(e),Y6=n.length;while(Y6--){var O7=n[Y6],P7=e[O7];n[Y6]=[O7,P7,_5(P7)];}return n;}
function I5(e,n){var Y6=x2(e,n);return z4(Y6)?Y6:u;}
function J5(n){var Y6=M2.call(n,_2),O7=n[_2];try{n[_2]=u;var P7=true;}catch(e){}var Q7=O2.call(n);if(P7){if(Y6){n[_2]=O7;}else{delete n[_2];}}return Q7;}
var K5=!b3?K7:function(e){if(e==null){return[];}e=Object(e);return h2(b3(e),function(n){return X2.call(e,n);});};var L5=!b3?K7:function(e){var n=[];while(e){l2(n,K5(e));e=V2(e);}return n;};var M5=q4;if((h3&&M5(new h3(new ArrayBuffer(1)))!=_)||(i3&&M5(new i3)!=G)||(j3&&M5(j3.resolve())!=Q)||(k3&&M5(new k3)!=T)||(l3&&M5(new l3)!=Z)){M5=function(e){var n=q4(e),Y6=n==O?e.constructor:u,O7=Y6?p6(Y6):'';if(O7){switch(O7){case p3:return _;case q3:return G;case r3:return Q;case s3:return T;case t3:return Z;}}return n;};}
function N5(e){var n=e.match(p1);return n?n[1].split(q1):[];}
function O5(e,n,Y6){n=Z4(n,e);var O7=-1,P7=n.length,Q7=false;while(++O7<P7){var R7=o6(n[O7]);if(!(Q7=e!=null&&Y6(e,R7))){break;}e=e[R7];}if(Q7||++O7!=P7){return Q7;}P7=e==null?0:e.length;return!!P7&&f7(P7)&&U5(R7,P7)&&($6(e)||Z6(e));}
function P5(e){var n=e.length,Y6=new e.constructor(n);if(n&&typeof e[0]=='string'&&M2.call(e,'index')){Y6.index=e.index;Y6.input=e.input;}return Y6;}
function Q5(e){return(typeof e.constructor=='function'&&!$5(e))?y3(V2(e)):{};}
function R5(e,n,Y6){var O7=e.constructor;switch(n){case $:return _4(e);case z:case A:return new O7(+e);case _:return a5(e,Y6);case a1:case b1:case c1:case d1:case e1:case f1:case g1:case h1:case i1:return d5(e,Y6);case G:return new O7;case J:case U:return new O7(e);case S:return b5(e);case T:return new O7;case X:return c5(e);}}
function S5(e,n){var Y6=n.length;if(!Y6){return e;}var O7=Y6-1;n[O7]=(Y6>1?'& ':'')+n[O7];n=n.join(Y6>2?', ':' ');return e.replace(o1,'{\n/* [wrapped with '+n+'] */\n');}
function T5(e){return $6(e)||Z6(e)||!!(Z2&&e&&e[Z2]);}
function U5(e,n){var Y6=typeof e;n=n==null?r:n;return!!n&&(Y6=='number'||(Y6!='symbol'&&x1.test(e)))&&(e>-1&&e%1==0&&e<n);}
function V5(e,n,Y6){if(!g7(Y6)){return false;}var O7=typeof n;if(O7=='number'?(_6(Y6)&&U5(n,Y6.length)):(O7=='string'&&n in Y6)){return eq(Y6[n],e);}return false;}
function W5(e,n){if($6(e)){return false;}var Y6=typeof e;if(Y6=='number'||Y6=='symbol'||Y6=='boolean'||e==null||n7(e)){return true;}return k1.test(e)||!j1.test(e)||(n!=null&&e in Object(n));}
function X5(e){var n=typeof e;return(n=='string'||n=='number'||n=='symbol'||n=='boolean')?(e!=='__proto__'):(e===null);}
function Y5(e){var n=D5(e),Y6=x3[n];if(typeof Y6!='function'||!(n in A3.prototype)){return false;}if(e===Y6){return true;}var O7=C5(Y6);return!!O7&&e===O7[0];}
function Z5(e){return!!N2&&(N2 in e);}
function $5(e){var n=e&&e.constructor,Y6=(typeof n=='function'&&n.prototype)||J2;return e===Y6;}
function _5(e){return e===e&&!g7(e);}
function a6(e,n){return function(Y6){if(Y6==null){return false;}return Y6[e]===n&&(n!==u||(e in Object(Y6)));};}
function b6(e){var n=V6(e,function(O7){if(Y6.size===M){Y6.clear();}return O7;});var Y6=n.cache;return n;}
function c6(e,n){var Y6=e[1],O7=n[1],P7=Y6|O7,Q7=P7<(W|f|l);var R7=((O7==l)&&(Y6==h))||((O7==l)&&(Y6==m)&&(e[7].length<=n[8]))||((O7==(l|m))&&(n[7].length<=n[8])&&(Y6==h));if(!(Q7||R7)){return e;}if(O7&W){e[2]=n[2];P7|=Y6&W?0:g;}var S7=n[3];if(S7){var T7=e[3];e[3]=T7?e5(T7,S7,n[4]):S7;e[4]=T7?C2(e[3],P):n[4];}S7=n[5];if(S7){T7=e[5];e[5]=T7?f5(T7,S7,n[6]):S7;e[6]=T7?C2(e[5],P):n[6];}S7=n[7];if(S7){e[7]=S7;}if(O7&l){e[8]=e[8]==null?n[8]:f3(e[8],n[8]);}if(e[9]==null){e[9]=n[9];}e[0]=n[0];e[1]=P7;return e;}
function d6(e){var n=[];if(e!=null){for(var Y6 in Object(e)){n.push(Y6);}}return n;}
function e6(e){return O2.call(e);}
function f6(e,n,Y6){n=e3(n===u?(e.length-1):n,0);return function(){var O7=arguments,P7=-1,Q7=e3(O7.length-n,0),R7=Array(Q7);while(++P7<Q7){R7[P7]=O7[n+P7];}P7=-1;var S7=Array(n+1);while(++P7<n){S7[P7]=O7[P7];}S7[n]=Y6(R7);return f2(e,this,S7);};}
function g6(e,n){return n.length<2?e:o4(e,S4(n,0,-1));}
function h6(e,n){var Y6=e.length,O7=f3(n.length,Y6),P7=g5(e);while(O7--){var Q7=n[O7];e[O7]=U5(Q7,Y6)?P7[Q7]:u;}return e;}
function i6(e,n){if(n==='constructor'&&typeof e[n]==='function'){return;}if(n=='__proto__'){return;}return e[n];}
var j6=m6(Q4);var k6=m6(R4);
function l6(e,n,Y6){var O7=(n+'');return k6(e,S5(O7,q6(N5(O7),Y6)));}
function m6(e){var n=0,Y6=0;return function(){var O7=g3(),P7=q-(O7-Y6);Y6=O7;if(P7>0){if(++n>=p){return arguments[0];}}else{n=0;}return e.apply(u,arguments);};}
var n6=b6(function(e){var n=[];if(e.charCodeAt(0)===46){n.push('');}e.replace(l1,function(Y6,O7,P7,Q7){n.push(P7?Q7.replace(r1,'$1'):(O7||Y6));});return n;});
function o6(e){if(typeof e=='string'||n7(e)){return e;}var n=(e+'');return(n=='0'&&(1/e)==-I)?'-0':n;}
function p6(n){if(n!=null){try{return L2.call(n);}catch(e){}try{return(n+'');}catch(e){}}return'';}
function q6(e,n){g2(w,function(Y6){var O7='_.'+Y6[0];if((n&Y6[1])&&!i2(e,O7)){e.push(O7);}});return e.sort();}
function r6(e){var n=-1,Y6=e==null?0:e.length,O7=0,P7=[];while(++n<Y6){var Q7=e[n];if(Q7){P7[O7++]=Q7;}}return P7;}
var s6=O4(function(e,E7){return a7(e)?i4(e,l4(E7,1,a7,true)):[];});var t6=O4(function(e,E7){var H7=B6(E7);if(a7(H7)){H7=u;}return a7(e)?i4(e,l4(E7,1,a7,true),F5(H7,2)):[];});var u6=O4(function(e,E7){var n=B6(E7);if(a7(n)){n=u;}return a7(e)?i4(e,l4(E7,1,a7,true),u,n):[];});
function v6(e){var n=e==null?0:e.length;return n?l4(e,1):[];}
function w6(e){var n=e==null?0:e.length;return n?l4(e,I):[];}
function x6(e,n){var Y6=e==null?0:e.length;if(!Y6){return[];}n=n===u?1:r7(n);return l4(e,n);}
var y6=O4(function(e){var n=k2(e,Y4);return(n.length&&n[0]===e[0])?t4(n):[];});var z6=O4(function(e){var H7=B6(e),n=k2(e,Y4);if(H7===B6(n)){H7=u;}else{n.pop();}return(n.length&&n[0]===e[0])?t4(n,F5(H7,2)):[];});var A6=O4(function(e){var n=B6(e),Y6=k2(e,Y4);n=typeof n=='function'?n:u;if(n){Y6.pop();}return(Y6.length&&Y6[0]===e[0])?t4(Y6,u,n):[];});
function B6(e){var n=e==null?0:e.length;return n?e[n-1]:u;}
var C6=O4(function(e){return U4(l4(e,1,a7,true));});var D6=O4(function(e){var H7=B6(e);if(a7(H7)){H7=u;}return U4(l4(e,1,a7,true),F5(H7,2));});var E6=O4(function(e){var n=B6(e);n=typeof n=='function'?n:u;return U4(l4(e,1,a7,true),u,n);});
function F6(e){return(e&&e.length)?U4(e):[];}
function G6(e,H7){return(e&&e.length)?U4(e,F5(H7,2)):[];}
function H6(e,n){n=typeof n=='function'?n:u;return(e&&e.length)?U4(e,u,n):[];}
var I6=O4(function(e,E7){return a7(e)?i4(e,E7):[];});var J6=O4(function(e){return W4(h2(e,a7));});var K6=O4(function(e){var H7=B6(e);if(a7(H7)){H7=u;}return W4(h2(e,a7),F5(H7,2));});var L6=O4(function(e){var n=B6(e);n=typeof n=='function'?n:u;return W4(h2(e,a7),u,n);});
function M6(e,E7){return X4(e||[],E7||[],c4);}
function N6(e,E7){return X4(e||[],E7||[],P4);}
function O6(e,H7){return l4(R6(e,H7),1);}
function P6(e,H7){return l4(R6(e,H7),I);}
function Q6(e,H7,n){n=n===u?1:r7(n);return l4(R6(e,H7),n);}
function R6(e,H7){var n=$6(e)?k2:G4;return n(e,F5(H7,3));}
var S6=function(){return Y1.Date.now();};
function T6(e,n,Y6){n=Y6?u:n;var O7=u5(e,h,u,u,u,u,u,n);O7.placeholder=T6.placeholder;return O7;}
function U6(e,n,Y6){var O7,P7,Q7,R7,S7,T7,U7=0,V7=false,W7=false,X7=true;if(typeof e!='function'){throw new TypeError(F);}n=s7(n)||0;if(g7(Y6)){V7=!!Y6.leading;W7='maxWait'in Y6;Q7=W7?e3(s7(Y6.maxWait)||0,n):Q7;X7='trailing'in Y6?!!Y6.trailing:X7;}function Y7(f8){var g8=O7,h8=P7;O7=P7=u;U7=f8;R7=e.apply(h8,g8);return R7;}function Z7(f8){U7=f8;S7=setTimeout(a8,n);return V7?Y7(f8):R7;}function $7(f8){var g8=f8-T7,h8=f8-U7,i8=n-g8;return W7?f3(i8,Q7-h8):i8;}function _7(f8){var g8=f8-T7,h8=f8-U7;return(T7===u||(g8>=n)||(g8<0)||(W7&&h8>=Q7));}function a8(){var f8=S6();if(_7(f8)){return b8(f8);}S7=setTimeout(a8,$7(f8));}function b8(f8){S7=u;if(X7&&O7){return Y7(f8);}O7=P7=u;return R7;}function c8(){if(S7!==u){clearTimeout(S7);}U7=0;O7=T7=P7=S7=u;}function d8(){return S7===u?R7:b8(S6());}function e8(){var f8=S6(),g8=_7(f8);O7=arguments;P7=this;T7=f8;if(g8){if(S7===u){return Z7(T7);}if(W7){clearTimeout(S7);S7=setTimeout(a8,n);return Y7(T7);}}if(S7===u){S7=setTimeout(a8,n);}return R7;}e8.cancel=c8;e8.flush=d8;return e8;}
function V6(e,n){if(typeof e!='function'||(n!=null&&typeof n!='function')){throw new TypeError(F);}var Y6=function(){var O7=arguments,P7=n?n.apply(this,O7):O7[0],Q7=Y6.cache;if(Q7.has(P7)){return Q7.get(P7);}var R7=e.apply(this,O7);Y6.cache=Q7.set(P7,R7)||Q7;return R7;};Y6.cache=new(V6.Cache||N3);return Y6;}
V6.Cache=N3;
function W6(e,n,Y6){var O7=true,P7=true;if(typeof e!='function'){throw new TypeError(F);}if(g7(Y6)){O7='leading'in Y6?!!Y6.leading:O7;P7='trailing'in Y6?!!Y6.trailing:P7;}return U6(e,n,{'leading':O7,'maxWait':n,'trailing':P7});}
function X6(){if(!arguments.length){return[];}var e=arguments[0];return $6(e)?e:[e];}
function eq(e,n){return e===n||(e!==e&&n!==n);}
var Z6=u4(function(){return arguments;}())?u4:function(e){return h7(e)&&M2.call(e,'callee')&&!X2.call(e,'callee');};var $6=Array.isArray;
function _6(e){return e!=null&&f7(e.length)&&!e7(e);}
function a7(e){return h7(e)&&_6(e);}
var b7=c3||L7;
function c7(e,n){return v4(e,n);}
function d7(e,n,Y6){Y6=typeof Y6=='function'?Y6:u;var O7=Y6?Y6(e,n):u;return O7===u?v4(e,n,u,Y6):!!O7;}
function e7(e){if(!g7(e)){return false;}var n=q4(e);return n==D||n==E||n==y||n==R;}
function f7(e){return typeof e=='number'&&e>-1&&e%1==0&&e<=r;}
function g7(e){var n=typeof e;return e!=null&&(n=='object'||n=='function');}
function h7(e){return e!=null&&typeof e=='object';}
var i7=c2?t2(c2):x4;
function j7(e){return e==null;}
function k7(e){if(!h7(e)||q4(e)!=O){return false;}var n=V2(e);if(n===null){return true;}var Y6=M2.call(n,'constructor')&&n.constructor;return typeof Y6=='function'&&Y6 instanceof Y6&&L2.call(Y6)==P2;}
var l7=d2?t2(d2):A4;
function m7(e){return typeof e=='string'||(!$6(e)&&h7(e)&&q4(e)==U);}
function n7(e){return typeof e=='symbol'||(h7(e)&&q4(e)==X);}
var o7=e2?t2(e2):B4;
function p7(e){if(!e){return[];}if(_6(e)){return m7(e)?F2(e):g5(e);}if($2&&e[$2]){return z2(e[$2]());}var n=M5(e),Y6=n==G?A2:(n==T?D2:E7);return Y6(e);}
function q7(e){if(!e){return e===0?e:0;}e=s7(e);if(e===I||e===-I){var n=(e<0?-1:1);return n*s;}return e===e?e:0;}
function r7(e){var n=q7(e),Y6=n%1;return n===n?(Y6?n-Y6:n):0;}
function s7(e){if(typeof e=='number'){return e;}if(n7(e)){return N;}if(g7(e)){var n=typeof e.valueOf=='function'?e.valueOf():e;e=g7(n)?(n+''):n;}if(typeof e!='string'){return e===0?e:+e;}e=e.replace(n1,'');var Y6=u1.test(e);return(Y6||w1.test(e))?V1(e.slice(2),Y6?2:8):(t1.test(e)?N:+e);}
function t7(e){return h5(e,y7(e));}
function u7(e){return e==null?'':T4(e);}
function v7(e,n,Y6){var O7=e==null?u:o4(e,n);return O7===u?Y6:O7;}
function w7(e,n){return e!=null&&O5(e,n,s4);}
function x7(e){return _6(e)?a4(e):D4(e);}
function y7(e){return _6(e)?a4(e,true):E4(e);}
var z7=k5(function(e,n,Y6){J4(e,n,Y6);});var A7=k5(function(e,n,Y6,O7){J4(e,n,Y6,O7);});var B7=z5(function(e,n){var Y6={};if(e==null){return Y6;}var O7=false;n=k2(n,function(Q7){Q7=Z4(Q7,e);O7||(O7=Q7.length>1);return Q7;});h5(e,B5(e),Y6);if(O7){Y6=h4(Y6,C|a|b,v5);}var P7=n.length;while(P7--){V4(Y6,n[P7]);}return Y6;});var C7=z5(function(e,n){return e==null?{}:L4(e,n);});
function D7(e,n){if(e==null){return{};}var Y6=k2(B5(e),function(O7){return[O7];});n=F5(n);return M4(e,Y6,function(O7,P7){return n(O7,P7[0]);});}
function E7(e){return e==null?[]:u2(e,x7(e));}
function F7(e){return function(){return e;};}
function G7(e){return e;}
function H7(e){return C4(typeof e=='function'?e:h4(e,C));}
function I7(){}
function J7(e){return W5(e)?r2(o6(e)):N4(e);}
function K7(){return[];}
function L7(){return false;}
function M7(e){return(e&&e.length)?k4(e,G7,r4):u;}
function N7(e){return(e&&e.length)?k4(e,G7,F4):u;}
x3.castArray=X6;x3.compact=r6;x3.constant=F7;x3.curry=T6;x3.debounce=U6;x3.difference=s6;x3.differenceBy=t6;x3.differenceWith=u6;x3.flatMap=O6;x3.flatMapDeep=P6;x3.flatMapDepth=Q6;x3.flatten=v6;x3.flattenDeep=w6;x3.flattenDepth=x6;x3.intersection=y6;x3.intersectionBy=z6;x3.intersectionWith=A6;x3.iteratee=H7;x3.keys=x7;x3.keysIn=y7;x3.map=R6;x3.memoize=V6;x3.merge=z7;x3.mergeWith=A7;x3.omit=B7;x3.pick=C7;x3.pickBy=D7;x3.property=J7;x3.throttle=W6;x3.toArray=p7;x3.toPlainObject=t7;x3.union=C6;x3.unionBy=D6;x3.unionWith=E6;x3.uniq=F6;x3.uniqBy=G6;x3.uniqWith=H6;x3.values=E7;x3.without=I6;x3.xor=J6;x3.xorBy=K6;x3.xorWith=L6;x3.zipObject=M6;x3.zipObjectDeep=N6;x3.eq=eq;x3.get=v7;x3.hasIn=w7;x3.identity=G7;x3.isArguments=Z6;x3.isArray=$6;x3.isArrayLike=_6;x3.isArrayLikeObject=a7;x3.isBuffer=b7;x3.isEqual=c7;x3.isEqualWith=d7;x3.isFunction=e7;x3.isLength=f7;x3.isMap=i7;x3.isNil=j7;x3.isObject=g7;x3.isObjectLike=h7;x3.isPlainObject=k7;x3.isSet=l7;x3.isString=m7;x3.isSymbol=n7;x3.isTypedArray=o7;x3.last=B6;x3.max=M7;x3.min=N7;x3.stubArray=K7;x3.stubFalse=L7;x3.noop=I7;x3.now=S6;x3.toFinite=q7;x3.toInteger=r7;x3.toNumber=s7;x3.toString=u7;x3.VERSION=V;T6.placeholder=x3;return x3;});
/*!
 * Copyright (c) Sindre Sorhus <sindresorhus@gmail.com> (sindresorhus.com)
 * Version 2.0.0, see https://github.com/sindresorhus/p-cancelable/tree/v2.0.0
 */
sap.ui.predefine('sap/base/util/restricted/_CancelablePromise',function(){'use strict';
function _(o,a){var e;if(typeof Symbol==="undefined"||o[Symbol.iterator]==null){if(Array.isArray(o)||(e=b(o))||a&&o&&typeof o.length==="number"){if(e)o=e;var i=0;var F=function F(){};return{s:F,n:function n(){if(i>=o.length)return{done:true};return{done:false,value:o[i++]};},e:function e(x){throw x;},f:F};}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");}var n=true,p=false,w;return{s:function s(){e=o[Symbol.iterator]();},n:function n(){var x=e.next();n=x.done;return x;},e:function e(x){p=true;w=x;},f:function f(){try{if(!n&&e.return!=null)e.return();}finally{if(p)throw w;}}};}
function b(o,a){if(!o)return;if(typeof o==="string")return c(o,a);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(o);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return c(o,a);}
function c(a,e){if(e==null||e>a.length)e=a.length;for(var i=0,n=new Array(e);i<e;i++){n[i]=a[i];}return n;}
function d(o){"@babel/helpers - typeof";if(typeof Symbol==="function"&&typeof Symbol.iterator==="symbol"){d=function d(o){return typeof o;};}else{d=function d(o){return o&&typeof Symbol==="function"&&o.constructor===Symbol&&o!==Symbol.prototype?"symbol":typeof o;};}return d(o);}
function f(i,a){if(!(i instanceof a)){throw new TypeError("Cannot call a class as a function");}}
function g(a,p){for(var i=0;i<p.length;i++){var e=p[i];e.enumerable=e.enumerable||false;e.configurable=true;if("value"in e)e.writable=true;Object.defineProperty(a,e.key,e);}}
function h(a,p,e){if(p)g(a.prototype,p);if(e)g(a,e);return a;}
function j(a,e){if(typeof e!=="function"&&e!==null){throw new TypeError("Super expression must either be null or a function");}a.prototype=Object.create(e&&e.prototype,{constructor:{value:a,writable:true,configurable:true}});if(e)u(a,e);}
function k(D){var a=s();return function _createSuperInternal(){var S=v(D),e;if(a){var N=v(this).constructor;e=Reflect.construct(S,arguments,N);}else{e=S.apply(this,arguments);}return l(this,e);};}
function l(a,e){if(e&&(d(e)==="object"||typeof e==="function")){return e;}return m(a);}
function m(a){if(a===void 0){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return a;}
function q(a){var e=typeof Map==="function"?new Map():undefined;q=function q(a){if(a===null||!t(a))return a;if(typeof a!=="function"){throw new TypeError("Super expression must either be null or a function");}if(typeof e!=="undefined"){if(e.has(a))return e.get(a);e.set(a,W);}function W(){return r(a,arguments,v(this).constructor);}W.prototype=Object.create(a.prototype,{constructor:{value:W,enumerable:false,writable:true,configurable:true}});return u(W,a);};return q(a);}
function r(e,i,n){if(s()){r=Reflect.construct;}else{r=function r(e,i,n){var a=[null];a.push.apply(a,i);var o=Function.bind.apply(e,a);var p=new o();if(n)u(p,n.prototype);return p;};}return r.apply(null,arguments);}
function s(){if(typeof Reflect==="undefined"||!Reflect.construct)return false;if(Reflect.construct.sham)return false;if(typeof Proxy==="function")return true;try{Date.prototype.toString.call(Reflect.construct(Date,[],function(){}));return true;}catch(e){return false;}}
function t(a){return Function.toString.call(a).indexOf("[native code]")!==-1;}
function u(o,p){u=Object.setPrototypeOf||function u(o,p){o.__proto__=p;return o;};return u(o,p);}
function v(o){v=Object.setPrototypeOf?Object.getPrototypeOf:function v(o){return o.__proto__||Object.getPrototypeOf(o);};return v(o);}
var C=function(a){j(C,a);var e=k(C);function C(i){var n;f(this,C);n=e.call(this,i||'Promise was canceled');n.name='CancelError';return n;}h(C,[{key:"isCanceled",get:function get(){return true;}}]);return C;}(q(Error));var P=function(){h(P,null,[{key:"fn",value:function fn(a){return function(){for(var e=arguments.length,i=new Array(e),n=0;n<e;n++){i[n]=arguments[n];}return new P(function(o,p,w){i.push(w);a.apply(void 0,i).then(o,p);});};}}]);function P(e){var a=this;f(this,P);this._cancelHandlers=[];this._isPending=true;this._isCanceled=false;this._rejectOnCancel=true;this._promise=new Promise(function(i,n){a._reject=n;var o=function o(x){a._isPending=false;i(x);};var p=function p(x){a._isPending=false;n(x);};var w=function w(x){if(!a._isPending){throw new Error('The `onCancel` handler was attached after the promise settled.');}a._cancelHandlers.push(x);};Object.defineProperties(w,{shouldReject:{get:function get(){return a._rejectOnCancel;},set:function set(x){a._rejectOnCancel=x;}}});return e(o,p,w);});}h(P,[{key:"then",value:function then(o,a){return this._promise.then(o,a);}},{key:"catch",value:function _catch(o){return this._promise.catch(o);}},{key:"finally",value:function _finally(o){return this._promise.finally(o);}},{key:"cancel",value:function cancel(a){if(!this._isPending||this._isCanceled){return;}if(this._cancelHandlers.length>0){try{var e=_(this._cancelHandlers),i;try{for(e.s();!(i=e.n()).done;){var n=i.value;n();}}catch(o){e.e(o);}finally{e.f();}}catch(p){this._reject(p);}}this._isCanceled=true;if(this._rejectOnCancel){this._reject(new C(a));}}},{key:"isCanceled",get:function get(){return this._isCanceled;}}]);return P;}();Object.setPrototypeOf(P.prototype,Promise.prototype);P.CancelError=C;return P;});
/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.predefine('sap/base/util/includes',["sap/base/util/values"],function(v){"use strict";
function e(a,b){return a===b||(a!==a&&b!==b);}
var I=function(c,V,f){if(typeof f!=='number'){f=0;}if(Array.isArray(c)){if(typeof c.includes==='function'){return c.includes(V,f);}f=f<0?f+c.length:f;f=f<0?0:f;for(var i=f;i<c.length;i++){if(e(c[i],V)){return true;}}return false;}else if(typeof c==='string'){f=f<0?c.length+f:f;if(typeof c.includes==='function'){return c.includes(V,f);}return c.indexOf(V,f)!==-1;}else{return I(v(c),V,f);}};return I;});
sap.ui.predefine('sap/base/util/restricted/_intersection',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.intersection;});
sap.ui.predefine('sap/base/util/restricted/_isEqual',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.isEqual;});
sap.ui.predefine('sap/base/util/restricted/_isNil',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.isNil;});
sap.ui.predefine('sap/base/util/restricted/_merge',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.merge;});
sap.ui.predefine('sap/base/util/restricted/_mergeWith',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.mergeWith;});
sap.ui.predefine('sap/base/util/restricted/_omit',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.omit;});
sap.ui.predefine('sap/base/util/restricted/_toArray',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.toArray;});
sap.ui.predefine('sap/base/util/restricted/_union',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.union;});
sap.ui.predefine('sap/base/util/restricted/_uniq',["sap/base/util/restricted/_/lodash.custom"],function(l){"use strict";return l.uniq;});
sap.ui.predefine('sap/base/util/values',function(){"use strict";var v=function values(o){if(typeof o==="undefined"||o===null||o!==o){return[];}if(typeof Object.values==='function'){return Object.values(o);}if(typeof o==='string'){return o.split('');}if(typeof o!=='object'){return[];}return Object.keys(o).map(function(V){return o[V];});};return v;});
sap.ui.predefine('sap/m/BusyIndicator',['./library','sap/ui/core/Control','sap/ui/core/library','sap/m/Image','sap/m/Label',"./BusyIndicatorRenderer"],function(l,C,c,I,L,B){"use strict";var T=c.TextDirection;
var a=C.extend("sap.m.BusyIndicator",{metadata:{library:"sap.m",properties:{text:{type:"string",group:"Data",defaultValue:""},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:T.Inherit},customIcon:{type:"sap.ui.core.URI",group:"Misc",defaultValue:""},customIconRotationSpeed:{type:"int",group:"Appearance",defaultValue:1000},customIconDensityAware:{type:"boolean",defaultValue:true},customIconWidth:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"44px"},customIconHeight:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"44px"},size:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:"1rem"},design:{type:"string",group:"Appearance",defaultValue:"auto"}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}}}});
a.prototype.init=function(){this.setBusyIndicatorDelay(0);};
a.prototype.onBeforeRendering=function(){if(this.getCustomIcon()){this.setBusy(false);}else{this.setBusy(true,"busy-area");}if(this._busyLabel){this._busyLabel.setTextDirection(this.getTextDirection());}if(this._iconImage){this._iconImage.setDensityAware(this.getCustomIconDensityAware());this._iconImage.setSrc(this.getCustomIcon());this._iconImage.setWidth(this.getCustomIconWidth());this._iconImage.setHeight(this.getCustomIconHeight());}else if(!this._iconImage&&this.getCustomIcon()){this._createCustomIcon(this.getCustomIcon()).addStyleClass("sapMBsyIndIcon");}if(this._busyLabel){this._busyLabel.setText(this.getText());this._busyLabel.setTextDirection(this.getTextDirection());}else if(!this._busyLabel&&this.getText()){this._createLabel(this.getText());}var r=this.getCustomIconRotationSpeed();if(r<0){this.setCustomIconRotationSpeed(0);}};
a.prototype.onAfterRendering=function(){this._setRotationSpeed();};
a.prototype.exit=function(){if(this._iconImage){this._iconImage.destroy();this._iconImage=null;}if(this._busyLabel){this._busyLabel.destroy();this._busyLabel=null;}};
a.prototype._createCustomIcon=function(i){this._iconImage=new I(this.getId()+"-icon",{src:i,width:this.getCustomIconWidth(),height:this.getCustomIconHeight(),densityAware:this.getCustomIconDensityAware()});return this._iconImage;};
a.prototype._createLabel=function(t){this._busyLabel=new L(this.getId()+"-label",{labelFor:this.getId(),text:t,textAlign:"Center",textDirection:this.getTextDirection()});return this._busyLabel;};
a.prototype._setRotationSpeed=function(){if(!this._iconImage){return;}var $=this._iconImage.$();var r=this.getCustomIconRotationSpeed()+"ms";$.css("-webkit-animation-duration",r).css("animation-duration",r);$.css("display","none");setTimeout(function(){$.css("display","inline");},0);};
return a;});
sap.ui.predefine('sap/m/BusyIndicatorRenderer',[],function(){"use strict";var B={apiVersion:2};
B.render=function(r,b){var t=b.getTooltip_AsString();r.openStart("div",b).class("sapMBusyIndicator");r.style("font-size",b.getSize());r.accessibilityState(b);if(t){r.attr("title",t);}r.openEnd();if(b.getCustomIcon()){r.renderControl(b._iconImage);}else{r.openStart("div",b.getId()+"-busy-area");r.class("sapMBusyIndicatorBusyArea").openEnd().close("div");}if(b._busyLabel){r.renderControl(b._busyLabel);}r.close("div");};
return B;},true);
sap.ui.predefine('sap/m/ComboBox',['./ComboBoxTextField','./ComboBoxBase','./List','./library','sap/ui/Device','sap/ui/core/Item','./StandardListItem','./ComboBoxRenderer','sap/ui/base/ManagedObjectObserver',"sap/ui/dom/containsOrEquals","sap/ui/events/KeyCodes","./Toolbar","sap/base/assert","sap/base/security/encodeXML","sap/ui/core/Core","sap/base/Log","sap/ui/dom/jquery/control"],function(C,a,L,l,D,I,S,b,M,c,K,T,d,f,g,h,q){"use strict";var j=l.ListType;var k=l.ListMode;
var m=a.extend("sap.m.ComboBox",{metadata:{library:"sap.m",designtime:"sap/m/designtime/ComboBox.designtime",properties:{selectedKey:{type:"string",group:"Data",defaultValue:""},selectedItemId:{type:"string",group:"Misc",defaultValue:""},filterSecondaryValues:{type:"boolean",group:"Misc",defaultValue:false}},associations:{selectedItem:{type:"sap.ui.core.Item",multiple:false}},events:{change:{parameters:{value:{type:"string"},itemPressed:{type:"boolean"}}},selectionChange:{parameters:{selectedItem:{type:"sap.ui.core.Item"}}}},dnd:{draggable:false,droppable:true}}});
function H(o,i){if(!i){return;}var e=o.getFocusDomRef(),p=o._getSelectionRange().start,t=e.value.substring(0,e.selectionStart),r=o._shouldResetSelectionStart(i),u=o.getSelectedItem(),G=i.isA("sap.ui.core.SeparatorItem"),v=this.getListItem(i);o.handleListItemsVisualFocus(v);o.setSelection(i);if(i!==u&&!G){o.updateDomValue(i.getText());o.fireSelectionChange({selectedItem:i});i=o.getSelectedItem();if(r){p=0;}o.selectText(p,e.value.length);o._bIsLastFocusedItemHeader=false;}if(G){o.setSelectedItem(null);o.fireSelectionChange({selectedItem:null});o.updateDomValue(t);o._bIsLastFocusedItemHeader=true;o._getGroupHeaderInvisibleText().setText(o._oRb.getText("LIST_ITEM_GROUP_HEADER")+" "+i.getText());}if(o.isOpen()){o.removeStyleClass("sapMFocus");o._getList().addStyleClass("sapMListFocus");}else{o.addStyleClass("sapMFocus");}o.scrollToItem(i);}
m.prototype.scrollToItem=function(i){var p=this.getPicker(),P=p.getDomRef("cont"),o=this.getListItem(i),e=i&&o&&o.getDomRef();if(!p||!P||!e){return;}var r=P.scrollTop,t=e.offsetTop,u=P.clientHeight,v=e.offsetHeight;if(r>t){P.scrollTop=t;}else if((t+v)>(r+u)){P.scrollTop=Math.ceil(t+v-u);}};
function s(i,e){if(document.activeElement===this.getFocusDomRef()){this.selectText(i,e);}}
function n(i){var o=this.getSelectedItem(),e=this.getListItem(o),p=o&&e&&e.getDomRef(),r=p&&p.offsetTop,t=p&&p.offsetHeight,P=this.getPicker(),u=P.getDomRef("cont"),v=u.clientHeight;if(o&&((r+t)>(v))){if(!i){this._getList().$().css("visibility","hidden");}else{u.scrollTop=r-t/2;this._getList().$().css("visibility","visible");}}}
m.prototype._getSelectedItemText=function(i){i=i||this.getSelectedItem();if(!i){i=this.getDefaultSelectedItem();}if(i){return i.getText();}return"";};
m.prototype._setItemVisibility=function(i,v){var o=i&&this.getListItem(i).$(),e="sapMSelectListItemBaseInvisible";if(v){i.bVisible=true;o.length&&o.removeClass(e);}else{i.bVisible=false;o.length&&o.addClass(e);}};
m.prototype.setSelectedIndex=function(i,_){var o;_=_||this.getItems();i=(i>_.length-1)?_.length-1:Math.max(0,i);o=_[i];if(o){this.setSelection(o);}};
m.prototype.revertSelection=function(){var p,P=this.getPickerTextField();this.setSelectedItem(this._oSelectedItemBeforeOpen);this.setValue(this._sValueBeforeOpen);if(this.getSelectedItem()===null){p=this._sValueBeforeOpen;}else{p=this._oSelectedItemBeforeOpen.getText();}P&&P.setValue(p);};
m.prototype.filterItems=function(o){var i=this.getItems(),F=[],e=[],p=o.properties.indexOf("additionalText")>-1,r=this.fnFilter||a.DEFAULT_TEXT_FILTER,G=[],t=false;this._oFirstItemTextMatched=null;i.forEach(function(u){if(u.isA("sap.ui.core.SeparatorItem")){if(!u.getText()){this.getListItem(u).setVisible(false);return;}G.push({separator:u,show:false});t=true;this.getListItem(u).setVisible(false);return;}var v=r.call(this,o.value,u,"getText");var w=r.call(this,o.value,u,"getAdditionalText");if((v||w)&&t){G[G.length-1].show=true;t=false;}if(v){e.push(u);F.push(u);}else if(w&&p){F.push(u);}}.bind(this));i.forEach(function(u){if(u.isA("sap.ui.core.SeparatorItem")){return;}var v=F.indexOf(u)>-1;var w=e.indexOf(u)>-1;if(!this._oFirstItemTextMatched&&w){this._oFirstItemTextMatched=u;}this.getListItem(u).setVisible(v);},this);G.forEach(function(u){if(u.show){this.getListItem(u.separator).setVisible(true);}}.bind(this));return F;};
m.prototype._filterStartsWithItems=function(i,e){var o=i.toLowerCase();var p=this.getItems(),F=p.filter(function(r){return r[e]&&r[e]().toLowerCase().startsWith(o);});return F;};
m.prototype._getFilters=function(){return this.getFilterSecondaryValues()?["text","additionalText"]:["text"];};
m.prototype.getNextFocusableItem=function(e){var A=this.getSelectableItems(),i=this.getNonSeparatorSelectableItems(A),F=this.hasStyleClass("sapMFocus"),o=this.getSelectedItem()||this._getItemByListItem(this._oLastFocusedListItem),p=this.getFormattedTextFocused(),N;if((F&&this.isOpen())||p){N=A[0];}else if(F&&!this.getValueStateLinks().length){N=i[i.indexOf(o)+(e?1:-1)];}else{N=A[A.indexOf(o)+(e?1:-1)];}if(p||(!p&&o===A[0]&&!e&&this.getValueStateLinks().length)){this.setProperty("formattedTextFocused",!p);}return N;};
m.prototype.getNonSeparatorSelectableItems=function(i){return i.filter(function(o){return!o.isA("sap.ui.core.SeparatorItem");});};
m.prototype._itemsTextStartsWithTypedValue=function(i,t){if(!i||typeof t!="string"||t==""){return false;}return i.getText().toLowerCase().startsWith(t.toLowerCase());};
m.prototype._shouldResetSelectionStart=function(i){var o=this.getFocusDomRef(),e=this._getSelectionRange(),p=e.start!==e.end,t=o.value.substring(0,e.start),r=this._itemsTextStartsWithTypedValue(i,t);return!(r&&(p||this._bIsLastFocusedItemHeader));};
m.prototype._getSelectionRange=function(){var o=this.getFocusDomRef(),v=this.getValue(),i=o.selectionStart,e=o.selectionEnd,r={start:i,end:e};if(!(D.browser.msie||D.browser.edge)){return r;}if(this._bIsLastFocusedItemHeader){r.start=v.length;r.end=v.length;}return r;};
m.prototype.handleListItemsVisualFocus=function(o){if(this._oLastFocusedListItem){this._oLastFocusedListItem.removeStyleClass("sapMLIBFocused");this._oLastFocusedListItem=null;}else if(this.isOpen()&&this.getFocusDomRef()){this.getFocusDomRef().setAttribute("aria-activedescendant",o.getId());}if(o){this._oLastFocusedListItem=o;o.addStyleClass("sapMLIBFocused");}};
m.prototype.setSelection=function(i){var o=this._getList(),e=this._getSuggestionsPopover(),p,r;this.setAssociation("selectedItem",i);this._setPropertyProtected("selectedItemId",(i instanceof I)?i.getId():i,true);if(typeof i==="string"){i=g.byId(i);}if(o){p=this.getListItem(i);if(p){o.setSelectedItem(p,true);}else{o.removeSelections(true);}}r=i?i.getKey():"";this._setPropertyProtected("selectedKey",r);if(e){e._iPopupListSelectedIndex=this.getItems().indexOf(i);}};
m.prototype.isSelectionSynchronized=function(){var i=this.getSelectedItem();return this.getSelectedKey()===(i&&i.getKey());};
m.prototype.isFiltered=function(){var o=this._getList();return o&&(o.getVisibleItems().length!==this.getItems().length);};
m.prototype.isItemVisible=function(i){return i&&(i.bVisible===undefined||i.bVisible);};
m.prototype._mapItemToListItem=function(i){var o,e,p,A;var r=this.getRenderer();if(!i){return null;}A=(i.getAdditionalText&&this.getShowSecondaryValues())?i.getAdditionalText():"";e=r.CSS_CLASS_COMBOBOXBASE+"Item";p=(this.isItemSelected(i))?e+"Selected":"";if(i.isA("sap.ui.core.SeparatorItem")){o=this._mapSeparatorItemToGroupHeader(i,r);}else{o=new S({type:j.Active,info:A,visible:i.getEnabled()}).addStyleClass(e+" "+p);}o.setTitle(i.getText());this.setSelectable(i,i.getEnabled());o.setTooltip(i.getTooltip());i.data(r.CSS_CLASS_COMBOBOXBASE+"ListItem",o);i.getCustomData().forEach(function(t){o.addCustomData(t.clone());});this._oItemObserver.observe(i,{properties:["text","additionalText","enabled","tooltip"]});return o;};
m.prototype._forwardItemProperties=function(p){var i=p.object,o=i.data(this.getRenderer().CSS_CLASS_COMBOBOXBASE+"ListItem"),e={text:"title",enabled:"visible",tooltip:"tooltip"},A,P,r;if(Object.keys(e).indexOf(p.name)>-1){P=e[p.name];r="set"+P.charAt(0).toUpperCase()+P.slice(1);o[r](p.current);}if(p.name==="additionalText"){A=this.getShowSecondaryValues()?p.current:"";o.setInfo(A);}};
m.prototype.isItemSelected=function(i){return i&&(i.getId()===this.getAssociation("selectedItem"));};
m.prototype.setAssociation=function(A,i,e){var o=this._getList();if(o&&(A==="selectedItem")){if(!(i instanceof I)){i=this.findItem("id",i);}o.setSelectedItem(this.getListItem(i),true);}return a.prototype.setAssociation.apply(this,arguments);};
m.prototype.removeAllAssociation=function(A,e){var o=this._getList();if(o&&(A==="selectedItem")){L.prototype.removeAllAssociation.apply(o,arguments);}return a.prototype.removeAllAssociation.apply(this,arguments);};
m.prototype.init=function(){this._oRb=g.getLibraryResourceBundle("sap.m");a.prototype.init.apply(this,arguments);this.bOpenValueStateMessage=true;this._sValueBeforeOpen="";this._sInputValueBeforeOpen="";this._oSelectedItemBeforeOpen=null;this._oFirstItemTextMatched=null;this.bIsFocused=false;if(D.system.phone){this.attachEvent("_change",this.onPropertyChange,this);}this._oLastFocusedListItem=null;this._bIsLastFocusedItemHeader=null;this._oItemObserver=new M(this._forwardItemProperties.bind(this));};
m.prototype.onBeforeRendering=function(){a.prototype.onBeforeRendering.apply(this,arguments);var o=this.getSelectedItem(),e=this._getList(),i=o&&this.getListItem(o),F=this.getProperty("formattedTextFocused"),p=this.getPicker()&&this.getPicker().getCustomHeader(),P=(D.browser.msie&&p&&p.getFormattedText)?p.getFormattedText():p;this.synchronizeSelection();if(!this.getOpen()&&document.activeElement===this.getFocusDomRef()){this.addStyleClass("sapMFocus");}if(F){P.addStyleClass("sapMPseudoFocus");e.removeStyleClass("sapMListFocus");i.removeStyleClass("sapMLIBFocused");this.removeStyleClass("sapMFocus");}else if(P){P.removeStyleClass("sapMPseudoFocus");}};
m.prototype._fillList=function(){var o=this._getList(),e,p,r,i,t;if(!o){return;}if(this._oLastFocusedListItem){t=this._getItemByListItem(this._oLastFocusedListItem);}o.destroyItems();e=this.getItems();if(this._sInputValueBeforeOpen){e=this.filterItems({properties:this._getFilters(),value:this._sInputValueBeforeOpen});}for(i=0,r=e.length;i<r;i++){p=this._mapItemToListItem(e[i]);o.addAggregation("items",p,true);}if(t){this._oLastFocusedListItem=this.getListItem(t);}};
m.prototype.exit=function(){a.prototype.exit.apply(this,arguments);this._oRb=null;this._oSelectedItemBeforeOpen=null;this._oFirstItemTextMatched=null;this._oLastFocusedListItem=null;if(this._oSuggestionPopover){if(this._oPickerCustomHeader){this._oPickerCustomHeader.destroy();this._oPickerCustomHeader=null;}this._oSuggestionPopover.destroy();this._oSuggestionPopover=null;}if(this._oItemObserver){this._oItemObserver.disconnect();this._oItemObserver=null;}};
m.prototype.onBeforeRenderingPicker=function(){var o=this["onBeforeRendering"+this.getPickerType()];o&&o.call(this);};
m.prototype.onBeforeRenderingDropdown=function(){var p=this.getPicker(),w=(this.$().outerWidth()/parseFloat(l.BaseFontSize))+"rem";if(p){p.setContentMinWidth(w);}};
m.prototype.onBeforeRenderingList=function(){if(this.bProcessingLoadItemsEvent){var o=this._getList(),F=this.getFocusDomRef();if(o){o.setBusy(true);}if(F){F.setAttribute("aria-busy","true");}}};
m.prototype.onAfterRenderingPicker=function(){var o=this["onAfterRendering"+this.getPickerType()];o&&o.call(this);n.call(this,false);};
m.prototype.onAfterRenderingList=function(){var o=this.getSelectedItem(),e=this.getListItem(o);if(this.bProcessingLoadItemsEvent&&(this.getItems().length===0)){return;}var i=this._getList(),F=this.getFocusDomRef();this._highlightList(this._sInputValueBeforeOpen);if(o){i.setSelectedItem(e);this.handleListItemsVisualFocus(e);}if(i){i.setBusy(false);}if(F){F.removeAttribute("aria-busy");}};
m.prototype.oninput=function(e){a.prototype.oninput.apply(this,arguments);this.syncPickerContent();if(e.isMarked("invalid")){return;}this.loadItems(function(){this.handleInputValidation(e,this.isComposingCharacter());},{name:"input",busyIndicator:false});if(this.bProcessingLoadItemsEvent&&(this.getPickerType()==="Dropdown")){this.open();}if(this._oLastFocusedListItem){this._oLastFocusedListItem.removeStyleClass("sapMLIBFocused");this._oLastFocusedListItem=null;}this.setFormattedTextFocused(false);this.addStyleClass("sapMFocus");this._getList().removeStyleClass("sapMListFocus");if(this._getItemsShownWithFilter()){this.toggleIconPressedStyle(true);}};
m.prototype.handleInputValidation=function(e,i){var v,o,F,p,r,t=this.getSelectedItem(),V=e.target.value,E=V==="",u=e.srcControl,w=(this.getPickerType()==="Dropdown");if(E&&!this.bOpenedByKeyboardOrButton&&!this.isPickerDialog()){v=this.getItems();}else{v=this.filterItems({properties:this._getFilters(),value:V});}F=v[0];p=v.some(function(x){return x.getKey()===this.getSelectedKey();},this);o=this.intersectItems(this._filterStartsWithItems(V,'getText'),v);r=!E&&F&&F.getEnabled();if(F&&this.getSelectedKey()&&!p){this.setSelection(null);}if(r&&u&&u._bDoTypeAhead){this.handleTypeAhead(u,v,V,i);}else if(r&&V===o[0].getText()){this.setSelection(o[0]);}else{this.setSelection(null);}if(t!==this.getSelectedItem()){this.fireSelectionChange({selectedItem:this.getSelectedItem()});}this._sInputValueBeforeOpen=V;if(this.isOpen()){setTimeout(function(){this._highlightList(V);}.bind(this));}if(F){if(E&&!this.bOpenedByKeyboardOrButton){this.close();}else if(w){this.open();this.scrollToItem(this.getSelectedItem());}}else if(this.isOpen()){if(w&&!this.bOpenedByKeyboardOrButton){this.close();}}else{this.clearFilter();}};
m.prototype.handleTypeAhead=function(i,e,v,o){var p=this.intersectItems(this._filterStartsWithItems(v,'getText'),e);var r=this.getFilterSecondaryValues();var t=D.system.desktop;var u=this.intersectItems(this._filterStartsWithItems(v,'getAdditionalText'),e);if(r&&!p[0]&&u[0]){!o&&i.updateDomValue(u[0].getAdditionalText());this.setSelection(u[0]);}else if(p[0]){!o&&i.updateDomValue(p[0].getText());this.setSelection(p[0]);}if(t){s.call(i,v.length,i.getValue().length);}else{setTimeout(s.bind(i,v.length,i.getValue().length),0);}this.addStyleClass("sapMFocus");this._getList().removeStyleClass("sapMListFocus");};
m.prototype.onSelectionChange=function(o){var i=this._getItemByListItem(o.getParameter("listItem")),p=this.getChangeEventParams(),e=(i!==this.getSelectedItem());this.updateDomValue(i.getText());this.setSelection(i);this.fireSelectionChange({selectedItem:this.getSelectedItem()});if(e){p.itemPressed=true;this.onChange(null,p);}};
m.prototype.onItemPress=function(o){var e=o.getParameter("listItem"),t=e.getTitle(),p=this.getChangeEventParams(),i=(e!==this.getListItem(this.getSelectedItem()));if(e.isA("sap.m.GroupHeaderListItem")){return;}this.handleListItemsVisualFocus(e);this.updateDomValue(t);if(!i){p.itemPressed=true;this.onChange(null,p);}this._setPropertyProtected("value",t,true);if(this.getPickerType()==="Dropdown"&&!this.isPlatformTablet()){this.selectText.bind(this,this.getValue().length,this.getValue().length);}this.close();};
m.prototype.onBeforeOpen=function(){a.prototype.onBeforeOpen.apply(this,arguments);var p=this["onBeforeOpen"+this.getPickerType()],o=this.getFocusDomRef();this.setProperty("open",true);if(this.hasLoadItemsEventListeners()&&!this.bProcessingLoadItemsEvent){this.loadItems();}if(o){o.setAttribute("aria-controls",this.getPicker().getId());}this.addContent();p&&p.call(this);};
m.prototype.onBeforeOpenDialog=function(){var p=this.getPickerTextField();this._oSelectedItemBeforeOpen=this.getSelectedItem();this._sValueBeforeOpen=this.getValue();if(this.getSelectedItem()){this.filterItems({properties:this._getFilters(),value:""});}p.setValue(this._sValueBeforeOpen);};
m.prototype.onAfterOpen=function(){var i=this.getSelectedItem(),o=this._getSelectionRange(),t=this.isPlatformTablet();this.closeValueStateMessage();n.call(this,true);if(!t&&i&&o.start===o.end&&o.start>1){setTimeout(function(){this.selectText(0,o.end);}.bind(this),0);}};
m.prototype.onBeforeClose=function(){a.prototype.onBeforeClose.apply(this,arguments);var o=this.getFocusDomRef();this.setProperty("open",false);this.setProperty("formattedTextFocused",false);if(o){o.removeAttribute("aria-controls");}this.toggleIconPressedStyle(false);};
m.prototype.onAfterClose=function(){this.clearFilter();this._sInputValueBeforeOpen="";if(this.isPickerDialog()){a.prototype.closeValueStateMessage.apply(this,arguments);}};
m.prototype.onItemChange=function(o){var e=this.getAssociation("selectedItem"),N=o.getParameter("newValue"),p=o.getParameter("name");if(e===o.getParameter("id")){switch(p){case"text":if(!this.isBound("value")){this.setValue(N);}break;case"key":if(!this.isBound("selectedKey")){this.setSelectedKey(N);}break;}}};
m.prototype.onkeydown=function(e){var o=e.srcControl;a.prototype.onkeydown.apply(o,arguments);if(!o.getEnabled()||!o.getEditable()){return;}var i=K;o._bDoTypeAhead=!D.os.android&&(e.which!==i.BACKSPACE)&&(e.which!==i.DELETE);};
m.prototype.oncut=function(e){var o=e.srcControl;a.prototype.oncut.apply(o,arguments);o._bDoTypeAhead=false;};
m.prototype.onsapenter=function(e){var o=e.srcControl,i=o.getSelectedItem();if(i&&this.getFilterSecondaryValues()){o.updateDomValue(i.getText());}a.prototype.onsapenter.apply(o,arguments);if(!o.getEnabled()||!o.getEditable()){return;}if(o.isOpen()&&!this.isComposingCharacter()){o.close();}};
m.prototype.onsapdown=function(e){var o=e.srcControl;if(!o.getEnabled()||!o.getEditable()){return;}this.syncPickerContent();e.setMarked();e.preventDefault();this.loadItems(function navigateToNextSelectableItem(){H.call(this,o,this.getNextFocusableItem(true));});};
m.prototype.onsapup=function(e){var o=e.srcControl;if(!o.getEnabled()||!o.getEditable()){return;}this.syncPickerContent();e.setMarked();e.preventDefault();this.loadItems(function navigateToPrevSelectableItem(){H.call(this,o,this.getNextFocusableItem(false));});};
m.prototype.onsaphome=function(e){var o=e.srcControl;if(!o.getEnabled()||!o.getEditable()){return;}this.syncPickerContent();e.setMarked();if(this.getValueStateLinks().length){this.setProperty("formattedTextFocused",true);}e.preventDefault();this.loadItems(function navigateToFirstSelectableItem(){var F=this.getSelectableItems()[0];H.call(this,o,F);});};
m.prototype.onsapend=function(e){var o=e.srcControl;if(!o.getEnabled()||!o.getEditable()){return;}this.syncPickerContent();e.setMarked();e.preventDefault();if(this.getValueStateLinks().length&&this.getFormattedTextFocused()){this.setProperty("formattedTextFocused",false);}this.loadItems(function navigateToLastSelectableItem(){var i=this.findLastEnabledItem(this.getSelectableItems());H.call(this,o,i);});};
m.prototype.onsappagedown=function(e){var o=e.srcControl;if(!o.getEnabled()||!o.getEditable()){return;}this.syncPickerContent();e.setMarked();e.preventDefault();if(this.getValueStateLinks().length&&this.getFormattedTextFocused()){this.setProperty("formattedTextFocused",false);}this.loadItems(function(){var i=this.getNonSeparatorSelectableItems(this.getSelectableItems()),p=i.indexOf(this.getSelectedItem())+10,r;p=(p>i.length-1)?i.length-1:Math.max(0,p);r=i[p];H.call(this,o,r);});};
m.prototype.onsappageup=function(e){var o=e.srcControl;if(!o.getEnabled()||!o.getEditable()){return;}this.syncPickerContent();e.setMarked();e.preventDefault();this.loadItems(function(){var i=this.getNonSeparatorSelectableItems(this.getSelectableItems()),p=i.indexOf(this.getSelectedItem())-10,r;p=(p>i.length-1)?i.length-1:Math.max(0,p);r=i[p];H.call(this,o,r);});};
m.prototype.onsapshow=function(e){var i,o,E=this.getEditable(),p;a.prototype.onsapshow.apply(this,arguments);this.syncPickerContent();if(!this.getValue()&&E){i=this.getSelectableItems();o=this.getNonSeparatorSelectableItems(i)[0];if(o){p=this.getListItem(o);if(this.isOpen()){this.removeStyleClass("sapMFocus");this._getList().addStyleClass("sapMListFocus");this.handleListItemsVisualFocus(p);}else{this.addStyleClass("sapMFocus");}this.setSelection(o);this.updateDomValue(o.getText());this.fireSelectionChange({selectedItem:o});setTimeout(function(){this.selectText(0,o.getText().length);}.bind(this),0);}}};
m.prototype.onsaphide=m.prototype.onsapshow;
m.prototype.ontap=function(e){var o=this.getFocusDomRef(),A="aria-activedescendant";this.addStyleClass("sapMFocus");if(this.getFormattedTextFocused()){this.setFormattedTextFocused(false);}else if((this.getOpen()&&this._getList().hasStyleClass("sapMListFocus"))||this._oLastFocusedListItem){this._getList().removeStyleClass("sapMListFocus");this._oLastFocusedListItem.removeStyleClass("sapMLIBFocused");this._oLastFocusedListItem=null;o.removeAttribute(A);}};
m.prototype.onfocusin=function(e){var i=this.getPickerType()==="Dropdown";if(this._bIsBeingDestroyed){return;}if(e.target===this.getOpenArea()){this.bOpenValueStateMessage=false;if(i&&!this.isPlatformTablet()){this.focus();}}else{if(i){setTimeout(function(){if(document.activeElement===this.getFocusDomRef()&&!this.bIsFocused&&!this.bFocusoutDueRendering&&!this.getSelectedText()){this.selectText(0,this.getValue().length);}this.bIsFocused=true;}.bind(this),0);}if(!this.isOpen()&&this.bOpenValueStateMessage&&this.shouldValueStateMessageBeOpened()){this.openValueStateMessage();}this.bOpenValueStateMessage=true;}if(this.getEnabled()&&(!this.isOpen()||!this.getSelectedItem()||!this._getList().hasStyleClass("sapMListFocus"))){this.addStyleClass("sapMFocus");}};
m.prototype.onsapfocusleave=function(e){this.bIsFocused=false;var t,p,r,F,i=this.getSelectedItem();if(i&&this.getFilterSecondaryValues()){this.updateDomValue(i.getText());}a.prototype.onsapfocusleave.apply(this,arguments);if(this.isPickerDialog()){return;}p=this.getPicker();if(!e.relatedControlId||!p){return;}t=this.isPlatformTablet();r=g.byId(e.relatedControlId);F=r&&r.getFocusDomRef();if(c(p.getFocusDomRef(),F)&&!t&&!this.getFormattedTextFocused()){this.focus();}};
m.prototype.synchronizeSelection=function(){if(this.isSelectionSynchronized()){return;}var e=this.getSelectedKey(),i=this.getItemByKey(""+e);if(i&&(e!=="")){this.setAssociation("selectedItem",i,true);this._setPropertyProtected("selectedItemId",i.getId(),true);if(this._sValue===this.getValue()){this.setValue(i.getText());this._sValue=this.getValue();}}};
m.prototype.configPicker=function(p){var r=this.getRenderer(),e=r.CSS_CLASS_COMBOBOXBASE;p.setHorizontalScrolling(false).addStyleClass(e+"Picker").addStyleClass(e+"Picker-CTX").attachBeforeOpen(this.onBeforeOpen,this).attachAfterOpen(this.onAfterOpen,this).attachBeforeClose(this.onBeforeClose,this).attachAfterClose(this.onAfterClose,this).addEventDelegate({onBeforeRendering:this.onBeforeRenderingPicker,onAfterRendering:this.onAfterRenderingPicker},this);};
m.prototype._configureList=function(o){var r=this.getRenderer();if(!o){return;}o.setMode(k.SingleSelectMaster).addStyleClass(r.CSS_CLASS_COMBOBOXBASE+"List").addStyleClass(r.CSS_CLASS_COMBOBOX+"List");o.attachSelectionChange(this.onSelectionChange,this).attachItemPress(this.onItemPress,this);o.addEventDelegate({onBeforeRendering:this.onBeforeRenderingList,onAfterRendering:this.onAfterRenderingList},this);};
m.prototype.destroyItems=function(){this.destroyAggregation("items");if(this._getList()){this._getList().destroyItems();}return this;};
m.prototype.getDefaultSelectedItem=function(){return null;};
m.prototype.getChangeEventParams=function(){return{itemPressed:false};};
m.prototype.clearSelection=function(){this.setSelection(null);};
m.prototype.selectText=function(i,e){a.prototype.selectText.apply(this,arguments);this.textSelectionStart=i;this.textSelectionEnd=e;return this;};
m.prototype.removeAllItems=function(){var i=a.prototype.removeAllItems.apply(this,arguments);this._fillList();return i;};
m.prototype.clone=function(i){var o=a.prototype.clone.apply(this,arguments),e=this._getList();if(!this.isBound("items")&&e){o.syncPickerContent();o.setSelectedIndex(this.indexOfItem(this.getSelectedItem()));}return o;};
m.prototype.open=function(){this.syncPickerContent();var o=this._getList();a.prototype.open.call(this);if(this.getSelectedItem()){o.addStyleClass("sapMListFocus");this.removeStyleClass("sapMFocus");}return this;};
m.prototype.syncPickerContent=function(){var p,P=this.getPicker(),e=this.getInputForwardableProperties();if(!P){var i,G;P=this.createPicker(this.getPickerType());p=this.getPickerTextField();this._fillList();if(p){e.forEach(function(o){o=o.charAt(0).toUpperCase()+o.slice(1);i="set"+o;G="get"+o;if(p[i]){p[i](this[G]());}},this);}this._getSuggestionsPopover().updateValueState(this.getValueState(),this.getValueStateText(),this.getShowValueStateMessage());}this.synchronizeSelection();return P;};
m.prototype.findAggregatedObjects=function(){var o=this._getList();if(o){return L.prototype.findAggregatedObjects.apply(o,arguments);}return[];};
m.prototype.setSelectedItem=function(i){if(typeof i==="string"){this.setAssociation("selectedItem",i,true);i=g.byId(i);}if(!(i instanceof I)&&i!==null){return this;}if(!i){i=this.getDefaultSelectedItem();}this.setSelection(i);this.setValue(this._getSelectedItemText(i));return this;};
m.prototype.setSelectedItemId=function(i){i=this.validateProperty("selectedItemId",i);if(!i){i=this.getDefaultSelectedItem();}this.setSelection(i);i=this.getSelectedItem();this.setValue(this._getSelectedItemText(i));return this;};
m.prototype.setSelectedKey=function(e){e=this.validateProperty("selectedKey",e);var i=(e===""),o=this.isBound("selectedKey")&&this.isBound("value")&&this.getBindingInfo("selectedKey").skipModelUpdate;if(i){this.setSelection(null);if(!o){this.setValue("");}return this;}var p=this.getItemByKey(e);if(p){this.setSelection(p);if(!o){this.setValue(this._getSelectedItemText(p));}return this;}this._sValue=this.getValue();return this._setPropertyProtected("selectedKey",e);};
m.prototype._setPropertyProtected=function(p,v,i){try{return this.setProperty(p,v,i);}catch(e){h.warning("setSelectedKey update failed due to exception. Loggable in support mode log",null,null,function(){return{exception:e};});}};
m.prototype.getSelectedItem=function(){var v=this.getAssociation("selectedItem");return(v===null)?null:g.byId(v)||null;};
m.prototype.removeItem=function(i){i=a.prototype.removeItem.apply(this,arguments);var o;if(this._getList()){this._getList().removeItem(i&&this.getListItem(i));}if(this.isBound("items")&&!this.bItemsUpdated){return i;}var v=this.getValue();if(this.getItems().length===0){this.clearSelection();}else if(this.isItemSelected(i)){o=this.getDefaultSelectedItem();this.setSelection(o);this.setValue(v);}return i;};
m.prototype._modifyPopupInput=function(i){a.prototype._modifyPopupInput.apply(this,arguments);i.addEventDelegate({onsapenter:function(){var t=i.getValue();this.updateDomValue(t);this.onChange();if(t){this.updateDomValue(t);this.onChange();this.close();}}},this);return i;};
m.prototype.applyShowItemsFilters=function(){var p,P;this.syncPickerContent();p=this.getPicker();P=function(){p.detachBeforeOpen(P,this);p=null;this.filterItems({value:this.getValue()||"_",properties:this._getFilters()});};p.attachBeforeOpen(P,this);};
m.prototype._getFormattedValueStateText=function(){if(this.isOpen()){return this._getSuggestionsPopover()._getValueStateHeader().getFormattedText();}else{return C.prototype.getFormattedValueStateText.call(this);}};
return m;});
sap.ui.predefine('sap/m/ComboBoxBase',['./Dialog','./ComboBoxTextField','./Input','./GroupHeaderListItem','./SuggestionsPopover','sap/ui/core/SeparatorItem','sap/ui/core/InvisibleText','sap/base/Log','./library','sap/ui/Device','sap/ui/core/library','./ComboBoxBaseRenderer',"sap/ui/dom/containsOrEquals","sap/ui/events/KeyCodes","sap/ui/thirdparty/jquery","sap/base/security/encodeXML","sap/base/strings/escapeRegExp"],function(D,C,I,G,S,a,b,L,l,c,d,e,f,K,q,g,h){"use strict";var P=l.PlacementType;var j=["value","enabled","name","placeholder","editable","textAlign","textDirection","valueState","valueStateText"];
var k=C.extend("sap.m.ComboBoxBase",{metadata:{library:"sap.m","abstract":true,defaultAggregation:"items",properties:{showSecondaryValues:{type:"boolean",group:"Misc",defaultValue:false},formattedTextFocused:{type:"boolean",defaultValue:false,hidden:true},open:{type:"boolean",defaultValue:false,hidden:true}},aggregations:{items:{type:"sap.ui.core.Item",multiple:true,singularName:"item",bindable:"bindable"},picker:{type:"sap.ui.core.PopupInterface",multiple:false,visibility:"hidden"}},events:{loadItems:{}},dnd:{draggable:false,droppable:true}}});
k.DEFAULT_TEXT_FILTER=function(i,o,p){var s,m,M;if(!o[p]){return false;}s=o[p]().toLowerCase();m=i.toLowerCase();M=new RegExp('(^|\\s)'+h(m)+".*",'g');return M.test(s);};
k.prototype.oncompositionstart=function(){this._bIsComposingCharacter=true;};
k.prototype.oncompositionend=function(E){this._bIsComposingCharacter=false;this._sComposition=E.target.value;if(!c.browser.edge&&!c.browser.firefox){C.prototype.handleInput.apply(this,arguments);this.handleInputValidation(E,this.isComposingCharacter());}};
k.prototype.isComposingCharacter=function(){return this._bIsComposingCharacter;};
k.prototype.updateItems=function(r){this.bItemsUpdated=false;this.destroyItems();this.updateAggregation("items");this.bItemsUpdated=true;if(this.hasLoadItemsEventListeners()){this.onItemsLoaded();}};
k.prototype.setFilterFunction=function(F){if(F===null||F===undefined){this.fnFilter=null;return this;}if(typeof(F)!=="function"){L.warning("Passed filter is not a function and the default implementation will be used");}else{this.fnFilter=F;}return this;};
k.prototype.highLightList=function(v,i,B){if(B&&typeof B==="function"){B(i,v);}else{this._getSuggestionsPopover().highlightSuggestionItems(i,v,true);}};
k.prototype._highlightList=function(v){var i=[],m=[],o,n,p;this._getList().getItems().forEach(function(r){n=r.getDomRef();p=n&&n.getElementsByClassName("sapMSLITitleOnly")[0];if(p){i.push(p);o=n.querySelector(".sapMSLIInfo");if(o&&r.getInfo){m.push(o);}}});this.highLightList(v,i);this.highLightList(v,m);};
k.prototype._modifyPopupInput=function(i){this.setTextFieldHandler(i);return i;};
k.prototype.setTextFieldHandler=function(t){var i=this,T=t._handleEvent;t._handleEvent=function(E){T.apply(this,arguments);if(/keydown|sapdown|sapup|saphome|sapend|sappagedown|sappageup|input/.test(E.type)){i._handleEvent(E);}};};
k.prototype.refreshItems=function(){this.bItemsUpdated=false;this.refreshAggregation("items");};
k.prototype.loadItems=function(i,o){var m=typeof i==="function";if(this.hasLoadItemsEventListeners()&&(this.getItems().length===0)){this._bOnItemsLoadedScheduled=false;if(m){o=q.extend({action:i,busyIndicator:true,busyIndicatorDelay:300},o);this.aMessageQueue.push(o);if((this.iLoadItemsEventInitialProcessingTimeoutID===-1)&&(o.busyIndicator)){this.iLoadItemsEventInitialProcessingTimeoutID=setTimeout(function onItemsNotLoadedAfterDelay(){this.setInternalBusyIndicatorDelay(0);this.setInternalBusyIndicator(true);}.bind(this),o.busyIndicatorDelay);}}if(!this.bProcessingLoadItemsEvent){this.bProcessingLoadItemsEvent=true;this.fireLoadItems();}}else if(m){i.call(this);}};
k.prototype.onItemsLoaded=function(){this.bProcessingLoadItemsEvent=false;clearTimeout(this.iLoadItemsEventInitialProcessingTimeoutID);if(this.bInitialBusyIndicatorState!==this.getBusy()){this.setInternalBusyIndicator(this.bInitialBusyIndicatorState);}if(this.iInitialBusyIndicatorDelay!==this.getBusyIndicatorDelay()){this.setInternalBusyIndicatorDelay(this.iInitialBusyIndicatorDelay);}for(var i=0,m,n,o;i<this.aMessageQueue.length;i++){m=this.aMessageQueue.shift();i--;o=(i+1)===this.aMessageQueue.length;n=o?null:this.aMessageQueue[i+1];if(typeof m.action==="function"){if((m.name==="input")&&!o&&(n.name==="input")){continue;}m.action.call(this);}}};
k.prototype.hasLoadItemsEventListeners=function(){return this.hasListeners("loadItems");};
k.prototype._scheduleOnItemsLoadedOnce=function(){if(!this._bOnItemsLoadedScheduled&&!this.isBound("items")&&this.hasLoadItemsEventListeners()&&this.bProcessingLoadItemsEvent){this._bOnItemsLoadedScheduled=true;setTimeout(this.onItemsLoaded.bind(this),0);}};
k.prototype.getPickerInvisibleTextId=function(){return b.getStaticId("sap.m","COMBOBOX_AVAILABLE_OPTIONS");};
k.prototype._getGroupHeaderInvisibleText=function(){if(!this._oGroupHeaderInvisibleText){this._oGroupHeaderInvisibleText=new b();this._oGroupHeaderInvisibleText.toStatic();}return this._oGroupHeaderInvisibleText;};
k.prototype._getItemByListItem=function(o){return this._getItemBy(o,"ListItem");};
k.prototype._getItemBy=function(o,s){s=this.getRenderer().CSS_CLASS_COMBOBOXBASE+s;for(var i=0,m=this.getItems(),n=m.length;i<n;i++){if(m[i].data(s)===o){return m[i];}}return null;};
k.prototype._isListInSuggestMode=function(){return this._getList().getItems().some(function(o){return!o.getVisible()&&this._getItemByListItem(o).getEnabled();},this);};
k.prototype.getListItem=function(i){return i?i.data(this.getRenderer().CSS_CLASS_COMBOBOXBASE+"ListItem"):null;};
k.prototype.getSelectable=function(i){return i._bSelectable;};
k.prototype._setItemsShownWithFilter=function(v){this._bItemsShownWithFilter=v;};
k.prototype._getItemsShownWithFilter=function(){return this._bItemsShownWithFilter;};
k.prototype.init=function(){C.prototype.init.apply(this,arguments);this.setPickerType(c.system.phone?"Dialog":"Dropdown");this._setItemsShownWithFilter(false);this.bItemsUpdated=false;this.bOpenedByKeyboardOrButton=false;this._bShouldClosePicker=false;this._oPickerValueStateText=null;this.bProcessingLoadItemsEvent=false;this.iLoadItemsEventInitialProcessingTimeoutID=-1;this.aMessageQueue=[];this.bInitialBusyIndicatorState=this.getBusy();this.iInitialBusyIndicatorDelay=this.getBusyIndicatorDelay();this._bOnItemsLoadedScheduled=false;this._bDoTypeAhead=true;this.getIcon().addEventDelegate({onmousedown:function(E){this._bShouldClosePicker=this.isOpen();}},this);this.getIcon().attachPress(this._handlePopupOpenAndItemsLoad.bind(this,true));this._sComposition="";this.fnFilter=null;};
k.prototype.onBeforeRendering=function(){var s=this.getOpen(),v=s?this._getSuggestionsPopover()._getValueStateHeader().getText():null,V=s?this._getSuggestionsPopover()._getValueStateHeader().getValueState():null;C.prototype.onBeforeRendering.apply(this,arguments);if(s&&((this.getValueStateText()&&v!==this.getValueStateText())||(this.getValueState()!==V)||this.getFormattedValueStateText())){this._updateSuggestionsPopoverValueState();}};
k.prototype._handlePopupOpenAndItemsLoad=function(o){var p;if(!this.getEnabled()||!this.getEditable()){return;}if(o&&this._getItemsShownWithFilter()){this._bShouldClosePicker=false;this.toggleIconPressedStyle(true);this.bOpenedByKeyboardOrButton=false;this.clearFilter();this._setItemsShownWithFilter(false);return;}if(this._bShouldClosePicker){this._bShouldClosePicker=false;this.close();return;}this.loadItems();this.bOpenedByKeyboardOrButton=o;if(this.isPlatformTablet()){this.syncPickerContent();p=this.getPicker();p.setInitialFocus(p);}this.open();};
k.prototype.exit=function(){C.prototype.exit.apply(this,arguments);if(this._getList()){this._getList().destroy();this._oList=null;}if(this._getGroupHeaderInvisibleText()){this._getGroupHeaderInvisibleText().destroy();this._oGroupHeaderInvisibleText=null;}clearTimeout(this.iLoadItemsEventInitialProcessingTimeoutID);this.aMessageQueue=null;this.fnFilter=null;};
k.prototype.onsapshow=function(E){if(!this.getEnabled()||!this.getEditable()){return;}E.setMarked();if(E.keyCode===K.F4){this.onF4(E);}if(this._getItemsShownWithFilter()){this.loadItems(this._handlePopupOpenAndItemsLoad.bind(this,true));return;}if(this.isOpen()){this.close();return;}this.selectText(0,this.getValue().length);this.loadItems();this.bOpenedByKeyboardOrButton=true;this.open();};
k.prototype.onF4=function(E){E.preventDefault();};
k.prototype.onsapescape=function(E){if(this.getEnabled()&&this.getEditable()&&this.isOpen()){E.setMarked();E.preventDefault();this.close();}else{C.prototype.onsapescape.apply(this,arguments);}};
k.prototype.onsaphide=k.prototype.onsapshow;
k.prototype.onsapfocusleave=function(E){if(!E.relatedControlId){C.prototype.onsapfocusleave.apply(this,arguments);return;}var r=sap.ui.getCore().byId(E.relatedControlId);if(r===this){return;}var p=this.getPicker(),F=r&&r.getFocusDomRef();if(p&&f(p.getFocusDomRef(),F)){return;}C.prototype.onsapfocusleave.apply(this,arguments);};
k.prototype.getPopupAnchorDomRef=function(){return this.getDomRef();};
k.prototype.addContent=function(p){};
k.prototype.getList=function(){L.warning("[Warning]:","You are attempting to use deprecated method 'getList()', please refer to SAP note 2746748.",this);return this._getList();};
k.prototype._getList=function(){if(this.bIsDestroyed){return null;}return this._oList;};
k.prototype.setPickerType=function(p){this._sPickerType=p;};
k.prototype.getPickerType=function(){return this._sPickerType;};
k.prototype._updateSuggestionsPopoverValueState=function(){var s=this._getSuggestionsPopover();if(!s){return;}var v=this.getValueState(),n=this.getValueState()!==s._getValueStateHeader().getValueState(),N=this.getFormattedValueStateText(),V=this.getValueStateText(),i=N||n;if(s.isOpen()&&!i){this.setFormattedValueStateText(s._getValueStateHeader().getFormattedText());}s.updateValueState(v,(N||V),this.getShowValueStateMessage());};
k.prototype.shouldValueStateMessageBeOpened=function(){var s=C.prototype.shouldValueStateMessageBeOpened.apply(this,arguments);return(s&&!this.isOpen());};
k.prototype.onPropertyChange=function(o,i){var n=o.getParameter("newValue"),p=o.getParameter("name"),m="set"+p.charAt(0).toUpperCase()+p.slice(1),r=(i&&i.srcControl)||this.getPickerTextField();if(this.getInputForwardableProperties().indexOf(p)>-1&&r&&(typeof r[m]==="function")){r[m](n);}};
k.prototype.getInputForwardableProperties=function(){return j;};
k.prototype.isPickerDialog=function(){return this.getPickerType()==="Dialog";};
k.prototype.isPlatformTablet=function(){var n=!c.system.combi,t=c.system.tablet&&n;return t;};
k.prototype.createPickerTextField=function(){var i=new I({width:"100%",showValueStateMessage:false});return i;};
k.prototype.getDropdownSettings=function(){return{showArrow:false,placement:P.VerticalPreferredBottom,offsetX:0,offsetY:0,bounce:false,ariaLabelledBy:this.getPickerInvisibleTextId()||undefined};};
k.prototype._configureList=function(){};
k.prototype.createPicker=function(p){var o=this.getAggregation("picker");if(o){return o;}this._oSuggestionPopover=this._createSuggestionsPopover();o=this._oSuggestionPopover._oPopover;this.setAggregation("picker",o,true);this.configPicker(o);return o;};
k.prototype.configPicker=function(p){};
k.prototype._hasShowSelectedButton=function(){return false;};
k.prototype._createSuggestionsPopover=function(){var u=this.isPickerDialog(),s;s=new S(this);if(u){var i=this.createPickerTextField();s._oPopupInput=this._modifyPopupInput(i);}s._createSuggestionPopup({showSelectedButton:this._hasShowSelectedButton()});s._createSuggestionPopupContent(false);this.forwardEventHandlersToSuggPopover(s);this._oList=s._oList;this._configureList(this._oList);return s;};
k.prototype.forwardEventHandlersToSuggPopover=function(s){s.setOkPressHandler(this._handleOkPress.bind(this));s.setCancelPressHandler(this._handleCancelPress.bind(this));s.setInputLabels(this.getLabels.bind(this));};
k.prototype._handleOkPress=function(){var t=this,T=t.getPickerTextField();t.updateDomValue(T.getValue());t.onChange();t.close();};
k.prototype._handleCancelPress=function(){this.close();this.revertSelection();};
k.prototype.setSelectable=function(i,s){if(this.indexOfItem(i)<0){return;}i._bSelectable=s;var o=this.getListItem(i);if(o){o.setVisible(s);}};
k.prototype.onBeforeOpen=function(){this._updateSuggestionsPopoverValueState();if(!this._getItemsShownWithFilter()){this.toggleIconPressedStyle(true);}};
k.prototype.onBeforeClose=function(){this.bOpenedByKeyboardOrButton=false;this._setItemsShownWithFilter(false);this._updateSuggestionsPopoverValueState();};
k.prototype.getPicker=function(){var p=this.getAggregation("picker");if(p&&!p.bIsDestroyed&&!this.bIsDestroyed){return p;}return null;};
k.prototype._getSuggestionsPopover=function(){return this._oSuggestionPopover;};
k.prototype.getValueStateLinks=function(){var H=this.getPicker()&&this.getPicker().getCustomHeader()&&typeof this.getPicker().getCustomHeader().getFormattedText==="function",F=H&&this.getPicker().getCustomHeader().getFormattedText(),v=F&&F.getControls();return v||[];};
k.prototype.getPickerTextField=function(){var p=this.getPicker(),s=p&&p.getSubHeader();return s&&s.getContent()[0]||null;};
k.prototype.getPickerTitle=function(){var p=this.getPicker(),H=p&&p.getCustomHeader();if(this.isPickerDialog()&&H){return H.getContentMiddle()[0];}return null;};
k.prototype.revertSelection=function(){};
k.prototype.hasContent=function(){return this.getItems().length>0;};
k.prototype.syncPickerContent=function(){};
k.prototype.findFirstEnabledItem=function(m){m=m||this.getItems();for(var i=0;i<m.length;i++){if(m[i].getEnabled()){return m[i];}}return null;};
k.prototype.findLastEnabledItem=function(i){i=i||this.getItems();return this.findFirstEnabledItem(i.reverse());};
k.prototype.open=function(){var p=this.getPicker();if(p){p.open();}return this;};
k.prototype.getVisibleItems=function(){for(var i=0,o,m=this.getItems(),v=[];i<m.length;i++){o=this.getListItem(m[i]);if(o&&o.getVisible()){v.push(m[i]);}}return v;};
k.prototype.isItemSelected=function(){};
k.prototype.getKeys=function(m){m=m||this.getItems();for(var i=0,n=[];i<m.length;i++){n[i]=m[i].getKey();}return n;};
k.prototype.getSelectableItems=function(){return this.getEnabledItems(this.getVisibleItems());};
k.prototype.findItem=function(p,v){var m="get"+p.charAt(0).toUpperCase()+p.slice(1);for(var i=0,n=this.getItems();i<n.length;i++){if(n[i][m]()===v){return n[i];}}return null;};
k.prototype.getItemByText=function(t){return this.findItem("text",t);};
k.prototype.clearFilter=function(){this.getItems().forEach(function(i){var o=this.getListItem(i);if(o){o.setVisible(i.getEnabled()&&this.getSelectable(i));}},this);};
k.prototype.onItemChange=function(o){};
k.prototype.clearSelection=function(){};
k.prototype.setInternalBusyIndicator=function(B){this.bInitialBusyIndicatorState=this.getBusy();return this.setBusy.apply(this,arguments);};
k.prototype.setInternalBusyIndicatorDelay=function(i){this.iInitialBusyIndicatorDelay=this.getBusyIndicatorDelay();return this.setBusyIndicatorDelay.apply(this,arguments);};
k.prototype.addItem=function(i){this.addAggregation("items",i);if(i){i.attachEvent("_change",this.onItemChange,this);}if(this._getList()){this._getList().addItem(this._mapItemToListItem(i));}return this;};
k.prototype.insertItem=function(i,m){this.insertAggregation("items",i,m,true);if(i){i.attachEvent("_change",this.onItemChange,this);}if(this._getList()){this._getList().insertItem(this._mapItemToListItem(i),m);}this._scheduleOnItemsLoadedOnce();return this;};
k.prototype.getItemAt=function(i){return this.getItems()[+i]||null;};
k.prototype.getFirstItem=function(){return this.getItems()[0]||null;};
k.prototype.getLastItem=function(){var i=this.getItems();return i[i.length-1]||null;};
k.prototype.getEnabledItems=function(i){i=i||this.getItems();return i.filter(function(o){return o.getEnabled();});};
k.prototype.getItemByKey=function(s){return this.findItem("key",s);};
k.prototype.addItemGroup=function(o,H,s){H=H||new a({text:o.text||o.key});this.addAggregation("items",H,s);if(this._getList()&&H.isA("sap.ui.core.SeparatorItem")){this._getList().addItem(this._mapItemToListItem(H));}return H;};
k.prototype._mapSeparatorItemToGroupHeader=function(s,o){var i=new G({title:s.getText(),ariaLabelledBy:this._getGroupHeaderInvisibleText().getId()});i.addStyleClass(o.CSS_CLASS_COMBOBOXBASE+"NonInteractiveItem");if(s.getText&&!s.getText()){i.addStyleClass(o.CSS_CLASS_COMBOBOXBASE+"SeparatorItemNoText");}return i;};
k.prototype.isOpen=function(){var p=this.getPicker();return!!(p&&p.isOpen());};
k.prototype.close=function(){var p=this.getPicker();if(p){p.close();}return this;};
k.prototype.removeItem=function(i){i=this.removeAggregation("items",i);if(i){i.detachEvent("_change",this.onItemChange,this);}return i;};
k.prototype.removeAllItems=function(){var m=this.removeAllAggregation("items");this.clearSelection();for(var i=0;i<m.length;i++){m[i].detachEvent("_change",this.onItemChange,this);}return m;};
k.prototype.intersectItems=function(i,o){return i.filter(function(m){return o.map(function(O){return O.getId();}).indexOf(m.getId())!==-1;});};
k.prototype.showItems=function(F){var i=this.fnFilter,m=function(){if(!this.getItems().length){return;}this.detachLoadItems(m);this.setFilterFunction(F||function(){return true;});this.applyShowItemsFilters();this._handlePopupOpenAndItemsLoad(false);this.setFilterFunction(i);}.bind(this);if(!this.getEnabled()||!this.getEditable()){return;}this._setItemsShownWithFilter(true);this.attachLoadItems(m);this.loadItems(m);};
k.prototype.applyShowItemsFilters=function(){};
return k;});
sap.ui.predefine('sap/m/ComboBoxBaseRenderer',['./ComboBoxTextFieldRenderer','sap/ui/core/Renderer','sap/ui/core/Core'],function(C,R,a){"use strict";var b=R.extend(C);b.apiVersion=2;b.CSS_CLASS_COMBOBOXBASE="sapMComboBoxBase";
b.getAccessibilityState=function(c){var A=C.getAccessibilityState.call(this,c),l=c._getList();if(l){A.controls=l.getId();}return A;};
b.addOuterClasses=function(r,c){C.addOuterClasses.apply(this,arguments);var d=b.CSS_CLASS_COMBOBOXBASE;r.class(d);if(!c.getEnabled()){r.class(d+"Disabled");}if(!c.getEditable()){r.class(d+"Readonly");}};
b.addButtonClasses=function(r,c){C.addButtonClasses.apply(this,arguments);r.class(b.CSS_CLASS_COMBOBOXBASE+"Arrow");};
return b;},true);
sap.ui.predefine('sap/m/ComboBoxRenderer',['./ComboBoxBaseRenderer','sap/ui/core/Renderer','sap/ui/Device'],function(C,R){"use strict";var a=R.extend(C);a.apiVersion=2;a.CSS_CLASS_COMBOBOX="sapMComboBox";
a.addOuterClasses=function(r,c){C.addOuterClasses.apply(this,arguments);r.class(a.CSS_CLASS_COMBOBOX);};
a.addInnerClasses=function(r,c){C.addInnerClasses.apply(this,arguments);r.class(a.CSS_CLASS_COMBOBOX+"Inner");};
a.addButtonClasses=function(r,c){C.addButtonClasses.apply(this,arguments);r.class(a.CSS_CLASS_COMBOBOX+"Arrow");};
a.addPlaceholderClasses=function(r,c){C.addPlaceholderClasses.apply(this,arguments);r.class(a.CSS_CLASS_COMBOBOX+"Placeholder");};
a.writeInnerAttributes=function(r,c){var s=c.getSelectedItem(),S=s&&c.getListItem(s),o=c.isOpen(),f=c.getProperty("formattedTextFocused");C.writeInnerAttributes.apply(this,arguments);r.attr("aria-expanded",o);if(f){r.attr("aria-activedescendant",c._getFormattedValueStateText().getId());}else if(o&&S&&S.hasStyleClass("sapMLIBFocused")&&c.getFocusDomRef()===document.activeElement){r.attr("aria-activedescendant",S.getId());}};
return a;},true);
sap.ui.predefine('sap/m/ComboBoxTextField',['./InputBase','./library','sap/ui/core/InvisibleText','sap/ui/core/library','sap/ui/Device','sap/ui/core/LabelEnablement',"./ComboBoxTextFieldRenderer"],function(I,l,a,c,D,L,C){"use strict";
var b=I.extend("sap.m.ComboBoxTextField",{metadata:{library:"sap.m",properties:{maxWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:"100%"},showButton:{type:"boolean",group:"Appearance",defaultValue:true}}}});
var r=sap.ui.getCore().getLibraryResourceBundle("sap.m");
b.prototype.init=function(){I.prototype.init.apply(this,arguments);this.addEndIcon({id:this.getId()+"-arrow",src:"sap-icon://slim-arrow-down",noTabStop:true,alt:r.getText("COMBOBOX_BUTTON"),decorative:false});};
b.prototype.getIcon=function(){return this.getAggregation("_endIcon")[0];};
b.prototype.toggleIconPressedStyle=function(s){this.toggleStyleClass(I.ICON_PRESSED_CSS_CLASS,s);};
b.prototype.onBeforeRendering=function(){I.prototype.onBeforeRendering.apply(this,arguments);var R=L.getReferencingLabels(this)||[],i=this.getIcon();i.setVisible(this.getShowButton());R.forEach(function(s){if(i.getAriaLabelledBy().indexOf(s)===-1){i.addAssociation("ariaLabelledBy",s,true);}},this);if(!this.oInvisibleText&&D.browser.msie){this.oInvisibleText=new a(this.getId()+'-describedby',{text:r.getText("ACC_CTR_TYPE_COMBO")}).toStatic();}};
b.prototype.getOpenArea=function(){var d=this.getIcon().getDomRef();return d?d.parentNode:d;};
b.prototype.onsapenter=function(e){I.prototype.onsapenter.apply(this,arguments);if(!this.getEnabled()||!this.getEditable()){return;}this._bCheckDomValue&&e.setMarked();var v=this.getValue(),V=v.length;this.setValue(v);this.selectText(V,V);};
b.prototype.getValue=function(){var d=this.getFocusDomRef();if(d){return d.value;}return this.getProperty("value");};
b.prototype.getDomRefForValueStateMessage=function(){return this.getDomRef();};
b.prototype.getAccessibilityInfo=function(){var i=I.prototype.getAccessibilityInfo.apply(this,arguments);i.type=r.getText("ACC_CTR_TYPE_COMBO");return i;};
b.prototype.exit=function(){I.prototype.exit.apply(this,arguments);if(this.oInvisibleText){this.oInvisibleText.destroy();this.oInvisibleText=null;}};
return b;});
sap.ui.predefine('sap/m/ComboBoxTextFieldRenderer',['./InputBaseRenderer','sap/ui/core/Renderer','sap/ui/core/LabelEnablement','sap/ui/Device'],function(I,R,L,D){"use strict";var C=R.extend(I);C.apiVersion=2;C.CSS_CLASS_COMBOBOXTEXTFIELD="sapMComboBoxTextField";
C.writeInnerAttributes=function(r,c){r.attr("role","combobox");r.attr("aria-haspopup","listbox");r.attr("aria-autocomplete","both");r.attr("aria-expanded","false");r.attr("autocomplete","off");r.attr("autocorrect","off");r.attr("autocapitalize","off");r.attr("type","text");};
C.getAriaRole=function(){};
C.getAriaDescribedBy=function(c){var a=I.getAriaDescribedBy.apply(this,arguments);if(D.browser.msie){return(a||"")+" "+c.oInvisibleText.getId();}return a;};
C.addOuterStyles=function(r,c){r.style("max-width",c.getMaxWidth());};
return C;},true);
sap.ui.predefine('sap/m/DatePickerRenderer',['sap/ui/core/Renderer','./InputBaseRenderer'],function(R,I){"use strict";var D=R.extend(I);D.apiVersion=2;
D.writeInnerValue=function(r,d){if(d._bValid){r.attr("value",d._formatValue(d.getDateValue()));}else{r.attr("value",d.getValue());}};
D.writeInnerAttributes=function(r,d){r.attr("type","text");if(d._bMobile){r.attr("readonly","readonly");}};
D.getAriaRole=function(d){return"combobox";};
D.getDescribedByAnnouncement=function(d){var b=I.getDescribedByAnnouncement.apply(this,arguments);return sap.ui.getCore().getLibraryResourceBundle("sap.m").getText("DATEPICKER_DATE_TYPE")+" "+b;};
D.getAccessibilityState=function(d){var a=I.getAccessibilityState.apply(this,arguments);a["autocomplete"]="none";a["haspopup"]=true;a["expanded"]=false;a["disabled"]=null;if(d._bMobile&&d.getEnabled()&&d.getEditable()){a["readonly"]=false;}return a;};
return D;},true);
sap.ui.predefine('sap/m/DateTimeField',['sap/ui/model/type/Date','sap/ui/model/odata/type/ODataType','sap/ui/model/odata/type/DateTimeBase','./InputBase','sap/ui/core/LocaleData','sap/ui/core/library','sap/ui/core/format/DateFormat','./DateTimeFieldRenderer',"sap/base/util/deepEqual","sap/base/Log","sap/ui/thirdparty/jquery","sap/ui/dom/jquery/cursorPos"],function(S,O,D,I,L,c,a,b,d,f,q){"use strict";var C=c.CalendarType;
var g=I.extend("sap.m.DateTimeField",{metadata:{"abstract":true,library:"sap.m",properties:{displayFormat:{type:"string",group:"Appearance",defaultValue:null},valueFormat:{type:"string",group:"Data",defaultValue:null},dateValue:{type:"object",group:"Data",defaultValue:null},initialFocusedDateValue:{type:"object",group:"Data",defaultValue:null}}}});
g.prototype.setValue=function(v){v=this.validateProperty("value",v);var o=this.getValue();if(v===o){return this;}else{this.setLastValue(v);}this.setProperty("value",v);this._bValid=true;var e;if(v){e=this._parseValue(v);if(!e||e.getTime()<this._oMinDate.getTime()||e.getTime()>this._oMaxDate.getTime()){this._bValid=false;f.warning("Value can not be converted to a valid date",this);}}this.setProperty("dateValue",e);if(this.getDomRef()){var s;if(e){s=this._formatValue(e);}else{s=v;}if(this._$input.val()!==s){this._$input.val(s);this._curpos=this._$input.cursorPos();}}return this;};
g.prototype.setDateValue=function(o){if(!this._isValidDate(o)){throw new Error("Date must be a JavaScript date object; "+this);}if(d(this.getDateValue(),o)){return this;}o=this._dateValidation(o);var v=this._formatValue(o,true);if(v!==this.getValue()){this.setLastValue(v);}this.setProperty("value",v);if(this.getDomRef()){var s=this._formatValue(o);if(this._$input.val()!==s){this._$input.val(s);this._curpos=this._$input.cursorPos();}}return this;};
g.prototype.setValueFormat=function(v){this.setProperty("valueFormat",v,true);var V=this.getValue();if(V){this._handleDateValidation(this._parseValue(V));}return this;};
g.prototype.setDisplayFormat=function(s){this.setProperty("displayFormat",s,true);this.updateDomValue(this._formatValue(this.getDateValue()));this._updateDomPlaceholder(this._getPlaceholder());return this;};
g.prototype.getDisplayFormatType=function(){return null;};
g.prototype._dateValidation=function(o){this._bValid=true;this.setProperty("dateValue",o);return o;};
g.prototype._handleDateValidation=function(o){this._bValid=true;this.setProperty("dateValue",o);};
g.prototype._getPlaceholder=function(){var p=this.getPlaceholder();if(!p){p=this._getDisplayFormatPattern();if(!p){p=this._getDefaultDisplayStyle();}if(this._checkStyle(p)){p=this._getLocaleBasedPattern(p);}}return p;};
g.prototype._getLocaleBasedPattern=function(p){return L.getInstance(sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale()).getDatePattern(p);};
g.prototype._parseValue=function(v,h){var B=this.getBinding("value"),o=B&&B.getType&&B.getType(),F,i,j;if(o&&this._isSupportedBindingType(o)){try{j=o.parseValue(v,"string");if(typeof(j)==="string"&&o instanceof D){j=D.prototype.parseValue.call(o,v,"string");}F=o.oFormatOptions;if(F&&F.source&&F.source.pattern=="timestamp"){j=new Date(j);}else if(F&&F.source&&typeof F.source.pattern==="string"){j=o.oInputFormat.parse(v);}}catch(e){}if(j&&((o.oFormatOptions&&this._isFormatOptionsUTC(o.oFormatOptions))||(o.oConstraints&&o.oConstraints.isDateOnly))){i=new Date(j.getUTCFullYear(),j.getUTCMonth(),j.getUTCDate(),j.getUTCHours(),j.getUTCMinutes(),j.getUTCSeconds(),j.getUTCMilliseconds());i.setFullYear(j.getUTCFullYear());j=i;}return j;}return this._getFormatter(h).parse(v);};
g.prototype._formatValue=function(o,v){if(!o){return"";}var B=this.getBinding("value"),e=B&&B.getType&&B.getType(),F,h;if(e&&this._isSupportedBindingType(e)){if((e.oFormatOptions&&e.oFormatOptions.UTC)||(e.oConstraints&&e.oConstraints.isDateOnly)){h=new Date(Date.UTC(o.getFullYear(),o.getMonth(),o.getDate(),o.getHours(),o.getMinutes(),o.getSeconds(),o.getMilliseconds()));h.setUTCFullYear(o.getFullYear());o=h;}F=e.oFormatOptions;if(F&&F.source&&F.source.pattern=="timestamp"){o=o.getTime();}else if(e.oOutputFormat){return e.oOutputFormat.format(o);}return e.formatValue(o,"string");}return this._getFormatter(!v).format(o);};
g.prototype._isSupportedBindingType=function(B){return B.isA(["sap.ui.model.type.Date","sap.ui.model.odata.type.DateTime","sap.ui.model.odata.type.DateTimeOffset"]);};
g.prototype._isFormatOptionsUTC=function(B){return(B.UTC||(B.source&&B.source.UTC));};
g.prototype._getDefaultDisplayStyle=function(){return"medium";};
g.prototype._getDefaultValueStyle=function(){return"short";};
g.prototype._getFormatter=function(e){var p=this._getBoundValueTypePattern(),r=false,F,B=this.getBinding("value"),s;if(B&&B.oType&&B.oType.oOutputFormat){r=!!B.oType.oOutputFormat.oFormatOptions.relative;s=B.oType.oOutputFormat.oFormatOptions.calendarType;}if(!p){if(e){p=(this.getDisplayFormat()||this._getDefaultDisplayStyle());s=this.getDisplayFormatType();}else{p=(this.getValueFormat()||this._getDefaultValueStyle());s=C.Gregorian;}}if(!s){s=sap.ui.getCore().getConfiguration().getCalendarType();}if(e){if(p===this._sUsedDisplayPattern&&s===this._sUsedDisplayCalendarType){F=this._oDisplayFormat;}}else{if(p===this._sUsedValuePattern&&s===this._sUsedValueCalendarType){F=this._oValueFormat;}}if(F){return F;}return this._getFormatterInstance(F,p,r,s,e);};
g.prototype._getFormatterInstance=function(F,p,r,s,e){if(this._checkStyle(p)){F=this._getFormatInstance({style:p,strictParsing:true,relative:r,calendarType:s},e);}else{F=this._getFormatInstance({pattern:p,strictParsing:true,relative:r,calendarType:s},e);}if(e){this._sUsedDisplayPattern=p;this._sUsedDisplayCalendarType=s;this._oDisplayFormat=F;}else{this._sUsedValuePattern=p;this._sUsedValueCalendarType=s;this._oValueFormat=F;}return F;};
g.prototype._getFormatInstance=function(A,e){return a.getInstance(A);};
g.prototype._checkStyle=function(p){return(p==="short"||p==="medium"||p==="long"||p==="full");};
g.prototype._getDisplayFormatPattern=function(){var p=this._getBoundValueTypePattern();if(p){return p;}p=this.getDisplayFormat();if(this._checkStyle(p)){p=this._getLocaleBasedPattern(p);}return p;};
g.prototype._getBoundValueTypePattern=function(){var B=this.getBinding("value"),o=B&&B.getType&&B.getType();if(o instanceof S){return o.getOutputPattern();}if(o instanceof O&&o.oFormat){return o.oFormat.oFormatOptions.pattern;}return undefined;};
g.prototype._isValidDate=function(o){return!o||Object.prototype.toString.call(o)==="[object Date]";};
g.prototype._updateDomPlaceholder=function(v){if(this.getDomRef()){this._$input.attr("placeholder",v);}};
return g;});
sap.ui.predefine('sap/m/DateTimeFieldRenderer',['sap/ui/core/Renderer','./InputBaseRenderer'],function(R,I){"use strict";var D=R.extend(I);D.apiVersion=2;return D;},true);
sap.ui.predefine('sap/m/DateTimePickerRenderer',['sap/ui/core/Renderer','./DatePickerRenderer','./InputBaseRenderer'],function(R,D,I){"use strict";var a=R.extend(D);a.apiVersion=2;
a.getDescribedByAnnouncement=function(d){var b=I.getDescribedByAnnouncement.apply(this,arguments);return sap.ui.getCore().getLibraryResourceBundle("sap.m").getText("DATETIMEPICKER_TYPE")+" "+b;};
return a;},true);
sap.ui.predefine('sap/m/DisplayListItem',["sap/ui/core/library","./library","./ListItemBase","./DisplayListItemRenderer"],function(c,l,L,D){"use strict";var T=c.TextDirection;
var a=L.extend("sap.m.DisplayListItem",{metadata:{library:"sap.m",properties:{label:{type:"string",group:"Misc",defaultValue:null},value:{type:"string",group:"Data",defaultValue:null},valueTextDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:T.Inherit}}}});
a.prototype.getContentAnnouncement=function(){return this.getLabel()+" "+this.getValue();};
return a;});
sap.ui.predefine('sap/m/DisplayListItemRenderer',["sap/ui/core/library","sap/ui/core/Renderer","./ListItemBaseRenderer"],function(c,R,L){"use strict";var T=c.TextDirection;var D=R.extend(L);D.apiVersion=2;
D.renderLIAttributes=function(r,l){r.class("sapMDLI");};
D.renderLIContent=function(r,l){var s=l.getLabel();if(s){r.openStart("label");r.attr("for",l.getId()+"-value");r.class("sapMDLILabel");r.openEnd();r.text(s);r.close("label");}var v=l.getValue();if(v){r.openStart("div",l.getId()+"-value");r.class("sapMDLIValue");var V=l.getValueTextDirection();if(V!=T.Inherit){r.attr("dir",V.toLowerCase());}r.openEnd();r.text(v);r.close("div");}};
return D;},true);
sap.ui.predefine('sap/m/Input',['./InputBase','./Popover','sap/ui/core/Item','./ColumnListItem','./GroupHeaderListItem','./DisplayListItem','./StandardListItem','sap/ui/core/SeparatorItem','./List','./Table','./library','sap/ui/core/IconPool','sap/ui/Device','sap/ui/core/Control','./SuggestionsPopover','./Toolbar','./ToolbarSpacer','./Button',"sap/ui/dom/containsOrEquals","sap/base/assert","sap/base/util/deepEqual","./InputRenderer","sap/ui/thirdparty/jquery","sap/ui/dom/jquery/selectText"],function(I,P,a,C,G,D,S,b,L,T,l,c,d,e,f,g,h,B,j,k,m,n,q){"use strict";var o=l.ListType;var p=l.InputTextFormatMode;var r=l.InputType;var s=l.ListMode;var t=l.ListSeparators;
var u=I.extend("sap.m.Input",{metadata:{library:"sap.m",properties:{type:{type:"sap.m.InputType",group:"Data",defaultValue:r.Text},maxLength:{type:"int",group:"Behavior",defaultValue:0},dateFormat:{type:"string",group:"Misc",defaultValue:'YYYY-MM-dd',deprecated:true},showValueHelp:{type:"boolean",group:"Behavior",defaultValue:false},showSuggestion:{type:"boolean",group:"Behavior",defaultValue:false},valueHelpOnly:{type:"boolean",group:"Behavior",defaultValue:false},filterSuggests:{type:"boolean",group:"Behavior",defaultValue:true},maxSuggestionWidth:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:null},startSuggestion:{type:"int",group:"Behavior",defaultValue:1},showTableSuggestionValueHelp:{type:"boolean",group:"Behavior",defaultValue:true},description:{type:"string",group:"Misc",defaultValue:null},fieldWidth:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:'50%'},valueLiveUpdate:{type:"boolean",group:"Behavior",defaultValue:false},selectedKey:{type:"string",group:"Data",defaultValue:""},textFormatMode:{type:"sap.m.InputTextFormatMode",group:"Misc",defaultValue:p.Value},textFormatter:{type:"any",group:"Misc",defaultValue:""},suggestionRowValidator:{type:"any",group:"Misc",defaultValue:""},enableSuggestionsHighlighting:{type:"boolean",group:"Behavior",defaultValue:true},autocomplete:{type:"boolean",group:"Behavior",defaultValue:true}},defaultAggregation:"suggestionItems",aggregations:{suggestionItems:{type:"sap.ui.core.Item",multiple:true,singularName:"suggestionItem"},suggestionColumns:{type:"sap.m.Column",multiple:true,singularName:"suggestionColumn",bindable:"bindable",forwarding:{getter:"_getSuggestionsTable",aggregation:"columns"}},suggestionRows:{type:"sap.m.ColumnListItem",altTypes:["sap.m.GroupHeaderListItem"],multiple:true,singularName:"suggestionRow",bindable:"bindable",forwarding:{getter:"_getSuggestionsTable",aggregation:"items"}},_suggestionPopup:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"},_valueHelpIcon:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"}},associations:{selectedItem:{type:"sap.ui.core.Item",multiple:false},selectedRow:{type:"sap.m.ColumnListItem",multiple:false}},events:{liveChange:{parameters:{value:{type:"string"},escPressed:{type:"boolean"},previousValue:{type:"string"}}},valueHelpRequest:{parameters:{fromSuggestions:{type:"boolean"}}},suggest:{parameters:{suggestValue:{type:"string"},suggestionColumns:{type:"sap.m.ListBase"}}},suggestionItemSelected:{parameters:{selectedItem:{type:"sap.ui.core.Item"},selectedRow:{type:"sap.m.ColumnListItem"}}},submit:{parameters:{value:{type:"string"}}}},designtime:"sap/m/designtime/Input.designtime"}});
c.insertFontFaceStyle();
u._DEFAULTFILTER_TABULAR=function(v,w){var x=w.getCells(),i=0;for(;i<x.length;i++){if(x[i].getText){if(f._wordStartsWithValue(x[i].getText(),v)){return true;}}}return false;};
u._DEFAULTRESULT_TABULAR=function(v){var w=v.getCells(),i=0;for(;i<w.length;i++){if(w[i].getText){return w[i].getText();}}return"";};
u.prototype.init=function(){I.prototype.init.call(this);this._fnFilter=f._DEFAULTFILTER;this._bFullScreen=d.system.phone;this._iSetCount=0;this._oRb=sap.ui.getCore().getLibraryResourceBundle("sap.m");};
u.prototype.exit=function(){I.prototype.exit.call(this);this._deregisterEvents();this.cancelPendingSuggest();if(this._iRefreshListTimeout){clearTimeout(this._iRefreshListTimeout);this._iRefreshListTimeout=null;}if(this._oSuggestionTable){this._oSuggestionTable.destroy();this._oSuggestionTable=null;}if(this._oSuggPopover){this._oSuggPopover.destroy();this._oSuggPopover=null;}if(this._oShowMoreButton){this._oShowMoreButton.destroy();this._oShowMoreButton=null;}if(this._oButtonToolbar){this._oButtonToolbar.destroy();this._oButtonToolbar=null;}this.$().off("click");};
u.prototype.onBeforeRendering=function(){var i=this.getSelectedKey(),v=this.getShowValueHelp()&&this.getEnabled()&&this.getEditable(),E=this.getAggregation("_endIcon")||[],w=E[0],x,y=this._isSuggestionsPopoverOpen(),V=y?this._oSuggPopover._getValueStateHeader().getText():null,z=y?this._oSuggPopover._getValueStateHeader().getValueState():"";I.prototype.onBeforeRendering.call(this);this._deregisterEvents();if(i){this.setSelectedKey(i);}if(this.getShowSuggestion()){this._oSuggPopover._bAutocompleteEnabled=this.getAutocomplete();if(this.getShowTableSuggestionValueHelp()){this._addShowMoreButton();}else{this._removeShowMoreButton();}x=this._oSuggPopover._oPopupInput;if(x){x.setType(this.getType());}}if(v){w=this._getValueHelpIcon();w.setProperty("visible",true,true);}else if(w){w.setProperty("visible",false,true);}if(!this.getWidth()){this.setProperty("width","100%",true);}if(this._oSuggPopover){this._oSuggPopover._resetTypeAhead();}if(y&&((this.getValueStateText()&&V!==this.getValueStateText())||(this.getValueState()!==z)||(this.getFormattedValueStateText()))){this._updateSuggestionsPopoverValueState();}};
u.prototype._getDisplayText=function(i){var v=this.getTextFormatter();if(v){return v(i);}var w=i.getText(),K=i.getKey(),x=this.getTextFormatMode();switch(x){case p.Key:return K;case p.ValueKey:return w+' ('+K+')';case p.KeyValue:return'('+K+') '+w;default:return w;}};
u.prototype._onValueUpdated=function(i){if(this._bSelectingItem||i===this._sSelectedValue){return;}var K=this.getSelectedKey(),H;if(K===''){return;}if(this._hasTabularSuggestions()){H=this._oSuggestionTable&&!!this._oSuggestionTable.getSelectedItem();}else{H=this._oSuggPopover._oList&&!!this._oSuggPopover._oList.getSelectedItem();}if(H){return;}this.setProperty("selectedKey",'',true);this.setAssociation("selectedRow",null,true);this.setAssociation("selectedItem",null,true);this.fireSuggestionItemSelected({selectedItem:null,selectedRow:null});};
u.prototype._updateSelectionFromList=function(){if(this._oSuggPopover._iPopupListSelectedIndex<0){return false;}var i=this._oSuggPopover._oList.getSelectedItem();if(i){if(this._hasTabularSuggestions()){this.setSelectionRow(i,true);}else{this.setSelectionItem(i._oItem,true);}}return true;};
u.prototype.setSelectionItem=function(i,v){this._bSelectingItem=true;if(!i){this.setAssociation("selectedItem",null,true);this.setValue('');return;}this._oSuggPopover._iPopupListSelectedIndex=-1;var w=this._iSetCount,N;this.setAssociation("selectedItem",i,true);this.setProperty("selectedKey",i.getKey(),true);if(v){this.fireSuggestionItemSelected({selectedItem:i});}if(w!==this._iSetCount){N=this.getValue();}else{N=this._getDisplayText(i);}this._sSelectedValue=N;this.updateInputField(N);if(this.bIsDestroyed){return;}if(!(this.isMobileDevice()&&this instanceof sap.m.MultiInput)){this._closeSuggestionPopup();}this._bSelectingItem=false;};
u.prototype.addSuggestionRowGroup=function(i,H,v){H=H||new G({title:i.text||i.key});this.addAggregation("suggestionRows",H,v);return H;};
u.prototype.addSuggestionItemGroup=function(i,H,v){H=H||new b({text:i.text||i.key});this.addAggregation("suggestionItems",H,v);return H;};
u.prototype.setSelectedItem=function(i){if(typeof i==="string"){i=sap.ui.getCore().byId(i);}if(i!==null&&!(i instanceof a)){return this;}this.setSelectionItem(i);return this;};
u.prototype.setSelectedKey=function(K){K=this.validateProperty("selectedKey",K);this.setProperty("selectedKey",K,true);if(this._hasTabularSuggestions()){return this;}if(!K){this.setSelectionItem();return this;}var i=this.getSuggestionItemByKey(K);this.setSelectionItem(i);return this;};
u.prototype.getSuggestionItemByKey=function(K){var v=this.getSuggestionItems()||[],w,i;for(i=0;i<v.length;i++){w=v[i];if(w.getKey()===K){return w;}}};
u.prototype._getFormattedValueStateText=function(){var i=this._isSuggestionsPopoverOpen(),v=i?this._oSuggPopover._getValueStateHeader().getFormattedText():null;if(i&&v){return v;}else{return I.prototype.getFormattedValueStateText.call(this);}};
u.prototype.setSelectionRow=function(i,v){if(!i){this.setAssociation("selectedRow",null,true);return;}this._oSuggPopover._iPopupListSelectedIndex=-1;this._bSelectingItem=true;var w,x=this.getSuggestionRowValidator();if(x){w=x(i);if(!(w instanceof a)){w=null;}}var y=this._iSetCount,K="",N;this.setAssociation("selectedRow",i,true);if(w){K=w.getKey();}this.setProperty("selectedKey",K,true);if(v){this.fireSuggestionItemSelected({selectedRow:i});}if(y!==this._iSetCount){N=this.getValue();}else{if(w){N=this._getDisplayText(w);}else{N=this._fnRowResultFilter?this._fnRowResultFilter(i):f._DEFAULTRESULT_TABULAR(i);}}this._sSelectedValue=N;this.updateInputField(N);if(this.bIsDestroyed){return;}if(!(this.isMobileDevice()&&this instanceof sap.m.MultiInput&&this._isMultiLineMode)){this._closeSuggestionPopup();}this._bSelectingItem=false;};
u.prototype.setSelectedRow=function(i){if(typeof i==="string"){i=sap.ui.getCore().byId(i);}if(i!==null&&!(i instanceof C)){return this;}this.setSelectionRow(i);return this;};
u.prototype._getValueHelpIcon=function(){var i=this,E=this.getAggregation("_endIcon")||[],v=E[0];if(!v){v=this.addEndIcon({id:this.getId()+"-vhi",src:c.getIconURI("value-help"),useIconTooltip:false,alt:this._oRb.getText("INPUT_VALUEHELP_BUTTON"),decorative:false,noTabStop:true,press:function(w){if(!i.getValueHelpOnly()){var x=this.getParent(),$;if(d.support.touch){$=x.$('inner');$.attr('readonly','readonly');x.focus();$.removeAttr('readonly');}else{x.focus();}i.bValueHelpRequested=true;i._fireValueHelpRequest(false);}}});}return v;};
u.prototype._fireValueHelpRequest=function(F){var i="";if(this.getShowSuggestion()&&this._oSuggPopover){i=this._oSuggPopover._sTypedInValue||"";}else{i=this.getDOMValue();}this.fireValueHelpRequest({fromSuggestions:F,_userInputValue:i});};
u.prototype._fireValueHelpRequestForValueHelpOnly=function(){if(this.getEnabled()&&this.getEditable()&&this.getShowValueHelp()&&this.getValueHelpOnly()){if(d.system.phone){this.focus();}this._fireValueHelpRequest(false);}};
u.prototype.ontap=function(E){I.prototype.ontap.call(this,E);if(this.isValueHelpOnlyOpener(E.target)){this._fireValueHelpRequestForValueHelpOnly();}if(this.isMobileDevice()&&this.getEditable()&&this.getEnabled()&&this.getShowSuggestion()&&this._oSuggPopover&&E.target.id!=this.getId()+"-vhi"){this._openSuggestionsPopover();}};
u.prototype.setFilterFunction=function(F){if(F===null||F===undefined){this._fnFilter=f._DEFAULTFILTER;return this;}k(typeof(F)==="function","Input.setFilterFunction: first argument fnFilter must be a function on "+this);this._fnFilter=F;return this;};
u.prototype.setRowResultFunction=function(F){var i;if(F===null||F===undefined){this._fnRowResultFilter=f._DEFAULTRESULT_TABULAR;return this;}k(typeof(F)==="function","Input.setRowResultFunction: first argument fnFilter must be a function on "+this);this._fnRowResultFilter=F;i=this.getSelectedRow();if(i){this.setSelectedRow(i);}return this;};
u.prototype.closeSuggestions=function(){this._closeSuggestionPopup();};
u.prototype._doSelect=function(i,E){if(d.support.touch){return;}var v=this._$input[0];if(v){var R=this._$input;v.focus();R.selectText(i?i:0,E?E:R.val().length);}return this;};
u.prototype._isIncrementalType=function(){var i=this.getType();if(i==="Number"||i==="Date"||i==="Datetime"||i==="Month"||i==="Time"||i==="Week"){return true;}return false;};
u.prototype.onsapescape=function(E){var i;if(this._isSuggestionsPopoverOpen()){E.originalEvent._sapui_handledByControl=true;this._oSuggPopover._iPopupListSelectedIndex=-1;this._closeSuggestionPopup();if(this._sBeforeSuggest!==undefined){if(this._sBeforeSuggest!==this.getValue()){i=this.getLastValue();this.setValue(this._sBeforeSuggest);this.setLastValue(i);}this._sBeforeSuggest=undefined;}return;}if(this.getValueLiveUpdate()){this.setProperty("value",this.getLastValue(),true);}if(I.prototype.onsapescape){I.prototype.onsapescape.apply(this,arguments);}};
u.prototype.onsapenter=function(E){this.cancelPendingSuggest();if(this._isSuggestionsPopoverOpen()){if(!this._updateSelectionFromList()&&!this.isComposingCharacter()){this._closeSuggestionPopup();}}if(I.prototype.onsapenter){I.prototype.onsapenter.apply(this,arguments);}if(this.getEnabled()&&this.getEditable()&&!(this.getValueHelpOnly()&&this.getShowValueHelp())){this.fireSubmit({value:this.getValue()});}};
u.prototype.onsapfocusleave=function(E){var i=this._oSuggPopover,v=i&&i._oPopover,F=E.relatedControlId&&sap.ui.getCore().byId(E.relatedControlId),w=F&&F.getFocusDomRef(),H=i&&i._sProposedItemText&&this.getAutocomplete(),x=v&&w&&j(v.getDomRef(),w);if(v instanceof P){if(x&&!i.bMessageValueStateActive){this._bPopupHasFocus=true;if(d.system.desktop&&m(v.getFocusDomRef(),w)||F.isA("sap.m.GroupHeaderListItem")){this.focus();}}else{if(this.getDOMValue()===this._sSelectedSuggViaKeyboard){this._sSelectedSuggViaKeyboard=null;}}}if(!x&&!H){I.prototype.onsapfocusleave.apply(this,arguments);}this.bValueHelpRequested=false;};
u.prototype.onmousedown=function(E){if(this._isSuggestionsPopoverOpen()){E.stopPropagation();}};
u.prototype._deregisterEvents=function(){if(this._oSuggPopover){this._oSuggPopover._deregisterResize();}if(this.isMobileDevice()&&this._oSuggPopover&&this._oSuggPopover._oPopover){this.$().off("click");}};
u.prototype.updateSuggestionItems=function(){this._bSuspendInvalidate=true;this.updateAggregation("suggestionItems");this._synchronizeSuggestions();this._bSuspendInvalidate=false;return this;};
u.prototype.invalidate=function(){if(!this._bSuspendInvalidate){e.prototype.invalidate.apply(this,arguments);}};
u.prototype.cancelPendingSuggest=function(){if(this._iSuggestDelay){clearTimeout(this._iSuggestDelay);this._iSuggestDelay=null;}};
u.prototype._triggerSuggest=function(v){this.cancelPendingSuggest();this._bShouldRefreshListItems=true;if(!v){v="";}if(v.length>=this.getStartSuggestion()){this._iSuggestDelay=setTimeout(function(){if(this._sPrevSuggValue!==v){this._bBindingUpdated=false;this.fireSuggest({suggestValue:v});if(!this._bBindingUpdated){this._refreshItemsDelayed();}this._sPrevSuggValue=v;}}.bind(this),300);}else if(this.isMobileDevice()){if(this._oSuggPopover._oList instanceof T){this._oSuggPopover._oList.addStyleClass("sapMInputSuggestionTableHidden");}else if(this._oSuggPopover._oList&&this._oSuggPopover._oList.destroyItems){this._oSuggPopover._oList.destroyItems();}}else if(this._isSuggestionsPopoverOpen()){setTimeout(function(){var N=this.getDOMValue()||'';if(N<this.getStartSuggestion()){this._oSuggPopover._iPopupListSelectedIndex=-1;this._closeSuggestionPopup();}}.bind(this),0);}};
(function(){
u.prototype.setShowSuggestion=function(v){this.setProperty("showSuggestion",v,true);if(v){this._oSuggPopover=this._getSuggestionsPopover();this._oSuggPopover._iPopupListSelectedIndex=-1;if(!this._oSuggPopover._oPopover){this._createSuggestionsPopoverPopup();this._synchronizeSuggestions();this._createSuggestionPopupContent();}}else{if(this._oSuggPopover){this._oSuggPopover._destroySuggestionPopup();this._oSuggPopover._iPopupListSelectedIndex=-1;this._oButtonToolbar=null;this._oShowMoreButton=null;}}return this;};
u.prototype._shouldTriggerSuggest=function(){return!this._bPopupHasFocus&&!this.getStartSuggestion()&&!this.getValue()&&this.getShowSuggestion();};
u.prototype.setShowTableSuggestionValueHelp=function(v){this.setProperty("showTableSuggestionValueHelp",v,true);if(!(this._oSuggPopover&&this._oSuggPopover._oPopover)){return this;}if(v){this._addShowMoreButton();}else{this._removeShowMoreButton();}return this;};
u.prototype.onchange=function(E){if(this.getShowValueHelp()||this.getShowSuggestion()){return;}this.onChange(E);};
u.prototype.oninput=function(E){I.prototype.oninput.call(this,E);if(E.isMarked("invalid")){return;}var v=this.getDOMValue(),i,w,x;if(this.getValueLiveUpdate()){this.setProperty("value",v,true);this._onValueUpdated(v);}this.fireLiveChange({value:v,newValue:v});this.addStyleClass("sapMFocus");if(this.getShowSuggestion()&&!this.isMobileDevice()){i=this._getSuggestionsPopover();w=i._oList;this._triggerSuggest(v);if(w&&!i.bMessageValueStateActive){x=w.getSelectedItem();w.removeStyleClass("sapMListFocus");x&&x.removeStyleClass("sapMLIBFocused");}else if(i.bMessageValueStateActive&&document.activeElement.tagName!=="A"){i._getValueStateHeader().removeStyleClass("sapMPseudoFocus");}}};
u.prototype.getValue=function(){return this.getDomRef("inner")&&this._$input?this.getDOMValue():this.getProperty("value");};
u.prototype._refreshItemsDelayed=function(){clearTimeout(this._iRefreshListTimeout);this._iRefreshListTimeout=setTimeout(function(){if(this._oSuggPopover){this._refreshListItems();}}.bind(this),0);};
u.prototype._filterListItems=function(v,w){var i,x,y,z=[],H=[],F=this.getFilterSuggests(),A=false;for(i=0;i<v.length;i++){y=v[i];if(v[i].isA("sap.ui.core.SeparatorItem")){x=new G({id:y.getId()+"-ghli",title:v[i].getText()});z.push({header:x,visible:false});this._configureListItem(y,x);H.push(x);}else if(!F||this._fnFilter(w,y)){if(v[i].isA("sap.ui.core.ListItem")){x=new D(y.getId()+"-dli");x.setLabel(y.getText());x.setValue(y.getAdditionalText());}else{x=new S(y.getId()+"-sli");x.setTitle(y.getText());}if(!A&&(this._oSuggPopover._sProposedItemText===v[i].getText())){x.setSelected(true);A=true;}if(z.length){z[z.length-1].visible=true;}this._configureListItem(y,x);H.push(x);}}z.forEach(function(E){E.header.setVisible(E.visible);});return{hitItems:H,groups:z};};
u.prototype._filterTabularItems=function(v,w){var i,x,F=this.getFilterSuggests(),H=[],y=[],z=false;for(i=0;i<v.length;i++){if(v[i].isA("sap.m.GroupHeaderListItem")){y.push({header:v[i],visible:false});}else{x=!F||this._fnFilter(w,v[i]);v[i].setVisible(x);x&&H.push(v[i]);if(!z&&x&&this._oSuggPopover._sProposedItemText===this._fnRowResultFilter(v[i])){v[i].setSelected(true);z=true;}if(y.length&&x){y[y.length-1].visible=true;}}}y.forEach(function(A){A.header.setVisible(A.visible);});this._getSuggestionsTable().invalidate();return{hitItems:H,groups:y};};
u.prototype._clearSuggestionPopupItems=function(){if(!this._oSuggPopover._oList){return;}if(this._oSuggPopover._oList instanceof T){this._oSuggPopover._oList.removeSelections(true);}else{this._oSuggPopover._oList.destroyItems();}};
u.prototype._hideSuggestionPopup=function(){var i=this._oSuggPopover._oPopover;function v(){if(d.browser.internet_explorer){var F=this.getFocusInfo();this.setDOMValue(this._oSuggPopover._sTypedInValue);this.applyFocusInfo(F);}else{this.setDOMValue(this._oSuggPopover._sTypedInValue);}}if(!this.isMobileDevice()){if(this._isSuggestionsPopoverOpen()){this._sCloseTimer=setTimeout(function(){if(this._oSuggPopover){this._oSuggPopover._iPopupListSelectedIndex=-1;}this.cancelPendingSuggest();if(this._oSuggPopover._sTypedInValue){v.call(this);}this._oSuggPopover._oProposedItem=null;i.close();}.bind(this),0);}}else if(this._hasTabularSuggestions()&&this._oSuggPopover._oList){this._oSuggPopover._oList.addStyleClass("sapMInputSuggestionTableHidden");}this.$("SuggDescr").text("");this.$("inner").removeAttr("aria-activedescendant");};
u.prototype._openSuggestionPopup=function(O){if(!this.isMobileDevice()){if(this._sCloseTimer){clearTimeout(this._sCloseTimer);this._sCloseTimer=null;}if(!this._isSuggestionsPopoverOpen()&&!this._sOpenTimer&&O!==false){this._sOpenTimer=setTimeout(function(){this._sOpenTimer=null;this._oSuggPopover&&this._openSuggestionsPopover();}.bind(this),0);}}};
u.prototype._getFilteredSuggestionItems=function(i){var F,v=this.getSuggestionItems(),w=this.getSuggestionRows();if(this._hasTabularSuggestions()){if(this.isMobileDevice()&&this._oSuggPopover._oList){this._oSuggPopover._oList.removeStyleClass("sapMInputSuggestionTableHidden");}F=this._filterTabularItems(w,i);}else{F=this._filterListItems(v,i);}return F;};
u.prototype._fillSimpleSuggestionPopupItems=function(F){var i,H=F.hitItems,v=F.groups,w=H.length,x=w;if(!this._hasTabularSuggestions()){for(i=0;i<w;i++){this._oSuggPopover._oList.addItem(H[i]);}x-=v.length;}return x;};
u.prototype._applySuggestionAcc=function(N){var A="",R=this._oRb;if(N===1){A=R.getText("INPUT_SUGGESTIONS_ONE_HIT");}else if(N>1){A=R.getText("INPUT_SUGGESTIONS_MORE_HITS",N);}else{A=R.getText("INPUT_SUGGESTIONS_NO_HIT");}this.$("SuggDescr").text(A);};
u.prototype._refreshListItems=function(){var i=this.getShowSuggestion(),v=this._oSuggPopover._sTypedInValue||this.getDOMValue()||"",F,w;this._oSuggPopover._iPopupListSelectedIndex=-1;if(!i||!this._bShouldRefreshListItems||!this.getDomRef()||(!this.isMobileDevice()&&!this.$().hasClass("sapMInputFocused"))){return null;}this._clearSuggestionPopupItems();if(v.length<this.getStartSuggestion()){this._hideSuggestionPopup();return false;}F=this._getFilteredSuggestionItems(v);w=this._fillSimpleSuggestionPopupItems(F);if(w>0){this._openSuggestionPopup(this.getValue().length>=this.getStartSuggestion());}else{this._hideSuggestionPopup();}this._applySuggestionAcc(w);};
u.prototype._configureListItem=function(i,v){var w=o.Active;if(!i.getEnabled()||v.isA("sap.m.GroupHeaderListItem")){w=o.Inactive;}v.setType(w);v._oItem=i;v.addEventDelegate({ontouchstart:function(E){(E.originalEvent||E)._sapui_cancelAutoClose=true;}});return v;};
u.prototype.addSuggestionItem=function(i){this.addAggregation("suggestionItems",i,true);if(!this._oSuggPopover){this._getSuggestionsPopover();}this._synchronizeSuggestions();this._createSuggestionPopupContent();return this;};
u.prototype.insertSuggestionItem=function(i,v){this.insertAggregation("suggestionItems",v,i,true);if(!this._oSuggPopover){this._getSuggestionsPopover();}this._synchronizeSuggestions();this._createSuggestionPopupContent();return this;};
u.prototype.removeSuggestionItem=function(i){var v=this.removeAggregation("suggestionItems",i,true);this._synchronizeSuggestions();return v;};
u.prototype.removeAllSuggestionItems=function(){var i=this.removeAllAggregation("suggestionItems",true);this._synchronizeSuggestions();return i;};
u.prototype.destroySuggestionItems=function(){this.destroyAggregation("suggestionItems",true);this._synchronizeSuggestions();return this;};
u.prototype.addSuggestionRow=function(i){i.setType(o.Active);this.addAggregation("suggestionRows",i);this._synchronizeSuggestions();this._createSuggestionPopupContent(true);return this;};
u.prototype.insertSuggestionRow=function(i,v){i.setType(o.Active);this.insertAggregation("suggestionRows",i,v);this._synchronizeSuggestions();this._createSuggestionPopupContent(true);return this;};
u.prototype.removeSuggestionRow=function(i){var v=this.removeAggregation("suggestionRows",i);this._synchronizeSuggestions();return v;};
u.prototype.removeAllSuggestionRows=function(){var i=this.removeAllAggregation("suggestionRows");this._synchronizeSuggestions();return i;};
u.prototype.destroySuggestionRows=function(){this.destroyAggregation("suggestionRows");this._synchronizeSuggestions();return this;};
u.prototype.bindAggregation=function(){if(arguments[0]==="suggestionRows"||arguments[0]==="suggestionColumns"||arguments[0]==="suggestionItems"){this._createSuggestionPopupContent(arguments[0]==="suggestionRows"||arguments[0]==="suggestionColumns");this._bBindingUpdated=true;}return I.prototype.bindAggregation.apply(this,arguments);};
u.prototype._closeSuggestionPopup=function(){if(this._isSuggestionsPopoverOpen()){this.cancelPendingSuggest();this._oSuggPopover._oPopover.close();if(!this.isMobileDevice()&&this.$().hasClass("sapMInputFocused")){this.openValueStateMessage();}this.$("SuggDescr").text("");this.$("inner").removeAttr("aria-activedescendant");this._sPrevSuggValue=null;}};
u.prototype._synchronizeSuggestions=function(){if(document.activeElement===this.getFocusDomRef()){this._bShouldRefreshListItems=true;this._refreshItemsDelayed();}if(!this.getDomRef()||this._isSuggestionsPopoverOpen()){return;}this._synchronizeSelection();};
u.prototype._synchronizeSelection=function(){var i=this.getSelectedKey();if(!i){return;}if(this.getValue()&&!this.getSelectedItem()&&!this.getSelectedRow()){return;}this.setSelectedKey(i);};
})();
u.prototype.onfocusin=function(E){I.prototype.onfocusin.apply(this,arguments);this.addStyleClass("sapMInputFocused");if(!this.isMobileDevice()&&this._isSuggestionsPopoverOpen()){this.closeValueStateMessage();}if(this._shouldTriggerSuggest()){this._triggerSuggest(this.getValue());}this._bPopupHasFocus=undefined;this._sPrevSuggValue=null;};
u.prototype.oncompositionend=function(E){I.prototype.oncompositionend.apply(this,arguments);if(this._oSuggPopover&&!d.browser.edge&&!d.browser.firefox){this._oSuggPopover._handleTypeAhead();}};
u.prototype.onsapshow=function(E){if(!this.getEnabled()||!this.getEditable()||!this.getShowValueHelp()){return;}this.bValueHelpRequested=true;this._fireValueHelpRequest(false);E.preventDefault();E.stopPropagation();};
u.prototype.onsaphide=u.prototype.onsapshow;
u.prototype.onsapselect=function(E){this._fireValueHelpRequestForValueHelpOnly();};
u.prototype.onfocusout=function(E){I.prototype.onfocusout.apply(this,arguments);this.removeStyleClass("sapMInputFocused");this.$("SuggDescr").text("");};
u.prototype._hasTabularSuggestions=function(){return!!(this.getAggregation("suggestionColumns")&&this.getAggregation("suggestionColumns").length);};
u.prototype._getSuggestionsTable=function(){if(this._bIsBeingDestroyed){return this._oSuggestionTable;}if(!this._oSuggestionTable){this._oSuggestionTable=new T(this.getId()+"-popup-table",{mode:s.SingleSelectMaster,showNoData:false,showSeparators:t.None,width:"100%",enableBusyIndicator:false,rememberSelections:false,itemPress:function(E){if(d.system.desktop){this.focus();}this._oSuggPopover._bSuggestionItemTapped=true;var i=E.getParameter("listItem");this.setSelectionRow(i,true);}.bind(this),sticky:[l.Sticky.ColumnHeaders]});this._oSuggestionTable.addEventDelegate({onAfterRendering:function(){var i,v;if(!this.getEnableSuggestionsHighlighting()){return;}i=this._oSuggestionTable.$().find('tbody .sapMLabel');v=(this._sTypedInValue||this.getValue()).toLowerCase();this._oSuggPopover.highlightSuggestionItems(i,v);}.bind(this)});if(this.isMobileDevice()){this._oSuggestionTable.addStyleClass("sapMInputSuggestionTableHidden");}this._oSuggestionTable.updateItems=function(){T.prototype.updateItems.apply(this,arguments);this._refreshItemsDelayed();return this;};}return this._oSuggestionTable;};
u.prototype.clone=function(){var i=e.prototype.clone.apply(this,arguments);i.setRowResultFunction(this._fnRowResultFilter);i.setValue(this.getValue());return i;};
u.prototype.setValue=function(v){this._iSetCount++;I.prototype.setValue.call(this,v);this._onValueUpdated(v);return this;};
u.prototype.setDOMValue=function(v){this._$input.val(v);};
u.prototype.getDOMValue=function(){return this._$input.val();};
u.prototype.updateInputField=function(N){if(this._isSuggestionsPopoverOpen()&&this.isMobileDevice()){this._oSuggPopover._oPopupInput.setValue(N);this._oSuggPopover._oPopupInput._doSelect();}else{N=this._getInputValue(N);this.setDOMValue(N);this.onChange(null,null,N);}};
u.prototype.getAccessibilityInfo=function(){var i=I.prototype.getAccessibilityInfo.apply(this,arguments);i.description=((i.description||"")+" "+this.getDescription()).trim();return i;};
u.prototype.preventChangeOnFocusLeave=function(E){return this.bFocusoutDueRendering||this.bValueHelpRequested;};
u.prototype._getShowMoreButton=function(){return this._oShowMoreButton||(this._oShowMoreButton=new B({text:this._oRb.getText("INPUT_SUGGESTIONS_SHOW_ALL"),press:this._getShowMoreButtonPress.bind(this)}));};
u.prototype._getShowMoreButtonPress=function(){var i;if(this.getShowTableSuggestionValueHelp()){if(this._oSuggPopover._sTypedInValue){i=this._oSuggPopover._sTypedInValue;this.updateDomValue(i);this._oSuggPopover._resetTypeAhead();this._oSuggPopover._sTypedInValue=i;}this._fireValueHelpRequest(true);this._oSuggPopover._iPopupListSelectedIndex=-1;this._closeSuggestionPopup();}};
u.prototype._addShowMoreButton=function(i){var v=this._oSuggPopover&&this._oSuggPopover._oPopover;if(!v||!i&&!this._hasTabularSuggestions()){return;}if(v.isA("sap.m.Dialog")){var w=this._getShowMoreButton();v.setEndButton(w);}else{var x=this._getButtonToolbar();v.setFooter(x);}};
u.prototype._removeShowMoreButton=function(){var i=this._oSuggPopover&&this._oSuggPopover._oPopover;if(!i||!this._hasTabularSuggestions()){return;}if(i.isA("sap.m.Dialog")){i.setEndButton(null);}else{i.setFooter(null);}};
u.prototype._getButtonToolbar=function(){var i=this._getShowMoreButton();return this._oButtonToolbar||(this._oButtonToolbar=new g({content:[new h(),i]}));};
u.prototype._hasShowSelectedButton=function(){return false;};
u.prototype._createSuggestionPopupContent=function(i){if(this._bIsBeingDestroyed||this._getSuggestionsPopover()._oList){return;}this._oSuggPopover._createSuggestionPopupContent(i);if(!this._hasTabularSuggestions()&&!i){this._oSuggPopover._oList.attachItemPress(function(E){if(d.system.desktop){this.focus();}var v=E.getParameter("listItem");if(!v.isA("sap.m.GroupHeaderListItem")){this._oSuggPopover._bSuggestionItemTapped=true;this.setSelectionItem(v._oItem,true);}},this);}else{if(this._fnFilter===f._DEFAULTFILTER){this._fnFilter=u._DEFAULTFILTER_TABULAR;}if(!this._fnRowResultFilter){this._fnRowResultFilter=u._DEFAULTRESULT_TABULAR;}if(this.getShowTableSuggestionValueHelp()){this._addShowMoreButton(i);}}};
u.prototype._createPopupInput=function(){var i=new u(this.getId()+"-popup-input",{width:"100%",valueLiveUpdate:true,showValueStateMessage:false,valueState:this.getValueState(),showValueHelp:this.getShowValueHelp(),valueHelpRequest:function(E){this.fireValueHelpRequest({fromSuggestions:true});this._oSuggPopover._iPopupListSelectedIndex=-1;this._closeSuggestionPopup();}.bind(this),liveChange:function(E){var v=E.getParameter("newValue");this.setDOMValue(this._getInputValue(this._oSuggPopover._oPopupInput.getValue()));this._triggerSuggest(v);this.fireLiveChange({value:v,newValue:v});}.bind(this)});return i;};
u.prototype._modifyPopupInput=function(i){i.addEventDelegate({onsapenter:function(){if(this.getAutocomplete()){this._oSuggPopover._finalizeAutocomplete();}this._closeSuggestionPopup();}},this);return i;};
u.prototype.forwardEventHandlersToSuggPopover=function(i){i.setOkPressHandler(this._closeSuggestionPopup.bind(this));i.setCancelPressHandler(this._closeSuggestionPopup.bind(this));};
u.prototype._getSuggestionsPopover=function(){if(!this._oSuggPopover){var i=this._oSuggPopover=new f(this);if(this.isMobileDevice()){var v=this._createPopupInput();i._oPopupInput=this._modifyPopupInput(v);}this._oSuggPopover.setInputLabels(this.getLabels.bind(this));this._createSuggestionsPopoverPopup();this.forwardEventHandlersToSuggPopover(i);i._bAutocompleteEnabled=this.getAutocomplete();i.attachEvent(f.M_EVENTS.SELECTION_CHANGE,function(E){var N=E.getParameter("newValue");this.setDOMValue(N);this._sSelectedSuggViaKeyboard=N;this._doSelect();},this);if(this.getShowTableSuggestionValueHelp()){this._addShowMoreButton();}}return this._oSuggPopover;};
u.prototype._createSuggestionsPopoverPopup=function(){if(!this._oSuggPopover){return;}var i=this._oSuggPopover;var v;i._createSuggestionPopup({showSelectedButton:this._hasShowSelectedButton()});v=i._oPopover;v.attachBeforeOpen(function(){this._updateSuggestionsPopoverValueState();},this);v.attachBeforeClose(function(){this._updateSuggestionsPopoverValueState();},this);if(this.isMobileDevice()){v.attachBeforeClose(function(){this.setDOMValue(this._getInputValue(i._oPopupInput.getValue()));this.onChange();},this).attachAfterClose(function(){var w=i._oList;if(!w){return;}if(T&&!(w instanceof T)){w.destroyItems();}else{w.removeSelections(true);}}).attachAfterOpen(function(){this._triggerSuggest(this.getValue());this._refreshListItems();},this).attachBeforeOpen(function(){i._oPopupInput.setPlaceholder(this.getPlaceholder());i._oPopupInput.setMaxLength(this.getMaxLength());i._oPopupInput.setValue(this.getValue());},this);}else{v.attachAfterClose(function(){this._updateSelectionFromList();var w=i._oList,x=w.getSelectedItem();if(!w){return;}if(w instanceof T){x&&x.removeStyleClass("sapMLIBFocused");w.removeSelections(true);}else{w.destroyItems();}i._deregisterResize();},this).attachBeforeOpen(function(){i._sPopoverContentWidth=this.getMaxSuggestionWidth();i._bEnableHighlighting=this.getEnableSuggestionsHighlighting();i._bAutocompleteEnabled=this.getAutocomplete();i._bIsInputIncrementalType=this._isIncrementalType();this._sBeforeSuggest=this.getValue();i._resizePopup();i._registerResize();},this);}this.setAggregation("_suggestionPopup",v);this._oSuggestionPopup=v;};
u.prototype.showItems=function(F){var i,v,w=this._fnFilter;if(!this.getEnabled()||!this.getEditable()){return;}this.setFilterFunction(F||function(){return true;});this._clearSuggestionPopupItems();i=this._getFilteredSuggestionItems(this.getDOMValue());v=this._fillSimpleSuggestionPopupItems(i);if(v>0){this._openSuggestionPopup();}else{this._hideSuggestionPopup();}this._applySuggestionAcc(v);this.setFilterFunction(w);};
u.prototype.shouldValueStateMessageBeOpened=function(){var i=I.prototype.shouldValueStateMessageBeOpened.apply(this,arguments);if(!i||this._isSuggestionsPopoverOpen()){return false;}return true;};
u.prototype._isSuggestionsPopoverOpen=function(){return this._oSuggPopover&&this._oSuggPopover.isOpen();};
u.prototype.isMobileDevice=function(){return d.system.phone;};
u.prototype._openSuggestionsPopover=function(){this.closeValueStateMessage();this._updateSuggestionsPopoverValueState();this._oSuggPopover._oPopover.open();};
u.prototype._updateSuggestionsPopoverValueState=function(){var i=this._oSuggPopover,v=this.getValueState(),N=this.getValueState()!==i._getValueStateHeader().getValueState(),w=this.getFormattedValueStateText(),V=this.getValueStateText();if(!i){return;}if(this._isSuggestionsPopoverOpen()&&!w&&!N){this.setFormattedValueStateText(this._oSuggPopover._getValueStateHeader().getFormattedText());}i.updateValueState(v,(w||V),this.getShowValueStateMessage());if(this.isMobileDevice()){i._oPopupInput.setValueState(v);}};
u.prototype.setShowValueHelp=function(i){this.setProperty("showValueHelp",i);if(this._oSuggPopover&&this._oSuggPopover._oPopupInput){this._oSuggPopover._oPopupInput.setShowValueHelp(i);}return this;};
u.prototype.isValueHelpOnlyOpener=function(i){return true;};
return u;});
sap.ui.predefine('sap/m/InputBase',['./library','sap/ui/core/Control','sap/ui/core/EnabledPropagator','sap/ui/core/IconPool','./delegate/ValueStateMessage','sap/ui/core/message/MessageMixin','sap/ui/core/library','sap/ui/Device','./InputBaseRenderer','sap/base/Log',"sap/ui/events/KeyCodes","sap/ui/thirdparty/jquery","sap/ui/dom/jquery/cursorPos","sap/ui/dom/jquery/getSelectedText","sap/ui/dom/jquery/selectText"],function(l,C,E,I,V,M,c,D,a,b,K,q){"use strict";var T=c.TextDirection;var d=c.TextAlign;var f=c.ValueState;
var g=C.extend("sap.m.InputBase",{metadata:{interfaces:["sap.ui.core.IFormContent"],library:"sap.m",properties:{value:{type:"string",group:"Data",defaultValue:null,bindable:"bindable"},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},valueState:{type:"sap.ui.core.ValueState",group:"Appearance",defaultValue:f.None},name:{type:"string",group:"Misc",defaultValue:null},placeholder:{type:"string",group:"Misc",defaultValue:null},editable:{type:"boolean",group:"Behavior",defaultValue:true},valueStateText:{type:"string",group:"Misc",defaultValue:null},showValueStateMessage:{type:"boolean",group:"Misc",defaultValue:true},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:d.Initial},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:T.Inherit},required:{type:"boolean",group:"Misc",defaultValue:false}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{change:{parameters:{value:{type:"string"}}}},aggregations:{formattedValueStateText:{type:"sap.m.FormattedText",multiple:false,defaultValue:null},_endIcon:{type:"sap.ui.core.Icon",multiple:true,visibility:"hidden"},_beginIcon:{type:"sap.ui.core.Icon",multiple:true,visibility:"hidden"}},designtime:"sap/m/designtime/InputBase.designtime"}});
E.call(g.prototype);I.insertFontFaceStyle();M.call(g.prototype);g.ICON_PRESSED_CSS_CLASS="sapMInputBaseIconPressed";g.ICON_CSS_CLASS="sapMInputBaseIcon";g.prototype.bShowLabelAsPlaceholder=!D.support.input.placeholder;
g.prototype.handleInput=function(e){if(this._bIgnoreNextInput||this._bIgnoreNextInputNonASCII){this._bIgnoreNextInput=false;this._bIgnoreNextInputNonASCII=false;e.setMarked("invalid");return;}this._bIgnoreNextInput=false;this._bIgnoreNextInputNonASCII=false;if(!this.getEditable()){e.setMarked("invalid");return;}if(document.activeElement!==e.target&&D.browser.msie&&this.getValue()===this.getLastValue()){e.setMarked("invalid");return;}this._bCheckDomValue=true;};
g.prototype._getPlaceholder=function(){return this.getPlaceholder()||"";};
g.prototype._getInputValue=function(v){v=(v===undefined)?this.$("inner").val()||"":v.toString();if(this.getMaxLength&&this.getMaxLength()>0){v=v.substring(0,this.getMaxLength());}return v;};
g.prototype._getInputElementTagName=function(){if(!this._sInputTagElementName){this._sInputTagElementName=this._$input&&this._$input.get(0)&&this._$input.get(0).tagName;}return this._sInputTagElementName;};
g.prototype.init=function(){this.setLastValue("");this.bRenderingPhase=false;this._oValueStateMessage=new V(this);this._bIsComposingCharacter=false;this.fnCloseValueStateOnClick=function(){this.closeValueStateMessage();};};
g.prototype.oncompositionstart=function(){this._bIsComposingCharacter=true;};
g.prototype.oncompositionend=function(e){this._bIsComposingCharacter=false;if(!D.browser.edge&&!D.browser.firefox){this.handleInput(e);}};
g.prototype.isComposingCharacter=function(){return this._bIsComposingCharacter;};
g.prototype.onBeforeRendering=function(){if(D.browser.msie&&D.browser.version>9&&!/^[\x00-\x7F]*$/.test(this.getValue())){this._bIgnoreNextInputNonASCII=true;this._oDomRefBeforeRendering=this.getDomRef();}if(this._bCheckDomValue&&!this.bRenderingPhase){this._sDomValue=this._getInputValue();}this.bRenderingPhase=true;};
g.prototype.onAfterRendering=function(){var v=this.getValueState();var i=this.getFocusDomRef()===document.activeElement;var e=v===f.None;if(this._bCheckDomValue&&this._sDomValue!==this._getInputValue()){this.$("inner").val(this._sDomValue);}this.$("message").text(this.getValueStateText());this._bIgnoreNextInputNonASCII=this._bIgnoreNextInputNonASCII&&this._oDomRefBeforeRendering!==this.getDomRef();this._bCheckDomValue=false;this.bRenderingPhase=false;if(i){this[e?"closeValueStateMessage":"openValueStateMessage"]();}};
g.prototype.exit=function(){if(this._oValueStateMessage){this._oValueStateMessage.destroy();}this._oValueStateMessage=null;this._oDomRefBeforeRendering=null;};
g.prototype.ontouchstart=function(e){e.setMarked();};
g.prototype.onfocusin=function(e){this._bIgnoreNextInput=!this.bShowLabelAsPlaceholder&&D.browser.msie&&D.browser.version>9&&!!this.getPlaceholder()&&!this._getInputValue()&&this._getInputElementTagName()==="INPUT";this.addStyleClass("sapMFocus");this.openValueStateMessage();};
g.prototype.onfocusout=function(e){this.removeStyleClass("sapMFocus");if(!this._bClickOnValueStateLink(e)){this.closeValueStateMessage();}};
g.prototype.onsapfocusleave=function(e){if(!this.preventChangeOnFocusLeave(e)){this.onChange(e);}};
g.prototype.preventChangeOnFocusLeave=function(e){return this.bFocusoutDueRendering;};
g.prototype.getChangeEventParams=function(){return{};};
g.prototype.ontap=function(e){return;};
g.prototype.onChange=function(e,p,n){p=p||this.getChangeEventParams();if(!this.getEditable()||!this.getEnabled()){return;}var v=this._getInputValue(n);if(v!==this.getLastValue()){this.setValue(v);v=this.getValue();this.setLastValue(v);this.fireChangeEvent(v,p);return true;}else{this._bCheckDomValue=false;}};
g.prototype.fireChangeEvent=function(v,p){var o=q.extend({value:v,newValue:v},p);this.fireChange(o);};
g.prototype.onValueRevertedByEscape=function(v,p){this.fireEvent("liveChange",{value:v,escPressed:true,previousValue:p,newValue:v});};
g.prototype.onsapenter=function(e){if((D.browser.safari||D.browser.msie)&&this.isComposingCharacter()){e.setMarked("invalid");return;}this.onChange(e);};
g.prototype.onsapescape=function(e){var v=this._getInputValue();if(v!==this.getLastValue()){e.setMarked();e.preventDefault();this.updateDomValue(this.getLastValue());this.onValueRevertedByEscape(this.getLastValue(),v);}};
g.prototype.oninput=function(e){this.handleInput(e);};
g.prototype.onkeydown=function(e){if(this.getDomRef("inner").getAttribute("readonly")&&e.keyCode==K.BACKSPACE){e.preventDefault();}};
g.prototype.oncut=function(e){};
g.prototype.selectText=function(s,S){this.$("inner").selectText(s,S);return this;};
g.prototype.getSelectedText=function(){return this.$("inner").getSelectedText();};
g.prototype.setProperty=function(p,v,s){if(p=="value"){this._bCheckDomValue=false;}return C.prototype.setProperty.apply(this,arguments);};
g.prototype.getFocusInfo=function(){var F=C.prototype.getFocusInfo.call(this),o=this.getFocusDomRef();q.extend(F,{cursorPos:0,selectionStart:0,selectionEnd:0});if(o){F.cursorPos=q(o).cursorPos();try{F.selectionStart=o.selectionStart;F.selectionEnd=o.selectionEnd;}catch(e){}}return F;};
g.prototype.applyFocusInfo=function(F){C.prototype.applyFocusInfo.call(this,F);this.$("inner").cursorPos(F.cursorPos);this.selectText(F.selectionStart,F.selectionEnd);return this;};
g.prototype.updateDomValue=function(v){var i=this.getFocusDomRef();if(!this.isActive()){return this;}v=this._getInputValue(v);if(this._getInputValue()===v){return this;}this._bCheckDomValue=true;if(this._bPreferUserInteraction){this.handleInputValueConcurrency(v);}else{i.value=v;}return this;};
g.prototype._aValueStateLinks=function(){if(this.getFormattedValueStateText()&&this.getFormattedValueStateText().getHtmlText()&&this.getFormattedValueStateText().getControls().length){return this.getFormattedValueStateText().getControls();}else{return[];}};
g.prototype._bClickOnValueStateLink=function(e){var v=this._aValueStateLinks();return v.some(function(L){return e.relatedTarget===L.getDomRef();});};
g.prototype._attachValueStateLinkPress=function(){this._aValueStateLinks().forEach(function(L){L.attachPress(this.fnCloseValueStateOnClick,this);},this);};
g.prototype._detachValueStateLinkPress=function(){this._aValueStateLinks().forEach(function(L){L.detachPress(this.fnCloseValueStateOnClick,this);},this);};
g.prototype.handleInputValueConcurrency=function(v){var i=this.getFocusDomRef(),s=i&&this._getInputValue(),e=this.getProperty("value"),h=document.activeElement===i,B=this.isBound("value")&&this.getBindingInfo("value").skipModelUpdate;if(h&&B&&s&&(e!==s)){return this;}i.value=v;if(h&&B&&!s){i.select();}};
g.prototype._setPreferUserInteraction=function(p){this._bPreferUserInteraction=p;};
g.prototype.closeValueStateMessage=function(){setTimeout(function(){if(this._oValueStateMessage){this._detachValueStateLinkPress();this._oValueStateMessage.close();}}.bind(this),0);};
g.prototype.getDomRefForValueStateMessage=function(){return this.getDomRef("content");};
g.prototype.getPopupAnchorDomRef=function(){return this.getDomRef();};
g.prototype.iOpenMessagePopupDuration=0;
g.prototype.getValueStateMessageId=function(){return this.getId()+"-message";};
g.prototype.getLabels=function(){var L=this.getAriaLabelledBy().map(function(s){return sap.ui.getCore().byId(s);});var o=sap.ui.require("sap/ui/core/LabelEnablement");if(o){L=L.concat(o.getReferencingLabels(this).map(function(s){return sap.ui.getCore().byId(s);}));}return L;};
g.prototype.openValueStateMessage=function(){if(this._oValueStateMessage&&this.shouldValueStateMessageBeOpened()){setTimeout(function(){if(!this.bIsDestroyed){this._detachValueStateLinkPress();this._attachValueStateLinkPress();this._oValueStateMessage.open();}}.bind(this),0);}};
g.prototype.shouldValueStateMessageBeOpened=function(){return(this.getValueState()!==f.None)&&this.getEditable()&&this.getEnabled()&&this.getShowValueStateMessage();};
g.prototype._calculateIconsSpace=function(){var e=this.getAggregation("_endIcon")||[],B=this.getAggregation("_beginIcon")||[],i=e.concat(B),h;return i.reduce(function(A,o){h=o&&o.getDomRef()?o.getDomRef().offsetWidth:0;return A+h;},0);};
g.prototype.setValue=function(v){v=this.validateProperty("value",v);v=this._getInputValue(v);this.updateDomValue(v);if(v!==this.getProperty("value")){this.setLastValue(v);}this.setProperty("value",v,true);return this;};
g.prototype.getFocusDomRef=function(){return this.getDomRef("inner");};
g.prototype.getIdForLabel=function(){return this.getId()+"-inner";};
g.prototype.getAccessibilityInfo=function(){var r=this.getRequired()?'Required':'',R=this.getRenderer();return{role:R.getAriaRole(this),type:sap.ui.getCore().getLibraryResourceBundle("sap.m").getText("ACC_CTR_TYPE_INPUT"),description:[this.getValue()||"",R.getLabelledByAnnouncement(this),R.getDescribedByAnnouncement(this),r].join(" ").trim(),focusable:this.getEnabled(),enabled:this.getEnabled(),editable:this.getEnabled()&&this.getEditable()};};
g.prototype._addIcon=function(i,o){if(["begin","end"].indexOf(i)===-1){b.error('icon position is not "begin", neither "end", please check again the passed setting');return null;}var e=I.createControlByURI(o).addStyleClass(g.ICON_CSS_CLASS);this.addAggregation("_"+i+"Icon",e);return e;};
g.prototype.addBeginIcon=function(i){return this._addIcon("begin",i);};
g.prototype.addEndIcon=function(i){return this._addIcon("end",i);};
Object.defineProperty(g.prototype,"_$input",{get:function(){return this.$("inner");}});
g.prototype.setLastValue=function(v){this._lastValue=v;return this;};
g.prototype.getLastValue=function(){return this._lastValue;};
return g;});
sap.ui.predefine('sap/m/InputBaseRenderer',['sap/ui/core/Renderer','sap/ui/core/library','sap/ui/core/LabelEnablement','sap/ui/Device'],function(R,c,L,D){"use strict";var T=c.TextDirection;var V=c.ValueState;var I={apiVersion:2};
I.render=function(r,C){var v=C.getValueState(),t=C.getTextDirection(),s=R.getTextAlign(C.getTextAlign(),t),a=sap.ui.getCore().getConfiguration().getAccessibility(),b=C.getAggregation("_beginIcon")||[],e=C.getAggregation("_endIcon")||[],d,f;r.openStart("div",C);this.addOuterStyles(r,C);this.addControlWidth(r,C);r.class("sapMInputBase");this.addPaddingClass(r,C);this.addCursorClass(r,C);this.addOuterClasses(r,C);if(!C.getEnabled()){r.class("sapMInputBaseDisabled");}if(!C.getEditable()){r.class("sapMInputBaseReadonly");}if(v!==V.None){r.class("sapMInputBaseState");}if(b.length){d=b.filter(function(i){return i.getVisible();});d.length&&r.class("sapMInputBaseHasBeginIcons");}if(e.length){f=e.filter(function(i){return i.getVisible();});f.length&&r.class("sapMInputBaseHasEndIcons");}this.writeOuterAttributes(r,C);var g=C.getTooltip_AsString();if(g){r.attr("title",g);}r.openEnd();r.openStart("div",C.getId()+"-content");r.class("sapMInputBaseContentWrapper");if(!C.getEnabled()){r.class("sapMInputBaseDisabledWrapper");}else if(!C.getEditable()){r.class("sapMInputBaseReadonlyWrapper");}if(v!==V.None){this.addValueStateClasses(r,C);}this.addWrapperStyles(r,C);r.openEnd();if(b.length){this.writeIcons(r,b);}this.prependInnerContent(r,C);this.openInputTag(r,C);if(C.getName()){r.attr("name",C.getName());}if(!C.bShowLabelAsPlaceholder&&C._getPlaceholder()){r.attr("placeholder",C._getPlaceholder());}if(C.getMaxLength&&C.getMaxLength()>0){r.attr("maxlength",C.getMaxLength());}if(!C.getEnabled()){r.attr("disabled","disabled");}else if(!C.getEditable()){r.attr("readonly","readonly");}if(t!=T.Inherit){r.attr("dir",t.toLowerCase());}this.writeInnerValue(r,C);if(a){this.writeAccessibilityState(r,C);}if(D.browser.mozilla){if(g){r.attr("x-moz-errormessage",g);}else{r.attr("x-moz-errormessage"," ");}}this.writeInnerAttributes(r,C);r.class("sapMInputBaseInner");this.addInnerClasses(r,C);r.style("text-align",s);this.addInnerStyles(r,C);this.endInputTag(r,C);this.writeInnerContent(r,C);this.closeInputTag(r,C);if(e.length){this.writeIcons(r,e);}r.close("div");this.writeDecorations(r,C);if(a){this.renderAriaLabelledBy(r,C);this.renderAriaDescribedBy(r,C);}r.close("div");};
I.getAriaRole=function(C){return"textbox";};
I.getAriaLabelledBy=function(C){if(this.getLabelledByAnnouncement(C)){return C.getId()+"-labelledby";}};
I.getLabelledByAnnouncement=function(C){return"";};
I.renderAriaLabelledBy=function(r,C){var a=this.getLabelledByAnnouncement(C);if(a){r.openStart("span",C.getId()+"-labelledby").attr("aria-hidden","true").class("sapUiInvisibleText").openEnd().text(a.trim()).close("span");}};
I.getAriaDescribedBy=function(C){if(this.getDescribedByAnnouncement(C)){return C.getId()+"-describedby";}};
I.getDescribedByAnnouncement=function(C){return"";};
I.renderAriaDescribedBy=function(r,C){var a=this.getDescribedByAnnouncement(C);if(a){r.openStart("span",C.getId()+"-describedby").attr("aria-hidden","true").class("sapUiInvisibleText").openEnd().text(a.trim()).close("span");}};
I.getAccessibilityState=function(C){var a=this.getAriaLabelledBy(C),A=this.getAriaDescribedBy(C),r=this.getAriaRole(C),m={};if(r){m.role=r;}if(C.getValueState()===V.Error){m.invalid=true;}if(a){m.labelledby={value:a.trim(),append:true};}if(A){m.describedby={value:A.trim(),append:true};}m.disabled=null;m.readonly=null;return m;};
I.writeAccessibilityState=function(r,C){r.accessibilityState(C,this.getAccessibilityState(C));};
I.openInputTag=function(r,C){r.voidStart("input",C.getId()+"-"+this.getInnerSuffix());};
I.endInputTag=function(r,C){r.voidEnd();};
I.writeInnerValue=function(r,C){r.attr("value",C.getValue());};
I.addCursorClass=function(r,C){};
I.addPaddingClass=function(r,C){r.class("sapMInputBaseHeightMargin");};
I.addOuterStyles=function(r,C){};
I.addControlWidth=function(r,C){if(!C.getProperty('width')){r.class("sapMInputBaseNoWidth");}r.style("width",C.getWidth());};
I.addOuterClasses=function(r,C){};
I.writeOuterAttributes=function(r,C){};
I.addInnerStyles=function(r,C){};
I.addWrapperStyles=function(r,C){r.style("width","100%");};
I.addInnerClasses=function(r,C){};
I.writeInnerAttributes=function(r,C){};
I.prependInnerContent=function(r,C){};
I.writeInnerContent=function(r,C){};
I.writeIcons=function(r,i){r.openStart("div").attr("tabindex","-1").class("sapMInputBaseIconContainer").openEnd();i.forEach(r.renderControl,r);r.close("div");};
I.writeDecorations=function(r,C){};
I.closeInputTag=function(r,C){};
I.addPlaceholderStyles=function(r,C){};
I.addPlaceholderClasses=function(r,C){};
I.addValueStateClasses=function(r,C){r.class("sapMInputBaseContentWrapperState");r.class("sapMInputBaseContentWrapper"+C.getValueState());};
I.getInnerSuffix=function(){return"inner";};
return I;},true);
sap.ui.predefine('sap/m/InputRenderer',['sap/ui/core/InvisibleText','sap/ui/core/Renderer','./InputBaseRenderer','sap/m/library'],function(I,R,a,l){"use strict";var b=l.InputType;var c=R.extend(a);c.apiVersion=2;
c.addOuterClasses=function(r,C){r.class("sapMInput");if(C.getDescription()){r.class("sapMInputWithDescription");}};
c.writeInnerAttributes=function(r,C){var s=C.getShowSuggestion();r.attr("type",C.getType().toLowerCase());if(C.getType()==b.Number){r.attr("step","any");}if(C.getType()==b.Number&&sap.ui.getCore().getConfiguration().getRTL()){r.attr("dir","ltr").style("text-align","right");}if(s){r.attr("aria-haspopup","listbox");}if(s||C.getShowValueStateMessage()){r.attr("autocomplete","off");}if((!C.getEnabled()&&C.getType()=="Password")||(C.getShowSuggestion()&&C.isMobileDevice())||(C.getValueHelpOnly()&&C.getEnabled()&&C.getEditable()&&C.getShowValueHelp())){r.attr("readonly","readonly");}};
c.addInnerClasses=function(r,C){};
c.writeDescription=function(r,C){r.openStart("div").class("sapMInputDescriptionWrapper").style("width","calc(100% - "+C.getFieldWidth()+")").openEnd();r.openStart("span",C.getId()+"-descr").class("sapMInputDescriptionText").openEnd().text(C.getDescription()).close("span");r.close("div");};
c.writeDecorations=function(r,C){if(C.getDescription()){this.writeDescription(r,C);}if(sap.ui.getCore().getConfiguration().getAccessibility()){if(C.getShowSuggestion()&&C.getEnabled()&&C.getEditable()){r.openStart("span",C.getId()+"-SuggDescr").class("sapUiPseudoInvisibleText").attr("role","status").attr("aria-live","polite").openEnd().close("span");}}};
c.addWrapperStyles=function(r,C){r.style("width",C.getDescription()?C.getFieldWidth():"100%");};
c.getAriaLabelledBy=function(C){var d=a.getAriaLabelledBy.call(this,C)||"";if(C.getDescription()){d=d+" "+C.getId()+"-descr";}return d;};
c.getAriaDescribedBy=function(C){var A=a.getAriaDescribedBy.apply(this,arguments);function d(s){A=A?A+" "+s:s;}if(C.getShowValueHelp()&&C.getEnabled()&&C.getEditable()){d(I.getStaticId("sap.m","INPUT_VALUEHELP"));if(C.getValueHelpOnly()){d(I.getStaticId("sap.m","INPUT_DISABLED"));}}if(C.getShowSuggestion()&&C.getEnabled()&&C.getEditable()){d(C.getId()+"-SuggDescr");}return A;};
c.getAriaRole=function(C){return"";};
c.getAccessibilityState=function(C){var A=a.getAccessibilityState.apply(this,arguments);return A;};
return c;},true);
sap.ui.predefine('sap/m/MultiInput',['./Input','./Tokenizer','./Token','./library','sap/ui/core/EnabledPropagator','sap/ui/base/ManagedObjectMetadata','sap/ui/base/ManagedObjectObserver','sap/ui/Device','./Popover','./List','./Title','./Bar','./Toolbar','./StandardListItem','sap/ui/core/ResizeHandler','sap/ui/core/IconPool','./MultiInputRenderer',"sap/ui/dom/containsOrEquals","sap/ui/events/KeyCodes",'sap/ui/core/InvisibleText',"sap/ui/thirdparty/jquery","sap/ui/dom/jquery/cursorPos","sap/ui/dom/jquery/control"],function(I,T,a,l,E,M,b,D,P,L,c,B,d,S,R,f,g,h,K,j,q){"use strict";var k=l.TokenizerRenderMode;
var m=I.extend("sap.m.MultiInput",{metadata:{library:"sap.m",designtime:"sap/m/designtime/MultiInput.designtime",properties:{enableMultiLineMode:{type:"boolean",group:"Behavior",defaultValue:false},maxTokens:{type:"int",group:"Behavior"}},aggregations:{tokens:{type:"sap.m.Token",multiple:true,singularName:"token"},tokenizer:{type:"sap.m.Tokenizer",multiple:false,visibility:"hidden"}},events:{tokenChange:{parameters:{type:{type:"string"},token:{type:"sap.m.Token"},tokens:{type:"sap.m.Token[]"},addedTokens:{type:"sap.m.Token[]"},removedTokens:{type:"sap.m.Token[]"}}},tokenUpdate:{allowPreventDefault:true,parameters:{type:{type:"string"},addedTokens:{type:"sap.m.Token[]"},removedTokens:{type:"sap.m.Token[]"}}}},dnd:{draggable:false,droppable:true}}});
E.apply(m.prototype,[true]);var r=sap.ui.getCore().getLibraryResourceBundle("sap.m");
m.prototype.init=function(){var t=this;this._bShowListWithTokens=false;I.prototype.init.call(this);this._bIsValidating=false;var o=new T({renderMode:k.Narrow});this.setAggregation("tokenizer",o);o.attachTokenChange(this._onTokenChange,this);o.attachTokenUpdate(this._onTokenUpdate,this);this._oTokenizerObserver=new b(this.invalidate.bind(this));this._oTokenizerObserver.observe(o,{aggregations:["tokens"]});o.getTokensPopup().setInitialFocus(this).attachBeforeOpen(this._onBeforeOpenTokensPicker.bind(this));o.addEventDelegate({onThemeChanged:this._handleInnerVisibility.bind(this),onAfterRendering:function(){if(this.isMobileDevice()&&this.getEditable()){o.addStyleClass("sapMTokenizerIndicatorDisabled");}else{o.removeStyleClass("sapMTokenizerIndicatorDisabled");}this._syncInputWidth(o);this._handleInnerVisibility();this._handleNMoreAccessibility();this._registerTokenizerResizeHandler();}.bind(this)},this);this._aTokenValidators=[];this.setShowValueHelp(true);this.setShowSuggestion(true);this._getSuggestionsPopoverInstance()._oPopover.attachBeforeOpen(function(){if(t.isMobileDevice()!==true){return;}var e=o._getTokensList();o._fillTokensList(e);this.addContent(e);t._manageListsVisibility(!!o.getTokens().length);});this.attachSuggestionItemSelected(this._onSuggestionItemSelected,this);this.attachLiveChange(this._onLiveChange,this);this.attachValueHelpRequest(this._onValueHelpRequested,this);this._getValueHelpIcon().setProperty("visible",true,true);this._onResize=this._onResize.bind(this);};
m.prototype.exit=function(){this._deregisterResizeHandler();this._deregisterTokenizerResizeHandler();this._oTokenizerObserver.disconnect();this._oTokenizerObserver.destroy();this._oTokenizerObserver=null;I.prototype.exit.call(this);};
m.prototype.onAfterRendering=function(){var t=this.getAggregation("tokenizer");this._bTokenIsValidated=false;t.setMaxWidth(this._calculateSpaceForTokenizer());t.scrollToEnd();this._registerResizeHandler();I.prototype.onAfterRendering.apply(this,arguments);};
m.prototype._handleInnerVisibility=function(){var H=!!this.getAggregation("tokenizer").getHiddenTokensCount();this._setValueVisible(!H);};
m.prototype.oninput=function(e){this.setProperty("selectedKey",'',true);I.prototype.oninput.call(this,e);if(e.isMarked("invalid")||!this.getEditable()){return;}this._setValueVisible(true);this._manageListsVisibility(false);this.getAggregation("tokenizer").getTokensPopup().close();};
m.prototype._registerResizeHandler=function(){if(!this._iResizeHandlerId){this._iResizeHandlerId=R.register(this,this._onResize);}};
m.prototype._deregisterResizeHandler=function(){if(this._iResizeHandlerId){R.deregister(this._iResizeHandlerId);this._iResizeHandlerId=null;}};
m.prototype._registerTokenizerResizeHandler=function(){if(!this._iTokenizerResizeHandler){this._iTokenizerResizeHandler=R.register(this.getAggregation("tokenizer"),this._onResize);}};
m.prototype._deregisterTokenizerResizeHandler=function(){if(this._iTokenizerResizeHandler){R.deregister(this._iTokenizerResizeHandler);this._iTokenizerResizeHandler=null;}};
m.prototype._onResize=function(){this.getAggregation("tokenizer").setMaxWidth(this._calculateSpaceForTokenizer());};
m.prototype._onTokenChange=function(e){this.fireTokenChange(e.getParameters());this.invalidate();if(e.getParameter("type")==="removed"){this.getAggregation("tokenizer").setRenderMode(k.Loose);}if(this.isMobileDevice()){this._manageListsVisibility(true);}};
m.prototype._onTokenUpdate=function(e){var i=this.fireTokenUpdate(e.getParameters());if(!this.getTokens().length){this.$().find("input").trigger("focus");}if(!i){e.preventDefault();}else{this.invalidate();}};
m.prototype._onSuggestionItemSelected=function(e){var t=this.getAggregation("tokenizer"),i=null,n=null,o=t.getTokens().length;if(this.getMaxTokens()&&o>=this.getMaxTokens()||this._bValueHelpOpen){return;}if(this._hasTabularSuggestions()){i=e.getParameter("selectedRow");}else{i=e.getParameter("selectedItem");if(i){n=new a({text:i.getText(),key:i.getKey()});}}if(i&&!this._bTokenIsAdded){var p=this.getValue();this.addValidateToken({text:p,token:n,suggestionObject:i,validationCallback:this._validationCallback.bind(this,o)});}if(this.isMobileDevice()){var N=t.getTokens().length;if(o<N){this.setValue("");}if(this._getSuggestionsList()instanceof sap.m.Table){this._getSuggestionsList().addStyleClass("sapMInputSuggestionTableHidden");}else{this._getSuggestionsList().destroyItems();}var s=this.getAggregation("tokenizer").getScrollDelegate();if(s){s.scrollTo(0,0,0);}this._getSuggestionsPopoverInstance()._oPopupInput.focus();}this._bTokenIsAdded=false;};
m.prototype._onValueHelpRequested=function(){this._bValueHelpOpen=true;};
m.prototype._onLiveChange=function(e){this.getAggregation("tokenizer")._removeSelectedTokens();};
m.prototype._setValueVisible=function(v){var V=v?"1":"0";this.$("inner").css("opacity",V);};
m.prototype.onmousedown=function(e){if(e.target==this.getDomRef('content')){e.preventDefault();e.stopPropagation();}};
m.prototype.openMultiLine=function(){};
m.prototype.closeMultiLine=function(){};
m.prototype.showItems=function(){I.prototype.showItems.apply(this,arguments);this._manageListsVisibility(false);};
m.prototype.onBeforeRendering=function(){I.prototype.onBeforeRendering.apply(this,arguments);this.getAggregation("tokenizer").setEnabled(this.getEnabled());};
m.prototype.onsapnext=function(e){var t=this.getAggregation("tokenizer");if(e.isMarked()){return;}var F=q(document.activeElement).control()[0];if(!F){return;}if(t===F||t.$().find(F.$()).length>0){t.scrollToEnd();this.$().find("input").trigger("focus");}};
m.prototype.onsapbackspace=function(e){if(this._$input.cursorPos()>0||!this.getEditable()||this.getValue().length>0){return;}if(!e.isMarked()){T.prototype.onsapbackspace.apply(this.getAggregation("tokenizer"),arguments);}if(e.isMarked("forwardFocusToParent")){this.focus();}e.preventDefault();e.stopPropagation();};
m.prototype.onsapdelete=function(e){if(!this.getEditable()){return;}if(this.getValue()&&!this._completeTextIsSelected()){return;}if(e.isMarked("forwardFocusToParent")){this.focus();}};
m.prototype.onkeydown=function(e){var t=this.getAggregation("tokenizer");if(!this.getEnabled()){return;}if(e.which===K.TAB){t.selectAllTokens(false);}if((e.ctrlKey||e.metaKey)&&e.which===K.A&&t.getTokens().length>0){t.focus();t.selectAllTokens(true);e.preventDefault();}if((e.ctrlKey||e.metaKey)&&e.which===K.I&&t.getTokens().length){t._togglePopup(t.getTokensPopup());e.preventDefault();}};
m.prototype.onpaste=function(e){var o,i,s,A=[];if(this.getValueHelpOnly()){return;}if(window.clipboardData){o=window.clipboardData.getData("Text");}else{o=e.originalEvent.clipboardData.getData('text/plain');}s=o.split(/\r\n|\r|\n/g);if(s.length<=1){return;}setTimeout(function(){if(s){if(this.fireEvent("_validateOnPaste",{texts:s},true)){var n="";for(i=0;i<s.length;i++){if(s[i]){var t=this._convertTextToToken(s[i],true);if(this._addUniqueToken(t)){A.push(t);}else{n=s[i];}}}this.updateDomValue(n);if(A.length>0){this.fireTokenUpdate({addedTokens:A,removedTokens:[],type:T.TokenUpdateType.Added});this.fireTokenChange({addedTokens:A,removedTokens:[],type:T.TokenChangeType.TokensChanged});}}if(A.length){this.cancelPendingSuggest();}}}.bind(this),0);};
m.prototype._validationCallback=function(o,v){var n=this.getAggregation("tokenizer").getTokens().length;var s=this._getSuggestionsPopoverInstance();this._bIsValidating=false;if(v){this.setValue("");this._bTokenIsValidated=true;if(this.isMobileDevice()&&s&&s._oPopupInput&&(o<n)){s._oPopupInput.setValue("");}}};
m.prototype.onsapprevious=function(e){if(this._getIsSuggestionPopupOpen()){return;}if(this._$input.cursorPos()===0){if(e.srcControl===this){T.prototype.onsapprevious.apply(this.getAggregation("tokenizer"),arguments);}}if(e.keyCode===K.ARROW_UP){e.preventDefault();}};
m.prototype.onsaphome=function(e){if(!this.getFocusDomRef().selectionStart){T.prototype.onsaphome.apply(this.getAggregation("tokenizer"),arguments);}};
m.prototype.onsapend=function(e){if(e.isMarked("forwardFocusToParent")){this.focus();}};
m.prototype.onsapenter=function(e){if(I.prototype.onsapenter){I.prototype.onsapenter.apply(this,arguments);}var v=true,t=this.getAggregation("tokenizer");if(this._getIsSuggestionPopupOpen()){if(this._hasTabularSuggestions()){v=!this._oSuggestionTable.getSelectedItem();}else{v=!this._getSuggestionsList().getSelectedItem();}}if(v){this._validateCurrentText();}if(e&&e.setMarked&&this._bTokenIsValidated){e.setMarked();}if(!this.getEditable()&&t.getHiddenTokensCount()&&e.target===this.getFocusDomRef()){t._togglePopup(t.getTokensPopup());}this.focus();};
m.prototype.onsapfocusleave=function(e){var p=this._getSuggestionsPopoverPopup(),t=this.getAggregation("tokenizer"),s=t.getTokensPopup(),n=false,N=false,i=this.getDomRef()&&h(this.getDomRef(),document.activeElement),o,F;if(p&&p.isA("sap.m.Popover")){if(e.relatedControlId){o=sap.ui.getCore().byId(e.relatedControlId).getFocusDomRef();n=h(p.getFocusDomRef(),o);N=h(t.getFocusDomRef(),o);if(s){F=h(s.getFocusDomRef(),o);}}}I.prototype.onsapfocusleave.apply(this,arguments);if(this._bIsValidating||this._bValueHelpOpen){return;}if(!this.isMobileDevice()&&!n&&e.relatedControlId!==this.getId()&&!N){this._validateCurrentText(true);}if(!this.isMobileDevice()&&this.getEditable()){if(i||n){return;}}if(!F&&!N){s.isOpen()&&!this.isMobileDevice()&&t._togglePopup(s);t.setRenderMode(k.Narrow);}this._handleInnerVisibility();};
m.prototype.ontap=function(e){var t=this.getAggregation("tokenizer");if(document.activeElement===this._$input[0]||document.activeElement===t.getDomRef()){t.selectAllTokens(false);}if(e&&e.isMarked("tokenDeletePress")){return;}I.prototype.ontap.apply(this,arguments);};
m.prototype.onfocusin=function(e){var t=this.getAggregation("tokenizer");this._deregisterTokenizerResizeHandler();this._bValueHelpOpen=false;if(e.target===this.getFocusDomRef()){I.prototype.onfocusin.apply(this,arguments);if(t.hasOneTruncatedToken()){t.getTokens()[0].setSelected(false);!this.isMobileDevice()&&t.setFirstTokenTruncated(false);}}if(!this.isMobileDevice()&&this.getEditable()&&e.target===this.getDomRef("inner")&&!(this._getIsSuggestionPopupOpen())){t.setRenderMode(k.Loose);this._setValueVisible(true);}this._registerResizeHandler();};
m.prototype.onsapescape=function(e){var t=this.getAggregation("tokenizer"),p=t.getTokensPopup();this.getAggregation("tokenizer").selectAllTokens(false);this.selectText(0,0);if(p.isOpen()){t._togglePopup(p);}I.prototype.onsapescape.apply(this,arguments);};
m.prototype._completeTextIsSelected=function(){var i=this._$input[0];if(i.selectionStart!==0){return false;}if(i.selectionEnd!==this.getValue().length){return false;}return true;};
m.prototype._getIsSuggestionPopupOpen=function(){var s=this._getSuggestionsPopoverInstance(),o=this._getSuggestionsPopoverPopup();return s&&o&&o.isOpen();};
m.prototype.setEditable=function(e){var t=this.getAggregation("tokenizer");e=this.validateProperty("editable",e);if(e===this.getEditable()){return this;}if(I.prototype.setEditable){I.prototype.setEditable.apply(this,arguments);}t.setEditable(e);return this;};
m.prototype._findItem=function(t,e,n,G){if(!t){return;}if(!(e&&e.length)){return;}t=t.toLowerCase();var o=e.length;for(var i=0;i<o;i++){var p=e[i];var s=G(p);if(!s){continue;}s=s.toLowerCase();if(s===t){return p;}if(!n&&s.indexOf(t)===0){return p;}}};
m.prototype._getSuggestionItem=function(t,e){var n=null;var o=null;if(this._hasTabularSuggestions()){n=this.getSuggestionRows();o=this._findItem(t,n,e,function(p){var s=p.getCells();var u=null;if(s){var i;for(i=0;i<s.length;i++){if(s[i].getText){u=s[i].getText();break;}}}return u;});}else{n=this.getSuggestionItems();o=this._findItem(t,n,e,function(o){return o.getText();});}return o;};
m.prototype.clone=function(){var C,t=this.getAggregation("tokenizer");this.detachSuggestionItemSelected(this._onSuggestionItemSelected,this);this.detachLiveChange(this._onLiveChange,this);t.detachTokenChange(this._onTokenChange,this);t.detachTokenUpdate(this._onTokenUpdate,this);this.detachValueHelpRequest(this._onValueHelpRequested,this);C=I.prototype.clone.apply(this,arguments);this.attachSuggestionItemSelected(this._onSuggestionItemSelected,this);this.attachLiveChange(this._onLiveChange,this);t.attachTokenChange(this._onTokenChange,this);t.attachTokenUpdate(this._onTokenUpdate,this);this.attachValueHelpRequest(this._onValueHelpRequested,this);return C;};
m.getMetadata().forwardAggregation("tokens",{getter:function(){return this.getAggregation("tokenizer");},aggregation:"tokens",forwardBinding:true});
m.prototype.getPopupAnchorDomRef=function(){return this.getDomRef("content");};
m.prototype.setTokens=function(t){var v,V=[],i;if(Array.isArray(t)){for(i=0;i<t.length;i++){v=this.validateAggregation("tokens",t[i],true);M.addAPIParentInfoBegin(t[i],this,"tokens");V.push(v);}this.getAggregation("tokenizer").setTokens(V);for(i=0;i<t.length;i++){M.addAPIParentInfoEnd(t[i]);}}else{throw new Error("\""+t+"\" is of type "+typeof t+", expected array for aggregation tokens of "+this);}return this;};
m.TokenChangeType={Added:"added",Removed:"removed",RemovedAll:"removedAll",TokensChanged:"tokensChanged"};m.WaitForAsyncValidation="sap.m.MultiInput.WaitForAsyncValidation";m.prototype.getDomRefForValueStateMessage=m.prototype.getPopupAnchorDomRef;
m.prototype.updateInputField=function(n){I.prototype.updateInputField.call(this,n);var s=this._getSuggestionsPopoverInstance();this.setDOMValue('');if(s._oPopupInput){s._oPopupInput.setDOMValue('');}};
m.prototype.onChange=function(e,p,n){p=p||this.getChangeEventParams();if(!this.getEditable()||!this.getEnabled()){return;}var v=this._getInputValue(n);if(v===this.getLastValue()){this._bCheckDomValue=false;return;}if(!this._bTokenIsValidated){this.setValue(v);v=this.getValue();this.setLastValue(v);}this.fireChangeEvent(v,p);return true;};
m.prototype.getAccessibilityInfo=function(){var t=this.getTokens().map(function(o){return o.getText();}).join(" ");var i=I.prototype.getAccessibilityInfo.apply(this,arguments);i.type=r.getText("ACC_CTR_TYPE_MULTIINPUT");i.description=((i.description||"")+" "+t).trim();return i;};
m.prototype._modifyPopupInput=function(p){var t=this;p.addEventDelegate({oninput:t._manageListsVisibility.bind(t,false),onsapenter:function(e){if(p.getValue()){t._closeSuggestionPopup();}t._validateCurrentText();t._setValueVisible(false);t.onChange(e,null,p.getValue());}});return p;};
m.prototype._hasShowSelectedButton=function(){return true;};
m.prototype.forwardEventHandlersToSuggPopover=function(s){I.prototype.forwardEventHandlersToSuggPopover.apply(this,arguments);s.setShowSelectedPressHandler(this._handleShowSelectedPress.bind(this));};
m.prototype._handleShowSelectedPress=function(e){this._bShowListWithTokens=e.getSource().getPressed();this._manageListsVisibility(this._bShowListWithTokens);};
m.prototype._onBeforeOpenTokensPicker=function(){var t=this.getAggregation("tokenizer"),p=t.getTokensPopup(),o=this.getDomRef(),e=this.getEditable(),w;this._setValueVisible(false);this._manageListsVisibility(true);if(o&&p){w=(t.getTokens().length===1)?"auto":(o.offsetWidth/parseFloat(l.BaseFontSize))+"rem";p.setContentWidth(e?w:"auto");}};
m.prototype.getDialogTitle=function(){var p=this._getSuggestionsPopoverPopup(),H=p&&p.getCustomHeader();if(H){return H.getContentMiddle()[0];}return null;};
m.prototype._updatePickerHeaderTitle=function(){var o,e;e=this.getLabels();if(e.length){o=e[0];if(o&&(typeof o.getText==="function")){this.getDialogTitle().setText(o.getText());}}else{this.getDialogTitle().setText(r.getText("COMBOBOX_PICKER_TITLE"));}};
m.prototype._getSuggestionsList=function(){var s=this._getSuggestionsPopoverInstance();return s&&s._oList;};
m.prototype._getSuggestionsPopoverInstance=function(){return this._oSuggPopover;};
m.prototype._getSuggestionsPopoverPopup=function(){return this._oSuggestionPopup;};
m.prototype._manageListsVisibility=function(s){if(!this.isMobileDevice()){return;}this.getAggregation("tokenizer")._getTokensList().setVisible(s);this._getSuggestionsList()&&this._getSuggestionsList().setVisible(!s);this._getSuggestionsPopover().getFilterSelectedButton().setPressed(s);};
m.prototype._handleNMoreAccessibility=function(){var i=j.getStaticId("sap.m","MULTICOMBOBOX_OPEN_NMORE_POPOVER"),F=this.getFocusDomRef(),A=(F&&F.getAttribute("aria-labelledby")),e=A?A.split(" "):[],n=e.indexOf(i),o=this.getEnabled(),N=!this.getEditable()&&this.getAggregation("tokenizer").getHiddenTokensCount();if(N&&n===-1){e.push(i);o&&this.getFocusDomRef().setAttribute("aria-keyshortcuts","Enter");}else if(n!==-1&&!N){e.splice(n,1);this.getFocusDomRef().removeAttribute("aria-keyshortcuts");}if(F&&e.length){F.setAttribute("aria-labelledby",e.join(" ").trim());}};
m.prototype._calculateSpaceForTokenizer=function(){var o=this.getDomRef();if(o){var s,e=this.$().find(".sapMInputDescriptionWrapper"),i=this.$().find(".sapMInputBaseInner"),C=o.offsetWidth||0,n=e.width()||0,p=this._calculateIconsSpace(),t=["min-width","padding-right","padding-left"],u=t.reduce(function(A,v){return A+(parseInt(i.css(v))||0);},0);s=C-(p+u+n);s=s<0?0:s;return s+"px";}else{return null;}};
m.prototype._syncInputWidth=function(t){var F=this.getDomRef('inner'),s,i;if(!F||(t&&!t.getDomRef())){return;}s=this._calculateIconsSpace();i=Math.ceil(t.getDomRef().getBoundingClientRect().width);F.style.width='calc(100% - '+Math.floor(s+i)+"px";};
m.prototype.isValueHelpOnlyOpener=function(t){return[this._$input[0],this._getValueHelpIcon().getDomRef()].indexOf(t)>-1;};
m.prototype._shouldTriggerSuggest=function(){var s=I.prototype._shouldTriggerSuggest.apply(this,arguments);return s&&!this._bShowListWithTokens;};
m.prototype.addValidator=function(v){if(typeof(v)==="function"){this._aTokenValidators.push(v);}};
m.prototype.removeValidator=function(v){var i=this._aTokenValidators.indexOf(v);if(i!==-1){this._aTokenValidators.splice(i,1);}};
m.prototype.removeAllValidators=function(){this._aTokenValidators=[];};
m.prototype.getValidators=function(){return this._aTokenValidators;};
m.prototype.addValidateToken=function(p,v){var t=this._validateToken(p,v),A=this._addUniqueToken(t,p.validationCallback);if(A){this.fireTokenUpdate({addedTokens:[t],removedTokens:[],type:T.TokenUpdateType.Added});this.fireTokenChange({addedTokens:[t],removedTokens:[],type:T.TokenChangeType.TokensChanged});}};
m.prototype._validateToken=function(p,v){var t=p.token,V=p.validationCallback,s=p.suggestionObject,e=t&&t.getText(),n=e?e:p.text,o;v=v?v:this._aTokenValidators;o=v.length;if(!o){if(!t&&V){V(false);}return t;}for(var i=0;i<o;i++){t=v[i]({text:n,suggestedToken:t,suggestionObject:s,asyncCallback:this._getAsyncValidationCallback(v,i,n,s,V)});if(!t){if(V){V(false);}return null;}if(t===m.WaitForAsyncValidation){return null;}}return t;};
m.prototype._addUniqueToken=function(t,v){if(!t){return false;}var e=!this._tokenExists(t);e&&this.addToken(t);if(v){v(e);}return e;};
m.prototype._tokenExists=function(t){var o=this.getTokens(),e=o.length,s=t&&t.getKey();if(!s){return false;}for(var i=0;i<e;i++){if(o[i].getKey()===s){return true;}}return false;};
m.prototype._convertTextToToken=function(t,C){var o=this.getAggregation("tokenizer"),O=o.getTokens().length,e=this._configureTokenOptions(t,false,C),v=e.text,i=e.item,n=e.token;if(!v){return null;}return this._validateToken({text:v,token:n,suggestionObject:i,validationCallback:this._validationCallback.bind(this,O)});};
m.prototype._validateCurrentText=function(e){var t=this.getAggregation("tokenizer"),o=t.getTokens().length,O=this._configureTokenOptions(this.getValue(),e),v=O.text,i=O.item,n=O.token;if(!v){return null;}if(i){this._bTokenIsAdded=true;}if(!this.getMaxTokens()||this.getTokens().length<this.getMaxTokens()){this._bIsValidating=true;this.addValidateToken({text:v,token:n,suggestionObject:i,validationCallback:this._validationCallback.bind(this,o)});}};
m.prototype._configureTokenOptions=function(v,e,p){var i,t;if(v&&this.getEditable()){v=v.trim();}if(v&&(e||p||this._getIsSuggestionPopupOpen())){if(this._hasTabularSuggestions()){i=this._oSuggestionTable.getSelectedItem();}else{i=this._getSuggestionItem(v,e);}}if(i&&i.getText&&i.getKey){t=new a({text:i.getText(),key:i.getKey()});}return{text:v,item:i,token:t};};
m.prototype._getAsyncValidationCallback=function(v,V,i,s,e){var t=this;return function(o){if(o){o=t.addValidateToken({text:i,token:o,suggestionObject:s,validationCallback:e},v.slice(V+1));}else{e&&e(false);}};};
return m;});
sap.ui.predefine('sap/m/MultiInputRenderer',['./InputRenderer','sap/ui/core/Renderer',"sap/ui/core/Core"],function(I,R,C){"use strict";var M=R.extend(I);M.apiVersion=2;
M.prependInnerContent=function(r,c){r.renderControl(c.getAggregation("tokenizer"));};
M.addOuterClasses=function(r,c){I.addOuterClasses.apply(this,arguments);r.class("sapMMultiInput");if(c.getTokens().length>0){r.class("sapMMultiInputHasTokens");}};
M.getAriaDescribedBy=function(c){var a=I.getAriaDescribedBy.apply(this,arguments),i=c.getAggregation("tokenizer")&&c.getAggregation("tokenizer").getTokensInfoId();if(a){a=a+" "+i;}else{a=i;}return a;};
M.getAccessibilityState=function(c){var a=I.getAccessibilityState.apply(this,arguments),r=C.getLibraryResourceBundle("sap.m");a.roledescription=r.getText("MULTIINPUT_ARIA_ROLE_DESCRIPTION");return a;};
return M;},true);
sap.ui.predefine('sap/m/Panel',['./library','sap/ui/core/Control','sap/ui/core/IconPool','sap/ui/Device','./PanelRenderer','sap/m/Button'],function(l,C,I,D,P,B){"use strict";var a=l.PanelAccessibleRole;var b=l.BackgroundDesign;var c=l.ButtonType;
var d=C.extend("sap.m.Panel",{metadata:{library:"sap.m",properties:{headerText:{type:"string",group:"Data",defaultValue:""},width:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"100%"},height:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"auto"},expandable:{type:"boolean",group:"Appearance",defaultValue:false},expanded:{type:"boolean",group:"Appearance",defaultValue:false},expandAnimation:{type:"boolean",group:"Behavior",defaultValue:true},backgroundDesign:{type:"sap.m.BackgroundDesign",group:"Appearance",defaultValue:b.Translucent},accessibleRole:{type:"sap.m.PanelAccessibleRole",group:"Accessibility",defaultValue:a.Form}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"},headerToolbar:{type:"sap.m.Toolbar",multiple:false},infoToolbar:{type:"sap.m.Toolbar",multiple:false}},events:{expand:{parameters:{expand:{type:"boolean"},triggeredByInteraction:{type:"boolean"}}}},dnd:{draggable:true,droppable:true},designtime:"sap/m/designtime/Panel.designtime"}});
d.prototype.init=function(){this._bInteractiveExpand=false;this.data("sap-ui-fastnavgroup","true",true);};
d.prototype.onThemeChanged=function(){this._setContentHeight();};
d.prototype.setExpanded=function(e){var t=this;if(e===this.getExpanded()){return this;}this.setProperty("expanded",e,true);if(!this.getExpandable()){return this;}this._toggleExpandCollapse(function(){t.invalidate();});this._toggleButtonIcon(e);this.fireExpand({expand:e,triggeredByInteraction:this._bInteractiveExpand});this._bInteractiveExpand=false;return this;};
d.prototype.onBeforeRendering=function(){if(this.getExpandable()&&!this._oExpandButton){this._oExpandButton=this._createExpandButton();}if(D.browser.msie||D.browser.edge){this._updateButtonAriaLabelledBy();}if(sap.ui.getCore().getConfiguration().getAccessibility()){this.$().attr("role",this.getAccessibleRole().toLowerCase());}};
d.prototype.onAfterRendering=function(){var $=this.$(),p=this.getDomRef("content"),h,o=this.getDomRef();if(o){o.style.width=this.getWidth();h=this.getHeight();o.style.height=h;if(parseFloat(h)!=0){o.querySelector(".sapMPanelContent").style.height=h;}}this._setContentHeight();if(this.getExpandable()){this.getHeaderToolbar()&&p&&this._oExpandButton.$().attr("aria-controls",p.id);if(!this.getExpanded()){$.children(".sapMPanelExpandablePart").css("display","none");}}};
d.prototype.ontap=function(e){var o=this.getDomRef(),w=o&&o.querySelector(".sapMPanelWrappingDiv");if(!this.getExpandable()||this.getHeaderToolbar()||!w){return;}if(w.contains(e.target)){this._bInteractiveExpand=true;this.setExpanded(!this.getExpanded());}};
d.prototype.onsapspace=function(e){this.ontap(e);};
d.prototype.onsapenter=function(e){this.ontap(e);};
d.prototype.exit=function(){if(this._oExpandButton){this._oExpandButton.destroy();this._oExpandButton=null;}};
d.prototype._createExpandButton=function(){var t=this,i=this.getExpanded()?I.getIconURI("slim-arrow-down"):I.getIconURI("slim-arrow-right"),T=sap.ui.getCore().getLibraryResourceBundle("sap.m").getText("PANEL_ICON"),o;if(!this.getHeaderToolbar()){return I.createControlByURI({src:i,tooltip:T});}o=new B(this.getId()+"-expandButton",{icon:i,tooltip:T,type:c.Transparent,press:function(){t._bInteractiveExpand=true;t.setExpanded(!t.getExpanded());}}).addEventDelegate({onAfterRendering:function(){o.$().attr("aria-expanded",this.getExpanded());}.bind(this)},this);this.addDependent(o);return o;};
d.prototype._toggleButtonIcon=function(i){var s=i?I.getIconURI("slim-arrow-down"):I.getIconURI("slim-arrow-right");if(!this._oExpandButton){return;}if(this.getHeaderToolbar()){this._oExpandButton.setIcon(s);}else{this._oExpandButton.setSrc(s);}};
d.prototype._setContentHeight=function(){var A,t=this.getDomRef(),p=t&&t.querySelector(".sapMPanelContent");if(this.getHeight()==="auto"||!p){return;}A='calc('+"100%"+' - '+p.offsetTop+'px)';p.style.height=A;};
d.prototype._toggleExpandCollapse=function(A){var o={complete:A};if(!this.getExpandAnimation()){o.duration=0;}this.$().children(".sapMPanelExpandablePart").slideToggle(o);};
d.prototype._updateButtonAriaLabelledBy=function(){var L,A,f;if(!this._oExpandButton||!this.getHeaderToolbar()){return;}if(this.getAccessibleRole()===a.Form){f=true;}L=this._getLabellingElementId();A=this._oExpandButton.getAriaLabelledBy();if(L&&A.indexOf(L)===-1){this._oExpandButton.removeAllAssociation("ariaLabelledBy");!f&&this._oExpandButton.addAriaLabelledBy(L);}};
d.prototype._getLabellingElementId=function(){var h=this.getHeaderToolbar(),H=this.getHeaderText(),i=null;if(h){i=h.getTitleId();}else if(H){i=this.getId()+"-header";}return i;};
return d;});
sap.ui.predefine('sap/m/PanelRenderer',["sap/m/library","sap/ui/Device"],function(l,D){"use strict";var T=l.ToolbarDesign;var P={apiVersion:2};
P.render=function(r,c){this.startPanel(r,c);this.renderHeader(r,c);this.renderContent(r,c);this.endPanel(r);};
P.startPanel=function(r,c){var i=c.getExpandable(),a={role:c.getAccessibleRole().toLowerCase()};r.openStart("div",c);r.class("sapMPanel");if(i){r.class("sapMPanelExpandable");}r.style("width",c.getWidth());r.style("height",c.getHeight());if(c.getHeaderToolbar()||!i){a.labelledby=c._getLabellingElementId();}r.accessibilityState(c,a);r.openEnd();};
P.renderHeader=function(r,c){var i=c.getExpandable(),I=c.getExpanded(),h=c.getHeaderToolbar(),H,s=h?"header":"div";if(i){r.openStart(s);if(h){H="sapMPanelWrappingDivTb";}else{H="sapMPanelWrappingDiv";this.writeHeaderAccessibility(r,c);}r.class(H);if(I){r.class(H+"Expanded");}r.openEnd();if(i){r.renderControl(c._oExpandButton);}}var a=c.getHeaderText();if(h){h.setDesign(T.Transparent,true);h.addStyleClass("sapMPanelHeaderTB");r.renderControl(h);}else if(a||i){r.openStart("h2",c.getId()+"-header");r.class("sapMPanelHdr");r.openEnd();r.text(a);r.close("h2");}if(i){r.close(s);}var o=c.getInfoToolbar();if(o){o.setDesign(T.Info,true);o.addStyleClass("sapMPanelInfoTB");if(i){r.openStart("div");r.class("sapMPanelExpandablePart");r.openEnd();r.renderControl(o);r.close("div");}else{r.renderControl(o);}}};
P.writeHeaderAccessibility=function(r,c){r.attr('tabindex',0);r.attr('role','button');r.attr('aria-expanded',c.getExpanded());r.attr('aria-controls',c.getId()+"-content");};
P.renderContent=function(r,c){this.startContent(r,c);this.renderChildren(r,c.getContent());this.endContent(r);};
P.startContent=function(r,c){r.openStart("div",c.getId()+"-content");r.class("sapMPanelContent");r.class("sapMPanelBG"+c.getBackgroundDesign());if(c.getExpandable()){r.class("sapMPanelExpandablePart");}if(D.browser.firefox){r.attr('tabindex','-1');}r.openEnd();};
P.renderChildren=function(r,c){c.forEach(r.renderControl,r);};
P.endContent=function(r){r.close("div");};
P.endPanel=function(r){r.close("div");};
return P;},true);
sap.ui.predefine('sap/m/ResponsivePopover',['./Dialog','./Popover','./library','./TitleAlignmentMixin','sap/ui/core/Control','sap/ui/core/IconPool','sap/ui/base/ManagedObject','sap/ui/Device','./ResponsivePopoverRenderer','./Toolbar','./ToolbarSpacer','./Button',"sap/ui/thirdparty/jquery"],function(D,P,l,T,C,I,M,a,R,b,c,B,q){"use strict";var d=l.DialogType;var e=l.PlacementType;var f=l.TitleAlignment;
var g=C.extend("sap.m.ResponsivePopover",{metadata:{library:"sap.m",properties:{placement:{type:"sap.m.PlacementType",group:"Misc",defaultValue:e.Right},showHeader:{type:"boolean",group:"Misc",defaultValue:true},title:{type:"string",group:"Misc",defaultValue:null},icon:{type:"sap.ui.core.URI",group:"Misc",defaultValue:null},modal:{type:"boolean",group:"Misc",defaultValue:null},offsetX:{type:"int",group:"Misc",defaultValue:null},offsetY:{type:"int",group:"Misc",defaultValue:null},showArrow:{type:"boolean",group:"Appearance",defaultValue:true},contentWidth:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:null},contentHeight:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:null},horizontalScrolling:{type:"boolean",group:"Misc",defaultValue:true},verticalScrolling:{type:"boolean",group:"Misc",defaultValue:true},showCloseButton:{type:"boolean",group:"Misc",defaultValue:true},resizable:{type:"boolean",group:"Dimension",defaultValue:false},titleAlignment:{type:"sap.m.TitleAlignment",group:"Misc",defaultValue:f.Auto}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"},customHeader:{type:"sap.m.IBar",multiple:false},subHeader:{type:"sap.m.IBar",multiple:false},beginButton:{type:"sap.m.Button",multiple:false},endButton:{type:"sap.m.Button",multiple:false},_popup:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"}},associations:{initialFocus:{type:"sap.ui.core.Control",multiple:false},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"},ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"}},events:{beforeOpen:{parameters:{openBy:{type:"sap.ui.core.Control"}}},afterOpen:{parameters:{openBy:{type:"sap.ui.core.Control"}}},beforeClose:{parameters:{openBy:{type:"sap.ui.core.Control"},origin:{type:"sap.m.Button"}}},afterClose:{parameters:{openBy:{type:"sap.ui.core.Control"},origin:{type:"sap.m.Button"}}}}}});
g.prototype.init=function(){var t=this;this._bAppendedToUIArea=false;var s={resizable:t.getResizable(),titleAlignment:t.getTitleAlignment(),beforeOpen:function(E){t.fireBeforeOpen({openBy:E.getParameter('openBy')});},afterOpen:function(E){t.fireAfterOpen({openBy:E.getParameter('openBy')});},beforeClose:function(E){t.fireBeforeClose({openBy:E.getParameter('openBy'),origin:E.getParameter('origin')});},afterClose:function(E){t.fireAfterClose({openBy:E.getParameter('openBy'),origin:E.getParameter('origin')});}};if(a.system.phone){this._aNotSupportedProperties=["placement","modal","offsetX","offsetY","showCloseButton"];s.stretch=true;s.type=d.Standard;this._oControl=new D(this.getId()+"-dialog",s);}else{this._aNotSupportedProperties=["icon","showCloseButton"];this._oControl=new P(this.getId()+"-popover",s);}this.setAggregation("_popup",this._oControl);this._oControl.addStyleClass("sapMResponsivePopover");this._oDelegate={onBeforeRendering:function(){var S=this.getShowCloseButton(),h=this._oControl._getAnyHeader(),n,p,r;if(!S||!a.system.phone){this._removeCloseButton(h);return;}if(!this._bContentChanged){return;}this._bContentChanged=false;if(h){this._insertCloseButton(h);}else{n=this._getSingleNavContent();if(!n){return;}p=n.getCurrentPage();r=this._getRealPage(p);if(r&&(h=r._getAnyHeader())){this._insertCloseButton(h);}n.attachEvent("navigate",this._fnOnNavigate,this);}}};this._oPageDelegate={onAfterShow:function(){var r=t._getRealPage(this),h;if(r&&(h=r._getAnyHeader())){t._insertCloseButton(h);}}};this._fnOnNavigate=function(E){var p=E.getParameter("to");if(p){p.addEventDelegate(this._oPageDelegate,p);}};this._oControl.addEventDelegate(this._oDelegate,this);this._oControl._removeChild=function(o,A,S){var p,i;if((A==="content")&&(o instanceof sap.m.NavContainer)){p=o.getPages();for(i=0;i<p.length;i++){p[i].removeEventDelegate(t._oPageDelegate);}o.detachEvent("navigate",t._fnOnNavigate,t);}C.prototype._removeChild.apply(this,arguments);};};
g.prototype.openBy=function(p){if(!this._bAppendedToUIArea&&!this.getParent()){var s=sap.ui.getCore().getStaticAreaRef();s=sap.ui.getCore().getUIArea(s);s.addContent(this,true);this._bAppendedToUIArea=true;}if(a.system.phone){return this._oControl.open();}else{return this._oControl.openBy(p);}};
g.prototype.exit=function(){if(this._oCloseButton){this._oCloseButton.destroy();this._oCloseButton=null;}if(this._oControl){this._oControl.removeEventDelegate(this._oDelegate);this._oControl.destroy();this._oControl=null;}};
g.prototype._getCloseButton=function(){if(!this._oCloseButton){var t=this;this._oCloseButton=new B(this.getId()+"-closeButton",{icon:I.getIconURI("decline"),press:function(){t._oControl._oCloseTrigger=this;t.close();}});}return this._oCloseButton;};
g.prototype.addContent=function(o){this._bContentChanged=true;this.addAggregation("content",o);return this;};
g.prototype.clone=function(){var o=C.prototype.clone.apply(this,arguments),h=this.getAggregation('_popup').getContent();for(var i=0;i<h.length;i++){o.addContent(h[i].clone());}return o;};
g.prototype._getSingleNavContent=function(){var h=this.getContent();while(h.length===1&&h[0]instanceof sap.ui.core.mvc.View){h=h[0].getContent();}if(h.length===1&&h[0]instanceof sap.m.NavContainer){return h[0];}else{return null;}};
g.prototype._getRealPage=function(p){var r=p,h;while(r){if(r instanceof sap.m.Page){return r;}if(r instanceof sap.ui.core.mvc.View){h=r.getContent();if(h.length===1){r=h[0];continue;}}r=null;}return r;};
g.prototype._insertCloseButton=function(h){var o=this._getCloseButton(),i;if(h&&h.addContentRight){i=h.getAggregation("contentRight",[]).length;h.insertAggregation("contentRight",o,i);}};
g.prototype._removeCloseButton=function(h){var o=this._getCloseButton();if(h){h.removeAggregation("contentRight",o);}};
g.prototype._firstLetterUpperCase=function(v){return v.charAt(0).toUpperCase()+v.slice(1);};
g.prototype._lastIndexOfUpperCaseLetter=function(v){var i,s;for(i=v.length-1;i>=0;i--){s=v.charAt(i);if(s===s.toUpperCase()){return i;}}return-1;};
g.prototype._oldSetProperty=g.prototype.setProperty;
g.prototype.setProperty=function(p,v,s){this._oldSetProperty(p,v,true);var S="set"+this._firstLetterUpperCase(p);if(this._aNotSupportedProperties.indexOf(p)===-1&&S in this._oControl){this._oControl[S](v);}return this;};
g.prototype._oldSetModel=g.prototype.setModel;
g.prototype.setModel=function(m,n){this._oControl.setModel(m,n);return this._oldSetModel(m,n);};
g.prototype._createButtonFooter=function(){if(this._oFooter){return this._oFooter;}this._oFooter=new b(this.getId()+"-footer",{content:[new c()]});return this._oFooter;};
g.prototype._getButtonFooter=function(){return a.system.phone?this._oControl._getToolbar():this._oControl.getFooter();};
g.prototype._getPopup=function(){return this._oControl.oPopup;};
g.prototype._setButton=function(p,o){if(this._oControl instanceof P){var G="get"+this._firstLetterUpperCase(p)+"Button",O=this[G](),F=this._createButtonFooter(),s="_o"+this._firstLetterUpperCase(p)+"Button",i=(p.toLowerCase()==="begin"?0:1),h=(p.toLowerCase()==="begin"?"getEndButton":"getBeginButton");if(O){F.removeContent(O);}if(o){if(!F.getParent()){this._oControl.setFooter(F);}F.insertContent(o,i+1);}else{var j=this[h]();if(!j){F.destroy();this._oFooter=null;}}this[s]=o;return this;}else{var A=p.toLowerCase()+"Button";return this.setAggregation(A,o);}};
g.prototype._getButton=function(p){if(this._oControl instanceof P){var s="_o"+this._firstLetterUpperCase(p)+"Button";return this[s];}else{var G="get"+this._firstLetterUpperCase(p)+"Button";return this._oControl[G]();}};
g.prototype.setBeginButton=function(o){this._oControl.setBeginButton(o);return this._setButton("begin",o);};
g.prototype.setEndButton=function(o){this._oControl.setEndButton(o);return this._setButton("end",o);};
g.prototype.setShowCloseButton=function(s){var h=this._oControl._getAnyHeader();if(s){this._insertCloseButton(h);}else{this._removeCloseButton(h);}this.setProperty("showCloseButton",s,true);return this;};
g.prototype.getBeginButton=function(){return this._getButton("begin");};
g.prototype.getEndButton=function(){return this._getButton("end");};
["bindAggregation","validateAggregation","setAggregation","getAggregation","indexOfAggregation","insertAggregation","addAggregation","removeAggregation","removeAllAggregation","destroyAggregation","setAssociation","getAssociation","addAssociation","removeAssociation","removeAllAssociation"].forEach(function(n){g.prototype[n]=function(){var L=this._lastIndexOfUpperCaseLetter(n),m,r;if(typeof arguments[0]==="string"){if(L!==-1){m=n.substring(0,L)+this._firstLetterUpperCase(arguments[0]);if(this._oControl&&this._oControl[m]){r=this._oControl[m].apply(this._oControl,Array.prototype.slice.call(arguments,1));return r===this._oControl?this:r;}else{return C.prototype[n].apply(this,arguments);}}}r=this._oControl[n].apply(this._oControl,arguments);return r===this._oControl?this:r;};});["invalidate","close","isOpen","addStyleClass","removeStyleClass","toggleStyleClass","hasStyleClass","getDomRef","setBusy","getBusy","setBusyIndicatorDelay","getBusyIndicatorDelay","addEventDelegate","_setAriaModal","_setAriaRoleApplication"].forEach(function(n){g.prototype[n]=function(){if(this._oControl&&this._oControl[n]){if(n==="invalidate"&&arguments[0]===this._oControl){return C.prototype.invalidate.apply(this,arguments);}var r=this._oControl[n].apply(this._oControl,arguments);return r===this._oControl?this:r;}};});
g.prototype._applyContextualSettings=function(){M.prototype._applyContextualSettings.call(this,M._defaultContextualSettings);};
return g;});
sap.ui.predefine('sap/m/ResponsivePopoverRenderer',[],function(){"use strict";var R={apiVersion:2};
R.render=function(r,c){};
return R;},true);
sap.ui.predefine('sap/m/SearchField',['./library','sap/ui/core/Control','sap/ui/core/EnabledPropagator','sap/ui/core/IconPool','./Suggest','sap/ui/Device','./SearchFieldRenderer',"sap/ui/events/KeyCodes","sap/ui/thirdparty/jquery","sap/ui/dom/jquery/cursorPos"],function(l,C,E,I,S,D,a,K,q){"use strict";var r=sap.ui.getCore().getLibraryResourceBundle("sap.m");a.oSearchFieldToolTips={SEARCH_BUTTON_TOOLTIP:r.getText("SEARCHFIELD_SEARCH_BUTTON_TOOLTIP"),RESET_BUTTON_TOOLTIP:r.getText("SEARCHFIELD_RESET_BUTTON_TOOLTIP"),REFRESH_BUTTON_TOOLTIP:r.getText("SEARCHFIELD_REFRESH_BUTTON_TOOLTIP")};
var b=C.extend("sap.m.SearchField",{metadata:{interfaces:["sap.ui.core.IFormContent","sap.f.IShellBar"],library:"sap.m",properties:{value:{type:"string",group:"Data",defaultValue:null,bindable:"bindable"},width:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},visible:{type:"boolean",group:"Appearance",defaultValue:true},maxLength:{type:"int",group:"Behavior",defaultValue:0},placeholder:{type:"string",group:"Misc",defaultValue:null},showMagnifier:{type:"boolean",group:"Misc",defaultValue:true,deprecated:true},showRefreshButton:{type:"boolean",group:"Behavior",defaultValue:false},refreshButtonTooltip:{type:"string",group:"Misc",defaultValue:null},showSearchButton:{type:"boolean",group:"Behavior",defaultValue:true},enableSuggestions:{type:"boolean",group:"Behavior",defaultValue:false},selectOnFocus:{type:"boolean",group:"Behavior",defaultValue:true,deprecated:true}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},defaultAggregation:"suggestionItems",designtime:"sap/m/designtime/SearchField.designtime",aggregations:{suggestionItems:{type:"sap.m.SuggestionItem",multiple:true,singularName:"suggestionItem"}},events:{search:{parameters:{query:{type:"string"},suggestionItem:{type:"sap.m.SuggestionItem"},refreshButtonPressed:{type:"boolean"},clearButtonPressed:{type:"boolean"}}},change:{parameters:{value:{type:"string"}}},liveChange:{parameters:{newValue:{type:"string"}}},suggest:{parameters:{suggestValue:{type:"string"}}}}}});
E.call(b.prototype);I.insertFontFaceStyle();
b.prototype.init=function(){this._lastValue="";this.setProperty("placeholder",r.getText("FACETFILTER_SEARCH"),true);};
b.prototype.getFocusDomRef=function(){return this.getInputElement();};
b.prototype.getFocusInfo=function(){var f=C.prototype.getFocusInfo.call(this),i=this.getDomRef("I");if(i){q.extend(f,{cursorPos:q(i).cursorPos()});}return f;};
b.prototype.applyFocusInfo=function(f){C.prototype.applyFocusInfo.call(this,f);if("cursorPos"in f){this.$("I").cursorPos(f.cursorPos);}return this;};
b.prototype.getWidth=function(){return this.getProperty("width")||"100%";};
b.prototype._hasPlaceholder=(function(){return"placeholder"in document.createElement("input");}());
b.prototype.getInputElement=function(){return this.getDomRef("I");};
b.prototype.onBeforeRendering=function(){this._unregisterEventListeners();};
b.prototype.onAfterRendering=function(){this._lastValue=this.getValue();this._setToolTips();var i=this.getInputElement();this._resetElement=this.getDomRef("reset");q(i).on("input",this.onInput.bind(this)).on("search",this.onSearch.bind(this)).on("change",this.onChange.bind(this)).on("focus",this.onFocus.bind(this)).on("blur",this.onBlur.bind(this));q(this.getDomRef("F")).on("click",this.onFormClick.bind(this));if(D.system.desktop||D.system.combi){this.$().on("touchstart mousedown",this.onButtonPress.bind(this));if(D.browser.firefox){this.$().find(".sapMSFB").on("mouseup mouseout",function(g){q(g.target).removeClass("sapMSFBA");});}}else if(window.PointerEvent){q(this._resetElement).on("touchstart",function(){this._active=document.activeElement;}.bind(this));}var f=sap.ui.getCore();if(!f.isThemeApplied()){f.attachThemeChanged(this._handleThemeLoad,this);}};
b.prototype._handleThemeLoad=function(){if(this._oSuggest){this._oSuggest.setPopoverMinWidth();}var f=sap.ui.getCore();f.detachThemeChanged(this._handleThemeLoad,this);};
b.prototype.clear=function(O){var v=O&&O.value||"";if(!this.getInputElement()||this.getValue()===v){return;}this._updateValue(v);u(this);this.fireLiveChange({newValue:v});this._fireChangeEvent();this.fireSearch({query:v,refreshButtonPressed:false,clearButtonPressed:!!(O&&O.clearButton)});};
b.prototype.exit=function(){this._unregisterEventListeners();if(this._oSuggest){this._oSuggest.destroy(true);this._oSuggest=null;}};
b.prototype.onButtonPress=function(f){if(f.originalEvent.button===2){return;}var i=this.getInputElement();if(document.activeElement===i&&f.target!==i){f.preventDefault();}if(D.browser.firefox){var g=q(f.target);if(g.hasClass("sapMSFB")){g.addClass("sapMSFBA");}}};
b.prototype.ontouchstart=function(f){this._oTouchStartTarget=f.target;};
b.prototype.ontouchend=function(f){if(f.originalEvent.button===2){return;}var g=f.target,v=true,i=this.getInputElement();if(this._oTouchStartTarget){v=this._oTouchStartTarget===g;this._oTouchStartTarget=null;}if(g.id==this.getId()+"-reset"&&v){c(this);this._bSuggestionSuppressed=true;var h=!this.getValue();var j=document.activeElement;if(((D.system.desktop||h||/(INPUT|TEXTAREA)/i.test(j.tagName)||j===this._resetElement&&this._active===i))&&(j!==i)){i.focus();}this.clear({clearButton:true});}else if(g.id==this.getId()+"-search"&&v){c(this);if(D.system.desktop&&!this.getShowRefreshButton()&&(document.activeElement!==i)){i.focus();}this._fireChangeEvent();this.fireSearch({query:this.getValue(),refreshButtonPressed:!!(this.getShowRefreshButton()&&!this.$().hasClass("sapMFocus")),clearButtonPressed:false});}else{this.onmouseup(f);}};
b.prototype.onmouseup=function(f){if(D.system.phone&&this.getEnabled()&&f.target.tagName=="INPUT"&&document.activeElement===f.target&&!d(this)){this.onFocus(f);}};
b.prototype.onFormClick=function(f){if(this.getEnabled()&&f.target.tagName=="FORM"){this.getInputElement().focus();}};
b.prototype.onSearch=function(f){var v=this.getInputElement().value;this._updateValue(v);this._fireChangeEvent();this.fireSearch({query:v,refreshButtonPressed:false,clearButtonPressed:false});if(!D.system.desktop){this._blur();}};
b.prototype._blur=function(){var t=this;window.setTimeout(function(){var i=t.getInputElement();if(i){i.blur();}},13);};
b.prototype.onChange=function(f){this._fireChangeEvent();};
b.prototype._fireChangeEvent=function(){var v=this.getInputElement().value;if(this._lastValue===v){return;}this._lastValue=v;this.fireChange({value:v});};
b.prototype.onInput=function(f){var v=this.getInputElement().value;if(v!=this.getValue()){this._updateValue(v);this.fireLiveChange({newValue:v});if(this.getEnableSuggestions()){if(this._iSuggestDelay){clearTimeout(this._iSuggestDelay);}this._iSuggestDelay=setTimeout(function(){this.fireSuggest({suggestValue:v});u(this);this._iSuggestDelay=null;}.bind(this),400);}}};
b.prototype.onkeydown=function(f){var g;var h;var v;switch(f.which){case K.F5:case K.ENTER:this.$("search").toggleClass("sapMSFBA",true);f.stopPropagation();f.preventDefault();if(d(this)){c(this);if((g=this._oSuggest.getSelected())>=0){h=this.getSuggestionItems()[g];this._updateValue(h.getSuggestionText());}}this._fireChangeEvent();this.fireSearch({query:this.getValue(),suggestionItem:h,refreshButtonPressed:this.getShowRefreshButton()&&f.which===K.F5,clearButtonPressed:false});break;case K.ESCAPE:if(d(this)){c(this);f.setMarked();}else{v=this.getValue();if(v===this._sOriginalValue){this._sOriginalValue="";}this.clear({value:this._sOriginalValue});if(v!==this.getValue()){f.setMarked();}}f.preventDefault();break;}};
b.prototype.onkeyup=function(f){if(f.which===K.F5||f.which===K.ENTER){this.$("search").toggleClass("sapMSFBA",false);}};
b.prototype.onFocus=function(f){if(D.browser.internet_explorer&&!document.hasFocus()){return;}this.$().toggleClass("sapMFocus",true);this._sOriginalValue=this.getValue();if(this.getEnableSuggestions()){if(!this._bSuggestionSuppressed){this.fireSuggest({suggestValue:this.getValue()});}else{this._bSuggestionSuppressed=false;}}this._setToolTips(f.type);};
b.prototype.onBlur=function(f){this.$().toggleClass("sapMFocus",false);if(this._bSuggestionSuppressed){this._bSuggestionSuppressed=false;}this._setToolTips(f.type);};
b.prototype._setToolTips=function(t){var $=this.$("search"),f=this.$("reset");if(this.getShowRefreshButton()){if(t==="focus"){$.attr("title",a.oSearchFieldToolTips.SEARCH_BUTTON_TOOLTIP);}else if(t==="blur"){var R=this.getRefreshButtonTooltip(),T=R===""?a.oSearchFieldToolTips.REFRESH_BUTTON_TOOLTIP:R;if(T){$.attr("title",T);}}}if(this.getValue()===""){f.attr("title",a.oSearchFieldToolTips.SEARCH_BUTTON_TOOLTIP);}else{f.attr("title",a.oSearchFieldToolTips.RESET_BUTTON_TOOLTIP);}};
b.prototype._updateValue=function(v){v=v||"";var i=this.getInputElement();if(i){if(i.value!==v){i.value=v;}var $=this.$();if($.hasClass("sapMSFVal")==!v){$.toggleClass("sapMSFVal",!!v);}}this.setProperty("value",v,true);this._setToolTips();return this;};
b.prototype._unregisterEventListeners=function(){var i=this.getInputElement();if(i){this.$().find(".sapMSFB").off();this.$().off();q(this.getDomRef("F")).off();q(i).off();}};
b.prototype.onsapshow=function(f){if(this.getEnableSuggestions()){if(d(this)){c(this);}else{this.fireSuggest({suggestValue:this.getValue()});}}};
b.prototype.onsaphide=function(f){this.suggest(false);};
function s(f,g,i,R){var h;if(d(f)){h=f._oSuggest.setSelected(i,R);if(h>=0){f._updateValue(f.getSuggestionItems()[h].getSuggestionText());}g.preventDefault();}}
b.prototype.onsapdown=function(f){s(this,f,1,true);};
b.prototype.onsapup=function(f){s(this,f,-1,true);};
b.prototype.onsaphome=function(f){s(this,f,0,false);};
b.prototype.onsapend=function(f){var L=this.getSuggestionItems().length-1;s(this,f,L,false);};
b.prototype.onsappagedown=function(f){s(this,f,10,true);};
b.prototype.onsappageup=function(f){s(this,f,-10,true);};
b.prototype._applySuggestionAcc=function(){var A="",n=this.getSuggestionItems().length;if(n===1){A=r.getText("INPUT_SUGGESTIONS_ONE_HIT");}else if(n>1){A=r.getText("INPUT_SUGGESTIONS_MORE_HITS",n);}else{A=r.getText("INPUT_SUGGESTIONS_NO_HIT");}this.$("SuggDescr").text(A);};
b.prototype.getPopupAnchorDomRef=function(){return this.getDomRef("F");};
function c(f){f._oSuggest&&f._oSuggest.close();}
function o(f){if(f.getEnableSuggestions()){if(!f._oSuggest){f._oSuggest=new S(f);}f._oSuggest.open();}}
function d(f){return f._oSuggest&&f._oSuggest.isOpen();}
b.prototype.suggest=function(f){if(this.getEnableSuggestions()){f=f===undefined||!!f;if(f&&(this.getSuggestionItems().length||D.system.phone)){o(this);}else{c(this);}}return this;};
function u(f){f._oSuggest&&f._oSuggest.update();}
var e="suggestionItems";
b.prototype.insertSuggestionItem=function(O,i,f){u(this);return C.prototype.insertAggregation.call(this,e,O,i,true);};
b.prototype.addSuggestionItem=function(O,f){u(this);return C.prototype.addAggregation.call(this,e,O,true);};
b.prototype.removeSuggestionItem=function(O,f){u(this);return C.prototype.removeAggregation.call(this,e,O,true);};
b.prototype.removeAllSuggestionItems=function(f){u(this);return C.prototype.removeAllAggregation.call(this,e,true);};
return b;});
sap.ui.predefine('sap/m/SearchFieldRenderer',["sap/ui/Device","sap/ui/core/InvisibleText"],function(D,I){"use strict";var S={apiVersion:2};
S.render=function(r,s){if(!s.getVisible()){return;}var p=s.getPlaceholder(),v=s.getValue(),w=s.getProperty("width"),i=s.getId(),b=s.getShowRefreshButton(),a=s.getShowSearchButton(),A={},t,R=s.getRefreshButtonTooltip(),c;r.openStart("div",s).class("sapMSF");if(w){r.style("width",w);}if(v){r.class("sapMSFVal");}if(!s.getEnabled()){r.class("sapMSFDisabled");}r.openEnd();r.openStart('form',i+"-F").class('sapMSFF');if(!a){r.class("sapMSFNS");}else if(b){r.class('sapMSFReload');}r.openEnd();if(!s._hasPlaceholder&&p){r.openStart("label",i+"-P").class("sapMSFPlaceholder").attr("for",i+"-I").openEnd().text(p).close("label");}r.voidStart('input',s.getId()+"-I").class("sapMSFI").attr("type","search").attr("autocomplete","off");if(D.browser.safari){r.attr("autocorrect","off");}var T=s.getTooltip_AsString();if(T){r.attr("title",T);}if(D.os.android&&D.os.version>=4&&D.os.version<4.1){r.class("sapMSFIA4");}if(s.getEnableSuggestions()&&D.system.phone){r.attr("readonly","readonly");}if(!s.getEnabled()){r.attr("disabled","disabled");}if(p){r.attr("placeholder",p);}if(s.getMaxLength()){r.attr("maxLength",s.getMaxLength());}r.attr("value",v);if(s.getEnabled()&&b){var d=I.getStaticId("sap.m","SEARCHFIELD_ARIA_F5");if(d){A.describedby={value:d,append:true};}}A.disabled=null;r.accessibilityState(s,A);r.voidEnd();if(s.getEnabled()){r.openStart("div",s.getId()+"-reset").class("sapMSFR").class("sapMSFB").attr("aria-hidden",true);c=v===""?this.oSearchFieldToolTips.SEARCH_BUTTON_TOOLTIP:this.oSearchFieldToolTips.RESET_BUTTON_TOOLTIP;r.attr("title",c);if(D.browser.firefox){r.class("sapMSFBF");}if(!a){r.class("sapMSFNS");}r.openEnd().close("div");if(a){r.openStart("div",s.getId()+"-search").class("sapMSFS").class("sapMSFB").attr("aria-hidden",true);if(D.browser.firefox){r.class("sapMSFBF");}if(b){t=R===""?this.oSearchFieldToolTips.REFRESH_BUTTON_TOOLTIP:R;}else{t=this.oSearchFieldToolTips.SEARCH_BUTTON_TOOLTIP;}r.attr("title",t).openEnd().close("div");}}r.close("form");if(s.getEnableSuggestions()){r.openStart("span",s.getId()+"-SuggDescr").class("sapUiPseudoInvisibleText").attr("role","status").attr("aria-live","polite").openEnd().close("span");}r.close("div");};
return S;},true);
sap.ui.predefine('sap/m/SelectDialog',['./Button','./Dialog','./List','./SearchField','./library','./TitleAlignmentMixin','sap/ui/core/Control','sap/ui/Device','sap/m/Toolbar','sap/m/Label','sap/m/BusyIndicator','sap/m/Bar','sap/m/Title','sap/ui/core/theming/Parameters',"sap/base/Log"],function(B,D,L,S,l,T,C,a,b,c,d,e,f,P,g){"use strict";var h=l.ListMode;var i=l.ButtonType;var j=l.TitleAlignment;
var k=C.extend("sap.m.SelectDialog",{
metadata:{library:"sap.m",properties:{title:{type:"string",group:"Appearance",defaultValue:null},noDataText:{type:"string",group:"Appearance",defaultValue:null},multiSelect:{type:"boolean",group:"Dimension",defaultValue:false},growingThreshold:{type:"int",group:"Misc",defaultValue:null},growing:{type:"boolean",group:"Behavior",defaultValue:true},contentWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},rememberSelections:{type:"boolean",group:"Behavior",defaultValue:false},contentHeight:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},showClearButton:{type:"boolean",group:"Behavior",defaultValue:false},confirmButtonText:{type:"string",group:"Appearance"},draggable:{type:"boolean",group:"Behavior",defaultValue:false},resizable:{type:"boolean",group:"Behavior",defaultValue:false},titleAlignment:{type:"sap.m.TitleAlignment",group:"Misc",defaultValue:j.Auto}},defaultAggregation:"items",aggregations:{items:{type:"sap.m.ListItemBase",multiple:true,singularName:"item",forwarding:{idSuffix:"-list",aggregation:"items",forwardBinding:true}},_dialog:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"}},events:{confirm:{parameters:{selectedItem:{type:"sap.m.StandardListItem"},selectedItems:{type:"sap.m.StandardListItem[]"},selectedContexts:{type:"object[]"}}},search:{parameters:{value:{type:"string"},itemsBinding:{type:"any"},clearButtonPressed:{type:"boolean"}}},liveChange:{parameters:{value:{type:"string"},itemsBinding:{type:"any"}}},cancel:{}}},
renderer:{apiVersion:2,render:function(){}}
});
k.prototype.init=function(){var t=this,m=0;this._bAppendedToUIArea=false;this._bInitBusy=false;this._bFirstRender=true;this._bAfterCloseAttached=false;this._oRb=sap.ui.getCore().getLibraryResourceBundle("sap.m");this._oList=new L(this.getId()+"-list",{growing:t.getGrowing(),growingScrollToLoad:t.getGrowing(),mode:h.SingleSelectMaster,sticky:[l.Sticky.InfoToolbar],infoToolbar:new b({visible:false,active:false,content:[new c({text:this._oRb.getText("TABLESELECTDIALOG_SELECTEDITEMS",[0])})]}),selectionChange:this._selectionChange.bind(this)});this._oList.getInfoToolbar().addEventDelegate({onAfterRendering:function(){t._oList.getInfoToolbar().$().attr('aria-live','polite');}});this._list=this._oList;this._oList.attachUpdateStarted(this._updateStarted,this);this._oList.attachUpdateFinished(this._updateFinished,this);this._oBusyIndicator=new d(this.getId()+"-busyIndicator").addStyleClass("sapMSelectDialogBusyIndicator",true);this._oSearchField=new S(this.getId()+"-searchField",{width:"100%",liveChange:function(E){var v=E.getSource().getValue(),n=(v?300:0);clearTimeout(m);if(n){m=setTimeout(function(){t._executeSearch(v,false,"liveChange");},n);}else{t._executeSearch(v,false,"liveChange");}},search:function(E){var v=E.getSource().getValue(),n=E.getParameters().clearButtonPressed;t._executeSearch(v,n,"search");}});this._searchField=this._oSearchField;this._oSubHeader=new e(this.getId()+"-subHeader",{contentMiddle:[this._oSearchField]});var o=new e(this.getId()+"-dialog-header",{contentMiddle:[new f(this.getId()+"-dialog-title",{level:"H2"})]});this._setupBarTitleAlignment(o,this.getId()+"_customHeader");this._oDialog=new D(this.getId()+"-dialog",{customHeader:o,stretch:a.system.phone,contentHeight:"2000px",subHeader:this._oSubHeader,content:[this._oBusyIndicator,this._oList],leftButton:this._getCancelButton(),initialFocus:(a.system.desktop?this._oSearchField:null),draggable:this.getDraggable()&&a.system.desktop,resizable:this.getResizable()&&a.system.desktop,escapeHandler:function(p){t._onCancel();p.resolve();}}).addStyleClass("sapMSelectDialog");this._oDialog.addAriaLabelledBy(this._oList.getInfoToolbar());this._dialog=this._oDialog;this.setAggregation("_dialog",this._oDialog);this._oDialog._iVMargin=8*(parseInt(P.get("sapUiFontSize"))||16);this._sSearchFieldValue="";this._bFirstRequest=true;this._bLiveChange=false;this._iListUpdateRequested=0;};
k.prototype.setGrowing=function(v){this._oList.setGrowing(v);this._oList.setGrowingScrollToLoad(v);this.setProperty("growing",v,true);return this;};
k.prototype.setDraggable=function(v){this._setInteractionProperty(v,"draggable",this._oDialog.setDraggable);return this;};
k.prototype.setResizable=function(v){this._setInteractionProperty(v,"resizable",this._oDialog.setResizable);return this;};
k.prototype._setInteractionProperty=function(v,p,m){this.setProperty(p,v,true);if(!a.system.desktop&&v){g.warning(p+" property works only on desktop devices!");return;}if(a.system.desktop&&this._oDialog){m.call(this._oDialog,v);}};
k.prototype.setBusy=function(){this._oDialog.setBusy.apply(this._oDialog,arguments);return this;};
k.prototype.getBusy=function(){return this._oDialog.getBusy.apply(this._oDialog,arguments);};
k.prototype.setBusyIndicatorDelay=function(v){this._oList.setBusyIndicatorDelay(v);this._oDialog.setBusyIndicatorDelay(v);this.setProperty("busyIndicatorDelay",v,true);return this;};
k.prototype.exit=function(){this._oList=null;this._oSearchField=null;this._oSubHeader=null;this._oClearButton=null;this._oBusyIndicator=null;this._sSearchFieldValue=null;this._iListUpdateRequested=0;this._bFirstRequest=false;this._bInitBusy=false;this._bFirstRender=false;this._bFirstRequest=false;if(this._bAppendedToUIArea){var s=sap.ui.getCore().getStaticAreaRef();s=sap.ui.getCore().getUIArea(s);s.removeContent(this,true);}if(this._oDialog){this._oDialog.destroy();this._oDialog=null;}if(this._oOkButton){this._oOkButton.destroy();this._oOkButton=null;}this._oSelectedItem=null;this._aSelectedItems=null;this._list=null;this._searchField=null;this._dialog=null;};
k.prototype.onAfterRendering=function(){if(this._bInitBusy&&this._bFirstRender){this._setBusy(true);this._bInitBusy=false;}return this;};
k.prototype.invalidate=function(){if(this._oDialog&&(!arguments[0]||arguments[0]&&arguments[0].getId()!==this.getId()+"-dialog")){this._oDialog.invalidate(arguments);}else{C.prototype.invalidate.apply(this,arguments);}return this;};
k.prototype.open=function(s){if((!this.getParent()||!this.getUIArea())&&!this._bAppendedToUIArea){var o=sap.ui.getCore().getStaticAreaRef();o=sap.ui.getCore().getUIArea(o);o.addContent(this,true);this._bAppendedToUIArea=true;}this._bFirstRequest=true;this._oSearchField.setValue(s);this._oDialog.open();if(this._bInitBusy){this._setBusy(true);}this._updateSelectionIndicator();this._aInitiallySelectedContextPaths=this._oList.getSelectedContextPaths();return this;};
k.prototype.setGrowingThreshold=function(v){this._oList.setGrowingThreshold(v);this.setProperty("growingThreshold",v,true);return this;};
k.prototype.setMultiSelect=function(m){this.setProperty("multiSelect",m,true);if(m){this._oList.setMode(h.MultiSelect);this._oList.setIncludeItemInSelection(true);this._oDialog.setEndButton(this._getCancelButton());this._oDialog.setBeginButton(this._getOkButton());}else{this._oList.setMode(h.SingleSelectMaster);this._oDialog.setEndButton(this._getCancelButton());this._oDialog.destroyBeginButton();delete this._oOkButton;}return this;};
k.prototype.setTitle=function(t){this.setProperty("title",t,true);this._oDialog.getCustomHeader().getAggregation("contentMiddle")[0].setText(t);return this;};
k.prototype.setConfirmButtonText=function(t){this.setProperty("confirmButtonText",t,true);this._oOkButton&&this._oOkButton.setText(t||this._oRb.getText("SELECT_CONFIRM_BUTTON"));return this;};
k.prototype.setNoDataText=function(n){this._oList.setNoDataText(n);return this;};
k.prototype.getNoDataText=function(){return this._oList.getNoDataText();};
k.prototype.getContentWidth=function(){return this._oDialog.getContentWidth();};
k.prototype.setContentWidth=function(w){this._oDialog.setContentWidth(w);return this;};
k.prototype.getContentHeight=function(){return this._oDialog.getContentHeight();};
k.prototype.setShowClearButton=function(v){this.setProperty("showClearButton",v,true);if(v){var o=this._oDialog.getCustomHeader();o.addContentRight(this._getClearButton());}if(this._oClearButton){this._oClearButton.setVisible(v);}return this;};
k.prototype.setContentHeight=function(H){this._oDialog.setContentHeight(H);return this;};
k.prototype.addStyleClass=function(){this._oDialog.addStyleClass.apply(this._oDialog,arguments);return this;};
k.prototype.removeStyleClass=function(){this._oDialog.removeStyleClass.apply(this._oDialog,arguments);return this;};
k.prototype.toggleStyleClass=function(){this._oDialog.toggleStyleClass.apply(this._oDialog,arguments);return this;};
k.prototype.hasStyleClass=function(){return this._oDialog.hasStyleClass.apply(this._oDialog,arguments);};
k.prototype.getDomRef=function(){if(this._oDialog){return this._oDialog.getDomRef.apply(this._oDialog,arguments);}else{return null;}};
k.prototype.clearSelection=function(){this._removeSelection();this._updateSelectionIndicator();this._oDialog.focus();return this;};
k.prototype._setModel=k.prototype.setModel;
k.prototype.setModel=function(m,M){var A=Array.prototype.slice.call(arguments);this._setBusy(false);this._bInitBusy=false;this._iListUpdateRequested+=1;this._oList.setModel(m,M);k.prototype._setModel.apply(this,A);this._updateSelectionIndicator();return this;};
k.prototype._setBindingContext=k.prototype.setBindingContext;
k.prototype.setBindingContext=function(o,m){var n=Array.prototype.slice.call(arguments);this._oList.setBindingContext(o,m);k.prototype._setBindingContext.apply(this,n);return this;};
k.prototype._executeSearch=function(v,m,E){var o=this._oList,n=(o?o.getBinding("items"):undefined),s=(this._sSearchFieldValue!==v);if(E==="liveChange"){this._bLiveChange=true;}if(this._oDialog.isOpen()&&((s&&E==="liveChange")||E==="search")){this._sSearchFieldValue=v;if(n){this._iListUpdateRequested+=1;if(E==="search"){this.fireSearch({value:v,itemsBinding:n,clearButtonPressed:m});}else if(E==="liveChange"){this.fireLiveChange({value:v,itemsBinding:n});}}else{if(E==="search"){this.fireSearch({value:v,clearButtonPressed:m});}else if(E==="liveChange"){this.fireLiveChange({value:v});}}}return this;};
k.prototype._setBusy=function(m){if(this._iListUpdateRequested){if(m){this._oList.addStyleClass('sapMSelectDialogListHide');this._oBusyIndicator.$().css('display','inline-block');}else{this._oList.removeStyleClass('sapMSelectDialogListHide');this._oBusyIndicator.$().css('display','none');}}};
k.prototype._updateStarted=function(E){if(this.getModel()&&this.getModel()instanceof sap.ui.model.odata.ODataModel){if(this._oDialog.isOpen()&&this._iListUpdateRequested){this._setBusy(true);}else{this._bInitBusy=true;}}};
k.prototype._updateFinished=function(E){this._updateSelectionIndicator();if(this.getModel()&&this.getModel()instanceof sap.ui.model.odata.ODataModel){this._setBusy(false);this._bInitBusy=false;}if(a.system.desktop){if(this._oList.getItems()[0]){this._oDialog.setInitialFocus(this._oList.getItems()[0]);}else{this._oDialog.setInitialFocus(this._oSearchField);}if(this._bFirstRequest&&!this._bLiveChange){var F=this._oList.getItems()[0];if(!F){F=this._oSearchField;}if(F.getFocusDomRef()){F.getFocusDomRef().focus();}}}this._bFirstRequest=false;this._iListUpdateRequested=0;this._oList.getItems().forEach(function(I){I.addEventDelegate(this._getListItemsEventDelegates());},this);};
k.prototype._getOkButton=function(){var t=this,o=null;o=function(){var m=t._oList.getBinding("items");if(m&&m.aFilters&&m.aFilters.length){t._oList.setGrowing(false);m.filter([]);t._oList.setGrowing(t.getGrowing());}t._oSelectedItem=t._oList.getSelectedItem();t._aSelectedItems=t._oList.getSelectedItems();t._oDialog.detachAfterClose(o);t._fireConfirmAndUpdateSelection();};if(!this._oOkButton){this._oOkButton=new B(this.getId()+"-ok",{type:i.Emphasized,text:this.getConfirmButtonText()||this._oRb.getText("SELECT_CONFIRM_BUTTON"),press:function(){t._oDialog.attachAfterClose(o);t._oDialog.close();}});}return this._oOkButton;};
k.prototype._getCancelButton=function(){var t=this;if(!this._oCancelButton){this._oCancelButton=new B(this.getId()+"-cancel",{text:this._oRb.getText("MSGBOX_CANCEL"),press:function(E){t._onCancel();}});}return this._oCancelButton;};
k.prototype._getClearButton=function(){if(!this._oClearButton){this._oClearButton=new B(this.getId()+"-clear",{text:this._oRb.getText("SELECTDIALOG_CLEARBUTTON"),press:this.clearSelection.bind(this)});}return this._oClearButton;};
k.prototype._onCancel=function(E){var t=this,A=null;A=function(){t._oSelectedItem=null;t._aSelectedItems=[];t._sSearchFieldValue=null;t._oDialog.detachAfterClose(A);t._resetSelection();t.fireCancel();};this._oDialog.attachAfterClose(A);this._oDialog.close();};
k.prototype._updateSelectionIndicator=function(){var s=this._oList.getSelectedContextPaths(true).length,I=this._oList.getInfoToolbar(),v=!!s&&this.getMultiSelect();if(this.getShowClearButton()&&this._oClearButton){this._oClearButton.setEnabled(s>0);}if(I.getVisible()!==v){I.setVisible(v);if(v){I.rerender();}}I.getContent()[0].setText(this._oRb.getText("TABLESELECTDIALOG_SELECTEDITEMS",[s]));};
k.prototype._fireConfirmAndUpdateSelection=function(){var p={selectedItem:this._oSelectedItem,selectedItems:this._aSelectedItems};Object.defineProperty(p,"selectedContexts",{get:this._oList.getSelectedContexts.bind(this._oList,true)});this.fireConfirm(p);this._updateSelection();};
k.prototype._selectionChange=function(){if(!this._oDialog){return;}if(this.getMultiSelect()){this._updateSelectionIndicator();return;}if(!this._bAfterCloseAttached){this._oDialog.attachEventOnce("afterClose",this._resetAfterClose,this);this._bAfterCloseAttached=true;}this._oDialog.close();};
k.prototype._resetAfterClose=function(){this._oSelectedItem=this._oList.getSelectedItem();this._aSelectedItems=this._oList.getSelectedItems();this._bAfterCloseAttached=false;this._fireConfirmAndUpdateSelection();};
k.prototype._updateSelection=function(){if(!this.getRememberSelections()&&!this.bIsDestroyed){this._removeSelection();}};
k.prototype._removeSelection=function(){this._oList.removeSelections(true);delete this._oSelectedItem;delete this._aSelectedItems;};
k.prototype._resetSelection=function(){if(!this.bIsDestroyed){this._oList.removeSelections(true);this._oList.setSelectedContextPaths(this._aInitiallySelectedContextPaths);this._oList.getItems().forEach(function(I){var p=I.getBindingContextPath();if(p&&this._aInitiallySelectedContextPaths.indexOf(p)>-1){I.setSelected(true);}},this);}};
k.prototype._getListItemsEventDelegates=function(){var E=function(o){if(o&&o.isDefaultPrevented&&o.isMarked&&(o.isDefaultPrevented()||o.isMarked("preventSelectionChange"))){return;}if(o&&o.srcControl.isA("sap.m.GroupHeaderListItem")){return;}this._selectionChange(o);}.bind(this);return{ontap:E,onsapselect:E};};
T.mixInto(k.prototype);return k;});
sap.ui.predefine('sap/m/Suggest',['jquery.sap.global','./Toolbar','./Button','./SuggestionsList','./SuggestionItem','sap/ui/Device','sap/m/library','sap/ui/core/Core'],function(q,T,B,S,a,D,l,C){"use strict";var P=l.PlacementType;
function b(i){var p=i,c,d,e,u=D.system.phone,s=this;q.sap.require(u?"sap.m.Dialog":"sap.m.Popover");function o(E){var k=E.srcControl;var v;if(k instanceof a){v=k.getSuggestionText();s._suggestionItemTapped=true;c.close();window.setTimeout(function(){i._updateValue(v);i._fireChangeEvent();i.fireSearch({query:v,suggestionItem:k,refreshButtonPressed:false,clearButtonPressed:false});},0);}}function f(){var k,m,n,r,t,v;n=new(sap.ui.require('sap/m/SearchField'))({liveChange:function(E){var w=E.getParameter("newValue");i._updateValue(w);i.fireLiveChange({newValue:w});i.fireSuggest({suggestValue:w});s.update();},search:function(E){if(!E.getParameter("clearButtonPressed")){k.close();}}});v=new B({icon:"sap-icon://decline",press:function(){s._cancelButtonTapped=true;k._oCloseTrigger=true;k.close();i._updateValue(m);}});r=new T({content:[n,v]});t=new B({text:C.getLibraryResourceBundle("sap.m").getText("MSGBOX_OK"),press:function(){k.close();}});k=new(sap.ui.require('sap/m/Dialog'))({stretch:true,customHeader:r,content:h(),beginButton:t,beforeClose:function(){i._bSuggestionSuppressed=true;},beforeOpen:function(){m=i.getValue();n._updateValue(m);},afterClose:function(E){if(!s._cancelButtonTapped&&!s._suggestionItemTapped){i._fireChangeEvent();i.fireSearch({query:i.getValue(),refreshButtonPressed:false,clearButtonPressed:false});}}});k.addEventDelegate({ontap:o},i);return k;}function g(){var k=s._oPopover=new(sap.ui.require('sap/m/Popover'))({showArrow:false,showHeader:false,horizontalScrolling:false,placement:P.Vertical,offsetX:0,offsetY:0,initialFocus:p,bounce:false,afterOpen:function(){i.$("I").attr("aria-haspopup","true");i._applySuggestionAcc();},beforeClose:function(){i.$("I").attr("aria-haspopup","false").removeAttr("aria-activedescendant");i.$("SuggDescr").text("");},content:h()}).addStyleClass("sapMSltPicker").addStyleClass("sapMSltPicker-CTX");k.open=function(){return this.openBy(p);};k.addEventDelegate({onAfterRendering:s.setPopoverMinWidth.bind(s),ontap:o},i);return k;}function h(){if(!d){d=new S({parentInput:p});}return d;}function j(){if(c===undefined){c=u?f():g();}return c;}this.setPopoverMinWidth=function(){var k=s._oPopover.getDomRef();if(k){var w=(i.$().outerWidth()/parseFloat(l.BaseFontSize))+"rem";k.style.minWidth=w;}};this.destroy=function(){if(c){c.close();c.destroy();c=null;}if(d){d.destroy();d=null;}};this.close=function(){if(!u&&this.isOpen()){c.close();}};this.open=function(){if(!this.isOpen()){this.setSelected(-1);this._suggestionItemTapped=false;this._cancelButtonTapped=false;j().open();}};this.update=function(){var d=h();window.clearTimeout(e);if(this.isOpen()){e=window.setTimeout(d.update.bind(d),50);i._applySuggestionAcc();}};this.isOpen=function(){return!!c&&c.isOpen();};this.getSelected=function(){return h().getSelectedItemIndex();};this.setSelected=function(k,r){return h().selectByIndex(k,r);};}
return b;},true);
sap.ui.predefine('sap/m/SuggestionItem',['./library','sap/ui/core/Item','sap/ui/core/IconPool'],function(l,I,a){"use strict";
var S=I.extend("sap.m.SuggestionItem",{metadata:{library:"sap.m",properties:{icon:{type:"string",group:"Appearance",defaultValue:""},description:{type:"string",group:"Data",defaultValue:""}}}});
a.insertFontFaceStyle();
function r(R,t,s){var i;if(t){i=t.toUpperCase().indexOf(s.toUpperCase());if(i>-1){R.writeEscaped(t.slice(0,i));R.write("<b>");R.writeEscaped(t.slice(i,i+s.length));R.write("</b>");t=t.substring(i+s.length);}R.writeEscaped(t);}}
S.prototype.render=function(R,i,s,b){var c=R;var t=i.getText();var d=i.getIcon();var e="";var f=i.getDescription();var p=i.getParent();var g=p&&p.getSuggestionItems&&p.getSuggestionItems()||[];var h=g.indexOf(i);s=s||"";c.write("<li");c.writeElementData(i);c.addClass("sapMSuLI");c.addClass("sapMSelectListItem");c.addClass("sapMSelectListItemBase");c.addClass("sapMSelectListItemBaseHoverable");c.writeAttribute("role","option");c.writeAttribute("aria-posinset",h+1);c.writeAttribute("aria-setsize",g.length);if(b){c.addClass("sapMSelectListItemBaseSelected");c.writeAttribute("aria-selected","true");if(p){p.$("I").attr("aria-activedescendant",i.getId());}}else{c.writeAttribute("aria-selected","false");}c.writeClasses();c.write(">");if(d){c.writeIcon(d,"sapMSuggestionItemIcon",{});}if(t){r(c,t,s);e=" ";}if(f){c.write(e+"<i>");r(c,f,s);c.write("</i>");}c.write("</li>");};
S.prototype.getSuggestionText=function(){return this.getText();};
S.prototype.invalidate=function(){return undefined;};
return S;});
sap.ui.predefine('sap/m/SuggestionsList',['./library','sap/ui/core/Control'],function(l,C){"use strict";
var S=C.extend("sap.m.SuggestionsList",{
metadata:{library:"sap.m",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:"auto"},maxWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:"100%"}},associations:{parentInput:{type:"sap.ui.core.Control",multiple:false,singularName:"parentInput"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}}},
renderer:{render:function(r,L){r.write("<ul");r.writeControlData(L);r.addClass("sapMSuL");r.addClass("sapMSelectList");r.writeClasses();r.writeAccessibilityState({role:"listbox","multiselectable":"false"});r.addStyle("width",L.getWidth());r.addStyle("max-width",L.getMaxWidth());r.writeStyles();r.write(">");this.renderItems(r,L);r.write("</ul>");},renderItems:function(r,L){var s;var a=L.getSelectedItemIndex();try{s=sap.ui.getCore().byId(L.getParentInput()).getValue();}catch(e){s="";}L.getItems().forEach(function(i,b){i.render(r,i,s,b===a);});}}
});
S.prototype.init=function(){this._iSelectedItem=-1;};
S.prototype.onBeforeRendering=function(){this.$().off();};
S.prototype.onAfterRendering=function(){this.$().on("mousedown",function(e){e.preventDefault();});};
S.prototype.getItems=function(){try{return sap.ui.getCore().byId(this.getParentInput()).getSuggestionItems();}catch(e){return[];}};
S.prototype.update=function(){var r;var d=this.getDomRef();if(d){r=sap.ui.getCore().createRenderManager();this.getRenderer().renderItems(r,this);r.flush(d);r.destroy();}return this;};
S.prototype.selectByIndex=function(i,r){var a=this.getItems();var b;var c;var d;var p=sap.ui.getCore().byId(this.getParentInput());var e="aria-activedescendant";if(isNaN(parseInt(i))){i=-1;r=false;}if((!a.length)||(r&&i===0)||(!r&&i<0)){b=-1;}else{if(r){if(this._iSelectedItem<0){b=(i<0?a.length:-1)+i;}else{b=this._iSelectedItem+i;}}else{b=i;}b=Math.min(Math.max(b,0),a.length-1);}this._iSelectedItem=b;if(a.length){this.$().children("li").removeClass("sapMSelectListItemBaseSelected").attr("aria-selected","false").eq(b).addClass("sapMSelectListItemBaseSelected").attr("aria-selected","true");}if(p){if(b>=0){c=p.getSuggestionItems()[b];if(c){d=c.getId();this._scrollToItem(c);}}if(d){p.$("I").attr(e,d);}else{p.$("I").removeAttr(e);p.$("SuggDescr").text("");}}return this._iSelectedItem;};
S.prototype._scrollToItem=function(i){var p=this.getParent().$().find(".sapMPopoverCont")[0],P,I,t,b;if(!i||!i.getDomRef()||!p){return;}I=i.getDomRef().getBoundingClientRect();P=p.getBoundingClientRect();t=P.top-I.top;b=I.bottom-P.bottom;if(t>0){p.scrollTop=Math.max(p.scrollTop-t,0);}else if(b>0){p.scrollTop=p.scrollTop+b;}};
S.prototype.getSelectedItemIndex=function(){return this._iSelectedItem;};
return S;});
sap.ui.predefine('sap/m/SuggestionsPopover',['sap/ui/Device','sap/ui/base/EventProvider','sap/ui/core/InvisibleText','sap/ui/core/ListItem','sap/ui/core/ResizeHandler','sap/ui/core/ValueStateSupport','sap/m/library','sap/ui/core/library','sap/m/Bar','sap/m/Toolbar','sap/m/Button','sap/m/ToggleButton','sap/m/ColumnListItem','sap/m/GroupHeaderListItem','sap/ui/core/SeparatorItem','sap/m/Dialog','sap/m/DisplayListItem','sap/m/List','sap/m/Popover','sap/m/StandardListItem','sap/m/Table','sap/m/Title','sap/ui/core/IconPool',"sap/base/security/encodeXML","sap/ui/events/KeyCodes","sap/m/ValueStateHeader"],function(D,E,I,L,R,V,l,c,B,T,a,b,C,G,S,d,e,f,P,g,h,j,k,m,K,n){"use strict";var o=l.ListMode;var p=l.PlacementType;var q=l.ListType;var r=l.ListSeparators;var s="sapMSuggestionsPopover",t="sapUiNoContentPadding";var u=c.ValueState;
var v=E.extend("sap.m.SuggestionsPopover",{
constructor:function(i){E.apply(this,arguments);this._oInput=i;this._bHasTabularSuggestions=false;this._bUseDialog=D.system.phone;this._iPopupListSelectedIndex=-1;this._sPopoverContentWidth=null;this._bEnableHighlighting=true;this._bIsInputIncrementalType=false;this._bAutocompleteEnabled=false;this._sTypedInValue='';this._sOldValueState=u.None;this._oInput.addEventDelegate({onsapup:function(w){if(!this._oInput.isComposingCharacter()){this._onsaparrowkey(w,"up",1);}},onsapdown:function(w){if(!this._oInput.isComposingCharacter()){this._onsaparrowkey(w,"down",1);}},onsappageup:function(w){this._onsaparrowkey(w,"up",5);},onsappagedown:function(w){this._onsaparrowkey(w,"down",5);},onsaphome:function(w){var x;if(this._oList){x=this._oList.getItems().length?this._oList.getItems().length-1:0;this._onsaparrowkey(w,"up",x);}},onsapend:function(w){if(this._oList){this._onsaparrowkey(w,"down",this._oList.getItems().length);}},onsapright:this._onsapright,onsaptabnext:this._handleValueStateLinkNav,onsaptabprevious:this._handleValueStateLinkNav},this);},
destroy:function(){if(this._oPopover){this._oPopover.destroy();this._oPopover=null;}if(this._oList){this._oList.destroy();this._oList=null;}this._oProposedItem=null;this._oInputDelegate=null;this._oValueStateHeader=null;if(this._oPickerValueStateText){this._oPickerValueStateText.destroy();this._oPickerValueStateText=null;}}
});
v.M_EVENTS={SELECTION_CHANGE:"selectionChange"};
v._wordStartsWithValue=function(i,w){var x;if(!i||!w||typeof i!=="string"||typeof w!=="string"){return false;}while(i){if(typeof w==="string"&&w!==""&&i.toLowerCase().indexOf(w.toLowerCase())===0){return true;}x=i.indexOf(' ');if(x===-1){break;}i=i.substring(x+1);}return false;};
v._DEFAULTFILTER=function(i,w){if(w instanceof L&&v._wordStartsWithValue(w.getAdditionalText(),i)){return true;}return v._wordStartsWithValue(w.getText(),i);};
v.prototype.isOpen=function(){return this._oPopover&&this._oPopover.isOpen();};
v.prototype.setInputLabels=function(i){this._fnInputLabels=i;};
v.prototype._getInputLabels=function(){return this._fnInputLabels();};
v.prototype._getScrollableContent=function(){return this._oPopover&&this._oPopover.getDomRef("scroll");};
v.prototype.updatePickerHeaderTitle=function(){var i=sap.ui.getCore().getLibraryResourceBundle("sap.m"),w=this.getPickerTitle(),x,y;if(!w){return;}y=this._getInputLabels();if(y.length){x=y[0];if(x&&(typeof x.getText==="function")){w.setText(x.getText());}}else{w.setText(i.getText("COMBOBOX_PICKER_TITLE"));}return w;};
v.prototype.getPickerTitle=function(){return this._oPopover.getCustomHeader().getContentMiddle()[0];};
v.prototype.getOkButton=function(){var i=this._oPopover&&this._oPopover.getBeginButton();return i||null;};
v.prototype.getCancelButton=function(){var i=this._oPopover&&this._oPopover.getCustomHeader()&&this._oPopover.getCustomHeader().getContentRight&&this._oPopover.getCustomHeader().getContentRight()[0];return i||null;};
v.prototype.getFilterSelectedButton=function(){var i=this._oPopover&&this._oPopover.getSubHeader()&&this._oPopover.getSubHeader().getContent()[1];return i||null;};
v.prototype._createFilterSelectedButton=function(){var i=k.getIconURI("multiselect-all");return new b({icon:i});};
v.prototype._createSuggestionPopup=function(O){O=O||[];var i=this._oInput,w=this,M=i._oRb;this._oPopover=!this._bUseDialog?(new P(i.getId()+"-popup",{showArrow:false,placement:p.VerticalPreferredBottom,showHeader:true,initialFocus:i,horizontalScrolling:true,beforeClose:function(){if(w.bMessageValueStateActive){w._getValueStateHeader().removeStyleClass("sapMPseudoFocus");this.bMessageValueStateActive=false;}}})):(new d(i.getId()+"-popup",{beginButton:new a(i.getId()+"-popup-closeButton",{text:M.getText("SUGGESTIONSPOPOVER_CLOSE_BUTTON")}),stretch:true,customHeader:new B(i.getId()+"-popup-header",{contentMiddle:new j(),contentRight:new a({icon:k.getIconURI("decline")})}),subHeader:this.createSubHeaderContent(O),horizontalScrolling:false,initialFocus:this._oPopupInput,beforeOpen:function(){w.updatePickerHeaderTitle();},afterClose:function(){i.focus();l.closeKeyboard();}}));this._registerAutocomplete();this._oPopover.addStyleClass(s);this._oPopover.addStyleClass(t);this._oPopover.addAriaLabelledBy(I.getStaticId("sap.m","INPUT_AVALIABLE_VALUES"));if(!this._bUseDialog){this._overwritePopover();}if(this._oList){this._oPopover.addContent(this._oList);}};
v.prototype.createSubHeaderContent=function(O){var i=[this._oPopupInput];if(O.showSelectedButton){i.push(this._createFilterSelectedButton());}return new T({content:i});};
v.prototype._createSuggestionPopupContent=function(i){var w=this._oInput;this._bHasTabularSuggestions=i;if(!i){this._oList=new f(w.getId()+"-popup-list",{showNoData:false,mode:o.SingleSelectMaster,rememberSelections:false,width:"100%",showSeparators:r.None,busyIndicatorDelay:0});this._oList.addEventDelegate({onAfterRendering:function(){var z,A;if(!this._bEnableHighlighting){return;}z=this._oList.$().find('.sapMDLILabel, .sapMSLITitleOnly, .sapMDLIValue');A=(this._sTypedInValue||this._oInput.getValue()).toLowerCase();this.highlightSuggestionItems(z,A);}.bind(this)});}else{this._oList=this._oInput._getSuggestionsTable();}if(this._oPopover){if(this._bUseDialog){this._oPopover.addAggregation("content",this._oList,true);var x=this._oPopover.$("scrollCont")[0];if(x){var y=sap.ui.getCore().createRenderManager();y.renderControl(this._oList);y.flush(x);y.destroy();}}else{this._oPopover.addContent(this._oList);}}};
v.prototype._getValueStateHeader=function(){if(!this._oValueStateHeader){this._oValueStateHeader=new n();if(this._oPopover.isA("sap.m.Popover")){this._oPopover.setCustomHeader(this._oValueStateHeader);}else{this._oPopover.insertContent(this._oValueStateHeader,0);}this._oValueStateHeader.setPopup(this._oPopover);}return this._oValueStateHeader;};
v.prototype._destroySuggestionPopup=function(){if(this._oPopover){if(this._oList instanceof h){this._oPopover.removeAllContent();}this._oPopover.destroy();this._oPopover=null;}if(this._oList instanceof f){this._oList.destroy();this._oList=null;}if(this._oPickerValueStateText){this._oPickerValueStateText.destroy();this._oPickerValueStateText=null;}if(this._oValueStateHeader){this._oValueStateHeader.destroy();this._oValueStateHeader=null;}this._getInput().removeEventDelegate(this._oInputDelegate,this);};
v.prototype._overwritePopover=function(){var i=this._oInput;this._oPopover.open=function(){this.openBy(i,false,true);};this._oPopover.oPopup.setAnimations(function($,w,O){O();},function($,w,x){x();});};
v.prototype._resizePopup=function(){var i=this._oInput;if(this._oList&&this._oPopover){if(this._sPopoverContentWidth){this._oPopover.setContentWidth(this._sPopoverContentWidth);}else{this._oPopover.setContentWidth((i.$().outerWidth())+"px");}setTimeout(function(){if(this._oPopover&&this._oPopover.isOpen()&&this._oPopover.$().outerWidth()<i.$().outerWidth()){this._oPopover.setContentWidth((i.$().outerWidth())+"px");}}.bind(this),0);}};
v.prototype._registerResize=function(){if(!this._bUseDialog){this._sPopupResizeHandler=R.register(this._oInput,this._resizePopup.bind(this));}};
v.prototype._deregisterResize=function(){if(this._sPopupResizeHandler){this._sPopupResizeHandler=R.deregister(this._sPopupResizeHandler);}};
v.prototype._closePopoverDelegate={onsaptabnext:function(i){this.bMessageValueStateActive=false;this._oInput.onsapfocusleave(i);this._oPopover.close();setTimeout(function(){this._oInput.closeValueStateMessage();}.bind(this),0);}};v.prototype._focusValueStateHeader={onsaptabprevious:function(i){i.preventDefault();this._oInput.getFocusDomRef().focus();this._getValueStateHeader().addStyleClass("sapMPseudoFocus");this._oInput.removeStyleClass("sapMFocus");}};v.prototype._valueStateLinkArrowNav={onsapup:function(i){this._oInput.getFocusDomRef().focus();this._onsaparrowkey(i,"up",1);},onsapdown:function(i){this._oInput.getFocusDomRef().focus();this._onsaparrowkey(i,"down",1);}};
v.prototype._handleValueStateLinkNav=function(i){this.bMessageValueStateActive=this._oInput.getFormattedTextFocused?this._oInput.getFormattedTextFocused():this.bMessageValueStateActive;if((!this.bMessageValueStateActive||!this.getValueStateLinks().length)||(this.bMessageValueStateActive&&document.activeElement.tagName==="A")){return;}var w=this.getValueStateLinks(),x=w[w.length-1];i.preventDefault();this._iPopupListSelectedIndex=-1;w[0].focus();this._getValueStateHeader().removeStyleClass("sapMPseudoFocus");w.forEach(function(y){y.addDelegate(this._valueStateLinkArrowNav,this);},this);x.addDelegate(this._closePopoverDelegate,this);w[0].addDelegate(this._focusValueStateHeader,this);};
v.prototype._onsaparrowkey=function(i,w,x){var y=this._oInput,z,A=y.$("inner");if(i.isMarked()){return;}if(!y.getEnabled()||!y.getEditable()){return;}if(w!=="up"&&w!=="down"){return;}if(this._bIsInputIncrementalType){i.setMarked();}if(!this._oPopover||!this._oPopover.isOpen()){return;}i.preventDefault();i.stopPropagation();var F=false,H=this._oList,J=H.getItems(),M=H.getSelectedItem(),N=this._iPopupListSelectedIndex,O,Q=this._getValueStateHeader(),U=Q.getFormattedText(),W=D.browser.msie?U:Q,X=N;if(w=="down"&&N===J.length-1){return;}if(this.getValueStateLinks().length&&this.bMessageValueStateActive&&i.type==="sapend"){W.removeStyleClass("sapMPseudoFocus");this._oList.addStyleClass("sapMListFocus");X=0;N=J.length-1;J[N].addStyleClass("sapMLIBFocused");this.bMessageValueStateActive=false;}var Y;if(x>1){if(w=="down"&&N+x>=J.length){w="up";x=1;J[N].setSelected(false);J[N].removeStyleClass("sapMLIBFocused");Y=N;N=J.length-1;F=true;}else if(w=="up"&&N-x<0&&N>=0){w="down";x=1;J[N].setSelected(false);J[N].removeStyleClass("sapMLIBFocused");Y=N;N=0;F=true;}}y.removeStyleClass("sapMFocus");this._oList.addStyleClass("sapMListFocus");if(N===-1){N=0;if(this._isSuggestionItemSelectable(J[N])){X=N;F=true;}else{w="down";}}if(w==="down"){while(N<J.length-1&&(!F||!this._isSuggestionItemSelectable(J[N]))){J[N].setSelected(false);J[N].removeStyleClass("sapMLIBFocused");N=N+x;F=true;x=1;if(Y===N){break;}}}else{while(N>0&&(!F||!J[N].getVisible()||!this._isSuggestionItemSelectable(J[N]))){J[N].setSelected(false);J[N].removeStyleClass("sapMLIBFocused");N=N-x;F=true;x=1;if(Y===N){break;}}}if((this.getValueStateLinks().length&&!this.bMessageValueStateActive&&i.type!=="sapend")&&((w==="up"&&(!this._isSuggestionItemSelectable(J[N])||X===0))||i.type==="saphome")){W.addStyleClass(("sapMPseudoFocus"));this._oList.removeStyleClass("sapMListFocus");A.attr("aria-activedescendant",U.getId());this.bMessageValueStateActive=true;this._iPopupListSelectedIndex=-1;this._scrollToItem(0);return;}if((this.getValueStateLinks().length&&this.bMessageValueStateActive)&&(w==="up"&&N===0||w==="down")){W.removeStyleClass("sapMPseudoFocus");this._oList.addStyleClass("sapMListFocus");this.bMessageValueStateActive=false;}if(!this._isSuggestionItemSelectable(J[N])){if(X>=0){J[X].setSelected(true).updateAccessibilityState();A.attr("aria-activedescendant",J[X].getId());J[X].addStyleClass("sapMLIBFocused");}return;}else{z=J[N];z.setSelected(true).updateAccessibilityState();z.addStyleClass("sapMLIBFocused");A.attr("aria-activedescendant",J[N].getId());}if(D.system.desktop){this._scrollToItem(N);}this._oLastSelectedHeader&&this._oLastSelectedHeader.removeStyleClass("sapMInputFocusedHeaderGroup");if(C&&J[N]instanceof C){O=y._getInputValue(y._fnRowResultFilter(J[N]));}else{if(J[N].isA("sap.m.GroupHeaderListItem")){O="";J[N].addStyleClass("sapMInputFocusedHeaderGroup");M&&M.setSelected(false);this._oLastSelectedHeader=J[N];}else if(J[N]instanceof e){O=y._getInputValue(J[N].getLabel());}else{O=y._getInputValue(J[N].getTitle());}}this._iPopupListSelectedIndex=N;this._bSuggestionItemChanged=true;this.fireEvent(v.M_EVENTS.SELECTION_CHANGE,{newValue:O});};
v.prototype.getValueStateLinks=function(){var H=this._getValueStateHeader(),F=H&&typeof H.getFormattedText==="function"&&H.getFormattedText(),i=F&&typeof F.getControls==="function"&&F.getControls();return i||[];};
v.prototype._isSuggestionItemSelectable=function(i){var w=this._bHasTabularSuggestions||i.getType()!==q.Inactive||i.isA("sap.m.GroupHeaderListItem");return i.getVisible()&&w;};
v.prototype.setOkPressHandler=function(H){var O=this.getOkButton();O&&O.attachPress(H);return O;};
v.prototype.setCancelPressHandler=function(H){var i=this.getCancelButton();i&&i.attachPress(H);};
v.prototype.setShowSelectedPressHandler=function(H){var F=this.getFilterSelectedButton();F&&F.attachPress(H);return F;};
v.prototype._scrollToItem=function(i){var w=this._oPopover,x=this._oList,y,z,A,F,H;if(!(w instanceof P)||!x){return;}y=w.getScrollDelegate();if(!y){return;}var J=x.getItems()[i],M=J&&J.getDomRef();if(!M){return;}z=w.getDomRef("cont").getBoundingClientRect();A=M.getBoundingClientRect();F=z.top-A.top;H=A.bottom-z.bottom;if(F>0){y.scrollTo(y._scrollX,Math.max(y._scrollY-F,0));}else if(H>0){y.scrollTo(y._scrollX,y._scrollY+H);}};
v.prototype._createHighlightedText=function(i,w,W){var x,y,z,N,A,F=i?i.textContent:"",H="";if(!v._wordStartsWithValue(F,w)){return m(F);}w=w.toLowerCase();z=w.length;while(v._wordStartsWithValue(F,w)){x=F.toLowerCase();y=x.indexOf(w);y=(y>0)?x.indexOf(' '+w)+1:y;A=F.substring(0,y);F=F.substring(y);H+=m(A);A=F.substring(0,z);F=F.substring(z);H+='<span class="sapMInputHighlight">'+m(A)+'</span>';N=F.indexOf(" ");N=N===-1?F.length:N;A=F.substring(0,N);F=F.substring(N);H+=m(A);if(!W){break;}}if(F){H+=m(F);}return H;};
v.prototype.highlightSuggestionItems=function(w,x,W){var i;if(!this._bEnableHighlighting||(!w&&!w.length)){return;}var y=[];for(i=0;i<w.length;i++){y.push(this._createHighlightedText(w[i],x,W));}for(i=0;i<w.length;i++){w[i].innerHTML=y[i];}};
v.prototype._registerAutocomplete=function(){var i=this._oPopover,U=this._getInput(),w=this._bUseDialog;if(w){i.addEventDelegate({ontap:function(){if(!this._bSuggestionItemTapped&&this._sProposedItemText){U.setValue(this._sProposedItemText);this._sProposedItemText=null;}}},this);}else{i.attachAfterOpen(this._handleTypeAhead,this);}i.attachAfterOpen(this._setSelectedSuggestionItem,this);i.attachAfterClose(this._finalizeAutocomplete,this);this._oInputDelegate={onkeydown:function(x){this._bDoTypeAhead=!D.os.android&&this._bAutocompleteEnabled&&(x.which!==K.BACKSPACE)&&(x.which!==K.DELETE);},oninput:this._handleTypeAhead};U.addEventDelegate(this._oInputDelegate,this);};
v.prototype._handleTypeAhead=function(){var w=this._getInput(),x=w.getValue();this._oProposedItem=null;this._sProposedItemText=null;this._sTypedInValue=x;if(!this._bDoTypeAhead||x===""){return;}if(!this._oPopover.isOpen()||x.length<this._oInput.getStartSuggestion()){return;}if(document.activeElement!==w.getFocusDomRef()){return;}var y=x.toLowerCase(),z=this._bHasTabularSuggestions?this._oInput.getSuggestionRows():this._oInput.getSuggestionItems(),A,N,F,i;z=z.filter(function(H){return!(H.isA("sap.ui.core.SeparatorItem")||H.isA("sap.m.GroupHeaderListItem"));});A=z.length;for(i=0;i<A;i++){F=this._bHasTabularSuggestions?this._oInput._fnRowResultFilter(z[i]):z[i].getText();if(F.toLowerCase().indexOf(y)===0){this._oProposedItem=z[i];N=F;break;}}this._sProposedItemText=N;if(N){N=this._formatTypedAheadValue(N);if(!w.isComposingCharacter()){w.updateDomValue(N);}if(D.system.desktop){w.selectText(x.length,N.length);}else{setTimeout(function(){w.selectText(x.length,N.length);},0);}}};
v.prototype._setSelectedSuggestionItem=function(){var F;if(this._oList){F=this._oList.getItems();for(var i=0;i<F.length;i++){if((F[i]._oItem||F[i])===this._oProposedItem){F[i].setSelected(true);break;}}}};
v.prototype._getInput=function(){return this._bUseDialog?this._oPopupInput:this._oInput;};
v.prototype._finalizeAutocomplete=function(){if(this._oInput.isComposingCharacter()){return;}if(!this._bAutocompleteEnabled){return;}if(!this._bSuggestionItemTapped&&!this._bSuggestionItemChanged&&this._oProposedItem){if(this._bHasTabularSuggestions){this._oInput.setSelectionRow(this._oProposedItem,true);}else{this._oInput.setSelectionItem(this._oProposedItem,true);}}if(this._oProposedItem&&document.activeElement===this._oInput.getFocusDomRef()){var i=this._oInput.getValue().length;this._oInput.selectText(i,i);}this._resetTypeAhead();};
v.prototype._resetTypeAhead=function(){this._oProposedItem=null;this._sProposedItemText=null;this._sTypedInValue='';this._bSuggestionItemTapped=false;this._bSuggestionItemChanged=false;};
v.prototype._formatTypedAheadValue=function(N){return this._sTypedInValue.concat(N.substring(this._sTypedInValue.length,N.length));};
v.prototype._onsapright=function(){var i=this._oInput,w=i.getValue();if(!this._bAutocompleteEnabled){return;}if(this._sTypedInValue!==w){this._sTypedInValue=w;i.fireLiveChange({value:w,newValue:w});}};
v.prototype.updateValueState=function(i,w,x){var y=x&&i!==u.None;w=w||V.getAdditionalText(i);if(!this._oPopover){return this;}if(this._oPopupInput){this._oPopupInput.setValueState(i);}this._getValueStateHeader().setValueState(i);this._setValueStateHeaderText(w);this._showValueStateHeader(y);this._alignValueStateStyles(i);return this;};
v.prototype._showValueStateHeader=function(i){if(this._oValueStateHeader){this._oValueStateHeader.setVisible(i);}};
v.prototype._setValueStateHeaderText=function(i){if(this._oValueStateHeader&&typeof i==="string"){this._oValueStateHeader.setText(i);}else if(this._oValueStateHeader&&typeof i==="object"){this._oValueStateHeader.setFormattedText(i);}};
v.prototype._alignValueStateStyles=function(i){var w=s+"ValueState",O=s+this._sOldValueState+"State",x=s+i+"State";this._oPopover.addStyleClass(w);this._oPopover.removeStyleClass(O);this._oPopover.addStyleClass(x);this._sOldValueState=i;};
v.prototype.addContent=function(i){this._oPopover.addContent(i);};
return v;});
sap.ui.predefine('sap/m/TimePickerSlider',['sap/ui/core/Control','./TimePickerSliderRenderer','sap/ui/core/IconPool','sap/ui/Device',"sap/ui/events/KeyCodes","sap/m/Button","sap/ui/thirdparty/jquery"],function(C,T,I,D,K,B,q){"use strict";
var a=C.extend("sap.m.TimePickerSlider",{
metadata:{library:"sap.m",properties:{selectedValue:{type:"string",defaultValue:null},isCyclic:{type:"boolean",defaultValue:true},label:{type:"string",defaultValue:null},isExpanded:{type:"boolean",defaultValue:false}},aggregations:{items:{type:"sap.m.VisibleItem",multiple:true,singularName:"item"},_arrowUp:{type:"sap.m.Button",multiple:false,visibility:"hidden"},_arrowDown:{type:"sap.m.Button",multiple:false,visibility:"hidden"}},events:{expanded:{},collapsed:{}}},
renderer:T.render
});
var S=sap.ui.getCore().getConfiguration().getAnimation()?200:0;var M=50;var L=32;var A=32;
a.prototype.init=function(){this._bIsDrag=null;this._selectionOffset=0;this._mousedown=false;this._dragSession=null;this._iSelectedItemIndex=-1;this._animatingSnap=false;this._iSelectedIndex=-1;this._animating=false;this._intervalId=null;this._maxScrollTop=null;this._minScrollTop=null;this._marginTop=null;this._marginBottom=null;this._bOneTimeValueSelectionAnimation=false;this._bEnabled=true;if(D.system.desktop){this._fnHandleTypeValues=t.call(this);}this._initArrows();};
a.prototype.exit=function(){var s=this._getSliderContainerDomRef();if(s){s.stop();}if(this._intervalId){clearInterval(this._intervalId);this._intervalId=null;}};
a.prototype.onAfterRendering=function(){if(D.system.phone){setTimeout(this._afterExpandCollapse.bind(this),0);}else{this._afterExpandCollapse();}this._attachEvents();};
a.prototype.onThemeChanged=function(e){this.invalidate();};
a.prototype.fireTap=function(e){var s,i,d;if(!this.getIsExpanded()){if(D.system.desktop){this.focus();}else{this.setIsExpanded(true);}}else{s=e.srcElement||e.originalTarget;if(s&&s.tagName.toLowerCase()==="li"){i=q(s).text();d=F.call(this,i);this._iClickedIndex=Array.prototype.slice.call(s.parentElement.children).indexOf(s);this._bOneTimeValueSelectionAnimation=true;this.setSelectedValue(d);this._fireSelectedValueChange(d);}else{this._addSelectionStyle();this.focus();}}};
a.prototype.setSelectedValue=function(v){var i=f(this._getVisibleItems(),function(E){return E.getKey()===v;}),d=this,e,s,g,h;if(i===-1){return this;}if(this.getDomRef()){s=this._getSliderContainerDomRef();g=this._getItemHeightInPx();h=this._getContentRepeat();if(i*g>=this._selectionOffset){e=this._getVisibleItems().length*Math.floor(h/2)+i;}else{e=this._getVisibleItems().length*Math.ceil(h/2)+i;}if(this._bOneTimeValueSelectionAnimation){s.scrollTop((e-this._iClickedIndex+this._iSelectedItemIndex)*g-this._selectionOffset);this._animatingSnap=true;s.animate({scrollTop:e*g-this._selectionOffset},S,'linear',function(){s.clearQueue();d._animatingSnap=false;d._bOneTimeValueSelectionAnimation=false;});}else{s.scrollTop(e*g-this._selectionOffset);}this._removeSelectionStyle();this._iSelectedItemIndex=e;this._addSelectionStyle();}return this.setProperty("selectedValue",v,true);};
a.prototype.setIsExpanded=function(v,s){this.setProperty("isExpanded",v,true);if(!this.getDomRef()){return this;}var $=this.$();if(v){$.addClass("sapMTPSliderExpanded");if(D.system.phone){setTimeout(function(){this._updateDynamicLayout(v);if(!s){this.fireExpanded({ctrl:this});}}.bind(this),0);}else{this._updateDynamicLayout(v);if(!s){this.fireExpanded({ctrl:this});}}}else{this._stopAnimation();if(this._animatingSnap===true){this._animatingSnap=false;this._getSliderContainerDomRef().stop(true);if(this._animatingTargetIndex!==null&&this._animatingTargetIndex!==undefined){this._scrollerSnapped(this._animatingTargetIndex);this._animatingTargetIndex=null;}else if(this._iSelectedIndex!==-1){this._scrollerSnapped(this._iSelectedIndex);}}$.removeClass("sapMTPSliderExpanded");this._updateMargins(v);if(D.system.phone){setTimeout(this._afterExpandCollapse.bind(this),0);}else{this._afterExpandCollapse();}if(!s){this.fireCollapsed({ctrl:this});}}return this;};
a.prototype.onfocusin=function(e){if(D.system.desktop&&!this.getIsExpanded()){this.setIsExpanded(true);}};
a.prototype.onfocusout=function(e){var s=e.relatedTarget?e.relatedTarget.id:null,d=[this.getAggregation("_arrowUp").getId(),this.getAggregation("_arrowDown").getId()];if(s&&d.indexOf(s)!==-1){return;}if(D.system.desktop&&this.getIsExpanded()){this.setIsExpanded(false);}};
a.prototype._onmousewheel=function(e){var O,d,w;e.preventDefault();e.stopPropagation();if(!this.getIsExpanded()||this._intervalId){return false;}O=e.originalEvent;d=O.detail?(-O.detail>0):(O.wheelDelta>0);w=O.detail?(-O.detail/3):(O.wheelDelta/120);if(!w){return false;}this._handleWheelScroll(d,w);};
a.prototype._handleWheelScroll=function(d,w){var r=d?Math.ceil:Math.floor,R;if(!this._aWheelDeltas){this._aWheelDeltas=[];}this._aWheelDeltas.push(w);if(!this._bWheelScrolling){this._bWheelScrolling=true;this._intervalId=setInterval(function(){if(!this._aWheelDeltas.length){clearInterval(this._intervalId);this._intervalId=null;this._bWheelScrolling=false;}else{R=this._aWheelDeltas[0];this._aWheelDeltas=[];R=r(R);if(R){this._offsetSlider(R);}}}.bind(this),150);}return false;};
a.prototype.onsappageup=function(e){if(this.getIsExpanded()){var i=this._getVisibleItems()[0],v=i.getKey();this.setSelectedValue(v);this._fireSelectedValueChange(v);}};
a.prototype.onsappagedown=function(e){if(this.getIsExpanded()){var l=this._getVisibleItems()[this._getVisibleItems().length-1],v=l.getKey();this.setSelectedValue(v);this._fireSelectedValueChange(v);}};
a.prototype.onsapup=function(e){if(this.getIsExpanded()){this._offsetValue(-1);}};
a.prototype.onsapdown=function(e){if(this.getIsExpanded()){this._offsetValue(1);}};
a.prototype.onkeydown=function(e){var k=e.which||e.keyCode,d=K;if(k>=d.NUMPAD_0&&k<=d.NUMPAD_9){k=this._convertNumPadToNumKeyCode(k);}if((k>=d.A&&k<=d.Z)||(k>=d.DIGIT_0&&k<=d.DIGIT_9)){this._fnHandleTypeValues(e.timeStamp,k);}};
a.prototype._getSliderContainerDomRef=function(){return this.$().find(".sapMTimePickerSlider");};
a.prototype._getContentRepeat=function(){var i;if(this.getIsCyclic()){i=Math.ceil(M/this._getVisibleItems().length);i=Math.max(i,3);}else{i=1;}return i;};
a.prototype._getItemHeightInPx=function(){return this.$("content").find("li:not(.TPSliderItemHidden)")[0].getBoundingClientRect().height;};
a.prototype._updateSelectionFrameLayout=function(){var $,i,d,e,s=this.$().offset(),g=s?s.top:0,h=this.$().parents(".sapMTimePickerContainer").offset(),j=h?h.top:0;if(this.getDomRef()){e=this._getItemHeightInPx();$=this.$().find(".sapMTPPickerSelectionFrame");d=g-j;i=(this.$().height()-e+L)/2+d;$.css("top",i);if(D.system.phone){setTimeout(this._afterExpandCollapse.bind(this),0);}else{this._afterExpandCollapse();}}};
a.prototype._updateStepAndValue=function(n,s){var v=0,$,i;for(i=0;i<this.getItems().length;i++){if(i%s!==0&&i!==n){this.getItems()[i].setVisible(false);}else{this.getItems()[i].setVisible(true);v++;}}if(v>2&&v<13&&this.getDomRef()){$=this.$().find(".sapMTimePickerSlider");$.className="";q($).addClass("sapMTimePickerSlider SliderValues"+v.toString());}this.setIsCyclic(v>2);this.setSelectedValue(n.toString());};
a.prototype._updateMargins=function(i){var d=this._getItemHeightInPx(),$,v,V,e,g,h,m,j;if(this.getDomRef()){d=this._getItemHeightInPx();$=this.$().find(".SliderValues3,.SliderValues4,.SliderValues5,.SliderValues6,.SliderValues7,.SliderValues8,.SliderValues9,.SliderValues10,.SliderValues11,.SliderValues12");if(!$.length){return;}if(i){v=this._getVisibleItems().length;V=d*Math.floor(v/2);e=d*Math.ceil(v/2);h=this.$().parents().hasClass('sapUiSizeCompact')?A:0;g=(this.$().height()-d+L)/2;m=g-V-L-h;j=this.$().height()-g-e-h;m=Math.max(m,0);j=Math.max(j,0);}else{m=0;j=0;}$.css("margin-top",m);$.css("margin-bottom",j);}};
a.prototype._updateDynamicLayout=function(i){this._updateMargins(i);this._updateSelectionFrameLayout();};
a.prototype._getSelectionFrameTopOffset=function(){var $=this._getSliderContainerDomRef().find(".sapMTPPickerSelectionFrame"),d=$.offset();return d.top;};
a.prototype._animateScroll=function(s){var $=this._getSliderContainerDomRef(),p=$.scrollTop(),d=25,e=$.height(),g=this.$("content").height(),i=200,h=e+i,j=this._getContentRepeat(),k=this.getIsCyclic(),l=0.9,m=0.05,n=this;this._intervalId=setInterval(function(){n._animating=true;p=p-s*d;if(k){p=n._getUpdatedCycleScrollTop(e,g,p,h,j);}else{if(p>n._maxScrollTop){p=n._maxScrollTop;s=0;}if(p<n._minScrollTop){p=n._minScrollTop;s=0;}}$.scrollTop(p);s*=l;if(Math.abs(s)<m){var r=n._getItemHeightInPx();var O=n._selectionOffset?(n._selectionOffset%r):0;var u=Math.round((p+O)/r)*r-O;clearInterval(n._intervalId);n._intervalId=null;n._animating=null;n._iSelectedIndex=Math.round((p+n._selectionOffset)/r);n._animatingSnap=true;$.animate({scrollTop:u},S,'linear',function(){$.clearQueue();n._animatingSnap=false;if($.css("visibility")==="visible"){n._scrollerSnapped(n._iSelectedIndex);}});}},d);};
a.prototype._stopAnimation=function(){if(this._animating){clearInterval(this._intervalId);this._intervalId=null;this._animating=null;}};
a.prototype._startDrag=function(p){if(!this._dragSession){this._dragSession={};this._dragSession.positions=[];}this._dragSession.pageY=p;this._dragSession.startTop=this._getSliderContainerDomRef().scrollTop();};
a.prototype._doDrag=function(p,d){if(this._dragSession){this._dragSession.offsetY=p-this._dragSession.pageY;this._dragSession.positions.push({pageY:p,timeStamp:d});if(this._dragSession.positions.length>20){this._dragSession.positions.splice(0,10);}if(this._bIsDrag){this._getSliderContainerDomRef().scrollTop(this._dragSession.startTop-this._dragSession.offsetY);}}};
a.prototype._endDrag=function(p,d){if(this._dragSession){var O,e;for(var i=this._dragSession.positions.length-1;i>=0;i--){O=d-this._dragSession.positions[i].timeStamp;e=p-this._dragSession.positions[i].pageY;if(O>100){break;}}var s=(e/O);if(this._animating){clearInterval(this._intervalId);this._intervalId=null;this._animating=null;}this._dragSession=null;this._animateScroll(s);}};
a.prototype._afterExpandCollapse=function(){var s=this.getSelectedValue(),d=this._getSelectionFrameTopOffset(),$=this._getSliderContainerDomRef(),e=$.offset(),i,l,g,h;this._selectionOffset=d-e.top;if(!this.getIsCyclic()){l=this.$("content");h=this._getItemHeightInPx();g=this.$().height();if(this.getIsExpanded()){this._minScrollTop=0;this._marginTop=d-e.top;this._maxScrollTop=h*(this._getVisibleItems().length-1);i=$.height();this._marginBottom=i-this._marginTop-h;if(this._marginBottom<0){this._marginBottom=g-this._marginTop-h;}l.css("margin-top",this._marginTop);l.css("margin-bottom",this._marginBottom);}else{this._marginBottom=g-h;l.css("margin-top",0);l.css("margin-bottom",this._marginBottom);}this._selectionOffset=0;}if(!this.getIsExpanded()){this._selectionOffset=0;}this.$().attr('aria-expanded',this.getIsExpanded());this.setSelectedValue(s);};
a.prototype._getUpdatedCycleScrollTop=function(i,d,e,g,h){var j=d-e-i;while(j<g){e=e-d/h;j=d-e-i;}while(e<g){e=e+d/h;}return e;};
a.prototype._scrollerSnapped=function(i){var s=i,d=this._getVisibleItems().length,n;while(s>=d){s=s-d;}if(!this.getIsCyclic()){s=i;}n=this._getVisibleItems()[s].getKey();this.setSelectedValue(n);this._fireSelectedValueChange(n);};
a.prototype._updateScroll=function(){var s=this.getSelectedValue();if(s!==this._getVisibleItems()[0].getKey()&&this._getSliderContainerDomRef().scrollTop()+(this._selectionOffset?this._selectionOffset:0)===0){this.setSelectedValue(s);this._fireSelectedValueChange(s);}};
a.prototype._addSelectionStyle=function(){var $=this.$("content").find("li:not(.TPSliderItemHidden)"),s=$.eq(this._iSelectedItemIndex).text(),d,e;if(!s){return;}e=s;if(e&&e.length>1&&e.indexOf('0')===0){e=e.substring(1);}$.eq(this._iSelectedItemIndex).addClass("sapMTimePickerItemSelected");d=document.getElementById(this.getId()+"-valDescription");if(d.innerHTML!==e){d.innerHTML=e;}};
a.prototype._removeSelectionStyle=function(){var $=this.$("content").find("li:not(.TPSliderItemHidden)");$.eq(this._iSelectedItemIndex).removeClass("sapMTimePickerItemSelected");};
a.prototype._attachEvents=function(){var e=this._getSliderContainerDomRef()[0];if(D.system.combi){e.addEventListener("touchstart",q.proxy(o,this),false);e.addEventListener("touchmove",q.proxy(b,this),false);document.addEventListener("touchend",q.proxy(c,this),false);e.addEventListener("mousedown",q.proxy(o,this),false);document.addEventListener("mousemove",q.proxy(b,this),false);document.addEventListener("mouseup",q.proxy(c,this),false);}else{if(D.system.phone||D.system.tablet){e.addEventListener("touchstart",q.proxy(o,this),false);e.addEventListener("touchmove",q.proxy(b,this),false);document.addEventListener("touchend",q.proxy(c,this),false);}else{e.addEventListener("mousedown",q.proxy(o,this),false);document.addEventListener("mousemove",q.proxy(b,this),false);document.addEventListener("mouseup",q.proxy(c,this),false);}}};
a.prototype._detachEvents=function(){var e=this.getDomRef();if(D.system.combi){e.removeEventListener("touchstart",q.proxy(o,this),false);e.removeEventListener("touchmove",q.proxy(b,this),false);document.removeEventListener("touchend",q.proxy(c,this),false);e.removeEventListener("mousedown",q.proxy(o,this),false);document.removeEventListener("mousemove",q.proxy(b,this),false);document.removeEventListener("mouseup",q.proxy(c,this),false);}else{if(D.system.phone||D.system.tablet){e.removeEventListener("touchstart",q.proxy(o,this),false);e.removeEventListener("touchmove",q.proxy(b,this),false);document.removeEventListener("touchend",q.proxy(c,this),false);}else{e.removeEventListener("mousedown",q.proxy(o,this),false);document.removeEventListener("mousemove",q.proxy(b,this),false);document.removeEventListener("mouseup",q.proxy(c,this),false);}}};
a.prototype._offsetValue=function(i){var s=this._getSliderContainerDomRef(),d,e=this._getItemHeightInPx(),g,h,j=this.getIsCyclic(),k=this;this._stopAnimation();if(this._animatingSnap===true){this._animatingSnap=false;this._getSliderContainerDomRef().stop(true);if(this._animatingTargetIndex!==null){this._scrollerSnapped(this._animatingTargetIndex);this._animatingTargetIndex=null;}else if(this._iSelectedIndex!==-1){this._scrollerSnapped(this._iSelectedIndex);}}h=this._iSelectedItemIndex+i;d=s.scrollTop();g=d+i*e;if(!j){if(h<0||h>=this._getVisibleItems().length){return;}if(g>this._maxScrollTop){g=this._maxScrollTop;}if(g<this._minScrollTop){g=this._minScrollTop;}}this._animatingSnap=true;this._animatingTargetIndex=h;s.animate({scrollTop:g},S,'linear',function(){s.clearQueue();k._animatingSnap=false;k._animatingTargetIndex=null;if(s.css("visibility")==="visible"){k._scrollerSnapped(h);}});};
a.prototype._offsetSlider=function(O){var s=this._getSliderContainerDomRef().scrollTop(),d=this,$=d._getSliderContainerDomRef().height(),e=d.$("content").height(),i=200,g=$+i,h=d._getContentRepeat(),j=d.getIsCyclic(),k=d._getItemHeightInPx();s=s-O*k;if(j){s=d._getUpdatedCycleScrollTop($,e,s,g,h);}else{if(s>d._maxScrollTop){s=d._maxScrollTop;}if(s<d._minScrollTop){s=d._minScrollTop;}}d._getSliderContainerDomRef().scrollTop(s);d._iSelectedIndex=Math.round((s+d._selectionOffset)/k);d._scrollerSnapped(d._iSelectedIndex);};
a.prototype._initArrows=function(){var d=this,e,g,r=sap.ui.getCore().getLibraryResourceBundle("sap.m");e=new B({icon:I.getIconURI("slim-arrow-up"),press:function(E){d._offsetValue(-1);},tooltip:r.getText("TIMEPICKER_TOOLTIP_UP"),type:'Transparent'});e.addEventDelegate({onAfterRendering:function(){e.$().attr("tabindex",-1);}});this.setAggregation("_arrowUp",e);g=new B({icon:I.getIconURI("slim-arrow-down"),press:function(E){d._offsetValue(1);},tooltip:r.getText("TIMEPICKER_TOOLTIP_DOWN"),type:'Transparent'});g.addStyleClass("sapMTimePickerItemArrowDown");g.addEventDelegate({onAfterRendering:function(){g.$().attr("tabindex",-1);}});this.setAggregation("_arrowDown",g);};
a.prototype._convertNumPadToNumKeyCode=function(k){var d=K;if(k>=d.NUMPAD_0&&k<=d.NUMPAD_9){k-=48;}return k;};
function f(d,p){if(d==null){throw new TypeError('findIndex called with null or undefined array');}if(typeof p!=='function'){throw new TypeError('predicate must be a function');}var l=d.length;var e=arguments[1];var v;for(var i=0;i<l;i++){v=d[i];if(p.call(e,v,i,d)){return i;}}return-1;}
var o=function(e){var p=e.touches&&e.touches.length?e.touches[0].pageY:e.pageY;this._bIsDrag=false;if(!this.getIsExpanded()){return;}this._stopAnimation();this._startDrag(p);if(!D.system.desktop){e.preventDefault();}this._mousedown=true;};var b=function(e){var p=e.touches&&e.touches.length?e.touches[0].pageY:e.pageY;if(!this._mousedown||!this.getIsExpanded()){return;}if(!this._bIsDrag&&this._dragSession&&this._dragSession.positions.length){var d=this._dragSession.positions.some(function(g){return Math.abs(g.pageY-p)>5;});if(d){this._bIsDrag=true;}}this._doDrag(p,e.timeStamp);this._mousedown=true;};var c=function(e){var p=e.changedTouches&&e.changedTouches.length?e.changedTouches[0].pageY:e.pageY;if(this._bIsDrag===false){this.fireTap(e);this._dragSession=null;}this._bIsDrag=true;if(!this.getIsExpanded()){this._dragSession=null;return;}this._endDrag(p,e.timeStamp);this._mousedown=false;};var F=function(s){var i=this._getVisibleItems();var d=f(i,function(e){return e.getText()===s;});return i[d]?i[d].getKey():'';};var t=function(){var l=-1,i=-1,w=1000,s="",d=function(e,k){var m;if(l+w<e){s="";}else{if(i!==-1){clearTimeout(i);i=-1;}}s+=String.fromCharCode(k).toLowerCase();m=this._getVisibleItems().filter(function(g){return g.getKey().indexOf(s)===0;});if(m.length>1){i=setTimeout(function(){this.setSelectedValue(s);s="";i=-1;}.bind(this),w);}else if(m.length===1){this.setSelectedValue(m[0].getKey());s="";}else{s="";}l=e;};return d;};
a.prototype._getVisibleItems=function(){return this.getItems().filter(function(i){return i.getVisible();});};
a.prototype._setEnabled=function(e){this._bEnabled=e;if(e){this.$().removeClass("sapMTPDisabled");this.$().attr("tabindex",0);}else{this.$().addClass("sapMTPDisabled");this.$().attr("tabindex",-1);}return this;};
a.prototype._getEnabled=function(e){return this._bEnabled;};
a.prototype._fireSelectedValueChange=function(v){this.fireEvent("_selectedValueChange",{value:v});};
return a;});
sap.ui.predefine('sap/m/TimePickerSliderRenderer',[],function(){"use strict";var T={apiVersion:2};
T.render=function(r,c){var i,R,n=c._getContentRepeat(),I=c.getItems(),C=c.getLabel();r.openStart("div",c);r.attr("tabindex","0");r.class("sapMTPColumn");if(c.getIsExpanded()){r.class("sapMTPSliderExpanded");}if(!c.getIsCyclic()){r.class("sapMTimePickerSliderShort");}if(!c._getEnabled()){r.class("sapMTPDisabled");}r.accessibilityState(c,{role:"list",labelledby:{value:c.getId()+"-label",append:true},describedby:{value:c.getId()+"-valDescription",append:true}});r.openEnd();r.openStart("div",c.getId()+"-label");r.class("sapMTimePickerLabel");r.openEnd();r.text(C);r.close("div");r.openStart("div",c.getId()+"-valDescription");r.attr('aria-hidden','false');r.attr('aria-live','assertive');r.class("sapUiInvisibleText");r.openEnd();r.close("div");r.openStart("div");r.class("sapMTimePickerItemArrows");r.openEnd();r.renderControl(c.getAggregation("_arrowUp"));r.close("div");r.openStart("div");r.class("sapMTimePickerSlider");T.addItemValuesCssClass(r,c);r.attr("unselectable","on");r.openEnd();r.openStart("div");r.class("sapMTPPickerSelectionFrame");r.openEnd();r.close("div");r.openStart("ul",c.getId()+"-content");r.attr("unselectable","on");r.openEnd();for(R=1;R<=n;R++){for(i=0;i<I.length;i++){r.openStart("li");r.class("sapMTimePickerItem");if(!I[i].getVisible()){r.class("TPSliderItemHidden");}r.accessibilityState(c);r.attr("unselectable","on");r.openEnd();r.text(I[i].getText());r.close("li");}}r.close("ul");r.close("div");r.openStart("div");r.class("sapMTimePickerItemArrows");r.openEnd();r.renderControl(c.getAggregation("_arrowDown"));r.close("div");r.close("div");};
T.addItemValuesCssClass=function(r,c){var v=c.getItems().filter(function(i){return i.getVisible();}).length;if(v>2&&v<13){r.class("SliderValues"+v.toString());}};
return T;});
sap.ui.predefine('sap/m/TimePickerSliders',['sap/ui/core/library','sap/ui/core/Control','sap/ui/model/type/Date','sap/ui/model/odata/type/ODataType','sap/ui/core/format/DateFormat','./TimePickerSlidersRenderer','./TimePickerSlider','./VisibleItem','sap/ui/core/LocaleData','sap/ui/Device','sap/ui/core/Locale','./TimePickerSlidersRenderer',"sap/ui/thirdparty/jquery"],function(c,C,S,O,D,a,T,V,L,b,d,e,q){"use strict";var f=1,g=c.CalendarType;
var h=C.extend("sap.m.TimePickerSliders",{metadata:{library:"sap.m",properties:{localeId:{type:"string",group:"Data"},displayFormat:{name:"displayFormat",type:"string",group:"Appearance"},labelText:{name:"labelText",type:"string"},minutesStep:{type:"int",group:"Misc",defaultValue:f},secondsStep:{type:"int",group:"Misc",defaultValue:f},width:{type:"sap.ui.core.CSSSize",group:"Appearance"},height:{type:"sap.ui.core.CSSSize",group:"Appearance"},value:{type:"string",group:"Data",defaultValue:null},valueFormat:{type:"string",group:"Data",defaultValue:null},support2400:{type:"boolean",group:"Misc",defaultValue:false}},aggregations:{_columns:{type:"sap.m.TimePickerSlider",multiple:true,visibility:"hidden"}},events:{change:{parameters:{value:{type:"string"}}}}}});
h.prototype.init=function(){var l=sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale(),o=L.getInstance(l),p=o.getDayPeriods("abbreviated"),i=o.getTimePattern("medium");this._fnLayoutChanged=q.proxy(this._onOrientationChanged,this);b.resize.attachHandler(this._fnLayoutChanged);this._sAM=p[0];this._sPM=p[1];this._onSliderExpanded=this._onSliderExpanded.bind(this);this._onSliderCollapsed=this._onSliderCollapsed.bind(this);this.setDisplayFormat(i);this._setTimeValues();this._iMinutes;this._iSeconds;};
h.prototype.exit=function(){this.$().off(!!b.browser.firefox?"DOMMouseScroll":"mousewheel",this._onmousewheel);b.resize.detachHandler(this._fnOrientationChanged);};
h.prototype.onAfterRendering=function(){this.$().off(!!b.browser.firefox?"DOMMouseScroll":"mousewheel",this._onmousewheel);this.$().on(!!b.browser.firefox?"DOMMouseScroll":"mousewheel",q.proxy(this._onmousewheel,this));this.$().on('selectstart',F);if(this._getShouldOpenSliderAfterRendering()){if(b.system.desktop){this._getFirstSlider().setIsExpanded(true);}}};
h.prototype.setLocaleId=function(l){var o,p;l=this.validateProperty("localeId",l);this.setProperty("localeId",l,true);if(l){o=new d(l);p=L.getInstance(o).getDayPeriods("abbreviated");this._sAM=p[0];this._sPM=p[1];this._destroyColumns();this._setupLists();}return this;};
h.prototype.setSupport2400=function(i){this.setProperty("support2400",i,true);this._destroyColumns();this._setupLists();return this;};
h.prototype.setDisplayFormat=function(i){this.setProperty("displayFormat",i,true);this._destroyColumns();this._setupLists();return this;};
h.prototype.setMinutesStep=function(v){v=Math.max(f,v||f);this.setProperty("minutesStep",v,true);this._destroyColumns();this._setupLists();return this;};
h.prototype.setSecondsStep=function(v){v=Math.max(f,v||f);this.setProperty("secondsStep",v,true);this._destroyColumns();this._setupLists();return this;};
h.prototype.setValue=function(v){var H=this._getHoursSlider(),i=this._getValueFormatPattern(),I=i.indexOf("HH"),j=i.indexOf("H"),k=H&&H.getSelectedValue()==="24",l=h._isHoursValue24(v,I,j);if(k&&this._isFormatSupport24()&&!l){v=h._replaceZeroHoursWith24(v,I,j);}v=this.validateProperty("value",v);this.setProperty("value",v,true);var o;if(v){o=this._parseValue(l?h._replace24HoursWithZero(v,I,j):v);}if(o){this._setTimeValues(o,l);}return this;};
h.prototype.getTimeValues=function(){var H=this._getHoursSlider(),m=this._getMinutesSlider(),o=this._getSecondsSlider(),i=this._getFormatSlider(),j=null,A=null,k=new Date();if(H){j=parseInt(H.getSelectedValue());}if(i){A=i.getSelectedValue();}if(A==="am"&&j===12){j=0;}else if(A==="pm"&&j!==12){j+=12;}if(j!==null){k.setHours(j.toString());}if(m){k.setMinutes(m.getSelectedValue());}if(o){k.setSeconds(o.getSelectedValue());}return k;};
h.prototype.collapseAll=function(){var i=this.getAggregation("_columns");if(i){for(var I=0;I<i.length;I++){if(i[I].getIsExpanded()){i[I].setIsExpanded(false);}}}return this;};
h.prototype.openFirstSlider=function(){var o=this._getFirstSlider();o.setIsExpanded(true);o.focus();return this;};
h.prototype._setTimeValues=function(o,H){var i=this._getHoursSlider(),m=this._getMinutesSlider(),j=this._getSecondsSlider(),k=this._getFormatSlider(),l,A=null;o=o||new Date();if(Object.prototype.toString.call(o)!=="[object Date]"||isNaN(o)){throw new Error("Date must be a JavaScript date object; "+this);}if(!H){var v=this._formatValue(o,true);this.setProperty("value",v,true);l=o.getHours();}else{l=24;}if(k){A=l>=12?"pm":"am";l=(l>12)?l-12:l;l=(l===0?12:l);}i&&i.setSelectedValue(l.toString());m&&m._updateStepAndValue(o.getMinutes(),this.getMinutesStep());j&&j._updateStepAndValue(o.getSeconds(),this.getSecondsStep());k&&k.setSelectedValue(A);if(H){this._disableSlider(m);m&&m.setSelectedValue("0");this._disableSlider(j);j&&j.setSelectedValue("0");}else{this._enableSlider(m);this._enableSlider(j);}};
h.prototype._updateSlidersValues=function(){var i=this.getAggregation("_columns");if(i){for(var I=0;I<i.length;I++){i[I]._updateScroll();}}};
h.prototype.onsaphome=function(E){var n=this._getFirstSlider(),o=this._getCurrentSlider();if(o&&document.activeElement===o.getDomRef()&&this._isSliderEnabled(n)){n.focus();}};
h.prototype.onsapend=function(E){var n=this._getLastSlider(),o=this._getCurrentSlider();if(o&&document.activeElement===o.getDomRef()&&this._isSliderEnabled(n)){n.focus();}};
h.prototype.onsapleft=function(E){var n,o=this._getCurrentSlider(),i=-1,N=-1,j=this.getAggregation("_columns");if(o&&document.activeElement===o.getDomRef()){i=j.indexOf(o);N=i>0?i-1:j.length-1;n=j[N];if(this._isSliderEnabled(n)){n.focus();}}};
h.prototype.onsapright=function(E){var n,o=this._getCurrentSlider(),i=-1,N=-1,j=this.getAggregation("_columns");if(o&&document.activeElement===o.getDomRef()){i=j.indexOf(o);N=i<j.length-1?i+1:0;n=j[N];if(this._isSliderEnabled(n)){n.focus();}}};
h.prototype._onmousewheel=function(E){var i=this._getCurrentSlider();if(i){i._onmousewheel(E);}};
h.prototype._onOrientationChanged=function(){var j=this.getAggregation("_columns");if(!j){return;}for(var i=0;i<j.length;i++){if(j[i].getIsExpanded()){j[i]._updateSelectionFrameLayout();}}};
h.prototype._generatePickerListValues=function(i,t,j,l){var v=[],k;for(var I=i;I<=t;I+=1){if(I<10&&l){k="0"+I.toString();}else{k=I.toString();}var o=new V({key:I.toString(),text:k});if(I%j!==0){o.setVisible(false);}v.push(o);}return v;};
h.prototype._checkStyle=function(p){return(p==="short"||p==="medium"||p==="long"||p==="full");};
h.prototype._getDisplayFormatPattern=function(){var p=this.getDisplayFormat();if(this._checkStyle(p)){p=this._getLocaleBasedPattern(p);}return p;};
h.prototype._getValueFormatPattern=function(){var p=this._getBoundValueTypePattern()||this.getValueFormat()||"medium";if(this._checkStyle(p)){p=this._getLocaleBasedPattern(p);}return p;};
h.prototype._getLocaleBasedPattern=function(p){return L.getInstance(sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale()).getTimePattern(p);};
h.prototype._destroyColumns=function(){var i=this.getAggregation("_columns");if(i){this.destroyAggregation("_columns");}};
h.prototype._setupLists=function(){var r=sap.ui.getCore().getLibraryResourceBundle("sap.m"),l=r.getText("TIMEPICKER_LBL_HOURS"),i=r.getText("TIMEPICKER_LBL_MINUTES"),j=r.getText("TIMEPICKER_LBL_SECONDS"),k=r.getText("TIMEPICKER_LBL_AMPM"),m=this.getMinutesStep(),n=this.getSecondsStep(),o=this._getDisplayFormatPattern();if(o===undefined){return;}var H=false,p=false,t,u;if(o.indexOf("HH")!==-1){H=true;t=0;u=this.getSupport2400()?24:23;p=true;}else if(o.indexOf("H")!==-1){H=true;t=0;u=this.getSupport2400()?24:23;}else if(o.indexOf("hh")!==-1){H=true;t=1;u=12;p=true;}else if(o.indexOf("h")!==-1){H=true;t=1;u=12;}if(H){this.addAggregation("_columns",new T(this.getId()+"-listHours",{items:this._generatePickerListValues(t,u,1,p),expanded:this._onSliderExpanded,collapsed:this._onSliderCollapsed,label:l}).attachEvent("_selectedValueChange",this._handleHoursChange,this));}if(o.indexOf("m")!==-1){var v=this._generatePickerListValues(0,59,m,true);this.addAggregation("_columns",new T(this.getId()+"-listMins",{items:v,expanded:this._onSliderExpanded,collapsed:this._onSliderCollapsed,label:i}));}if(o.indexOf("s")!==-1){var v=this._generatePickerListValues(0,59,n,true);this.addAggregation("_columns",new T(this.getId()+"-listSecs",{items:v,expanded:this._onSliderExpanded,collapsed:this._onSliderCollapsed,label:j}));}if(o.indexOf("a")!==-1){this.addAggregation("_columns",new T(this.getId()+"-listFormat",{items:[{key:"am",text:this._sAM},{key:"pm",text:this._sPM}],expanded:this._onSliderExpanded,collapsed:this._onSliderCollapsed,label:k,isCyclic:false}).addStyleClass("sapMTimePickerSliderShort"));}var w,x=this.getValue();if(x){w=this._parseValue(x);}if(w){this._setTimeValues(w);}};
h.prototype._getCurrentSlider=function(){var j=this.getAggregation("_columns");if(j){for(var i=0;i<j.length;i++){if(j[i].getIsExpanded()){return j[i];}}}return null;};
h.prototype._getHoursSlider=function(){return sap.ui.getCore().byId(this.getId()+"-listHours")||null;};
h.prototype._getMinutesSlider=function(){return sap.ui.getCore().byId(this.getId()+"-listMins")||null;};
h.prototype._getSecondsSlider=function(){return sap.ui.getCore().byId(this.getId()+"-listSecs")||null;};
h.prototype._getFormatSlider=function(){return sap.ui.getCore().byId(this.getId()+"-listFormat")||null;};
h.prototype._getFirstSlider=function(){return this.getAggregation("_columns")[0]||null;};
h.prototype._getLastSlider=function(){var i=this.getAggregation("_columns");return i[i.length-1]||null;};
h.prototype._parseValue=function(v){return this._getFormatter().parse(v);};
h.prototype._isSliderEnabled=function(o){return o._getEnabled();};
h.prototype._getFormatter=function(){var p=this._getBoundValueTypePattern(),r=false,B=this.getBinding("value"),i;if(B&&B.oType&&B.oType.oOutputFormat){r=!!B.oType.oOutputFormat.oFormatOptions.relative;i=B.oType.oOutputFormat.oFormatOptions.calendarType;}if(!p){p=this.getValueFormat()||"medium";i=g.Gregorian;}if(!i){i=sap.ui.getCore().getConfiguration().getCalendarType();}return this._getFormatterInstance(p,r,i);};
h.prototype._getBoundValueTypePattern=function(){var B=this.getBinding("value"),o=B&&B.getType&&B.getType();if(o instanceof S){return o.getOutputPattern();}if(o instanceof O&&o.oFormat){return o.oFormat.oFormatOptions.pattern;}return undefined;};
h.prototype._getFormatterInstance=function(p,r,i,j){var o;if(this._checkStyle(p)){o=this._getFormatInstance({style:p,strictParsing:true,relative:r,calendarType:i});}else{o=this._getFormatInstance({pattern:p,strictParsing:true,relative:r,calendarType:i});}return o;};
h.prototype._getFormatInstance=function(A,i){return D.getTimeInstance(A);};
h.prototype._formatValue=function(o){if(o){return this._getFormatter().format(o);}return"";};
h.prototype._onSliderExpanded=function(E){var j=this.getAggregation("_columns");for(var i=0;i<j.length;i++){if(j[i]!==E.oSource&&j[i].getIsExpanded()){j[i].setIsExpanded(false);}}};
h.prototype._onSliderCollapsed=function(E){var o=this.getTimeValues();this.setValue(this._formatValue(o,true));this.fireChange({value:this.getValue()});};
h.prototype._getShouldOpenSliderAfterRendering=function(){return this._shouldOpenSliderAfterRendering;};
h.prototype._setShouldOpenSliderAfterRendering=function(i){this._shouldOpenSliderAfterRendering=i;return this;};
h.prototype._isFormatSupport24=function(){var i=this._getDisplayFormatPattern();return i.indexOf("HH")!==-1||i.indexOf("H")!==-1;};
h.prototype._disableSlider=function(o){if(o){o._setEnabled(false);}return this;};
h.prototype._enableSlider=function(o){if(o){o._setEnabled(true);}return this;};
h.prototype._handleHoursChange=function(E){var v=E.getParameter("value"),m=this._getMinutesSlider(),o=this._getSecondsSlider();if(this.getSupport2400()){if(v==="24"){if(m&&m._getEnabled()){this._iMinutes=m.getSelectedValue();this._disableSlider(m);m.setSelectedValue("0");}if(o&&o._getEnabled()){this._iSeconds=o.getSelectedValue();this._disableSlider(o);o.setSelectedValue("0");}}else{if(m&&!m._getEnabled()){this._enableSlider(m);m.setSelectedValue(this._iMinutes);}if(o&&!o._getEnabled()){this._enableSlider(o);o.setSelectedValue(this._iSeconds);}}}};
h._replaceZeroHoursWith24=function(v,i,I){var H=2,j=i;if(i===-1){H=1;j=I;}return v.substr(0,j)+"24"+v.substr(j+H);};
h._replace24HoursWithZero=function(v,i,I){var H=2,j=i;if(i===-1){H=1;j=I;}return v.substr(0,j)+s(0,H)+v.substr(j+2);};
h._isHoursValue24=function(v,i,I){if(i===-1&&I===-1){return false;}var j=i;if(i===-1){j=I;}return v.substr(j,2)==="24";};
function s(j,k){var r="";for(var i=0;i<k;i++){r+=j;}return r;}
function F(){return false;}
return h;});
sap.ui.predefine('sap/m/TimePickerSlidersRenderer',["sap/ui/Device"],function(D){"use strict";var T={apiVersion:2};
T.render=function(r,c){var s=c.getAggregation("_columns"),l=c.getLabelText()||"",R=sap.ui.getCore().getLibraryResourceBundle("sap.m"),S,b=sap.ui.getCore().getConfiguration().getRTL();r.openStart("div",c);r.class("sapMTimePickerContainer");r.style("width",c.getWidth());r.style("height",c.getHeight());r.accessibilityState(c,{label:(l+" "+R.getText("TIMEPICKER_SCREENREADER_TAG")).trim()});r.openEnd();if(!D.system.desktop){r.openStart("div",c.getId()+"-label");r.class("sapMTimePickerContainerLabel");r.openEnd();r.style("display","block");r.text(l);r.close("div");}if(b){for(S=s.length-1;S>=0;S--){r.renderControl(s[S]);}}else{for(S=0;S<s.length;S++){r.renderControl(s[S]);}}r.close("div");};
return T;},true);
sap.ui.predefine('sap/m/Token',['./library','sap/ui/core/Control','sap/ui/core/library','sap/ui/core/Icon','./TokenRenderer','sap/ui/core/InvisibleText','sap/ui/events/KeyCodes','sap/ui/core/theming/Parameters','sap/ui/core/Core'],function(l,C,c,I,T,a,K,P,b){"use strict";var d=c.TextDirection;
var e=C.extend("sap.m.Token",{metadata:{library:"sap.m",properties:{selected:{type:"boolean",group:"Misc",defaultValue:false},key:{type:"string",group:"Misc",defaultValue:""},text:{type:"string",group:"Misc",defaultValue:""},editable:{type:"boolean",group:"Misc",defaultValue:true},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:d.Inherit},editableParent:{type:"boolean",group:"Behavior",defaultValue:true,visibility:"hidden"},truncated:{type:"boolean",group:"Appearance",defaultValue:false,visibility:"hidden"}},aggregations:{deleteIcon:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{"delete":{},press:{},select:{},deselect:{}}}});
e.prototype.init=function(){var D=new I({id:this.getId()+"-icon",src:"sap-icon://decline",noTabStop:true,press:this._fireDeleteToken.bind(this)});D.addStyleClass("sapMTokenIcon");D.setUseIconTooltip(false);this.setAggregation("deleteIcon",D);};
e.prototype.ontouchstart=function(E){if(E.target.id===this.getId()+"-icon"){E.preventDefault();}};
e.prototype._getTooltip=function(o,E){var t=o.getTooltip_AsString(),D=b.getLibraryResourceBundle("sap.m").getText("TOKEN_ARIA_DELETABLE");if(E&&!t){return D;}return t;};
e.prototype._onTokenPress=function(E){var s=this.getSelected(),f=E.ctrlKey||E.metaKey,n=true;if(f||(E.which===K.SPACE)){n=!s;}this.setSelected(n);this.firePress();if(s!==n){if(n){this.fireSelect();}else{this.fireDeselect();}}if(this.getSelected()){this.focus();}};
e.prototype.ontap=function(E){var D=this.getAggregation("deleteIcon");if(D&&E.target.id===D.getId()){E.setMark("tokenDeletePress",true);return;}E.setMark("tokenTap",this);this._onTokenPress(E);};
e.prototype.onsapbackspace=function(E){this._fireDeleteToken(E);};
e.prototype.onsapdelete=function(E){this._fireDeleteToken(E);};
e.prototype._fireDeleteToken=function(E){if(this.getEditable()&&this.getProperty("editableParent")){this.fireDelete({token:this});}E.preventDefault();};
e.prototype.onsapspace=function(E){this._onTokenPress(E);if(E){E.preventDefault();E.stopPropagation();}};
e.prototype.onkeydown=function(E){if((E.ctrlKey||E.metaKey)&&E.which===K.SPACE){this.onsapspace(E);E.preventDefault();}};
e.prototype.getTruncated=function(){return this.getProperty("truncated");};
e.prototype.setTruncated=function(v,s){if(this.getTruncated()===v){return this;}return this.setProperty("truncated",v,s);};
return e;});
sap.ui.predefine('sap/m/TokenRenderer',["sap/ui/core/library","sap/ui/core/InvisibleText"],function(c,I){"use strict";var T=c.TextDirection;var a={apiVersion:2};
a.render=function(r,C){var t=C._getTooltip(C,C.getEditable()&&C.getProperty("editableParent")),d=C.getAggregation("deleteIcon"),A=[],o={role:"option"};r.openStart("div",C).attr("tabindex","-1").class("sapMToken");if(C.getSelected()){r.class("sapMTokenSelected");}if(!C.getEditable()){r.class("sapMTokenReadOnly");}if(C.getTruncated()){r.class("sapMTokenTruncated");}if(t){r.attr("title",t);}A.push(I.getStaticId("sap.m","TOKEN_ARIA_LABEL"));if(C.getEditable()&&C.getProperty("editableParent")){A.push(I.getStaticId("sap.m","TOKEN_ARIA_DELETABLE"));}if(C.getSelected()){A.push(I.getStaticId("sap.m","TOKEN_ARIA_SELECTED"));}o.describedby={value:A.join(" "),append:true};r.accessibilityState(C,o);r.openEnd();a._renderInnerControl(r,C);if(C.getEditable()&&d){r.renderControl(d);}r.close("div");};
a._renderInnerControl=function(r,C){var t=C.getTextDirection();r.openStart("span").class("sapMTokenText");if(t!==T.Inherit){r.attr("dir",t.toLowerCase());}r.openEnd();var b=C.getText();if(b){r.text(b);}r.close("span");};
return a;},true);
sap.ui.predefine('sap/m/Tokenizer',['./library','sap/m/List','sap/m/StandardListItem','sap/m/ResponsivePopover','sap/ui/core/Control','sap/ui/core/delegate/ScrollEnablement','sap/ui/Device','sap/ui/core/InvisibleText','sap/ui/core/ResizeHandler','./TokenizerRenderer',"sap/ui/dom/containsOrEquals","sap/ui/events/KeyCodes","sap/base/Log","sap/ui/core/EnabledPropagator","sap/ui/thirdparty/jquery","sap/ui/dom/jquery/control"],function(l,L,S,R,C,a,D,I,b,T,c,K,d,E,q){"use strict";var e=l.TokenizerRenderMode,P=l.PlacementType,f=l.ListMode;
var g=C.extend("sap.m.Tokenizer",{metadata:{library:"sap.m",properties:{editable:{type:"boolean",group:"Misc",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:"100%"},renderMode:{type:"string",group:"Misc",defaultValue:e.Loose},hiddenTokensCount:{type:"int",group:"Misc",defaultValue:0,visibility:"hidden"}},defaultAggregation:"tokens",aggregations:{tokens:{type:"sap.m.Token",multiple:true,singularName:"token"},_tokensInfo:{type:"sap.ui.core.InvisibleText",multiple:false,visibility:"hidden"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{tokenChange:{parameters:{type:{type:"string"},token:{type:"sap.m.Token"},tokens:{type:"sap.m.Token[]"},addedTokens:{type:"sap.m.Token[]"},removedTokens:{type:"sap.m.Token[]"}}},tokenUpdate:{allowPreventDefault:true,parameters:{type:{type:"string"},addedTokens:{type:"sap.m.Token[]"},removedTokens:{type:"sap.m.Token[]"}}}}}});
var r=sap.ui.getCore().getLibraryResourceBundle("sap.m");E.apply(g.prototype,[true]);
g.prototype.init=function(){this.allowTextSelection(false);this._oTokensWidthMap={};this._oIndicator=null;this._oScroller=new a(this,this.getId()+"-scrollContainer",{horizontal:true,vertical:false,nonTouchScrolling:true});if(sap.ui.getCore().getConfiguration().getAccessibility()){var A=new I({text:r.getText("TOKENIZER_ARIA_CONTAIN_TOKEN")});this.setAggregation("_tokensInfo",A);}};
g.prototype._handleNMoreIndicatorPress=function(){this._togglePopup(this.getTokensPopup());};
g.prototype._getTokensList=function(){if(!this._oTokensList){this._oTokensList=new L({width:"auto",mode:f.Delete}).attachDelete(this._handleListItemDelete,this);}return this._oTokensList;};
g.prototype._setPopoverMode=function(m){var s={},p=this.getTokensPopup();switch(m){case f.Delete:s={showArrow:false,placement:P.VerticalPreferredBottom};break;default:s={showArrow:true,placement:P.Auto};break;}p.setShowArrow(s.showArrow);p.setPlacement(s.placement);this._getTokensList().setMode(m);};
g.prototype._fillTokensList=function(o,F){o.destroyItems();F=F?F:function(){return true;};this.getTokens().filter(F).forEach(function(t){o.addItem(this._mapTokenToListItem(t));},this);};
g.prototype._handleListItemDelete=function(o){var h,i,j,k=o.getParameter("listItem"),s=k&&k.data("tokenId"),t;t=this.getTokens().filter(function(m){return(m.getId()===s)&&m.getEditable();})[0];if(t){this.fireTokenUpdate({addedTokens:[],removedTokens:[t],type:g.TokenUpdateType.Removed});h=this._getTokensList().getItems();j=h.indexOf(k);i=(j===h.length-1)?h[h.length-2]:h[j+1];i&&i.focus();this.removeAggregation("tokens",t,true);k.destroy();t.destroy();this._adjustTokensVisibility();}};
g.prototype.getTokensPopup=function(){if(this._oPopup){return this._oPopup;}this._oPopup=new R({showArrow:false,showHeader:false,placement:P.Auto,offsetX:0,offsetY:3,horizontalScrolling:false,content:this._getTokensList()}).attachBeforeOpen(function(){var p=this._oPopup;if(p.getContent&&!p.getContent().length){p.addContent(this._getTokensList());}this._fillTokensList(this._getTokensList());},this);this.addDependent(this._oPopup);if(D.system.phone){this._oPopup.setEndButton(new sap.m.Button({text:r.getText("SUGGESTIONSPOPOVER_CLOSE_BUTTON"),press:function(){this._oPopup.close();}.bind(this)}));}return this._oPopup;};
g.prototype._togglePopup=function(p){var o,h=this.getDomRef(),i=p.isOpen(),j=this.getEditable();this._setPopoverMode(j?f.Delete:f.None);if(i){p.close();}else{o=j||this.hasOneTruncatedToken()?h:this._oIndicator[0];o=o&&o.className.indexOf("sapUiHidden")===-1?o:h;p.openBy(o||h);}};
g.prototype._mapTokenToListItem=function(t){if(!t){return null;}var o=new S({selected:true}).data("tokenId",t.getId());o.setTitle(t.getText());return o;};
g.prototype._getPixelWidth=function(){var m=this.getMaxWidth(),t,o=this.getDomRef(),p;if(!o){return;}p=parseInt(this.$().css("padding-left"));if(m.indexOf("px")===-1){t=o.clientWidth;}else{t=parseInt(this.getMaxWidth());}return t-p;};
g.prototype._adjustTokensVisibility=function(){if(!this.getDomRef()){return;}var t=this._getPixelWidth(),h=this._getVisibleTokens().reverse(),i=h.length,j,F,k,m=-1;h.some(function(o,n){t=t-this._oTokensWidthMap[o.getId()];if(t<0){m=n;return true;}else{F=t;}},this);if(i===1&&m!==-1){this.setFirstTokenTruncated(true);return;}else if(i===1&&h[0].getTruncated()){this.setFirstTokenTruncated(false);}if(m>-1){for(k=0;k<i;k++){if(k>=m){h[k].addStyleClass("sapMHiddenToken");}else{h[k].removeStyleClass("sapMHiddenToken");}}this._handleNMoreIndicator(i-m);j=this._oIndicator.width();if(j>=F){m=m-1;this._handleNMoreIndicator(i-m);h[m].addStyleClass("sapMHiddenToken");}this._setHiddenTokensCount(i-m);}else{this._setHiddenTokensCount(0);this._showAllTokens();}};
g.prototype.setFirstTokenTruncated=function(v){var t=this.getTokens()[0];t&&t.setTruncated(v);if(v){this.addStyleClass("sapMTokenizerOneLongToken");}else{this.removeStyleClass("sapMTokenizerOneLongToken");this.scrollToEnd();}return this;};
g.prototype.hasOneTruncatedToken=function(){return this.getTokens().length===1&&this.getTokens()[0].getTruncated();};
g.prototype._handleNMoreIndicator=function(h){if(!this.getDomRef()){return this;}if(h){var s="MULTIINPUT_SHOW_MORE_TOKENS";if(h===this._getVisibleTokens().length){if(h===1){s="TOKENIZER_SHOW_ALL_ITEM";}else{s="TOKENIZER_SHOW_ALL_ITEMS";}}this._oIndicator.html(r.getText(s,h));}return this;};
g.prototype._getVisibleTokens=function(){return this.getTokens().filter(function(t){return t.getVisible();});};
g.prototype._showAllTokens=function(){this._getVisibleTokens().forEach(function(t){t.removeStyleClass("sapMHiddenToken");});};
g.prototype.getScrollDelegate=function(){return this._oScroller;};
g.prototype.scrollToEnd=function(){var h=this.getDomRef(),s;if(!this.getDomRef()){return;}s=this.$().find(".sapMTokenizerScrollContainer")[0];if(D.browser.msie){setTimeout(function(){h.scrollLeft=s.scrollWidth;});}else{h.scrollLeft=s.scrollWidth;}};
g.prototype._registerResizeHandler=function(){if(!this._sResizeHandlerId){this._sResizeHandlerId=b.register(this.getDomRef(),this._handleResize.bind(this));}};
g.prototype._handleResize=function(){this._useCollapsedMode(this.getRenderMode());this.scrollToEnd();};
g.prototype.setPixelWidth=function(n){if(typeof n!=="number"){d.warning("Tokenizer.setPixelWidth called with invalid parameter. Expected parameter of type number.");return;}this.setWidth(n+"px");if(this._oScroller){this._oScroller.refresh();}};
g.prototype.scrollToStart=function(){var h=this.getDomRef();if(!h){return;}h.scrollLeft=0;};
g.prototype.getScrollWidth=function(){if(!this.getDomRef()){return 0;}return this.$().children(".sapMTokenizerScrollContainer")[0].scrollWidth;};
g.prototype.onBeforeRendering=function(){this._setTokensAria();};
g.prototype.onAfterRendering=function(){var s=this.getRenderMode();this._oIndicator=this.$().find(".sapMTokenizerIndicator");this._updateTokensAriaSetAttributes();this._useCollapsedMode(s);this._registerResizeHandler();if(s===e.Loose){this.scrollToEnd();}};
g.prototype.onThemeChanged=function(){this.getTokens().forEach(function(t){if(t.getDomRef()&&!t.$().hasClass("sapMHiddenToken")&&!t.getTruncated()){this._oTokensWidthMap[t.getId()]=t.$().outerWidth(true);}}.bind(this));this._useCollapsedMode(this.getRenderMode());};
g.prototype._useCollapsedMode=function(s){var t=this._getVisibleTokens();if(!t.length){return;}if(s===e.Narrow){this._adjustTokensVisibility();}else{this._setHiddenTokensCount(0);this._showAllTokens();}};
g.prototype.onsapfocusleave=function(o){if(document.activeElement===this.getDomRef()||!this._checkFocus()){this._changeAllTokensSelection(false);this._oSelectionOrigin=null;}};
g.prototype.onkeydown=function(o){var s;if(!this.getEnabled()){return;}if(o.which===K.TAB){this._changeAllTokensSelection(false);}if((o.ctrlKey||o.metaKey)&&o.which===K.A){s=this.getSelectedTokens().length<this._getVisibleTokens().length;if(this._getVisibleTokens().length>0){this.focus();this._changeAllTokensSelection(s);o.preventDefault();o.stopPropagation();}}if((o.ctrlKey||o.metaKey)&&(o.which===K.C||o.which===K.INSERT)){this._copy();}if(((o.ctrlKey||o.metaKey)&&o.which===K.X)||(o.shiftKey&&o.which===K.DELETE)){if(this.getEditable()){this._cut();}else{this._copy();}}};
g.prototype.onsappreviousmodifiers=function(o){this.onsapprevious(o);};
g.prototype.onsapnextmodifiers=function(o){this.onsapnext(o);};
g.prototype.onsaphomemodifiers=function(o){this._selectRange(false);};
g.prototype.onsapendmodifiers=function(o){this._selectRange(true);};
g.prototype._selectRange=function(F){var o={},t=this._getVisibleTokens(),h=q(document.activeElement).control()[0],j=t.indexOf(h);if(!h||!h.isA("sap.m.Token")){return;}if(F){o.start=j;o.end=t.length-1;}else{o.start=0;o.end=j;}if(o.start<o.end){for(var i=o.start;i<=o.end;i++){t[i].setSelected(true);}}};
g.prototype._copy=function(){var s=this.getSelectedTokens(),h="",t,j=function(o){if(o.clipboardData){o.clipboardData.setData('text/plain',h);}else{o.originalEvent.clipboardData.setData('text/plain',h);}o.preventDefault();};for(var i=0;i<s.length;i++){t=s[i];h+=(i>0?"\r\n":"")+t.getText();}if(!h){return;}if(D.browser.msie&&window.clipboardData){window.clipboardData.setData("text",h);}else{document.addEventListener('copy',j);document.execCommand('copy');document.removeEventListener('copy',j);}};
g.prototype._cut=function(){var s=this,h=s.getSelectedTokens(),j="",k=[],m,t,n=function(o){if(o.clipboardData){o.clipboardData.setData('text/plain',j);}else{o.originalEvent.clipboardData.setData('text/plain',j);}o.preventDefault();};m=s.fireTokenUpdate({addedTokens:[],removedTokens:k,type:g.TokenUpdateType.Removed});for(var i=0;i<h.length;i++){t=h[i];j+=(i>0?"\r\n":"")+t.getText();if(m&&t.getEditable()){s.removeToken(t);k.push(t);t.destroy();}}if(!j){return;}if(D.browser.msie&&window.clipboardData){window.clipboardData.setData("text",j);}else{document.addEventListener('cut',n);document.execCommand('cut');document.removeEventListener('cut',n);}};
g.prototype.onsapbackspace=function(o){var s=this.getSelectedTokens();if(!this.getEnabled()){return;}if(s.length<2){o.preventDefault();this.onsapprevious(o);}else{this._focusUnselectedToken(o);}this._handleKeyboardDelete(o);o.setMarked();};
g.prototype._focusUnselectedToken=function(o){var s=this.getSelectedTokens(),t=this._getVisibleTokens(),i,h;if(o.keyCode===K.DELETE){i=t.indexOf(s[s.length-1]);h=t[i+1];}if(o.keyCode===K.BACKSPACE){i=t.indexOf(s[0]);h=t[i-1];}if(h){h.focus();}else{o.setMarked("forwardFocusToParent");this.focus();}};
g.prototype.onsapdelete=function(o){var s;if(!this.getEnabled()){return;}s=this.getSelectedTokens();if(s.length<2){this.onsapnext(o);}else{this._focusUnselectedToken(o);}this._handleKeyboardDelete(o);o.setMarked();};
g.prototype._handleKeyboardDelete=function(o){var t;if(this.getEditable()){t=q(o.target).control()[0];if(t&&t.isA("sap.m.Token")){this.handleTokenDeletion(t);}this._removeSelectedTokens();if(!this._getVisibleTokens().length){o.setMarked("forwardFocusToParent");}}};
g.prototype._ensureTokenVisible=function(t){if(!t||!t.getDomRef()||!this.getDomRef()){return;}var i=this.$().offset().left,h=this.$().width(),j=t.$().offset().left,k=t.$().width();if(this._getVisibleTokens().indexOf(t)===0){this.$().scrollLeft(0);return;}if(j<i){this.$().scrollLeft(this.$().scrollLeft()-i+j);}if(j-i+k>h){this.$().scrollLeft(this.$().scrollLeft()+(j-i+k-h));}};
g.prototype.ontap=function(o){var s=o.shiftKey,h=(o.ctrlKey||o.metaKey),t=o.getMark("tokenTap"),j=o.getMark("tokenDeletePress"),k=this._getVisibleTokens(),F,m,n,M,p;if(j||!t||(!s&&h)){this._oSelectionOrigin=null;return;}if(!s){this._oSelectionOrigin=t;this._changeAllTokensSelection(false,t,true);}F=t;if(this._oSelectionOrigin){F=this._oSelectionOrigin;}else{this._oSelectionOrigin=F;}m=this.indexOfToken(F);n=this.indexOfToken(t);M=Math.min(m,n);p=Math.max(m,n);k.forEach(function(u,i){if(i>=M&&i<=p){u.setSelected(true);}else if(!h){u.setSelected(false);}});};
g.prototype.onsapprevious=function(o){var t=this._getVisibleTokens(),i=t.length;if(i===0){return;}var F=q(document.activeElement).control()[0];var h=F?t.indexOf(F):-1;if(h===0){o.setMarked("forwardFocusToParent");return;}var j,k;if(h>0){j=t[h-1];j.focus();}else{j=t[t.length-1];j.focus();}if(o.shiftKey){k=t[h];j.setSelected(true);k.setSelected(true);}o.setMarked();o.preventDefault();};
g.prototype.onsapnext=function(o){var t=this._getVisibleTokens(),i=t.length;if(i===0){return;}var F=q(document.activeElement).control()[0];var h=F?t.indexOf(F):-1;if(h<i-1){var n=t[h+1],j=t[h];n.focus();if(o.shiftKey){n.setSelected(true);j.setSelected(true);}this._ensureTokenVisible(n);}else{o.setMarked("forwardFocusToParent");return;}o.setMarked();o.preventDefault();};
g.prototype.addValidator=function(v){d.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this);};
g.prototype.removeValidator=function(v){d.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this);};
g.prototype.removeAllValidators=function(){d.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this);};
g.prototype.addValidateToken=function(p){d.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this);};
g.prototype._parseString=function(s){return s.split(/\r\n|\r|\n/g);};
g.prototype._checkFocus=function(){return this.getDomRef()&&c(this.getDomRef(),document.activeElement);};
g.prototype.addToken=function(t,s){var p=this.getParent();t.setProperty("editableParent",this.getEditable());if(p instanceof sap.m.MultiInput){if(p.getMaxTokens()!==undefined&&p.getTokens().length>=p.getMaxTokens()){return this;}}this.addAggregation("tokens",t,s);this.fireTokenChange({token:t,type:g.TokenChangeType.Added});t.addEventDelegate({onAfterRendering:function(){if(sap.ui.getCore().isThemeApplied()&&t.getDomRef()&&!t.getTruncated()&&!t.$().hasClass("sapMHiddenToken")){this._oTokensWidthMap[t.getId()]=t.$().outerWidth(true);}}.bind(this)});t.attachSelect(function(){var F=this.hasOneTruncatedToken()?t:this;if(!this.hasOneTruncatedToken()||this.hasStyleClass("sapMTokenizerIndicatorDisabled")){return;}this.getTokensPopup().setInitialFocus(F);this._togglePopup(this.getTokensPopup());}.bind(this));t.getAggregation("deleteIcon").attachPress(function(){if(this.getEnabled()){this.handleTokenDeletion(t);}}.bind(this));return this;};
g.prototype.removeToken=function(t){t=this.removeAggregation("tokens",t);this._updateTokensAriaSetAttributes();!this.getTokens().length&&this.setFirstTokenTruncated(false);this.fireTokenChange({token:t,type:g.TokenChangeType.Removed});if(this.getTokensPopup().isOpen()){this._fillTokensList(this._getTokensList());}return t;};
g.prototype.setTokens=function(t){var o=this.getTokens();this.removeAllTokens(false);var i;for(i=0;i<t.length;i++){this.addToken(t[i],true);}this.invalidate();this.fireTokenChange({addedTokens:t,removedTokens:o,type:g.TokenChangeType.TokensChanged});};
g.prototype.removeAllTokens=function(F){var t=this.getTokens();var h=this.removeAllAggregation("tokens");this.setFirstTokenTruncated(false);if(typeof(F)==="boolean"&&!F){return h;}this.fireTokenChange({addedTokens:[],removedTokens:t,type:g.TokenChangeType.TokensChanged});this.fireTokenChange({tokens:t,type:g.TokenChangeType.RemovedAll});return h;};
g.prototype.updateTokens=function(){this.destroyTokens();this.updateAggregation("tokens");};
g.prototype.destroyTokens=function(){this.setFirstTokenTruncated(false);return this.destroyAggregation("tokens");};
g.prototype._removeSelectedTokens=function(){var t=this.getSelectedTokens();if(t.length===0){return this;}this.handleTokenDeletion(t);this._doSelect();return this;};
g.prototype.handleTokenDeletion=function(t){var o,i,h,j=[];j=j.concat(t);o=this.fireTokenUpdate({addedTokens:[],removedTokens:j,type:g.TokenUpdateType.Removed});if(!o){return;}for(i=0;i<j.length;i++){h=j[i];if(h.getEditable()){h.destroy();}}this.scrollToEnd();if(this.getTokensPopup().isOpen()){this._fillTokensList(this._getTokensList());}this.fireTokenChange({addedTokens:[],removedTokens:j,type:g.TokenChangeType.TokensChanged});};
g.prototype.selectAllTokens=function(s){if(s===undefined){s=true;}this._changeAllTokensSelection(s);return this;};
g.prototype._changeAllTokensSelection=function(s,t,h){var i=this._getVisibleTokens();i.filter(function(o){return o!==t;}).forEach(function(o){o.setSelected(s);});if(!h){this._doSelect();}return this;};
g.prototype.getSelectedTokens=function(){return this._getVisibleTokens().filter(function(t){return t.getSelected();});};
g.prototype.onsaphome=function(o){var A=this.getTokens().filter(function(t){return t.getDomRef()&&!t.getDomRef().classList.contains("sapMHiddenToken");});A.length&&A[0].focus();this.scrollToStart();o.preventDefault();};
g.prototype.onsapend=function(o){var t=this._getVisibleTokens(),h=t[t.length-1];if(h.getDomRef()!==document.activeElement){h.focus();this.scrollToEnd();o.stopPropagation();}else{o.setMarked("forwardFocusToParent");}o.preventDefault();};
g.prototype.onclick=function(o){var F;if(!this.getEnabled()){return;}F=!this.hasStyleClass("sapMTokenizerIndicatorDisabled")&&(o.target===this.getFocusDomRef()||o.target.classList.contains("sapMTokenizerIndicator"));if(F){this._handleNMoreIndicatorPress();}};
g.prototype.ontouchstart=function(o){o.setMarked();if(D.browser.chrome&&window.getSelection()){window.getSelection().removeAllRanges();}};
g.prototype.exit=function(){this._deregisterResizeHandler();if(this._oTokensList){this._oTokensList.destroy();this._oTokensList=null;}if(this._oScroller){this._oScroller.destroy();this._oScroller=null;}if(this._oPopup){this._oPopup.destroy();this._oPopup=null;}this._oTokensWidthMap=null;this._oIndicator=null;this._aTokenValidators=null;};
g.prototype._deregisterResizeHandler=function(){if(this._sResizeHandlerId){b.deregister(this._sResizeHandlerId);delete this._sResizeHandlerId;}};
g.prototype._setTokensAria=function(){var t=this._getVisibleTokens().length,i,s="";if(sap.ui.getCore().getConfiguration().getAccessibility()){i=this.getAggregation("_tokensInfo");switch(t){case 0:s=r.getText("TOKENIZER_ARIA_CONTAIN_TOKEN");break;case 1:s=r.getText("TOKENIZER_ARIA_CONTAIN_ONE_TOKEN");break;default:s=r.getText("TOKENIZER_ARIA_CONTAIN_SEVERAL_TOKENS",t);break;}i.setText(s);}};
g.prototype._updateTokensAriaSetAttributes=function(){var t=this.getTokens(),h=t.length;for(var i=0;i<h;i++){var o=t[i].getDomRef();if(o){o.setAttribute("aria-posinset",i+1);o.setAttribute("aria-setsize",h);}}};
g.prototype._doSelect=function(){if(this._checkFocus()&&this._bCopyToClipboardSupport){var F=document.activeElement;var s=window.getSelection();s.removeAllRanges();if(this.getSelectedTokens().length){var o=document.createRange();o.selectNodeContents(this.getDomRef("clip"));s.addRange(o);}if(window.clipboardData&&F.id===this.getId()+"-clip"&&this.getDomRef()){this.getDomRef().focus();}}};
g.prototype.setEditable=function(h){var t=this.getTokens();t.forEach(function(o){o.setProperty("editableParent",h);});this.setProperty("editable",h);return this;};
g.prototype._setHiddenTokensCount=function(i){i=this.validateProperty("hiddenTokensCount",i);return this.setProperty("hiddenTokensCount",i);};
g.prototype.getHiddenTokensCount=function(){return this.getProperty("hiddenTokensCount");};
g.prototype.getTokensInfoId=function(){return this.getAggregation("_tokensInfo").getId();};
g.TokenChangeType={Added:"added",Removed:"removed",RemovedAll:"removedAll",TokensChanged:"tokensChanged"};g.TokenUpdateType={Added:"added",Removed:"removed"};return g;});
sap.ui.predefine('sap/m/TokenizerRenderer',['sap/ui/Device','sap/ui/core/InvisibleText'],function(D,I){"use strict";var T={apiVersion:2};
T.render=function(r,c){if(c.getParent()&&(c.getParent()instanceof sap.m.MultiInput||c.getParent()instanceof sap.m.MultiComboBox)){r.openStart("div",c);}else{r.openStart("div",c).attr("tabindex","0");}r.class("sapMTokenizer");if(!c.getEditable()){r.class("sapMTokenizerReadonly");}if(!c.getEnabled()){r.class("sapMTokenizerDisabled");}var t=c.getTokens();if(!t.length){r.class("sapMTokenizerEmpty");}r.style("max-width",c.getMaxWidth());var p=c.getWidth();if(p){r.style("width",p);}var a={role:"listbox"};a.labelledby={value:I.getStaticId("sap.m","TOKENIZER_ARIA_LABEL"),append:true};r.accessibilityState(c,a);r.openEnd();r.renderControl(c.getAggregation("_tokensInfo"));c._bCopyToClipboardSupport=false;if((D.system.desktop||D.system.combi)&&t.length){r.openStart("div",c.getId()+"-clip").class("sapMTokenizerClip");if(window.clipboardData){r.attr("contenteditable","true");r.attr("tabindex","-1");}r.openEnd();r.unsafeHtml("&nbsp");r.close("div");c._bCopyToClipboardSupport=true;}r.openStart("div",c.getId()+"-scrollContainer");r.class("sapMTokenizerScrollContainer");r.openEnd();T._renderTokens(r,c);r.close("div");T._renderIndicator(r,c);r.close("div");};
T._renderTokens=function(r,c){var i=0,t=c.getTokens(),l=t.length;for(i=0;i<l;i++){r.renderControl(t[i]);}};
T._renderIndicator=function(r,c){r.openStart("span");r.class("sapMTokenizerIndicator");if(c.getHiddenTokensCount()===0){r.class("sapUiHidden");}r.openEnd().close("span");};
return T;},true);
sap.ui.predefine('sap/m/ValueStateHeader',["./library","sap/ui/core/library","sap/ui/Device","sap/ui/core/Core","sap/ui/core/Control"],function(l,c,D,C,a){"use strict";var V=c.ValueState;
var b=a.extend("sap.m.ValueStateHeader",{
metadata:{library:"sap.m",properties:{text:{type:"string",defaultValue:""},valueState:{type:"sap.ui.core.ValueState",defaultValue:V.None}},aggregations:{formattedText:{type:"sap.m.FormattedText",multiple:false}},associations:{popup:{type:"sap.ui.core.Popup",multiple:false}}},
renderer:{apiVersion:2,render:function(r,o){var m={None:"",Error:"sapMValueStateHeaderError",Warning:"sapMValueStateHeaderWarning",Success:"sapMValueStateHeaderSuccess",Information:"sapMValueStateHeaderInformation"};r.openStart("div",o).class("sapMValueStateHeaderRoot").class(m[o.getValueState()]).openEnd();r.openStart("span",o.getId()+"-inner").class("sapMValueStateHeaderText").openEnd();if(o.getFormattedText()){r.renderControl(o.getFormattedText());}else{r.text(o.getText());}r.close("span");r.close("div");}}
});
b.prototype._fnOrientationChange=function(){var p=this._getAssociatedPopupObject(),h=this.getDomRef();if(h&&p&&p.isA("sap.m.Dialog")){h.style.width=p.getDomRef().getBoundingClientRect().width+"px";}};
b.prototype.init=function(){D.orientation.attachHandler(this._fnOrientationChange,this);};
b.prototype.exit=function(){D.orientation.detachHandler(this._fnOrientationChange,this);};
b.prototype.setPopup=function(p){var t=this;var r=false;var P=(typeof p==="string")?C.byId(p):p;this.setAssociation("popup",P);if(P.isA("sap.m.Dialog")){return this;}P._afterAdjustPositionAndArrowHook=function(){var d=t.getDomRef();if(!d){return;}d.style.width=P.getDomRef().getBoundingClientRect().width+"px";d.style.height="auto";if(!r){r=true;setTimeout(function(){P._fnOrientationChange();},0);}};return this;};
b.prototype._getAssociatedPopupObject=function(){return C.byId(this.getPopup());};
b.prototype.onAfterRendering=function(){var p=this._getAssociatedPopupObject();if(p){this.getDomRef().style.width=p.getDomRef().getBoundingClientRect().width+"px";if(p.isA("sap.m.Popover")){setTimeout(function(){p._fnOrientationChange();},0);}}};
return b;},true);
sap.ui.predefine('sap/m/VisibleItem',['./library','sap/ui/core/Item',"sap/ui/thirdparty/jquery"],function(l,I,q){"use strict";
var V=I.extend("sap.m.VisibleItem",{metadata:{library:"sap.m",properties:{visible:{type:"boolean",group:"Behavior",defaultValue:true}}}});
V.prototype._getRefs=function(){var p=this.getParent(),$,t=this;if(p&&p.$("content")){$=p.$("content").find("li").filter(function(){return q(this).html()===t.getText();});}return $;};
V.prototype.setVisible=function(v){if(this.getVisible()===v){return;}var $=this._getRefs();if($){if(v){$.removeClass('TPSliderItemHidden');}else{$.addClass('TPSliderItemHidden');}}return this.setProperty('visible',v,true);};
return V;});
sap.ui.predefine('sap/ui/core/DeclarativeSupport',['sap/ui/thirdparty/jquery','sap/ui/base/DataType','sap/ui/base/ManagedObject','./Control','./CustomData','./HTML','./mvc/View','./mvc/EventHandlerResolver','sap/base/Log','sap/base/util/ObjectPath','sap/base/assert','sap/base/strings/camelize'],function(q,D,M,C,a,H,V,E,L,O,b,c){"use strict";var d={};d.attributes={"data-sap-ui-type":true,"data-sap-ui-id":true,"data-sap-ui-aggregation":true,"data-sap-ui-default-aggregation":true,"data-sap-ui-binding":function(v,s){var B=M.bindingParser(v);s.objectBindings=s.objectBindings||{};s.objectBindings[B.model||undefined]=B;},"data-tooltip":function(v,s){s["tooltip"]=v;},"tooltip":function(v,s,f){s["tooltip"]=v;L.warning('[Deprecated] Control "'+s.id+'": The attribute "tooltip" is not prefixed with "data-*". Future version of declarative support will only suppport attributes with "data-*" prefix.');},"class":true,"style":true,"id":true};
d.compile=function(e,v,i){var t=this;q(e).find("[data-sap-ui-type]").filter(function(){return q(this).parents("[data-sap-ui-type]").length===0;}).each(function(){t._compile(this,v,i);});};
d._compile=function(e,v,i){var $=q(e);var t=$.attr("data-sap-ui-type");var f=[];var I=t==="sap.ui.core.UIArea";if(I){var g=this;$.children().each(function(){var o=g._createControl(this,v);if(o){f.push(o);}});}else{var o=this._createControl(e,v);if(o){f.push(o);}}$.empty();var A=[];q.each(e.attributes,function(h,j){var n=j.name;if(!I||I&&/^data-/g.test(n.toLowerCase())){A.push(n);}});if(A.length>0){$.removeAttr(A.join(" "));}f.forEach(function(o){if(o instanceof C){if(v&&!i){v.addContent(o);}else{o.placeAt(e);if(v){v.connectControl(o);}}}});};
d._createControl=function(e,v){var $=q(e);var o=null;var t=$.attr("data-sap-ui-type");if(t){var f=sap.ui.requireSync(t.replace(/\./g,"/"));f=f||O.get(t);b(typeof f!=="undefined","Class not found: "+t);var s={};s.id=this._getId($,v);if(v&&v._sProcessingMode!=null&&f.getMetadata().hasSpecialSetting("processingMode")){s.processingMode=v._sProcessingMode;}this._addSettingsForAttributes(s,f,e,v);this._addSettingsForAggregations(s,f,e,v);var o;if(V.prototype.isPrototypeOf(f.prototype)&&typeof f._sType==="string"){o=V._legacyCreate(s,undefined,f._sType);}else{o=new f(s);}if(e.className){o.addStyleClass(e.className);}$.removeAttr("data-sap-ui-type");}else{o=this._createHtmlControl(e,v);}return o;};
d._createHtmlControl=function(e,v){var h=new H();h.setDOMContent(e);this.compile(e,v,true);return h;};
d._addSettingsForAttributes=function(s,f,e,v){var t=this;var S=d.attributes;var B=M.bindingParser;var g=[];var r=/^data-custom-data:(.+)/i;q.each(e.attributes,function(i,A){var n=A.name;var h=A.value;if(!r.test(n)){if(typeof S[n]==="undefined"){n=t.convertAttributeToSettingName(n,s.id);var p=t._getProperty(f,n);if(p){var o=B(h,v&&v.getController(),true);if(o&&typeof o==="object"){s[n]=o;}else{s[n]=t.convertValueToType(t.getPropertyDataType(p),o||h);}}else if(t._getAssociation(f,n)){var j=t._getAssociation(f,n);if(j.multiple){h=h.replace(/\s*,\s*|\s+/g,",");s[n]=h.split(",").map(function(I){return v?v.createId(I):I;});}else{s[n]=v?v.createId(h):h;}}else if(t._getAggregation(f,n)){var k=t._getAggregation(f,n);if(k.multiple){var o=B(h,v&&v.getController());if(o){s[n]=o;}else{throw new Error("Aggregation "+n+" with cardinality 0..n only allows binding paths as attribute value");}}else if(k.altTypes){var o=B(h,v&&v.getController(),true);if(o&&typeof o==="object"){s[n]=o;}else{s[n]=t.convertValueToType(k.altTypes[0],o||h);}}else{throw new Error("Aggregation "+n+" not supported");}}else if(t._getEvent(f,n)){var l=v&&(v._oContainingView||v).getController();var m=E.resolveEventHandler(h,l);if(m){s[n]=m;}else{throw new Error('Control "'+s.id+'": The function "'+h+'" for the event "'+n+'" is not defined');}}else{b((n==="id"),"DeclarativeSupport encountered unknown setting '"+n+"' for class '"+f.getMetadata().getName()+"' (value:'"+h+"')");}}else if(typeof S[n]==="function"){S[n](h,s,f);}}else{n=c(r.exec(n)[1]);var o=B(h,v&&v.getController());g.push(new a({key:n,value:o||h}));}});if(g.length>0){s.customData=g;}return s;};
d._addSettingsForAggregations=function(s,f,e,v){var $=q(e);var g=this._getDefaultAggregation(f,e);var t=this;var A=f.getMetadata().getAllAggregations();$.children().each(function(){var h=q(this);var i=h.attr("data-sap-ui-aggregation");var T=h.attr("data-sap-ui-type");var u=false;if(!i){u=true;i=g;}if(i&&A[i]){var m=A[i].multiple;var j=function(o){var k=t._createControl(o,v);if(k){if(m){if(!s[i]){s[i]=[];}if(typeof s[i].path==="string"){b(!s[i].template,"list bindings support only a single template object");s[i].template=k;}else{s[i].push(k);}}else{s[i]=k;}}};if(u||(T&&!u)){j(this);}else{h.children().each(function(){j(this);});}}h.removeAttr("data-sap-ui-aggregation");h.removeAttr("data-sap-ui-type");});return s;};
d._getId=function(e,v){var $=q(e);var i=$.attr("id");if(i){if(v){i=v.createId(i);$.attr("data-sap-ui-id",i);}$.attr("id","");}return i;};
d._getProperty=function(f,n){return f.getMetadata().getProperty(n);};
d.convertValueToType=function(t,v){if(t instanceof D){v=t.parseValue(v);}return typeof v==="string"?M.bindingParser.escape(v):v;};
d.getPropertyDataType=function(p){var t=D.getType(p.type);if(!t){throw new Error("Property "+p.name+" has no known type");}return t;};
d.convertAttributeToSettingName=function(A,i,e){if(A.indexOf("data-")===0){A=A.substr(5);}else if(e){L.warning('[Deprecated] Control "'+i+'": The attribute "'+A+'" is not prefixed with "data-*". Future version of declarative support will only suppport attributes with "data-*" prefix.');}else{throw new Error('Control "'+i+'": The attribute "'+A+'" is not prefixed with "data-*".');}return c(A);};
d._getAssociation=function(f,n){return f.getMetadata().getAssociation(n);};
d._getAggregation=function(f,n){return f.getMetadata().getAggregation(n);};
d._getEvent=function(f,n){return f.getMetadata().getEvent(n);};
d._getDefaultAggregation=function(f,e){var $=q(e);var s=$.attr("data-sap-ui-default-aggregation")||f.getMetadata().getDefaultAggregationName();$.removeAttr("data-sap-ui-default-aggregation");return s;};
return d;},true);
sap.ui.predefine('sap/ui/core/ExtensionPoint',["sap/base/Log","sap/base/util/ObjectPath","sap/ui/core/mvc/View"],function(L,O,V){"use strict";
sap.ui.extensionpoint=function(c,e,C,t,a){L.warning("Do not use deprecated factory function 'sap.ui.extensionpoint'. Use 'sap.ui.core.ExtensionPoint.load' instead","sap.ui.extensionpoint",null,function(){return{type:"sap.ui.extensionpoint",name:e};});return E._factory(c,e,C,t,a);};
var E=sap.ui.extensionpoint;
E._factory=function(c,e,C,t,a){var b,v,r;var d=sap.ui.require('sap/ui/core/CustomizingConfiguration');if(c){if(c.isA("sap.ui.core.mvc.View")){b=d&&d.getViewExtension(c.sViewName,e,c);v=c;}else if(c.isA("sap.ui.core.Fragment")){b=d&&d.getViewExtension(c.getFragmentName(),e,c);v=c._oContainingView;}}if(b){if(b.className){var f=sap.ui.requireSync(b.className.replace(/\./g,"/"));f=f||O.get(b.className);var I=v&&b.id?v.createId(b.id):b.id;L.info("Customizing: View extension found for extension point '"+e+"' in View '"+v.sViewName+"': "+b.className+": "+(b.viewName||b.fragmentName));if(b.className==="sap.ui.core.Fragment"){var F=new f({id:I,type:b.type,fragmentName:b.fragmentName,containingView:v});r=(Array.isArray(F)?F:[F]);}else if(b.className==="sap.ui.core.mvc.View"){v=V._legacyCreate({type:b.type,viewName:b.viewName,id:I});r=[v];}else{L.warning("Customizing: Unknown extension className configured (and ignored) in Component.js for extension point '"+e+"' in View '"+v.sViewName+"': "+b.className);}}else{L.warning("Customizing: no extension className configured in Component.js for extension point '"+e+"' in View '"+v.sViewName+"': "+b.className);}}else if(E._fnExtensionProvider){var s=E._fnExtensionProvider(v);if(s){return[{providerClass:s,view:v,name:e,createDefault:C,targetControl:undefined,aggregationName:undefined,index:undefined,ready:function(g){var n=this._nextSibling;while(n!=null){n.index+=g.length;n=n._nextSibling;}},_isExtensionPoint:true,_nextSibling:null}];}}if(!r&&typeof C==='function'){r=C();}var p=function(r){if(r&&!Array.isArray(r)){r=[r];}if(r&&t){var A=t.getMetadata().getAggregation(a);if(A){for(var i=0,l=r.length;i<l;i++){t[A._sMutator](r[i]);}}else{L.error("Creating extension point failed - Tried to add extension point with name "+e+" to an aggregation of "+t.getId()+" in view "+v.sViewName+", but sAggregationName was not provided correctly and I could not find a default aggregation");}}return r||[];};if(r&&typeof r.then==='function'){return r.then(p);}else{return p(r);}};
E.registerExtensionProvider=function(e){if(e==null){delete E._fnExtensionProvider;}else if(typeof e=="function"){E._fnExtensionProvider=e;}else{L.error("ExtensionPoint provider must be a function!");}};
E.load=function(o){return Promise.resolve(E._factory(o.container,o.name,o.createDefaultContent));};
return E;});
sap.ui.predefine('sap/ui/core/Fragment',['sap/ui/thirdparty/jquery','../base/ManagedObject','./Element','./DeclarativeSupport','./XMLTemplateProcessor','sap/base/Log','sap/base/util/LoaderExtensions','sap/base/util/merge'],function(q,M,E,D,X,L,a,m){"use strict";var r={},t={};
var F=M.extend("sap.ui.core.Fragment",{
metadata:{properties:{type:"string"},specialSettings:{fragmentName:'string',fragmentContent:'any',containingView:{type:'sap.ui.core.mvc.View',visibility:'hidden'},oController:{type:'sap.ui.core.mvc.Controller',visibility:'hidden'},sId:{type:'sap.ui.core.ID',visibility:'hidden'},processingMode:{type:"string",visibility:"hidden"}}},
constructor:function(i,s){M.apply(this,arguments);if(this._aContent&&this._aContent.length==1){return this._aContent[0];}else{return this._aContent;}}
});
F.registerType=function(T,o){if(!typeof(T)==="string"){L.error("Ignoring non-string Fragment type: "+T);return;}if(t[T]){L.warning("sap.ui.core.Fragment.registerType(): Fragment type '"+T+"' is already defined. Overriding this type now!");}t[T]=o;};
F.prototype._initCompositeSupport=function(s){if(!s){throw new Error("Settings must be set");}if(!(s.fragmentName||s.fragmentContent)){throw new Error("Please provide a fragment name");}if(s.oController){this.oController=s.oController;}this._sExplicitId=s.sId||s.id;this._sFragmentName=s.fragmentName;var o=t[s.type];if(o){o.init.apply(this,[s]);}else{throw new Error("No type for the fragment has been specified: "+s.type);}};
F.prototype.getFragmentName=function(){return this._sFragmentName;};
F.prototype.getController=function(){return this.oController;};
F.byId=function(s,i){if(!(typeof(s)==="string"&&typeof(i)==="string")){L.error("sap.ui.core.Fragment.byId: two strings must be given as parameters, but are: "+s+" and "+i);return undefined;}return sap.ui.getCore().byId(s+"--"+i);};
F.createId=function(s,i){if(!(typeof(s)==="string"&&typeof(i)==="string")){L.error("sap.ui.core.Fragment.createId: two strings must be given as parameters, but are: "+s+" and "+i);return undefined;}return s+"--"+i;};
F.prototype.createId=function(i){var b=this._sExplicitId?this._sExplicitId+"--"+i:i;if(this._oContainingView&&this._oContainingView!=this){b=this._oContainingView.createId(b);}return b;};
F.prototype.isSubView=function(){return true;};
sap.ui.fragment=function(n,T,c){var s;if(typeof(T)==="string"){s=T.toLowerCase();}else if(typeof(T)==="object"&&typeof(T.fragmentName)==="string"){s=T.fragmentName.toLowerCase();}else{s="";}L.info("Do not use deprecated factory function 'sap.ui."+s+"fragment'. Require 'sap/ui/core/Fragment' and use 'load()' instead","sap.ui."+s+"fragment",null,function(){return{type:"sap.ui."+s+"fragment",name:s?n+".fragment."+s:n};});return f(n,T,c);};
function f(n,T,c){var s={};if(typeof(n)==="string"){s.fragmentName=n;s.oController=c;s.type=T;}else if(typeof(n)==="object"){s=n;if(T){s.oController=T;}}else{L.error("sap.ui.fragment() must be called with Fragment name or config object as first parameter, but is: "+n);}return new F(s);}
F.load=function(o){var p=Object.assign({},o);p.type=p.type||"XML";p.fragmentName=p.name;p.fragmentContent=p.definition;p.oController=p.controller;delete p.name;delete p.definition;delete p.controller;return Promise.resolve(f(p));};
sap.ui.xmlfragment=function(i,v,c){if(typeof(i)==="string"){if(typeof(v)==="string"){return sap.ui.fragment({fragmentName:v,sId:i,type:"XML"},c);}else{return sap.ui.fragment(i,"XML",v);}}else{i.type="XML";return sap.ui.fragment(i,v);}};
sap.ui.jsfragment=function(n,v,c){if(typeof n==="string"&&typeof v==="object"){if(v.createContent){r[n]=v;sap.ui.loader._.declareModule(n.replace(/\./g,"/")+".fragment.js");}else{return sap.ui.fragment(n,"JS",v);}}else if(typeof n==="string"&&v===undefined){return sap.ui.fragment(n,"JS");}else{if(typeof n==="object"){n.type="JS";return sap.ui.fragment(n,v);}else if(arguments.length>=3){return sap.ui.fragment({id:n,fragmentName:v,type:"JS"},c);}else{L.error("sap.ui.jsfragment() was called with wrong parameter set: "+n+" + "+v);}}};
sap.ui.htmlfragment=function(i,v,c){if(typeof(i)==="string"){if(typeof(v)==="string"){return sap.ui.fragment({fragmentName:v,sId:i,type:"HTML"},c);}else{return sap.ui.fragment(i,"HTML",v);}}else{i.type="HTML";return sap.ui.fragment(i,v);}};
F.registerType("XML",{init:function(s){if(s.fragmentContent){if(typeof(s.fragmentContent)==="string"){this._xContent=q.parseXML(s.fragmentContent).documentElement;}else{this._xContent=s.fragmentContent;}}else{this._xContent=X.loadTemplate(s.fragmentName,"fragment");}this._oContainingView=this._sExplicitId?this:(s.containingView||this);if((this._oContainingView===this)){this._oContainingView.oController=(s.containingView&&s.containingView.oController)||s.oController;}var b=this;b._sProcessingMode=s.processingMode;M.runWithPreprocessors(function(){b._aContent=X.parseTemplate(b._xContent,b);if(b._aContent&&b._aContent.length&&s.objectBindings){b._aContent.forEach(function(c,i){if(c instanceof E){for(var d in s.objectBindings){c.bindObject(s.objectBindings[d]);}}});}},{settings:b._oContainingView._fnSettingsPreprocessor});}});F.registerType("JS",{init:function(s){if(!r[s.fragmentName]){sap.ui.requireSync(s.fragmentName.replace(/\./g,"/")+".fragment");}m(this,r[s.fragmentName]);this._oContainingView=s.containingView||this;var b=this;M.runWithPreprocessors(function(){var c=b.createContent(s.oController||b._oContainingView.oController);b._aContent=[];b._aContent=b._aContent.concat(c);},{settings:b._oContainingView._fnSettingsPreprocessor});}});(function(){var _={};var b=function(T){var u=sap.ui.require.toUrl(T.replace(/\./g,"/"))+".fragment.html";var h=_[u];var R;if(!h){R=T.replace(/\./g,"/")+".fragment.html";h=a.loadResource(R);_[u]=h;}return h;};F.registerType("HTML",{init:function(s){this._aContent=[];this.getContent=function(){return this._aContent;};this.addContent=function(C){this._aContent.push(C);};this._oContainingView=s.containingView||this;this._sProcessingMode=s.processingMode;var h=s.fragmentContent||b(s.fragmentName);this._oTemplate=document.createElement("div");if(typeof h==="string"){this._oTemplate.innerHTML=h;}else{var n=h;var o=document.createDocumentFragment();for(var i=0;i<n.length;i++){o.appendChild(n.item(i));}this._oTemplate.appendChild(o);}var c=this._oTemplate.getElementsByTagName("template")[0];var p=this.getMetadata().getAllProperties();if(c){var d=this;q.each(c.attributes,function(I,A){var N=D.convertAttributeToSettingName(A.name,d.getId());var v=A.value;var P=p[N];if(!s[N]){if(P){s[N]=D.convertValueToType(D.getPropertyDataType(P),v);}else if(sap.ui.core.mvc.HTMLView._mAllowedSettings[N]){s[N]=v;}}});this._oTemplate=c;}if(this._oTemplate.content){var o=this._oTemplate.content;this._oTemplate=document.createElement("div");this._oTemplate.appendChild(o);}var d=this;M.runWithPreprocessors(function(){D.compile(d._oTemplate,d);var e=d.getContent();if(e&&e.length===1){d._aContent=[e[0]];}},{settings:d._oContainingView._fnSettingsPreprocessor});}});}());return F;});
sap.ui.predefine('sap/ui/core/SeparatorItem',['./Item','./library'],function(I,l){"use strict";
var S=I.extend("sap.ui.core.SeparatorItem",{metadata:{library:"sap.ui.core"}});
return S;});
sap.ui.predefine('sap/ui/core/StashedControlSupport',['sap/ui/core/Element',"sap/base/Log","sap/base/assert"],function(E,L,a){"use strict";var S={},s={},b=E.extend("sap.ui.core._StashedControl",{constructor:function(i,c){E.apply(this,arguments);c.stashed=true;Object.assign(this,c);this._stash(c.sParentId,c.sParentAggregationName);return this;},metadata:{specialSettings:{stashed:{type:'boolean',visibility:'hidden'},sParentId:{type:'string',visibility:'hidden'},sParentAggregationName:{type:'string',visibility:'hidden'},fnCreate:{type:'function',visibility:'hidden'}}}});
b.prototype.setParent=function(){L.error("Cannot set parent on a StashedControl",this.getId());};
b.prototype.clone=function(){L.error("Cannot clone a StashedControl",this.getId());};
b.prototype.destroy=function(){delete s[this.getId()];E.prototype.destroy.apply(this,arguments);};
m(b,true);
S.mixInto=function(c,d){a(!c.getMetadata().hasProperty("stashed"),"StashedControlSupport: fnClass already has property 'stashed', sideeffects possible",c.getMetadata().getName());a(!c.prototype.setStashed,"StashedControlSupport: fnClass already has method 'setStashed', sideeffects possible",c.getMetadata().getName());m(c,d);};
function m(c,d){c.getMetadata().addSpecialSetting("stashed",{type:"boolean",defaultValue:!!d});c.prototype.setStashed=function(e){if(this.stashed===true&&!e){if(this.sParentId){var C=u(this,sap.ui.getCore().byId(this.sParentId));C.stashed=false;return;}}else if(e){L.warning("Cannot re-stash a control",this.getId());}};c.prototype.getStashed=function(){return this.stashed;};var D=c.prototype.destroy;c.prototype.destroy=function(){delete s[this.getId()];D.apply(this,arguments);};c.prototype._stash=function(p,P){this.sParentId=p;this.sParentAggregationName=P;s[this.getId()]=this;};}
function u(C,p){if(C instanceof b){var d,e,o,f=C.fnCreate,P=C.sParentAggregationName;C.destroy();e=sap.ui.require("sap/ui/core/Component");o=e&&e.getOwnerComponentFor(p);if(o){d=o.runAsOwner(f);}else{d=f();}d.forEach(function(c){p.getMetadata().getAggregation(P).add(p,c);});}delete s[C.getId()];return C;}
function g(A,p){var c=[];for(var i in s){var I=A?s[i]:s[i].getId();if(!p||s[i].sParentId===p){c.push(I);}}return c;}
S.getStashedControlIds=function(p){return g(false,p);};
S.getStashedControls=function(p){return g(true,p);};
S.createStashedControl=function(i,c){if(!c.sParentId){L.error("Cannot create a StashedControl without a parent with stable ID.","sap.ui.core.StashedControlSupport");}else{return new b(i,c);}};
return S;});
sap.ui.predefine('sap/ui/core/XMLTemplateProcessor',['sap/ui/thirdparty/jquery','sap/ui/base/DataType','sap/ui/base/ManagedObject','sap/ui/core/CustomData','./mvc/View','./mvc/EventHandlerResolver','./ExtensionPoint','./StashedControlSupport','sap/ui/base/SyncPromise','sap/base/Log','sap/base/util/ObjectPath','sap/base/util/values','sap/base/assert','sap/base/security/encodeXML','sap/base/util/LoaderExtensions','sap/base/util/JSTokenizer','sap/base/util/isEmptyObject'],function(q,D,M,C,V,E,a,S,b,L,O,v,c,d,f,J,g){"use strict";
function h(e,i,N,j,R){var B=M.bindingParser(i,j,true,false,false,false,R);if(B&&typeof B==="object"){return B;}var p=i=B||i;var y=D.getType(e);if(y){if(y instanceof D){p=y.parseValue(i,{context:j,locals:R});if(!y.isValid(p)){L.error("Value '"+i+"' is not valid for type '"+y.getName()+"'.");}}}else{throw new Error("Property "+N+" has unknown type "+e);}return typeof p==="string"?M.bindingParser.escape(p):p;}
function l(e){return e.localName||e.baseName||e.nodeName;}
var X="http://www.w3.org/1999/xhtml";var k="http://www.w3.org/2000/svg";var m="sap.ui.core";var n="http://schemas.sap.com/sapui5/extension/sap.ui.core.CustomData/1";var o="http://schemas.sap.com/sapui5/extension/sap.ui.core.support.Support.info/1";var r="http://schemas.sap.com/sapui5/extension/sap.ui.core.xmlcomposite/1";var I="http://schemas.sap.com/sapui5/extension/sap.ui.core.Internal/1";var P="http://schemas.sap.com/sapui5/preprocessorextension/";
function s(A,e){function i(p,y,z,B){var F,G,H=[];for(F=p.firstChild;F;F=F.nextSibling){G=e(p,y,z,F,false,B);if(G){H.push(G.unwrap());}}return b.resolve(H);}function j(p,y,z,B){var F,G=Promise.resolve(),H=[B];for(F=p.firstChild;F;F=F.nextSibling){G=G.then(e.bind(null,p,y,z,F,false,B));H.push(G);}return Promise.all(H);}return A?j:i;}
var t={};
t.loadTemplate=function(e,i){var R=e.replace(/\./g,"/")+("."+(i||"view")+".xml");return f.loadResource(R).documentElement;};
t.loadTemplatePromise=function(e,i){var R=e.replace(/\./g,"/")+("."+(i||"view")+".xml");return f.loadResource(R,{async:true}).then(function(j){return j.documentElement;});};
t.parseViewAttributes=function(e,j,p){var A=j.getMetadata().getAllProperties();for(var i=0;i<e.attributes.length;i++){var y=e.attributes[i];if(y.name==='controllerName'){j._controllerName=y.value;}else if(y.name==='resourceBundleName'){j._resourceBundleName=y.value;}else if(y.name==='resourceBundleUrl'){j._resourceBundleUrl=y.value;}else if(y.name==='resourceBundleLocale'){j._resourceBundleLocale=y.value;}else if(y.name==='resourceBundleAlias'){j._resourceBundleAlias=y.value;}else if(y.name==='class'){j.addStyleClass(y.value);}else if(!p[y.name]&&A[y.name]){p[y.name]=h(A[y.name].type,y.value,y.name,j._oContainingView.oController);}}};
t.enrichTemplateIds=function(e,i){t.enrichTemplateIdsPromise(e,i,false);return e;};
t.enrichTemplateIdsPromise=function(e,i,A){return x(e,i,true,A).then(function(){return e;});};
t.parseTemplate=function(e,i){return t.parseTemplatePromise(e,i,false).unwrap();};
t.parseTemplatePromise=function(i,j,A,y){return x(i,j,false,A,y).then(function(){var p=b.resolve();var z=arguments;if(j.isA("sap.ui.core.mvc.View")&&j._epInfo&&j._epInfo.all.length>0){p=T(A,j,{"content":j._epInfo.all});}return p.then(function(){if(Array.isArray(z[0])){z[0]=z[0].filter(function(e){return!e._isExtensionPoint;});}return z[0];});});};
function u(R){var e,i=/^[a-zA-Z_$][a-zA-Z0-9_$]*$/;if(!R||typeof R!=="object"){e="core:require in XMLView can't be parsed to a valid object";}else{Object.keys(R).some(function(K){if(!i.test(K)){e="core:require in XMLView contains invalid identifier: '"+K+"'";return true;}if(!R[K]||typeof R[K]!=="string"){e="core:require in XMLView contains invalide value '"+R[K]+"'under key '"+K+"'";return true;}});}return e;}
function w(j,A){var p=j.getAttributeNS(m,"require"),R,y,z;if(p){try{R=J.parseJS(p);}catch(e){L.error("Require attribute can't be parsed on Node: ",j.nodeName);throw e;}z=u(R);if(z){throw new Error(z+" on Node: "+j.nodeName);}if(!g(R)){y={};if(A){return new Promise(function(B,F){var G=Object.keys(R).reduce(function(i,K){y[K]=sap.ui.require(R[K]);return i&&y[K]!==undefined;},true);if(G){B(y);return;}sap.ui.require(v(R),function(){var H=arguments;Object.keys(R).forEach(function(K,i){y[K]=H[i];});B(y);},F);});}else{Object.keys(R).forEach(function(K){y[K]=sap.ui.requireSync(R[K]);});return b.resolve(y);}}}}
function T(A,e,i){var j=b.resolve();if(!g(i)){var y=[];var R;if(A){j=new Promise(function(p){R=p;});}Object.keys(i).forEach(function(z){var B=i[z];B.forEach(function(F){F.targetControl=e;var G=sap.ui.require(F.providerClass);if(G){y.push(G.applyExtensionPoint(F));}else{var p=new Promise(function(H,K){sap.ui.require([F.providerClass],function(N){H(N);},K);}).then(function(H){return H.applyExtensionPoint(F);});y.push(p);}});});if(A){Promise.all(y).then(R);}}return j;}
function x(p,y,z,A,B){var R=[],F=w(p,A)||b.resolve();A=A&&y._sProcessingMode==="sequential";L.debug("XML processing mode is "+(A?"sequential":"default"),"","XMLTemplateProcessor");var G=sap.ui.getCore().getConfiguration().getDesignMode();if(G){y._sapui_declarativeSourceInfo={xmlNode:p,xmlRootNode:y._oContainingView===y?p:y._oContainingView._sapui_declarativeSourceInfo.xmlRootNode};}var H=y.sViewName||y._sFragmentName;if(!H){var K=y;var N=0;while(++N<1000&&K&&K!==K._oContainingView){K=K._oContainingView;}H=K.sViewName;}if(y.isSubView()){Z(p,true,false,F);}else{if(p.localName==="View"&&p.namespaceURI!=="sap.ui.core.mvc"){L.warning("XMLView root node must have the 'sap.ui.core.mvc' namespace, not '"+p.namespaceURI+"'"+(H?" (View name: "+H+")":""));}$(p,false,false,F);}var i=0;function Q(){for(;i<R.length;i++){var e=R[i];if(e&&typeof e.then==='function'){return e.then(U).then(Q);}}return R;}function U(e){var j=[i,1].concat(e);Array.prototype.splice.apply(R,j);}return F.then(Q);function W(e){return e;}function Y(e){return y._oContainingView.createId(e);}function Z(p,e,j,f1){if(p.nodeType===1){var g1=l(p);if(p.namespaceURI===X||p.namespaceURI===k){R.push("<"+g1+" ");var h1=false;for(var i=0;i<p.attributes.length;i++){var i1=p.attributes[i];var j1=i1.value;if(i1.name==="id"){h1=true;j1=d1(y,p);}R.push(i1.name+"=\""+d(j1)+"\" ");}if(e===true){R.push("data-sap-ui-preserve"+"=\""+y.getId()+"\" ");if(!h1){R.push("id"+"=\""+y.getId()+"\" ");}}R.push(">");var k1=p;if(window.HTMLTemplateElement&&p instanceof HTMLTemplateElement&&p.content instanceof DocumentFragment){k1=p.content;}$(k1,false,false,f1);R.push("</"+g1+">");}else if(g1==="FragmentDefinition"&&p.namespaceURI===m){$(p,false,true,f1);}else{F=F.then(function(){return b1(p,f1).then(function(n1){for(var i=0;i<n1.length;i++){var o1=n1[i];if(y.getMetadata().hasAggregation("content")){y._epInfo=y._epInfo||{contentControlsCount:0,last:null,all:[]};if(o1._isExtensionPoint){o1.index=y._epInfo.contentControlsCount;o1.targetControl=y;o1.aggregationName="content";if(y._epInfo.last){y._epInfo.last._nextSibling=o1;}y._epInfo.last=o1;y._epInfo.all.push(o1);}else{y._epInfo.contentControlsCount++;y.addAggregation("content",o1);}}else if(y.getMetadata().hasAssociation(("content"))){y.addAssociation("content",o1);}}return n1;});});R.push(F);}}else if(p.nodeType===3&&!j){var l1=p.textContent||p.text,m1=l(p.parentNode);if(l1){if(m1!="style"){l1=d(l1);}R.push(l1);}}}function $(p,e,j,f1){var g1=p.childNodes;for(var i=0;i<g1.length;i++){Z(g1[i],e,j,f1);}}function _(e,j){var f1;var g1=sap.ui.getCore().getLoadedLibraries();q.each(g1,function(k1,l1){if(e===l1.namespace||e===l1.name){f1=l1.name+"."+((l1.tagNames&&l1.tagNames[j])||j);}});f1=f1||e+"."+j;function h1(j1){if(!j1){L.error("Control '"+f1+"' did not return a class definition from sap.ui.define.","","XMLTemplateProcessor");j1=O.get(f1);}if(!j1){L.error("Can't find object class '"+f1+"' for XML-view","","XMLTemplateProcessor");}return j1;}var i1=f1.replace(/\./g,"/");var j1=sap.ui.require(i1);if(!j1){if(A){return new Promise(function(k1,l1){sap.ui.require([i1],function(j1){j1=h1(j1);k1(j1);},l1);});}else{j1=sap.ui.requireSync(i1);j1=h1(j1);}}return j1;}function a1(e,j){if(e.namespaceURI===X||e.namespaceURI===k){var id=e.attributes['id']?e.attributes['id'].textContent||e.attributes['id'].text:null;if(z){return t.enrichTemplateIdsPromise(e,y,A).then(function(){return[];});}else{var f1=function(h1){var i1={id:id?d1(y,e,id):undefined,xmlNode:e,containingView:y._oContainingView,processingMode:y._sProcessingMode};if(y.fnScopedRunWithOwner){return y.fnScopedRunWithOwner(function(){return new h1(i1);});}return new h1(i1);};if(A){return new Promise(function(h1,i1){sap.ui.require(["sap/ui/core/mvc/XMLView"],function(g1){h1([f1(g1)]);},i1);});}else{var g1=sap.ui.requireSync("sap/ui/core/mvc/XMLView");return b.resolve([f1(g1)]);}}}else{return b1(e,j);}}function b1(e,j){if(l(e)==="ExtensionPoint"&&e.namespaceURI===m){if(z){return b.resolve([]);}else{var f1=y instanceof V?y._oContainingView:y;var g1=a._factory.bind(null,f1,e.getAttribute("name"),function(){var i1=b.resolve();var j1=[];var k1=e.childNodes;for(var i=0;i<k1.length;i++){var l1=k1[i];if(l1.nodeType===1){i1=i1.then(a1.bind(null,l1,j));j1.push(i1);}}return b.all(j1).then(function(m1){var n1=[];m1.forEach(function(o1){n1=n1.concat(o1);});return n1;});});return b.resolve(y.fnScopedRunWithOwner?y.fnScopedRunWithOwner(g1):g1());}}else{var h1=_(e.namespaceURI,l(e));if(h1&&typeof h1.then==='function'){return h1.then(function(i1){return c1(e,i1,j);});}else{return c1(e,h1,j);}}}function c1(f1,g1,h1){var ns=f1.namespaceURI,j1={},k1={},l1="",m1=[],n1=null,o1=null;if(!g1){return b.resolve([]);}var p1=g1.getMetadata();var q1=p1.getAllSettings();var r1=w(f1,A);if(r1){h1=b.all([h1,r1]).then(function(e){return Object.assign({},e[0],e[1]);});}h1=h1.then(function(j){if(g(j)){j=null;}if(!z){for(var i=0;i<f1.attributes.length;i++){var i1=f1.attributes[i],w1=i1.name,x1,y1=q1[w1],z1=i1.value;if(w1==="id"){j1[w1]=d1(y,f1,z1);}else if(w1==="class"){l1+=z1;}else if(w1==="viewName"){j1[w1]=z1;}else if(w1==="fragmentName"){j1[w1]=z1;j1['containingView']=y._oContainingView;}else if((w1==="binding"&&!y1)||w1==='objectBindings'){var A1=M.bindingParser(z1,y._oContainingView.oController);if(A1){j1.objectBindings=j1.objectBindings||{};j1.objectBindings[A1.model||undefined]=A1;}}else if(w1==='metadataContexts'){var B1=null;try{B1=t._calculatedModelMapping(z1,y._oContainingView.oController,true);}catch(e){L.error(y+":"+e.message);}if(B1){j1.metadataContexts=B1;if(t._preprocessMetadataContexts){t._preprocessMetadataContexts(g1.getMetadata().getName(),j1,y._oContainingView.oController);}}}else if(w1.indexOf(":")>-1){x1=i1.namespaceURI;if(x1===n){var C1=l(i1);m1.push(new C({key:C1,value:h("any",z1,C1,y._oContainingView.oController)}));}else if(x1===o){o1=z1;}else if(x1&&x1.startsWith(P)){L.debug(y+": XMLView parser ignored preprocessor attribute '"+w1+"' (value: '"+z1+"')");}else if(x1===m||x1===I||w1.startsWith("xmlns:")){}else{if(!n1){n1={};}if(!n1.hasOwnProperty(i1.namespaceURI)){n1[i1.namespaceURI]={};}n1[i1.namespaceURI][l(i1)]=i1.nodeValue;L.debug(y+": XMLView parser encountered unknown attribute '"+w1+"' (value: '"+z1+"') with unknown namespace, stored as sap-ui-custom-settings of customData");}}else if(y1&&y1._iKind===0){j1[w1]=h(y1.type,z1,w1,y._oContainingView.oController,j);}else if(y1&&y1._iKind===1&&y1.altTypes){j1[w1]=h(y1.altTypes[0],z1,w1,y._oContainingView.oController,j);}else if(y1&&y1._iKind===2){var A1=M.bindingParser(z1,y._oContainingView.oController,false,false,false,false,j);if(A1){j1[w1]=A1;}else{L.error(y+": aggregations with cardinality 0..n only allow binding paths as attribute value (wrong value: "+w1+"='"+z1+"')");}}else if(y1&&y1._iKind===3){j1[w1]=Y(z1);}else if(y1&&y1._iKind===4){j1[w1]=z1.split(/[\s,]+/g).filter(W).map(Y);}else if(y1&&y1._iKind===5){var D1=[];E.parse(z1).forEach(function(E1){var F1=E.resolveEventHandler(E1,y._oContainingView.oController,j);if(F1){D1.push(F1);}else{L.warning(y+": event handler function \""+E1+"\" is not a function or does not exist in the controller.");}});if(D1.length){j1[w1]=D1;}}else if(y1&&y1._iKind===-1){if(V.prototype.isPrototypeOf(g1.prototype)&&w1=="async"){j1[w1]=h(y1.type,z1,w1,y._oContainingView.oController,j);}else{L.warning(y+": setting '"+w1+"' for class "+p1.getName()+" (value:'"+z1+"') is not supported");}}else{c(w1==='xmlns',y+": encountered unknown setting '"+w1+"' for class "+p1.getName()+" (value:'"+z1+"')");if(t._supportInfo){t._supportInfo({context:f1,env:{caller:"createRegularControls",error:true,info:"unknown setting '"+w1+"' for class "+p1.getName()}});}}}if(n1){m1.push(new C({key:"sap-ui-custom-settings",value:n1}));}if(m1.length>0){j1.customData=m1;}}return j;});var s1=s(A,t1);function t1(f1,u1,v1,e,i1,h1){var w1,x1;if(e.nodeType===1){if(e.namespaceURI===r){j1[l(e)]=e.querySelector("*");return;}w1=e.namespaceURI===ns&&v1&&v1[l(e)];if(w1){return s1(e,w1,false,h1);}else if(u1){if(!i1&&e.getAttribute("stashed")==="true"&&!z){x1=function(){S.createStashedControl(d1(y,e),{sParentId:j1["id"],sParentAggregationName:u1.name,fnCreate:function(){var j=A;A=false;try{return t1(f1,u1,v1,e,true,h1).unwrap();}finally{A=j;}}});};if(y.fnScopedRunWithOwner){y.fnScopedRunWithOwner(x1);}else{x1();}return;}return a1(e,h1).then(function(z1){for(var j=0;j<z1.length;j++){var A1=z1[j];var B1=u1.name;if(A1._isExtensionPoint){if(!j1[B1]){j1[B1]=[];}var C1=k1[B1];if(!C1){C1=k1[B1]=[];}A1.index=j1[B1].length;A1.aggregationName=B1;var D1=C1[C1.length-1];if(D1){D1._nextSibling=A1;}C1.push(A1);}else if(u1.multiple){if(!j1[B1]){j1[B1]=[];}if(typeof j1[B1].path==="string"){c(!j1[B1].template,"list bindings support only a single template object");j1[B1].template=A1;}else{j1[B1].push(A1);}}else{c(!j1[B1],"multiple aggregates defined for aggregation with cardinality 0..1");j1[B1]=A1;}}return z1;});}else if(l(f1)!=="FragmentDefinition"||f1.namespaceURI!==m){throw new Error("Cannot add direct child without default aggregation defined for control "+p1.getElementName());}}else if(e.nodeType===3){var y1=e.textContent||e.text;if(y1&&y1.trim()){throw new Error("Cannot add text nodes as direct child of an aggregation. For adding text to an aggregation, a surrounding html tag is needed: "+y1.trim());}}}var u1=p1.getDefaultAggregation();var v1=p1.getAllAggregations();return s1(f1,u1,v1,h1).then(function(){var e;var j=b.resolve();if(z&&f1.hasAttribute("id")){e1(y,f1);}else if(!z){if(V.prototype.isPrototypeOf(g1.prototype)&&typeof g1._sType==="string"){var i1=function(){if(g1.getMetadata().isA("sap.ui.core.mvc.XMLView")&&y._sProcessingMode==="sequential"){j1.processingMode="sequential";}return V._legacyCreate(j1,undefined,g1._sType);};if(y.fnScopedRunWithOwner){e=y.fnScopedRunWithOwner(i1);}else{e=i1();}}else{var w1=function(){var y1;if(g1.getMetadata().isA("sap.ui.core.Fragment")&&f1.getAttribute("type")!=="JS"&&y._sProcessingMode==="sequential"){j1.processingMode="sequential";}if(y.fnScopedRunWithOwner){y1=y.fnScopedRunWithOwner(function(){var y1=new g1(j1);return y1;});}else{y1=new g1(j1);}j=T(A,y1,k1);return y1;};if(B&&B.fnRunWithPreprocessor){e=B.fnRunWithPreprocessor(w1);}else{e=w1();}}if(l1&&e.addStyleClass){e.addStyleClass(l1);}}if(!e){e=[];}else if(!Array.isArray(e)){e=[e];}if(t._supportInfo&&e){for(var i=0,x1=e.length;i<x1;i++){var y1=e[i];if(y1&&y1.getId()){var z1=t._supportInfo({context:f1,env:{caller:"createRegularControls",nodeid:f1.getAttribute("id"),controlid:y1.getId()}}),A1=o1?o1+",":"";A1+=z1;t._supportInfo.addSupportInfo(y1.getId(),A1);}}}if(G){e.forEach(function(y1){if(p1.getCompositeAggregationName){var B1=f1.getElementsByTagName(y1.getMetadata().getCompositeAggregationName());for(var i=0;i<B1.length;i++){f1.removeChild(B1[0]);}}y1._sapui_declarativeSourceInfo={xmlNode:f1,xmlRootNode:y._sapui_declarativeSourceInfo.xmlRootNode,fragmentName:p1.getName()==='sap.ui.core.Fragment'?j1['fragmentName']:null};});}return j.then(function(){return e;});});}function d1(y,p,e){if(p.getAttributeNS(I,"id")){return p.getAttribute("id");}else{return Y(e?e:p.getAttribute("id"));}}function e1(y,p){p.setAttribute("id",Y(p.getAttribute("id")));p.setAttributeNS(I,"id",true);}}
t._preprocessMetadataContexts=null;
t._calculatedModelMapping=function(B,e,A){var j,p={},y=M.bindingParser(B,e);function z(F){if(F.length%2===0){throw new Error("The last entry is no binding");}for(var i=1;i<=F.length;i=i+2){if(typeof F[i-1]=='string'){throw new Error("Binding expected not a string");}if(F[i]){if((typeof F[i]!='string')||(F[i]!=",")){throw new Error("Missing delimiter ','");}}}}if(y){if(!y.formatter){j=y;y={parts:[j]};}else{z(y.formatter.textFragments);}for(var i=0;i<y.parts.length;i++){j=y.parts[i];p[j.model]=p[j.model]||(A?[]:null);if(Array.isArray(p[j.model])){p[j.model].push(j);}else{p[j.model]=j;}}}return p;};
return t;},true);
sap.ui.predefine('sap/ui/core/mvc/Controller',['sap/base/util/ObjectPath','sap/base/util/extend','sap/ui/base/EventProvider','sap/ui/base/ManagedObject','sap/ui/core/mvc/ControllerMetadata','sap/ui/core/mvc/ControllerExtension','sap/ui/core/mvc/OverrideExecution',"sap/base/Log","sap/ui/thirdparty/jquery"],function(O,e,E,M,C,a,b,L,q){"use strict";var r={};var m={};
var c=E.extend("sap.ui.core.mvc.Controller",{
metadata:{stereotype:"controller",methods:{"byId":{"public":true,"final":true},"getView":{"public":true,"final":true},"getInterface":{"public":false,"final":true},"onInit":{"public":false,"final":false,"overrideExecution":b.After},"onExit":{"public":false,"final":false,"overrideExecution":b.Before},"onBeforeRendering":{"public":false,"final":false,"overrideExecution":b.Before},"onAfterRendering":{"public":false,"final":false,"overrideExecution":b.After}}},
constructor:function(n){var t=null;if(typeof(n)=="string"){if(!r[n]){L.warning("Do not call sap.ui.core.mvc.Controller constructor for non typed scenario!");}t=r[n];}E.apply(this,arguments);if(t){e(this,r[n]);}if(this.extension){throw new Error("The keyword 'extension' cannot be used as a member of a controller");}this["_sapui_Extensions"]={};c.extendByMember(this,false);this._sapui_isExtended=false;},
_isExtended:function(){return this._sapui_isExtended;},
getInterface:function(){var i={};var o=this.getMetadata();var p=o.getAllPublicMethods();p.forEach(function(s){var F=this[s];if(typeof F==='function'){i[s]=function(){var t=F.apply(this,arguments);return(t instanceof c)?t.getInterface():t;}.bind(this);}}.bind(this));this.getInterface=function(){return i;};return i;}
},C);
function d(o,i,l){var n=i.getMetadata().getName();var p=o.getMetadata();var s=o["_sapui_Extensions"];var I=o.getInterface();var t=a.getMetadata().getLifecycleConfiguration();var u={namespace:n,extension:i,reloadNeeded:false};i._setController(I);if(i.getMetadata().hasOverrides()){var v,w,x,y,z=i.getMetadata().getOverrides(),S=i.getMetadata().getStaticOverrides();for(y in S){x=i.getMetadata();if(!x.isMethodFinal(y)){a.overrideMethod(y,i,S,i,x.getOverrideExecution(y));}else{L.error("Method '"+y+"' of extension '"+n+"' is flagged final and cannot be overridden by calling 'override'");}}for(y in z){if(y!=='extension'){if(y in i.base){L.debug("Overriding  member '"+y+"' of original controller.");var A=z[y];var B=o[y];if(typeof B=="object"&&typeof A=="object"){w=s[y];x=w.extension.getMetadata();for(v in A){if(!x.isMethodFinal(v)){a.overrideMethod(v,B,A,i,x.getOverrideExecution(v));}else{L.error("Method '"+v+"' of extension '"+w.namespace+"' is flagged final and cannot be overridden by extension '"+n+"'");}}}else if(!p.isMethodFinal(y)){a.overrideMethod(y,o,z,i,p.getOverrideExecution(y));}else{L.error("Method '"+y+"' of controller '"+o.getMetadata().getName()+"' is flagged final and cannot be overridden by extension '"+n+"'");}}else if(y in t){a.overrideMethod(y,o,z,i,p.getOverrideExecution(y));}else{L.error("Method '"+y+"' does not exist in controller "+o.getMetadata().getName()+" and cannot be overridden");}}if(z.extension){for(var D in z.extension){x=s[D].extension.getMetadata();var F=O.create(D,o.extension);var G=s[D].extension;var H=z.extension[D];for(v in H){if(!x.isMethodFinal(v)){a.overrideMethod(v,F,H,i,x.getOverrideExecution(v));a.overrideMethod(v,G,H,i,x.getOverrideExecution(v));}else{L.error("Method '"+v+"' of extension '"+D+"' is flagged final and cannot be overridden by extension '"+n+"'");}}}}u.reloadNeeded=true;}}var J=i.getInterface();if(l){s[l]=u;u.location=l;o[l]=J;I[l]=J;}else{s[n]=u;u.location="extension."+n;O.set("extension."+n,J,o);O.set("extension."+n,J,I);}}
function f(o,i,l){if(i instanceof a){d(o,i,l);}else if(i.getMetadata&&i.getMetadata().getStereotype()=="controllerextension"){var n=new i();d(o,n,l);}else{var p=a.getMetadata().getLifecycleConfiguration();for(var s in i){if(s in p){a.overrideMethod(s,o,i,o,p[s].overrideExecution);}else{a.overrideMethod(s,o,i);}}}}
function g(n,A){if(!n){throw new Error("Controller name ('sName' parameter) is required");}var s=n.replace(/\./g,"/")+".controller",i=l(sap.ui.require(s));function l(i){if(i){return i;}else if(r[n]){return c;}else{return O.get(n);}}if(A){return new Promise(function(o,p){if(!i){sap.ui.require([s],function(i){o(l(i));},p);}else{o(i);}});}else if(!i){i=sap.ui.requireSync(s);return l(i);}else{return i;}}
function h(o,A){var p=c._sExtensionProvider.replace(/\./g,"/"),P=m[p];if(A){return new Promise(function(l,n){if(p){if(P){l(P);}else{sap.ui.require([p],function(i){P=new i();m[p]=P;l(P);},n);}}else{l();}});}else if(p){if(P){return P;}else{var i=sap.ui.requireSync(p);P=new i();m[p]=P;return P;}}}
function j(i,n){var o;if(r[n]){o=new i(n);}else{o=new i();}if(!o){throw new Error("Controller "+n+" couldn't be instantiated");}return o;}
c.extendByMember=function(o,A){var s;for(s in o){if(o[s]&&o[s].getMetadata&&o[s].getMetadata().getStereotype()=="controllerextension"){o[s]=new o[s]();}}for(s in o){if(o[s]&&o[s].getMetadata&&o[s].getMetadata().getStereotype()=="controllerextension"){f(o,o[s],s);}}if(A){return Promise.resolve(o);}else{return o;}};
c.extendByCustomizing=function(o,n,A){var p=sap.ui.require('sap/ui/core/CustomizingConfiguration');if(!p){return A?Promise.resolve(o):o;}function s(z,o){return g(z,A).then(function(t){t=r[z]||t;if(t!==undefined){if(t.getMetadata&&t.getMetadata().isA("sap.ui.core.mvc.Controller")){L.warning("Attempt to load Extension Controller "+z+" was not successful","Controller extension should be a plain object.",null,function(){return{type:"ControllerExtension",name:z};});}else{f(o,t);}return o;}},function(B){L.error("Attempt to load Extension Controller "+z+" was not successful - is the Controller correctly defined in its file?");});}var t,u=[],v,w=A?Promise.resolve(o):o,x=p.getControllerExtension(n,M._sOwnerId);if(x){v=typeof x==="string"?x:x.controllerName;u=x.controllerNames||[];if(v){u.unshift(v);}}for(var i=0,l=u.length;i<l;i++){var y=u[i];if(typeof y==="string"){L.info("Customizing: Controller '"+n+"' is now extended by '"+y+"'");if(A){w=w.then(s.bind(null,y,o));}else{if(!r[y]&&!sap.ui.require(y)){g(y);}if((t=r[y])!==undefined){f(o,t);}else{L.error("Attempt to load Extension Controller "+y+" was not successful - is the Controller correctly defined in its file?",null,function(){return{type:"ControllerExtension",name:y};});}}}}return w;};
c.extendByProvider=function(o,n,s,A){if(!c._sExtensionProvider){return A?Promise.resolve(o):o;}L.info("Customizing: Controller '"+n+"' is now extended by Controller Extension Provider '"+c._sExtensionProvider+"'");var p,t;if(A){return h(o,A).then(function(t){return t.getControllerExtensions(n,s,A);}).then(function(u){if(u&&u.length){for(var i=0,l=u.length;i<l;i++){f(o,u[i]);}}return o;},function(u){L.error("Controller Extension Provider: Error '"+u+"' thrown in "+c._sExtensionProvider+"; extension provider ignored.");return o;});}else{t=h(o,A);p=t.getControllerExtensions(n,s,A);if(p&&Array.isArray(p)){for(var i=0,l=p.length;i<l;i++){f(o,p[i]);}}else{L.error("Controller Extension Provider: Error in ExtensionProvider.getControllerExtensions: "+c._sExtensionProvider+" - no valid extensions returned");}}return o;};
c.create=function(o){return k(o.name,undefined,true);};
sap.ui.controller=function(n,o,A){if(A){L.info("Do not use deprecated factory function 'sap.ui.controller("+n+")'. Use 'sap.ui.core.mvc.Controller.create(...)' instead.","sap.ui.controller",null,function(){return{type:"sap.ui.controller",name:n};});}else{L.warning("Do not use synchronous controller creation for controller '"+n+"'! Use the new asynchronous factory 'sap.ui.core.mvc.Controller.create(...)' instead.","sap.ui.controller",null,function(){return{type:"sap.ui.controller",name:n};});}return k.apply(this,arguments);};
function k(n,o,A){var i,l,s=M._sOwnerId;if(typeof o==="boolean"){o=undefined;}if(!o){if(A){return g(n,A).then(function(l){return j(l,n);}).then(function(i){return c.extendByCustomizing(i,n,A);}).then(function(i){return c.extendByProvider(i,n,s,A);}).then(function(i){i._sapui_isExtended=true;return i;});}else{l=g(n,A);i=j(l,n);i=c.extendByCustomizing(i,n,A);i=c.extendByProvider(i,n,s,A);i._sapui_isExtended=true;}return i;}else{r[n]=o;L.info("For defining controllers use Controller.extend instead");}}
c.prototype.getPublicMethods=function(){var p={},o=this.getMetadata(),i=o.getAllMethods(),l=o.getLifecycleConfiguration();Object.keys(i).forEach(function(s){if(o.isMethodPublic(s)){p[s]=i[s];p[s].reloadNeeded=!!(s in l);}});delete p.extension;var n=this["_sapui_Extensions"];Object.keys(n).forEach(function(N){var s=n[N];var t=s.extension.getInterface();var A=s.extension.getMetadata().getAllMethods();Object.keys(t).forEach(function(u){delete p[s.location];var v=e({},A[u],{reloadNeeded:s.reloadNeeded});p[s.location+"."+u]=v;});});return p;};
c.prototype.destroy=function(){Object.keys(this["_sapui_Extensions"]).forEach(function(o){O.set(o.location,null,this);}.bind(this));delete this["_sapui_Extensions"];delete this["_sapui_Interface"];E.prototype.destroy.apply(this,arguments);};
c.prototype.getView=function(){return this.oView;};
c.prototype.byId=function(i){return this.oView?this.oView.byId(i):undefined;};
c.prototype.createId=function(i){return this.oView?this.oView.createId(i):undefined;};
c.prototype.getOwnerComponent=function(){var i=sap.ui.requireSync("sap/ui/core/Component");return i.getOwnerComponentFor(this.getView());};
c.prototype.connectToView=function(v){this.oView=v;if(this.onInit){v.attachAfterInit(this.onInit,this);}if(this.onExit){v.attachBeforeExit(this.onExit,this);}if(this.onAfterRendering){v.attachAfterRendering(this.onAfterRendering,this);}if(this.onBeforeRendering){v.attachBeforeRendering(this.onBeforeRendering,this);}};
c._sExtensionProvider=null;
c.registerExtensionProvider=function(s){c._sExtensionProvider=s;};
return c;});
sap.ui.predefine('sap/ui/core/mvc/ControllerExtension',['sap/ui/base/Object','sap/ui/base/Metadata','sap/ui/core/mvc/ControllerMetadata','sap/ui/core/mvc/OverrideExecution','sap/base/util/uid',"sap/base/Log"],function(B,M,C,O,u,L){"use strict";
var a=B.extend("sap.ui.core.mvc.ControllerExtension",{
metadata:{stereotype:"controllerextension",methods:{"byId":{"public":true,"final":true},"getView":{"public":true,"final":true},"getInterface":{"public":false,"final":true}}},
_setController:function(c){this.base=c;},
byId:function(i){var n=this.getMetadata().getNamespace();i=n+"."+i;return this.base?this.base.byId(i):undefined;},
getView:function(){return this.base.getView();},
getInterface:function(){var m={};var o=this.getMetadata();var p=o.getAllPublicMethods();p.forEach(function(s){var f=this[s];if(typeof f==='function'){m[s]=function(){var t=f.apply(this,arguments);return(t instanceof a)?t.getInterface():t;}.bind(this);}}.bind(this));this.getInterface=function(){return m;};return m;}
},C);
a.override=function(e){var c=M.createClass(this,"anonymousExtension~"+u(),{},C);c.getMetadata()._staticOverride=e;c.getMetadata()._override=this.getMetadata()._override;return c;};
a.overrideMethod=function(m,o,c,b,s){var f=o[m];var d=c[m];s=s||O.Instead;function w(e){(function(d,f,b,e){o[m]=function(){if(e){d.apply(b,arguments);return f.apply(o,arguments);}else{f.apply(o,arguments);return d.apply(b,arguments);}};})(d,f,b,e);}if(typeof d==='function'&&b){d=d.bind(b);}switch(s){case O.Before:if(f&&typeof f==="function"){w(true);}else if(typeof d==="function"){o[m]=d;}else{L.error("Controller extension failed: lifecycleMethod '"+m+"', is not a function");}break;case O.After:if(f&&typeof f==="function"){w(false);}else if(typeof d==="function"){o[m]=d;}else{L.error("Controller extension failed: lifecycleMethod '"+m+"', is not a function");}break;case O.Instead:default:if(m in o){L.debug("Overriding  member '"+m+"' of extension "+this.getMetadata().getName());if(!this.getMetadata().isMethodFinal(m)){o[m]=d;}else{L.error("Error in ControllerExtension.override: Method '"+m+"' of extension '"+this.getMetadata().getName()+"' is flagged final and cannot be overridden!");}}else{o[m]=d;}break;}};
return a;});
sap.ui.predefine('sap/ui/core/mvc/ControllerMetadata',['sap/ui/base/Metadata','sap/base/util/merge','sap/ui/core/mvc/OverrideExecution',"sap/base/Log"],function(M,a,O,L){"use strict";var C=function(c,o){M.apply(this,arguments);if(this.isA("sap.ui.core.mvc.ControllerExtension")&&this.getParent().getClass().override){this.getClass().override=this.getParent().getClass().override;}};C.prototype=Object.create(M.prototype);C.prototype.constructor=C;
C.prototype.applySettings=function(c){if(c.override){this._override=c.override;delete c.override;}M.prototype.applySettings.call(this,c);var s=c.metadata;this._defaultLifecycleMethodMetadata={"onInit":{"public":true,"final":false,"overrideExecution":O.After},"onExit":{"public":true,"final":false,"overrideExecution":O.Before},"onBeforeRendering":{"public":true,"final":false,"overrideExecution":O.Before},"onAfterRendering":{"public":true,"final":false,"overrideExecution":O.After}};var i=this.isA("sap.ui.core.mvc.ControllerExtension");var r=/^_/;var e=this._oParent.isA("sap.ui.core.mvc.Controller");var d=c.metadata&&c.metadata.methods?true:false;if(!i){if(e&&!d){r=/^_|^on|^init$|^exit$/;}if(e&&d){a(s.methods,this._defaultLifecycleMethodMetadata);}}if(i||d){this._aPublicMethods=[];}this._mMethods=s.methods||{};for(var n in c){if(n!=="metadata"&&n!=="constructor"){if(!n.match(r)){if(e&&this._oParent&&this._oParent.isMethodFinal(n)){L.error("Method: '"+n+"' of controller '"+this._oParent.getName()+"' is final and cannot be overridden by controller '"+this.getName()+"'");delete this._oClass.prototype[n];}if(!(n in this._mMethods)&&typeof c[n]==='function'){if(!(c[n].getMetadata&&c[n].getMetadata().isA("sap.ui.core.mvc.ControllerExtension"))){this._mMethods[n]={"public":true,"final":false};}}}}}for(var m in this._mMethods){if(this.isMethodPublic(m)){this._aPublicMethods.push(m);}}};
C.prototype.afterApplySettings=function(){M.prototype.afterApplySettings.call(this);var i=this.isA("sap.ui.core.mvc.ControllerExtension");if(this._oParent){var p=this._oParent._mMethods?this._oParent._mMethods:{};for(var m in p){if(this._mMethods[m]&&!i){var P=this._mMethods[m].public;this._mMethods[m]=a({},p[m]);if(P!==undefined){this._mMethods[m].public=P;}if(!this.isMethodPublic(m)&&this._mMethods[m].public!==p[m].public){this._aAllPublicMethods.splice(this._aAllPublicMethods.indexOf(m),1);}}else{this._mMethods[m]=p[m];}}}if(this._oParent&&this._oParent.isA("sap.ui.core.mvc.ControllerExtension")){this._bFinal=true;}};
C.prototype.getNamespace=function(){var i=this._sClassName.indexOf("anonymousExtension~")==0;var n=i?this._oParent._sClassName:this._sClassName;return n.substr(0,n.lastIndexOf("."));};
C.prototype.isMethodFinal=function(m){var o=this._mMethods[m];return o&&o.final;};
C.prototype.isMethodPublic=function(m){var o=this._mMethods[m];return o&&o.public;};
C.prototype.getAllMethods=function(){return this._mMethods;};
C.prototype.getOverrideExecution=function(m){var o=this._mMethods[m];var s=O.Instead;if(o){s=o.overrideExecution;}return s;};
C.prototype.getOverrides=function(){return this._override;};
C.prototype.getStaticOverrides=function(){return this._staticOverride;};
C.prototype.hasOverrides=function(){return!!this._override||!!this._staticOverride;};
C.prototype.getLifecycleConfiguration=function(){return this._defaultLifecycleMethodMetadata;};
return C;});
sap.ui.predefine('sap/ui/core/mvc/EventHandlerResolver',["sap/ui/base/BindingParser","sap/ui/core/CommandExecution","sap/ui/model/BindingMode","sap/ui/model/CompositeBinding","sap/ui/model/json/JSONModel","sap/ui/model/base/ManagedObjectModel","sap/base/util/JSTokenizer","sap/base/util/ObjectPath","sap/base/util/resolveReference","sap/base/Log"],function(B,C,a,b,J,M,c,O,r,L){"use strict";var E={resolveEventHandler:function(n,o,l){var h,s,f;n=n.trim();if(sap.ui.getCore().getConfiguration().getControllerCodeDeactivated()){h=function(){};}else{if(n.startsWith("cmd:")){var d=n.substr(4);h=function(e){var j=C.find(e.getSource(),d);if(j){j.trigger();}else{L.error("Handler '"+n+"' could not be resolved. No CommandExecution defined for command: "+d);}};h._sapui_commandName=d;}else{s=n.indexOf("(");f=n;if(s>0){f=n.substring(0,s).trim();}else if(s===0){throw new Error("Event handler name starts with a bracket, must start with a function name "+"(or with a dot followed by controller-local function name): "+n);}h=r(f,Object.assign({".":o},l),{preferDotContext:f.indexOf(".")===-1,bindContext:false});}if(h&&s>0){var i=n.lastIndexOf(")");if(i>s){if(n.substring(s).indexOf("{=")>-1){L.warning("It looks like an event handler parameter contains a binding expression ({=...}). This is not allowed and will cause an error later on "+"because the entire event handler is already considered an expression: "+n);}h=(function(f,o){return function(j){var p,S,k=n;if(n.indexOf("$parameters")>-1){p=new J(j.mParameters);}if(n.indexOf("$source")>-1){S=new M(j.getSource());}var m={"$controller":o,$event:j};if(f.indexOf(".")>0){var G=f.split(".")[0];m[G]=window[G];}else if(f.indexOf(".")===-1){if(o&&o[f]){k="$controller."+k;}else if(window[f]){m[f]=window[f];}}Object.assign(m,l);var q=B.parseExpression(k.replace(/^\./,"$controller."),0,{oContext:o},m);if(q.result){try{g(q.result,j.getSource(),o,p,S);}catch(e){e.message="Error when evaluating event handler '"+n+"': "+e.message;throw e;}}if(p){p.destroy();}if(S){S.destroy();}};})(f,o);}else{L.error("Syntax error in event handler '"+n+"': arguments must be enclosed in a pair of brackets");}}}if(typeof h==="function"){h._sapui_handlerName=n;return[h,o];}L.warning("Event handler name '"+n+"' could not be resolved to an event handler function");},parse:function parse(v){v=v.trim();var t=new c();var R=[];var s="";var p=0;t.init(v,0);for(;;){var S=t.next();if(S==='"'||S==="'"){var d=t.getIndex();t.string();s+=v.slice(d,t.getIndex());S=t.getCh();}if(!S){break;}switch(S){case"(":p++;break;case")":p--;break;}if(S===";"&&p===0){R.push(s.trim());s="";}else{s+=S;}}if(s){R.push(s.trim());}return R;}};
function g(o,e,d,p,s){var t,P;o.mode=a.OneWay;if(!o.parts){o.parts=[];o.parts[0]={path:o.path,targetType:o.targetType,type:o.type,suspended:o.suspended,formatOptions:o.formatOptions,constraints:o.constraints,model:o.model,mode:o.mode};delete o.path;delete o.targetType;delete o.mode;delete o.model;}for(var i=0;i<o.parts.length;i++){P=o.parts[i];if(typeof P=="string"){P={path:P};o.parts[i]=P;}if(!P.path&&P.parts){throw new Error("Bindings in event handler parameters cannot use parts. Just use one single path.");}var S=P.path.indexOf(">");if(S>0){P.model=P.path.substr(0,S);P.path=P.path.substr(S+1);}}var f,h,j,k=[];o.parts.forEach(function(P){var m;if(P.model==="$parameters"){m=p;h=p.createBindingContext("/");}else if(P.model==="$source"){m=s;h=s.createBindingContext("/");}else{m=e.getModel(P.model);h=e.getBindingContext(P.model);}t=P.type;if(typeof t=="string"){f=O.get(t);if(typeof f!=="function"){throw new Error("Cannot find type \""+t+"\" used for binding \""+P.path+"\"!");}t=new f(P.formatOptions,P.constraints);}j=m.bindProperty(P.path,h,o.parameters);j.setType(t,P.targetType||"any");j.setFormatter(P.formatter);j.setBindingMode(a.OneTime);k.push(j);});if(k.length>1||(o.formatter&&o.formatter.textFragments)){t=o.type;if(typeof t=="string"){f=O.get(t);t=new f(o.formatOptions,o.constraints);}j=new b(k,o.useRawValues,o.useInternalValues);j.setType(t,P.targetType||"any");j.setBindingMode(a.OneTime);}else{j=k[0];}j.setFormatter(o.formatter);j.initialize();return j.getExternalValue();}
return E;});
sap.ui.predefine('sap/ui/core/mvc/OverrideExecution',function(){"use strict";var O={After:"After",Before:"Before",Instead:"Instead"};return O;},true);
sap.ui.predefine('sap/ui/core/mvc/View',['sap/ui/base/ManagedObject','sap/ui/core/Control','sap/ui/core/mvc/Controller','sap/base/util/merge','sap/ui/core/library',"./ViewRenderer","sap/base/assert","sap/base/Log","sap/base/util/extend"],function(M,C,a,m,b,V,c,L,d){"use strict";var f=b.mvc.ViewType;
var g=C.extend("sap.ui.core.mvc.View",{metadata:{interfaces:["sap.ui.core.IDScope"],library:"sap.ui.core",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},viewName:{type:"string",group:"Misc",defaultValue:null},displayBlock:{type:"boolean",group:"Appearance",defaultValue:false}},aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}},events:{afterInit:{},beforeExit:{},afterRendering:{},beforeRendering:{}},specialSettings:{controller:'sap.ui.core.mvc.Controller',controllerName:'string',preprocessors:'Object',resourceBundleName:'string',resourceBundleUrl:'sap.ui.core.URI',resourceBundleLocale:'string',resourceBundleAlias:'string',type:'string',definition:'any',viewContent:{type:'any',deprecated:true},viewData:'any',async:{type:"boolean",defaultValue:false}},designtime:"sap/ui/core/designtime/mvc/View.designtime"}});
g._mPreprocessors={};
function h(P){P._settings={};for(var e in P){if(e.indexOf("_")!==0){P._settings[e]=P[e];}}}
function k(P,A){var e;if(typeof P.preprocessor==="string"){var i=P.preprocessor.replace(/\./g,"/");if(A){return new Promise(function(j,l){sap.ui.require([i],function(e){j(e);},l);});}else{return sap.ui.requireSync(i);}}else if(typeof P.preprocessor==="function"&&!P.preprocessor.process){e={process:P.preprocessor};}else{e=P.preprocessor;}if(A){return Promise.resolve(e);}else{return e;}}
function n(e,T){var j=this.mPreprocessors[T]||[],G=[],i,l,O,P=[];if(g._mPreprocessors[e]&&g._mPreprocessors[e][T]){G=g._mPreprocessors[e][T].map(function(x){return Object.assign({},x);});}for(i=0,l=G.length;i<l;i++){if(G[i]._onDemand){O=G[i];}else{P.push(G[i]);}}for(i=0,l=j.length;i<l;i++){var I=!j[i].preprocessor;if(I&&O){P.unshift(d(j[i],O));}else if(!I){P.push(j[i]);}}return P;}
function o(e,S){var i=e.getMetadata().getClass();function j(P){P.preprocessor=k(P,S.async);}e.mPreprocessors=Object.assign({},S.preprocessors);for(var _ in i.PreprocessorType){var T=i.PreprocessorType[_];if(e.mPreprocessors[T]&&!Array.isArray(e.mPreprocessors[T])){e.mPreprocessors[T]=[e.mPreprocessors[T]];}else if(!e.mPreprocessors[T]){e.mPreprocessors[T]=[];}e.mPreprocessors[T].forEach(h);e.mPreprocessors[T]=n.call(e,i._sType,T);e.mPreprocessors[T].forEach(j);}}
function p(e){e.oAsyncState={};e.oAsyncState.promise=null;}
var q=function(T,S){if(!sap.ui.getCore().getConfiguration().getControllerCodeDeactivated()){var e=S.controller,N=e&&typeof e.getMetadata==="function"&&e.getMetadata().getName(),A=S.async;if(!e&&T.getControllerName){var i=T.getControllerName();if(i){var j=sap.ui.require('sap/ui/core/CustomizingConfiguration');var l=j&&j.getControllerReplacement(i,M._sOwnerId);if(l){i=typeof l==="string"?l:l.controllerName;}if(A){e=a.create({name:i});}else{e=sap.ui.controller(i,true);}}}else if(e){var O=M._sOwnerId;if(!e._isExtended()){if(A){e=a.extendByCustomizing(e,N,A).then(function(e){return a.extendByProvider(e,N,O,A);});}else{e=a.extendByCustomizing(e,N,A);e=a.extendByProvider(e,N,O,A);}}else if(A){e=Promise.resolve(e);}}if(e){var x=function(e){T.oController=e;e.oView=T;};if(A){if(!T.oAsyncState){throw new Error("The view "+T.sViewName+" runs in sync mode and therefore cannot use async controller extensions!");}return e.then(x);}else{x(e);}}}else{sap.ui.controller("sap.ui.core.mvc.EmptyControllerImpl",{"_sap.ui.core.mvc.EmptyControllerImpl":true});T.oController=sap.ui.controller("sap.ui.core.mvc.EmptyControllerImpl");}};
g.prototype._initCompositeSupport=function(S){c(!S.preprocessors||this.getMetadata().getName().indexOf("XMLView"),"Preprocessors only available for XMLView");this.oViewData=S.viewData;this.sViewName=S.viewName;var i=this;o(this,S);if(S.async){p(this);}var j=sap.ui.require('sap/ui/core/CustomizingConfiguration');if(j&&j.hasCustomProperties(this.sViewName,this)){this._fnSettingsPreprocessor=function(S){var I=this.getId();if(j&&I){if(i.isPrefixedId(I)){I=I.substring((i.getId()+"--").length);}var e=j.getCustomProperties(i.sViewName,I,i);if(e){S=d(S,e);}}};}var P=function(e,l){c(typeof e==="function","fn must be a function");var x=sap.ui.require("sap/ui/core/Component");var O=x&&x.getOwnerComponentFor(i);if(O){if(l){i.fnScopedRunWithOwner=i.fnScopedRunWithOwner||function(y){return O.runAsOwner(y);};}return O.runAsOwner(e);}return e();};var A=function(e){if(e.oController&&e.oController.connectToView){return e.oController.connectToView(e);}};var F=function(){if(i.onControllerConnected){return i.onControllerConnected(i.oController);}};if(this.initViewSettings){if(S.async){this.oAsyncState.promise=this.initViewSettings(S).then(function(){return P(q.bind(null,i,S),true);}).then(function(){return P(F,true);}).then(function(){return A(i);}).then(function(){return i.runPreprocessor("controls",i,false);}).then(function(){return P(i.fireAfterInit.bind(i),true);}).then(function(){return i;}).catch(function(e){this.deregister();throw e;}.bind(this));}else{this.initViewSettings(S);q(this,S);F();A(this);this.runPreprocessor("controls",this,true);this.fireAfterInit();}}};
g.prototype.getController=function(){return this.oController;};
g.prototype.byId=function(i){return sap.ui.getCore().byId(this.createId(i));};
g.prototype.createId=function(i){if(!this.isPrefixedId(i)){i=this.getId()+"--"+i;}return i;};
g.prototype.getLocalId=function(i){var P=this.getId()+"--";return(i&&i.indexOf(P)===0)?i.slice(P.length):null;};
g.prototype.isPrefixedId=function(i){return!!(i&&i.indexOf(this.getId()+"--")===0);};
g.prototype.getViewData=function(){return this.oViewData;};
function r(){this.oAsyncState=null;}
g.prototype.exit=function(){this.fireBeforeExit();delete this.oController;delete this.oPreprocessorInfo;if(this.oAsyncState){var D=r.bind(this);this.oAsyncState.promise.then(D,D);}};
g.prototype.onAfterRendering=function(){this.fireAfterRendering();};
g.prototype.onBeforeRendering=function(){this.fireBeforeRendering();};
g.prototype.clone=function(i,l){var S={},K,e;for(K in this.mProperties&&!(this.isBound&&this.isBound(K))){if(this.mProperties.hasOwnProperty(K)){S[K]=this.mProperties[K];}}e=C.prototype.clone.call(this,i,l,{cloneChildren:false,cloneBindings:true});var E,x,j;for(E in e.mEventRegistry){x=e.mEventRegistry[E];for(j=x.length-1;j>=0;j--){if(x[j].oListener===this.getController()){x[j]={oListener:e.getController(),fFunction:x[j].fFunction,oData:x[j].oData};}}}e.applySettings(S);return e;};
g.prototype.getPreprocessors=function(){return this.mPreprocessors;};
g.prototype.getPreprocessorInfo=function(S){if(!this.oPreprocessorInfo){this.oPreprocessorInfo={name:this.sViewName,componentId:this._sOwnerId,id:this.getId(),caller:this+" ("+this.sViewName+")",sync:!!S};}if(g._supportInfo){this.oPreprocessorInfo._supportInfo=g._supportInfo;}return this.oPreprocessorInfo;};
g.prototype.runPreprocessor=function(T,S,e){var j=this.getPreprocessorInfo(e),P=this.mPreprocessors&&this.mPreprocessors[T]||[],x,A,y;if(!e){A=function(j,z){return function(S){return z.preprocessor.then(function(B){return B.process(S,j,z._settings);});};};y=Promise.resolve(S);}for(var i=0,l=P.length;i<l;i++){if(e&&P[i]._syncSupport===true){x=P[i].preprocessor.process;S=x(S,j,P[i]._settings);}else if(!e){y=y.then(A(j,P[i]));}else{L.debug("Async \""+T+"\"-preprocessor was skipped in sync view execution for "+this.getMetadata().getClass()._sType+"View",this.getId());}}return e?S:y;};
function s(T,e){if(!g._mPreprocessors[e]){g._mPreprocessors[e]={};}if(!g._mPreprocessors[e][T]){g._mPreprocessors[e][T]=[];}}
function t(e,i,T){g._mPreprocessors[i][T].forEach(function(P){if(P._onDemand){L.error("Registration for \""+T+"\" failed, only one on-demand-preprocessor allowed",e.getMetadata().getName());return false;}});return true;}
g.registerPreprocessor=function(T,P,e,S,O,i){if(typeof O!=="boolean"){i=O;O=false;}if(P){s(T,e);if(O&&!t(this,e,T)){return;}g._mPreprocessors[e][T].push({preprocessor:P,_onDemand:O,_syncSupport:S,_settings:i});L.debug("Registered "+(O?"on-demand-":"")+"preprocessor for \""+T+"\""+(S?" with syncSupport":""),this.getMetadata().getName());}else{L.error("Registration for \""+T+"\" failed, no preprocessor specified",this.getMetadata().getName());}};
g.prototype.hasPreprocessor=function(T){return!!this.mPreprocessors[T].length;};
g.create=function(O){var P=m({},O);P.async=true;P.viewContent=P.definition;var e=sap.ui.require("sap/ui/core/Component");var i;if(e&&M._sOwnerId){i=e.get(M._sOwnerId);}function w(){return v(P.id,P,P.type).loaded();}return new Promise(function(j,l){var x=u(P);sap.ui.require([x],function(y){j(y);},l);}).then(function(j){if(j.getMetadata().isA("sap.ui.core.mvc.XMLView")){P.processingMode="sequential";}if(i){return i.runAsOwner(w);}else{return w();}});};
g._legacyCreate=v;
sap.ui.view=function(i,e,T){var l=function(j){var N="";if(typeof i=="object"){N=i.viewName;}N=N||(e&&e.name);L[j]("Do not use deprecated view factory functions ("+N+"). "+"Use the static create function on the view module instead: [XML|JS|HTML|JSON|]View.create().","sap.ui.view",null,function(){return{type:"sap.ui.view",name:N};});};if(e&&e.async){l("info");}else{l("warning");}return v(i,e,T);};
function v(i,e,T){var j=null,l={};if(typeof i==="object"||typeof i==="string"&&e===undefined){e=i;i=undefined;}if(e){if(typeof e==="string"){l.viewName=e;}else{l=e;}}c(!l.async||typeof l.async==="boolean","sap.ui.view factory: Special setting async has to be of the type 'boolean'!");if(i){l.id=i;}if(T){l.type=T;}var x=sap.ui.require('sap/ui/core/CustomizingConfiguration');if(x){var y=x.getViewReplacement(l.viewName,M._sOwnerId);if(y){L.info("Customizing: View replacement for view '"+l.viewName+"' found and applied: "+y.viewName+" (type: "+y.type+")");d(l,y);}else{L.debug("Customizing: no View replacement found for view '"+l.viewName+"'.");}}var z=u(l);j=w(z,l);return j;}
function u(e){var i;if(!e.type){throw new Error("No view type specified.");}else if(e.type===f.JS){i='sap/ui/core/mvc/JSView';}else if(e.type===f.JSON){i='sap/ui/core/mvc/JSONView';}else if(e.type===f.XML){i='sap/ui/core/mvc/XMLView';}else if(e.type===f.HTML){i='sap/ui/core/mvc/HTMLView';}else if(e.type===f.Template){i='sap/ui/core/mvc/TemplateView';}else{throw new Error("Unknown view type "+e.type+" specified.");}return i;}
function w(e,i){var j=sap.ui.require(e);if(!j){j=sap.ui.requireSync(e);if(i.async){L.warning("sap.ui.view was called without requiring the according view class.");}}return new j(i);}
g.prototype.loaded=function(){if(this.oAsyncState&&this.oAsyncState.promise){return this.oAsyncState.promise;}else{return Promise.resolve(this);}};
return g;});
sap.ui.predefine('sap/ui/core/mvc/ViewRenderer',function(){"use strict";var V={};
V.addDisplayClass=function(r,c){if(c.getDisplayBlock()||(c.getWidth()==="100%"&&c.getHeight()==="100%")){r.class("sapUiViewDisplayBlock");}};
return V;},true);
sap.ui.predefine('sap/ui/dom/jquery/cursorPos',['sap/ui/thirdparty/jquery'],function(q){"use strict";var c=function cursorPos(p){var l=arguments.length,t,T;t=this.prop("tagName");T=this.prop("type");if(this.length===1&&((t=="INPUT"&&(T=="text"||T=="password"||T=="search"))||t=="TEXTAREA")){var d=this.get(0);if(l>0){if(typeof(d.selectionStart)=="number"){d.focus();d.selectionStart=p;d.selectionEnd=p;}return this;}else{if(typeof(d.selectionStart)=="number"){return d.selectionStart;}return-1;}}else{return this;}};q.fn.cursorPos=c;return q;});
sap.ui.predefine('sap/ui/dom/jquery/getSelectedText',['sap/ui/thirdparty/jquery'],function(q){"use strict";var g=function(){var d=this.get(0);try{if(typeof d.selectionStart==="number"){return d.value.substring(d.selectionStart,d.selectionEnd);}}catch(e){}return"";};q.fn.getSelectedText=g;return q;});
sap.ui.predefine('sap/ui/dom/jquery/selectText',['sap/ui/thirdparty/jquery'],function(q){"use strict";var s=function selectText(S,E){var d=this.get(0);try{if(typeof(d.selectionStart)==="number"){d.setSelectionRange(S>0?S:0,E);}}catch(e){}return this;};q.fn.selectText=s;return q;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/BaseEditor',["sap/ui/integration/designtime/baseEditor/util/createPromise","sap/ui/integration/designtime/baseEditor/propertyEditor/PropertyEditorFactory","sap/ui/integration/designtime/baseEditor/validator/ValidatorRegistry","sap/ui/integration/designtime/baseEditor/PropertyEditors","sap/ui/integration/designtime/baseEditor/util/binding/resolveBinding","sap/ui/integration/designtime/baseEditor/util/binding/ObjectBinding","sap/ui/integration/designtime/baseEditor/util/hasTag","sap/ui/integration/designtime/baseEditor/util/cleanupDesigntimeMetadata","sap/ui/core/Control","sap/ui/model/resource/ResourceModel","sap/base/util/ObjectPath","sap/base/util/each","sap/base/util/deepClone","sap/base/util/deepEqual","sap/base/util/values","sap/base/util/includes","sap/base/util/isPlainObject","sap/base/util/isEmptyObject","sap/base/util/restricted/_intersection","sap/base/util/restricted/_mergeWith","sap/base/util/restricted/_merge","sap/base/util/restricted/_omit","sap/base/util/restricted/_union","sap/base/util/restricted/_isNil","sap/ui/model/json/JSONModel","sap/base/i18n/ResourceBundle","sap/base/Log","sap/ui/integration/designtime/baseEditor/util/unset"],function(c,P,V,a,r,O,h,b,C,R,d,f,g,i,v,j,k,l,_,m,n,o,p,q,J,s,L,u){"use strict";var t="customProperty--";var S=Promise.resolve();
var B=C.extend("sap.ui.integration.designtime.baseEditor.BaseEditor",{
metadata:{properties:{"json":{type:"object"},"config":{type:"object",defaultValue:{"i18n":["sap/ui/integration/designtime/baseEditor/i18n/i18n.properties"]}},"designtimeMetadata":{type:"object"},"layout":{type:"string",defaultValue:"list"}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true}},events:{jsonChange:{parameters:{json:{type:"object"}}},designtimeMetadataChange:{parameters:{designtimeMetadata:{type:"object"}}},propertyEditorsReady:{parameters:{propertyEditors:{type:"array"}}}}},
constructor:function(){this._mObservableConfig={};this._mPropertyEditors={};this._aCancelHandlers=[];this._oDataModel=this._createModel();this._oDesigntimeMetadataModel=this._createModel();this._bInitFinished=false;this._bValidatorsReady=false;this._setReady(false);C.prototype.constructor.apply(this,arguments);this._oDataModel.setData(this._prepareData(this.getJson()));this.attachJsonChange(function(e){var z=e.getParameter("json");this._oDataModel.setData(this._prepareData(z));this._checkReady();},this);},
renderer:function(e,z){var A=z.getContent();e.openStart("div",z);e.openEnd();if(A.length){A.forEach(function(D){e.renderControl(D);});}else{z.getPropertyEditorsSync().forEach(function(D){e.renderControl(D);});}e.close("div");}
});
B.prototype.init=function(){};
B.prototype.exit=function(){this._reset();this._oDataModel.destroy();this._oDesigntimeMetadataModel.destroy();};
B.prototype._prepareData=function(e){var z=g(e);f(this._mObservableConfig,function(A,D){var E=D.path;if(E[0]==="/"){E=E.substr(1);}if(typeof d.get(E.split("/"),z)==="undefined"&&typeof D.defaultValue!=="undefined"){d.set(E.split("/"),g(D.defaultValue),z);}});return z;};
B.prototype.setJson=function(z){var A;if(typeof z==="string"){try{A=JSON.parse(z);}catch(e){L.error("sap.ui.integration.designtime.baseEditor.BaseEditor: invalid JSON string is specified");}}else if(k(z)){A=n({},z);}else{L.error("sap.ui.integration.designtime.baseEditor.BaseEditor: unsupported data type specified in setJson()");}if(A&&JSON.stringify(this.getProperty("json"))!==JSON.stringify(A)){this.setProperty("json",A);this.fireJsonChange({json:A});}};
B.prototype.setConfig=function(e,I){this._bIsDefaultConfig=I;e=e||{};S=S.then(function(){P.deregisterAllTypes();return P.registerTypes(e.propertyEditors||{});}).then(function(z){this._initValidators(e.validators||{});var T={propertyEditors:{},properties:{}};if(!e.i18n){T.i18n=this.getMetadata().getProperty("config").getDefaultValue().i18n;}var N=w(T,e);if(this._oSpecificConfig){N=I?this._oSpecificConfig:y(N,this._oSpecificConfig,z);}this.setProperty("config",N,false);this._initialize();}.bind(this));return S;};
B.prototype.addConfig=function(e,I){return this.setConfig(w(this.getConfig(),e),I);};
function w(T,e){var z=n({},T,e);z.i18n=[].concat(T.i18n||[],e.i18n||[]);return z;}
B.prototype._addSpecificConfig=function(e){return S.then(function(){this._oSpecificConfig=e;x(this.getConfig(),e);return this.setConfig(this.getConfig(),this._bIsDefaultConfig);}.bind(this));};
function x(e,z){f(z.propertyEditors,function(E,A){if(!e.propertyEditors[E]){e.propertyEditors[E]=A;}});}
function y(e,z,A){e.i18n=p(e.i18n,z.i18n);var N=Object.assign({},e,o(z,["properties","i18n","propertyEditors"]),o(e,["properties","i18n","propertyEditors"]));N.properties={};f(e.properties,function(D,E){var F=e.propertyEditors[E.type]&&e.propertyEditors[E.type].split("/").join(".");var G=F&&A[F].configMetadata;if(G&&z.properties[D]){f(E,function(K,T){var H;var M=G[K]&&G[K].mergeStrategy;if(M){if(M==="mostRestrictiveWins"){var I=G[K].mostRestrictiveValue||false;if(T===I){H=I;}else{H=z.properties[D][K];}}else if(M==="intersection"){H=_(T,z.properties[D][K]);}}else{H=T;}N.properties[D]=N.properties[D]||{};N.properties[D][K]=H;});}});return N;}
B.prototype.setDesigntimeMetadata=function(D,I){var N=g(D);if(!i(N,this.getDesigntimeMetadata())){this.setProperty("designtimeMetadata",N);this._oDesigntimeMetadataModel.setData(N);if(!I){this.fireDesigntimeMetadataChange({designtimeMetadata:this._formatExportedDesigntimeMetadata(N)});}}};
B.prototype._formatExportedDesigntimeMetadata=function(M){var F={};var e=function(z,A){Object.keys(z).forEach(function(K){var D=z[K];if(K==="__value"){F[A.join("/")]=D;}else if(k(D)){e(D,[].concat(A,K));}});};e(M||{},[]);return F;};
B.prototype._initValidators=function(e){V.deregisterAllValidators();V.registerValidators(e);V.ready().then(function(){this._bValidatorsReady=true;this._checkReady();}.bind(this));};
B.prototype._reset=function(){this._bInitFinished=false;this._setReady(false);this._aCancelHandlers.forEach(function(e){e();});if(this._oI18nModel){this._oI18nModel.destroy();delete this._oI18nModel;}if(this._oConfigObserver){this._oConfigObserver.destroy();}f(this._mPropertyEditors,function(e,z){z.forEach(function(A){this.deregisterPropertyEditor(A,e);},this);}.bind(this));if(this._oRootWrapper){this._oRootWrapper.destroy();}};
B.prototype._initialize=function(){this._reset();var e=this.getConfig();if(typeof this.getProperty("json")==="undefined"){this.attachEventOnce("jsonChange",this._initialize);return;}if(e){this._oConfigObserver=new O();this._loadI18nBundles(e.i18n).then(function(z){this._oI18nModel=this._createI18nModel(z);this.setModel(this._oI18nModel,"i18n");this._oConfigObserver.addToIgnore(["template","itemLabel"]);this._oConfigObserver.setModel(this._oDataModel);this._oConfigObserver.setModel(this._oDesigntimeMetadataModel,"designtimeMetadata");this._oConfigObserver.setModel(this._oI18nModel,"i18n");var A=this._getContextPath();if(A){this._oConfigObserver.setModel(this._oDataModel,"context");this._oConfigObserver.setBindingContext(this._oDataModel.getContext(A),"context");}var D=r(e.properties,{"i18n":this._oI18nModel});this._mObservableConfig=Object.assign(this._mObservableConfig,this._prepareConfig(D));this._oConfigObserver.setObject(this._mObservableConfig);this._oConfigObserver.attachChange(this._onConfigChange,this);var E=this.getContent();if(E.length===0||E.length===1&&E[0]===this._oRootWrapper){this.removeAllContent();this._createEditors(this._oConfigObserver.getObject());}this._bInitFinished=true;this._checkReady();}.bind(this));}};
B.prototype._onConfigChange=function(e){var z=e.getParameter("changes").reduce(function(D,E){var F=g(E);F.path=F.path.split("/");F.propertyKey=F.path.shift();if(!D[F.propertyKey]){D[F.propertyKey]=[];}D[F.propertyKey].push(F);return D;},{});var A=Object.keys(z).reduce(function(D,E){var F=(this.getPropertyEditorsByNameSync(E)||[]).map(function(G){return{editor:G,propertyName:E};});D=D.concat(F);return D;}.bind(this),[]);var I=A.filter(function(D){return!this._oRootWrapper||!j(this._oRootWrapper._aEditorWrappers,D.editor);}.bind(this));I.forEach(function(D){var E=D.propertyName;var F=e.getSource().getObject();var G=o(g(F[E]),"value");var H=false;var K=z[E]||[];K.forEach(function(N){if(N.path[0]==="value"){D.editor.setValue(N.value);}else{d.set(N.path,N.value,G);H=true;}});if(H){D.editor.setConfig(G);}});if(I.length<A.length){var M=g(this._oRootWrapper.getConfig()).map(function(D){var E=z[D.__propertyName]||[];E.forEach(function(F){d.set(F.path,F.value,D);});return D;});this._oRootWrapper.setConfig(M);}};
B.prototype._createModel=function(){var M=new J();M.setDefaultBindingMode("OneWay");return M;};
B.prototype._loadI18nBundles=function(e){return this._createPromise(function(z,A){Promise.all(e.map(function(I){return new Promise(function(z,D){s.create({url:sap.ui.require.toUrl(I),async:true}).then(z,D);});})).then(z,A);});};
B.prototype._createI18nModel=function(e){var z=e.slice();var I=new R({bundle:z.shift()});I.setDefaultBindingMode("OneWay");z.forEach(function(A){I.enhance(A);});return I;};
B.prototype._prepareConfig=function(e){var z={};f(e,function(K,A){z[K]=Object.assign({},this._preparePropertyConfig(A),{__propertyName:K});}.bind(this));return z;};
B.prototype._preparePropertyConfig=function(e){var z=this._getContextPath();if(z&&!z.endsWith("/")){z=z+"/";}var A=e.path;if(!A.startsWith("/")&&z){A=z+A;}return Object.assign({},e,{path:A,value:"{"+A+"}",designtime:"{designtimeMetadata>"+A+"}"});};
B.prototype._createEditors=function(e){var z=d.get(["layout",this.getLayout()],this.getConfig());if(k(z)||Array.isArray(z)){z=r(z,{"i18n":this._oI18nModel});}this._oRootWrapper=new a({config:v(e),layout:this.getLayout(),layoutConfig:z});this.addContent(this._oRootWrapper);return(Promise.all(v(this._mPropertyEditors).reduce(function(A,D){return A.concat(D);},[]).map(function(A){return A.ready();})).then(this._checkReady.bind(this)));};
B.prototype._getRegistrationKey=function(e,K){if(typeof K!=="string"){if(e.isA("sap.ui.integration.designtime.baseEditor.PropertyEditor")&&!e.getConfig()&&!e.getBindingInfo("config")&&e.getPropertyName()){K=e.getPropertyName();}else{K=t+e.getId();}}return K;};
B.prototype._addCustomProperty=function(K,e){var z=Object.assign({},this._mObservableConfig);z[K]=this._preparePropertyConfig(e);this._mObservableConfig=z;this._oConfigObserver.setObject(z);};
B.prototype._removeCustomProperty=function(K){var e=o(this._mObservableConfig,K);this._mObservableConfig=e;this._oConfigObserver.setObject(e);};
B.prototype.registerPropertyEditor=function(e,K){K=this._getRegistrationKey(e,K);var z=Array.isArray(this._mPropertyEditors[K])?this._mPropertyEditors[K]:[];this._mPropertyEditors[K]=z.concat(e);if(K.startsWith(t)){this._addCustomProperty(K,e.getConfig());}var A=d.get(K,this._oConfigObserver.getObject()).value;e.setValue(A);e.attachValueChange(this._onValueChange,this);e.attachDesigntimeMetadataChange(this._onDesigntimeMetadataChange,this);e.attachReady(this._checkReady,this);};
B.prototype.deregisterPropertyEditor=function(e,K){K=this._getRegistrationKey(e,K);var z=this._mPropertyEditors[K];if(K.startsWith(t)){this._removeCustomProperty(K);}e.detachValueChange(this._onValueChange,this);e.detachDesigntimeMetadataChange(this._onDesigntimeMetadataChange,this);if(Array.isArray(z)){this._mPropertyEditors[K]=z.filter(function(I){return e!==I;});if(this._mPropertyEditors[K].length===0){delete this._mPropertyEditors[K];}}};
B.prototype._setReady=function(e){var z=this._bIsReady;this._bIsReady=e;if(z!==true&&e===true){this.firePropertyEditorsReady({propertyEditors:this.getPropertyEditorsSync()});}};
B.prototype._checkReady=function(){var e=this.getContent().filter(function(E){return(E.isA("sap.ui.integration.designtime.baseEditor.PropertyEditors")||E.isA("sap.ui.integration.designtime.baseEditor.propertyEditor.BasePropertyEditor"));});e.forEach(function(E){if(!sap.ui.base.EventProvider.hasListener(E,"ready",this._checkReady,this)){E.attachReady(this._checkReady,this);}},this);var A=[].concat(e,this.getPropertyEditorsSync());var I=(this._bInitFinished&&this._bValidatorsReady&&A.every(function(E){return E.isReady();}));this._setReady(I);};
B.prototype.isReady=function(){return this._bIsReady;};
B.prototype.ready=function(){return new Promise(function(e){if(this.isReady()){e();}else{this.attachEventOnce("propertyEditorsReady",e);}}.bind(this));};
B.prototype._createPromise=function(e){var z=c(e);this._aCancelHandlers.push(z.cancel);var A=function(D,E){this._aCancelHandlers=this._aCancelHandlers.filter(function(e){return e!==D;});return E;}.bind(this,z.cancel);return z.promise.then(A,A);};
B.prototype.getPropertyConfigByName=function(e){return o(d.get(e,this._oConfigObserver.getObject()),"value");};
B.prototype.getPropertyEditorsByName=function(e){return new Promise(function(z){if(!this._mPropertyEditors||Object.keys(this._mPropertyEditors).length===0){this.attachEventOnce("propertyEditorsReady",z);}else{z();}}.bind(this)).then(function(){return this.getPropertyEditorsByNameSync(e);}.bind(this));};
B.prototype.getPropertyEditorsByNameSync=function(e){var z=this._mPropertyEditors[e];return Array.isArray(z)&&z.slice()||null;};
B.prototype.getPropertyEditorsByTag=function(T){return new Promise(function(e){if(!this._mPropertyEditors||Object.keys(this._mPropertyEditors).length===0){this.attachEventOnce("propertyEditorsReady",e);}else{e();}}.bind(this)).then(function(){return this.getPropertyEditorsByTagSync(T);}.bind(this));};
B.prototype.getConfigsByTag=function(T){var e=this.getConfig().properties;return Object.keys(e).filter(function(z){return h(e[z],T);}).map(function(z){return e[z];});};
B.prototype.getPropertyEditorsByTagSync=function(T){return this.getPropertyEditorsSync().filter(function(e){return h(e.getConfig(),T);});};
B.prototype.getPropertyEditorsSync=function(){return v(this._mPropertyEditors).reduce(function(e,z){return e.concat(z);},[]).sort(function(e,z){return parseInt(e.getId().match(/\d+$/))-parseInt(z.getId().match(/\d+$/));});};
B.prototype.getJson=function(){return n({},this.getProperty("json"));};
B.prototype.getDesigntimeMetadata=function(){return n({},this.getProperty("designtimeMetadata"));};
B.prototype._getContextPath=function(){var e=this.getConfig();var z=e&&e.context||null;if(z&&z[0]!=="/"){z="/"+z;}return z;};
B.prototype._onValueChange=function(e){var z=e.getSource();var A=e.getParameter("path");var D=this.getJson()||{};var E=e.getParameter("value");if(A[0]==="/"){A=A.substr(1);}else{throw new Error("BaseEditor._onValueChange: unknown relative path - '"+A+"'");}var F=A.split("/");d.set(F,E,D);if(typeof E==="undefined"||i(E,z.getRuntimeConfig().defaultValue)||Array.isArray(E)&&E.length===0||k(E)&&l(E)){u(D,F);}this.setJson(D);};
B.prototype._onDesigntimeMetadataChange=function(e){var z=e.getParameter("path");var D=this.getDesigntimeMetadata()||{};var A=e.getParameter("value");if(z[0]==="/"){z=z.substr(1);}else{throw new Error("BaseEditor._onDesigntimeMetadataChange: unknown relative path - '"+z+"'");}var E=z.split("/");d.set(E,A,D);b(D);this.setDesigntimeMetadata(D);};
return B;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/PropertyEditor',["sap/ui/core/Control","sap/ui/integration/designtime/baseEditor/util/findClosestInstance","sap/ui/integration/designtime/baseEditor/util/createPromise","sap/ui/integration/designtime/baseEditor/util/escapeParameter","sap/ui/integration/designtime/baseEditor/propertyEditor/PropertyEditorFactory","sap/base/util/restricted/_merge","sap/base/util/restricted/_omit","sap/base/util/deepEqual","sap/base/util/deepClone"],function(C,f,c,e,P,_,a,d,b){"use strict";var g="config";var h="propertyName";
var i=C.extend("sap.ui.integration.designtime.baseEditor.PropertyEditor",{
metadata:{interfaces:["sap.ui.core.IFormContent"],properties:{propertyName:{type:"string"},renderLabel:{type:"boolean"},value:{type:"any"},config:{type:"object"}},aggregations:{propertyEditor:{type:"sap.ui.integration.designtime.baseEditor.propertyEditor.BasePropertyEditor",multiple:false,visibility:"hidden"}},associations:{editor:{type:"sap.ui.integration.designtime.baseEditor.BaseEditor",multiple:false}},events:{editorChange:{parameters:{previousEditor:{type:"sap.ui.integration.designtime.baseEditor.BaseEditor"},editor:{type:"sap.ui.integration.designtime.baseEditor.BaseEditor"}}},propertyEditorChange:{parameters:{previousPropertyEditor:{type:"sap.ui.integration.designtime.baseEditor.propertyEditor.BasePropertyEditor"},propertyEditor:{type:"sap.ui.integration.designtime.baseEditor.propertyEditor.BasePropertyEditor"}}},configChange:{parameters:{previousConfig:{type:"object"},config:{type:"object"}}},propertyNameChange:{parameters:{previousPropertyName:{type:"string"},propertyName:{type:"string"}}},ready:{},beforeValueChange:{parameters:{path:{type:"string"},value:{type:"any"},nextValue:{type:"any"}}},valueChange:{parameters:{path:{type:"string"},value:{type:"any"},previousValue:{type:"any"}}},designtimeMetadataChange:{parameters:{path:{type:"string"},value:{type:"any"},previousValue:{type:"any"}}},init:{}}},
_bEditorAutoDetect:false,
_sCreatedBy:null,
constructor:function(){C.prototype.constructor.apply(this,e(arguments,function(v,p){return(p==="config"&&P.hasType(v.type));}));if(!this.getEditor()){this._bEditorAutoDetect=true;}this._propagationListener=this._propagationListener.bind(this);this.attachEditorChange(function(E){if(this._sCreatedBy){this._removePropertyEditor(E.getParameter("previousEditor"));}this._initPropertyEditor();});this.attachConfigChange(function(E){var p=E.getParameter("previousConfig");var o=E.getParameter("config");var n=this.getAggregation("propertyEditor");if(this._fnCancelInit||!n||!p||!o||p.type!==o.type||p.path!==o.path){this._removePropertyEditor(this.getEditor());this._initPropertyEditor();}else{n.setConfig(o);}});this.attachPropertyNameChange(function(){if(this._sCreatedBy===h){this._removePropertyEditor(this.getEditor());}if(this._sCreatedBy!==g){this._initPropertyEditor();}});this._initPropertyEditor();},
renderer:function(r,o){r.openStart("div",o);r.addStyle("display","inline-block");r.addStyle("width","100%");r.openEnd();r.renderControl(o.getAggregation("propertyEditor"));r.close("div");}
});
i.prototype.init=function(){Promise.resolve().then(function(){this.fireInit();}.bind(this));};
i.prototype.getEditor=function(){return sap.ui.getCore().byId(this.getAssociation("editor"));};
i.prototype.setConfig=function(m){var p=this.getConfig();var n=m&&_({},{designtime:undefined},m);if(!d(p,n)){this.setProperty("config",n);this.fireConfigChange({previousConfig:p,config:n});}};
i.prototype.setPropertyName=function(p){var s=this.getPropertyName();if(s!==p){this.setProperty("propertyName",p);this.firePropertyNameChange({previousPropertyName:s,propertyName:p});}};
i.prototype.setEditor=function(E){var p=this.getEditor();var o=typeof E==="string"?sap.ui.getCore().byId(E):E;if(p!==o){this.setAssociation("editor",E);var o=this.getEditor();this.fireEditorChange({previousEditor:p,editor:o});}};
i.prototype.destroy=function(){this._removePropertyEditor(this.getEditor());C.prototype.destroy.apply(this,arguments);};
i.prototype._cleanupCancelledInit=function(p){p.destroy();};
i.prototype._removePropertyEditor=function(E){var p=this.getAggregation("propertyEditor");if(this._fnCancelInit){this._fnCancelInit().then(this._cleanupCancelledInit);delete this._fnCancelInit;}if(p){this.setAggregation("propertyEditor",null);p.detachReady(this._onPropertyEditorReady,this);p.destroy();this._sCreatedBy=null;this.firePropertyEditorChange({propertyEditor:null});}if(E&&this._mConfig&&this._isAbsolutePath(this._mConfig.path)){E.deregisterPropertyEditor(this,this._mConfig.__propertyName);}};
i.prototype.isReady=function(){var n=this.getAggregation("propertyEditor");return n&&n.isReady()||false;};
i.prototype.ready=function(){return new Promise(function(r){var j=function(n){n.ready().then(r);};var n=this.getAggregation("propertyEditor");if(n){j(n);}else{var w=function(E){var n=E.getParameter("propertyEditor");if(n){this.detachPropertyEditorChange(w,this);j(n);}};this.attachPropertyEditorChange(w,this);}}.bind(this));};
i.prototype._onPropertyEditorReady=function(){this.fireReady();};
i.prototype._initPropertyEditor=function(){if(!this.getEditor()){return;}if(this.getConfig()||(!this.getBindingInfo("config")&&this.getPropertyName()&&this.getEditor())){if(this._fnCancelInit){this._fnCancelInit().then(this._cleanupCancelledInit);delete this._fnCancelInit;}this._mConfig=this.getConfig()||this.getEditor().getPropertyConfigByName(this.getPropertyName());var s=this.getConfig()?g:h;var p=c(function(r,R){P.create(this._mConfig.type).then(r).catch(R);}.bind(this));this._fnCancelInit=p.cancel;if(this._isAbsolutePath(this._mConfig.path)){this.getEditor().registerPropertyEditor(this,this._mConfig.__propertyName);}p.promise.then(function(o){o.setModel(this.getEditor().getModel("i18n"),"i18n");o.setConfig(a(_({},this._mConfig),"__propertyName"));o.attachBeforeValueChange(function(E){this.fireBeforeValueChange(a(E.getParameters(),"id"));},this);o.attachValueChange(function(E){this.setValue(E.getParameter("value"));this.fireValueChange(a(E.getParameters(),"id"));},this);o.attachDesigntimeMetadataChange(function(E){this.fireDesigntimeMetadataChange(a(E.getParameters(),"id"));},this);o.setValue(this.getValue(),true);this._sCreatedBy=s;this.setAggregation("propertyEditor",o);var r=this.getRenderLabel();if(r!==undefined){o.setRenderLabel(r);}o.attachReady(this._onPropertyEditorReady,this);if(o.isReady()){this.fireReady();}this.firePropertyEditorChange({propertyEditor:o});delete this._fnCancelInit;}.bind(this));}};
i.prototype._isAbsolutePath=function(p){return p&&p.startsWith("/");};
i.prototype._propagationListener=function(){var E=f(this.getParent(),"sap.ui.integration.designtime.baseEditor.BaseEditor");if(E){this.setEditor(E);this.removePropagationListener(this._propagationListener);}};
i.prototype.setParent=function(p){C.prototype.setParent.apply(this,arguments);if(this._bEditorAutoDetect){var E=f(p,"sap.ui.integration.designtime.baseEditor.BaseEditor");if(E){this.setEditor(E);}else{this.addPropagationListener(this._propagationListener);}}};
i.prototype.setRenderLabel=function(r){this.setProperty("renderLabel",r);var n=this.getAggregation("propertyEditor");if(n){n.setRenderLabel(r);}};
i.prototype.getContent=function(){var n=this.getAggregation("propertyEditor");return n&&n.getContent();};
i.prototype.setValue=function(v){this.setProperty("value",v);var n=this.getAggregation("propertyEditor");if(n){n.setValue(v,true);}};
i.prototype.getRuntimeConfig=function(){return this._mConfig;};
i.prototype.enhanceAccessibilityState=function(E,A){var p=this.getParent();if(p&&p.enhanceAccessibilityState){p.enhanceAccessibilityState(this,A);}return A;};
i.prototype.getFocusDomRef=function(){var n=this.getAggregation("propertyEditor");if(n){return n.getFocusDomRef();}};
i.prototype.getIdForLabel=function(){var n=this.getAggregation("propertyEditor");if(n){return n.getIdForLabel();}};
return i;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/PropertyEditors',["sap/ui/core/Control","sap/ui/integration/designtime/baseEditor/util/findClosestInstance","sap/ui/integration/designtime/baseEditor/util/createPromise","sap/ui/integration/designtime/baseEditor/util/isTemplate","sap/ui/integration/designtime/baseEditor/util/StylesheetManager","sap/base/util/restricted/_intersection","sap/base/util/restricted/_omit","sap/base/util/deepEqual","sap/base/util/deepClone","sap/ui/core/Fragment","sap/ui/model/json/JSONModel","sap/ui/base/ManagedObjectObserver"],function(C,f,c,i,S,_,a,d,b,F,J,M){"use strict";var e="config";var g="tags";var l={"list":{module:"sap/ui/integration/designtime/baseEditor/layout/Form",defaultConfig:{responsiveGridLayout:{labelSpanXL:12,labelSpanL:12,labelSpanM:12,labelSpanS:12,adjustLabelSpan:false,columnsXL:1,columnsL:1,columnsM:1,singleContainerFullSize:false}}},"form":{module:"sap/ui/integration/designtime/baseEditor/layout/Form",defaultConfig:{}}};
var P=C.extend("sap.ui.integration.designtime.baseEditor.PropertyEditors",{
metadata:{properties:{tags:{type:"string"},renderLabels:{type:"boolean"},config:{type:"array"},layout:{type:"string",defaultValue:"list"},layoutConfig:{type:"object"}},aggregations:{content:{type:"sap.ui.core.Control",multiple:false}},associations:{editor:{type:"sap.ui.integration.designtime.baseEditor.BaseEditor",multiple:false},propertyEditors:{type:"sap.ui.integration.designtime.baseEditor.PropertyEditor",visibility:"hidden"}},events:{editorChange:{parameters:{previousEditor:{type:"sap.ui.integration.designtime.baseEditor.BaseEditor"},editor:{type:"sap.ui.integration.designtime.baseEditor.BaseEditor"}}},propertyEditorsChange:{parameters:{previousPropertyEditors:{type:"sap.ui.integration.designtime.baseEditor.PropertyEditor"},propertyEditors:{type:"sap.ui.integration.designtime.baseEditor.PropertyEditor"}}},init:{},configChange:{parameters:{previousConfig:{type:"array"},config:{type:"array"}}},tagsChange:{parameters:{previousTags:{type:"string"},tags:{type:"string"}}},ready:{},layoutChange:{parameters:{previousLayout:{type:"string"},layout:{type:"string"}}},layoutConfigChange:{parameters:{previousLayoutConfig:{type:"object"},layoutConfig:{type:"object"}}}}},
_bEditorAutoDetect:false,
_sCreatedBy:null,
_bLayoutReady:false,
constructor:function(){this._iExpectedWrapperCount=0;this._setReady(false);this._aEditorWrappers=[];this._bInitFinished=false;C.prototype.constructor.apply(this,arguments);var m=new J();this.setModel(m);if(!this.getEditor()){this._bEditorAutoDetect=true;}this._propagationListener=this._propagationListener.bind(this);this.attachEditorChange(function(){if(this._sCreatedBy){this._removePropertyEditors();}this._initPropertyEditors();});this.attachConfigChange(function(E){var p=E.getParameter("previousConfig");var h=E.getParameter("config");if(this._fnCancelInit||this._sCreatedBy===g||!Array.isArray(p)||!Array.isArray(h)||p.length!==h.length){this._removePropertyEditors();this._initPropertyEditors();}else if(this._sCreatedBy){this._evaluateViewRecreation(p,h);}});this.attachTagsChange(function(){if(this._sCreatedBy===g){this._removePropertyEditors();}if(this._sCreatedBy!==e){this._initPropertyEditors();}});if(this.getMetadata().getProperty("layout").getDefaultValue()===this.getLayout()){this._initLayout(this.getLayout());}},
renderer:function(r,o){r.openStart("div",o);r.openEnd();r.renderControl(o.getContent());r.close("div");}
});
P.prototype.init=function(){this.attachLayoutChange(function(E){var p=E.getParameter("previousLayout");this._removeStylesheet(this._getLayoutPath(p));var L=E.getParameter("layout");this._initLayout(L);},this);this.attachLayoutConfigChange(function(){if(this._sCreatedBy){this._removePropertyEditors();}this._initPropertyEditors();},this);Promise.resolve().then(function(){this._bInitFinished=true;this.fireInit();}.bind(this));};
P.prototype.destroy=function(){this._bInitFinished=false;this._setReady(false);if(this._fnCancelLayoutLoading){this._fnCancelLayoutLoading();}this._removeStylesheet(this._getLayoutPath(this.getLayout()));C.prototype.destroy.apply(this,arguments);};
P.prototype._loadFragment=function(s){return F.load({name:s,controller:this});};
P.prototype._loadModule=function(s){return new Promise(function(r,R){sap.ui.require([s],r,R);});};
P.prototype._loadStylesheet=function(s){this._bCssRequested=true;return S.add(s);};
P.prototype._removeStylesheet=function(s){if(this._bCssRequested){S.remove(s);delete this._bCssRequested;}};
P.prototype.getEditor=function(){return sap.ui.getCore().byId(this.getAssociation("editor"));};
P.prototype.setConfig=function(m){var p=this.getConfig();if(!Array.isArray(p)||!Array.isArray(m)||JSON.stringify(p)!==JSON.stringify(m)){var n=b(m);this.setProperty("config",n);this.fireConfigChange({previousConfig:p,config:n});}};
P.prototype.setTags=function(t){var p=this.getTags();var r=t;if(typeof t==="string"){r=t.split(",").sort().join(",");}if(p!==r){this.setProperty("tags",r);this.fireTagsChange({previousTags:p,tags:r});}};
P.prototype.setEditor=function(E){var p=this.getEditor();var o=typeof E==="string"?sap.ui.getCore().byId(E):E;if(p!==o){this.setAssociation("editor",E);var o=this.getEditor();this.fireEditorChange({previousEditor:p,editor:o});}};
P.prototype._removePropertyEditors=function(){var p=this.removeAllAssociation("propertyEditors").map(function(s){return sap.ui.getCore().byId(s);});this._iExpectedWrapperCount=0;this.getModel().setData({});this._sCreatedBy=null;if(p.length){this.firePropertyEditorsChange({previousPropertyEditors:p,propertyEditors:[]});}};
P.prototype._initPropertyEditors=function(){if(this.getEditor()&&(this.getConfig()||(!this.getBindingInfo("config")&&this.getTags()))&&this._bLayoutReady){var E=this.getEditor();var h;if(this.getConfig()){h=this.getConfig();this._sCreatedBy=e;}else{var t=this.getTags().split(",");h=E.getConfigsByTag(t);this._sCreatedBy=g;}var p=(this._getPropertyEditors()||[]).slice();this._updateViewModel(h);this.ready().then(function(){this.firePropertyEditorsChange({previousPropertyEditors:p,propertyEditors:(this._getPropertyEditors()||[]).slice()});}.bind(this));}this._checkReadyState();};
P.prototype._propagationListener=function(){var E=f(this.getParent(),"sap.ui.integration.designtime.baseEditor.BaseEditor");if(E){this.setEditor(E);this.removePropagationListener(this._propagationListener);}};
P.prototype.setParent=function(p){C.prototype.setParent.apply(this,arguments);if(this._bEditorAutoDetect){var E=f(p,"sap.ui.integration.designtime.baseEditor.BaseEditor");if(E){this.setEditor(E);}else{this.addPropagationListener(this._propagationListener);}}};
P.prototype.setLayout=function(L){var p=this.getLayout();if(p!==L){this.setProperty("layout",L);this.fireLayoutChange({previousLayout:p,layout:L});}};
P.prototype.setLayoutConfig=function(L){var p=this.getLayoutConfig();if(!d(p,L)){this.setProperty("layoutConfig",L);this.fireLayoutConfigChange({previousLayoutConfig:p,layoutConfig:L});}};
P.prototype._getLayoutConfig=function(){var L=this.getLayoutConfig();var r=this.getRenderLabels();var R;if(typeof r==="boolean"){R={renderLabels:r};}var D=l[this.getLayout()].defaultConfig;return Object.assign({},D,L,R);};
P.prototype._getLayoutPath=function(L){return l.hasOwnProperty(L)?l[L].module:L;};
P.prototype._initLayout=function(L){this.destroyContent();var p=this._getLayoutPath(L);this._bLayoutReady=false;if(this._sCreatedBy){this._removePropertyEditors();}if(this._fnCancelLayoutLoading){this._fnCancelLayoutLoading();}var m=c(function(r,R){this._loadStylesheet(p);Promise.all([this._loadFragment(p),this._loadModule(p)]).then(r,R);}.bind(this));m.promise.then(function(r){delete this._fnCancelLayoutLoading;var o=r[0];var h=r[1];this._prepareData=h.prepareData;this._aUpdateDependencies=h.updateDependencies||[];this.setContent(o);this._bLayoutReady=true;this._initPropertyEditors();}.bind(this));this._fnCancelLayoutLoading=m.cancel;};
P.prototype._evaluateViewRecreation=function(p,h){var r=this._getPropertyEditors()||[];if(p.length!==h.length||h.length!==r.length||h.some(function(o,I){return this._aUpdateDependencies.some(function(D){return p[I][D]!==o[D];});}.bind(this))){this._updateViewModel(h);}else{r.map(function(o,I){var j=h[I];o.setConfig(a(b(j),"value"));if(j.hasOwnProperty("value")){o.setValue(j.value);}});}};
P.prototype._updateViewModel=function(h){var D=this._prepareData(h,this._getLayoutConfig());this._iExpectedWrapperCount=D.count;if(this._iExpectedWrapperCount>0){this._checkReadyState();}this.getModel().setData(D);};
P.prototype.ready=function(){return new Promise(function(r){if(this.isReady()){r();}else{this.attachEventOnce("ready",r);}}.bind(this));};
P.prototype.isReady=function(){return!!this._bIsReady;};
P.prototype._setReady=function(r){var p=this._bIsReady;this._bIsReady=r;if(p!==true&&r===true){this.fireReady();}};
P.prototype._checkReadyState=function(){if(this._mWrapperReadyCheck){this._mWrapperReadyCheck.cancel();}if(!this._bInitFinished){this._setReady(false);return;}if(this._iExpectedWrapperCount===0){this._setReady(true);return;}if(this._iExpectedWrapperCount===this._aEditorWrappers.length){if(this._aEditorWrappers.every(function(w){return w.isReady();})){this._setReady(true);}else{this._setReady(false);this._mWrapperReadyCheck=c(function(r){Promise.all(this._aEditorWrappers.map(function(w){return w.ready();})).then(r);}.bind(this));this._mWrapperReadyCheck.promise.then(function(){this._setReady(true);delete this._mWrapperReadyCheck;}.bind(this));}}else{this._setReady(false);}};
P.prototype.wrapperInit=function(E){var w=E.getSource();if(i(w,this)){return;}if(!w.getEditor()){w.setEditor(this.getEditor());}this._aEditorWrappers.push(w);this.addAssociation("propertyEditors",w);w.attachReady(function(){this._setReady(false);this._checkReadyState();}.bind(this));if(!this._oWrapperObserver){this._oWrapperObserver=new M(function(m){this._aEditorWrappers=this._aEditorWrappers.filter(function(o){return o!==m.object;});this.removeAssociation("propertyEditors",m.object);}.bind(this));}this._oWrapperObserver.observe(w,{destroy:true});this._checkReadyState();};
P.prototype._getPropertyEditors=function(){var p=(this.getAssociation("propertyEditors")||[]).map(function(I){return sap.ui.getCore().byId(I);});return p.length&&p||null;};
return P;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/layout/Form',["sap/ui/integration/designtime/baseEditor/util/hasTag","sap/base/util/restricted/_omit"],function(h,_){"use strict";var d={labelSpanXL:4,labelSpanL:4,labelSpanM:4,labelSpanS:12,adjustLabelSpan:false,columnsXL:1,columnsL:1,columnsM:1,singleContainerFullSize:false};
function c(P){return{label:P.label,value:P.value,config:_(P,["label","value"])};}
function g(C,t){var r=[];var i=0;while(i<C.length){var m=C[i];if(h(m,t)){r.push(m);C.splice(i,1);}else{i++;}}return r;}
function a(C,P){var i=C.findIndex(function(m){return m.__propertyName===P;});if(i>-1){return C.splice(i,1)[0];}}
function b(C){return C.some(function(G){return typeof G.config.visible==="boolean"?G.config.visible:true;});}
function p(P,l){l=l||{};var C=P.slice();var G=l.groups||[];var r=l.responsiveGridLayout||d;var R=l.renderLabels!==false;var v={responsiveGridLayout:r};if(!R){C=C.map(function(m){return _(m,"label");});}if(G.length>0){v.groups=G.map(function(m){var i=[];m.items.forEach(function(I){switch(I.type){case"tag":i=i.concat(g(C,I.value).map(function(f){return c(f);}));break;case"propertyName":var e=a(C,I.value);if(e){i=i.concat(c(e));}break;}});return{label:m.label,items:i,visible:b(i)};});}else{var i=C.splice(0,C.length).map(c);v.groups=[{items:i,visible:b(i)}];}v.groups=v.groups.filter(function(m){return m.items.length>0;});v.count=P.length-C.length;return v;}
return{prepareData:p,updateDependencies:["visible","tags"]};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor',["sap/ui/core/Control","./../util/isTemplate","sap/ui/model/json/JSONModel","sap/m/Label","sap/ui/core/Fragment","sap/base/util/restricted/_omit","sap/ui/base/ManagedObjectObserver","sap/ui/integration/designtime/baseEditor/propertyEditor/PropertyEditorFactory","sap/ui/integration/designtime/baseEditor/util/createPromise","sap/base/util/deepClone","sap/base/util/deepEqual","sap/base/util/isPlainObject","sap/base/util/values","sap/base/util/each","sap/ui/integration/designtime/baseEditor/validator/ValidatorRegistry","sap/ui/integration/designtime/baseEditor/util/BaseDefaultValidatorModules","sap/ui/integration/designtime/baseEditor/util/cleanupDesigntimeMetadata"],function(C,i,J,L,F,_,M,P,c,d,a,b,v,e,V,B,f){"use strict";
var g=C.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.BasePropertyEditor",{
metadata:{interfaces:["sap.ui.core.IFormContent"],properties:{"renderLabel":{type:"boolean",defaultValue:true},"value":{type:"any"},"config":{type:"object"}},aggregations:{"_label":{type:"sap.m.Label",visibility:"hidden",multiple:false},"content":{type:"sap.ui.core.Control",multiple:false}},events:{beforeValueChange:{parameters:{path:{type:"string"},value:{type:"any"},nextValue:{type:"any"}}},valueChange:{parameters:{path:{type:"string"},value:{type:"any"},previousValue:{type:"any"}}},designtimeMetadataChange:{parameters:{path:{type:"string"},value:{type:"any"},previousValue:{type:"any"}}},configChange:{parameters:{previousConfig:{type:"object"},config:{type:"object"}}},fragmentChange:{parameters:{previousFragment:{type:"string"},fragment:{type:"string"}}},ready:{},init:{}}},
xmlFragment:null,
_currentXmlFragment:null,
_bFragmentReady:false,
constructor:function(){this._iExpectedWrapperCount=0;this._currentXmlFragment=this.xmlFragment;C.prototype.constructor.apply(this,arguments);this._oDefaultModel=new J({value:this.getValue(),config:this.getConfig(),displayValue:this._formatValue(this.getValue())});this._oDefaultModel.setDefaultBindingMode("OneWay");this.setBindingContext(this._oDefaultModel.getContext("/"));this.setModel(this._oDefaultModel);this.bindProperty("visible","config/visible");this._setReady(false);this._aEditorWrappers=[];this._bInitFinished=false;this.attachBeforeValueChange(function(E){this._iExpectedWrapperCount=this.getExpectedWrapperCount(E.getParameter("nextValue"));},this);this.attachValueChange(function(E){var l=E.getParameter("value");this._oDefaultModel.setData(Object.assign({},this._oDefaultModel.getData(),{value:l,displayValue:this._formatValue(l)}));this._checkReadyState();},this);this.attachConfigChange(function(E){var p=E.getParameter("previousConfig");var o=E.getParameter("config");if(p&&o&&!a(p.validators,o.validators)){this._validate(this.getValue());}this._oDefaultModel.setData(Object.assign({},this._oDefaultModel.getData(),{config:o}));},this);this.asyncInit().then(function(){this._bInitFinished=true;this.fireInit();this._checkReadyState();}.bind(this));if(this.getFragment()){this._initFragment(this.getFragment());}},
renderer:function(r,p){r.openStart("div",p);r.addStyle("display","inline-block");r.addStyle("width","100%");r.openEnd();if(p.getRenderLabel()&&p.getLabel()){r.openStart("div");r.openEnd();r.renderControl(p.getLabel());r.close("div");}r.renderControl(p.getContent());r.close("div");}
});
g.prototype.init=function(){this.attachFragmentChange(function(E){if(this.getContent()){this.getContent().destroy();}var s=E.getParameter("fragment");this._initFragment(s);},this);};
g.prototype.asyncInit=function(){return Promise.resolve();};
g.prototype.onFragmentReady=function(){};
g.prototype.setValue=function(l,s){var m=this.getValue();var o=this.getConfig()||{};var n=l;if(typeof n==="undefined"&&typeof o.defaultValue!=="undefined"){n=d(o.defaultValue);}this._validate(n,function(r){if((r||s)&&!a(n,m)){this.fireBeforeValueChange({path:o.path,value:m,nextValue:n});this.setProperty("value",n);this.fireValueChange({path:o.path,previousValue:m,value:n});}}.bind(this));};
g.prototype.setDesigntimeMetadata=function(o){var l=this.getDesigntimeMetadata();var n=o;f(n);var m=this.getConfig();if(!a(l,n)){this.fireDesigntimeMetadataChange({path:m.path,previousValue:l,value:n});}};
g.prototype.getDesigntimeMetadata=function(){return(this.getConfig()||{}).designtime||{};};
g.prototype.setDesigntimeMetadataValue=function(o){this.setDesigntimeMetadata(Object.assign({},this.getConfig().designtime,{__value:o}));};
g.prototype.getNestedDesigntimeMetadata=function(K){var D=(this.getConfig()||{}).designtime||{};return D[K];};
g.prototype.getNestedDesigntimeMetadataValue=function(K){return(this.getNestedDesigntimeMetadata(K)||{}).__value||{};};
g.prototype.getDesigntimeMetadataValue=function(){var D=(this.getConfig()||{}).designtime||{};return D.__value||{};};
g.prototype._getValidators=function(){var p=this.getConfig().validators||{};return v(Object.assign({},p,this.getDefaultValidators())).filter(function(o){return o.isEnabled!==false;});};
g.prototype.getDefaultValidators=function(){return{};};
g.prototype._validate=function(l,o){var E=[];var m=this._getValidators();m=m.map(function(p){var q=V.hasValidator(p.type)?V.getValidator(p.type):this.getDefaultValidatorModules()[p.type];if(!q){throw new Error("Unknown validator: "+p.type);}var r={};var s=p.errorMessage||q.errorMessage;var t=[];var u=s;if(b(s)){t=s.placeholders(p.config);u=s.message;}Object.keys(p.config||{}).forEach(function(w){var x=p.config[w];if(typeof x==="function"){x=x(this);}r[w]=x;}.bind(this));return{validator:q,config:r,errorMessage:this.getI18nProperty(u,t),type:p.type};}.bind(this));var n=function(){var r=E.length===0;this.setInputState(!r,E[0]);if(typeof o==="function"){o(r);}}.bind(this);m.forEach(function(p){if(!p.validator.validate(l,p.config)){E.push(p.errorMessage);}});n();};
g.prototype.setInputState=function(H,E){var I=this.getContent();if(!I||!I.setValueState){return;}if(H){I.setValueState("Error");I.setValueStateText(E);}else{I.setValueState("None");}};
g.prototype.getDefaultValidatorModules=function(){return B;};
g.prototype._formatValue=function(l){return this.formatValue(d(l));};
g.prototype.formatValue=function(l){return l;};
g.prototype.getExpectedWrapperCount=function(){return 0;};
g.prototype._checkReadyState=function(){if(this._mWrapperReadyCheck){this._mWrapperReadyCheck.cancel();}if(!this._bInitFinished){this._setReady(false);return;}if(!this._bFragmentReady){this._setReady(false);return;}if(this._iExpectedWrapperCount===0){this._setReady(true);return;}if(this._iExpectedWrapperCount===this._aEditorWrappers.length){if(this._aEditorWrappers.every(function(w){return w.isReady();})){this._setReady(true);}else{this._setReady(false);this._mWrapperReadyCheck=c(function(r){Promise.all(this._aEditorWrappers.map(function(w){return w.ready();})).then(r);}.bind(this));this._mWrapperReadyCheck.promise.then(function(){this._setReady(true);delete this._mWrapperReadyCheck;}.bind(this));}}else{this._setReady(false);}};
g.prototype.wrapperInit=function(E){if(!this._oWrapperObserver){this._oWrapperObserver=new M(function(m){var o=m.object;switch(m.type){case'destroy':this._aEditorWrappers=this._aEditorWrappers.filter(function(l){return l!==o;});this._checkReadyState();break;case'parent':j(o).forEach(function(w){if(!i(w,this)){this._registerWrapper(w);}}.bind(this));this._oWrapperObserver.unobserve(o);break;default:return;}}.bind(this));}var w=E.getSource();if(i(w,this)){var r=h(w);if(!this._oWrapperObserver.isObserved(r,{parent:true})){this._oWrapperObserver.observe(r,{parent:true});}return;}this._registerWrapper(w);};
function h(E){var p=E.getParent();return p?h(p):E;}
function j(E){return k(E)?[E]:E.findAggregatedObjects(true,function(E){return k(E);});}
function k(E){return E.isA("sap.ui.integration.designtime.baseEditor.PropertyEditors")||E.isA("sap.ui.integration.designtime.baseEditor.PropertyEditor");}
g.prototype._registerWrapper=function(w){this._aEditorWrappers.push(w);w.attachReady(function(E){this._setReady(false);this._checkReadyState();}.bind(this));if(w.isA("sap.ui.integration.designtime.baseEditor.PropertyEditor")){w.attachPropertyEditorChange(function(E){var p=E.getParameter("propertyEditor");if(!p){this._setReady(false);}},this);}this._oWrapperObserver.observe(w,{destroy:true});this._checkReadyState();};
g.prototype._setReady=function(r){var p=this._bIsReady;this._bIsReady=r;if(p!==true&&r===true){this.fireReady();}};
g.prototype.isReady=function(){return!!this._bIsReady;};
g.prototype.ready=function(){return new Promise(function(r){if(this.isReady()){r();}else{this.attachEventOnce("ready",r);}}.bind(this));};
g.prototype.setFragment=function(s,G){if(this._currentXmlFragment!==s){var p=this._currentXmlFragment;this._currentXmlFragment=s;if(typeof G==='function'){this.getExpectedWrapperCount=G;}this.fireFragmentChange({previousFragment:p,fragment:s});}};
g.prototype.getFragment=function(){return this._currentXmlFragment;};
g.prototype._initFragment=function(s){this._setReady(false);this._bFragmentReady=false;if(this._fnCancelFragmentLoading){this._fnCancelFragmentLoading();}var o=c(function(r,R){this._loadFragment(s).then(r,R);}.bind(this));this._fnCancelFragmentLoading=o.cancel;return o.promise.then(function(l){delete this._fnCancelFragmentLoading;this._bFragmentReady=true;this.setContent(l);this.onFragmentReady();this._checkReadyState();}.bind(this));};
g.prototype._loadFragment=function(s){return F.load({name:s,controller:this});};
g.prototype.clone=function(){this.destroyContent();return C.prototype.clone.apply(this,arguments);};
g.prototype.exit=function(){this._oDefaultModel.destroy();if(this._oConfigBinding){this._oConfigBinding.destroy();}if(this._oWrapperObserver){this._oWrapperObserver.destroy();}if(this._fnCancelFragmentLoading){this._fnCancelFragmentLoading();}};
g.configMetadata={visible:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"}};
g.prototype.setConfig=function(o){var p=this.getConfig();var D={};var l=P.getType(this.getMetadata().getName()).configMetadata;e(l,function(s,m){D[s]=m.defaultValue;});var n=Object.assign({},D,o);n=this.onBeforeConfigChange(n);if(!a(p,n)){this.setProperty("config",n);this.fireConfigChange({previousConfig:p,config:n});}};
g.prototype.onBeforeConfigChange=function(o){return o;};
g.prototype.getI18nProperty=function(n,p){if(this.getModel("i18n")){return this.getModel("i18n").getResourceBundle().getText(n,p);}return n;};
g.prototype.getLabel=function(){var l=this.getAggregation("_label");if(!l){l=new L({text:"{config/label}",design:"Bold"});this.setAggregation("_label",l);}return l;};
g.prototype.enhanceAccessibilityState=function(E,A){var p=this.getParent();if(p&&p.enhanceAccessibilityState){p.enhanceAccessibilityState(this,A);}return A;};
g.prototype.getFocusDomRef=function(){var o=this.getContent();if(o&&o.isA("sap.ui.core.IFormContent")){return o.getFocusDomRef();}};
g.prototype.getIdForLabel=function(){var o=this.getContent();if(o&&o.isA("sap.ui.core.IFormContent")){return o.getIdForLabel();}};
return g;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/PropertyEditorFactory',["sap/base/util/includes","sap/base/util/values"],function(i,v){"use strict";var P={};var l={};var p={};
P.registerTypes=function(t){Object.keys(t).forEach(function(s){if(!l[s]){l[s]=new Promise(function(r,a){sap.ui.require([t[s]],r,a);}).then(function(o){p[o.getMetadata().getName()]=o;return o;});}});return Promise.all(v(l)).then(function(){return p;});};
P.deregisterType=function(t){if(l[t]){delete l[t];}};
P.deregisterAllTypes=function(){l={};};
P.create=function(s){return new Promise(function(r,a){if(!s){return a("No editor type was specified in the property configuration.");}if(!l[s]){return a("Editor type was not registered");}l[s].then(function(b){return r(new b());}).catch(function(e){return a(e);});});};
P.getType=function(t){return p[t];};
P.getTypes=function(){return Object.assign({},l);};
P.hasType=function(s){return i(Object.keys(P.getTypes()),s);};
return P;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/arrayEditor/ArrayEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/base/util/deepClone","sap/base/util/deepEqual","sap/base/util/ObjectPath","sap/ui/model/json/JSONModel","sap/base/util/restricted/_merge","sap/ui/integration/designtime/baseEditor/util/binding/resolveBinding","sap/ui/integration/designtime/baseEditor/util/unset","sap/base/util/restricted/_isNil","sap/base/strings/formatMessage","sap/base/util/isEmptyObject"],function(B,d,a,O,J,_,r,u,b,f,i){"use strict";
var A=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.arrayEditor.ArrayEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.arrayEditor.ArrayEditor",
metadata:{properties:{value:{type:"any"}}},
renderer:B.getMetadata().getRenderer().render
});
A.configMetadata=Object.assign({},B.configMetadata,{allowAddAndRemove:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowSorting:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},collapsibleItems:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},showItemLabel:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},template:{defaultValue:{}}});
A.prototype.init=function(){B.prototype.init.apply(this,arguments);this._itemsModel=new J();this._itemsModel.setDefaultBindingMode("OneWay");this.setModel(this._itemsModel,"itemsModel");};
A.prototype.setValue=function(v){v=Array.isArray(v)?v:[];B.prototype.setValue.call(this,v);this._handleValueChange(this.getValue());};
A.prototype._handleValueChange=function(v){var c=this.getConfig();var I=[];v.forEach(function(V,e){var o=d(V);var D=this.getNestedDesigntimeMetadata(e);var m={itemLabel:c.itemLabel||this.getI18nProperty("BASE_EDITOR.ARRAY.ITEM_LABEL"),index:e,total:v.length,properties:Object.keys(c.template).map(function(k){var t=c.template[k];var P=e+"/"+t.path;var g=O.get(P.split("/"),v);if(typeof g==="undefined"){O.set(t.path.split('/'),d(t.defaultValue),o);}return _({},t,{path:P,value:g,designtime:(D||{})[k]});},this)};var p=new J(o);m.properties=r(m.properties,{"":p},{"":p.getContext("/")},["template","value","itemLabel"]);m.itemLabel=r({itemLabel:m.itemLabel},{"":p},{"":p.getContext("/")}).itemLabel||f(this.getI18nProperty("BASE_EDITOR.ARRAY.NEW_ITEM_LABEL"),[c.addItemLabel||this.getI18nProperty("BASE_EDITOR.ARRAY.ITEM_LABEL")]);p.destroy();I.push(m);},this);this._itemsModel.setData(I);};
A.prototype.onBeforeConfigChange=function(c){if(!c.collapsibleItems){this.setFragment("sap.ui.integration.designtime.baseEditor.propertyEditor.arrayEditor.ArrayEditorPlain");}return c;};
A.prototype.getExpectedWrapperCount=function(v){return v.length;};
A.prototype._removeItem=function(e){var I=e.getSource().data("index");var v=(this.getValue()||[]).slice();v.splice(I,1);this.setValue(v);};
A.prototype._addItem=function(){var c=this.getConfig();var v=(this.getValue()||[]).slice();var D={};Object.keys(c.template).forEach(function(k){var p=c.template[k];if(p.type==="array"){D[k]=[];}});v.push(D);this.setValue(v);};
A.prototype._moveUp=function(e){var I=e.getSource().data("index");if(I>0){var v=this.getValue().slice();var R=v.splice(I,1)[0];v.splice(I-1,0,R);this.setValue(v);}};
A.prototype._moveDown=function(e){var I=e.getSource().data("index");var v=this.getValue().slice();if(I<v.length-1){var R=v.splice(I,1)[0];v.splice(I+1,0,R);this.setValue(v);}};
A.prototype._propertyEditorsChange=function(e){e.getParameter("previousPropertyEditors").forEach(function(p){p.detachValueChange(this._onPropertyValueChange,this);p.detachDesigntimeMetadataChange(this._onDesigntimeMetadataChange,this);},this);e.getParameter("propertyEditors").forEach(function(p){p.attachValueChange(this._onPropertyValueChange,this);p.attachDesigntimeMetadataChange(this._onDesigntimeMetadataChange,this);},this);};
A.prototype._onPropertyValueChange=function(e){var p=e.getSource();var E=d(this.getValue()||[]);var P=e.getParameter("path");var c=P.split("/");var v=e.getParameter("value");O.set(c,v,E);if(typeof v==="undefined"||a(v,p.getConfig().defaultValue)){u(E,c,c.length-2);}this.setValue(E);};
A.prototype._onDesigntimeMetadataChange=function(e){var n={};O.set(e.getParameter("path").split("/"),e.getParameter("value"),n);this.setDesigntimeMetadata(_({},this.getDesigntimeMetadata(),n));this.setValue(this.getValue());};
A.prototype._isNewItem=function(m){return(m&&m.properties||[]).every(function(o){var v=o.value;return b(v)||Array.isArray(v)&&v.length===0||i(v);});};
A.prototype.formatAddItemText=function(s,I,F){return f(s,[I||F]);};
return A;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/booleanEditor/BooleanEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/util/isValidBindingString"],function(B,i){"use strict";
var a=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.booleanEditor.BooleanEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.booleanEditor.BooleanEditor",
renderer:B.getMetadata().getRenderer().render
});
a.prototype.getDefaultValidators=function(){var c=this.getConfig();return Object.assign({},B.prototype.getDefaultValidators.call(this),{isValidBinding:{type:"isValidBinding",isEnabled:c.allowBindings},notABinding:{type:"notABinding",isEnabled:!c.allowBindings},isBoolean:{type:"isBoolean"}});};
a.prototype._onChange=function(){var c=this.getContent();var v=c.getSelectedKey()||c.getValue();if(v==="false"){v=false;}else if(v==="true"){v=true;}this.setValue(v);};
a.configMetadata=Object.assign({},B.configMetadata,{allowBindings:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"}});return a;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/dateEditor/DateEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/core/format/DateFormat"],function(B,D){"use strict";
var a=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.dateEditor.DateEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.dateEditor.DateEditor",
renderer:B.getMetadata().getRenderer().render
});
a.prototype.getDefaultValidators=function(){var c=this.getConfig();return Object.assign({},B.prototype.getDefaultValidators.call(this),{isValidBinding:{type:"isValidBinding",isEnabled:c.allowBindings},notABinding:{type:"notABinding",isEnabled:!c.allowBindings},isDate:{type:"isDate"}});};
a.prototype.formatValue=function(v){var d=new Date(v);if(!this._isValidDate(d)){return v;}return this.getFormatterInstance().format(d);};
a.configMetadata=Object.assign({},B.configMetadata,{allowBindings:{defaultValue:true}});
a.prototype.onFragmentReady=function(){var d=this.getContent();d.onkeypress=function(e){if(!e.charCode||e.metaKey||e.ctrlKey){return;}};};
a.prototype._onChange=function(e){var v=e.getParameter("newValue");var p=this._parse(v);this.setValue(p);};
a.prototype._parse=function(v){if(v===""){return undefined;}var p=new Date(v);return this._isValidDate(p)?p.toISOString():v;};
a.prototype._isValidDate=function(d){return d&&!isNaN(d.getTime());};
a.prototype.getFormatterInstance=function(){return D.getDateInstance();};
return a;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/dateTimeEditor/DateTimeEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/propertyEditor/dateEditor/DateEditor","sap/ui/core/format/DateFormat"],function(B,D,a){"use strict";
var b=D.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.dateTimeEditor.DateTimeEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.dateTimeEditor.DateTimeEditor",
renderer:B.getMetadata().getRenderer().render
});
b.prototype.getFormatterInstance=function(){return a.getDateTimeInstance();};
b.configMetadata=Object.assign({},D.configMetadata);return b;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/enumStringEditor/EnumStringEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/util/isValidBindingString"],function(B,i){"use strict";
var E=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.enumStringEditor.EnumStringEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.enumStringEditor.EnumStringEditor",
renderer:B.getMetadata().getRenderer().render
});
E.configMetadata=Object.assign({},B.configMetadata,{allowBindings:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowCustomValues:{defaultValue:false,mergeStrategy:"mostRestrictiveWins",mostRestrictiveValue:true}});
E.prototype.getDefaultValidators=function(){var c=this.getConfig();return Object.assign({},B.prototype.getDefaultValidators.call(this),{isValidBinding:{type:"isValidBinding",isEnabled:c.allowBindings},notABinding:{type:"notABinding",isEnabled:!c.allowBindings},isSelectedKey:{type:"isSelectedKey",config:{keys:function(p){return p.getConfig().enum;}},isEnabled:!c.allowCustomValues}});};
E.prototype._onChange=function(){var c=this.getContent();var s=c.getSelectedKey();var v=c.getValue();this.setValue(s||v);};
return E;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/iconEditor/IconEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/core/ListItem","sap/ui/core/Fragment","sap/ui/model/json/JSONModel","sap/ui/model/Filter","sap/ui/model/FilterOperator","sap/ui/core/IconPool","sap/ui/base/BindingParser","sap/ui/integration/designtime/baseEditor/util/isValidBindingString","./IsInIconPool.validator"],function(B,L,F,J,a,b,I,c,i,d){"use strict";var o=null;
var e=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.iconEditor.IconEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.iconEditor.IconEditor",
renderer:B.getMetadata().getRenderer().render
});
e.configMetadata=Object.assign({},B.configMetadata);
e.prototype.onFragmentReady=function(){var f=this.getContent();this._oIconModel=this._getIconModel();f.setModel(this._oIconModel,"icons");f.bindAggregation("suggestionItems","icons>/",new L({text:"{icons>path}",additionalText:"{icons>name}"}));};
e.prototype._getIconModel=function(){if(!o){o=new J(I.getIconNames().map(function(n){return{name:n,path:"sap-icon://"+n};}));}return o;};
e.prototype._onChange=function(E){var s=E.getParameter("value");this.setValue(s);};
e.prototype._onSuggestionItemSelected=function(E){this.setValue(E.getParameter("selectedItem").getText());};
e.prototype._getDefaultSearchValue=function(s){try{var p=c.complexParser(s);return p?"":s;}catch(E){return s;}};
e.prototype._handleValueHelp=function(E){var v=E.getSource().getValue();if(!this._oDialog){return F.load({name:"sap.ui.integration.designtime.baseEditor.propertyEditor.iconEditor.IconEditorDialog",controller:this}).then(function(D){this._oDialog=D;this.addDependent(this._oDialog);this._oDialog.setModel(this._oIconModel);this._filter(v);this._oDialog.open(this._getDefaultSearchValue(v));return this._oDialog;}.bind(this));}else{this._filter(v);this._oDialog.open(this._getDefaultSearchValue(v));return Promise.resolve(this._oDialog);}};
e.prototype.handleSearch=function(E){var v=E.getParameter("value");this._filter(v);};
e.prototype._filter=function(v){var f=new a("path",b.Contains,v);var g=this._oDialog.getBinding("items");g.filter([f]);};
e.prototype.handleClose=function(E){var s=E.getParameter("selectedItem");if(s){this.setValue(s.getIcon());}E.getSource().getBinding("items").filter([]);};
e.prototype.getDefaultValidators=function(){return Object.assign({},B.prototype.getDefaultValidators.call(this),{isValidBinding:{type:"isValidBinding"},isInIconPool:{type:"isInIconPool"}});};
e.prototype.getDefaultValidatorModules=function(){return Object.assign({},B.prototype.getDefaultValidatorModules.apply(this,arguments),{isInIconPool:d});};
return e;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/iconEditor/IsInIconPool.validator',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding","sap/base/util/restricted/_isNil","sap/ui/core/IconPool"],function(I,_,a){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.NOT_AN_ICON",validate:function(v){return _(v)||(typeof v==="string"&&a.isIconURI(v)&&!!a.getIconInfo(v))||I.validate(v,{allowPlainStrings:false});}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/integerEditor/IntegerEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/propertyEditor/numberEditor/NumberEditor","sap/ui/core/format/NumberFormat"],function(B,N,a){"use strict";
var I=N.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.integerEditor.IntegerEditor",{
invalidInputError:"BASE_EDITOR.INTEGER.INVALID_BINDING_OR_INTEGER",
renderer:B.getMetadata().getRenderer().render
});
I.prototype.getDefaultValidators=function(){return Object.assign({},B.prototype.getDefaultValidators.call(this),{isInteger:{type:"isInteger"}});};
I.configMetadata=Object.assign({},N.configMetadata);
I.prototype.validateNumber=function(v){return N.prototype.validateNumber.call(this,v)&&Number.isInteger(v);};
I.prototype.getFormatterInstance=function(){return a.getIntegerInstance();};
return I;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/jsonEditor/JsonEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/core/Fragment"],function(B,F){"use strict";
var J=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.jsonEditor.JsonEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.jsonEditor.JsonEditor",
_onLiveChange:function(){var i=this.getContent();var j=this._parseJson(i.getValue());if(j instanceof Error){i.setValueState("Error");i.setValueStateText("Error: "+j);}else{i.setValueState("None");this.setValue(j);}},
_parseJson:function(j){try{var p=JSON.parse(j);return p;}catch(e){return e;}},
_openJsonEditor:function(){if(!this._oDialog){return F.load({name:"sap.ui.integration.designtime.baseEditor.propertyEditor.jsonEditor.JsonEditorDialog",controller:this}).then(function(d){this._oDialog=d;this._oErrorMsg=this._oDialog.getContent()[0];this._oEditor=this._oDialog.getContent()[1];this._oEditor._getEditorInstance().getSession().on("changeAnnotation",this.onShowError.bind(this));this._oDialog.attachAfterOpen(function(){this._oEditor._getEditorInstance().focus();this._oEditor._getEditorInstance().navigateFileEnd();},this);this.addDependent(this._oDialog);this._openDialog();return this._oDialog;}.bind(this));}else{this._openDialog();return Promise.resolve(this._oDialog);}},
_openDialog:function(){var i=this.getContent().getValue();try{var c=JSON.stringify(JSON.parse(i),0,"\t");this._oEditor.setValue(c);}catch(e){this._oEditor.setValue(i);}this._oDialog.open();},
onClose:function(){this._oCode=null;this._oDialog.close();},
onBeautify:function(){try{var b=JSON.stringify(JSON.parse(this._oEditor.getValue()),0,"\t");this._oEditor.setValue(b);}finally{return;}},
onLiveChange:function(e){try{this._oCode=JSON.parse(e.getParameter("value"));this._oDialog.getBeginButton().setEnabled(true);}catch(a){this._oDialog.getBeginButton().setEnabled(false);}},
onShowError:function(){var e=(this._oEditor._getEditorInstance().getSession().getAnnotations()||[]).map(function(E){return"Line "+String(E.row)+": "+E.text;}).join("\n");this._oErrorMsg.setText(e);this._oErrorMsg.setVisible(!!e);},
onSave:function(){var i=this.getContent();if(this._oCode){this.setValue(this._oCode);i.setValueState("None");i.setValue(JSON.stringify(this._oCode));}this._oDialog.close();},
renderer:B.getMetadata().getRenderer().render
});
J.configMetadata=Object.assign({},B.configMetadata);return J;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/listEditor/ListEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(B,I){"use strict";
var L=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.listEditor.ListEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.listEditor.ListEditor",
renderer:B.getMetadata().getRenderer().render
});
L.prototype.onFragmentReady=function(){this.attachValueChange(function(){this.getContent().setValue("");}.bind(this));};
L.prototype.getDefaultValidators=function(){return Object.assign({},B.prototype.getDefaultValidators.call(this),{isUniqueList:{type:"isUniqueList"},isStringList:{type:"isStringList"}});};
L.configMetadata=Object.assign({},B.configMetadata);
L.prototype._onTokenUpdate=function(e){this._setTokens(e.getParameter("addedTokens").map(function(t){return t.getText();}),e.getParameter("removedTokens").map(function(t){return t.getText();}));};
L.prototype._onTokenSubmission=function(e){this._setTokens([e.getParameter("value")],[]);};
L.prototype._onLiveChange=function(e){var v=e.getParameter("newValue");this._validateInput(v);};
L.prototype._setTokens=function(a,r){var v=(this.getValue()||[]).filter(function(t){return r.indexOf(t)<0;});var n=v.concat(a);this.setValue(n);};
L.prototype._validateInput=function(t){this.setInputState(!I.validate(t),this.getI18nProperty(I.errorMessage));};
return L;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/mapEditor/MapEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/base/util/deepClone","sap/base/util/deepEqual","sap/ui/model/json/JSONModel","sap/base/util/restricted/_merge","sap/base/util/restricted/_omit","sap/base/util/isPlainObject","sap/base/util/includes"],function(B,d,c,J,_,e,i,f){"use strict";var S={"string":"BASE_EDITOR.MAP.TYPES.STRING","boolean":"BASE_EDITOR.MAP.TYPES.BOOLEAN","number":"BASE_EDITOR.MAP.TYPES.NUMBER","integer":"BASE_EDITOR.MAP.TYPES.INTEGER","date":"BASE_EDITOR.MAP.TYPES.DATE","datetime":"BASE_EDITOR.MAP.TYPES.DATETIME"};
var M=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.mapEditor.MapEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.mapEditor.MapEditor",
init:function(){B.prototype.init.apply(this,arguments);this._itemsModel=new J();this._itemsModel.setDefaultBindingMode("OneWay");this.setModel(this._itemsModel,"itemsModel");this._supportedTypesModel=new J();this._supportedTypesModel.setDefaultBindingMode("OneWay");this.setModel(this._supportedTypesModel,"supportedTypes");this.attachModelContextChange(function(){if(this.getModel("i18n")){var r=this.getModel("i18n").getResourceBundle();this._aSupportedTypes=Object.keys(S).map(function(k){return{key:k,label:r.getText(S[k])};});this._setSupportedTypesModel();}},this);this.attachConfigChange(this._setSupportedTypesModel,this);this._mTypes={};},
setValue:function(v){v=i(v)?v:{};var p=this._getPositions(v);this.setDesigntimeMetadata(_({},this.getDesigntimeMetadata(),Object.keys(p).reduce(function(n,k){n[k]={__value:{position:p[k]}};return n;},{})));B.prototype.setValue.call(this,v);var I=this._processValue(v);I=I.sort(function(V,o){return p[V.key]-p[o.key];}).map(function(o,a){o.index=a;o.total=I.length;return o;});this._itemsModel.setData(I);},
_processValue:function(v){return Object.keys(v).map(function(k){var F=this._prepareInputValue(v[k],k);this._mTypes[k]=F.type;var I={key:k,value:F,designtime:this.getNestedDesigntimeMetadata(k)};return this.getConfig().includeInvalidEntries||this._isValidItem(I,d(v[k]))?I:undefined;},this).filter(Boolean);},
_getPositions:function(v){var k=Object.keys(v);var E=k.map(function(K){var a=this.getNestedDesigntimeMetadataValue(K).position;return a>=0?a:-1;}.bind(this));var n=E.reduce(function(a,b){return Math.max(a,b);},-1);var p={};E.forEach(function(a,b){p[k[b]]=a>=0?a:++n;});return p;},
_prepareInputValue:function(v,k){var F=this.processInputValue(d(v),k);if(!F.type){F.type=this._mTypes[k]||this._getDefaultType(F.value);}return F;},
_isValidItem:function(I){var t=I.value.type;return t&&f(this._getAllowedTypes(),t);},
_getDefaultType:function(v){var a=this._getAllowedTypes();var t=typeof v;var C=f(a,t)?t:undefined;if(!C&&f(a,"string")){C="string";}return C;},
_getAllowedTypes:function(){return(this.getConfig()||M.configMetadata).allowedTypes;},
_setSupportedTypesModel:function(){var a=this._getAllowedTypes();this._supportedTypesModel.setData(this._aSupportedTypes.filter(function(s){return f(a,s.key);}));},
formatItemConfig:function(C){var k=C.key;var t=C.value.type;var v=C.value.value;var o=this.getConfig();return[{label:this.getI18nProperty("BASE_EDITOR.MAP.KEY"),path:"key",value:k,type:"string",enabled:o.allowKeyChange,itemKey:k,allowBindings:false,validators:[{type:"isUniqueKey",config:{keys:function(){return Object.keys(this.getValue());}.bind(this),currentKey:function(p){return p.getValue();}}}]},{label:this.getI18nProperty("BASE_EDITOR.MAP.TYPE"),path:"type",value:t,type:"select",items:this._getAllowedTypes().map(function(k){return{key:k,title:this.getI18nProperty(S[k])};}.bind(this)),visible:o.allowTypeChange,itemKey:k,allowBindings:false},{label:this.getI18nProperty("BASE_EDITOR.MAP.VALUE"),path:"value",value:v,type:t,itemKey:k}];},
getExpectedWrapperCount:function(v){return this._processValue(v).length;},
processInputValue:function(v){return{value:v};},
processOutputValue:function(v){return v.value;},
_onRemoveElement:function(E){var k=E.getSource().getBindingContext("itemsModel").getObject().key;var v=this.getValue();this.setValue(e(v,k));var n=d(this.getDesigntimeMetadata());delete n[k];this.setDesigntimeMetadata(n);},
_onAddElement:function(){var p=_({},this.getValue());var k=this._getUniqueKey(p);p[k]=this.processOutputValue(this._getItemTemplate());this.setValue(p);},
_moveUp:function(E){var I=E.getSource().data("index");if(I>0){var v=this._itemsModel.getData();this._swapPositions(v[I].key,v[I-1].key);}},
_moveDown:function(E){var I=E.getSource().data("index");var v=this._itemsModel.getData();if(I<v.length-1){this._swapPositions(v[I].key,v[I+1].key);}},
_swapPositions:function(k,K){var n={};n[k]={__value:{position:this.getNestedDesigntimeMetadataValue(K).position}};n[K]={__value:{position:this.getNestedDesigntimeMetadataValue(k).position}};this.setDesigntimeMetadata(_({},this.getDesigntimeMetadata(),n));this.setValue(this.getValue());},
_getItemTemplate:function(){return{value:"",type:"string"};},
_isNewItem:function(I){return c(I.value,this._prepareInputValue(this.processOutputValue(this._getItemTemplate())));},
_getUniqueKey:function(p){var k="key";var I=0;while(p.hasOwnProperty(k)){k="key"+ ++I;}return k;},
_propertyEditorsChange:function(E){var p=E.getParameter("previousPropertyEditors");var P=E.getParameter("propertyEditors");if(Array.isArray(p)){p.forEach(function(o){o.detachValueChange(this._onItemChange,this);},this);}if(Array.isArray(P)){P.forEach(function(o){o.attachValueChange(this._onItemChange,this);},this);}},
_onItemChange:function(E){var k=E.getSource().getConfig().itemKey;var C=E.getParameter("path");var h=this.getItemChangeHandlers()[C];if(typeof h!=='function'){h=this._onFieldChange;}h.call(this,k,E);},
getItemChangeHandlers:function(){return{"key":this._onKeyChange,"type":this._onTypeChange};},
_onKeyChange:function(o,E){if(E.getParameter("previousValue")===undefined){return;}var a=_({},this.getValue());var n=E.getParameter("value");if(n!==o){var N={};Object.keys(a).forEach(function(I){var s=I===o?n:I;N[s]=a[I];});this._mTypes[n]=this._mTypes[o];delete this._mTypes[o];this.setValue(N);var D=_({},this.getConfig().designtime);if(D.hasOwnProperty(o)){D[n]=D[o];delete D[o];this.setDesigntimeMetadata(D);}}},
_onTypeChange:function(k,E){if(E.getParameter("previousValue")===undefined){return;}var o=_({},this.getValue());var n=E.getParameter("value");var I=this.processInputValue(o[k]);I.type=n;o[k]=this.processOutputValue(I);this._mTypes[k]=n;this.setValue(o);},
_onFieldChange:function(k,E){var o=_({},this.getValue());var p=E.getParameter("path");var v=E.getParameter("value");var I=this.processInputValue(o[k]);I[p]=v;o[k]=this.processOutputValue(I);this.setValue(o);},
renderer:B.getMetadata().getRenderer().render
});
M.configMetadata=Object.assign({},B.configMetadata,{allowKeyChange:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowTypeChange:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowAddAndRemove:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowedTypes:{defaultValue:["string"],mergeStrategy:"intersection"},allowSorting:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},includeInvalidEntries:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"}});return M;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/numberEditor/NumberEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/util/isValidBindingString","sap/base/util/restricted/_isNil","sap/ui/core/format/NumberFormat"],function(B,i,_,N){"use strict";
var a=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.numberEditor.NumberEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.numberEditor.NumberEditor",
invalidInputError:"BASE_EDITOR.NUMBER.INVALID_BINDING_OR_NUMBER",
renderer:B.getMetadata().getRenderer().render
});
a.prototype.getDefaultValidators=function(){return Object.assign({},B.prototype.getDefaultValidators.call(this),{isNumber:{type:"isNumber"}});};
a.configMetadata=Object.assign({},B.configMetadata);
a.prototype.formatValue=function(v){if(_(v)||i(v,false)){return v;}var n=parseFloat(v);if(!this.validateNumber(n)){return v;}return this.getFormatterInstance().format(n);};
a.prototype._onLiveChange=function(e){var n=this._parseLocalized(e.getParameter("newValue"));B.prototype.setValue.call(this,n);};
a.prototype.validateNumber=function(v){return!isNaN(v);};
a.prototype.getFormatterInstance=function(){return N.getFloatInstance();};
a.prototype._parseLocalized=function(v){if(!v||i(v,false)){return v;}var n=this.getFormatterInstance().parse(v);return n;};
return a;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/selectEditor/SelectEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/util/isValidBindingString"],function(B,i){"use strict";
var S=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.selectEditor.SelectEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.selectEditor.SelectEditor",
renderer:B.getMetadata().getRenderer().render
});
S.configMetadata=Object.assign({},B.configMetadata,{allowBindings:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowCustomValues:{defaultValue:false,mergeStrategy:"mostRestrictiveWins",mostRestrictiveValue:true}});
S.prototype.getDefaultValidators=function(){var c=this.getConfig();return Object.assign({},B.prototype.getDefaultValidators.call(this),{isValidBinding:{type:"isValidBinding",isEnabled:c.allowBindings},notABinding:{type:"notABinding",isEnabled:!c.allowBindings},isSelectedKey:{type:"isSelectedKey",config:{keys:function(p){return p.getConfig().items.map(function(I){return I.key;});}},isEnabled:!c.allowCustomValues}});};
S.prototype._onChange=function(){var c=this.getContent();var s=c.getSelectedKey();var v=c.getValue();this.setValue(s||v);};
S.prototype._getItemTitle=function(v){var I=this.getConfig()&&this.getConfig().items||[];var s=I.find(function(o){return o.key===v;});return(s||{}).title||v;};
return S;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/propertyEditor/stringEditor/StringEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/base/util/restricted/_isNil","sap/base/util/isPlainObject"],function(B,_,i){"use strict";
var S=B.extend("sap.ui.integration.designtime.baseEditor.propertyEditor.stringEditor.StringEditor",{
xmlFragment:"sap.ui.integration.designtime.baseEditor.propertyEditor.stringEditor.StringEditor",
renderer:B.getMetadata().getRenderer().render
});
S.configMetadata=Object.assign({},B.configMetadata,{enabled:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowBindings:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"}});
S.prototype.getDefaultValidators=function(){var c=this.getConfig();return Object.assign({},B.prototype.getDefaultValidators.call(this),{isValidBinding:{type:"isValidBinding",isEnabled:c.allowBindings},notABinding:{type:"notABinding",isEnabled:!c.allowBindings},maxLength:{type:"maxLength",isEnabled:typeof c.maxLength==="number",config:{maxLength:c.maxLength}}});};
S.prototype.setValue=function(v){if(!_(v)&&!i(v)){arguments[0]=v.toString();}B.prototype.setValue.apply(this,arguments);};
S.prototype._onLiveChange=function(){var I=this.getContent();this.setValue(I.getValue());};
return S;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/BaseDefaultValidatorModules',["sap/ui/integration/designtime/baseEditor/validator/NotABinding","sap/ui/integration/designtime/baseEditor/validator/IsValidBinding","sap/ui/integration/designtime/baseEditor/validator/IsSelectedKey","sap/ui/integration/designtime/baseEditor/validator/IsUniqueKey","sap/ui/integration/designtime/baseEditor/validator/IsNumber","sap/ui/integration/designtime/baseEditor/validator/IsInteger","sap/ui/integration/designtime/baseEditor/validator/IsBoolean","sap/ui/integration/designtime/baseEditor/validator/IsDate","sap/ui/integration/designtime/baseEditor/validator/IsStringList","sap/ui/integration/designtime/baseEditor/validator/IsUniqueList","sap/ui/integration/designtime/baseEditor/validator/MaxLength","sap/ui/integration/designtime/baseEditor/validator/IsPatternMatch"],function(N,I,a,b,c,d,e,f,g,h,M,i){"use strict";return{"notABinding":N,"isValidBinding":I,"isSelectedKey":a,"isUniqueKey":b,"isNumber":c,"isInteger":d,"isBoolean":e,"isDate":f,"isUniqueList":h,"isStringList":g,"maxLength":M,"pattern":i};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/StylesheetManager',["sap/ui/dom/includeStylesheet","sap/base/util/uid"],function(i,u){"use strict";var S="SUCCESS";var a="FAIL";var b="PENDING";var s={};
function l(F){var C={id:u(),status:b,counter:1};var p=new Promise(function(r,R){i(F,C.id,r,R);}).then(function(){var C=s[F];if(C.counter===0){d(F);}else{f(F,S);}}).catch(function(){f(F,a);return Promise.reject("File not found or some other network issue happened.");});C.promise=p;s=Object.assign({},s);s[F]=C;return C.promise;}
function d(F){var m=Object.assign({},s);var C=m[F];var E=document.getElementById(C.id);if(E&&E.parentNode){E.parentNode.removeChild(E);}delete m[F];s=m;}
function c(F){var D={};D[F]=Object.assign({},s[F]);D[F].counter++;s=Object.assign({},s,D);return s[F];}
function e(F){var D={};D[F]=Object.assign({},s[F]);D[F].counter--;s=Object.assign({},s,D);return s[F];}
function f(F,h){var D={};D[F]=Object.assign({},s[F]);D[F].status=h;s=Object.assign({},s,D);return s[F];}
function g(m){return sap.ui.require.toUrl(m)+".css";}
return{add:function(m){var F=g(m);var h=s[F];if(h){c(F);return h.promise;}return l(F);},remove:function(m){var F=g(m);var C=s[F];if(C){var U=e(F);if(U.counter===0&&U.status===S){d(F);}}}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/binding/ObjectBinding',["sap/ui/base/ManagedObject","sap/base/util/deepClone","sap/base/util/ObjectPath","sap/base/util/isPlainObject","sap/ui/base/BindingParser","sap/base/util/includes","sap/base/util/deepEqual"],function(M,d,O,i,B,a,b){"use strict";
var c=M.extend("sap.ui.integration.designtime.baseEditor.util.ObjectBinding",{
metadata:{properties:{object:{type:"object"},_value:{type:"any",hidden:true}},events:{change:{parameters:{path:{type:"string"},value:{type:"any"}}}}},
_originalObject:null
});
c.prototype.init=function(){this._aIgnoreList=[];this._oModelMap={};};
c.prototype.exit=function(){this._cleanup();};
c.prototype.setObject=function(o){this._setOriginalObject(o);this._init();return this;};
c.prototype._setObject=function(o){var C=d(o,50);return this.setProperty("object",C);};
c.prototype._setOriginalObject=function(o){this._originalObject=d(o,50);};
c.prototype._getOriginalObject=function(){return this._originalObject;};
c.prototype.setModel=function(m,n){var e=false;var E=Object.keys(this.oModels||{}).find(function(s){if(this.oModels[s]===m){e=true;return true;}return false;}.bind(this));this._oModelMap[n]=e?this._oModelMap[E]:n;var r=M.prototype.setModel.apply(this,arguments);this._init();return r;};
c.prototype.setBindingContext=function(){var r=M.prototype.setBindingContext.apply(this,arguments);this._init();return r;};
c.prototype._init=function(){this._cleanup();var o=this._getOriginalObject();if(o){this._setObject(o);this._createPropertyBindings(o);}};
c.prototype._cleanup=function(){if(this._mSimpleBindings){Object.keys(this._mSimpleBindings).forEach(function(k){var o=this._mSimpleBindings[k].binding;o.getModel().removeBinding(o);o.destroy();}.bind(this));}this._mSimpleBindings={};};
c.prototype._createPropertyBindings=function(o,p){Object.keys(o).filter(function(k){return!this.isIgnored(k);},this).forEach(function(k){var C=p?p+"/"+k:k;if(typeof o[k]==="string"){var e=B.complexParser(o[k]);if(e){if(e.parts){if(!e.parts.find(function(P){return!this.getModel(P.model);}.bind(this))){e.parts.forEach(function(P){this._createSimpleBinding(P,C,e);}.bind(this));}else{return;}}else if(this.getModel(e.model)){this._createSimpleBinding(e,C,e);}else{return;}this._updateValue([{path:C,bindingInfo:e}]);}}else if(o[k]&&(i(o[k])||Array.isArray(o[k]))){this._createPropertyBindings(o[k],C);}},this);};
c.prototype._updateValue=function(v){var C=[];v.forEach(function(u){var o=this.getObject();var p=u.path.split("/");var k=p.pop();if(p.length){o=O.get(p,o);}this.bindProperty("_value",d(u.bindingInfo));var V=d(this.getProperty("_value"));this.unbindProperty("_value");if(V!==o[k]&&(k!=="value"||!(o.value===undefined&&b(V,o.defaultValue)))){o[k]=V;C.push({path:u.path,value:V});}}.bind(this));if(C.length){this.fireChange({changes:C});}};
c.prototype._createSimpleBinding=function(s,C,o){var e=this.getBindingContext(s.model);var m=this._oModelMap[s.model];var f=this.oModels[s.model];var A=f.resolve(s.path,e);var h=m+">"+A;var g=this._mSimpleBindings[h];if(!g){g=this.getModel(s.model).bindProperty(s.path,e);this._mSimpleBindings[h]={binding:g,properties:[]};g.attachChange(function(){this._updateValue(this._mSimpleBindings[h].properties);}.bind(this));}this._mSimpleBindings[h].properties.push({path:C,bindingInfo:o});return g;};
c.prototype.addToIgnore=function(k){this._aIgnoreList=this._aIgnoreList.concat(k);this._init();};
c.prototype.removeFromIgnore=function(k){this._aIgnoreList=this._aIgnoreList.filter(function(I){return I!==k;});this._init();};
c.prototype.isIgnored=function(k){return a(this._aIgnoreList,k);};
return c;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/binding/resolveBinding',["sap/ui/integration/designtime/baseEditor/util/binding/ObjectBinding"],function(O){"use strict";return function(j,m,c,i){var o=new O();c=c||{};i=i||[];i.forEach(function(p){o.addToIgnore(p);});Object.keys(m).forEach(function(k){o.setModel(m[k],k===""?undefined:k);});Object.keys(c).forEach(function(k){o.setBindingContext(c[k],k===""?undefined:k);});o.setObject(j);var r=o.getObject();o.destroy();return r;};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/cleanupDesigntimeMetadata',["sap/base/util/restricted/_isNil","sap/base/util/each","sap/base/util/isPlainObject","sap/base/util/isEmptyObject"],function(_,e,i,a){"use strict";
function c(o){e(o,function(k,v){if(i(v)){c(v);}if(_(v)||Array.isArray(v)&&v.length===0||i(v)&&a(v)){delete o[k];}});}
return c;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/createPromise',function(){"use strict";return function(f){var c=false;var C;var a;var b;var p=new Promise(function(r,R){f(function(){if(!c){r.apply(this,arguments);}else if(a){a.apply(this,arguments);}},function(){if(!c){R.apply(this,arguments);}else if(b){b.apply(this,arguments);}});});return{promise:p,cancel:function(){c=true;if(!C){C=new Promise(function(r,R){a=r;b=R;});}return C;}};};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/escapeParameter',["sap/base/util/isPlainObject","sap/base/util/each"],function(i,e){"use strict";return function(a,v){v=v||function(){return true;};var A=Array.from(a);var s=typeof A[0]!=="string"&&A[0]!==undefined?0:1;if(i(A[s])){var S=Object.assign({},A[s]);e(S,function(k,V){if(i(V)&&v(V,k)){S[k]=Object.assign({},V,{ui5object:true});}});A[s]=S;}return A;};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/findClosestInstance',function(){"use strict";return function(c,C){function f(c){if(c){if(c.isA(C)){return c;}else{return f(c.getParent());}}}return f(c);};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/hasTag',["sap/base/util/restricted/_intersection"],function(_){"use strict";return function hasTag(c,t){var T=[].concat(t);return(Array.isArray(c.tags)&&_(T,c.tags).length===T.length);};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/isTemplate',function(){"use strict";
function i(c,a){var p=c.sParentAggregationName;var P=c.getParent();if(a&&P===a){return false;}if(P&&p){var b=P.getBindingInfo(p);if(b&&c instanceof b.template.getMetadata().getClass()){return false;}else{return i(P,a);}}return true;}
return i;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/isValidBindingString',["sap/ui/base/BindingParser"],function(B){"use strict";
function i(I,a){var p;try{var e=I.replace(/{{([^{]*)}}/g,function(f,s){if(i(s)){return"${}";}throw"Invalid binding string";});p=B.complexParser(e);}catch(E){return false;}return a!==false?true:!!p;}
return i;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/util/unset',["sap/base/util/ObjectPath","sap/base/util/isPlainObject","sap/base/util/isEmptyObject"],function(O,i,a){"use strict";
function u(o,p,m){var c=p.slice(0,-1);var C=c.length>0?O.get(c,o):o;var k=p[p.length-1];if(Array.isArray(C)){C.splice(k,1);}else{delete C[k];}return(c.length>0&&!(m<=0)&&((Array.isArray(C)&&C.length===0)||(i(C)&&a(C)))?u(o,c,m?m-1:undefined):o);}
return u;});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsBoolean',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding","sap/base/util/restricted/_isNil"],function(I,_){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.NOT_A_BOOLEAN",validate:function(v){return _(v)||typeof v==="boolean"||I.validate(v,{allowPlainStrings:false});}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsDate',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(I){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.INVALID_DATE",validate:function(d){var D=new Date(d);return d===undefined||I.validate(d,{allowPlainStrings:false})||(D&&!isNaN(new Date(D).getTime()));}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsInteger',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(I){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.NOT_AN_INTEGER",validate:function(v){return v===undefined||I.validate(v,{allowPlainStrings:false})||(!isNaN(v)&&Number.isInteger(v));}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsNumber',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(I){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.NOT_A_NUMBER",validate:function(v){return v===undefined||I.validate(v,{allowPlainStrings:false})||!isNaN(v);}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsPatternMatch',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(I){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.FAILED_PATTERN_TEST",validate:function(v,c){var m=c.modifiers||"";var r=new RegExp(c.pattern,m);var e=c.exactMatch!==false;if(v===undefined){return true;}var i;if(e){var M=v.match(r);i=M&&v===M[0];}else{i=r.test(v);}return i||I.validate(v,{allowPlainStrings:false});}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsSelectedKey',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(I){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.FORBIDDEN_CUSTOM_VALUE",validate:function(v,c){return v===undefined||(c.keys||[]).includes(v)||I.validate(v,{allowPlainStrings:false});}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsStringList',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding"],function(I){"use strict";return{async:false,errorMessage:I.errorMessage,validate:function(v){return v===undefined||v.every(function(i){return I.validate(i);});}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsUniqueKey',["sap/base/util/includes"],function(i){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.DUPLICATE_KEY",validate:function(v,c){return(c.currentKey===undefined||!i(c.keys,v)||v===undefined||v===c.currentKey);}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsUniqueList',["sap/base/util/restricted/_uniq"],function(_){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.DUPLICATE_ENTRY",validate:function(v){return v===undefined||v.length===_(v).length;}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/IsValidBinding',["sap/ui/integration/designtime/baseEditor/util/isValidBindingString"],function(i){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.INVALID_BINDING",validate:function(v,c){var a=(c||{}).allowPlainStrings!==false;return v===undefined||v===""||i(v.toString(),a);}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/MaxLength',["sap/ui/integration/designtime/baseEditor/validator/IsValidBinding","sap/base/util/restricted/_isNil"],function(I,_){"use strict";return{async:false,errorMessage:{message:"BASE_EDITOR.VALIDATOR.MAX_LENGTH",placeholders:function(c){return[c.maxLength];}},validate:function(v,c){return _(v)||(typeof v==="string"&&v.length<=c.maxLength)||I.validate(v,{allowPlainStrings:false});}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/NotABinding',["sap/ui/integration/designtime/baseEditor/util/isValidBindingString"],function(i){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.FORBIDDEN_BINDING",validate:function(v){return!i(v,false);}};});
sap.ui.predefine('sap/ui/integration/designtime/baseEditor/validator/ValidatorRegistry',["sap/base/util/includes","sap/base/util/values","sap/base/util/restricted/_CancelablePromise"],function(i,v,_){"use strict";var V={};var o={};var l={};
V.registerValidators=function(n){Object.keys(n).forEach(function(N){if(!this.hasValidator(N)){l[N]=new _(function(r,a,b){b(function(){delete l[N];});b.shouldReject=false;sap.ui.require([n[N]],r,a);});l[N].then(function(a){o[N]=a;delete l[N];});}}.bind(this));};
V.ready=function(){return Promise.all(v(l));};
V.deregisterValidator=function(n){if(o[n]){delete o[n];}if(l[n]){l[n].cancel();}};
V.deregisterAllValidators=function(){Object.keys(l).forEach(function(n){this.deregisterValidator(n);}.bind(this));o={};};
V.getValidator=function(n){var a=o[n];if(!a){throw new Error("Validator "+n+" was not registered.");}return a;};
V.hasValidator=function(n){return i(Object.keys(o),n);};
V.isRegistered=function(n){return i(Object.keys(l),n);};
return V;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/CardEditor',["sap/base/util/restricted/_CancelablePromise","sap/base/util/restricted/_isEqual","sap/base/util/restricted/_omit","sap/base/util/restricted/_toArray","sap/base/util/deepEqual","sap/base/util/each","sap/base/util/merge","sap/base/util/deepClone","sap/base/util/ObjectPath","sap/ui/integration/designtime/baseEditor/BaseEditor","sap/ui/integration/util/CardMerger","sap/ui/thirdparty/jquery","./config/index"],function(C,_,a,b,d,e,m,c,O,B,f,q,D){"use strict";
var g=B.extend("sap.ui.integration.designtime.cardEditor.CardEditor",{
metadata:{properties:{layout:{type:"string",defaultValue:"form"},designtimeChanges:{type:"array",defaultValue:[]}}},
constructor:function(p){p=p||{};B.prototype.constructor.apply(this,arguments);if(!p["config"]){this.addConfig(D,true);}},
renderer:B.getMetadata().getRenderer()
});
function h(o,l,n,K,v){if(!o[l]){o[l]={};}if(!o[l][n]){o[l][n]={};}o[l][n][K]=v;}
function i(J,I){var n="sap.card";var o=O.get([n,"configuration"],J);var l=O.get([n,"configuration"],I);if(d(o,l)){return undefined;}var p={};e(o,function(r,u){e(u,function(N,S){if(!l[r][N]){p[r]=p[r]||{};p[r][N]=S;}else{e(S,function(K,v){if(l[r][N][K]!==v){h(p,r,N,K,v);}});}});});return{configuration:p};}
g.prototype.init=function(){B.prototype.init.apply(this,arguments);this.attachJsonChange(function(E){if(!this._oInitialJson){this._oInitialJson=E.getParameter("json");}},this);};
g.prototype.setJson=function(){B.prototype.setJson.apply(this,arguments);var J=this.getJson();var l=O.get(["sap.app","id"],J);if(this._bDesigntimeInit&&this._bCardId!==l){if(this._oDesigntimePromise){this._oDesigntimePromise.cancel();}delete this._bCardId;delete this._bDesigntimeInit;}if(!this._bDesigntimeInit){this._bDesigntimeInit=true;this._bCardId=l;var n=s(O.get(["sap.card","designtime"],J)||"");var o=s(O.get(["baseURL"],J)||"");if(o&&n){var p={};var S=s(o);p[l]=S;sap.ui.loader.config({paths:p});var r=t(n);var u=l+"/"+r;var E=u+"/editor.config";var v=S+"/"+r+"/metadata.json";this._oDesigntimePromise=new C(function(R){Promise.all([new Promise(function(w){sap.ui.require([E],w,function(){return{};});}),new Promise(function(w){q.getJSON(v).done(w).fail(function(){w({});});})]).then(R);});this._oDesigntimePromise.then(function(w){var x=m({},w[0]);x.i18n=b(x.i18n);x.i18n.push(u+"/i18n.properties");this._addSpecificConfig(m({},x));var y=w[1];y=f.mergeCardDesigntimeMetadata(y,this.getDesigntimeChanges());this._oInitialDesigntimeMetadata=y;this.setDesigntimeMetadata(j(y),true);}.bind(this));}}};
g.prototype.setDesigntimeChanges=function(l){if(this._oInitialDesigntimeMetadata){throw Error("Designtime Changes can only be set initially");}this.setProperty("designtimeChanges",l);};
function j(F){var o={};Object.keys(F).forEach(function(p){O.set(p.split("/"),{__value:c(F[p])},o);});return o;}
function s(p){return p.trim().replace(/\/*$/,"");}
function t(p){return p.replace(/^\.\//,"");}
g.prototype.getChanges=function(p){return Promise.all([this.getDeltaChangeDefinition(p).catch(function(){return;}),this.getDesigntimeChangeDefinition(p).catch(function(){return;})]).then(function(l){if(l[0]===undefined&&l[1]===undefined){return Promise.reject("No changes");}return{runtimeChange:l[0],designtimeChange:l[1]};});};
function k(p){return new Promise(function(r){sap.ui.require(["sap/ui/fl/Change"],function(l){var o=l.createInitialFileContent(p);o.creation=new Date().toISOString();r(o);});});}
g.prototype.getDesigntimeChangeDefinition=function(p){var l=[];var o=Object.assign({},this._oInitialDesigntimeMetadata);var n=this._formatExportedDesigntimeMetadata(this.getDesigntimeMetadata());e(n,function(K,v){if(o.hasOwnProperty(K)){if(!_(o[K],v)){l.push({propertyPath:K,operation:"UPDATE",propertyValue:v});}delete o[K];}else{l.push({propertyPath:K,operation:"INSERT",propertyValue:v});}});e(o,function(K){l.push({propertyPath:K,operation:"DELETE"});});if(!l.length){return Promise.reject("No Change");}this._oInitialDesigntimeMetadata=n;var r=this.getJson();var P=m({},a(p,["oldValue","newValue"]));P.content={entityPropertyChange:l};P.changeType="appdescr_card_designtime";P.generator="CardEditor";P.selector={};P.reference=O.get(["sap.app","id"],r);return k(P);};
g.prototype.getDeltaChangeDefinition=function(p){var o=this.getJson();var P=m({},p);P.content=i(o,this._oInitialJson);if(!P.content){return Promise.reject("No Change");}this._oInitialJson=o;P.changeType=o.hasOwnProperty("sap.card")?"appdescr_card":"appdescr_widget";P.generator="CardEditor";P.selector={};P.reference=O.get(["sap.app","id"],o);return k(P);};
return g;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/PropertyEditor',["sap/ui/integration/designtime/baseEditor/PropertyEditor"],function(P){"use strict";return P;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/PropertyEditors',["sap/ui/integration/designtime/baseEditor/PropertyEditors"],function(P){"use strict";return P;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/generateActionConfig',["sap/base/util/restricted/_merge"],function(_){"use strict";return function(c){return _({},{"label":"{i18n>CARD_EDITOR.ACTIONS}","type":"array","itemLabel":"{type}","addItemLabel":"{i18n>CARD_EDITOR.ACTION}","template":{"enabled":{"label":"{i18n>CARD_EDITOR.ACTION.ENABLED}","type":"boolean","defaultValue":true,"path":"enabled"},"type":{"label":"{i18n>CARD_EDITOR.LABEL.TYPE}","type":"select","items":[{"key":"Navigation"}],"path":"type","visible":"{= !!${enabled}}"},"service":{"label":"{i18n>CARD_EDITOR.ACTION.SERVICE}","type":"string","path":"service","visible":false},"parameters":{"label":"{i18n>CARD_EDITOR.PARAMETERS}","type":"map","allowedTypes":["string","number","boolean"],"path":"parameters","visible":"{= !!${enabled}}"},"url":{"label":"{i18n>CARD_EDITOR.LABEL.URL}","type":"string","path":"url","visible":"{= !!${enabled} && ${type} === 'Navigation'}"},"target":{"label":"{i18n>CARD_EDITOR.TARGET}","type":"select","items":[{"key":"_blank","description":"{i18n>CARD_EDITOR.TARGET.BLANK}"},{"key":"_self","description":"{i18n>CARD_EDITOR.TARGET.SELF}"}],"defaultValue":"_blank","path":"target","visible":"{= !!${enabled} && ${type} === 'Navigation' && !!${url}}"}}},c);};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/propertyEditor/complexMapEditor/ComplexMapEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/base/util/restricted/_omit","sap/base/util/restricted/_merge","sap/base/util/deepClone"],function(B,_,a,d){"use strict";
var C=B.extend("sap.ui.integration.designtime.cardEditor.propertyEditor.complexMapEditor.ComplexMapEditor",{
xmlFragment:"sap.ui.integration.designtime.cardEditor.propertyEditor.complexMapEditor.ComplexMapEditor",
renderer:B.getMetadata().getRenderer().render
});
C.configMetadata=Object.assign({},B.configMetadata,{allowKeyChange:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},allowAddAndRemove:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"},keyLabel:{defaultValue:"{i18n>CARD_EDITOR.COMPLEX_MAP.KEY}"}});
C.prototype.onFragmentReady=function(){this._oNestedArrayEditor=this.getContent();this._oNestedArrayEditor.attachValueChange(function(e){var p=e.getParameter("previousValue")||[];var v=d(e.getParameter("value")||[]);var n={};var D=this.getDesigntimeProperties();v=v.map(function(V,i){if(typeof V.key==="undefined"){var k="key";var b=0;var c=function(E){return E.key===k;};while(v.some(c)){k="key"+ ++b;}V.key=k;}var o={};D.forEach(function(P){o[P]=d(V[P]);});n[V.key]={__value:o};return _(V,D);});var N=this._processOutputValue(v);p.forEach(function(P){var o=P.key;if(o!==undefined&&!N.hasOwnProperty(o)){n[o]=null;}});this.setValue(N);this.setDesigntimeMetadata(a({},this.getConfig().designtime,n));},this);};
C.prototype._processInputValue=function(v){var D=this.getDesigntimeProperties();if(!v){v={};}var f=Object.keys(v).map(function(k){var F=d(v[k]);F.key=k;var o=this.getNestedDesigntimeMetadataValue(k);D.forEach(function(p){F[p]=o[p];});return F;}.bind(this));return f;};
C.prototype.getDesigntimeProperties=function(){return[];};
C.prototype.onBeforeConfigChange=function(c){var t={};if(c["allowKeyChange"]){t={key:{label:c["keyLabel"],type:"string",path:"key",validators:{uniqueKey:{type:"isUniqueKey",config:{keys:function(){return Object.keys(this.getValue());}.bind(this),currentKey:function(p){return p.getValue();}}}}}};}var A=a({},{template:t,allowSorting:false},c,{type:"array",path:""});if(this.isReady()){this._oNestedArrayEditor.setConfig(A);}else{this.ready().then(function(A){this._oNestedArrayEditor.setConfig(A);}.bind(this,A));}return c;};
C.prototype.setValue=function(v){var f=this._processInputValue(v);if(this.isReady()){this._oNestedArrayEditor.setValue(f);}else{this.ready().then(function(f){this._oNestedArrayEditor.setValue(f);}.bind(this,f));}B.prototype.setValue.call(this,v);};
C.prototype._processOutputValue=function(v){var f={};v.forEach(function(V){f[V.key]=_(V,"key");});return f;};
return C;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/propertyEditor/destinationsEditor/DestinationsEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/cardEditor/propertyEditor/complexMapEditor/ComplexMapEditor","sap/base/util/restricted/_merge"],function(B,C,_){"use strict";
var D=C.extend("sap.ui.integration.designtime.cardEditor.propertyEditor.destinationsEditor.DestinationsEditor",{renderer:B.getMetadata().getRenderer().render});
D.configMetadata=Object.assign({},C.configMetadata,{allowedValues:{defaultValue:[],mergeStrategy:"intersection"}});
D.prototype.getDesigntimeProperties=function(){return[].concat(C.prototype.getDesigntimeProperties.call(this),["label"]);};
D.prototype.onBeforeConfigChange=function(c){var o={};if(c["allowKeyChange"]){o={template:{label:{label:this.getI18nProperty("CARD_EDITOR.LABEL"),type:"string",path:"label"},name:{label:this.getI18nProperty("CARD_EDITOR.DESTINATION.NAME"),type:"select",path:"name",items:(c["allowedValues"]||[]).map(function(k){return{key:k};}),allowCustomValues:true,allowBindings:false},defaultUrl:{label:this.getI18nProperty("CARD_EDITOR.DESTINATION.DEFAULT_URL"),type:"string",path:"defaultUrl"}}};}else{o={collapsibleItems:false,showItemLabel:false,template:{name:{label:"{= ${label} || ${key}}",type:"select",path:"name",items:(c["allowedValues"]||[]).map(function(k){return{key:k};}),allowCustomValues:false,allowBindings:false}}};}var a=_({},o,c);return C.prototype.onBeforeConfigChange.call(this,a);};
return D;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/propertyEditor/iconEditor/IconEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/util/isValidBindingString","sap/ui/core/Fragment",'sap/ui/unified/ColorPickerPopover','sap/ui/unified/library',"sap/ui/model/json/JSONModel","sap/base/util/deepClone","sap/base/util/isPlainObject","sap/base/util/isEmptyObject","sap/base/util/restricted/_omit","sap/ui/core/IconPool"],function(B,i,F,C,U,J,d,a,b,_,I){"use strict";
var c=B.extend("sap.ui.integration.designtime.cardEditor.propertyEditor.iconEditor.IconEditor",{
xmlFragment:"sap.ui.integration.designtime.cardEditor.propertyEditor.iconEditor.IconEditor",
renderer:B.getMetadata().getRenderer().render
});
var o={config:{type:"simpleicon"},key:"src"};var t={config:{type:"string",maxLength:2,validators:{isAlphabetic:{type:"pattern",config:{pattern:"^[A-Za-z]*$"},errorMessage:"CARD_EDITOR.VALIDATOR.NOT_AN_ALPHABETIC"}}},key:"text"};var p={config:{type:"string"},key:"src"};var D={type:"icon",src:"",shape:"Circle",alt:"",text:"",backgroundColor:"",color:""};var e=U.ColorPickerMode;var f=U.ColorPickerDisplayMode;
c.prototype.init=function(){this._oIconModel=new J(d(D));this._oIconModel.setDefaultBindingMode("OneWay");this.setModel(this._oIconModel,"icon");this._oConfigsModel=new J({selectConfig:{type:"select",items:[],allowBindings:false},valueConfig:o});this._oConfigsModel.setDefaultBindingMode("OneWay");this.setModel(this._oConfigsModel,"configs");this._oSettingsModel=new J({shapes:[],altVisible:true,backgroundColorVisible:false,colorVisible:false});this._oSettingsModel.setDefaultBindingMode("OneWay");this.setModel(this._oSettingsModel,"settings");this.attachModelContextChange(function(){if(this.getModel("i18n")){var h=d(this._oConfigsModel.getData());h.selectConfig.items=[{"key":"icon","title":this.getI18nProperty("BASE_EDITOR.ICON.TYPE_ICON")},{"key":"text","title":this.getI18nProperty("BASE_EDITOR.ICON.SETTINGS_DIALOG_TEXT_LABEL")},{"key":"picture","title":this.getI18nProperty("BASE_EDITOR.ICON.TYPE_PICTURE")}];this._oConfigsModel.setData(h);var j=d(this._oSettingsModel.getData());j.shapes=[{key:"Square",text:this.getI18nProperty("BASE_EDITOR.ICON.SETTINGS_DIALOG_SHAPE_SQUARE")},{key:"Circle",text:this.getI18nProperty("BASE_EDITOR.ICON.SETTINGS_DIALOG_SHAPE_CIRCLE")}];this._oSettingsModel.setData(j);}},this);};
c.prototype.getExpectedWrapperCount=function(){return 2;};
c.prototype.setValue=function(v){var n=b(v)?undefined:v;B.prototype.setValue.call(this,n);this._oIconModel.setData(Object.assign({},this._oIconModel.getData(),v,{type:this.getDesigntimeMetadataValue().type||g(v)}));};
function g(v){if(a(v)){if(v.src){if(v.backgroundColor||v.color||(I.isIconURI(v.src)&&!!I.getIconInfo(v.src))||i(v.src,false)){return"icon";}else{return"picture";}}else if(v.text){return"text";}}return D.type;}
c.prototype._prepareValue=function(k,h){return h[k];};
c.prototype._onTypeChange=function(E){var h;var T=E.getSource().getValue();switch(T){case"icon":h=o;this._oSettingsModel.setProperty("/altVisible",true);break;case"text":h=t;this._oSettingsModel.setProperty("/altVisible",false);break;case"picture":h=p;this._oSettingsModel.setProperty("/altVisible",true);break;}this._oConfigsModel.setData(Object.assign({},this._oConfigsModel.getData(),{valueConfig:h}));this.setDesigntimeMetadataValue({type:T});this.setValue(this._processOutputValue(this._oIconModel.getData()));};
c.prototype._updateValue=function(E){var k=this._oConfigsModel.getData().valueConfig.key;var n={};n[k]=E.getSource().getValue();var N=Object.assign({},this._oIconModel.getData(),n);this.setValue(this._processOutputValue(N));};
c.prototype._handleSettings=function(){this._oOldData=d(this.getModel("icon").getData());if(!this._oSettingsDialog){return F.load({name:"sap.ui.integration.designtime.cardEditor.propertyEditor.iconEditor.IconEditorSettingsDialog",controller:this}).then(function(h){this._oDialogModel=new J(this._oOldData);this._oSettingsDialog=h;this._oSettingsDialog.setModel(this._oDialogModel,"data");this.addDependent(this._oSettingsDialog);this._oSettingsDialog.open();return this._oSettingsDialog;}.bind(this));}else{this._oSettingsDialog.open();this._oDialogModel.setData(this._oOldData);return Promise.resolve(this._oSettingsDialog);}};
c.prototype._onSettingsSave=function(){this._oSettingsDialog.close();this.setValue(this._processOutputValue(this._oDialogModel.getData()));};
c.prototype._onSettingsCancel=function(){this._oSettingsDialog.close();};
c.prototype._processOutputValue=function(v){var T=this.getDesigntimeMetadataValue().type;var O=["type"];Object.keys(v).forEach(function(k){if(!v[k]||v[k]===D[k]){O.push(k);}});switch(T){case"icon":O.push("text");if(!v["src"]){O.push("shape","alt","backgroundColor","color");}break;case"picture":O.push("text","backgroundColor","color");if(!v["src"]){O.push("shape","alt");}break;case"text":O.push("src","alt");if(!v["text"]){O.push("shape","backgroundColor","color");}break;}return _(v,O);};
c.prototype._openColorPickerPopup=function(E){this._inputId=E.getSource().getId();if(!this.oColorPickerSimplifiedPopover){this.oColorPickerSimplifiedPopover=new C("oColorPickerSimpplifiedPopover",{colorString:"blue",displayMode:f.Simplified,mode:e.HSL,change:this._handleColorPickerChange.bind(this)});}this.oColorPickerSimplifiedPopover.openBy(E.getSource());};
c.prototype._handleColorPickerChange=function(E){var h=sap.ui.getCore().byId(this._inputId);h.setValue(E.getParameter("hex"));h.setValueState("None");this._inputId="";};
c.prototype.getFocusDomRef=function(){return this.getContent().getItems()[0].getContent()[0].getFocusDomRef();};
c.prototype.getIdForLabel=function(){return this.getContent().getItems()[0].getContent()[0].getIdForLabel();};
return c;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/propertyEditor/parametersEditor/ParametersEditor',["sap/ui/integration/designtime/baseEditor/propertyEditor/BasePropertyEditor","sap/ui/integration/designtime/baseEditor/propertyEditor/mapEditor/MapEditor","sap/base/util/includes","sap/base/util/restricted/_merge"],function(B,M,i,_){"use strict";
var P=M.extend("sap.ui.integration.designtime.cardEditor.propertyEditor.parametersEditor.ParametersEditor",{renderer:B.getMetadata().getRenderer().render});
P.configMetadata=Object.assign({},M.configMetadata,{allowLabelChange:{defaultValue:true,mergeStrategy:"mostRestrictiveWins"}});
P.prototype.formatItemConfig=function(c){var m=M.prototype.formatItemConfig.apply(this,arguments);var k=c.key;var I=this.getNestedDesigntimeMetadataValue(k);var l=I.label;m.splice(1,0,{label:this.getI18nProperty("CARD_EDITOR.LABEL"),path:"label",value:l,placeholder:l?undefined:k,type:"string",enabled:this.getConfig().allowLabelChange,itemKey:k});return m;};
P.prototype.processInputValue=function(v){return v;};
P.prototype.processOutputValue=function(v){return v;};
P.prototype._configItemsFormatter=function(I){return Array.isArray(I)?I.map(function(o){var a=this.getNestedDesigntimeMetadataValue(o.key);var c=_({},o.value,a);if(!c.label){c.label=o.key;}c.itemKey=o.key;c.path="value";c.designtime=this.getNestedDesigntimeMetadata(o.key);return c;}.bind(this)):[];};
P.prototype.getItemChangeHandlers=function(){return Object.assign({},M.prototype.getItemChangeHandlers.apply(this,arguments),{label:this._onDesigntimeChange});};
P.prototype._onDesigntimeChange=function(k,e){var d=_({},this.getConfig().designtime);var n={__value:{}};n.__value[e.getParameter("path")]=e.getParameter("value");d[k]=_({},d[k],n);this.setDesigntimeMetadata(d);this.setValue(this.getValue());};
P.prototype.onBeforeConfigChange=function(c){if(!c.allowTypeChange&&!c.allowKeyChange){this.setFragment("sap.ui.integration.designtime.cardEditor.propertyEditor.parametersEditor.ParametersConfigurationEditor",function(){return 1;});}return c;};
P.prototype._isValidItem=function(I,o){var t=o.type;var v=o.value;var a=this._getAllowedTypes();return(t&&i(a,t)||typeof v==="string"&&i(a,"string"));};
return P;});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/util/CommonPatterns',function(){"use strict";return{email:new RegExp(/^(?:(?:(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*"))*@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+|(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")*\<(?:@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+(?:,@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+)*:)?(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*"))*@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+\>)|(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")*:(?:(?:(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*"))*@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+|(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")*\<(?:@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+(?:,@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+)*:)?(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*"))*@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+\>)(?:,\s*(?:(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*"))*@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+|(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")*\<(?:@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+(?:,@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+)*:)?(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*")(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|"(?:[^\"\r\\]|\\.)*"))*@(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\])(?:\.(?:[^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031-][^()<>@,;:\\".\[\]!~*'&=$?\/ \000-\031]*(?:$|(?=[\["()<>@,;:\\".\[\]]))|\[(?:[^\[\]\r\\]|\\.)*\]))+\>))*)?;\s*)$/).source};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/validator/IsPatternMatchList',["sap/ui/integration/designtime/baseEditor/validator/IsPatternMatch"],function(I){"use strict";return{async:false,errorMessage:"BASE_EDITOR.VALIDATOR.FAILED_PATTERN_TEST",validate:function(v,c){return(v||[]).every(function(V){return I.validate(V,c);});}};});
sap.ui.predefine('sap/ui/layout/Grid',['sap/ui/core/Control','./library','sap/ui/Device','sap/ui/core/ResizeHandler','sap/ui/base/ManagedObjectObserver',"./GridRenderer","sap/ui/thirdparty/jquery"],function(C,l,D,R,M,G,q){"use strict";
var a=C.extend("sap.ui.layout.Grid",{metadata:{library:"sap.ui.layout",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},vSpacing:{type:"float",group:"Dimension",defaultValue:1},hSpacing:{type:"float",group:"Dimension",defaultValue:1},position:{type:"sap.ui.layout.GridPosition",group:"Dimension",defaultValue:"Left"},defaultSpan:{type:"sap.ui.layout.GridSpan",group:"Behavior",defaultValue:"XL3 L3 M6 S12"},defaultIndent:{type:"sap.ui.layout.GridIndent",group:"Behavior",defaultValue:"XL0 L0 M0 S0"},containerQuery:{type:"boolean",group:"Behavior",defaultValue:false}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},designtime:"sap/ui/layout/designtime/Grid.designtime"}});
(function(){
a.prototype.init=function(){var c=l.GridHelper.getLibrarySpecificClass();if(c){this.addStyleClass(c);}this._iBreakPointTablet=D.media._predefinedRangeSets[D.media.RANGESETS.SAP_STANDARD_EXTENDED].points[0];this._iBreakPointDesktop=D.media._predefinedRangeSets[D.media.RANGESETS.SAP_STANDARD_EXTENDED].points[1];this._iBreakPointLargeDesktop=D.media._predefinedRangeSets[D.media.RANGESETS.SAP_STANDARD_EXTENDED].points[2];this._indentXLChanged=false;this._spanXLChanged=false;this._oObserver=new M(a.prototype._observeChanges.bind(this));this._oObserver.observe(this,{aggregations:["content"]});};
a.prototype.onAfterRendering=function(){if(this.getContainerQuery()){this._sContainerResizeListener=R.register(this,q.proxy(this._onParentResize,this));this._onParentResize();}else{this._attachMediaContainerWidthChange(this._handleMediaChange,this,D.media.RANGESETS.SAP_STANDARD_EXTENDED);}};
a.prototype.onBeforeRendering=function(){this._cleanup();};
a.prototype.exit=function(){this._cleanup();if(this._oObserver){this._oObserver.disconnect();this._oObserver=null;}};
a.prototype._cleanup=function(){if(this._sContainerResizeListener){R.deregister(this._sContainerResizeListener);this._sContainerResizeListener=null;}this._detachMediaContainerWidthChange(this._handleMediaChange,this,D.media.RANGESETS.SAP_STANDARD_EXTENDED);};
a.prototype._observeVisibility=function(c){this._oObserver.observe(c,{properties:["visible"]});};
a.prototype._unobserveVisibility=function(c){this._oObserver.unobserve(c,{properties:["visible"]});};
a.prototype._observeChanges=function(c){var o=c.object,s=c.name,m=c.mutation,b=c.child;if(o===this){if(m==="insert"){this._observeVisibility(b);}else if(m==="remove"){this._unobserveVisibility(b);}}else if(s==="visible"){var e=this.getContent().indexOf(o);q(this.$().children()[e]).toggleClass("sapUiRespGridSpanInvisible",!c.current);}};
a.prototype._handleMediaChange=function(p){this._toggleClass(p.name);};
a.prototype._setBreakPointTablet=function(b){this._iBreakPointTablet=b;};
a.prototype._setBreakPointDesktop=function(b){this._iBreakPointDesktop=b;};
a.prototype._setBreakPointLargeDesktop=function(b){this._iBreakPointLargeDesktop=b;};
a.prototype.setDefaultIndent=function(d){if(/XL/gi.test(d)){this._setIndentXLChanged(true);}return this.setProperty("defaultIndent",d);};
a.prototype._setIndentXLChanged=function(c){this._indentXLChanged=c;};
a.prototype._getIndentXLChanged=function(){return this._indentXLChanged;};
a.prototype.setDefaultSpan=function(d){if(/XL/gi.test(d)){this._setSpanXLChanged(true);}return this.setProperty("defaultSpan",d);};
a.prototype._setSpanXLChanged=function(c){this._spanXLChanged=c;};
a.prototype._getSpanXLChanged=function(){return this._spanXLChanged;};
a.prototype._onParentResize=function(){var d=this.getDomRef();if(!d){this._cleanup();return;}if(!q(d).is(":visible")){return;}var c=d.clientWidth;if(c<=this._iBreakPointTablet){this._toggleClass("Phone");}else if((c>this._iBreakPointTablet)&&(c<=this._iBreakPointDesktop)){this._toggleClass("Tablet");}else if((c>this._iBreakPointDesktop)&&(c<=this._iBreakPointLargeDesktop)){this._toggleClass("Desktop");}else{this._toggleClass("LargeDesktop");}};
a.prototype._toggleClass=function(m){var d=this.$();if(!d){return;}if(d.hasClass("sapUiRespGridMedia-Std-"+m)){return;}d.toggleClass("sapUiRespGridMedia-Std-"+m,true);if(m==="Phone"){d.toggleClass("sapUiRespGridMedia-Std-Desktop",false).toggleClass("sapUiRespGridMedia-Std-Tablet",false).toggleClass("sapUiRespGridMedia-Std-LargeDesktop",false);}else if(m==="Tablet"){d.toggleClass("sapUiRespGridMedia-Std-Desktop",false).toggleClass("sapUiRespGridMedia-Std-Phone",false).toggleClass("sapUiRespGridMedia-Std-LargeDesktop",false);}else if(m==="LargeDesktop"){d.toggleClass("sapUiRespGridMedia-Std-Desktop",false).toggleClass("sapUiRespGridMedia-Std-Phone",false).toggleClass("sapUiRespGridMedia-Std-Tablet",false);}else{d.toggleClass("sapUiRespGridMedia-Std-Phone",false).toggleClass("sapUiRespGridMedia-Std-Tablet",false).toggleClass("sapUiRespGridMedia-Std-LargeDesktop",false);}this.fireEvent("mediaChanged",{media:m});};
a.prototype._getLayoutDataForControl=function(c){var L=c.getLayoutData();if(!L){return undefined;}else if(L instanceof sap.ui.layout.GridData){return L;}else if(L.isA("sap.ui.core.VariantLayoutData")){var b=L.getMultipleLayoutData();for(var i=0;i<b.length;i++){var o=b[i];if(o instanceof sap.ui.layout.GridData){return o;}}}};
a.prototype.onLayoutDataChange=function(e){if(this.getDomRef()){this.invalidate();}};
a.prototype._getAccessibleRole=function(){return null;};
a.prototype.getAccessibilityInfo=function(){return{children:this.getContent().filter(function(c){return c.$().is(':visible');})};};
}());return a;});
sap.ui.predefine('sap/ui/layout/GridData',['sap/ui/core/LayoutData','./library',"sap/base/Log"],function(L,l,a){"use strict";
var G=L.extend("sap.ui.layout.GridData",{metadata:{library:"sap.ui.layout",properties:{span:{type:"sap.ui.layout.GridSpan",group:"Behavior",defaultValue:null},spanXL:{type:"int",group:"Behavior",defaultValue:null},spanL:{type:"int",group:"Behavior",defaultValue:null},spanM:{type:"int",group:"Behavior",defaultValue:null},spanS:{type:"int",group:"Behavior",defaultValue:null},indent:{type:"sap.ui.layout.GridIndent",group:"Behavior",defaultValue:null},indentXL:{type:"int",group:"Behavior",defaultValue:null},indentL:{type:"int",group:"Behavior",defaultValue:null},indentM:{type:"int",group:"Behavior",defaultValue:null},indentS:{type:"int",group:"Behavior",defaultValue:null},visibleXL:{type:"boolean",group:"Behavior",defaultValue:true},visibleL:{type:"boolean",group:"Behavior",defaultValue:true},visibleM:{type:"boolean",group:"Behavior",defaultValue:true},visibleS:{type:"boolean",group:"Behavior",defaultValue:true},moveBackwards:{type:"sap.ui.layout.GridIndent",group:"Misc",defaultValue:null},moveForward:{type:"sap.ui.layout.GridIndent",group:"Misc",defaultValue:null},linebreak:{type:"boolean",group:"Misc",defaultValue:false},linebreakXL:{type:"boolean",group:"Misc",defaultValue:false},linebreakL:{type:"boolean",group:"Misc",defaultValue:false},linebreakM:{type:"boolean",group:"Misc",defaultValue:false},linebreakS:{type:"boolean",group:"Misc",defaultValue:false},spanLarge:{type:"int",group:"Behavior",defaultValue:null,deprecated:true},spanMedium:{type:"int",group:"Behavior",defaultValue:null,deprecated:true},spanSmall:{type:"int",group:"Behavior",defaultValue:null,deprecated:true},indentLarge:{type:"int",group:"Behavior",defaultValue:null,deprecated:true},indentMedium:{type:"int",group:"Behavior",defaultValue:null,deprecated:true},indentSmall:{type:"int",group:"Behavior",defaultValue:null,deprecated:true},visibleOnLarge:{type:"boolean",group:"Behavior",defaultValue:true,deprecated:true},visibleOnMedium:{type:"boolean",group:"Behavior",defaultValue:true,deprecated:true},visibleOnSmall:{type:"boolean",group:"Behavior",defaultValue:true,deprecated:true}}}});
(function(){
G.prototype._setStylesInternal=function(s){if(s&&s.length>0){this._sStylesInternal=s;}else{this._sStylesInternal=undefined;}};
G.prototype._getEffectiveSpanXLarge=function(){var s=this.getSpanXL();if(s&&(s>0)&&(s<13)){return s;}var S=/XL([1-9]|1[0-2])(?:\s|$)/i;var b=S.exec(this.getSpan());if(b){var c=b[0];if(c){c=c.toUpperCase();if(c.substr(0,2)==="XL"){return parseInt(c.substr(2));}}}return undefined;};
G.prototype._getEffectiveSpanLarge=function(){var s=this.getSpanL();if(s&&(s>0)&&(s<13)){return s;}var S=/\bL([1-9]|1[0-2])(?:\s|$)/i;var b=S.exec(this.getSpan());if(b){var c=b[0];if(c){c=c.toUpperCase();if(c.substr(0,1)==="L"){return parseInt(c.substr(1));}}}return undefined;};
G.prototype._getEffectiveSpanMedium=function(){var s=this.getSpanM();if(s&&(s>0)&&(s<13)){return s;}var S=/M([1-9]|1[0-2])(?:\s|$)/i;var b=S.exec(this.getSpan());if(b){var c=b[0];if(c){c=c.toUpperCase();if(c.substr(0,1)==="M"){return parseInt(c.substr(1));}}}return undefined;};
G.prototype._getEffectiveSpanSmall=function(){var s=this.getSpanS();if(s&&(s>0)&&(s<13)){return s;}var S=/S([1-9]|1[0-2])(?:\s|$)/i;var b=S.exec(this.getSpan());if(b){var c=b[0];if(c){c=c.toUpperCase();if(c.substr(0,1)==="S"){return parseInt(c.substr(1));}}}return undefined;};
G.prototype.init=function(){this._bLinebreakXLChanged=false;};
G.prototype.setLinebreakXL=function(b){this.setProperty("linebreakXL",b);this._bLinebreakXLChanged=true;return this;};
G.prototype._getLinebreakXLChanged=function(){return this._bLinebreakXLChanged;};
G.prototype.setSpanLarge=function(s){this.setSpanL(s);a.warning("Deprecated property spanLarge is used, please use spanL instead.");return this;};
G.prototype.setSpanMedium=function(s){a.warning("Deprecated property spanMedium is used, please use spanM instead.");return this.setSpanM(s);};
G.prototype.setSpanSmall=function(s){a.warning("Deprecated property spanSmall is used, please use spanS instead.");return this.setSpanS(s);};
G.prototype.setIndentLarge=function(i){a.warning("Deprecated property indentLarge is used, please use indentL instead.");return this.setIndentL(i);};
G.prototype.setIndentMedium=function(i){a.warning("Deprecated property indentMedium is used, please use indentM instead.");return this.setIndentM(i);};
G.prototype.setIndentSmall=function(i){a.warning("Deprecated property indentSmall is used, please use indentS instead.");return this.setIndentS(i);};
G.prototype.setVisibleOnLarge=function(v){a.warning("Deprecated property visibleOnLarge is used, please use visibleL instead.");return this.setVisibleL(v);};
G.prototype.setVisibleOnMedium=function(v){a.warning("Deprecated property visibleOnMedium is used, please use visibleM instead.");return this.setVisibleM(v);};
G.prototype.setVisibleOnSmall=function(v){a.warning("Deprecated property visibleOnSmall is used, please use visibleS instead.");return this.setVisibleS(v);};
G.prototype.getSpanLarge=function(){a.warning("Deprecated property spanLarge is used, please use spanL instead.");return this.getSpanL();};
G.prototype.getSpanMedium=function(){a.warning("Deprecated property spanMedium is used, please use spanM instead.");return this.getSpanM();};
G.prototype.getSpanSmall=function(){a.warning("Deprecated property spanSmall is used, please use spanS instead.");return this.getSpanS();};
G.prototype.getIndentLarge=function(){a.warning("Deprecated property indentLarge is used, please use indentL instead.");return this.getIndentL();};
G.prototype.getIndentMedium=function(){a.warning("Deprecated property indentMedium is used, please use indentM instead.");return this.getIndentM();};
G.prototype.getIndentSmall=function(){a.warning("Deprecated property indentSmall is used, please use indentS instead.");return this.getIndentS();};
G.prototype.getVisibleOnLarge=function(){a.warning("Deprecated property visibleOnLarge is used, please use visibleL instead.");return this.getVisibleL();};
G.prototype.getVisibleOnMedium=function(){a.warning("Deprecated property visibleOnMedium is used, please use visibleM instead.");return this.getVisibleM();};
G.prototype.getVisibleOnSmall=function(){a.warning("Deprecated property visibleOnSmall is used, please use visibleS instead.");return this.getVisibleS();};
}());return G;});
sap.ui.predefine('sap/ui/layout/GridRenderer',["sap/ui/Device","sap/ui/layout/library"],function(D,l){"use strict";var G=l.GridPosition;var a={apiVersion:2};
a.render=function(r,c){var I=/^([X][L](?:[0-9]|1[0-1]))? ?([L](?:[0-9]|1[0-1]))? ?([M](?:[0-9]|1[0-1]))? ?([S](?:[0-9]|1[0-1]))?$/i;var S=/^([X][L](?:[1-9]|1[0-2]))? ?([L](?:[1-9]|1[0-2]))? ?([M](?:[1-9]|1[0-2]))? ?([S](?:[1-9]|1[0-2]))?$/i;r.openStart("div",c);r.class("sapUiRespGrid");var m=c._getCurrentMediaContainerRange(D.media.RANGESETS.SAP_STANDARD_EXTENDED).name;r.class("sapUiRespGridMedia-Std-"+m);var h=c.getHSpacing();if(h===0.5){h="05";}else if((h!==0)&&(h!==1)&&(h!==2)){h=1;}r.class("sapUiRespGridHSpace"+h);var v=c.getVSpacing();if(v===0.5){v="05";}else if((v!==0)&&(v!==1)&&(v!==2)){v=1;}r.class("sapUiRespGridVSpace"+v);var p=c.getPosition();if(p){p=p.toUpperCase();if(p===G.Center.toUpperCase()){r.class("sapUiRespGridPosCenter");}else if(p===G.Right.toUpperCase()){r.class("sapUiRespGridPosRight");}}var w=c.getWidth();if(w!=="100%"&&w!=="auto"&&w!=="inherit"){if(h===0){r.style("width",w);}else{r.style("width","-webkit-calc("+w+" - "+h+"rem)");r.style("width","calc("+w+" - "+h+"rem)");}}var R=c._getAccessibleRole();var A;if(R){A={role:R};}r.accessibilityState(c,A);r.openEnd();var b=c.getContent();var d=c.getDefaultSpan();var e=["","XL3","L3","M6","S12"];var f=["","XL0","L0","M0","S0"];var g=S.exec(d);var k=c._getSpanXLChanged();var n=c._getIndentXLChanged();var s=c.getDefaultIndent();var o=I.exec(s);for(var i=0;i<b.length;i++){r.openStart("div");var L=c._getLayoutDataForControl(b[i]);var C=false;if(!b[i].getVisible()){r.class("sapUiRespGridSpanInvisible");}if(L){var B=false;if(L.getLinebreak()===true){r.class("sapUiRespGridBreak");}else{if(L.getLinebreakXL()===true){B=true;r.class("sapUiRespGridBreakXL");}if(L.getLinebreakL()===true){if(!B&&!L._getLinebreakXLChanged()){r.class("sapUiRespGridBreakXL");}r.class("sapUiRespGridBreakL");}if(L.getLinebreakM()===true){r.class("sapUiRespGridBreakM");}if(L.getLinebreakS()===true){r.class("sapUiRespGridBreakS");}}var q;var t;var u=L.getSpan();if(!u||!u.lenght==0){q=g;}else{q=S.exec(u);if(/XL/gi.test(u)){C=true;}}if(q){for(var j=1;j<q.length;j++){var x=q[j];if(!x){x=g[j];if(!x){x=e[j];}}if(x.substr(0,1)==="L"){t=x.substr(1,2);}var y=L.getSpanXL();var z=L.getSpanL();var E=L.getSpanM();var F=L.getSpanS();x=x.toUpperCase();if((x.substr(0,2)==="XL")&&(y>0)&&(y<13)){r.class("sapUiRespGridSpanXL"+y);C=true;}else if((x.substr(0,1)==="L")&&(z>0)&&(z<13)){r.class("sapUiRespGridSpanL"+z);t=z;}else if((x.substr(0,1)==="M")&&(E>0)&&(E<13)){r.class("sapUiRespGridSpanM"+E);}else if((x.substr(0,1)==="S")&&(F>0)&&(F<13)){r.class("sapUiRespGridSpanS"+F);}else{if((x.substr(0,2)!=="XL")||k||C){r.class("sapUiRespGridSpan"+x);}}}if(!k&&!C){r.class("sapUiRespGridSpanXL"+t);}}var H;var J;var K=L.getIndent();if(!K||K.length==0){H=o;}else{H=I.exec(K);if(/XL/gi.test(K)){n=true;}}if(!H){H=o;if(!H){H=undefined;}}var M=L.getIndentXL();var N=L.getIndentL();var O=L.getIndentM();var P=L.getIndentS();if(H){for(var j=1;j<H.length;j++){var Q=H[j];if(!Q){if(o&&o[j]){Q=o[j];}else{Q=f[j];}}if(Q){Q=Q.toUpperCase();if(Q.substr(0,1)==="L"){J=Q.substr(1,2);}if((Q.substr(0,2)==="XL")&&(M>0)&&(M<12)){r.class("sapUiRespGridIndentXL"+M);n=true;}else if((Q.substr(0,1)==="L")&&(N>0)&&(N<12)){r.class("sapUiRespGridIndentL"+N);J=N;}else if((Q.substr(0,1)==="M")&&(O>0)&&(O<12)){r.class("sapUiRespGridIndentM"+O);}else if((Q.substr(0,1)==="S")&&(P>0)&&(P<12)){r.class("sapUiRespGridIndentS"+P);}else{if(!(/^(XL0)? ?(L0)? ?(M0)? ?(S0)?$/.exec(Q))){r.class("sapUiRespGridIndent"+Q);}}}}if(!n){if(J&&J>0){r.class("sapUiRespGridIndentXL"+J);}}}if(!L.getVisibleXL()){r.class("sapUiRespGridHiddenXL");}if(!L.getVisibleL()){r.class("sapUiRespGridHiddenL");}if(!L.getVisibleM()){r.class("sapUiRespGridHiddenM");}if(!L.getVisibleS()){r.class("sapUiRespGridHiddenS");}var T=L.getMoveBackwards();if(T&&T.length>0){var U=I.exec(T);if(U){for(var j=1;j<U.length;j++){var V=U[j];if(V){r.class("sapUiRespGridBwd"+V.toUpperCase());}}}}var W=L.getMoveForward();if(W&&W.length>0){var X=I.exec(W);if(X){for(var j=1;j<X.length;j++){var Y=X[j];if(Y){r.class("sapUiRespGridFwd"+Y.toUpperCase());}}}}if(typeof L._sStylesInternal==="string"){var Z=L._sStylesInternal.split(" ");for(var $=0;$<Z.length;$++){r.class(Z[$]);}}}if(!L){var x="";if(g){for(var j=1;j<g.length;j++){x=g[j];if(!x){if((j===1)&&(g[j+1])){x="X"+g[j+1];}else{x=e[j];}}r.class("sapUiRespGridSpan"+x.toUpperCase());}}else{for(var j=1;j<e.length;j++){x=e[j];r.class("sapUiRespGridSpan"+x.toUpperCase());}}var Q="";if(o){for(var j=1;j<o.length;j++){Q=o[j];if(!Q){if((j===1)&&(o[j+1])){Q="X"+o[j+1];}else{Q=f[j];}}if(((Q.substr(0,1)!=="X")&&(Q.substr(1,1)!=="0"))||((Q.substr(0,1)=="X")&&(Q.substr(2,1)!=="0"))){r.class("sapUiRespGridIndent"+Q.toUpperCase());}}}}r.openEnd();r.renderControl(b[i]);r.close("div");}r.close("div");};
return a;},true);
sap.ui.predefine('sap/ui/layout/HorizontalLayout',['sap/ui/core/Control','./library',"./HorizontalLayoutRenderer"],function(C,l,H){"use strict";
var a=C.extend("sap.ui.layout.HorizontalLayout",{metadata:{library:"sap.ui.layout",properties:{allowWrapping:{type:"boolean",group:"Misc",defaultValue:false}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}},designtime:"sap/ui/layout/designtime/HorizontalLayout.designtime",dnd:{draggable:false,droppable:true}}});
a.prototype.getAccessibilityInfo=function(){return{children:this.getContent()};};
return a;});
sap.ui.predefine('sap/ui/layout/HorizontalLayoutRenderer',[],function(){"use strict";var H={apiVersion:2};
H.render=function(r,c){var a=r;var n=!c.getAllowWrapping();a.openStart("div",c);a.class("sapUiHLayout");if(n){a.class("sapUiHLayoutNoWrap");}a.openEnd();var C=c.getContent();for(var i=0;i<C.length;i++){if(n){a.openStart("div");a.class("sapUiHLayoutChildWrapper");a.openEnd();}a.renderControl(C[i]);if(n){a.close("div");}}a.close("div");};
return H;},true);
sap.ui.predefine('sap/ui/layout/VerticalLayout',['sap/ui/core/Control','sap/ui/core/EnabledPropagator','./library',"./VerticalLayoutRenderer"],function(C,E,l,V){"use strict";
var a=C.extend("sap.ui.layout.VerticalLayout",{metadata:{library:"sap.ui.layout",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}},dnd:{draggable:false,droppable:true},designtime:"sap/ui/layout/designtime/VerticalLayout.designtime"}});
a.prototype.getAccessibilityInfo=function(){return{children:this.getContent()};};
E.call(a.prototype);return a;});
sap.ui.predefine('sap/ui/layout/VerticalLayoutRenderer',[],function(){"use strict";var V={apiVersion:2};
V.render=function(r,v){var a=r;a.openStart("div",v);a.class("sapUiVlt");a.class("sapuiVlt");if(v.getWidth()&&v.getWidth()!=''){a.style("width",v.getWidth());}a.openEnd();var c=v.getContent();for(var i=0;i<c.length;i++){a.openStart("div");a.class("sapUiVltCell");a.class("sapuiVltCell");a.openEnd();a.renderControl(c[i]);a.close("div");}a.close("div");};
return V;},true);
sap.ui.predefine('sap/ui/layout/form/Form',['sap/ui/core/Control','sap/ui/base/ManagedObjectObserver','sap/ui/layout/library','./FormRenderer'],function(C,M,l,F){"use strict";
var a=C.extend("sap.ui.layout.form.Form",{metadata:{library:"sap.ui.layout",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},editable:{type:"boolean",group:"Misc",defaultValue:false}},defaultAggregation:"formContainers",aggregations:{formContainers:{type:"sap.ui.layout.form.FormContainer",multiple:true,singularName:"formContainer"},title:{type:"sap.ui.core.Title",altTypes:["string"],multiple:false},toolbar:{type:"sap.ui.core.Toolbar",multiple:false},layout:{type:"sap.ui.layout.form.FormLayout",multiple:false}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},designtime:"sap/ui/layout/designtime/form/Form.designtime"}});
a.prototype.init=function(){this._oObserver=new M(b.bind(this));this._oObserver.observe(this,{properties:["editable"],aggregations:["formContainers"]});};
a.prototype.exit=function(){this._oObserver.disconnect();this._oObserver=undefined;};
a.prototype.toggleContainerExpanded=function(o){var L=this.getLayout();if(L){L.toggleContainerExpanded(o);}};
a.prototype.contentOnAfterRendering=function(f,o){var L=this.getLayout();if(L&&L.contentOnAfterRendering){L.contentOnAfterRendering(f,o);}};
a.prototype.onLayoutDataChange=function(e){var L=this.getLayout();if(L&&L.onLayoutDataChange){L.onLayoutDataChange(e);}};
a.prototype.onBeforeFastNavigationFocus=function(e){var L=this.getLayout();if(L&&L.onBeforeFastNavigationFocus){L.onBeforeFastNavigationFocus(e);}};
a.prototype.setEditable=function(e){this.setProperty("editable",e,true);return this;};
function _(e,o){if(e!=o&&this.getDomRef()){if(e){this.$().addClass("sapUiFormEdit").addClass("sapUiFormEdit-CTX");this.$().removeAttr("aria-readonly");}else{this.$().removeClass("sapUiFormEdit").removeClass("sapUiFormEdit-CTX");this.$().attr("aria-readonly","true");}}var f=this.getFormContainers();for(var i=0;i<f.length;i++){var d=f[i];d._setEditable(e);}}
a.prototype.setToolbar=function(t){t=l.form.FormHelper.setToolbar.call(this,t);this.setAggregation("toolbar",t);return this;};
a.prototype.invalidate=function(o){if(!this._bNoInvalidate){C.prototype.invalidate.apply(this,arguments);}};
a.prototype.getContainerRenderedDomRef=function(o){var L=this.getLayout();if(L&&L.getContainerRenderedDomRef){return L.getContainerRenderedDomRef(o);}else{return null;}};
a.prototype.getElementRenderedDomRef=function(e){var L=this.getLayout();if(L&&L.getElementRenderedDomRef){return L.getElementRenderedDomRef(e);}else{return null;}};
a.prototype.getVisibleFormContainers=function(){var d=this.getFormContainers();var v=[];for(var i=0;i<d.length;i++){var o=d[i];if(o.isVisible()){v.push(o);}}return v;};
a.prototype._suggestTitleId=function(t){this._sSuggestedTitleId=t;if(this.getDomRef()){this.invalidate();}return this;};
function b(o){if(o.name==="editable"){_.call(this,o.current,o.old);}else if(o.name==="formContainers"){c.call(this,o.mutation,o.child);}}
function c(m,f){if(m==="insert"){f._setEditable(this.getEditable());}}
return a;});
sap.ui.predefine('sap/ui/layout/form/FormContainer',['sap/ui/core/Element','sap/ui/base/ManagedObjectObserver','sap/ui/core/theming/Parameters','sap/ui/layout/library',"sap/base/Log"],function(E,M,P,l,L){"use strict";
var F=E.extend("sap.ui.layout.form.FormContainer",{metadata:{library:"sap.ui.layout",properties:{expanded:{type:"boolean",group:"Misc",defaultValue:true},expandable:{type:"boolean",group:"Misc",defaultValue:false},visible:{type:"boolean",group:"Misc",defaultValue:true},_editable:{type:"boolean",group:"Misc",defaultValue:false,visibility:"hidden"}},defaultAggregation:"formElements",aggregations:{formElements:{type:"sap.ui.layout.form.FormElement",multiple:true,singularName:"formElement"},title:{type:"sap.ui.core.Title",altTypes:["string"],multiple:false},toolbar:{type:"sap.ui.core.Toolbar",multiple:false},_expandButton:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},designtime:"sap/ui/layout/designtime/form/FormContainer.designtime"}});
F.prototype.init=function(){this._rb=sap.ui.getCore().getLibraryResourceBundle("sap.ui.layout");this._oObserver=new M(this._observeChanges.bind(this));this._oObserver.observe(this,{properties:["expanded","expandable"],aggregations:["formElements"]});};
F.prototype.exit=function(){if(this._oExpandButton){delete this._oExpandButton;}this._rb=undefined;this._oObserver.disconnect();this._oObserver=undefined;};
function _(f){if(f){if(!this._oExpandButton){if(!this._bExpandButtonRequired){this._bExpandButtonRequired=true;l.form.FormHelper.createButton.call(this,this.getId()+"--Exp",d,a);}}else{c.call(this);}}}
function a(B){if(!this._bIsBeingDestroyed){this._oExpandButton=B;this.setAggregation("_expandButton",this._oExpandButton);c.call(this);}}
function b(f){c.call(this);var o=this.getParent();if(o&&o.toggleContainerExpanded){o.toggleContainerExpanded(this);}}
F.prototype.setToolbar=function(t){t=l.form.FormHelper.setToolbar.call(this,t);this.setAggregation("toolbar",t);return this;};
F.prototype.contentOnAfterRendering=function(f,C){var p=this.getParent();if(p&&p.contentOnAfterRendering){p.contentOnAfterRendering(f,C);}};
F.prototype.onLayoutDataChange=function(o){var p=this.getParent();if(p&&p.onLayoutDataChange){p.onLayoutDataChange(o);}};
F.prototype._checkProperties=function(){var r=0;if(this.getExpandable()&&(!this.getTitle()||this.getToolbar())){L.warning("Expander only displayed if title is set",this.getId(),"FormContainer");r=1;}return r;};
F.prototype.getRenderedDomRef=function(){var t=this;var f=this.getParent();if(f&&f.getContainerRenderedDomRef){return f.getContainerRenderedDomRef(t);}else{return null;}};
F.prototype.getElementRenderedDomRef=function(o){var f=this.getParent();if(f&&f.getElementRenderedDomRef){return f.getElementRenderedDomRef(o);}else{return null;}};
F.prototype.getVisibleFormElements=function(){var f=this.getFormElements();var v=[];for(var i=0;i<f.length;i++){var o=f[i];if(o.isVisible()){v.push(o);}}return v;};
F.prototype._setEditable=function(f){var o=this.getProperty("_editable");this.setProperty("_editable",f,true);if(f!==o){var g=this.getFormElements();for(var i=0;i<g.length;i++){var h=g[i];h._setEditable(f);}}};
F.prototype.isVisible=function(){return this.getVisible();};
function c(){if(!this._oExpandButton){return;}var i,I,t,T;if(this.getExpanded()){i=P._getThemeImage('_sap_ui_layout_Form_FormContainerColImageURL');I=P._getThemeImage('_sap_ui_layout_Form_FormContainerColImageDownURL');t="-";T=this._rb.getText("FORM_COLLAPSE");}else{i=P._getThemeImage('_sap_ui_layout_Form_FormContainerExpImageURL');I=P._getThemeImage('_sap_ui_layout_Form_FormContainerExpImageDownURL');t="+";T=this._rb.getText("FORM_EXPAND");}if(i){t="";}l.form.FormHelper.setButtonContent(this._oExpandButton,t,T,i,I);}
function d(o){this.setExpanded(!this.getExpanded());}
F.prototype._observeChanges=function(C){if(C.name=="formElements"){e.call(this,C.mutation,C.child);}else if(C.name=="expanded"){b.call(this,C.current);}else if(C.name=="expandable"){_.call(this,C.current);}};
function e(m,f){if(m==="insert"){var g=this.getProperty("_editable");f._setEditable(g);}}
return F;});
sap.ui.predefine('sap/ui/layout/form/FormElement',['sap/ui/core/Element','sap/ui/core/Control','sap/ui/base/ManagedObjectObserver','sap/ui/layout/library',"sap/base/Log"],function(E,C,M,l,L){"use strict";
var F=E.extend("sap.ui.layout.form.FormElement",{metadata:{library:"sap.ui.layout",properties:{visible:{type:"boolean",group:"Misc",defaultValue:true},_editable:{type:"boolean",group:"Misc",defaultValue:false,visibility:"hidden"}},defaultAggregation:"fields",aggregations:{label:{type:"sap.ui.core.Label",altTypes:["string"],multiple:false},_label:{type:"sap.ui.core.Label",multiple:false,visibility:"hidden"},fields:{type:"sap.ui.core.Control",multiple:true,singularName:"field"}},designtime:"sap/ui/layout/designtime/form/FormElement.designtime"}});
F.prototype.init=function(){this._oFieldDelegate={oElement:this,onAfterRendering:h};this._oObserver=new M(this._observeChanges.bind(this));this._oObserver.observe(this,{aggregations:["fields"]});};
F.prototype.exit=function(){if(this._oLabel){delete this._oLabel;}this._oFieldDelegate=undefined;this._oObserver.disconnect();this._oObserver=undefined;};
F.prototype.setLabel=function(A){if(!this._oLabel){var o=this.getLabel();if(o){if(o.setAlternativeLabelFor){o.setAlternativeLabelFor(null);}if(o.isRequired){o.isRequired=o._sapuiIsRequired;o._sapuiIsRequired=undefined;o.disableRequiredChangeCheck(false);}if(o.isDisplayOnly){o.isDisplayOnly=o._sapuiIsDisplayOnly;o._sapuiIsDisplayOnly=undefined;}if(o.isWrapping){o.isWrapping=o._sapuiIsWrapping;o._sapuiIsWrapping=undefined;}}}this.setAggregation("label",A);var i=A;if(typeof i==="string"){if(!this._oLabel){this._oLabel=l.form.FormHelper.createLabel(i,this.getId()+"-label");this.setAggregation("_label",this._oLabel,true);this._oLabel.disableRequiredChangeCheck(true);if(this._oLabel.isRequired){this._oLabel.isRequired=b;}if(this._oLabel.isDisplayOnly){this._oLabel.isDisplayOnly=c;}if(this._oLabel.setWrapping){this._oLabel.setWrapping(true);}}else{this._oLabel.setText(i);}}else{if(this._oLabel){this._oLabel.destroy();delete this._oLabel;}if(i&&i.isRequired){i._sapuiIsRequired=i.isRequired;i.isRequired=b;i.disableRequiredChangeCheck(true);}if(i&&i.isDisplayOnly){i._sapuiIsDisplayOnly=i.isDisplayOnly;i.isDisplayOnly=c;}if(i&&i.isWrapping){i._sapuiIsWrapping=i.isWrapping;i.isWrapping=d;}}e.call(this);return this;};
F.prototype.destroyLabel=function(){this.destroyAggregation("label");if(this._oLabel){this._oLabel.destroy();delete this._oLabel;}return this;};
F.prototype.getLabelControl=function(){if(this._oLabel){return this._oLabel;}else{return this.getLabel();}};
F.prototype.updateFields=function(){var j=this.getFields();var o;var i=0;for(i=0;i<j.length;i++){o=j[i];g.call(this,o);}this.updateAggregation("fields");j=this.getFields();for(i=0;i<j.length;i++){o=j[i];f.call(this,o);}e.call(this);return this;};
F.prototype.enhanceAccessibilityState=function(o,A){var i=this.getLabelControl();if(i&&i!=o){var s=A["labelledby"];if(!s){s=i.getId();}else{var j=s.split(" ");if(j.indexOf(i.getId())<0){j.splice(0,0,i.getId());s=j.join(" ");}}A["labelledby"]=s;}return A;};
F.prototype.onLayoutDataChange=function(o){var p=this.getParent();if(p&&p.onLayoutDataChange){p.onLayoutDataChange(o);}};
F.prototype.getRenderedDomRef=function(){var t=this;var o=this.getParent();if(o&&o.getElementRenderedDomRef){return o.getElementRenderedDomRef(t);}else{return null;}};
F.prototype._setEditable=function(i){var o=this.getProperty("_editable");this.setProperty("_editable",i,true);if(i!==o){this.invalidateLabel();}};
F.prototype.invalidateLabel=function(){var o=this.getLabelControl();if(o&&o.getDomRef()){o.invalidate();}};
F.prototype.isVisible=function(){return this.getVisible();};
F.prototype.getFieldsForRendering=function(){return this.getFields();};
F.prototype._observeChanges=function(o){if(o.object==this){if(o.name=="fields"){_.call(this,o.child,o.mutation);}}else{a.call(this,o);}};
function _(o,m){if(m=="insert"){if(!o.isA("sap.ui.core.IFormContent")){L.warning(o+" is not valid Form content",this);}f.call(this,o);}else{g.call(this,o);}e.call(this);}
function a(o){if(o.name=="required"){this.invalidateLabel();}}
function b(){if(this.getRequired&&this.getRequired()){return true;}var o=this.getParent();var j=o.getFields();for(var i=0;i<j.length;i++){var k=j[i];if(k.getRequired&&k.getRequired()===true&&(!k.getEditable||k.getEditable())){return true;}}return false;}
function c(){if(this.getDisplayOnly){if(!this.isPropertyInitial("displayOnly")){return this.getDisplayOnly();}var o=this.getParent();return!o.getProperty("_editable");}return false;}
function d(){if(this.getWrapping&&!this.isPropertyInitial("wrapping")){return this.getWrapping();}return true;}
function e(){var i=this.getFields();var o=i.length>0?i[0]:null;var j=this._oLabel;if(j){j.setLabelFor(o);}else{j=this.getLabel();if(j instanceof C){j.setAlternativeLabelFor(o);}}}
function f(o){o.addDelegate(this._oFieldDelegate);if(!this._bNoObserverChange&&o.getMetadata().getProperty("required")){this._oObserver.observe(o,{properties:["required"]});}}
function g(o){o.removeDelegate(this._oFieldDelegate);if(!this._bNoObserverChange){this._oObserver.unobserve(o);}}
function h(o){var p=this.oElement.getParent();if(p&&p.contentOnAfterRendering){p.contentOnAfterRendering(this.oElement,o.srcControl);}}
return F;});
sap.ui.predefine('sap/ui/layout/form/FormLayout',['sap/ui/core/Control','sap/ui/layout/library','./FormLayoutRenderer',"sap/ui/thirdparty/jquery",'sap/ui/dom/jquery/Selectors','sap/ui/dom/jquery/control'],function(C,l,F,q){"use strict";var B=l.BackgroundDesign;
var a=C.extend("sap.ui.layout.form.FormLayout",{metadata:{library:"sap.ui.layout",properties:{backgroundDesign:{type:"sap.ui.layout.BackgroundDesign",group:"Appearance",defaultValue:B.Translucent}}}});
a.prototype.contentOnAfterRendering=function(f,c){if(l.form.FormHelper.bArrowKeySupport){q(c.getFocusDomRef()).data("sap.InNavArea",true);}if(c.getWidth&&(!c.getWidth()||c.getWidth()=="auto")&&(!c.getFormDoNotAdjustWidth||!c.getFormDoNotAdjustWidth())){c.$().css("width","100%");}};
a.prototype.toggleContainerExpanded=function(c){var e=c.getExpanded();if(this.getDomRef()){if(e){c.$("content").css("display","");}else{c.$("content").css("display","none");}}};
a.prototype.getLayoutDataForElement=function(e,t){var L=e.getLayoutData();if(!L){return undefined;}else if(L.isA(t)){return L;}else if(L.isA("sap.ui.core.VariantLayoutData")){var b=L.getMultipleLayoutData();for(var i=0;i<b.length;i++){var o=b[i];if(o.isA(t)){return o;}}}};
a.prototype.onsapright=function(e){if(l.form.FormHelper.bArrowKeySupport){var r=sap.ui.getCore().getConfiguration().getRTL();if(!r){this.navigateForward(e);}else{this.navigateBack(e);}}};
a.prototype.onsapleft=function(e){if(l.form.FormHelper.bArrowKeySupport){var r=sap.ui.getCore().getConfiguration().getRTL();if(!r){this.navigateBack(e);}else{this.navigateForward(e);}}};
a.prototype.onsapdown=function(e){if(l.form.FormHelper.bArrowKeySupport){var c=e.srcControl;var n;var r=this.findElement(c);var E=r.element;c=r.rootControl;if(E&&E.isA("sap.ui.layout.form.FormElement")){n=this.findFieldBelow(c,E);}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){n=this.findFirstFieldOfNextElement(E,0);}if(n){n.focus();e.preventDefault();}}};
a.prototype.onsapup=function(e){if(l.form.FormHelper.bArrowKeySupport){var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;c=r.rootControl;if(E&&E.isA("sap.ui.layout.form.FormElement")){n=this.findFieldAbove(c,E);}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){var f=E.getParent();i=f.indexOfFormContainer(E);n=this.findLastFieldOfLastElementInPrevContainer(f,i-1);}if(n){n.focus();e.preventDefault();}}};
a.prototype.onsaphome=function(e){if(l.form.FormHelper.bArrowKeySupport){var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;var o=E.getParent();var f=o.getParent();i=f.indexOfFormContainer(o);n=this.findFirstFieldOfFirstElementInNextContainer(f,i);if(n){n.focus();e.preventDefault();}}};
a.prototype.onsaptop=function(e){if(l.form.FormHelper.bArrowKeySupport){var c=e.srcControl;var r=this.findElement(c);var E=r.element;var n;var o;if(E&&E.isA("sap.ui.layout.form.FormElement")){o=E.getParent();}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){o=E;}var f=o.getParent();n=this.findFirstFieldOfForm(f);if(n){n.focus();e.preventDefault();}}};
a.prototype.onsapend=function(e){if(l.form.FormHelper.bArrowKeySupport){var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;var o=E.getParent();var f=o.getParent();i=f.indexOfFormContainer(o);n=this.findLastFieldOfLastElementInPrevContainer(f,i);if(n){n.focus();e.preventDefault();}}};
a.prototype.onsapbottom=function(e){if(l.form.FormHelper.bArrowKeySupport){var c=e.srcControl;var r=this.findElement(c);var E=r.element;var n;var o;if(E&&E.isA("sap.ui.layout.form.FormElement")){o=E.getParent();}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){o=E;}var f=o.getParent();var b=f.getFormContainers();var L=b.length;n=this.findLastFieldOfLastElementInPrevContainer(f,L-1);if(n){n.focus();e.preventDefault();}}};
a.prototype.onsapexpand=function(e){var c=e.srcControl;var r=this.findElement(c);var E=r.element;var o;if(E.isA("sap.ui.layout.form.FormContainer")){o=E;}else{o=E.getParent();}if(o.getExpandable()&&c===o._oExpandButton){o.setExpanded(true);}};
a.prototype.onsapcollapse=function(e){var c=e.srcControl;var r=this.findElement(c);var E=r.element;var o;if(E.isA("sap.ui.layout.form.FormContainer")){o=E;}else{o=E.getParent();}if(o.getExpandable()&&c===o._oExpandButton){o.setExpanded(false);}};
a.prototype.onsapskipforward=function(e){var c=e.srcControl;var r=this.findElement(c);var E=r.element;c=r.rootControl;var n;var o;if(E&&E.isA("sap.ui.layout.form.FormElement")){o=E.getParent();}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){o=E;}var f=o.getParent();var i=f.indexOfFormContainer(o);n=this.findFirstFieldOfFirstElementInNextContainer(f,i+1);if(n){n.focus();e.preventDefault();}};
a.prototype.onsapskipback=function(e){var c=e.srcControl;var r=this.findElement(c);var E=r.element;c=r.rootControl;var n;var o;if(E&&E.isA("sap.ui.layout.form.FormElement")){o=E.getParent();}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){o=E;}var f=o.getParent();var b=f.getFormContainers();var i=f.indexOfFormContainer(o);while(!n&&i>0){var p=b[i-1];if(!p.getExpandable()||p.getExpanded()){n=this.findFirstFieldOfFirstElementInPrevContainer(f,i-1);}i=i-1;}if(n&&n!==c.getFocusDomRef()){n.focus();e.preventDefault();}};
a.prototype.onBeforeFastNavigationFocus=function(e){if(q.contains(this.getDomRef(),e.source)){e.srcControl=q(e.source).control(0);if(e.forward){this.onsapskipforward(e);}else{this.onsapskipback(e);}}else{var n=e.forward?this.findFirstFieldOfForm(this.getParent()):this.findFirstFieldOfLastContainerOfForm(this.getParent());if(n){n.focus();e.preventDefault();}}};
a.prototype.findElement=function(c){var e=c.getParent();var r=c;while(e&&!(e.isA("sap.ui.layout.form.FormElement"))&&!(e.isA("sap.ui.layout.form.FormContainer"))&&!(e.isA("sap.ui.layout.form.Form"))){r=e;e=e.getParent();}return({rootControl:r,element:e});};
a.prototype.navigateForward=function(e){var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;c=r.rootControl;if(E&&E.isA("sap.ui.layout.form.FormElement")){if(c==E.getLabelControl()){i=-1;}else{i=E.indexOfField(c);}n=this.findNextFieldOfElement(E,i+1);if(!n){var o=E.getParent();i=o.indexOfFormElement(E);n=this.findFirstFieldOfNextElement(o,i+1);if(!n){var f=o.getParent();i=f.indexOfFormContainer(o);n=this.findFirstFieldOfFirstElementInNextContainer(f,i+1);}}}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){n=this.findFirstFieldOfNextElement(E,0);}if(n){n.focus();e.preventDefault();}};
a.prototype.tabForward=function(e){var f;var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;c=r.rootControl;if(E&&E.isA("sap.ui.layout.form.FormElement")){if(c==E.getLabelControl()){i=-1;}else{i=E.indexOfField(c);}n=this.findNextFieldOfElement(E,i+1,true);if(!n){var o=E.getParent();i=o.indexOfFormElement(E);n=this.findFirstFieldOfNextElement(o,i+1,true);if(!n){f=o.getParent();i=f.indexOfFormContainer(o);n=this.findFirstFieldOfFirstElementInNextContainer(f,i+1,true);}}}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){n=this.findFirstFieldOfNextElement(E,0,true);if(!n){f=E.getParent();i=f.indexOfFormContainer(E);n=this.findFirstFieldOfFirstElementInNextContainer(f,i+1,true);}}if(n){n.focus();e.preventDefault();}};
a.prototype.findNextFieldOfElement=function(e,s,t){var f=e.getFieldsForRendering();var L=f.length;var n;for(var i=s;i<L;i++){var o=f[i];var d=this._getDomRef(o);if(t==true){if((!o.getEditable||o.getEditable())&&(!o.getEnabled||o.getEnabled())&&d){n=d;break;}}else{if((!o.getEnabled||o.getEnabled())&&d){n=d;break;}}}return n;};
a.prototype.findFirstFieldOfNextElement=function(c,s,t){var e=c.getFormElements();var L=e.length;var n;var i=s;while(!n&&i<L){var E=e[i];if(t==true){n=this.findNextFieldOfElement(E,0,true);}else{n=this.findNextFieldOfElement(E,0);}i++;}return n;};
a.prototype.findFirstFieldOfForm=function(f){var n=this.findFirstFieldOfFirstElementInNextContainer(f,0);return n;};
a.prototype.findFirstFieldOfLastContainerOfForm=function(f){var n;var c=f.getFormContainers();var i=c.length;while(!n&&i>0){var p=c[i-1];if(!p.getExpandable()||p.getExpanded()){n=this.findFirstFieldOfFirstElementInPrevContainer(f,i-1);}i=i-1;}return n;};
a.prototype.findFirstFieldOfFirstElementInNextContainer=function(f,s,t){var c=f.getFormContainers();var L=c.length;var n;var i=s;while(!n&&i<L){var o=c[i];if(o.getExpandable()&&t){n=o._oExpandButton.getFocusDomRef();if(n){break;}}if(!o.getExpandable()||o.getExpanded()){if(t==true){n=this.findFirstFieldOfNextElement(o,0,true);}else{n=this.findFirstFieldOfNextElement(o,0);}}i++;}return n;};
a.prototype.findFirstFieldOfFirstElementInPrevContainer=function(f,s){var c=f.getFormContainers();var L=c.length;var n;var i=s;while(!n&&i<L&&i>=0){var o=c[i];if(!o.getExpandable()||o.getExpanded()){n=this.findFirstFieldOfNextElement(o,0);}i++;}return n;};
a.prototype.navigateBack=function(e){var f;var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;c=r.rootControl;if(E&&E.isA("sap.ui.layout.form.FormElement")){if(c==E.getLabelControl()){i=0;}else{i=E.indexOfField(c);}n=this.findPrevFieldOfElement(E,i-1);if(!n){var o=E.getParent();i=o.indexOfFormElement(E);n=this.findLastFieldOfPrevElement(o,i-1);if(!n){f=o.getParent();i=f.indexOfFormContainer(o);n=this.findLastFieldOfLastElementInPrevContainer(f,i-1);}}}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){f=E.getParent();i=f.indexOfFormContainer(E);n=this.findLastFieldOfLastElementInPrevContainer(f,i-1);}if(n){n.focus();e.preventDefault();}};
a.prototype.tabBack=function(e){var f;var c=e.srcControl;var i=0;var n;var r=this.findElement(c);var E=r.element;c=r.rootControl;if(E&&E.isA("sap.ui.layout.form.FormElement")){if(c==E.getLabelControl()){i=0;}else{i=E.indexOfField(c);}n=this.findPrevFieldOfElement(E,i-1,true);if(!n){var o=E.getParent();i=o.indexOfFormElement(E);n=this.findLastFieldOfPrevElement(o,i-1,true);if(!n){f=o.getParent();i=f.indexOfFormContainer(o);if(o.getExpandable()){n=o._oExpandButton.getFocusDomRef();}if(!n){n=this.findLastFieldOfLastElementInPrevContainer(f,i-1,true);}}}}else if(E&&E.isA("sap.ui.layout.form.FormContainer")){f=E.getParent();i=f.indexOfFormContainer(E);n=this.findLastFieldOfLastElementInPrevContainer(f,i-1,true);}if(n){n.focus();e.preventDefault();}};
a.prototype.findPrevFieldOfElement=function(e,s,t){var f=e.getFieldsForRendering();var n;for(var i=s;i>=0;i--){var o=f[i];var d=this._getDomRef(o);if(t==true){if((!o.getEditable||o.getEditable())&&(!o.getEnabled||o.getEnabled())&&d){n=d;break;}}else{if((!o.getEnabled||o.getEnabled())&&d){n=d;break;}}}return n;};
a.prototype.findLastFieldOfPrevElement=function(c,s,t){var e=c.getFormElements();var n;var i=s;while(!n&&i>=0){var E=e[i];var L=E.getFieldsForRendering().length;if(t==true){n=this.findPrevFieldOfElement(E,L-1,true);}else{n=this.findPrevFieldOfElement(E,L-1);}i--;}return n;};
a.prototype.findLastFieldOfLastElementInPrevContainer=function(f,s,t){var c=f.getFormContainers();var n;var i=s;while(!n&&i>=0){var o=c[i];if(o.getExpandable()&&!o.getExpanded()&&t){n=o._oExpandButton.getFocusDomRef();if(n){break;}}if(!o.getExpandable()||o.getExpanded()){var L=o.getFormElements().length;if(t==true){n=this.findLastFieldOfPrevElement(o,L-1,true);}else{n=this.findLastFieldOfPrevElement(o,L-1,0);}}i--;}return n;};
a.prototype.findFieldBelow=function(c,e){var o=e.getParent();var i=o.indexOfFormElement(e);var n=this.findFirstFieldOfNextElement(o,i+1);if(!n){var f=o.getParent();i=f.indexOfFormContainer(o);n=this.findFirstFieldOfFirstElementInNextContainer(f,i+1);}return n;};
a.prototype.findFieldAbove=function(c,e){var o=e.getParent();var b=o.indexOfFormElement(e);var E=o.getFormElements();var n;var i=b-1;while(!n&&i>=0){var m=E[i];n=this.findPrevFieldOfElement(m,0);i--;}if(!n){var f=o.getParent();b=f.indexOfFormContainer(o);n=this.findLastFieldOfLastElementInPrevContainer(f,b-1);}return n;};
a.prototype._getDomRef=function(c){var d=c.getFocusDomRef();if(!q(d).is(":sapFocusable")){d=undefined;}return d;};
a.prototype.getContainerRenderedDomRef=function(c){if(this.getDomRef()){return(c.getId()?window.document.getElementById(c.getId()):null);}else{return null;}};
a.prototype.getElementRenderedDomRef=function(e){if(this.getDomRef()){return(e.getId()?window.document.getElementById(e.getId()):null);}else{return null;}};
return a;});
sap.ui.predefine('sap/ui/layout/form/FormLayoutRenderer',['sap/ui/core/library','sap/ui/core/theming/Parameters','sap/ui/layout/library','sap/ui/layout/form/Form'],function(c,t,l,F){"use strict";var T=c.TitleLevel;var B=l.BackgroundDesign;var a={apiVersion:2};
a.render=function(r,L){var f=L.getParent();if(f&&f instanceof F){this.renderForm(r,L,f);}};
a.renderForm=function(r,L,f){var o=f.getToolbar();r.openStart("div",L);r.class(this.getMainClass());if(o){r.class("sapUiFormToolbar");}this.addBackgroundClass(r,L);r.openEnd();var s;if(!o){s=t.get('sap.ui.layout.FormLayout:_sap_ui_layout_FormLayout_FormTitleSize');}this.renderHeader(r,o,f.getTitle(),undefined,false,s,f.getId());this.renderContainers(r,L,f);r.close("div");};
a.getMainClass=function(){return"sapUiFormLayout";};
a.addBackgroundClass=function(r,L){var b=L.getBackgroundDesign();if(b!=B.Transparent){r.class("sapUiFormBackgr"+b);}};
a.renderContainers=function(r,L,f){var C=f.getVisibleFormContainers();for(var i=0,b=C.length;i<b;i++){var o=C[i];this.renderContainer(r,L,o);}};
a.renderContainer=function(r,L,C){var e=C.getExpandable();var o=C.getToolbar();var b=C.getTitle();r.openStart("section",C);r.class("sapUiFormContainer");if(o){r.class("sapUiFormContainerToolbar");}else if(b){r.class("sapUiFormContainerTitle");}if(C.getTooltip_AsString()){r.attr('title',C.getTooltip_AsString());}this.writeAccessibilityStateContainer(r,C);r.openEnd();this.renderHeader(r,o,b,C._oExpandButton,e,T.H4,C.getId());if(e){r.openStart("div",C.getId()+"-content");if(!C.getExpanded()){r.style("display","none");}r.openEnd();}var E=C.getVisibleFormElements();for(var j=0,d=E.length;j<d;j++){var f=E[j];this.renderElement(r,L,f);}if(e){r.close("div");}r.close("section");};
a.renderElement=function(r,L,e){var o=e.getLabelControl();r.openStart("div",e);r.class("sapUiFormElement");if(o){r.class("sapUiFormElementLbl");}r.openEnd();if(o){r.renderControl(o);}var f=e.getFieldsForRendering();if(f&&f.length>0){for(var k=0,b=f.length;k<b;k++){var d=f[k];r.renderControl(d);}}r.close("div");};
a.renderTitle=function(r,o,e,E,L,C){if(o){var s=t.get('sap.ui.layout.FormLayout:_sap_ui_layout_FormLayout_FormSubTitleSize');if(L){s=L;}if(typeof o!=="string"&&o.getLevel()!=T.Auto){s=o.getLevel();}if(typeof o!=="string"){r.openStart(s.toLowerCase(),o);if(o.getTooltip_AsString()){r.attr('title',o.getTooltip_AsString());}if(o.getEmphasized()){r.class("sapUiFormTitleEmph");}}else{r.openStart(s,C+"--title");}r.class("sapUiFormTitle");r.class("sapUiFormTitle"+s);r.openEnd();if(E&&e){r.renderControl(e);}if(typeof o==="string"){o.split(/\n/).forEach(function(d,I){if(I>0){r.voidStart("br").voidEnd();}r.text(d);});}else{var i=o.getIcon();if(i){var b=[];var A={"title":null};A["id"]=o.getId()+"-ico";r.icon(i,b,A);}o.getText().split(/\n/).forEach(function(d,I){if(I>0){r.voidStart("br").voidEnd();}r.text(d);});}r.close(s.toLowerCase());}};
a.renderHeader=function(r,o,b,e,E,L,C){if(o){r.renderControl(o);}else{this.renderTitle(r,b,e,E,L,C);}};
a.writeAccessibilityStateContainer=function(r,C){var A={};var o=C.getTitle();var b=C.getToolbar();if(b){if(!C.getAriaLabelledBy()||C.getAriaLabelledBy().length==0){var s=l.form.FormHelper.getToolbarTitle(b);A["labelledby"]={value:s,append:true};}}else if(o){var i="";if(typeof o=="string"){i=C.getId()+"--title";}else{i=o.getId();}A["labelledby"]={value:i,append:true};}if(A["labelledby"]||C.getAriaLabelledBy().length>0){A["role"]="form";}r.accessibilityState(C,A);};
return a;},true);
sap.ui.predefine('sap/ui/layout/form/FormRenderer',['sap/ui/layout/library',"sap/base/Log"],function(l,L){"use strict";var F={apiVersion:2};
F.render=function(r,f){var o=f.getLayout();var a={role:"form"};r.openStart("div",f).class("sapUiForm").class("sapUiFormLblColon").attr("data-sap-ui-customfastnavgroup","true");var c=l.form.FormHelper.addFormClass();if(c){r.class(c);}if(f.getEditable()){r.class("sapUiFormEdit");r.class("sapUiFormEdit-CTX");}else{a.readonly="";}if(f.getWidth()){r.style("width",f.getWidth());}if(f.getTooltip_AsString()){r.attr('title',f.getTooltip_AsString());}var t=f.getTitle();var T=f.getToolbar();if(T){if(!f.getAriaLabelledBy()||f.getAriaLabelledBy().length==0){var s=l.form.FormHelper.getToolbarTitle(T);a["labelledby"]=s;}}else if(t){var i="";if(typeof t=="string"){i=f.getId()+"--title";}else{i=t.getId();}a["labelledby"]={value:i,append:true};}else if(f._sSuggestedTitleId){a["labelledby"]={value:f._sSuggestedTitleId,append:true};}r.accessibilityState(f,a);r.openEnd();if(o){r.renderControl(o);}else{L.warning("Form \""+f.getId()+"\" - Layout missing!","Renderer","Form");}r.close("div");};
return F;},true);
sap.ui.predefine('sap/ui/layout/form/ResponsiveGridLayout',['sap/ui/core/Control','sap/ui/core/ResizeHandler','sap/ui/layout/library','sap/ui/layout/Grid','sap/ui/layout/GridData','./Form','./FormContainer','./FormElement','./FormLayout','./ResponsiveGridLayoutRenderer',"sap/ui/thirdparty/jquery"],function(C,R,l,G,a,F,b,c,d,e,q){"use strict";
var f=d.extend("sap.ui.layout.form.ResponsiveGridLayout",{metadata:{library:"sap.ui.layout",properties:{labelSpanXL:{type:"int",group:"Misc",defaultValue:-1},labelSpanL:{type:"int",group:"Misc",defaultValue:4},labelSpanM:{type:"int",group:"Misc",defaultValue:2},labelSpanS:{type:"int",group:"Misc",defaultValue:12},adjustLabelSpan:{type:"boolean",group:"Misc",defaultValue:true},emptySpanXL:{type:"int",group:"Misc",defaultValue:-1},emptySpanL:{type:"int",group:"Misc",defaultValue:0},emptySpanM:{type:"int",group:"Misc",defaultValue:0},emptySpanS:{type:"int",group:"Misc",defaultValue:0},columnsXL:{type:"int",group:"Misc",defaultValue:-1},columnsL:{type:"int",group:"Misc",defaultValue:2},columnsM:{type:"int",group:"Misc",defaultValue:1},singleContainerFullSize:{type:"boolean",group:"Misc",defaultValue:true},breakpointXL:{type:"int",group:"Misc",defaultValue:1440},breakpointL:{type:"int",group:"Misc",defaultValue:1024},breakpointM:{type:"int",group:"Misc",defaultValue:600}}}});
var P=C.extend("sap.ui.layout.form.ResponsiveGridLayoutPanel",{
metadata:{library:"sap.ui.layout",aggregations:{"content":{type:"sap.ui.layout.Grid",multiple:false}},associations:{"container":{type:"sap.ui.layout.form.FormContainer",multiple:false},"layout":{type:"sap.ui.layout.form.ResponsiveGridLayout",multiple:false}}},
getLayoutData:function(){var i=sap.ui.getCore().byId(this.getContainer());var L=sap.ui.getCore().byId(this.getLayout());var j;if(L&&i){j=L.getLayoutDataForElement(i,"sap.ui.layout.GridData");}if(j){return j;}else{return this.getAggregation("layoutData");}},
getCustomData:function(){var i=sap.ui.getCore().byId(this.getContainer());if(i){return i.getCustomData();}},
refreshExpanded:function(){var i=sap.ui.getCore().byId(this.getContainer());if(i){if(i.getExpanded()){this.$().removeClass("sapUiRGLContainerColl");}else{this.$().addClass("sapUiRGLContainerColl");}}},
renderer:{apiVersion:2,render:function(i,j){var s=sap.ui.getCore().byId(j.getContainer());var L=sap.ui.getCore().byId(j.getLayout());var t=j.getContent();var E=s.getExpandable();var T=s.getTooltip_AsString();var u=s.getToolbar();var v=s.getTitle();i.openStart("div",j);i.class("sapUiRGLContainer");if(E&&!s.getExpanded()){i.class("sapUiRGLContainerColl");}if(u){i.class("sapUiFormContainerToolbar");}else if(v){i.class("sapUiFormContainerTitle");}if(T){i.attr('title',T);}L.getRenderer().writeAccessibilityStateContainer(i,s);i.openEnd();L.getRenderer().renderHeader(i,u,v,s._oExpandButton,E,false,s.getId());if(t){i.openStart("div");i.class("sapUiRGLContainerCont");i.openEnd();i.renderControl(t);i.close("div");}i.close("div");}}
});
f.prototype.init=function(){this.mContainers={};this.oDummyLayoutData=new a(this.getId()+"--Dummy");};
f.prototype.exit=function(){for(var s in this.mContainers){p.call(this,s,true);}if(this._mainGrid){this._mainGrid.destroy();delete this._mainGrid;}this.oDummyLayoutData.destroy();this.oDummyLayoutData=undefined;};
f.prototype.onBeforeRendering=function(E){var i=this.getParent();if(!i||!(i instanceof F)){return;}i._bNoInvalidate=true;_.call(this,i);r.call(this,i);i._bNoInvalidate=false;};
f.prototype.onAfterRendering=function(E){if(this._mainGrid&&this._mainGrid.__bIsUsed){for(var s in this.mContainers){if(this.mContainers[s][1]._sContainerResizeListener){R.deregister(this.mContainers[s][1]._sContainerResizeListener);this.mContainers[s][1]._sContainerResizeListener=null;}}}};
f.prototype.toggleContainerExpanded=function(i){var s=i.getId();if(this.mContainers[s]&&this.mContainers[s][0]){var j=this.mContainers[s][0];j.refreshExpanded();}};
f.prototype.onLayoutDataChange=function(E){var s=E.srcControl;if(s instanceof b){if(this._mainGrid){this._mainGrid.onLayoutDataChange(E);this.invalidate();}}else if(!(s instanceof c)){var i=s.getParent();if(i instanceof c){var j=i.getParent();var t=j.getId();if(this.mContainers[t]&&this.mContainers[t][1]){this.mContainers[t][1].onLayoutDataChange(E);}}}};
f.prototype.onsapup=function(E){this.onsapleft(E);};
f.prototype.onsapdown=function(E){this.onsapright(E);};
f.prototype.getContainerRenderedDomRef=function(i){if(this.getDomRef()){var s=i.getId();if(this.mContainers[s]){if(this.mContainers[s][0]){var j=this.mContainers[s][0];return j.getDomRef();}else if(this.mContainers[s][1]){var t=this.mContainers[s][1];return t.getDomRef();}}}return null;};
f.prototype.getElementRenderedDomRef=function(E){return null;};
function _(j){var v=j.getVisibleFormContainers();var V=v.length;var s=0;var t;var u;var w;var x;var i=0;for(i=0;i<V;i++){w=v[i];w._checkProperties();if(w.isVisible()){s++;x=w.getId();t=undefined;u=undefined;var y=v[i+1];if(this.mContainers[x]&&this.mContainers[x][1]){u=this.mContainers[x][1];}else{u=k.call(this,w);}var T=w.getTitle();var z=w.getToolbar();if(z||T||w.getExpandable()){if(this.mContainers[x]&&this.mContainers[x][0]){t=this.mContainers[x][0];}else{t=g.call(this,w,u);n(u,true);}o(t,w,s,y,V);}else{if(this.mContainers[x]&&this.mContainers[x][0]){h(this.mContainers[x][0]);}n(u,false);o(u,w,s,y,V);}this.mContainers[x]=[t,u];}}var O=Object.keys(this.mContainers).length;if(V<O){for(x in this.mContainers){var A=false;for(i=0;i<V;i++){w=v[i];if(x==w.getId()){A=true;break;}}if(!A){p.call(this,x);}}}}
function g(i,j){var s=i.getId();var t=new P(s+"---Panel",{container:i,layout:this,content:j});return t;}
function h(i,D){i.setLayout(null);i.setContainer(null);if(!D||!i.getParent()){i.setContent(null);i.destroy();}}
function k(t){var I=t.getId()+"--Grid";var u=new G(I,{vSpacing:0,hSpacing:0,containerQuery:true});u.__myParentLayout=this;u.__myParentContainerId=t.getId();u.addStyleClass("sapUiFormResGridCont").addStyleClass("sapUiRespGridOverflowHidden");u.getContent=function(){var t=sap.ui.getCore().byId(this.__myParentContainerId);if(t){var s=[];var E=t.getVisibleFormElements();var w;var y;for(var i=0;i<E.length;i++){var z=E[i];y=z.getLabelControl();if(y){s.push(y);}w=z.getFieldsForRendering();for(var j=0;j<w.length;j++){s.push(w[j]);}}return s;}else{return false;}};u.getAriaLabelledBy=function(){var t=sap.ui.getCore().byId(this.__myParentContainerId);if(t&&!t.getToolbar()&&!t.getTitle()&&!t.getExpandable()){return t.getAriaLabelledBy();}return[];};var B={labelSpan:0,span:0,firstField:false,defaultFields:0,row:0,myRow:false,freeFields:0,finished:false};var x={id:"XL",getEffectiveSpan:function(i){var s=i._getEffectiveSpanXLarge();if(!s){s=i._getEffectiveSpanLarge();}return s;},getEmptySpan:function(i){var E=i.getEmptySpanXL();if(E<0){E=i.getEmptySpanL();}return E;},getLabelSpan:function(i){return i.getLabelSpanXL();},setIndent:function(i,j){i.setIndentXL(j);},setLinebreak:function(i,j){i.setLinebreakXL(j);}};q.extend(x,B);var L={id:"L",getEffectiveSpan:function(i){return i._getEffectiveSpanLarge();},getEmptySpan:function(i){return i.getEmptySpanL();},getLabelSpan:function(i){return i.getLabelSpanL();},setIndent:function(i,j){i.setIndentL(j);},setLinebreak:function(i,j){i.setLinebreakL(j);}};q.extend(L,B);var M={id:"M",getEffectiveSpan:function(i){return i._getEffectiveSpanMedium();},getEmptySpan:function(i){return i.getEmptySpanM();},getLabelSpan:function(i){return i.getLabelSpanM();},setIndent:function(i,j){i.setIndentM(j);},setLinebreak:function(i,j){i.setLinebreakM(j);}};q.extend(M,B);var S={id:"S",getEffectiveSpan:function(i){return i._getEffectiveSpanSmall();},getEmptySpan:function(i){return i.getEmptySpanS();},getLabelSpan:function(i){return i.getLabelSpanS();},setIndent:function(i,j){i.setIndentS(j);},setLinebreak:function(i,j){i.setLinebreakS(j);}};q.extend(S,B);var v=[x,L,M,S];u._getLayoutDataForControl=function(j){var w=this.__myParentLayout;var y=w.getLayoutDataForElement(j,"sap.ui.layout.GridData");var E=j.getParent();var z=E.getLabelControl();if(y){if(z==j){y._setStylesInternal("sapUiFormElementLbl");}return y;}else{var t=sap.ui.getCore().byId(this.__myParentContainerId);var A=w.getLayoutDataForElement(t,"sap.ui.layout.GridData");var D=t.getParent();var H;var s=0;for(s=0;s<v.length;s++){H=v[s];q.extend(H,B);H.labelSpan=H.getLabelSpan(w);}if(w.getAdjustLabelSpan()){if(D.getVisibleFormContainers().length>=1&&w.getColumnsM()>1){M.labelSpan=w.getLabelSpanL();}if(A){if(A._getEffectiveSpanLarge()==12){L.labelSpan=w.getLabelSpanM();M.labelSpan=w.getLabelSpanM();}}if(D.getVisibleFormContainers().length==1||w.getColumnsL()==1){L.labelSpan=w.getLabelSpanM();M.labelSpan=w.getLabelSpanM();}}if(x.labelSpan<0){x.labelSpan=L.labelSpan;}if(z==j){w.oDummyLayoutData.setSpan("XL"+x.labelSpan+" L"+L.labelSpan+" M"+M.labelSpan+" S"+S.labelSpan);w.oDummyLayoutData.setLinebreak(true);w.oDummyLayoutData.setIndentXL(0).setIndentL(0).setIndentM(0).setIndentS(0);w.oDummyLayoutData._setStylesInternal("sapUiFormElementLbl");return w.oDummyLayoutData;}else{var J;if(z){J=w.getLayoutDataForElement(z,"sap.ui.layout.GridData");}var K=E.getFieldsForRendering();var N=K.length;var O;var Q;var T=1;var U=false;var V;var i=0;for(s=0;s<v.length;s++){H=v[s];H.span=12-H.getEmptySpan(w);if(z){if(J){V=H.getEffectiveSpan(J);if(V){H.labelSpan=V;}}if(H.labelSpan<12){H.span=H.span-H.labelSpan;}}H.spanFields=H.span;}for(i=0;i<N;i++){O=K[i];if(O!=j){Q=w.getLayoutDataForElement(O,"sap.ui.layout.GridData");if(Q){for(s=0;s<v.length;s++){H=v[s];V=H.getEffectiveSpan(Q);if(V&&V<H.span){H.span=H.span-V;}}}else{T++;}}else{if(T==1){U=true;}}}var W=[];for(s=0;s<v.length;s++){H=v[s];H.firstField=U;H.defaultFields=T;if(H.span<T){H.defaultFields=0;H.row=0;H.myRow=false;H.freeFields=H.spanFields;H.span=H.spanFields;H.finished=false;W.push(H);}}if(W.length>0){for(i=0;i<N;i++){O=K[i];Q=undefined;if(O!=j){Q=w.getLayoutDataForElement(O,"sap.ui.layout.GridData");}for(s=0;s<W.length;s++){H=W[s];if(H.finished){continue;}if(Q){V=H.getEffectiveSpan(Q);H.span=H.span-V;}else{V=1;}if(H.freeFields>=V){H.freeFields=H.freeFields-V;if(!Q){H.defaultFields++;}}else{if(H.myRow){H.finished=true;}else{H.freeFields=H.spanFields-V;H.row++;if(Q){H.defaultFields=0;H.span=H.spanFields-V;}else{H.defaultFields=1;H.span=H.spanFields;}if(O==j){H.firstField=true;}}}if(O==j){H.myRow=true;}}}}var X=0;var Y="";var Z;for(s=0;s<v.length;s++){H=v[s];if(H.id!="S"||H.labelSpan<12){if(H.firstField){X=H.span-Math.floor(H.span/H.defaultFields)*H.defaultFields;Z=Math.floor(H.span/H.defaultFields)+X;}else{Z=Math.floor(H.span/H.defaultFields);}}else{Z=12;}if(Y){Y=Y+" ";}Y=Y+H.id+Z;H.setLinebreak(w.oDummyLayoutData,H.firstField&&(H.row>0));H.setIndent(w.oDummyLayoutData,H.firstField&&(H.row>0)?H.labelSpan:0);}w.oDummyLayoutData.setSpan(Y);w.oDummyLayoutData.setLinebreak(U&&!z);w.oDummyLayoutData._setStylesInternal(undefined);return w.oDummyLayoutData;}return y;}};u._onParentResizeOrig=u._onParentResize;u._onParentResize=function(){if(!this.getDomRef()){this._cleanup();return;}if(!q(this.getDomRef()).is(":visible")){return;}var j=this.__myParentLayout;if(!j._mainGrid||!j._mainGrid.__bIsUsed){var s=j.getParent().getVisibleFormContainers();var w;for(var i=0;i<s.length;i++){w=s[i];break;}if(!w||!j.mContainers[w.getId()]||w.getId()!=this.__myParentContainerId){return;}if(j.mContainers[this.__myParentContainerId][0]){var D=j.mContainers[this.__myParentContainerId][0].getDomRef();var y=D.clientWidth;if(y<=j.getBreakpointM()){this._toggleClass("Phone");}else if((y>j.getBreakpointM())&&(y<=j.getBreakpointL())){this._toggleClass("Tablet");}else if((y>j.getBreakpointL())&&(y<=j.getBreakpointXL())){this._toggleClass("Desktop");}else{this._toggleClass("LargeDesktop");}}else{this._setBreakPointTablet(j.getBreakpointM());this._setBreakPointDesktop(j.getBreakpointL());this._setBreakPointLargeDesktop(j.getBreakpointXL());this._onParentResizeOrig();}}else{var $=j._mainGrid.$();if($.hasClass("sapUiRespGridMedia-Std-Phone")){this._toggleClass("Phone");}else if($.hasClass("sapUiRespGridMedia-Std-Tablet")){this._toggleClass("Tablet");}else if($.hasClass("sapUiRespGridMedia-Std-Desktop")){this._toggleClass("Desktop");}else{this._toggleClass("LargeDesktop");}}};u._getAccessibleRole=function(){var t=sap.ui.getCore().byId(this.__myParentContainerId);var i=this.__myParentLayout;if(i._mainGrid&&i._mainGrid.__bIsUsed&&!t.getToolbar()&&!t.getTitle()&&!t.getExpandable()&&t.getAriaLabelledBy().length>0){return"form";}};u.getUIArea=function(){var i=this.__myParentLayout;if(i){return i.getUIArea();}else{return null;}};return u;}
function m(i,D){if(i.__myParentContainerId){i.__myParentContainerId=undefined;}i.__myParentLayout=undefined;if(!D||!i.getParent()){i.destroy();}}
function n(i,O){if(O){if(i.__originalGetLayoutData){i.getLayoutData=i.__originalGetLayoutData;delete i.__originalGetLayoutData;}}else if(!i.__originalGetLayoutData){i.__originalGetLayoutData=i.getLayoutData;i.getLayoutData=function(){var L=this.__myParentLayout;var j=sap.ui.getCore().byId(this.__myParentContainerId);var s;if(j){s=L.getLayoutDataForElement(j,"sap.ui.layout.GridData");}if(s){return s;}else{return this.getAggregation("layoutData");}};}}
function o(i,j,v,s,V){var L;if(i instanceof P){L=sap.ui.getCore().byId(i.getLayout());}else{L=i.__myParentLayout;}var t=L.getLayoutDataForElement(j,"sap.ui.layout.GridData");if(!t){var u=L.getColumnsM();var w=L.getColumnsL();var x=L.getColumnsXL();var y=(v%w)==1;var z=(v%w)==0;var A=v>(w*(Math.ceil(V/w)-1));var B=v<=w;var D=(v%u)==1;var E=(v%u)==0;var H=v>(u*(Math.ceil(V/u)-1));var I=v<=u;var J=false;var K=z;var M=A;var N=B;if(x>0){J=(v%x)==1;K=(v%x)==0;M=v>(x*(Math.ceil(V/x)-1));N=v<=x;}if(s){var O=L.getLayoutDataForElement(s,"sap.ui.layout.GridData");if(O&&(O.getLinebreak()||O.getLinebreakXL())){K=true;M=false;}if(O&&(O.getLinebreak()||O.getLinebreakL())){z=true;A=false;}if(O&&(O.getLinebreak()||O.getLinebreakM())){E=true;H=false;}}var S="";if(K){S="sapUiFormResGridLastContXL";}if(z){if(S){S=S+" ";}S=S+"sapUiFormResGridLastContL";}if(E){if(S){S=S+" ";}S=S+"sapUiFormResGridLastContM";}if(M){if(S){S=S+" ";}S=S+"sapUiFormResGridLastRowXL";}if(A){if(S){S=S+" ";}S=S+"sapUiFormResGridLastRowL";}if(H){if(S){S=S+" ";}S=S+"sapUiFormResGridLastRowM";}if(N){if(S){S=S+" ";}S=S+"sapUiFormResGridFirstRowXL";}if(B){if(S){S=S+" ";}S=S+"sapUiFormResGridFirstRowL";}if(I){if(S){S=S+" ";}S=S+"sapUiFormResGridFirstRowM";}t=i.getLayoutData();if(!t){t=new a(i.getId()+"--LD",{linebreakL:y,linebreakM:D});i.setLayoutData(t);}else{t.setLinebreakL(y);t.setLinebreakM(D);}if(x>0){t.setLinebreakXL(J);}t._setStylesInternal(S);}}
function p(s,D){var i=this.mContainers[s];var j=i[1];if(j){m(j,D);}var t=i[0];if(t){h(t,D);}delete this.mContainers[s];}
function r(s){var v=s.getVisibleFormContainers();var t;var u;var L=v.length;var w=0;var i=0;var j=0;if(L>1||!this.getSingleContainerFullSize()){var S=Math.floor(12/this.getColumnsM());var x=Math.floor(12/this.getColumnsL());var y;var D="";var z=this.getColumnsXL();if(z>=0){y=Math.floor(12/z);D=D+"XL"+y+" ";}D=D+"L"+x+" M"+S+" S12";if(!this._mainGrid){this._mainGrid=new G(s.getId()+"--Grid",{defaultSpan:D,hSpacing:0,vSpacing:0,containerQuery:true}).setParent(this);this._mainGrid.addStyleClass("sapUiFormResGridMain").addStyleClass("sapUiRespGridOverflowHidden");this._mainGrid._onParentResizeOrig=this._mainGrid._onParentResize;this._mainGrid._onParentResize=function(){this._onParentResizeOrig();var J=this.getParent();for(var u in J.mContainers){J.mContainers[u][1]._onParentResize();}};}else{this._mainGrid.setDefaultSpan(D);var A=this._mainGrid.getContent();w=A.length;var E=false;for(i=0;i<w;i++){var B=A[i];t=undefined;if(B.getContainer){t=sap.ui.getCore().byId(B.getContainer());}else{t=sap.ui.getCore().byId(B.__myParentContainerId);}if(t&&t.isVisible()){var V=v[j];if(t!=V){E=true;break;}var H=this.mContainers[t.getId()];if(H[0]&&H[0]!=B){E=true;break;}if(!H[0]&&H[1]&&H[1]!=B){E=true;break;}j++;}else{this._mainGrid.removeContent(B);}}if(E){this._mainGrid.removeAllContent();w=0;}}this._mainGrid._setBreakPointTablet(this.getBreakpointM());this._mainGrid._setBreakPointDesktop(this.getBreakpointL());this._mainGrid._setBreakPointLargeDesktop(this.getBreakpointXL());this._mainGrid.__bIsUsed=true;if(w<L){var I=0;if(w>0){I=w--;}for(i=I;i<L;i++){t=v[i];u=t.getId();if(this.mContainers[u]){if(this.mContainers[u][0]){this._mainGrid.addContent(this.mContainers[u][0]);}else if(this.mContainers[u][1]){this._mainGrid.addContent(this.mContainers[u][1]);}}}}}else{if(this._mainGrid){this._mainGrid.__bIsUsed=false;}for(i=0;i<L;i++){t=v[i];u=t.getId();if(this.mContainers[u]){if(this.mContainers[u][0]){if(this.mContainers[u][0].getParent()!==this){this.addDependent(this.mContainers[u][0]);}}else if(this.mContainers[u][1]){if(this.mContainers[u][1].getParent()!==this){this.addDependent(this.mContainers[u][1]);}}}}}}
return f;});
sap.ui.predefine('sap/ui/layout/form/ResponsiveGridLayoutRenderer',['sap/ui/core/Renderer','./FormLayoutRenderer'],function(R,F){"use strict";var a=R.extend(F);
a.getMainClass=function(){return"sapUiFormResGrid";};
a.renderContainers=function(r,l,f){var v=f.getVisibleFormContainers();var L=v.length;if(L>0){if(L>1||!l.getSingleContainerFullSize()){r.renderControl(l._mainGrid);}else if(l.mContainers[v[0].getId()][0]){r.renderControl(l.mContainers[v[0].getId()][0]);}else{r.renderControl(l.mContainers[v[0].getId()][1]);}}};
return a;},true);
sap.ui.predefine('sap/ui/layout/form/SimpleForm',['sap/ui/core/Control','sap/ui/base/ManagedObjectObserver','sap/ui/core/ResizeHandler','sap/ui/layout/library','./Form','./FormContainer','./FormElement','./FormLayout','./SimpleFormRenderer',"sap/base/Log","sap/ui/thirdparty/jquery"],function(C,M,R,l,F,a,b,c,S,L,q){"use strict";var B=l.BackgroundDesign;var d=l.form.SimpleFormLayout;var e;var f;var g;var G;var h;var m;var n;
var o=C.extend("sap.ui.layout.form.SimpleForm",{metadata:{library:"sap.ui.layout",properties:{maxContainerCols:{type:"int",group:"Appearance",defaultValue:2},minWidth:{type:"int",group:"Appearance",defaultValue:-1},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},editable:{type:"boolean",group:"Misc",defaultValue:null},labelMinWidth:{type:"int",group:"Misc",defaultValue:192},layout:{type:"sap.ui.layout.form.SimpleFormLayout",group:"Misc",defaultValue:d.ResponsiveLayout},labelSpanXL:{type:"int",group:"Misc",defaultValue:-1},labelSpanL:{type:"int",group:"Misc",defaultValue:4},labelSpanM:{type:"int",group:"Misc",defaultValue:2},labelSpanS:{type:"int",group:"Misc",defaultValue:12},adjustLabelSpan:{type:"boolean",group:"Misc",defaultValue:true},emptySpanXL:{type:"int",group:"Misc",defaultValue:-1},emptySpanL:{type:"int",group:"Misc",defaultValue:0},emptySpanM:{type:"int",group:"Misc",defaultValue:0},emptySpanS:{type:"int",group:"Misc",defaultValue:0},columnsXL:{type:"int",group:"Misc",defaultValue:-1},columnsL:{type:"int",group:"Misc",defaultValue:2},columnsM:{type:"int",group:"Misc",defaultValue:1},singleContainerFullSize:{type:"boolean",group:"Misc",defaultValue:true},breakpointXL:{type:"int",group:"Misc",defaultValue:1440},breakpointL:{type:"int",group:"Misc",defaultValue:1024},breakpointM:{type:"int",group:"Misc",defaultValue:600},backgroundDesign:{type:"sap.ui.layout.BackgroundDesign",group:"Appearance",defaultValue:B.Translucent}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Element",multiple:true,singularName:"content"},form:{type:"sap.ui.layout.form.Form",multiple:false,visibility:"hidden"},title:{type:"sap.ui.core.Title",altTypes:["string"],multiple:false},toolbar:{type:"sap.ui.core.Toolbar",multiple:false}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},designtime:"sap/ui/layout/designtime/form/SimpleForm.designtime"}});
o.prototype.init=function(){this._iMaxWeight=8;this._iLabelWeight=3;this._iCurrentWidth=0;var i=new F(this.getId()+"--Form");i.getTitle=function(){return this.getParent().getTitle();};i._origInvalidate=i.invalidate;i.invalidate=function(j){if(this.bOutput){this._origInvalidate(j);}if(this._bIsBeingDestroyed){return;}var k=this.getParent();if(k){k._formInvalidated(j);}};i.getAriaLabelledBy=function(){var j=this.getParent();if(j){return j.getAriaLabelledBy();}else{return null;}};i._origOnLayoutDataChange=i.onLayoutDataChange;i.onLayoutDataChange=function(j){this._origOnLayoutDataChange(j);var k=this.getParent();if(k){k._onLayoutDataChange(j);}};this.setAggregation("form",i);this._aElements=null;this._aLayouts=[];this._changedFormContainers=[];this._changedFormElements=[];this._oObserver=new M(W.bind(this));};
o.prototype.exit=function(){var j=this.getAggregation("form");j.invalidate=j._origInvalidate;U.call(this);for(var i=0;i<this._aLayouts.length;i++){var k=sap.ui.getCore().byId(this._aLayouts[i]);if(k&&k.destroy){k.destroy();}}this._aLayouts=[];this._aElements=null;this._changedFormContainers=[];this._changedFormElements=[];this._oObserver.disconnect();this._oObserver=undefined;};
o.prototype.onBeforeRendering=function(){U.call(this);var i=this.getAggregation("form");var j=this.getLayout();if((!this._bResponsiveLayoutRequested&&j===d.ResponsiveLayout)||(!this._bGridLayoutRequested&&j===d.GridLayout)||(!this._bResponsiveGridLayoutRequested&&j===d.ResponsiveGridLayout)||(!this._bColumnLayoutRequested&&j===d.ColumnLayout)){var k=true;if(!i.getLayout()){k=_.call(this);}if(k){x.call(this);}}};
o.prototype.onAfterRendering=function(){if(this.getLayout()==d.ResponsiveLayout){this._bChangedByMe=true;this.$().css("visibility","hidden");this._applyLinebreaks();this._sResizeListenerId=R.register(this.getDomRef(),q.proxy(this._resize,this));this._bChangedByMe=false;}};
o.prototype.setEditable=function(i){this._bChangedByMe=true;this.setProperty("editable",i,true);var j=this.getAggregation("form");j.setEditable(i);this._bChangedByMe=false;return this;};
o.prototype.setToolbar=function(i){this._bChangedByMe=true;var j=this.getAggregation("form");j.setToolbar(i);this._bChangedByMe=false;return this;};
o.prototype.getToolbar=function(){var i=this.getAggregation("form");return i.getToolbar();};
o.prototype.destroyToolbar=function(){this._bChangedByMe=true;var i=this.getAggregation("form");i.destroyToolbar();this._bChangedByMe=false;return this;};
o.prototype.setLabelMinWidth=function(j){this.setProperty("labelMinWidth",j,true);if(this.getLayout()==d.ResponsiveLayout){this._bLayoutDataChangedByMe=true;var k=this.getContent();for(var i=0;i<k.length;i++){var Y=k[i];if(Y.isA("sap.ui.core.Label")){var Z=A.call(this,Y);if(Z&&Z.isA("sap.ui.layout.ResponsiveFlowLayoutData")&&y.call(this,Z)){Z.setMinWidth(j);}}}this._bLayoutDataChangedByMe=false;}return this;};
o.prototype.indexOfContent=function(j){var k=this._aElements;if(k){for(var i=0;i<k.length;i++){if(k[i]==j){return i;}}}return-1;};
o.prototype.addContent=function(i){i=this.validateAggregation("content",i,true);if(this.indexOfContent(i)>=0){L.warning("SimpleForm.addContent: Content element '"+i+"' already assigned. Please remove before adding!",this);this.removeContent(i);}if(!this._aElements){this._aElements=[];}this._bChangedByMe=true;var j=this._aElements.length;var k;var Y=this.getAggregation("form");var Z;var $;var a1;var b1;if(i.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"])){Z=P.call(this,i);Y.addFormContainer(Z);this._changedFormContainers.push(Z);}else if(i.isA("sap.ui.core.Label")){if(j>0){k=this._aElements[j-1];a1=k.getParent();if(a1 instanceof b){Z=a1.getParent();}else if(a1 instanceof a){Z=a1;}}if(!Z){Z=P.call(this);Y.addFormContainer(Z);this._changedFormContainers.push(Z);}$=K.call(this,Z,i);}else{if(j>0){k=this._aElements[j-1];a1=k.getParent();if(a1 instanceof b){Z=a1.getParent();$=a1;b1=A.call(this,i);if(b1&&b1.isA("sap.ui.layout.ResponsiveFlowLayoutData")&&!y.call(this,b1)&&b1.getLinebreak()){$=K.call(this,Z);}}else if(a1 instanceof a){Z=a1;$=K.call(this,Z);}}else{Z=P.call(this);Y.addFormContainer(Z);this._changedFormContainers.push(Z);$=K.call(this,Z);}E.call(this,i,5,false,true);$.addField(i);V(this._changedFormElements,$);}this._aElements.push(i);this._oObserver.observe(i,{properties:["visible"]});this.invalidate();this._bChangedByMe=false;return this;};
o.prototype.insertContent=function(j,k){j=this.validateAggregation("content",j,true);if(this.indexOfContent(j)>=0){L.warning("SimpleForm.insertContent: Content element '"+j+"' already assigned. Please remove before insert!",this);this.removeContent(j);}if(!this._aElements){this._aElements=[];}var Y=this._aElements.length;var Z;if(k<0){Z=0;}else if(k>Y){Z=Y;}else{Z=k;}if(Z!==k){L.warning("SimpleForm.insertContent: index '"+k+"' out of range [0,"+Y+"], forced to "+Z);}if(Z==Y){this.addContent(j);return this;}this._bChangedByMe=true;var $=this._aElements[Z];var a1=this.getAggregation("form");var b1;var c1;var d1;var e1;var f1;var g1=0;var h1;var i1;var j1;var k1;var i=0;var l1;var m1;if(j.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"])){if(k==0&&!($.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"]))){b1=$.getParent().getParent();if(j.isA("sap.ui.core.Title")){b1.setTitle(j);}else{b1.setToolbar(j);}}else{b1=P.call(this,j);if($.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"])){d1=$.getParent();f1=a1.indexOfFormContainer(d1);}else{e1=$.getParent();d1=e1.getParent();f1=a1.indexOfFormContainer(d1)+1;g1=d1.indexOfFormElement(e1);if(!$.isA("sap.ui.core.Label")){h1=e1.indexOfField($);if(h1>0||e1.getLabel()){c1=K.call(this,b1);this._changedFormElements.push(c1);V(this._changedFormElements,e1);i1=e1.getFields();for(i=h1;i<i1.length;i++){l1=i1[i];c1.addField(l1);}g1++;}}j1=d1.getFormElements();for(i=g1;i<j1.length;i++){b1.addFormElement(j1[i]);}}a1.insertFormContainer(b1,f1);}this._changedFormContainers.push(b1);}else if(j.isA("sap.ui.core.Label")){if($.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"])){d1=$.getParent();f1=a1.indexOfFormContainer(d1);k1=a1.getFormContainers();if(f1==0){b1=P.call(this);a1.insertFormContainer(b1,f1);this._changedFormContainers.push(b1);}else{b1=k1[f1-1];}c1=K.call(this,b1,j);}else if($.isA("sap.ui.core.Label")){d1=$.getParent().getParent();g1=d1.indexOfFormElement($.getParent());c1=N.call(this,d1,j,g1);}else{e1=$.getParent();d1=e1.getParent();g1=d1.indexOfFormElement(e1)+1;h1=e1.indexOfField($);if(h1==0&&!e1.getLabel()){c1=e1;c1.setLabel(j);E.call(this,j,this._iLabelWeight,false,true,this.getLabelMinWidth());}else{c1=N.call(this,d1,j,g1);V(this._changedFormElements,e1);i1=e1.getFields();for(i=h1;i<i1.length;i++){l1=i1[i];c1.addField(l1);}}}this._changedFormElements.push(c1);}else{m1=A.call(this,j);if($.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"])){d1=$.getParent();f1=a1.indexOfFormContainer(d1);if(f1==0){b1=P.call(this);a1.insertFormContainer(b1,f1);this._changedFormContainers.push(b1);}else{k1=a1.getFormContainers();b1=k1[f1-1];}j1=b1.getFormElements();if(j1.length==0){c1=K.call(this,b1);}else if(m1&&m1.isA("sap.ui.layout.ResponsiveFlowLayoutData")&&!y.call(this,m1)&&m1.getLinebreak()){c1=K.call(this,b1);}else{c1=j1[j1.length-1];}c1.addField(j);}else if($.isA("sap.ui.core.Label")){e1=$.getParent();b1=e1.getParent();g1=b1.indexOfFormElement(e1);if(g1==0){c1=N.call(this,b1,null,0);}else if(m1&&m1.isA("sap.ui.layout.ResponsiveFlowLayoutData")&&!y.call(this,m1)&&m1.getLinebreak()){c1=N.call(this,b1,null,g1);}else{j1=b1.getFormElements();c1=j1[g1-1];}c1.addField(j);}else{c1=$.getParent();h1=c1.indexOfField($);if(m1&&m1.isA("sap.ui.layout.ResponsiveFlowLayoutData")&&!y.call(this,m1)&&m1.getLinebreak()&&h1>0){b1=c1.getParent();g1=b1.indexOfFormElement(c1);V(this._changedFormElements,c1);i1=c1.getFields();c1=N.call(this,b1,undefined,g1+1);c1.addField(j);for(i=h1;i<i1.length;i++){l1=i1[i];c1.addField(l1);}}else{c1.insertField(j,h1);}}V(this._changedFormElements,c1);E.call(this,j,5,false,true);}this._aElements.splice(Z,0,j);this._oObserver.observe(j,{properties:["visible"]});this.invalidate();this._bChangedByMe=false;return this;};
o.prototype.removeContent=function(j){var k=null;var Y=-1;var i=0;if(this._aElements){if(typeof(j)=="string"){j=sap.ui.getCore().byId(j);}if(typeof(j)=="object"){for(i=0;i<this._aElements.length;i++){if(this._aElements[i]==j){j=i;break;}}}if(typeof(j)=="number"){if(j<0||j>=this._aElements.length){L.warning("Element.removeAggregation called with invalid index: Items, "+j);}else{Y=j;k=this._aElements[Y];}}}if(k){this._bChangedByMe=true;var Z=this.getAggregation("form");var $;var a1;var b1;var c1;if(k.isA(["sap.ui.core.Title","sap.ui.core.Toolbar"])){$=k.getParent();$.setTitle(null);$.setToolbar(null);if(Y>0){b1=$.getFormElements();var d1=Z.indexOfFormContainer($);var e1=Z.getFormContainers()[d1-1];if(b1.length>0&&!b1[0].getLabel()){var f1=e1.getFormElements();var g1=f1[f1.length-1];c1=b1[0].getFields();for(i=0;i<c1.length;i++){g1.addField(c1[i]);}V(this._changedFormElements,g1);$.removeFormElement(b1[0]);b1[0].destroy();b1.splice(0,1);}for(i=0;i<b1.length;i++){e1.addFormElement(b1[i]);}V(this._changedFormContainers,e1);Z.removeFormContainer($);$.destroy();}else if($.getFormElements().length==0){Z.removeFormContainer($);$.destroy();}}else if(k.isA("sap.ui.core.Label")){a1=k.getParent();$=a1.getParent();a1.setLabel(null);var h1=$.indexOfFormElement(a1);if(h1==0){if(a1.getFields().length==0){$.removeFormElement(a1);a1.destroy();if($.getFormElements().length==0&&!$.getTitle()&&!$.getToolbar()){Z.removeFormContainer($);$.destroy();}}else{V(this._changedFormElements,a1);}}else{b1=$.getFormElements();var i1=b1[h1-1];c1=a1.getFields();for(i=0;i<c1.length;i++){i1.addField(c1[i]);}V(this._changedFormElements,i1);$.removeFormElement(a1);a1.destroy();}}else{a1=k.getParent();a1.removeField(k);if(a1.getFields().length==0&&!a1.getLabel()){$=a1.getParent();$.removeFormElement(a1);a1.destroy();if($.getFormElements().length==0&&!$.getTitle()&&!$.getToolbar()){Z.removeFormContainer($);$.destroy();}}else{V(this._changedFormElements,a1);}}this._aElements.splice(Y,1);k.setParent(null);this._oObserver.unobserve(k);J.call(this,k);this.invalidate();this._bChangedByMe=false;return k;}return null;};
o.prototype.removeAllContent=function(){var i=0;if(this._aElements){this._bChangedByMe=true;var k=this.getAggregation("form");var Y=k.getFormContainers();for(i=0;i<Y.length;i++){var Z=Y[i];Z.setTitle(null);Z.setToolbar(null);var $=Z.getFormElements();for(var j=0;j<$.length;j++){var a1=$[j];a1.setLabel(null);a1.removeAllFields();}Z.destroyFormElements();}k.destroyFormContainers();for(i=0;i<this._aElements.length;i++){var b1=this._aElements[i];J.call(this,b1);this._oObserver.unobserve(b1);}var c1=this._aElements;this._aElements=null;this.invalidate();this._bChangedByMe=false;return c1;}else{return[];}};
o.prototype.destroyContent=function(){var j=this.removeAllContent();if(j){this._bChangedByMe=true;for(var i=0;i<j.length;i++){j[i].destroy();}this.invalidate();this._bChangedByMe=false;}return this;};
o.prototype.getContent=function(){if(!this._aElements){this._aElements=this.getAggregation("content",[]);}return this._aElements.slice();};
o.prototype.setLayout=function(i){var j=this.getLayout();if(i!=j){v.call(this);}this.setProperty("layout",i);if(i!=j){var k=_.call(this);if(k){w.call(this);}}return this;};
o.prototype.clone=function(k){this._bChangedByMe=true;var Y=C.prototype.clone.apply(this,arguments);var Z=this.getContent();for(var i=0;i<Z.length;i++){var $=Z[i];var a1=$.getLayoutData();this._oObserver.unobserve($);var b1=$.clone(k);this._oObserver.observe($,{properties:["visible"]});if(a1){if(a1.isA("sap.ui.core.VariantLayoutData")){var c1=a1.getMultipleLayoutData();for(var j=0;j<c1.length;j++){if(y.call(this,c1[j])){Y._aLayouts.push(b1.getLayoutData().getMultipleLayoutData()[j].getId());}}}else if(y.call(this,a1)){Y._aLayouts.push(b1.getLayoutData().getId());}}Y.addContent(b1);}this._bChangedByMe=false;return Y;};
function _(){var i=this.getAggregation("form");if(i.getLayout()){this._bChangedByMe=true;i.destroyLayout();U.call(this);this._bChangedByMe=false;}var j;switch(this.getLayout()){case d.ResponsiveLayout:if((!e||!f)&&!this._bResponsiveLayoutRequested){e=sap.ui.require("sap/ui/layout/form/ResponsiveLayout");f=sap.ui.require("sap/ui/layout/ResponsiveFlowLayoutData");if(!e||!f){sap.ui.require(["sap/ui/layout/form/ResponsiveLayout","sap/ui/layout/ResponsiveFlowLayoutData"],p.bind(this));this._bResponsiveLayoutRequested=true;}}if(e&&f){j=new e(this.getId()+"--Layout");}break;case d.GridLayout:if((!G||!h||!m)&&!this._bGridLayoutRequested){G=sap.ui.require("sap/ui/layout/form/GridLayout");h=sap.ui.require("sap/ui/layout/form/GridContainerData");m=sap.ui.require("sap/ui/layout/form/GridElementData");if(!G||!h||!m){sap.ui.require(["sap/ui/layout/form/GridLayout","sap/ui/layout/form/GridContainerData","sap/ui/layout/form/GridElementData"],r.bind(this));this._bGridLayoutRequested=true;}}if(G&&h&&m){j=new G(this.getId()+"--Layout");}break;case d.ResponsiveGridLayout:if(!g&&!this._bResponsiveGridLayoutRequested){g=sap.ui.require("sap/ui/layout/form/ResponsiveGridLayout");if(!g){sap.ui.require(["sap/ui/layout/form/ResponsiveGridLayout"],s.bind(this));this._bResponsiveGridLayoutRequested=true;}}if(g){j=new g(this.getId()+"--Layout");}break;case d.ColumnLayout:if(!n&&!this._bColumnLayoutRequested){n=sap.ui.require("sap/ui/layout/form/ColumnLayout");if(!n){sap.ui.require(["sap/ui/layout/form/ColumnLayout"],t.bind(this));this._bColumnLayoutRequested=true;}}if(n){j=new n(this.getId()+"--Layout");}break;}if(j){this._bChangedByMe=true;i.setLayout(j);this._bChangedByMe=false;return true;}return false;}
function p(i,j){e=i;f=j;this._bResponsiveLayoutRequested=false;if(this.getLayout()==d.ResponsiveLayout){u.call(this);}}
function r(i,j,k){G=i;h=j;m=k;this._bGridLayoutRequested=false;if(this.getLayout()==d.GridLayout){u.call(this);}}
function s(i){g=i;this._bResponsiveGridLayoutRequested=false;if(this.getLayout()==d.ResponsiveGridLayout){u.call(this);}}
function t(i){n=i;this._bColumnLayoutRequested=false;if(this.getLayout()==d.ColumnLayout){u.call(this);}}
function u(){if(!this._bIsBeingDestroyed){_.call(this);w.call(this);if(this.getDomRef()){x.call(this);}}}
function v(){this._bChangedByMe=true;var Y=this.getAggregation("form");var Z=Y.getFormContainers();for(var i=0;i<Z.length;i++){var $=Z[i];V(this._changedFormContainers,$);if($.getLayoutData()){$.destroyLayoutData();}var a1=$.getFormElements();for(var j=0;j<a1.length;j++){var b1=a1[j];V(this._changedFormElements,b1);if(b1.getLayoutData()){b1.destroyLayoutData();}var c1=b1.getLabel();if(c1){J.call(this,c1);}var d1=b1.getFields();for(var k=0;k<d1.length;k++){var e1=d1[k];J.call(this,e1);}}}this._bChangedByMe=false;}
function w(){this._bChangedByMe=true;var Y=this.getAggregation("form");var Z=Y.getFormContainers();for(var i=0;i<Z.length;i++){var $=Z[i];V(this._changedFormContainers,$);I.call(this,$);var a1=$.getFormElements();for(var j=0;j<a1.length;j++){var b1=a1[j];V(this._changedFormElements,b1);H.call(this,b1);var c1=b1.getLabel();if(c1){E.call(this,c1,this._iLabelWeight,false,true,this.getLabelMinWidth());}var d1=b1.getFields();for(var k=0;k<d1.length;k++){var e1=d1[k];E.call(this,e1,5,false,true);}}}this._bChangedByMe=false;}
function x(){this._bChangedByMe=true;this._changedFormContainers=[];var j=this.getLayout();var k=this.getAggregation("form").getLayout();k.setBackgroundDesign(this.getBackgroundDesign());switch(j){case d.ResponsiveLayout:this._applyLinebreaks();for(var i=0;i<this._changedFormElements.length;i++){var Y=this._changedFormElements[i];Q.call(this,Y);}break;case d.GridLayout:T.call(this);break;case d.ResponsiveGridLayout:k.setLabelSpanXL(this.getLabelSpanXL());k.setLabelSpanL(this.getLabelSpanL());k.setLabelSpanM(this.getLabelSpanM());k.setLabelSpanS(this.getLabelSpanS());k.setAdjustLabelSpan(this.getAdjustLabelSpan());k.setEmptySpanXL(this.getEmptySpanXL());k.setEmptySpanL(this.getEmptySpanL());k.setEmptySpanM(this.getEmptySpanM());k.setEmptySpanS(this.getEmptySpanS());k.setColumnsXL(this.getColumnsXL());k.setColumnsL(this.getColumnsL());k.setColumnsM(this.getColumnsM());k.setSingleContainerFullSize(this.getSingleContainerFullSize());k.setBreakpointXL(this.getBreakpointXL());k.setBreakpointL(this.getBreakpointL());k.setBreakpointM(this.getBreakpointM());break;case d.ColumnLayout:k.setColumnsXL(this.getColumnsXL()>0?this.getColumnsXL():this.getColumnsL());k.setColumnsL(this.getColumnsL());k.setColumnsM(this.getColumnsM());k.setLabelCellsLarge(this.getLabelSpanL());k.setEmptyCellsLarge(this.getEmptySpanL());break;}this._changedFormElements=[];this._bChangedByMe=false;}
function y(i){var j=i.getId(),k=" "+this._aLayouts.join(" ")+" ";return k.indexOf(" "+j+" ")>-1;}
function z(i,j,k,Y){var Z=new f({weight:i,linebreak:j===true,linebreakable:k===true});if(Y){Z.setMinWidth(Y);}this._aLayouts.push(Z.getId());return Z;}
function A(i){var j;switch(this.getLayout()){case d.ResponsiveLayout:j=c.prototype.getLayoutDataForElement(i,"sap.ui.layout.ResponsiveFlowLayoutData");break;case d.GridLayout:j=c.prototype.getLayoutDataForElement(i,"sap.ui.layout.form.GridElementData");break;case d.ResponsiveGridLayout:j=c.prototype.getLayoutDataForElement(i,"sap.ui.layout.GridData");break;case d.ColumnLayout:j=c.prototype.getLayoutDataForElement(i,"sap.ui.layout.form.ColumnElementData");break;}return j;}
function D(){var i=this.getLayout();if((i===d.ResponsiveLayout&&this._bResponsiveLayoutRequested)||(i===d.GridLayout&&this._bGridLayoutRequested)||(i===d.ResponsiveGridLayout&&this._bResponsiveGridLayoutRequested)||(i===d.ColumnLayout&&this._bColumnLayoutRequested)){return false;}if(!this.getAggregation("form").getLayout()){var j=this._bChangedByMe;var k=_.call(this);this._bChangedByMe=j;if(!k){return false;}}return true;}
function E(i,j,k,Y,Z){if(this.getLayout()!=d.ResponsiveLayout){return;}if(!D.call(this)){return;}this._bLayoutDataChangedByMe=true;var $=A.call(this,i);if(!$||!y.call(this,$)){$=i.getLayoutData();if($&&$.isA("sap.ui.core.VariantLayoutData")){$.addMultipleLayoutData(z.call(this,j,k,Y,Z));}else if(!$){i.setLayoutData(z.call(this,j,k,Y,Z));}else{L.warning("ResponsiveFlowLayoutData can not be set on Field "+i.getId(),"_createFieldLayoutData","SimpleForm");}}this._bLayoutDataChangedByMe=false;}
function H(i){if(this.getLayout()!=d.ResponsiveLayout){return;}if(!D.call(this)){return;}this._bLayoutDataChangedByMe=true;i.setLayoutData(new f({linebreak:true,margin:false}));this._bLayoutDataChangedByMe=false;}
function I(i){var j=this.getLayout();if(j!=d.ResponsiveLayout&&j!=d.GridLayout){return;}if(!D.call(this)){return;}this._bLayoutDataChangedByMe=true;switch(j){case d.ResponsiveLayout:i.setLayoutData(new f({minWidth:280}));break;case d.GridLayout:if(this.getMaxContainerCols()>1){i.setLayoutData(new h({halfGrid:true}));}else{i.setLayoutData(new h({halfGrid:false}));}break;}this._bLayoutDataChangedByMe=false;}
function J(j){this._bLayoutDataChangedByMe=true;var k=A.call(this,j);if(k){var Y=k.getId();for(var i=0;i<this._aLayouts.length;i++){var Z=this._aLayouts[i];if(Y==Z){k.destroy();this._aLayouts.splice(i,1);break;}}}this._bLayoutDataChangedByMe=false;}
function K(i,j){var k=O.call(this,j);i.addFormElement(k);return k;}
function N(i,j,k){var Y=O.call(this,j);i.insertFormElement(Y,k);return Y;}
function O(j){var k=new b();H.call(this,k);if(j){j.addStyleClass("sapUiFormLabel-CTX");k.setLabel(j);if(!A.call(this,j)){E.call(this,j,this._iLabelWeight,false,true,this.getLabelMinWidth());}}k.isVisible=function(){var Y=this.getFields();var Z=false;for(var i=0;i<Y.length;i++){var $=Y[i];if($.getVisible()){Z=true;break;}}return Z;};return k;}
function P(i){var j=new a();I.call(this,j);j.getAriaLabelledBy=function(){var k=this.getToolbar();if(k){return k.getAriaLabelledBy();}else{return[];}};if(i){if(i.isA("sap.ui.core.Title")){j.setTitle(i);}else if(i.isA("sap.ui.core.Toolbar")){j.setToolbar(i);}}return j;}
function Q(j){var k=this._iMaxWeight;var Y=j.getFields();var Z;var $=Y.length;var a1=j.getLabel();var b1;var i=0;this._bLayoutDataChangedByMe=true;if(a1&&A.call(this,a1)){k=k-A.call(this,a1).getWeight();}for(i=0;i<Y.length;i++){Z=Y[i];b1=A.call(this,Z);if(b1&&b1.isA("sap.ui.layout.ResponsiveFlowLayoutData")&&!y.call(this,b1)){k=k-b1.getWeight();$--;}}var c1=Math.floor(k/$);var d1=k%$;for(i=0;i<Y.length;i++){Z=Y[i];b1=A.call(this,Z);var e1=c1;if(!b1){E.call(this,Z,e1,false,i==0);}else if(y.call(this,b1)&&b1.isA("sap.ui.layout.ResponsiveFlowLayoutData")){if(d1>0){e1++;d1--;}b1.setWeight(e1);}}this._bLayoutDataChangedByMe=false;}
o.prototype._applyLinebreaks=function(){if(!e||this._bResponsiveLayoutRequested){return;}this._bLayoutDataChangedByMe=true;var j=this.getAggregation("form"),k=j.getFormContainers();var Y=this.getDomRef();var Z=this.$();for(var i=1;i<k.length;i++){var $=k[i],a1=$.getLayoutData();if(!Y||Z.outerWidth(true)>this.getMinWidth()){if(i%this.getMaxContainerCols()==0){a1.setLinebreak(true);}else{a1.setLinebreak(false);}}else{a1.setLinebreak(true);}}if(Y&&Z.css("visibility")=="hidden"){var b1=this;setTimeout(function(){if(b1.getDomRef()){b1.$().css("visibility","");}},10);}this._bLayoutDataChangedByMe=false;};
function T(){this._bLayoutDataChangedByMe=true;var j=this.getAggregation("form");var k=j.getFormContainers();var Y=k.length;for(var i=0;i<Y;i++){var Z=k[i];if((this.getMaxContainerCols()<=1)||((i==Y-1)&&(Y%2>0))){Z.getLayoutData().setHalfGrid(false);}else if(!Z.getLayoutData().getHalfGrid()){Z.getLayoutData().setHalfGrid(true);}}this._bLayoutDataChangedByMe=false;}
o.prototype._resize=function(i){this._bChangedByMe=true;if(this._iCurrentWidth==i.size.width){return;}this._iCurrentWidth=i.size.width;this._applyLinebreaks();this._bChangedByMe=false;};
function U(){if(this._sResizeListenerId){R.deregister(this._sResizeListenerId);this._sResizeListenerId=null;}}
function V(j,k){var Y=false;for(var i=0;i<j.length;i++){var Z=j[i];if(Z==k){Y=true;break;}}if(!Y){j.push(k);}}
function W(i){if(i.name=="visible"){var j=i.object.getParent();j.invalidate();}}
function X(Y){var Z=[];var $=Y.getFormContainers();for(var i=0;i<$.length;i++){var a1=$[i];var b1=a1.getTitle();if(b1){Z.push(b1);}else{var c1=a1.getToolbar();if(c1){Z.push(c1);}}var d1=a1.getFormElements();for(var j=0;j<d1.length;j++){var e1=d1[j];var f1=e1.getLabel();if(f1){Z.push(f1);}var g1=e1.getFields();for(var k=0;k<g1.length;k++){var h1=g1[k];Z.push(h1);}}}return Z;}
o.prototype._formInvalidated=function(k){if(!this._bChangedByMe){var Y=X(this.getAggregation("form"));var i=0;var j=0;var Z=false;if(!this._aElements||Y.length<this._aElements.length){Z=true;}else{for(i=0;i<Y.length;i++){var $=Y[i];var a1=this._aElements[j];if($===a1){j++;}else{var b1=Y[i+1];if(b1===a1){this.insertContent($,i);break;}b1=this._aElements[j+1];if(b1===$){Z=true;break;}break;}}}if(Z){this.removeAllContent();for(i=0;i<Y.length;i++){var c1=Y[i];this.addContent(c1);}}}};
o.prototype._onLayoutDataChange=function(i){if(!this._bLayoutDataChangedByMe&&!this._bIsBeingDestroyed){switch(this.getLayout()){case d.ResponsiveLayout:var j=i.srcControl;var k=j.getParent();if(k instanceof b){var Y=this.indexOfContent(j);this.removeContent(j);this.insertContent(j,Y);}break;}}};
o.prototype._suggestTitleId=function(i){var j=this.getAggregation("form");j._suggestTitleId(i);return this;};
return o;});
sap.ui.predefine('sap/ui/layout/form/SimpleFormRenderer',[],function(){"use strict";var S={apiVersion:2};
S.render=function(r,c){c._bChangedByMe=true;r.openStart("div",c).class("sapUiSimpleForm").style("width",c.getWidth()).openEnd();var f=c.getAggregation("form");r.renderControl(f);r.close("div");c._bChangedByMe=false;};
return S;},true);
sap.ui.predefine('sap/ui/model/odata/type/DateTimeBase',["sap/base/Log","sap/ui/core/format/DateFormat","sap/ui/model/FormatException","sap/ui/model/ParseException","sap/ui/model/ValidateException","sap/ui/model/odata/type/ODataType","sap/ui/thirdparty/jquery"],function(L,D,F,P,V,O,q){"use strict";var f=new Date().getFullYear(),d=new Date(Date.UTC(f,11,31)),o=new Date(f,11,31,23,59,58);
function i(t){return t.oConstraints&&t.oConstraints.isDateOnly;}
function g(t){return sap.ui.getCore().getLibraryResourceBundle().getText(i(t)?"EnterDate":"EnterDateTime",[t.formatValue(i(t)?d:o,"string")]);}
function a(t){var c;if(!t.oFormat){c=q.extend({strictParsing:true},t.oFormatOptions);if(i(t)){c.UTC=true;t.oFormat=D.getDateInstance(c);}else{t.oFormat=D.getDateTimeInstance(c);}}return t.oFormat;}
function s(t,c){var n,p;t.oConstraints=undefined;if(c){n=c.nullable;if(n===false||n==="false"){t.oConstraints={nullable:false};}else if(n!==undefined&&n!==true&&n!=="true"){L.warning("Illegal nullable: "+n,null,t.getName());}if(c.isDateOnly===true){t.oConstraints=t.oConstraints||{};t.oConstraints.isDateOnly=true;}p=c.precision;if(p!==undefined){if(p===Math.floor(p)&&p>=1&&p<=12){t.oConstraints=t.oConstraints||{};t.oConstraints.precision=p;}else if(p!==0){L.warning("Illegal precision: "+p,null,t.getName());}}}t._handleLocalizationChange();}
var b=O.extend("sap.ui.model.odata.type.DateTimeBase",{
constructor:function(c,C){O.apply(this,arguments);s(this,C);this.oFormat=null;this.oFormatOptions=c;},
metadata:{"abstract":true}
});
b.prototype.formatValue=function(v,t){if(v===null||v===undefined){return null;}switch(this.getPrimitiveType(t)){case"any":case"object":return v;case"string":if(!(v instanceof Date)){throw new F("Illegal "+this.getName()+" value: "+v);}return a(this).format(v);default:throw new F("Don't know how to format "+this.getName()+" to "+t);}};
b.prototype.parseValue=function(v,S){var r;if(v===null||v===""){return null;}switch(this.getPrimitiveType(S)){case"object":return v;case"string":r=a(this).parse(v);if(!r){throw new P(g(this));}return r;default:throw new P("Don't know how to parse "+this.getName()+" from "+S);}};
b.prototype._handleLocalizationChange=function(){this.oFormat=null;};
b.prototype.validateValue=function(v){if(v===null){if(this.oConstraints&&this.oConstraints.nullable===false){throw new V(g(this));}return;}else if(v instanceof Date){if(v.getFullYear()===0){throw new V(g(this));}return;}throw new V("Illegal "+this.getName()+" value: "+v);};
return b;});
sap.ui.predefine('sap/ui/model/odata/type/ODataType',["sap/ui/model/SimpleType"],function(S){"use strict";
var O=S.extend("sap.ui.model.odata.type.ODataType",{
constructor:function(f,c){},
metadata:{"abstract":true}
});
O.prototype.getInterface=function(){return this;};
O.prototype.setConstraints=function(c){};
O.prototype.setFormatOptions=function(f){};
return O;});
sap.ui.predefine('sap/ui/model/type/Date',['sap/ui/core/format/DateFormat','sap/ui/model/SimpleType','sap/ui/model/FormatException','sap/ui/model/ParseException','sap/ui/model/ValidateException',"sap/ui/thirdparty/jquery","sap/base/util/isEmptyObject"],function(D,S,F,P,V,q,i){"use strict";
var a=S.extend("sap.ui.model.type.Date",{constructor:function(){S.apply(this,arguments);this.sName="Date";}});
a.prototype.formatValue=function(v,I){var f;switch(this.getPrimitiveType(I)){case"string":case"any":if(v==null){return"";}if(this.oFormatOptions.source&&this.oFormatOptions.source.pattern!=="timestamp"&&v===""){return"";}f=this.getModelFormat();v=f.parse(v);return this.oOutputFormat.format(v);default:throw new F("Don't know how to format Date to "+I);}};
a.prototype.parseValue=function(v,I){var r,b;switch(this.getPrimitiveType(I)){case"string":if(v===""){return null;}var r=this.oOutputFormat.parse(v);if(!r){b=sap.ui.getCore().getLibraryResourceBundle();throw new P(b.getText(this.sName+".Invalid"));}if(this.oInputFormat){if(this.oFormatOptions.source.pattern=="timestamp"){r=r.getTime();}else{r=this.oInputFormat.format(r);}}return r;default:throw new P("Don't know how to parse Date from "+I);}};
a.prototype.validateValue=function(v){if(this.oConstraints){var b=sap.ui.getCore().getLibraryResourceBundle(),c=[],m=[],I=this.oInputFormat,C,d=this;if(I&&this.oFormatOptions.source.pattern!="timestamp"){v=I.parse(v);}q.each(this.oConstraints,function(n,o){if(I){o=I.parse(o);}C=d.oOutputFormat.format(o);switch(n){case"minimum":if(v<o){c.push("minimum");m.push(b.getText(d.sName+".Minimum",[C]));}break;case"maximum":if(v>o){c.push("maximum");m.push(b.getText(d.sName+".Maximum",[C]));}break;}});if(c.length>0){throw new V(this.combineMessages(m),c);}}};
var t={format:function(v){if(v instanceof Date){return v.getTime();}return null;},parse:function(v){if(typeof(v)!="number"){if(isNaN(v)){throw new F("Cannot format date: "+v+" is not a valid Timestamp");}else{v=parseInt(v);}}v=new Date(v);return v;}};
a.prototype.getModelFormat=function(){if(this.oInputFormat){if(this.oFormatOptions.source.pattern=="timestamp"){return t;}else{return this.oInputFormat;}}else{return S.prototype.getModelFormat.call(this);}};
a.prototype.setFormatOptions=function(f){this.oFormatOptions=f;this._createFormats();};
a.prototype.getOutputPattern=function(){return this.oOutputFormat.oFormatOptions.pattern;};
a.prototype._handleLocalizationChange=function(){this._createFormats();};
a.prototype._createFormats=function(){var s=this.oFormatOptions.source;this.oOutputFormat=D.getInstance(this.oFormatOptions);if(s){if(i(s)){s={pattern:"yyyy-MM-dd"};}this.oInputFormat=D.getInstance(s);}};
return a;});
sap.ui.predefine('sap/ui/unified/ColorPicker',["./library","sap/ui/core/Control","sap/ui/core/HTML","sap/ui/core/ResizeHandler","sap/ui/layout/Grid","sap/ui/layout/GridData","sap/ui/layout/VerticalLayout","sap/ui/layout/HorizontalLayout","sap/ui/core/Icon","sap/ui/core/theming/Parameters","sap/ui/core/InvisibleText","sap/ui/Device","sap/ui/core/library","./ColorPickerRenderer","sap/base/Log","sap/ui/thirdparty/jquery","sap/ui/Global"],function(L,a,H,R,G,b,V,c,I,P,e,D,f,g,h,q){"use strict";var j=f.ValueState,k=L.ColorPickerMode,l=L.ColorPickerDisplayMode;
var m=a.extend("sap.ui.unified.ColorPicker",{metadata:{library:"sap.ui.unified",properties:{colorString:{type:"string",group:"Misc",defaultValue:null},mode:{type:"sap.ui.unified.ColorPickerMode",group:"Appearance",defaultValue:k.HSV},displayMode:{type:"sap.ui.unified.ColorPickerDisplayMode",group:"Appearance",defaultValue:l.Default}},aggregations:{_grid:{type:"sap.ui.layout.Grid",group:"Appearance",multiple:false,visibility:"hidden"},_invisibleTexts:{type:"sap.ui.core.InvisibleText",multiple:true,visibility:"hidden"},_oCPBox:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oSlider:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oAlphaSlider:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oHexField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oRedField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oGreenField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oBlueField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oHueField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oSatField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oLitField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oValField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oAlphaField:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oAlphaField2:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oRGBorHSLRBUnifiedGroup:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"},_oButton:{type:"sap.ui.core.Control",group:"Appearance",multiple:false,visibility:"hidden"}},events:{change:{parameters:{r:{type:"int"},g:{type:"int"},b:{type:"int"},h:{type:"int"},s:{type:"int"},v:{type:"int"},l:{type:"int"},hex:{type:"string"},alpha:{type:"string"}}},liveChange:{parameters:{r:{type:"int"},g:{type:"int"},b:{type:"int"},h:{type:"int"},s:{type:"int"},v:{type:"int"},l:{type:"int"},hex:{type:"string"},alpha:{type:"string"}}}}}});
var B="",s=sap.ui.resource('sap.ui.unified','img/ColorPicker/Alphaslider_BG.png'),r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.unified"),n={};Object.defineProperties(n,{RGB:{value:"RGB"},CPResponsiveClass:{value:"sapUnifiedColorPicker"},CPMatrixClass:{value:"sapUiColorPicker-ColorPickerMatrix"},HSLClass:{value:"sapUiColorPickerHSL"},LabelClass:{value:"sapUiColorPicker-ColorPickerLabels"},UnitLabelClass:{value:"sapUiCPUnitLabel"},HEXClass:{value:"sapUiColorPicker-ColorPickerHexField"},LeftColumnInputClass:{value:"sapUiColorPicker-ColorPickerInputFieldsLeft"},RightColumnInputClass:{value:"sapUiColorPicker-ColorPickerInputFieldsRight"},SliderClass:{value:"sapUiColorPicker-ColorPickerSlider"},AlphaSliderClass:{value:"sapUiColorPicker-ColorPickerAlphaSlider"},OutputSelectorClass:{value:"sapUiColorPickerHSL-RB"},OutputSelectorRowClass:{value:"sapUiColorPicker-RBRow"},CPBoxClass:{value:"sapUiColorPicker-ColorPickerBox"},CPCircleClass:{value:"sapUiColorPicker-ColorPickerCircle"},LastColumnClass:{value:"sapUiColorPicker-ColorPickerLastColumn"},HideForHSVClass:{value:"hideForHSV"},HideForHSLClass:{value:"hideForHSL"},OldColorClass:{value:"sapUiColorPicker-ColorPickerOldColor"},NewColorClass:{value:"sapUiColorPicker-ColorPickerNewColor"},SwatchesClass:{value:"sapUiColorPicker-swatches"},Colors:{value:{aliceblue:'f0f8ff',antiquewhite:'faebd7',aqua:'00ffff',aquamarine:'7fffd4',azure:'f0ffff',beige:'f5f5dc',bisque:'ffe4c4',black:'000000',blanchedalmond:'ffebcd',blue:'0000ff',blueviolet:'8a2be2',brown:'a52a2a',burlywood:'deb887',cadetblue:'5f9ea0',chartreuse:'7fff00',chocolate:'d2691e',coral:'ff7f50',cornflowerblue:'6495ed',cornsilk:'fff8dc',crimson:'dc143c',cyan:'00ffff',darkblue:'00008b',darkcyan:'008b8b',darkgoldenrod:'b8860b',darkgray:'a9a9a9',darkgrey:'a9a9a9',darkgreen:'006400',darkkhaki:'bdb76b',darkmagenta:'8b008b',darkolivegreen:'556b2f',darkorange:'ff8c00',darkorchid:'9932cc',darkred:'8b0000',darksalmon:'e9967a',darkseagreen:'8fbc8f',darkslateblue:'483d8b',darkslategray:'2f4f4f',darkslategrey:'2f4f4f',darkturquoise:'00ced1',darkviolet:'9400d3',deeppink:'ff1493',deepskyblue:'00bfff',dimgray:'696969',dimgrey:'696969',dodgerblue:'1e90ff',firebrick:'b22222',floralwhite:'fffaf0',forestgreen:'228b22',fuchsia:'ff00ff',gainsboro:'dcdcdc',ghostwhite:'f8f8ff',gold:'ffd700',goldenrod:'daa520',gray:'808080',grey:'808080',green:'008000',greenyellow:'adff2f',honeydew:'f0fff0',hotpink:'ff69b4',indianred:'cd5c5c',indigo:'4b0082',ivory:'fffff0',khaki:'f0e68c',lavender:'e6e6fa',lavenderblush:'fff0f5',lawngreen:'7cfc00',lemonchiffon:'fffacd',lightblue:'add8e6',lightcoral:'f08080',lightcyan:'e0ffff',lightgoldenrodyellow:'fafad2',lightgray:'d3d3d3',lightgrey:'d3d3d3',lightgreen:'90ee90',lightpink:'ffb6c1',lightsalmon:'ffa07a',lightseagreen:'20b2aa',lightskyblue:'87cefa',lightslategray:'778899',lightslategrey:'778899',lightsteelblue:'b0c4de',lightyellow:'ffffe0',lime:'00ff00',limegreen:'32cd32',linen:'faf0e6',magenta:'ff00ff',maroon:'800000',mediumaquamarine:'66cdaa',mediumblue:'0000cd',mediumorchid:'ba55d3',mediumpurple:'9370db',mediumseagreen:'3cb371',mediumslateblue:'7b68ee',mediumspringgreen:'00fa9a',mediumturquoise:'48d1cc',mediumvioletred:'c71585',midnightblue:'191970',mintcream:'f5fffa',mistyrose:'ffe4e1',moccasin:'ffe4b5',navajowhite:'ffdead',navy:'000080',oldlace:'fdf5e6',olive:'808000',olivedrab:'6b8e23',orange:'ffa500',orangered:'ff4500',orchid:'da70d6',palegoldenrod:'eee8aa',palegreen:'98fb98',paleturquoise:'afeeee',palevioletred:'db7093',papayawhip:'ffefd5',peachpuff:'ffdab9',peru:'cd853f',pink:'ffc0cb',plum:'dda0dd',powderblue:'b0e0e6',purple:'800080',red:'ff0000',rosybrown:'bc8f8f',royalblue:'4169e1',saddlebrown:'8b4513',salmon:'fa8072',sandybrown:'f4a460',seagreen:'2e8b57',seashell:'fff5ee',sienna:'a0522d',silver:'c0c0c0',skyblue:'87ceeb',slateblue:'6a5acd',slategray:'708090',slategrey:'708090',snow:'fffafa',springgreen:'00ff7f',steelblue:'4682b4',tan:'d2b48c',teal:'008080',thistle:'d8bfd8',tomato:'ff6347',turquoise:'40e0d0',violet:'ee82ee',wheat:'f5deb3',white:'ffffff',whitesmoke:'f5f5f5',yellow:'ffff00',yellowgreen:'9acd32',transparent:'00000000'}}});
m.prototype.init=function(){if(D.browser.firefox){B="-moz-linear-gradient";}else if(D.browser.msie){B="-ms-linear-gradient";}else if(D.browser.webkit){B="-webkit-linear-gradient";}else{B="linear-gradient";}this.Color={r:255,g:255,b:255,h:0,s:0,l:100,v:100,a:1,oldA:1,hex:"#ffffff",old:"#ffffff"};this.sHexString="ffffff";this.$CPBox=null;this.$CPCur=null;this.RGB={r:0,g:0,b:0};this.bRtl=sap.ui.getCore().getConfiguration().getRTL();this.data("sap-ui-fastnavgroup","true",true);this.bResponsive=L.ColorPickerHelper.isResponsive();var d=this.bResponsive?"_sap_ui_unified_ColorPicker_CircleSize":"_sap_ui_commons_ColorPicker_CircleSize";this._iCPCursorSize=parseInt(P.get(d));this._processChanges=this._processHSVChanges;this._bHSLMode=false;if(this.getDisplayMode()===l.Simplified){n.HideForDisplay.value=".hideDisplay";}this.bPressed=false;};
var o=a.extend("sap.ui.unified._ColorPickerBox",{
metadata:{events:{select:{parameters:{value:{type:"int"},saturation:{type:"int"}}},resize:{parameters:{size:{type:"int"}}}}},
init:function(){this.bRtl=sap.ui.getCore().getConfiguration().getRTL();},
exit:function(){if(this._sResizeListener){R.deregister(this._sResizeListener);}},
getWidth:function(){return this.$().width();},
getOffset:function(){return this.$().offset();},
onBeforeRendering:function(){if(this._sResizeListener){R.deregister(this._sResizeListener);}},
onAfterRendering:function(){this._handle=this.$().find("> div."+n.CPCircleClass);this._sResizeListener=R.register(this.getDomRef(),this.handleResize.bind(this));},
handleResize:function(E){this.fireResize({size:E.size.width});},
getHandle:function(){return this._handle;},
ontouchstart:function(E){this.handleTouch(E);},
ontouchend:function(E){this.handleTouch(E);},
ontouchmove:function(E){this.handleTouch(E);},
handleTouch:function(E){var v=this.calculateValuesFromEvent(E);if(v){this.fireSelect(v);}},
calculateValuesFromEvent:function(E){var x=E.offsetX,y=E.offsetY,i,d=i=this.getWidth(),p,O;E.preventDefault&&E.preventDefault();if(!x){p=E.targetTouches?E.targetTouches[0]:E;if(!p||!p.pageX){p=E;if((!p||!p.pageX)&&E.changedTouches){p=E.changedTouches[0];}}if(!p.pageX){return false;}O=this.getOffset();x=p.pageX-O.left;y=p.pageY-O.top;}x=Math.min(Math.max(x,0),d);y=Math.min(Math.max(y,0),i);if(this.bRtl){x=d-x;}return{value:x/d*100,saturation:(1-y/i)*100};},
renderer:function(d,C){d.write("<div");d.addClass(n.CPBoxClass);d.writeControlData(C);d.writeClasses();d.write(">");d.write("<div");d.writeAttribute("id",C.getId()+"-cpCur");d.addClass(n.CPCircleClass);d.writeClasses();d.write("></div>");d.write("</div>");}
});
m.prototype._createRowFromInput=function(i,t,d,u){var T=r.getText(t),p;p=new c({content:[L.ColorPickerHelper.factory.createLabel({text:d,tooltip:T,labelFor:i}).addStyleClass(n.LabelClass),i.setTooltip(T)]});if(u){p.addContent(L.ColorPickerHelper.factory.createLabel({text:u,labelFor:i}).addStyleClass(n.UnitLabelClass).addStyleClass(n.LabelClass));}return p;};
m.prototype._updateColorStringProperty=function(F,d){var i=this._getCSSColorString();this.setProperty('colorString',i,true);if(d){this.fireLiveChange({r:this.Color.r,g:this.Color.g,b:this.Color.b,h:this.Color.h,s:this.Color.s,v:this.Color.v,l:this.Color.l,alpha:this.Color.a,hex:this.Color.hex,formatHSL:this.Color.formatHSL,colorString:i});}if(F){this.fireChange({r:this.Color.r,g:this.Color.g,b:this.Color.b,h:this.Color.h,s:this.Color.s,v:this.Color.v,l:this.Color.l,alpha:this.Color.a,hex:this.Color.hex,formatHSL:this.Color.formatHSL,colorString:i});}};
m.prototype._handleCPBoxSelectEvent=function(E){var v=E.getParameter("value"),d=E.getParameter("saturation");this.oSatField.setValue(d);if(this._bHSLMode){this.oLitField.setValue(v);}else{this.oValField.setValue(v);}this._processChanges();this._updateColorStringProperty(false,true);};
m.prototype._handleCPBoxResizeEvent=function(E){this._iCPBoxSize=E.getParameter("size");this._updateCursorPosition();};
m.prototype._handleCPBoxTouchEndEvent=function(E){this._updateColorStringProperty(true,false);};
m.prototype._createInteractionControls=function(){var i=this.getId();this.oCPBox=new o(i+"-cpBox",{select:this._handleCPBoxSelectEvent.bind(this),resize:this._handleCPBoxResizeEvent.bind(this)});this.oCPBox.addDelegate({ontouchend:this._handleCPBoxTouchEndEvent.bind(this)});this.oHexField=L.ColorPickerHelper.factory.createInput(i+"-hxF",{value:this.Color.hex.substr(1),change:this._handleHexValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_HEX")}).addStyleClass(n.HEXClass);this.oRedField=L.ColorPickerHelper.factory.createInput(i+"-rF",{value:this.Color.r,change:this._handleRedValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_RED")}).addStyleClass(n.LeftColumnInputClass);this.oGreenField=L.ColorPickerHelper.factory.createInput(i+"-gF",{value:this.Color.g,change:this._handleGreenValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_GREEN")}).addStyleClass(n.LeftColumnInputClass);this.oBlueField=L.ColorPickerHelper.factory.createInput(i+"-bF",{value:this.Color.b,change:this._handleBlueValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_BLUE")}).addStyleClass(n.LeftColumnInputClass);this.oHueField=L.ColorPickerHelper.factory.createInput(i+"-hF",{value:this.Color.h,change:this._handleHueValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_HUE")}).addStyleClass(n.RightColumnInputClass);this.oSatField=L.ColorPickerHelper.factory.createInput(i+"-sF",{value:this.Color.s,change:this._handleSatValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_SAT")+" "+e.getStaticId("sap.ui.unified","COLORPICKER_PERCENTAGE")}).addStyleClass(n.RightColumnInputClass);this.oLitField=L.ColorPickerHelper.factory.createInput(i+"-lF",{value:this.Color.l,change:this._handleLitValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_LIGHTNESS")+" "+e.getStaticId("sap.ui.unified","COLORPICKER_PERCENTAGE")}).addStyleClass(n.RightColumnInputClass).addStyleClass(n.HideForHSVClass);this.oAlphaField=L.ColorPickerHelper.factory.createInput(i+"-aF",{value:this.Color.a,change:this._handleAlphaValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_ALPHA")}).addStyleClass(n.RightColumnInputClass).addStyleClass(n.HideForHSVClass).addStyleClass("sapUnifiedA");this.oAlphaField2=L.ColorPickerHelper.factory.createInput(i+"-aF2",{value:this.Color.a,change:this._handleAlphaValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_ALPHA")}).addStyleClass(n.RightColumnInputClass).addStyleClass(n.HideForHSVClass).addStyleClass("sapUnifiedA");this.oValField=L.ColorPickerHelper.factory.createInput(i+"-vF",{value:this.Color.v,change:this._handleValValueChange.bind(this),ariaLabelledBy:e.getStaticId("sap.ui.unified","COLORPICKER_VALUE")}).addStyleClass(n.RightColumnInputClass).addStyleClass(n.HideForHSLClass);this.oRGBorHSLRBGroup=L.ColorPickerHelper.factory.createRadioButtonGroup({columns:2,buttons:[L.ColorPickerHelper.factory.createRadioButtonItem({text:n.RGB}),L.ColorPickerHelper.factory.createRadioButtonItem({text:L.ColorPickerMode.HSL})],select:this._handleRGBorHSLValueChange.bind(this),selectedIndex:(this.Color.formatHSL?1:0)}).addStyleClass(n.OutputSelectorClass);this.oHueInvisibleText=new e({text:r.getText("COLORPICKER_HUE_SLIDER")}).toStatic();this.addAggregation("_invisibleTexts",this.oHueInvisibleText,true);this.oSlider=L.ColorPickerHelper.factory.createSlider(i+"-hSLD",{max:360,step:1,tooltip:r.getText("COLORPICKER_HUE"),value:parseInt(this.oHueField.getValue())}).addStyleClass(n.SliderClass).addAriaLabelledBy(this.oHueInvisibleText);this.oSlider.attachEvent("liveChange","liveChange",this._handleSliderChange.bind(this));this.oSlider.attachEvent("change","change",this._handleSliderChange.bind(this));this.oAlphaInvisibleText=new e({text:r.getText("COLORPICKER_ALPHA_SLIDER")}).toStatic();this.addAggregation("_invisibleTexts",this.oAlphaInvisibleText,true);this.oAlphaSlider=L.ColorPickerHelper.factory.createSlider(i+"-aSLD",{max:1,value:1,step:0.01,tooltip:r.getText("COLORPICKER_ALPHA")}).addStyleClass(n.AlphaSliderClass).addAriaLabelledBy(this.oAlphaInvisibleText);this.oAlphaSlider.attachEvent("liveChange","liveChange",this._handleAlphaSliderChange.bind(this));this.oAlphaSlider.attachEvent("change","change",this._handleAlphaSliderChange.bind(this));};
m.prototype._createLayout=function(){var i=this.getId(),d;if(this._bLayoutControlsCreated){return;}this._createInteractionControls();this.oCPBoxGD=new b({span:"L6 M6 S12"});this.icOne=new b({span:"L3 M3 S6"});this.icTwo=new b({span:"L3 M3 S6"});this.swatches=new b({span:"L3 M3 S12"});this.rbg=new b({span:"L6 M8 S12"});if(this.bResponsive){this._createUnifiedColorPicker(i);}else{d=this._createCommonsColorPicker(d,i);this.setAggregation("_grid",d,true);}this._bLayoutControlsCreated=true;if(!this.bResponsive){this._adaptControlToLibrary();}};
m.prototype._adaptControlToLibrary=function(){var d;if(!this._bLayoutControlsCreated){return;}d=this.getAggregation("_grid");if(this.bResponsive){if(!D.system.phone&&!q('html').hasClass("sapUiMedia-Std-Phone")){d._setBreakPointTablet(400);}d.addStyleClass(n.CPResponsiveClass);}else{d.setProperty("hSpacing",0,true);d.setProperty("vSpacing",0,true);this.oCPBoxGD.setSpanS(5);this.icOne.setSpanS(4);this.icTwo.setSpanS(3);this.rbg.setSpanS(8);}};
m.prototype._updateControlVisualState=function(){var d=this.getAggregation("_grid");if(!d){return;}if(this.bResponsive){if(this._bHSLMode){d.addStyleClass(n.HSLClass);this.swatches.setSpanM(4).setLinebreak(true);}else{d.removeStyleClass(n.HSLClass);this.swatches.setSpanM(3).setLinebreak(false);}}else{if(this._bHSLMode){d.addStyleClass(n.HSLClass);this.swatches.setSpanS(4).setLinebreak(true);}else{d.removeStyleClass(n.HSLClass);this.swatches.setSpanS(3).setLinebreak(false);}}};
m.prototype._processChanges=function(){};
m.prototype.setMode=function(M,S){this._bLayoutControlsCreated=false;switch(M){case L.ColorPickerMode.HSL:this._processChanges=this._processHSLChanges;break;case L.ColorPickerMode.HSV:this._processChanges=this._processHSVChanges;break;default:h.error("Control must have a valid mode set to work correct");break;}this._bHSLMode=M===L.ColorPickerMode.HSL;return this.setProperty("mode",M,S);};
m.prototype.setDisplayMode=function(d){this._bLayoutControlsCreated=false;return this.setProperty("displayMode",d,false);};
m.prototype._cleanup=function(){var C=[this.getAggregation("_grid"),this.getAggregation("_oCPBox"),this.getAggregation("_oHexField"),this.getAggregation("_oRedField"),this.getAggregation("_oGreenField"),this.getAggregation("_oBlueField"),this.getAggregation("_oHueField"),this.getAggregation("_oSatField"),this.getAggregation("_oLitField"),this.getAggregation("_oAlphaField"),this.getAggregation("_oAlphaField2"),this.getAggregation("_oValField"),this.getAggregation("_oSlider"),this.getAggregation("_oAlphaSlider"),this.oRGBorHSLRBUnifiedGroup,this.oCPBoxGD,this.icOne,this.icTwo,this.rbg,this.swatches,this.oAlphaInvisibleText,this.oHueInvisibleText,this.getAggregation("_oButton"),this.getAggregation("_oRGBorHSLRBUnifiedGroup"),this.oRGBorHSLRBGroup];C.forEach(function(d){if(d){d.destroy();}},this);this._bLayoutControlsCreated=false;};
m.prototype.exit=function(){this._cleanup();};
m.prototype.onBeforeRendering=function(){this._cleanup();this._createLayout();this._updateControlVisualState();this._updateColorString();};
m.prototype._updateColorString=function(){this._parseColorString(this.getColorString());this.oHexField.setValue(this.Color.hex.substr(1));this.oRedField.setValue(this.Color.r);this.oGreenField.setValue(this.Color.g);this.oBlueField.setValue(this.Color.b);this.oHueField.setValue(this.Color.h);this.oSatField.setValue(this.Color.s);if(this._bHSLMode){this.oLitField.setValue(this.Color.l);this.oAlphaField.setValue(this.Color.a);this.oAlphaField2.setValue(this.Color.a);this.oSlider.setValue(this.Color.h);this.oAlphaSlider.setValue(this.Color.a);if(this.bResponsive){this.oRGBorHSLRBUnifiedGroup.setSelectedIndex(this.Color.formatHSL?1:0);}else{this.oRGBorHSLRBGroup.setSelectedIndex(this.Color.formatHSL?1:0);}}else{this.oValField.setValue(this.Color.v);this.oSlider.setValue(this.Color.h);this.oAlphaSlider.setValue(this.Color.a);this.oAlphaField.setValue(this.Color.a);this.oAlphaField2.setValue(this.Color.a);}this._updateColorStringProperty(true,true);};
m.prototype.isColor=function(C){return this._parseColorString(C,true);};
m.prototype._handleSliderChange=function(E,d){var i=parseInt(this.oSlider.getValue());this.oHueField.setValue(i);this._processChanges();this._updateColorStringProperty(d==="change",d==="liveChange");};
m.prototype._handleAlphaSliderChange=function(E,d){this.Color.a=this.oAlphaSlider.getValue();if(this._bHSLMode){this.oAlphaField.setValue(this.Color.a);this.oAlphaField2.setValue(this.Color.a);}if(!this.Color.formatHSL){this._processRGBChanges();}else{this._processChanges();}this._updateColorStringProperty(d==="change",d==="liveChange");};
m.prototype._getValueInRange=function(v,M,i){if(isNaN(v)){v=0;}return Math.min(Math.max(v,M),i);};
m.prototype._handleAlphaValueChange=function(E){var d=(E.getParameter("id")=="cp-aF2")?parseFloat(this.oAlphaField2.getValue(),10):parseFloat(this.oAlphaField.getValue(),10);d=this._getValueInRange(d,0,1);this.Color.a=d;this.oAlphaField.setValue(d);this.oAlphaField2.setValue(d);this.oAlphaSlider.setValue(d);if(!this.Color.formatHSL){this._processRGBChanges();}else{this._processChanges();}this._updateColorStringProperty(true,true);};
m.prototype._handleRGBorHSLValueChange=function(){var u=this.oRGBorHSLRBUnifiedGroup;this.Color.formatHSL=u?u.getSelectedIndex()===1:this.oRGBorHSLRBGroup.getSelectedIndex()===1;this._updateColorStringProperty(true,true);};
m.prototype._handleHueValueChange=function(){var d=parseInt(this.oHueField.getValue());d=this._getValueInRange(d,0,360);this.oHueField.setValue(d);this.oSlider.setValue(d);this._processChanges();this._updateColorStringProperty(true,true);};
m.prototype._handleSatValueChange=function(){var d=parseInt(this.oSatField.getValue());d=this._getValueInRange(d,0,100);this.oSatField.setValue(d);this._processChanges();this._updateColorStringProperty(true,true);};
m.prototype._handleValValueChange=function(){var v=parseInt(this.oValField.getValue());v=this._getValueInRange(v,0,100);this.oValField.setValue(v);this._processHSVChanges();this._updateColorStringProperty(true,true);};
m.prototype._handleLitValueChange=function(){var d=parseInt(this.oLitField.getValue());d=this._getValueInRange(d,0,100);this.oLitField.setValue(d);this._processHSLChanges();this._updateColorStringProperty(true,true);};
m.prototype._handleRedValueChange=function(){var d=parseInt(this.oRedField.getValue());d=this._getValueInRange(d,0,255);this.oRedField.setValue(d);this._processRGBChanges();this._updateColorStringProperty(true,true);};
m.prototype._handleGreenValueChange=function(){var d=parseInt(this.oGreenField.getValue());d=this._getValueInRange(d,0,255);this.oGreenField.setValue(d);this._processRGBChanges();this._updateColorStringProperty(true,true);};
m.prototype._handleBlueValueChange=function(){var d=parseInt(this.oBlueField.getValue());d=this._getValueInRange(d,0,255);this.oBlueField.setValue(d);this._processRGBChanges();this._updateColorStringProperty(true,true);};
m.prototype._processHSVChanges=function(){var d=parseInt(this.oHueField.getValue());var i=parseInt(this.oSatField.getValue());var v=parseInt(this.oValField.getValue());this._calculateRGB(d,i,v);this.Color.r=this.RGB.r;this.Color.g=this.RGB.g;this.Color.b=this.RGB.b;this.oRedField.setValue(this.Color.r);this.oGreenField.setValue(this.Color.g);this.oBlueField.setValue(this.Color.b);this._calculateHEX(this.Color.r,this.Color.g,this.Color.b);this.oHexField.setValue(this.sHexString);this.Color.hex="#"+this.oHexField.getValue();this.Color.h=d;this.Color.s=i;this.Color.v=v;this.oHueField.setValue(this.Color.h);this.oSatField.setValue(this.Color.s);this.oValField.setValue(this.Color.v);this._updateGradientBoxBackground(this.Color.h);this._updateCursorPosition();this._updateSelColorBackground();};
m.prototype._processHSLChanges=function(){var i=parseInt(this.oHueField.getValue()),S=parseInt(this.oSatField.getValue()),d=parseInt(this.oLitField.getValue());if(i>360){i%=360;}this._calculateRGB(i,S,d);this.Color.r=this.RGB.r;this.Color.g=this.RGB.g;this.Color.b=this.RGB.b;this.oRedField.setValue(this.Color.r);this.oGreenField.setValue(this.Color.g);this.oBlueField.setValue(this.Color.b);this._calculateHEX(this.Color.r,this.Color.g,this.Color.b);this.oHexField.setValue(this.sHexString);this.Color.hex="#"+this.oHexField.getValue();this.Color.h=i;this.Color.s=S;this.Color.l=d;this.oHueField.setValue(this.Color.h);this.oSatField.setValue(this.Color.s);this.oLitField.setValue(this.Color.l);this._updateGradientBoxBackground(this.Color.h);this._updateCursorPosition();this._updateAlphaBackground();this._updateSelColorBackground();};
m.prototype._processRGBChanges=function(){var d=Math.round(parseInt(this.oRedField.getValue())),i=Math.round(parseInt(this.oGreenField.getValue())),p=Math.round(parseInt(this.oBlueField.getValue())),t=(d+i+p)===765;this._calculateHEX(d,i,p);this.oHexField.setValue(this.sHexString);if(this._bHSLMode){this._calculateHSL(d,i,p);this.oLitField.setValue(this.Color.l);}else{if(!t){this._calculateHSV(d,i,p);}this.oValField.setValue(this.Color.v);}if(!t){this.oHueField.setValue(this.Color.h);}this.oSatField.setValue(this.Color.s);this.oSlider.setValue(parseInt(this.oHueField.getValue()));this.Color.r=d;this.Color.g=i;this.Color.b=p;this.Color.hex="#"+this.oHexField.getValue();this._updateGradientBoxBackground(this.Color.h);this._updateCursorPosition();this._updateSelColorBackground();};
m.prototype._handleHexValueChange=function(){var d=this.oHexField.getValue().toLowerCase(),i=1,p;if(d.substr(0,1)==='#'){d=d.substr(1);}p=/^([0-9a-fA-F]{8})$/;if(p.test(d)!==false){i=Number((parseInt(d.substr(6,2),16)/255).toFixed(2));d=d.substr(0,6);}p=/^([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$/;if(p.test(d)===false){this.oHexField.setValueState(j.Error);this.oSlider.setEnabled(false);this.oAlphaSlider.setEnabled(false);this.oHueField.setEnabled(false);this.oRedField.setEnabled(false);this.oGreenField.setEnabled(false);this.oBlueField.setEnabled(false);this.oSatField.setEnabled(false);this.oAlphaField.setEnabled(false);this.oAlphaField2.setEnabled(false);if(this._bHSLMode){this.oLitField.setEnabled(false);}else{this.oValField.setEnabled(false);}return;}else if(this.oHexField.getValueState()===j.Error){this.oHexField.setValueState(j.None);this.oSlider.setEnabled(true);this.oAlphaSlider.setEnabled(true);this.oHueField.setEnabled(true);this.oRedField.setEnabled(true);this.oGreenField.setEnabled(true);this.oBlueField.setEnabled(true);this.oSatField.setEnabled(true);this.oAlphaField.setEnabled(true);this.oAlphaField2.setEnabled(true);if(this._bHSLMode){this.oLitField.setEnabled(true);}else{this.oValField.setEnabled(true);}}if(d.length===3){d=d.charAt(0)+d.charAt(0)+d.charAt(1)+d.charAt(1)+d.charAt(2)+d.charAt(2);}this._processHexChanges(d);this.oHexField.setValue(d);this.oRedField.setValue(this.Color.r);this.oGreenField.setValue(this.Color.g);this.oBlueField.setValue(this.Color.b);this.oHueField.setValue(this.Color.h);this.oSatField.setValue(this.Color.s);if(this._bHSLMode){this.oLitField.setValue(this.Color.l);this.oAlphaField.setValue(1);this.oAlphaField2.setValue(1);}else{this.oValField.setValue(this.Color.v);}this.oSlider.setValue(parseInt(this.oHueField.getValue()));this.oAlphaSlider.setValue(i);this.Color.a=i;if(this._bHSLMode){this.oAlphaField.setValue(i);this.oAlphaField2.setValue(i);}this._updateGradientBoxBackground(this.Color.h);this._updateCursorPosition();this._updateSelColorBackground();this._updateColorStringProperty(true,true);};
m.prototype._processHexChanges=function(d){this._convertRGB(d);if(this._bHSLMode){this._calculateHSL(this.Color.r,this.Color.g,this.Color.b);}else{this._calculateHSV(this.Color.r,this.Color.g,this.Color.b);}this.Color.hex="#"+d.toLowerCase();};
m.prototype._updateAlphaBackground=function(){var d=[this.Color.r,this.Color.g,this.Color.b].join(","),i=B+"(left,rgba("+d+",0),rgba("+d+",1)),url("+s+")";this.oAlphaSlider.$().find(this.bResponsive?".sapMSliderInner":".sapUiSliBar").css("background-image",i);};
m.prototype._updateCursorPosition=function(){var x,y;if(!this._iCPBoxSize){return;}if(this._bHSLMode){x=Math.round(this.oLitField.getValue()*this._iCPBoxSize/100.0);}else{x=Math.round(this.oValField.getValue()*this._iCPBoxSize/100.0);}if(sap.ui.getCore().getConfiguration().getRTL()){x=this._iCPBoxSize-x;}y=Math.round((1-this.oSatField.getValue()/100.0)*this._iCPBoxSize);x=Math.round(Math.max(x,0)-this._iCPCursorSize/2.0-1.0);y=Math.round(Math.max(y,0)-this._iCPCursorSize/2.0-1.0);this.$CPCur.css("left",x).css("top",y);if(sap.ui.Device.browser.edge){var d=document.getElementById(this.oCPBox.getId());d.style.verticalAlign="top";setTimeout(function(){d.style.verticalAlign="initial";},0);}};
m.prototype._calculateRGB=function(d,S,v){var p,t,u,M,x,C,i;if(this._bHSLMode){this._calculateRGBAdvanced(d,S,v);return;}d%=360;d/=60;S/=100;v/=100;C=v*S;x=C*(1-Math.abs(d%2-1));M=v-C;p=0;t=0;u=0;i=Math.floor(d);switch(i){case 0:p=C;t=x;break;case 1:p=x;t=C;break;case 2:t=C;u=x;break;case 3:t=x;u=C;break;case 4:p=x;u=C;break;case 5:p=C;u=x;break;default:p=0;u=0;t=0;break;}this.RGB.r=Math.floor((p+M)*255);this.RGB.g=Math.floor((t+M)*255);this.RGB.b=Math.floor((u+M)*255);};
m.prototype._calculateRGBAdvanced=function(d,S,p){var t,u,v,M,w,x,y,z,i;d=this._getValueInRange(d,0,360);d%=360;if(S>100){S=1;}else if(S<0){S=0;}else{S=S/100;}if(p>100){p=1;}else if(p<0){p=0;}else{p=p/100;}z=S*(1-Math.abs(2*p-1));y=255*(p-0.5*z);x=z*(1-Math.abs((d/60)%2-1));i=Math.floor(d/60);w=y+255*x;M=y+255*z;switch(i){case 0:t=M;u=w;v=y;break;case 1:t=w;u=M;v=y;break;case 2:t=y;u=M;v=w;break;case 3:t=y;u=w;v=M;break;case 4:t=w;u=y;v=M;break;case 5:t=M;u=y;v=w;break;default:t=0;u=0;v=0;break;}this.RGB.r=Math.round(t);this.RGB.g=Math.round(u);this.RGB.b=Math.round(v);};
m.prototype._getCSSColorString=function(){if(this.Color.formatHSL){if(this.Color.a<1){return"hsla("+this.Color.h+","+this.Color.s+"%,"+this.Color.l+"%, "+this.Color.a+")";}else{return"hsl("+this.Color.h+","+this.Color.s+"%,"+this.Color.l+"%)";}}if(this.Color.a<1){return"rgba("+this.Color.r+","+this.Color.g+","+this.Color.b+", "+this.Color.a+")";}else{return"rgb("+this.Color.r+","+this.Color.g+","+this.Color.b+")";}};
m.prototype._calculateHEX=function(i,d,p){var t=i.toString(16),u=d.toString(16),v=p.toString(16);if(t.length===1){t='0'+t;}if(u.length===1){u='0'+u;}if(v.length===1){v='0'+v;}this.sHexString=(t+u+v).toLowerCase();};
m.prototype._calculateHSV=function(i,d,p){var t=Math.max(Math.max(i,d),p),u=Math.min(Math.min(i,d),p),v=t-u,w=Math.round(t*100/255),x=t===0.0?0:(100*v/t),y=0;if(x===0){y=0;}else if(i===t){y=60.0*(d-p)/v;}else if(d===t){y=120.0+60.0*(p-i)/v;}else if(p===t){y=240.0+60.0*(i-d)/v;}if(y<0.0){y+=359.9;}y=Math.round(y);x=Math.round(x);this.Color.h=y;this.Color.s=x;this.Color.v=w;};
m.prototype._calculateHSL=function(i,p,t){var u=Math.max(i,p,t),v=Math.min(i,p,t),d=(u-v)/255,w=(u+v)/510,x=1-Math.abs(2*w-1),y=(w===0.0)?0:d/x,z=(x!==0)?y:0,A=0;w=Math.round(w*100);z=Math.round(z*100);if(w===0||z===0||(i+p+t===765)){A=0;}else{var C=u-v;if(u===i){A=((p-t)/C)%6;}if(u===p){A=(t-i)/C+2;}if(u===t){A=(i-p)/C+4;}if(C===0){A=0;}A*=60;if(A<0){A+=360;}}if(A!==0||this.Color.h!==360){this.Color.h=Math.round(A);}this.Color.s=z;this.Color.l=w;};
m.prototype._convertRGB=function(d){this.Color.r=parseInt(d.substr(0,2),16);this.Color.g=parseInt(d.substr(2,2),16);this.Color.b=parseInt(d.substr(4,2),16);};
m.prototype._updateGradientBoxBackground=function(i){if(this._bHSLMode){this._calculateRGBAdvanced(i,100,50);}else{this._calculateRGB(i,100,100);}this._calculateHEX(this.RGB.r,this.RGB.g,this.RGB.b);this.$CPBox.css('background-color','rgb('+[this.RGB.r,this.RGB.g,this.RGB.b].join(",")+')');};
m.prototype._updateSelColorBackground=function(){this.$().find(".sapUiColorPicker-ColorPickerNewColor").css('background-color',this._getCSSColorString());};
m.prototype._parseColorString=function(C,d){var i;if(C.substr(0,1)==='#'){C=C.substr(1);}C=C.trim().toLowerCase();i=this._parseColorName(C);if(i){if(d){return true;}if(i.length===8){this.Color.a=this.Color.oldA=Number((parseInt(i.substr(6,2),16)/255).toFixed(2));i=i.substring(0,6);}this._processHexChanges(i);this.Color.old=this.Color.hex;if(this._bHSLMode){this.Color.formatHSL=false;}return true;}if(/^([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$/.test(C)){if(d){return true;}if(C.length===3){i=C[0]+C[0]+C[1]+C[1]+C[2]+C[2];}else{i=C;}this._processHexChanges(i);this.Color.old=this.Color.hex;if(this._bHSLMode){this.Color.formatHSL=false;}return true;}if(C.substr(0,3)==='rgb'){return this._parseRGB(C,d);}if(this._bHSLMode){return this._parseHSL(C,d);}else if(C.substr(0,3)==='hsv'){return this._parseHSV(C,d);}return false;};
m.prototype._parseHSV=function(C,d){var i=/^(((\d{1,2})|([1,2]\d{2})|(3[0-5]\d)|(360)),)(((\d{1,2})|(100)),)((\d{1,2})|(100))$/,p,t,S,v;C=C.substr(3).replace("(",'').replace(")",'').split(' ').join('');if(i.test(C)===true){if(d){return true;}p=C.split(",");t=parseInt(p[0]);S=parseInt(p[1]);v=parseInt(p[2]);this._calculateRGB(t,S,v);this._calculateHEX(this.RGB.r,this.RGB.g,this.RGB.b);this.Color.r=this.RGB.r;this.Color.g=this.RGB.g;this.Color.b=this.RGB.b;this.Color.h=t;this.Color.s=S;this.Color.v=v;this.Color.hex="#"+this.sHexString;this.Color.old=this.Color.hex;return true;}return false;};
m.prototype._parseHSL=function(C,d){var i,p=C.substr(0,4),t,u,S,v,A;if(p==="hsla"){t=true;}else if(p==="hsl("){t=false;}else{return false;}C=C.substr(t?4:3).replace("(",'').replace(")",'').split(' ').join('');i=C.split(",");u=parseInt(i[0]);S=parseFloat(i[1]);v=parseFloat(i[2]);if(t){A=parseFloat(i[3]);}else{if(i[3]&&parseFloat(i[3])>=0){return false;}A=1;}S=(S<1&&S>0)?S*100:S;v=(v<1&&v>0)?v*100:v;if((u>=0&&u<=360)&&(S>=0&&S<=100)&&(v>=0&&v<=100)&&(A>=0&&A<=1)){if(d){return true;}this._calculateRGB(u,S,v);this._calculateHEX(this.RGB.r,this.RGB.g,this.RGB.b);this.Color.r=this.RGB.r;this.Color.g=this.RGB.g;this.Color.b=this.RGB.b;this.Color.h=u;this.Color.s=S;this.Color.l=v;this.Color.hex="#"+this.sHexString;this.Color.old=this.Color.hex;this.Color.a=this.Color.oldA=A;this.Color.formatHSL=true;}else{return false;}return true;};
m.prototype._parseRGB=function(C,d){var v,i,p,t;i=C.substring(0,4);if(i==="rgba"){t=/^(((\d{1,2})|(1\d{2})|(2[0-4]\d)|(25[0-5])),){2}(((\d{1,2})|(1\d{2})|(2[0-4]\d)|(25[0-5])),)([0]|([0]\.[0-9]+)|(\.[0-9]+)|[1])$/;p=true;}else if(i.substring(0,3)==="rgb"){t=/^(((\d{1,2})|(1\d{2})|(2[0-4]\d)|(25[0-5])),){2}(((\d{1,2})|(1\d{2})|(2[0-4]\d)|(25[0-5])))$/;p=false;}else{return false;}C=C.substr(p?4:3).replace("(",'').replace(")",'').split(' ').join('');if(t.test(C)){if(d){return true;}v=C.split(",");this._calculateHEX(parseInt(v[0]),parseInt(v[1]),parseInt(v[2]));this._processHexChanges(this.sHexString);this.Color.old=this.Color.hex;if(p){this.Color.a=this.Color.oldA=parseFloat(v[3]);}return true;}if(this._bHSLMode){this.Color.formatHSL=false;}return false;};
m.prototype._parseColorName=function(C){return n.Colors[C];};
m.prototype.onAfterRendering=function(){var d=this._getCSSColorString(),p=this.getParent();this.$CPBox=this.oCPBox.$();this.$CPCur=this.oCPBox.getHandle();this.$().find(".sapUiColorPicker-ColorPickerNewColor").css('background-color',d);this.$().find(".sapUiColorPicker-ColorPickerOldColor").css('background-color',d);this._updateGradientBoxBackground(this.Color.h);this._iCPBoxSize=this.oCPBox.getWidth();this._updateCursorPosition();if(this._bHSLMode){this._updateAlphaBackground();}this.oSlider.iShiftGrip=Math.round(q(this.oSlider.oGrip).outerWidth()/2);this.oAlphaSlider.iShiftGrip=Math.round(q(this.oAlphaSlider.oGrip).outerWidth()/2);if(p&&p.getMetadata().getName()==="sap.m.Dialog"){p.addStyleClass("sapUiCPDialog");}this.addStyleClass("sapUiCPDisplayRGB");if(D.system.phone){this._toggleFields();}};
m.prototype.getRGB=function(){return{r:this.Color.r,g:this.Color.g,b:this.Color.b};};
m.prototype._getConstants=function(){return n;};
m.prototype._createCommonsColorPicker=function(d,i){d=new G({containerQuery:true,content:[this.oCPBox.setLayoutData(this.oCPBoxGD),new V({content:[this._createRowFromInput(this.oRedField,"COLORPICKER_RED","R:"),this._createRowFromInput(this.oGreenField,"COLORPICKER_GREEN","G:"),this._createRowFromInput(this.oBlueField,"COLORPICKER_BLUE","B:"),this._createRowFromInput(this.oHexField,"COLORPICKER_HEX","#:")],layoutData:this.icOne}),new V({content:[this._createRowFromInput(this.oHueField,"COLORPICKER_HUE","H:"),this._createRowFromInput(this.oSatField,"COLORPICKER_SAT","S:","%"),this._createRowFromInput(this.oLitField,"COLORPICKER_LIGHTNESS","L:","%").addStyleClass(n.HideForHSVClass),this._createRowFromInput(this.oAlphaField,"COLORPICKER_ALPHA","A:").addStyleClass(n.HideForHSVClass),this._createRowFromInput(this.oAlphaField2,"COLORPICKER_ALPHA","A:").addStyleClass(n.HideForHSVClass),this._createRowFromInput(this.oValField,"COLORPICKER_VALUE","V:").addStyleClass(n.HideForHSLClass)],layoutData:this.icTwo}).addStyleClass(n.LastColumnClass),new c({content:[new H({content:["<div id='",i,"-ocBox' class='",n.OldColorClass,"'></div>"].join("")}),new H({content:["<div id='",i,"-ncBox' class='",n.NewColorClass,"'></div>"].join("")})],layoutData:this.swatches}).addStyleClass(n.SwatchesClass),new c({content:[L.ColorPickerHelper.factory.createLabel({text:"Output:",labelFor:this.oRGBorHSLRBGroup}),this.oRGBorHSLRBGroup],layoutData:this.rbg}).addStyleClass(n.HideForHSVClass).addStyleClass(n.OutputSelectorRowClass),this.oSlider.setLayoutData(new b({span:"L6 M6 S12",linebreak:true})),this.oAlphaSlider.setLayoutData(new b({span:"L6 M6 S12"}))]}).addStyleClass(n.CPMatrixClass);return d;};
m.prototype._createUnifiedColorPicker=function(i){var t=this;this.oRbRGB=L.ColorPickerHelper.factory.createRadioButtonItem({tooltip:r.getText("COLORPICKER_SELECT_RGB_TOOLTIP")});this.oRbRGB.addStyleClass("sapUiCPRB");this.oRbHSLV=L.ColorPickerHelper.factory.createRadioButtonItem({tooltip:r.getText("COLORPICKER_SELECT_HSL_TOOLTIP")});this.oRbHSLV.addStyleClass("sapUiCPRB");this.oButton=L.ColorPickerHelper.factory.createButton(i+"-toggleMode",{type:D.system.phone?"Default":"Transparent",tooltip:r.getText("COLORPICKER_TOGGLE_BTN_TOOLTIP"),icon:"sap-icon://source-code",press:function(E){t._toggleFields();}});this.setAggregation("_oButton",this.oButton,true);this.oRGBorHSLRBUnifiedGroup=L.ColorPickerHelper.factory.createRadioButtonGroup({select:this._handleRGBorHSLValueChange.bind(this),selectedIndex:(this.Color.formatHSL?1:0)});this.oRGBorHSLRBUnifiedGroup.addButton(this.oRbRGB);this.oRGBorHSLRBUnifiedGroup.addButton(this.oRbHSLV);this.setAggregation("_oRGBorHSLRBUnifiedGroup",this.oRGBorHSLRBUnifiedGroup,true);this.setAggregation("_oCPBox",this.oCPBox,true);this.setAggregation("_oHexField",this.oHexField,true);this.setAggregation("_oRedField",this.oRedField,true);this.setAggregation("_oGreenField",this.oGreenField,true);this.setAggregation("_oBlueField",this.oBlueField,true);this.setAggregation("_oHueField",this.oHueField,true);this.setAggregation("_oSatField",this.oSatField,true);this.setAggregation("_oLitField",this.oLitField,true);this.setAggregation("_oAlphaField",this.oAlphaField,true);this.setAggregation("_oAlphaField2",this.oAlphaField2,true);this.setAggregation("_oValField",this.oValField,true);this.setAggregation("_oSlider",this.oSlider,true);this.setAggregation("_oAlphaSlider",this.oAlphaSlider,true);};
m.prototype._toggleFields=function(){if(!D.system.phone){this.toggleStyleClass("sapUiCPDisplayRGB",this.bPressed);this.bPressed=!this.bPressed;}else{switch(this.sVisibleFiled){case"HSL":this.removeStyleClass("sapUiCPHexVisible");this.toggleStyleClass("sapUiCPDisplayRGB",false);this.addStyleClass("sapUiCPHideHex");this.sVisibleFiled="RGB";break;case"RGB":this.removeStyleClass("sapUiCPHexVisible");this.addStyleClass("sapUiCPHideHex");this.toggleStyleClass("sapUiCPDisplayRGB",true);this.sVisibleFiled="Hex";break;case"Hex":default:this.addStyleClass("sapUiCPHexVisible");this.removeStyleClass("sapUiCPHideHex");this.sVisibleFiled="HSL";break;}}};
return m;});
sap.ui.predefine('sap/ui/unified/ColorPickerPopover',['sap/ui/core/Control','sap/ui/Device','sap/m/Button','sap/m/ResponsivePopover','./ColorPicker','./library','sap/m/library',"sap/ui/thirdparty/jquery"],function(C,D,B,R,a,l,L,q){"use strict";var P=L.PlacementType;var b=l.ColorPickerMode,c=l.ColorPickerDisplayMode;var d=L.ButtonType;
var e=C.extend("sap.ui.unified.ColorPickerPopover",{
metadata:{library:"sap.ui.unified",publicMethods:["openBy","close"],properties:{colorString:{type:"string",group:"Misc",defaultValue:null},mode:{type:"sap.ui.unified.ColorPickerMode",group:"Appearance",defaultValue:b.HSV},displayMode:{type:"sap.ui.unified.ColorPickerDisplayMode",group:"Appearance",defaultValue:c.Default}},events:{change:{parameters:{r:{type:"int"},g:{type:"int"},b:{type:"int"},h:{type:"int"},s:{type:"int"},v:{type:"int"},l:{type:"int"},hex:{type:"string"},alpha:{type:"string"}}}}},
renderer:{apiVersion:2}
});
var o=sap.ui.getCore().getLibraryResourceBundle("sap.ui.unified");var F={COLOR_PICKER_PROPS:{colorString:"setColorString",mode:"setMode",displayMode:"setDisplayMode"},POPOVER_METHODS:{getDomRef:"",close:""}};
e.prototype.init=function(){this._oPopover=null;this._bPopoverDestroying=null;};
e.prototype.exit=function(){this._bPopoverDestroying=true;if(this._oPopover){this._oPopover.removeDelegate(this._oPopover._onAfterRenderingDelegate);this._oPopover.destroy();this._oPopover=null;}};
e.prototype.openBy=function(f){return R.prototype.openBy.apply(this._ensurePopover(),arguments);};
e.prototype._getColorPicker=function(){return this._ensurePopover().getContent()[0];};
e.prototype._ensurePopover=function(){if(!this._oPopover){this._oPopover=this._createPopover();}return this._oPopover;};
e.prototype._createPopover=function(){var p,f=this._createColorPicker(),g,t=this;p=new R(this.getId()+"-colorPickerPopover",{showHeader:D.system.phone,placement:P.VerticalPreferredBottom,showArrow:false,showCloseButton:false,beginButton:new B({text:o.getText("COLOR_PICKER_SUBMIT"),type:d.Emphasized,press:function(){t.fireChange(t._oLastChangeCPParams);p.close();}}),endButton:new B({text:o.getText("COLOR_PICKER_CANCEL"),press:function(){p.close();}}),title:o.getText("COLOR_PICKER_TITLE"),content:f});f.attachEvent("change",function(E){this._handleChange(E);}.bind(this));g={onAfterRendering:function(){var $=this.$();$.attr("aria-modal","true");$.attr("aria-label",this.getTitle());}};p.addEventDelegate(g,p);p._onAfterRenderingDelegate=g;return p;};
e.prototype._handleChange=function(E){var t={};this._oLastChangeCPParams=q.extend(t,E.getParameters());delete this._oLastChangeCPParams.id;return this;};
e.prototype._createColorPicker=function(){var f=new a(this.getId()+"-color_picker");return f;};
e.prototype.setProperty=function(p,v,s){var t;if(F.COLOR_PICKER_PROPS[p]!==undefined){t=F.COLOR_PICKER_PROPS[p]||p;a.prototype[t].call(this._getColorPicker(),v);}return C.prototype.setProperty.apply(this,arguments);};
Object.keys(F.POPOVER_METHODS).forEach(function(s){var t=F.POPOVER_METHODS[s]||s;e.prototype[s]=function(){if(this._bPopoverDestroying){return null;}var p=this._ensurePopover();return p[t].apply(p,arguments);};});return e;});
sap.ui.predefine('sap/ui/unified/ColorPickerRenderer',['./ColorPickerDisplayMode',"sap/ui/Device"],function(C,D){"use strict";var a={apiVersion:2};
a.render=function(r,c){var d=c.getDisplayMode(),R=c.bResponsive;r.openStart("div",c);if(R){r.class("sapUiColorPicker-ColorPickerMatrix");r.class("sapUiColorPicker-"+d);r.class("sapUnifiedColorPicker");if(c._bHSLMode){r.class("sapUiColorPickerHSL");}}if(D.system.phone){r.class("sapUiCPPhone");}r.openEnd();if(!R){r.renderControl(c.getAggregation("_grid"));}else{switch(d){case C.Default:this.renderDefaultColorPicker(r,c);break;case C.Large:this.renderLargeColorPicker(r,c);break;case C.Simplified:this.renderSimplifiedColorPicker(r,c);}}r.close("div");};
a.renderDefaultColorPicker=function(r,c){r.renderControl(c.getAggregation("_oCPBox"));if(D.system.phone){r.openStart("div");r.class("sapUiCPPhoneContent");r.openEnd();r.openStart("div");r.class("sapUiCPSlidersPhone");r.openEnd();r.renderControl(c.getAggregation("_oSlider"));r.renderControl(c.getAggregation("_oAlphaSlider"));r.close("div");this.renderMobileSwatches(r,c);r.close("div");}else{r.renderControl(c.getAggregation("_oSlider"));r.renderControl(c.getAggregation("_oAlphaSlider"));this.renderDesktopSwatchesAndHexFields(r,c);}r.openStart("div");r.class("sapUiCPDefaultWrapper");r.openEnd();if(D.system.phone){r.renderControl(c.getAggregation("_oHexField"));r.openStart("div");r.class("sapUiCPHexText");r.openEnd();r.text("Hex");r.close("div");}r.openStart("div");r.class("sapUiCPDefaultRGB");r.openEnd();r.renderControl(c.getAggregation("_oRedField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oGreenField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oBlueField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oAlphaField"));r.close("div");r.openStart("div");r.class("sapUiCPDefaultHSLV");r.openEnd();r.renderControl(c.getAggregation("_oHueField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oSatField"));r.openStart("div");r.class("sapUiCPPercentSymbol");r.openEnd();r.text("%");r.close("div");r.renderControl(c.getAggregation("_oLitField"));r.renderControl(c.getAggregation("_oValField"));if(c.getMode()==="HSL"){r.openStart("div");r.class("sapUiCPPercentSymbol");r.openEnd();r.text("%");r.close("div");}else{this.renderEmptyDiv(r);}r.renderControl(c.getAggregation("_oAlphaField2"));r.close("div");r.renderControl(c.getAggregation("_oButton"));this.renderRGBLabel(r,c);this.renderHSLVLabel(r,c);r.close("div");};
a.renderLargeColorPicker=function(r,c){r.renderControl(c.getAggregation("_oCPBox"));r.renderControl(c.getAggregation("_oSlider"));r.renderControl(c.getAggregation("_oAlphaSlider"));this.renderDesktopSwatchesAndHexFields(r,c);r.renderControl(c.oRGBorHSLRBUnifiedGroup);r.openStart("div");r.class("sapUiCPRGBA");r.openEnd();r.renderControl(c.getAggregation("_oRedField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oGreenField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oBlueField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oAlphaField"));r.close("div");this.renderRGBLabel(r,c);r.openStart("div");r.class("sapUiCPHSLV");r.openEnd();r.renderControl(c.getAggregation("_oHueField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oSatField"));r.openStart("div");r.class("sapUiCPPercentSymbol");r.openEnd();r.text("%");r.close("div");c.getMode()==="HSL"?this.renderLFirst(r,c):this.renderVFirst(r,c);r.close("div");this.renderHSLVLabel(r,c);};
a.renderSimplifiedColorPicker=function(r,c){r.renderControl(c.getAggregation("_oCPBox"));if(D.system.phone){r.openStart("div");r.class("sapUiCPPhoneContent");r.openEnd();r.openStart("div");r.class("sapUiCPSlidersPhone");r.openEnd();r.renderControl(c.getAggregation("_oSlider"));r.close("div");r.renderControl(c.getAggregation("_oHexField"));this.renderMobileSwatches(r,c);r.openStart("div");r.class("sapUiCPHexWrapper");r.openEnd();r.openStart("div");r.class("sapUiCPHexText");r.openEnd();r.text("Hex");r.close("div");r.close("div");r.close("div");}else{r.renderControl(c.getAggregation("_oSlider"));this.renderDesktopSwatchesAndHexFields(r,c);}};
a.renderDesktopSwatchesAndHexFields=function(r,c){r.openStart("div");r.class("sapUiCPComparisonWrapper");r.openEnd();r.openStart("div",c.getId()+"-ocBox");r.class("sapUiColorPicker-ColorPickerOldColor");r.openEnd();r.close("div");r.openStart("div",c.getId()+"-ncBox");r.class("sapUiColorPicker-ColorPickerNewColor");r.openEnd();r.close("div");r.close("div");r.openStart("div");r.class("sapUiCPHexWrapper");r.openEnd();r.openStart("span");r.class("sapUiCPHexText");r.openEnd();r.text("Hex");r.close("span");r.close("div");r.renderControl(c.getAggregation("_oHexField"));};
a.renderMobileSwatches=function(r,c){r.openStart("div");r.class("sapUiCPComparisonWrapper");r.class("sapUiCPComparisonWrapperPhone");r.openEnd();r.openStart("div",c.getId()+"-ocBox");r.class("sapUiColorPicker-ColorPickerOldColor");r.openEnd();r.close("div");r.openStart("div",c.getId()+"-ncBox");r.class("sapUiColorPicker-ColorPickerNewColor");r.openEnd();r.close("div");r.close("div");};
a.renderLFirst=function(r,c){r.renderControl(c.getAggregation("_oLitField"));r.openStart("div");r.class("sapUiCPPercentSymbol");r.openEnd();r.text("%");r.close("div");r.renderControl(c.getAggregation("_oValField"));};
a.renderVFirst=function(r,c){r.renderControl(c.getAggregation("_oValField"));this.renderEmptyDiv(r);r.renderControl(c.getAggregation("_oLitField"));};
a.renderEmptyDiv=function(r){r.openStart("div");r.class("sapUiCPEmptyDiv");r.openEnd();r.close("div");};
a.renderRGBLabel=function(r,c){r.openStart("div");r.class("sapUiCPRGBText");r.openEnd();r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("R");r.close("span");this.renderEmptyDiv(r);r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("G");r.close("span");this.renderEmptyDiv(r);r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("B");r.close("span");this.renderEmptyDiv(r);if(c.getDisplayMode()==="Default"){r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("A");r.close("span");}else{r.openStart("span");r.class("sapUiCPText");r.openEnd();r.close("span");}r.close("div");};
a.renderHSLVLabel=function(r,c){r.openStart("div");r.class("sapUiCPHSLVText");r.openEnd();r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("H");r.close("span");this.renderEmptyDiv(r);r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("S");r.close("span");this.renderEmptyDiv(r);if(c.getMode()==="HSL"){r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("L");r.close("span");}else{r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("V");r.close("span");}this.renderEmptyDiv(r);r.openStart("span");r.class("sapUiCPText");r.openEnd();r.text("A");r.close("span");r.close("div");};
return a;},true);
/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 *
 * @function
 * @private
 * @experimental
 */
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/generateDataConfig',function(){"use strict";return function(t,r,a){var d={"DataRequestUrl":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.REQUEST.URL}","type":"string","defaultValue":"","path":r+"data/request/url"},"DataRequestMode":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.REQUEST.MODE}","type":"select","items":[{"key":"no-cors"},{"key":"same-origin"},{"key":"cors"}],"defaultValue":"cors","path":r+"data/request/mode","visible":"{= !!${context>"+r+"data/request/url} }"},"DataRequestMethod":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.REQUEST.METHOD}","type":"select","items":[{"key":"GET"},{"key":"POST"}],"defaultValue":"GET","path":r+"data/request/method","visible":"{= !!${context>"+r+"data/request/url} }"},"DataRequestParameters":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.REQUEST.PARAMETERS}","type":"map","path":r+"data/request/parameters","visible":"{= !!${context>"+r+"data/request/url} }"},"DataRequestHeaders":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.REQUEST.HEADERS}","type":"map","path":r+"data/request/headers","visible":"{= !!${context>"+r+"data/request/url} }"},"DataRequestWithCredentials":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.REQUEST.WITHCREDENTIALS}","type":"boolean","defaultValue":false,"path":r+"data/request/withCredentials","visible":"{= !!${context>"+r+"data/request/url} }"},"DataJson":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.JSON}","type":"json","path":r+"data/json","visible":"{= !${context>"+r+"data/request/url} }"},"DataPath":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.PATH}","type":"string","path":r+"data/path","validators":{"dataPathPattern":{"type":"pattern","config":{"pattern":"^[a-zA-Z0-9_\\.\\-/|\\@\\#]*$"}}}},"DataServiceName":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.SERVICE.NAME}","type":"string","path":r+"data/service/name","visible":false},"DataServiceParameters":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.SERVICE.PARAMETERS}","type":"map","path":r+"data/service/parameters","visible":false},"DataUpdateInterval":{"tags":t.concat(["data"]),"label":"{i18n>CARD_EDITOR.DATA.UPDATEINTERVAL}","type":"number","path":r+"data/updateInterval"}};var g={};Object.keys(d).forEach(function(k){g[a+k]=d[k];});return g;};});
/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 *
 * @private
 * @experimental
 */
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/AppConfig',function(){"use strict";return{"appId":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.ID}","type":"string","maxLength":70,"path":"/sap.app/id"},"appVersion":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.VERSION}","type":"string","path":"/sap.app/applicationVersion/version"},"appTitle":{"tags":["app"],"label":"{i18n>CARD_EDITOR.TITLE}","type":"string","path":"/sap.app/title"},"appSubTitle":{"tags":["app"],"label":"{i18n>CARD_EDITOR.SUBTITLE}","type":"string","path":"/sap.app/subTitle"},"appShortTitle":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.SHORTTITLE}","type":"string","path":"/sap.app/shortTitle"},"appInfo":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.INFO}","type":"string","path":"/sap.app/info"},"appIcon":{"tags":["app"],"label":"{i18n>CARD_EDITOR.ICON}","type":"simpleicon","path":"/sap.ui/icons/icon"},"appDescription":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.DESCRIPTION}","type":"string","path":"/sap.app/description"},"appI18n":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.I18N}","type":"string","path":"/sap.app/i18n","defaultValue":"i18n/i18n.properties"},"appTagKeywords":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.TAGS.KEYWORDS}","type":"list","path":"/sap.app/tags/keywords"},"appTagTechnicalAttributes":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.TAGS.TECHNICALATTRIBUTES}","type":"list","path":"/sap.app/tags/technicalAttributes","validators":{"technicalAttributesPattern":{"type":"patternList","config":{"pattern":"^[A-Z0-9_\\-\\/]+$"}}}},"appDataSources":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES}","type":"complexMap","itemLabel":"{key}","addItemLabel":"{i18n>CARD_EDITOR.APP.DATASOURCE}","path":"/sap.app/dataSources","template":{"key":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES.KEY}","type":"string","path":"key","validators":{"keyPattern":{"type":"pattern","config":{"pattern":"^[a-zA-Z0-9_\\.\\-]*$"}}}},"uri":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES.URI}","type":"string","path":"uri"},"type":{"label":"{i18n>CARD_EDITOR.LABEL.TYPE}","type":"select","items":[{"key":"OData"},{"key":"ODataAnnotation"},{"key":"INA"},{"key":"XML"},{"key":"JSON"},{"key":"FHIR"}],"defaultValue":"OData","path":"type"},"odataVersion":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES.SETTINGS.ODATAVERSION}","type":"select","items":[{"key":"2.0"},{"key":"4.0"}],"defaultValue":"2.0","path":"settings/odataVersion","visible":"{= ${type} === 'OData' || ${type} === 'ODataAnnotation'}"},"localUri":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES.SETTINGS.LOCALURI}","type":"string","path":"settings/localUri","visible":"{= ${type} === 'OData' || ${type} === 'ODataAnnotation'}"},"annotations":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES.SETTINGS.ANNOTATIONS}","type":"list","path":"settings/annotations","visible":"{= ${type} === 'OData' || ${type} === 'ODataAnnotation'}"},"maxAge":{"label":"{i18n>CARD_EDITOR.APP.DATASOURCES.SETTINGS.MAXAGE}","type":"number","path":"settings/maxAge"}}},"mobile":{"tags":["app"],"label":"{i18n>CARD_EDITOR.APP.MOBILE}","type":"boolean","defaultValue":"","path":"/sap.platform.mobilecards/compatible"}};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/HeaderConfig',["sap/ui/integration/designtime/cardEditor/config/generateActionConfig"],function(g){"use strict";return{"headerType":{"tags":["header"],"label":"{i18n>CARD_EDITOR.HEADERTYPE}","path":"header/type","type":"select","items":[{"key":"Default","title":"{i18n>CARD_EDITOR.HEADERTYPE.DEFAULT}"},{"key":"Numeric","title":"{i18n>CARD_EDITOR.HEADERTYPE.NUMERIC}"}],"defaultValue":"Default"},"headerPosition":{"tags":["header"],"label":"{i18n>CARD_EDITOR.HEADERPOSITION}","path":"headerPosition","type":"select","items":[{"key":"Top","title":"{i18n>CARD_EDITOR.HEADERPOSITION.TOP}"},{"key":"Bottom","title":"{i18n>CARD_EDITOR.HEADERPOSITION.BOTTOM}"}],"defaultValue":"Top"},"title":{"tags":["header"],"label":"{i18n>CARD_EDITOR.TITLE}","type":"string","path":"header/title"},"subTitle":{"tags":["header"],"label":"{i18n>CARD_EDITOR.SUBTITLE}","type":"string","path":"header/subTitle"},"actions":g({"tags":["header"],"path":"header/actions","maxItems":1}),"statusText":{"tags":["header","defaultHeader"],"label":"{i18n>CARD_EDITOR.STATUS}","type":"string","path":"header/status/text"},"icon":{"tags":["header","defaultHeader"],"label":"{i18n>CARD_EDITOR.ICON}","type":"icon","path":"header/icon","visible":"{= ${context>header/type} !== 'Numeric' }"},"unitOfMeasurement":{"tags":["header","numericHeader"],"label":"{i18n>CARD_EDITOR.UOM}","type":"string","path":"header/unitOfMeasurement","visible":"{= ${context>header/type} === 'Numeric' }"},"mainIndicatorNumber":{"tags":["header","numericHeader","mainIndicator"],"label":"{i18n>CARD_EDITOR.NUMBER}","type":"number","path":"header/mainIndicator/number","visible":"{= ${context>header/type} === 'Numeric' }"},"mainIndicatorUnit":{"tags":["header","numericHeader","mainIndicator"],"label":"{i18n>CARD_EDITOR.MAIN_INDICATOR.UNIT}","type":"string","path":"header/mainIndicator/unit","visible":"{= ${context>header/type} === 'Numeric' }"},"mainIndicatorTrend":{"tags":["header","numericHeader","mainIndicator"],"label":"{i18n>CARD_EDITOR.MAIN_INDICATOR.TREND}","type":"select","items":[{"key":"Down","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.TREND.DOWN}"},{"key":"None","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.TREND.NONE}"},{"key":"Up","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.TREND.UP}"}],"allowBinding":true,"path":"header/mainIndicator/trend","visible":"{= ${context>header/type} === 'Numeric' }"},"mainIndicatorState":{"tags":["header","numericHeader","mainIndicator"],"label":"{i18n>CARD_EDITOR.MAIN_INDICATOR.STATE}","type":"select","items":[{"key":"Critical","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.STATE.CRITICAL}"},{"key":"Error","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.STATE.ERROR}"},{"key":"Good","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.STATE.GOOD}"},{"key":"Neutral","title":"{i18n>CARD_EDITOR.MAIN_INDICATOR.STATE.NEUTRAL}"}],"allowBinding":true,"path":"header/mainIndicator/state","visible":"{= ${context>header/type} === 'Numeric' }"},"details":{"tags":["header","numericHeader"],"label":"{i18n>CARD_EDITOR.DETAILS}","type":"string","path":"header/details","visible":"{= ${context>header/type} === 'Numeric' }"},"sideIndicators":{"tags":["header","numericHeader"],"label":"{i18n>CARD_EDITOR.SIDE_INDICATORS}","path":"header/sideIndicators","type":"array","itemLabel":"{title}","addItemLabel":"{i18n>CARD_EDITOR.SIDE_INDICATOR}","template":{"title":{"label":"{i18n>CARD_EDITOR.TITLE}","type":"string","path":"title"},"number":{"label":"{i18n>CARD_EDITOR.NUMBER}","type":"number","path":"number"},"unit":{"label":"{i18n>CARD_EDITOR.SIDE_INDICATOR.UNIT}","type":"string","path":"unit"}},"maxItems":2,"visible":"{= ${context>header/type} === 'Numeric' }"}};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/ListCardConfig',["sap/ui/integration/designtime/cardEditor/config/generateActionConfig"],function(g){"use strict";return{"listMaxItems":{"tags":["content"],"label":"{i18n>CARD_EDITOR.MAXITEMS}","type":"integer","path":"content/maxItems","visible":"{= ${context>type} === 'List' }"},"listItemTitle":{"tags":["content","listItem"],"label":"{i18n>CARD_EDITOR.TITLE}","type":"string","path":"content/item/title","visible":"{= ${context>type} === 'List' }"},"listItemDescription":{"tags":["content","listItem"],"label":"{i18n>CARD_EDITOR.LIST_ITEM.DESCRIPTION}","type":"string","path":"content/item/description","visible":"{= ${context>type} === 'List' }"},"listItemInfoValue":{"tags":["content","listItem"],"label":"{i18n>CARD_EDITOR.LIST_ITEM.INFO.VALUE}","type":"string","path":"content/item/info/value","visible":"{= ${context>type} === 'List' }"},"listItemInfoState":{"tags":["content","listItem"],"label":"{i18n>CARD_EDITOR.LIST_ITEM.INFO.STATE}","type":"select","items":[{"key":"Success","title":"{i18n>CARD_EDITOR.STATE.SUCCESS}"},{"key":"Error","title":"{i18n>CARD_EDITOR.STATE.ERROR}"},{"key":"Warning","title":"{i18n>CARD_EDITOR.STATE.WARNING}"},{"key":"None","title":"{i18n>CARD_EDITOR.STATE.NONE}"},{"key":"Information","title":"{i18n>CARD_EDITOR.STATE.INFORMATION}"}],"defaultValue":"None","path":"content/item/info/state","visible":"{= ${context>type} === 'List' }"},"listItemHighlight":{"tags":["content","listItem"],"label":"{i18n>CARD_EDITOR.LIST_ITEM.HIGHLIGHT}","type":"select","items":[{"key":"Success","title":"{i18n>CARD_EDITOR.STATE.SUCCESS}"},{"key":"Error","title":"{i18n>CARD_EDITOR.STATE.ERROR}"},{"key":"Warning","title":"{i18n>CARD_EDITOR.STATE.WARNING}"},{"key":"None","title":"{i18n>CARD_EDITOR.STATE.NONE}"},{"key":"Information","title":"{i18n>CARD_EDITOR.STATE.INFORMATION}"}],"defaultValue":"None","path":"content/item/highlight","visible":"{= ${context>type} === 'List' }"},"listItemIcon":{"tags":["content","listItem"],"label":"{i18n>CARD_EDITOR.LIST_ITEM.ICON}","type":"simpleicon","path":"content/item/icon/src","visible":"{= ${context>type} === 'List' }"},"listItemActions":g({"tags":["content","listItem"],"path":"content/item/actions","maxItems":1,"visible":"{= ${context>type} === 'List' }"})};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/ObjectCardConfig',["sap/ui/integration/designtime/cardEditor/config/generateActionConfig","sap/ui/integration/designtime/cardEditor/util/CommonPatterns"],function(g,C){"use strict";return{"objectGroups":{"tags":["content"],"label":"{i18n>CARD_EDITOR.OBJECT.GROUPS}","type":"array","path":"content/groups","itemLabel":"{title}","addItemLabel":"{i18n>CARD_EDITOR.OBJECT.GROUP}","template":{"title":{"label":"{i18n>CARD_EDITOR.TITLE}","type":"string","path":"title"},"items":{"tags":["content","objectGroup"],"label":"{i18n>CARD_EDITOR.OBJECT.GROUP.ITEMS}","type":"array","path":"items","itemLabel":"{label}","addItemLabel":"{i18n>CARD_EDITOR.OBJECT.GROUP.ITEM}","template":{"icon":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.ICON}","type":"icon","path":"icon"},"label":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.LABEL}","type":"string","path":"label"},"value":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.OBJECT.GROUP.ITEM.VALUE}","type":"string","path":"value","validators":{"emailPattern":{"type":"pattern","config":{"pattern":C.email,"modifiers":"i"},"errorMessage":"CARD_EDITOR.VALIDATOR.INVALID_EMAIL","isEnabled":"{= ${type} === 'email'}"}}},"type":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.LABEL.TYPE}","type":"select","items":[{"key":"phone","title":"{i18n>CARD_EDITOR.OBJECT.GROUP.TYPE.PHONE}"},{"key":"email","title":"{i18n>CARD_EDITOR.OBJECT.GROUP.TYPE.EMAIL}"},{"key":"link","title":"{i18n>CARD_EDITOR.OBJECT.GROUP.TYPE.LINK}"},{"key":"text","title":"{i18n>CARD_EDITOR.OBJECT.GROUP.TYPE.TEXT}"}],"defaultValue":"text","path":"type"},"url":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.LABEL.URL}","type":"string","path":"url","visible":"{= ${type} === 'link'}"},"target":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.TARGET}","type":"select","items":[{"key":"_blank","description":"{i18n>CARD_EDITOR.TARGET.BLANK}"},{"key":"_self","description":"{i18n>CARD_EDITOR.TARGET.SELF}"}],"defaultValue":"_blank","path":"target","visible":"{= ${type} === 'link' && !!${url}}"},"emailSubject":{"tags":["content","objectGroupItem"],"label":"{i18n>CARD_EDITOR.OBJECT.GROUP.ITEM.EMAILSUBJECT}","type":"string","path":"emailSubject","visible":"{= ${type} === 'email'}"}}}},"visible":"{= ${context>type} === 'Object' }"},"objectActions":g({"tags":["content"],"path":"content/actions","maxItems":1,"visible":"{= ${context>type} === 'Object' }"})};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/TableCardConfig',["sap/ui/integration/designtime/cardEditor/config/generateActionConfig"],function(g){"use strict";return{"tableMaxItems":{"tags":["content"],"label":"{i18n>CARD_EDITOR.MAXITEMS}","type":"integer","path":"content/maxItems","visible":"{= ${context>type} === 'Table' }"},"tableRowColumns":{"tags":["content","tableRow"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMNS}","type":"array","path":"content/row/columns","itemLabel":"{title}","addItemLabel":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN}","template":{"title":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TITLE}","type":"string","path":"title"},"width":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.WIDTH}","type":"string","path":"width"},"value":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.VALUE}","type":"string","path":"value"},"icon":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.ICON}","type":"icon","path":"icon","visible":false},"state":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.STATE}","type":"select","items":[{"key":"Success","title":"{i18n>CARD_EDITOR.STATE.SUCCESS}"},{"key":"Error","title":"{i18n>CARD_EDITOR.STATE.ERROR}"},{"key":"Warning","title":"{i18n>CARD_EDITOR.STATE.WARNING}"},{"key":"None","title":"{i18n>CARD_EDITOR.STATE.NONE}"},{"key":"Information","title":"{i18n>CARD_EDITOR.STATE.INFORMATION}"}],"defaultValue":"None","path":"state"},"url":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.LABEL.URL}","type":"string","path":"url"},"target":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TARGET}","type":"select","items":[{"key":"_blank","description":"{i18n>CARD_EDITOR.TARGET.BLANK}"},{"key":"_self","description":"{i18n>CARD_EDITOR.TARGET.SELF}"}],"defaultValue":"_blank","path":"target","visible":"{= !!${url}}"},"identifier":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.IDENTIFIER}","type":"boolean","defaultValue":false,"path":"identifier"},"progressIndicatorState":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.PROGRESSINDICATOR.STATE}","type":"select","items":[{"key":"Success","title":"{i18n>CARD_EDITOR.STATE.SUCCESS}"},{"key":"Error","title":"{i18n>CARD_EDITOR.STATE.ERROR}"},{"key":"Warning","title":"{i18n>CARD_EDITOR.STATE.WARNING}"},{"key":"None","title":"{i18n>CARD_EDITOR.STATE.NONE}"},{"key":"Information","title":"{i18n>CARD_EDITOR.STATE.INFORMATION}"}],"defaultValue":"None","path":"progressIndicator/state"},"progressIndicatorPercent":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.PROGRESSINDICATOR.PERCENT}","type":"number","path":"progressIndicator/percent"},"progressIndicatorText":{"tags":["content","tableRowColumn"],"label":"{i18n>CARD_EDITOR.TABLE.ROW.COLUMN.PROGRESSINDICATOR.TEXT}","type":"string","path":"progressIndicator/text"}},"visible":"{= ${context>type} === 'Table' }"},"tableRowActions":g({"tags":["content","tableRow"],"path":"content/row/actions","maxItems":1,"visible":"{= ${context>type} === 'Table' }"})};});
sap.ui.predefine('sap/ui/integration/designtime/cardEditor/config/index',["sap/ui/integration/designtime/cardEditor/config/AppConfig","sap/ui/integration/designtime/cardEditor/config/HeaderConfig","sap/ui/integration/designtime/cardEditor/config/ListCardConfig","sap/ui/integration/designtime/cardEditor/config/ObjectCardConfig","sap/ui/integration/designtime/cardEditor/config/TableCardConfig","sap/ui/integration/designtime/cardEditor/config/generateDataConfig"],function(A,H,L,O,T,g){"use strict";return{"context":"sap.card","layout":{"form":{"groups":[{"label":"{i18n>CARD_EDITOR.GROUP.METADATA}","items":[{type:"tag",value:"app"}]},{"label":"{i18n>CARD_EDITOR.GROUP.GENERALCONFIGURATION}","items":[{type:"tag",value:"general"}]},{"label":"{i18n>CARD_EDITOR.GROUP.DATA}","items":[{type:"propertyName",value:"appDataSources"},{type:"tag",value:["data","general-data"]}]},{"label":"{i18n>CARD_EDITOR.GROUP.DATAHEADER}","items":[{type:"tag",value:["data","header"]}]},{"label":"{i18n>CARD_EDITOR.GROUP.DATACONTENT}","items":[{type:"tag",value:["data","content"]}]},{"label":"{i18n>CARD_EDITOR.GROUP.HEADER}","items":[{type:"tag",value:"header"}]},{"label":"{i18n>CARD_EDITOR.GROUP.CONTENT}","items":[{type:"tag",value:"content"}]}]}},"properties":Object.assign({},A,{"type":{"tags":["general"],"label":"{i18n>CARD_EDITOR.TYPE}","type":"select","items":sap.ui.version.includes('SNAPSHOT')&&!window.location.host.includes("openui5nightly")?[{"key":"List"},{"key":"Analytical"},{"key":"Table"},{"key":"Object"},{"key":"Timeline"},{"key":"Component"},{"key":"Calendar"},{"key":"AdaptiveCard"}]:[{"key":"List"},{"key":"Table"},{"key":"Object"}],"path":"type"},"parameters":{"tags":["general"],"label":"{i18n>CARD_EDITOR.PARAMETERS}","path":"configuration/parameters","type":"parameters","allowedTypes":["string","number","boolean","integer","date","datetime"]},"destinations":{"tags":["general"],"label":"{i18n>CARD_EDITOR.DESTINATIONS}","itemLabel":"{key}","addItemLabel":"{i18n>CARD_EDITOR.DESTINATION}","path":"configuration/destinations","type":"destinations","allowedValues":["Northwind","JAM"]}},H,L,O,T,g(["general-data"],"","card"),g(["header"],"header/","header"),g(["content"],"content/","content")),"propertyEditors":{"enum":"sap/ui/integration/designtime/baseEditor/propertyEditor/enumStringEditor/EnumStringEditor","select":"sap/ui/integration/designtime/baseEditor/propertyEditor/selectEditor/SelectEditor","string":"sap/ui/integration/designtime/baseEditor/propertyEditor/stringEditor/StringEditor","simpleicon":"sap/ui/integration/designtime/baseEditor/propertyEditor/iconEditor/IconEditor","array":"sap/ui/integration/designtime/baseEditor/propertyEditor/arrayEditor/ArrayEditor","parameters":"sap/ui/integration/designtime/cardEditor/propertyEditor/parametersEditor/ParametersEditor","boolean":"sap/ui/integration/designtime/baseEditor/propertyEditor/booleanEditor/BooleanEditor","number":"sap/ui/integration/designtime/baseEditor/propertyEditor/numberEditor/NumberEditor","integer":"sap/ui/integration/designtime/baseEditor/propertyEditor/integerEditor/IntegerEditor","json":"sap/ui/integration/designtime/baseEditor/propertyEditor/jsonEditor/JsonEditor","map":"sap/ui/integration/designtime/baseEditor/propertyEditor/mapEditor/MapEditor","list":"sap/ui/integration/designtime/baseEditor/propertyEditor/listEditor/ListEditor","datetime":"sap/ui/integration/designtime/baseEditor/propertyEditor/dateTimeEditor/DateTimeEditor","date":"sap/ui/integration/designtime/baseEditor/propertyEditor/dateEditor/DateEditor","icon":"sap/ui/integration/designtime/cardEditor/propertyEditor/iconEditor/IconEditor","complexMap":"sap/ui/integration/designtime/cardEditor/propertyEditor/complexMapEditor/ComplexMapEditor","destinations":"sap/ui/integration/designtime/cardEditor/propertyEditor/destinationsEditor/DestinationsEditor"},"validators":{"patternList":"sap/ui/integration/designtime/cardEditor/validator/IsPatternMatchList"},"i18n":"sap/ui/integration/designtime/cardEditor/i18n/i18n.properties"};});
sap.ui.require.preload({
	"sap/ui/integration/designtime/baseEditor/layout/Form.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:baseEditor="sap.ui.integration.designtime.baseEditor" xmlns:form="sap.ui.layout.form" xmlns:core="sap.ui.core"><form:Form editable="true" formContainers="{path:\'/groups\',templateShareable:false}" class="sapUiIntegrationBaseEditorFormLayout"><form:layout><form:ResponsiveGridLayout labelSpanXL="{/responsiveGridLayout/labelSpanXL}" labelSpanL="{/responsiveGridLayout/labelSpanL}" labelSpanM="{/responsiveGridLayout/labelSpanM}" labelSpanS="{/responsiveGridLayout/labelSpanS}" adjustLabelSpan="{/responsiveGridLayout/adjustLabelSpan}" emptySpanXL="{/responsiveGridLayout/emptySpanXL}" emptySpanL="{/responsiveGridLayout/emptySpanL}" emptySpanM="{/responsiveGridLayout/emptySpanM}" emptySpanS="{/responsiveGridLayout/emptySpanS}" columnsXL="{/responsiveGridLayout/columnsXL}" columnsL="{/responsiveGridLayout/columnsL}" columnsM="{/responsiveGridLayout/columnsM}" singleContainerFullSize="{/responsiveGridLayout/singleContainerFullSize}" breakpointXL="{/responsiveGridLayout/breakpointXL}" breakpointL="{/responsiveGridLayout/breakpointL}" breakpointM="{/responsiveGridLayout/breakpointM}"/></form:layout><form:formContainers><form:FormContainer title="{label}" formElements="{path:\'items\',templateShareable:false}" visible="{visible}"><form:formElements><form:FormElement label="{label}" visible="{config/visible}"><form:fields><baseEditor:PropertyEditor init="wrapperInit" config="{config}" value="{value}" renderLabel="false"/></form:fields></form:FormElement></form:formElements></form:FormContainer></form:formContainers></form:Form></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/arrayEditor/ArrayEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:baseEditor="sap.ui.integration.designtime.baseEditor"><VBox><VBox items="{path:\'itemsModel&gt;/\',templateShareable:false}" visible="{= !!${itemsModel&gt;/}.length }"><Panel expandable="true" width="auto" expanded="{path:\'itemsModel&gt;\',formatter:\'._isNewItem\',mode:\'OneTime\'}"><headerToolbar><Toolbar style="Clear"><Title text="{itemsModel&gt;itemLabel}" titleStyle="H5"/><ToolbarSpacer/><Button icon="sap-icon://navigation-up-arrow" tooltip="{i18n&gt;BASE_EDITOR.MOVEUP}" press="_moveUp" enabled="{= ${itemsModel&gt;index} !== 0}" visible="{config/allowSorting}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button><Button icon="sap-icon://navigation-down-arrow" tooltip="{i18n&gt;BASE_EDITOR.MOVEDOWN}" press="_moveDown" enabled="{= ${itemsModel&gt;total} - 1 !== ${itemsModel&gt;index}}" visible="{config/allowSorting}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button><Button icon="sap-icon://delete" tooltip="{i18n&gt;BASE_EDITOR.ARRAY.REMOVE}" press="_removeItem" visible="{config/allowAddAndRemove}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button></Toolbar></headerToolbar><content><baseEditor:PropertyEditors init="wrapperInit" propertyEditorsChange="_propertyEditorsChange" config="{itemsModel&gt;properties}"/></content></Panel></VBox><Button text="{parts:[\'i18n&gt;BASE_EDITOR.ARRAY.ADD\',\'config/addItemLabel\',\'i18n&gt;BASE_EDITOR.ARRAY.ITEM_LABEL\'],formatter:\'.formatAddItemText\'}" enabled="{= !${config/maxItems} || (Array.isArray(${itemsModel&gt;/}) &amp;&amp; ${itemsModel&gt;/} || []).length &lt; ${config/maxItems} }" press="_addItem" visible="{config/allowAddAndRemove}"/></VBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/arrayEditor/ArrayEditorPlain.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:baseEditor="sap.ui.integration.designtime.baseEditor"><VBox><VBox items="{path:\'itemsModel&gt;/\',templateShareable:false}" visible="{= !!${itemsModel&gt;/}.length }"><VBox><Bar visible="{= ${config/allowSorting} || ${config/allowAddAndRemove} || ${config/showItemLabel}}"><contentLeft><Label text="{itemsModel&gt;itemLabel}" visible="{config/showItemLabel}"/></contentLeft><contentRight><Button icon="sap-icon://navigation-up-arrow" tooltip="{i18n&gt;BASE_EDITOR.MOVEUP}" press="_moveUp" enabled="{= ${itemsModel&gt;index} !== 0}" visible="{config/allowSorting}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button><Button icon="sap-icon://navigation-down-arrow" tooltip="{i18n&gt;BASE_EDITOR.MOVEDOWN}" press="_moveDown" enabled="{= ${itemsModel&gt;total} - 1 !== ${itemsModel&gt;index}}" visible="{config/allowSorting}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button><Button icon="sap-icon://delete" tooltip="{i18n&gt;BASE_EDITOR.ARRAY.REMOVE}" press="_removeItem" visible="{config/allowAddAndRemove}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button></contentRight></Bar><baseEditor:PropertyEditors init="wrapperInit" propertyEditorsChange="_propertyEditorsChange" config="{itemsModel&gt;properties}"/></VBox></VBox><Button text="{parts:[\'i18n&gt;BASE_EDITOR.ARRAY.ADD\',\'config/addItemLabel\',\'i18n&gt;BASE_EDITOR.ARRAY.ITEM_LABEL\'],formatter:\'.formatAddItemText\'}" enabled="{= !${config/maxItems} || (Array.isArray(${itemsModel&gt;/}) &amp;&amp; ${itemsModel&gt;/} || []).length &lt; ${config/maxItems} }" press="_addItem" visible="{config/allowAddAndRemove}"/></VBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/booleanEditor/BooleanEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><ComboBox value="{value}" selectedKey="{value}" width="100%" change="_onChange"><core:Item key="true" text="{i18n&gt;BASE_EDITOR.BOOLEAN.TRUE_VALUE}"/><core:Item key="false" text="{i18n&gt;BASE_EDITOR.BOOLEAN.FALSE_VALUE}"/></ComboBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/dateEditor/DateEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><DatePicker value="{displayValue}" valueFormat="MM/dd/yyyy" change="_onChange"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/dateTimeEditor/DateTimeEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><DateTimePicker value="{displayValue}" valueFormat="MM/dd/yyyy HH:mm:ss" change="_onChange"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/enumStringEditor/EnumStringEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><ComboBox value="{value}" selectedKey="{value}" width="100%" change="_onChange" items="{config/enum}"><items><core:Item key="{}" text="{}"/></items></ComboBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/iconEditor/IconEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><Input value="{value}" change="_onChange" suggestionItemSelected="_onSuggestionItemSelected" showSuggestion="true" showValueHelp="true" valueHelpRequest="_handleValueHelp"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/iconEditor/IconEditorDialog.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><SelectDialog noDataText="No Icons Found" title="Select Icon" liveChange="handleSearch" search="handleSearch" confirm="handleClose" cancel="handleClose" items="{path:\'/\'}"><StandardListItem title="{name}" description="{path}" icon="{path}" iconDensityAware="false" iconInset="false" type="Active"/></SelectDialog></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/jsonEditor/JsonEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><Input value="{path:\'value\',formatter:\'JSON.stringify\'}" liveChange="_onLiveChange" showSuggestion="true" showValueHelp="true" valueHelpRequest="_openJsonEditor"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/jsonEditor/JsonEditorDialog.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:editor="sap.ui.codeeditor" xmlns:core="sap.ui.core"><Dialog contentWidth="700px" contentHeight="100%" verticalScrolling="false" resizable="true" draggable="true"><customHeader><Bar><contentLeft><Button icon="sap-icon://syntax" tooltip="{i18n&gt;BASE_EDITOR.JSON.BEAUTIFY}" press="onBeautify"/></contentLeft><contentMiddle><Title text="{i18n&gt;BASE_EDITOR.JSON.TITLE}"/></contentMiddle></Bar></customHeader><content><MessageStrip id="errorMsg" visible="false" type="Error" showIcon="true"/><editor:CodeEditor id="jsonEditor" type="json" syntaxHints="false" liveChange="onLiveChange"/></content><beginButton><Button text="{i18n&gt;BASE_EDITOR.JSON.SAVE}" type="Emphasized" press="onSave"/></beginButton><endButton><Button text="{i18n&gt;BASE_EDITOR.JSON.CANCEL}" press="onClose"/></endButton></Dialog></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/listEditor/ListEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><MultiInput tokenUpdate="_onTokenUpdate" submit="_onTokenSubmission" liveChange="_onLiveChange" tokens="{value}" showValueHelp="false"><tokens><Token key="{}" text="{}"/></tokens></MultiInput></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/mapEditor/MapEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:baseEditor="sap.ui.integration.designtime.baseEditor"><VBox><VBox items="{path:\'itemsModel&gt;/\',templateShareable:false}" visible="{= !!${itemsModel&gt;/}.length }"><Panel expandable="true" width="auto" expanded="{path:\'itemsModel&gt;\',formatter:\'._isNewItem\',mode:\'OneTime\'}"><headerToolbar><Toolbar style="Clear"><Title text="{itemsModel&gt;key}" titleStyle="H5"/><ToolbarSpacer/><Button icon="sap-icon://navigation-up-arrow" tooltip="{i18n&gt;BASE_EDITOR.MOVEUP}" press="_moveUp" enabled="{= ${itemsModel&gt;index} !== 0}" visible="{config/allowSorting}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button><Button icon="sap-icon://navigation-down-arrow" tooltip="{i18n&gt;BASE_EDITOR.MOVEDOWN}" press="_moveDown" enabled="{= ${itemsModel&gt;total} - 1 !== ${itemsModel&gt;index}}" visible="{config/allowSorting}"><customData><core:CustomData key="index" value="{itemsModel&gt;index}"/></customData></Button><Button icon="sap-icon://delete" tooltip="{i18n&gt;BASE_EDITOR.MAP.REMOVE_PARAMETER}" press="_onRemoveElement" visible="{config/allowAddAndRemove}"/></Toolbar></headerToolbar><content><baseEditor:PropertyEditors init="wrapperInit" propertyEditorsChange="_propertyEditorsChange" renderLabels="true" config="{path:\'itemsModel&gt;\',formatter:\'.formatItemConfig\'}"/></content></Panel></VBox><Button text="{i18n&gt;BASE_EDITOR.MAP.ADD_PARAMETER}" press="_onAddElement" visible="{config/allowAddAndRemove}"/></VBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/numberEditor/NumberEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><Input value="{displayValue}" liveChange="_onLiveChange"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/selectEditor/SelectEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><ComboBox showSecondaryValues="true" value="{path:\'value\',formatter:\'._getItemTitle\'}" selectedKey="{value}" width="100%" change="_onChange" items="{config/items}"><items><core:ListItem key="{key}" text="{= ${title} || ${key}}" additionalText="{description}"/></items></ComboBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/baseEditor/propertyEditor/stringEditor/StringEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core"><Input value="{value}" enabled="{config/enabled}" placeholder="{config/placeholder}" liveChange="_onLiveChange"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/cardEditor/propertyEditor/complexMapEditor/ComplexMapEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.ui.integration.designtime.baseEditor" xmlns:core="sap.ui.core"><PropertyEditor renderLabel="false"/></core:FragmentDefinition>',
	"sap/ui/integration/designtime/cardEditor/propertyEditor/iconEditor/IconEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.ui.integration.designtime.cardEditor" xmlns:m="sap.m" xmlns:core="sap.ui.core" xmlns:layout="sap.ui.layout"><m:FlexBox><layout:VerticalLayout><PropertyEditor renderLabel="false" init="wrapperInit" valueChange="_onTypeChange" config="{path:\'configs&gt;/selectConfig\'}" value="{path:\'icon&gt;/type\'}"/><layout:layoutData><m:FlexItemData baseSize="120px"/></layout:layoutData></layout:VerticalLayout><layout:VerticalLayout width="calc(100% - 16px)" class="sapUiTinyMarginBeginEnd"><PropertyEditor renderLabel="false" init="wrapperInit" valueChange="_updateValue" config="{path:\'configs&gt;/valueConfig/config\'}" value="{parts:[\'configs&gt;/valueConfig/key\',\'icon&gt;/\'],formatter:\'._prepareValue\'}"/><layout:layoutData><m:FlexItemData growFactor="1"/></layout:layoutData></layout:VerticalLayout><m:Button icon="sap-icon://developer-settings" tooltip="{i18n&gt;BASE_EDITOR.ICON.BUTTON_SETTINGS}" press="_handleSettings"/></m:FlexBox></core:FragmentDefinition>',
	"sap/ui/integration/designtime/cardEditor/propertyEditor/iconEditor/IconEditorSettingsDialog.fragment.xml":'<core:FragmentDefinition xmlns="sap.m" xmlns:form="sap.ui.layout.form" xmlns:core="sap.ui.core"><Dialog title="{i18n&gt;BASE_EDITOR.ICON.SETTINGS_DIALOG_TITLE}" verticalScrolling="true" resizable="false" contentHeight="8rem" contentWidth="25rem" titleAlignment="Center"><content><VBox><form:SimpleForm editable="true" layout="ResponsiveGridLayout" adjustLabelSpan="false" singleContainerFullSize="true" labelSpanXL="4" labelSpanL="4" labelSpanM="4" labelSpanS="4" emptySpanXL="0" emptySpanL="0" emptySpanM="0" emptySpanS="0"><form:content><Label text="{i18n&gt;BASE_EDITOR.ICON.SETTINGS_DIALOG_SHAPE_LABEL}"/><Select selectedKey="{data&gt;/shape}" tooltip="{i18n&gt;BASE_EDITOR.ICON.SELECTION_SHAPE}" items="{settings&gt;/shapes}"><core:Item key="{settings&gt;key}" text="{settings&gt;text}"/></Select><Label text="Alt" visible="{settings&gt;/altVisible}"/><Input value="{data&gt;/alt}" visible="{settings&gt;/altVisible}" tooltip="{i18n&gt;BASE_EDITOR.ICON.INPUT_ALT}"/><Label text="{i18n&gt;BASE_EDITOR.ICON.SETTINGS_DIALOG_BACKGROUNDCOLOR_LABEL}" visible="{settings&gt;/backgroundColorVisible}"/><Input type="Text" tooltip="{i18n&gt;BASE_EDITOR.ICON.INPUT_BACKGROUNDCOLOR}" value="{data&gt;/backgroundColor}" visible="{settings&gt;/backgroundColorVisible}" showValueHelp="true" valueHelpRequest="_openColorPickerPopup"/><Label text="{i18n&gt;BASE_EDITOR.ICON.SETTINGS_DIALOG_COLOR_LABEL}" visible="{settings&gt;/colorVisible}"/><Input type="Text" tooltip="{i18n&gt;BASE_EDITOR.ICON.INPUT_COLOR}" value="{data&gt;/color}" visible="{settings&gt;/colorVisible}" showValueHelp="true" valueHelpRequest="_openColorPickerPopup"/></form:content></form:SimpleForm></VBox></content><beginButton><Button text="{i18n&gt;BASE_EDITOR.JSON.SAVE}" press="_onSettingsSave" type="Emphasized"/></beginButton><endButton><Button text="{i18n&gt;BASE_EDITOR.JSON.CANCEL}" type="Transparent" press="_onSettingsCancel"/></endButton></Dialog></core:FragmentDefinition>',
	"sap/ui/integration/designtime/cardEditor/propertyEditor/parametersEditor/ParametersConfigurationEditor.fragment.xml":'<core:FragmentDefinition xmlns="sap.ui.integration.designtime.baseEditor" xmlns:core="sap.ui.core"><PropertyEditors init="wrapperInit" propertyEditorsChange="_propertyEditorsChange" config="{path:\'itemsModel&gt;/\',formatter:\'._configItemsFormatter\'}"/></core:FragmentDefinition>',
/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
	"sap/m/DatePicker.js":function(){sap.ui.getCore().loadLibrary("sap.ui.unified");sap.ui.define(['sap/ui/thirdparty/jquery','sap/ui/Device','./InputBase','./DateTimeField','./Button','./ResponsivePopover','sap/ui/core/date/UniversalDate','./library','sap/ui/core/Control','sap/ui/core/library',"./DatePickerRenderer","sap/base/util/deepEqual","sap/base/assert","sap/base/Log","sap/ui/core/IconPool","./InstanceManager","sap/ui/unified/Calendar","sap/ui/unified/DateRange",'sap/ui/unified/DateTypeRange',"sap/ui/unified/calendar/CustomMonthPicker","sap/ui/unified/calendar/CustomYearPicker","sap/ui/unified/library","sap/ui/dom/jquery/cursorPos"],function(q,D,I,a,B,R,U,l,C,c,b,d,e,L,f,g,h,j,k,m,n,u){"use strict";var o=c.CalendarType;var r=sap.ui.getCore().getLibraryResourceBundle("sap.m");
var p=a.extend("sap.m.DatePicker",{metadata:{library:"sap.m",properties:{displayFormatType:{type:"string",group:"Appearance",defaultValue:""},secondaryCalendarType:{type:"sap.ui.core.CalendarType",group:"Appearance",defaultValue:null},minDate:{type:"object",group:"Misc",defaultValue:null},maxDate:{type:"object",group:"Misc",defaultValue:null},showFooter:{type:"boolean",group:"Misc",defaultValue:false}},aggregations:{specialDates:{type:"sap.ui.core.Element",multiple:true,singularName:"specialDate"},_popup:{type:"sap.m.ResponsivePopover",multiple:false,visibility:"hidden"}},associations:{legend:{type:"sap.ui.core.Control",multiple:false}},events:{navigate:{parameters:{dateRange:{type:"sap.ui.unified.DateRange"},afterPopupOpened:{type:"boolean"}}}},designtime:"sap/m/designtime/DatePicker.designtime",dnd:{draggable:false,droppable:true}}});
p.prototype.init=function(){a.prototype.init.apply(this,arguments);this._bIntervalSelection=false;this._bOnlyCalendar=true;this._bValid=true;this._oMinDate=new Date(1,0,1);this._oMinDate.setFullYear(1);this._oMaxDate=new Date(9999,11,31,23,59,59,999);var i=this.addEndIcon({id:this.getId()+"-icon",src:this.getIconSrc(),noTabStop:true,tooltip:r.getText("OPEN_PICKER_TEXT")});this._bShouldClosePicker=false;i.addEventDelegate({onmousedown:function(E){this._bShouldClosePicker=!!this.isOpen();}},this);i.attachPress(function(){this.toggleOpen(this._bShouldClosePicker);},this);};
p.prototype.isValidValue=function(){return this._bValid;};
p.prototype.isOpen=function(){return this._oPopup&&this._oPopup.isOpen();};
p.prototype.toggleOpen=function(O){if(this.getEditable()&&this.getEnabled()){if(O){s.call(this);}else{_.call(this);}}};
p.prototype.getIconSrc=function(){return f.getIconURI("appointment-2");};
p.prototype.exit=function(){I.prototype.exit.apply(this,arguments);if(this._oPopup){if(this._oPopup.isOpen()){this._oPopup.close();}delete this._oPopup;}if(this._getCalendar()){this._getCalendar().destroy();delete this._getCalendar();}if(this._iInvalidateCalendar){clearTimeout(this._iInvalidateCalendar);}this._sUsedDisplayPattern=undefined;this._sUsedDisplayCalendarType=undefined;this._oDisplayFormat=undefined;this._sUsedValuePattern=undefined;this._sUsedValueCalendarType=undefined;this._oValueFormat=undefined;};
p.prototype.invalidate=function(O){if(!O||O!=this._getCalendar()){C.prototype.invalidate.apply(this,arguments);this._iInvalidateCalendar=setTimeout(y.bind(this),0);}};
p.prototype.onBeforeRendering=function(){a.prototype.onBeforeRendering.apply(this,arguments);this._checkMinMaxDate();var V=this._getValueHelpIcon();if(V){V.setProperty("visible",this.getEditable(),true);}};
p.prototype.setWidth=function(W){return I.prototype.setWidth.call(this,W||"100%");};
p.prototype.getWidth=function(W){return this.getProperty("width")||"100%";};
p.prototype.applyFocusInfo=function(F){this._bFocusNoPopup=true;if(!D.support.touch||D.system.desktop){I.prototype.applyFocusInfo.apply(this,arguments);}};
p.prototype.onfocusin=function(E){if(!q(E.target).hasClass("sapUiIcon")){I.prototype.onfocusin.apply(this,arguments);}this._bFocusNoPopup=undefined;};
p.prototype.onsapshow=function(E){this.toggleOpen(this.isOpen());E.preventDefault();};
p.prototype.onsaphide=p.prototype.onsapshow;
p.prototype.onsappageup=function(E){var i=this._getCalendarConstructor().getMetadata().getName();E.preventDefault();if(i!="sap.ui.unified.Calendar"){return;}this._increaseDate(1,"day");};
p.prototype.onsappageupmodifiers=function(E){var i=this._getCalendarConstructor().getMetadata().getName();E.preventDefault();if(!E.ctrlKey&&E.shiftKey){if(i=="sap.ui.unified.internal.CustomYearPicker"){return;}this._increaseDate(1,"month");}else{this._increaseDate(1,"year");}};
p.prototype.onsappagedown=function(E){var i=this._getCalendarConstructor().getMetadata().getName();E.preventDefault();if(i!="sap.ui.unified.Calendar"){return;}this._increaseDate(-1,"day");};
p.prototype.onsappagedownmodifiers=function(E){var i=this._getCalendarConstructor().getMetadata().getName();E.preventDefault();if(!E.ctrlKey&&E.shiftKey){if(i=="sap.ui.unified.internal.CustomYearPicker"){return;}this._increaseDate(-1,"month");}else{this._increaseDate(-1,"year");}};
p.prototype.onkeypress=function(E){if(!E.charCode||E.metaKey||E.ctrlKey){return;}var F=this._getFormatter(true);var i=String.fromCharCode(E.charCode);if(i&&F.sAllowedCharacters&&F.sAllowedCharacters.indexOf(i)<0){E.preventDefault();}};
p.prototype._getValueHelpIcon=function(){var V=this.getAggregation("_endIcon");return V&&V[0];};
p.prototype._dateValidation=function(i){this._bValid=true;if(i&&(i.getTime()<this._oMinDate.getTime()||i.getTime()>this._oMaxDate.getTime())){this._bValid=false;e(this._bValid,"Date must be in valid range");}this.setProperty("dateValue",i);return i;};
p.prototype.setMinDate=function(i){if(!this._isValidDate(i)){throw new Error("Date must be a JavaScript date object; "+this);}if(d(this.getMinDate(),i)){return this;}if(i){var Y=i.getFullYear();if(Y<1||Y>9999){throw new Error("Date must be between 0001-01-01 and 9999-12-31; "+this);}this._oMinDate=new Date(i.getTime());var z=this.getDateValue();if(z&&z.getTime()<i.getTime()){this._bValid=false;L.warning("DateValue not in valid date range",this);}}else{this._oMinDate=new Date(1,0,1);this._oMinDate.setFullYear(1);}this.setProperty("minDate",i);if(this._getCalendar()){this._getCalendar().setMinDate(i);}this._oMinDate.setHours(0,0,0,0);return this;};
p.prototype.setMaxDate=function(i){if(!this._isValidDate(i)){throw new Error("Date must be a JavaScript date object; "+this);}if(d(this.getMaxDate(),i)){return this;}if(i){var Y=i.getFullYear();if(Y<1||Y>9999){throw new Error("Date must be between 0001-01-01 and 9999-12-31; "+this);}this._oMaxDate=new Date(i.getTime());var z=this.getDateValue();if(z&&z.getTime()>i.getTime()){this._bValid=false;L.warning("DateValue not in valid date",this);}}else{this._oMaxDate=new Date(9999,11,31,23,59,59,999);}this.setProperty("maxDate",i);if(this._getCalendar()){this._getCalendar().setMaxDate(i);}this._oMaxDate.setHours(23,59,59,999);return this;};
p.prototype._checkMinMaxDate=function(){if(this._oMinDate.getTime()>this._oMaxDate.getTime()){L.warning("minDate > MaxDate -> dates switched",this);var M=new Date(this._oMinDate.getTime());var i=new Date(this._oMaxDate.getTime());this._oMinDate=new Date(i.getTime());this._oMaxDate=new Date(M.getTime());this.setProperty("minDate",i,true);this.setProperty("maxDate",M,true);if(this._getCalendar()){this._getCalendar().setMinDate(i);this._getCalendar().setMaxDate(M);}}var z=this.getDateValue();if(z&&(z.getTime()<this._oMinDate.getTime()||z.getTime()>this._oMaxDate.getTime())){this._bValid=false;L.error("dateValue "+z.toString()+"(value="+this.getValue()+") does not match "+"min/max date range("+this._oMinDate.toString()+" - "+this._oMaxDate.toString()+"). App. "+"developers should take care to maintain dateValue/value accordingly.",this);}};
p.prototype.getDisplayFormatType=function(){return this.getProperty("displayFormatType");};
p.prototype._handleDateValidation=function(i){this._bValid=true;if(!i||i.getTime()<this._oMinDate.getTime()||i.getTime()>this._oMaxDate.getTime()){this._bValid=false;L.warning("Value can not be converted to a valid date",this);}var V=this._formatValue(i,true);if(V!==this.getValue()){this.setLastValue(V);}this.setProperty("value",V);this.setProperty("dateValue",i);};
p.prototype.setDisplayFormatType=function(i){if(i){var F=false;for(var T in o){if(T==i){F=true;break;}}if(!F){throw new Error(i+" is not a valid calendar type"+this);}}this.setProperty("displayFormatType",i,true);this.setDisplayFormat(this.getDisplayFormat());return this;};
p.prototype.setSecondaryCalendarType=function(i){this._bSecondaryCalendarTypeSet=true;this.setProperty("secondaryCalendarType",i,true);if(this._getCalendar()){this._getCalendar().setSecondaryCalendarType(i);}return this;};
p.prototype.setShowFooter=function(F){var P=this._oPopup,i=this._getCalendar();this.setProperty("showFooter",F);if(!P||!i){return this;}P._getButtonFooter().setVisible(F);return this;};
p.prototype.addSpecialDate=function(S){x.call(this,S);this.addAggregation("specialDates",S,true);y.call(this);return this;};
p.prototype.insertSpecialDate=function(S,i){x.call(this,S);this.insertAggregation("specialDates",S,i,true);y.call(this);return this;};
p.prototype.removeSpecialDate=function(S){var i=this.removeAggregation("specialDates",S,true);y.call(this);return i;};
p.prototype.removeAllSpecialDates=function(){var i=this.removeAllAggregation("specialDates",true);y.call(this);return i;};
p.prototype.destroySpecialDates=function(){this.destroyAggregation("specialDates",true);y.call(this);return this;};
p.prototype.setLegend=function(i){this.setAssociation("legend",i,true);var z=this.getLegend();if(z){var A=sap.ui.require("sap/ui/unified/CalendarLegend");i=sap.ui.getCore().byId(z);if(i&&!(typeof A=="function"&&i instanceof A)){throw new Error(i+" is not an sap.ui.unified.CalendarLegend. "+this);}}if(this._getCalendar()){this._getCalendar().setLegend(z);}return this;};
p.prototype.onChange=function(E){if(!this.getEditable()||!this.getEnabled()){return;}var V=this._$input.val(),O=this._formatValue(this.getDateValue()),i;if(V==O&&this._bValid){return;}if(this.getShowFooter()&&this._oPopup&&!V){this._oPopup.getBeginButton().setEnabled(false);}this._bValid=true;if(V!=""){i=this._parseValue(V,true);if(!i||i.getTime()<this._oMinDate.getTime()||i.getTime()>this._oMaxDate.getTime()){this._bValid=false;i=undefined;}else{V=this._formatValue(i);}}if(this.getDomRef()&&(this._$input.val()!==V)){this._$input.val(V);this._curpos=this._$input.cursorPos();}if(i){V=this._formatValue(i,true);}if(this.getLastValue()!==V||(i&&this.getDateValue()&&i.getFullYear()!==this.getDateValue().getFullYear())){this.setLastValue(V);this.setProperty("value",V,true);var N=this.getValue();if(this._bValid&&V==N){this.setProperty("dateValue",i,true);}V=N;if(this.isOpen()){if(this._bValid){i=this.getDateValue();}this._getCalendar().focusDate(i);var S=this._oDateRange.getStartDate();if((!S&&i)||(S&&i&&S.getTime()!=i.getTime())){this._oDateRange.setStartDate(new Date(i.getTime()));}else if(S&&!i){this._oDateRange.setStartDate(undefined);}}this.fireChangeEvent(V,{valid:this._bValid});}};
p.prototype._getInputValue=function(V){V=(typeof V=="undefined")?this._$input.val():V.toString();var i=this._parseValue(V,true);V=this._formatValue(i,true);return V;};
p.prototype.updateDomValue=function(V){if(this.isActive()&&(this._$input.val()!==V)){this._bCheckDomValue=true;V=(typeof V=="undefined")?this._$input.val():V.toString();this._curpos=this._$input.cursorPos();var i=this._parseValue(V,true);V=this._formatValue(i);this._$input.val(V);if(document.activeElement===this._$input[0]){this._$input.cursorPos(this._curpos);}}return this;};
p.prototype._storeInputSelection=function(i){if((D.browser.msie||D.browser.edge)&&!D.support.touch){this._oInputSelBeforePopupOpen={iStart:i.selectionStart,iEnd:i.selectionEnd};i.selectionStart=0;i.selectionEnd=0;}};
p.prototype._restoreInputSelection=function(i){if((D.browser.msie||D.browser.edge)&&!D.support.touch){i.selectionStart=this._oInputSelBeforePopupOpen.iStart;i.selectionEnd=this._oInputSelBeforePopupOpen.iEnd;}};
function _(){this._createPopup();this._createPopupContent();var i;var z=this.getBinding("value");if(z&&z.oType&&z.oType.oOutputFormat){i=z.oType.oOutputFormat.oFormatOptions.calendarType;}else if(z&&z.oType&&z.oType.oFormat){i=z.oType.oFormat.oFormatOptions.calendarType;}if(!i){i=this.getDisplayFormatType();}if(i){this._getCalendar().setPrimaryCalendarType(i);}var V=this._bValid?this._formatValue(this.getDateValue()):this.getValue();if(V!=this._$input.val()){this.onChange();}this._fillDateRange();this._openPopup();this.fireNavigate({dateRange:this._getVisibleDatesRange(this._getCalendar()),afterPopupOpened:true});}
p.prototype._createPopup=function(){var i,z;if(!this._oPopup){this._oPopup=new R(this.getId()+"-RP",{showCloseButton:false,showArrow:false,showHeader:false,placement:l.PlacementType.VerticalPreferedBottom,beginButton:new B({type:l.ButtonType.Emphasized,text:r.getText("DATEPICKER_SELECTION_CONFIRM"),press:this._handleOKButton.bind(this)}),afterOpen:t.bind(this),afterClose:v.bind(this)}).addStyleClass("sapMRPCalendar");if(this.getShowFooter()){this._oPopup.addStyleClass("sapMLandscapePadding");}this._oPopup._getPopup().setAutoClose(true);if(D.system.phone){i=this.$("inner").attr("aria-labelledby");z=i?document.getElementById(i).getAttribute("aria-label"):"";this._oPopup.setTitle(z);this._oPopup.setShowHeader(true);this._oPopup.setShowCloseButton(true);}else{this._oPopup._getPopup().setDurations(0,0);this._oPopup.setEndButton(new B({text:r.getText("DATEPICKER_SELECTION_CANCEL"),press:this._handleCancelButton.bind(this)}));}this.setAggregation("_popup",this._oPopup,true);}};
p.prototype._openPopup=function(){if(!this._oPopup){return;}this._storeInputSelection(this._$input.get(0));this._oPopup._getPopup().setAutoCloseAreas([this.getDomRef()]);this._oPopup.openBy(this);};
p.prototype._getVisibleDatesRange=function(i){var V=i._getVisibleDays();return new j({startDate:V[0].toLocalJSDate(),endDate:V[V.length-1].toLocalJSDate()});};
p.prototype._createPopupContent=function(){var i=this._getCalendarConstructor();if(!this._getCalendar()){this._oCalendar=new i(this.getId()+"-cal",{intervalSelection:this._bIntervalSelection,minDate:this.getMinDate(),maxDate:this.getMaxDate(),legend:this.getLegend(),startDateChange:function(){this.fireNavigate({dateRange:this._getVisibleDatesRange(this._getCalendar())});}.bind(this)});this._oDateRange=new j();this._getCalendar().addSelectedDate(this._oDateRange);this._getCalendar()._setSpecialDatesControlOrigin(this);this._getCalendar().attachCancel(s,this);this._getCalendar().setPopupMode(true);if(this.$().closest(".sapUiSizeCompact").length>0){this._getCalendar().addStyleClass("sapUiSizeCompact");}if(this._bSecondaryCalendarTypeSet){this._getCalendar().setSecondaryCalendarType(this.getSecondaryCalendarType());}if(this._bOnlyCalendar){this._getCalendar().attachSelect(this._handleCalendarSelect,this);this._getCalendar().attachEvent("_renderMonth",w,this);this._oPopup._getButtonFooter().setVisible(this.getShowFooter());this._getCalendar()._bSkipCancelButtonRendering=true;this._oPopup.addContent(this._getCalendar());if(!this.getDateValue()){this._oPopup.getBeginButton().setEnabled(false);}}}};
p.prototype._getCalendarConstructor=function(){var P=this._getFormatter(true).aFormatArray.map(function(z){return z.type.toLowerCase();}),i=P.indexOf("day")>=0,M=P.indexOf("month")>=0,Y=P.indexOf("year")>=0;if(i&&M&&Y){return h;}else if(M&&Y){return m;}else if(Y){return n;}else{L.warning("Not valid date pattern! Default Calendar constructor function is returned",this);return h;}};
p.prototype._fillDateRange=function(){var i=this.getDateValue();if(i&&i.getTime()>=this._oMinDate.getTime()&&i.getTime()<=this._oMaxDate.getTime()){this._getCalendar().focusDate(new Date(i.getTime()));if(!this._oDateRange.getStartDate()||this._oDateRange.getStartDate().getTime()!=i.getTime()){this._oDateRange.setStartDate(new Date(i.getTime()));}}else{var z=this.getInitialFocusedDateValue();var F=z?z:new Date();var M=this._oMaxDate.getTime();if(F.getTime()<this._oMinDate.getTime()||F.getTime()>M){F=this._oMinDate;}this._getCalendar().focusDate(F);if(this._oDateRange.getStartDate()){this._oDateRange.setStartDate(undefined);}}};
p.prototype.getAccessibilityInfo=function(){var i=this.getRenderer();var z=I.prototype.getAccessibilityInfo.apply(this,arguments);var V=this.getValue()||"";if(this._bValid){var A=this.getDateValue();if(A){V=this._formatValue(A);}}z.type=r.getText("ACC_CTR_TYPE_DATEINPUT");z.description=[V,i.getLabelledByAnnouncement(this),i.getDescribedByAnnouncement(this)].join(" ").trim();return z;};
p.prototype._selectDate=function(){var i=this.getDateValue(),z=this._getSelectedDate(),V="";if(!d(z,i)){this.setDateValue(new Date(z.getTime()));V=this.getValue();this.fireChangeEvent(V,{valid:true});this._focusInput();}else if(!this._bValid){V=this._formatValue(z);if(V!=this._$input.val()){this._bValid=true;if(this.getDomRef()){this._$input.val(V);this.setLastValue(V);}V=this._formatValue(z,true);this.setProperty("value",V,true);this.fireChangeEvent(V,{valid:true});this._focusInput();}}else if(D.system.desktop||!D.support.touch){this.focus();}this._oPopup.close();};
p.prototype._handleCalendarSelect=function(){if(this.getShowFooter()){this._oPopup.getBeginButton().setEnabled(true);return;}this._selectDate();};
p.prototype._focusInput=function(){if(this.getDomRef()&&(D.system.desktop||!D.support.touch)){this._curpos=this._$input.val().length;this._$input.cursorPos(this._curpos);}return this;};
p.prototype._getCalendar=function(){return this._oCalendar;};
p.prototype._getSelectedDate=function(){var S=this._getCalendar().getSelectedDates(),i;if(S.length>0){i=S[0].getStartDate();}return i;};
p.prototype._handleOKButton=function(){this._selectDate();};
p.prototype._handleCancelButton=function(){if(!this.getDateValue()){this._oPopup.getBeginButton().setEnabled(false);}this._oPopup.close();};
function s(E){if(this.isOpen()){this._oPopup.close();if((D.system.desktop||!D.support.touch)){this.focus();}}}
p.prototype._increaseDate=function(N,i){var O=this.getDateValue();var z=this._$input.cursorPos();if(O&&this.getEditable()&&this.getEnabled()){var A;var E=this.getBinding("value");if(E&&E.oType&&E.oType.oOutputFormat){A=E.oType.oOutputFormat.oFormatOptions.calendarType;}else if(E&&E.oType&&E.oType.oFormat){A=E.oType.oFormat.oFormatOptions.calendarType;}if(!A){A=this.getDisplayFormatType();}var F=U.getInstance(new Date(O.getTime()),A);O=U.getInstance(new Date(O.getTime()),A);switch(i){case"day":F.setDate(F.getDate()+N);break;case"month":F.setMonth(F.getMonth()+N);var M=(O.getMonth()+N)%12;if(M<0){M=12+M;}while(F.getMonth()!=M){F.setDate(F.getDate()-1);}break;case"year":F.setFullYear(F.getFullYear()+N);while(F.getMonth()!=O.getMonth()){F.setDate(F.getDate()-1);}break;default:break;}if(F.getTime()<this._oMinDate.getTime()){F=new U(this._oMinDate.getTime());}else if(F.getTime()>this._oMaxDate.getTime()){F=new U(this._oMaxDate.getTime());}if(!d(this.getDateValue(),F.getJSDate())){this.setDateValue(new Date(F.getTime()));this._curpos=z;this._$input.cursorPos(this._curpos);var V=this.getValue();this.fireChangeEvent(V,{valid:true});}}};
p.prototype._getSpecialDates=function(){var z=this.getSpecialDates();for(var i=0;i<z.length;i++){var N=z[i].getSecondaryType()===u.CalendarDayType.NonWorking&&z[i].getType()!==u.CalendarDayType.NonWorking;if(N){var A=new k();A.setType(z[i].getSecondaryType());A.setStartDate(z[i].getStartDate());if(z[i].getEndDate()){A.setEndDate(z[i].getEndDate());}z.push(A);}}return z;};
function t(){this.addStyleClass(I.ICON_PRESSED_CSS_CLASS);this._renderedDays=this._getCalendar().$("-Month0-days").find(".sapUiCalItem").length;this.$("inner").attr("aria-owns",this.getId()+"-cal");this.$("inner").attr("aria-expanded",true);g.addPopoverInstance(this._oPopup);this._getCalendar().focus();}
function v(){if(!this.getDateValue()){this._oPopup.getBeginButton().setEnabled(false);}this.removeStyleClass(I.ICON_PRESSED_CSS_CLASS);this.$("inner").attr("aria-expanded",false);this._restoreInputSelection(this._$input.get(0));this._getCalendar()._closedPickers();g.removePopoverInstance(this._oPopup);}
function w(E){var i=E.getParameter("days"),P=this._oPopup._getPopup();if(i>this._renderedDays){this._renderedDays=i;P._applyPosition(P._oLastPosition);}}
function x(S){var k=sap.ui.require("sap/ui/unified/DateTypeRange");if(S&&!(k&&S instanceof k)){throw new Error(S+"is not valid for aggregation \"specialDates\" of "+this);}}
function y(){if(this.isOpen()){this._getCalendar()._bDateRangeChanged=false;this._getCalendar().invalidate();}}
return p;});
},
	"sap/m/DateTimePicker.js":function(){sap.ui.getCore().loadLibrary("sap.ui.unified");sap.ui.define(["sap/ui/thirdparty/jquery",'./InputBase','./DatePicker','sap/ui/model/type/Date','sap/ui/unified/DateRange','./library','sap/ui/core/Control','sap/ui/Device','sap/ui/core/format/DateFormat','sap/ui/core/LocaleData','./DateTimePickerRenderer','./TimePickerSliders','./SegmentedButton','./SegmentedButtonItem','./ResponsivePopover','./Button',"sap/ui/events/KeyCodes","sap/ui/core/IconPool"],function(q,I,D,a,b,l,C,c,d,L,e,T,S,f,R,B,K,g){"use strict";var P=l.PlacementType,h=l.ButtonType,k="Phone";
var m=D.extend("sap.m.DateTimePicker",{metadata:{library:"sap.m",properties:{minutesStep:{type:"int",group:"Misc",defaultValue:1},secondsStep:{type:"int",group:"Misc",defaultValue:1}},designtime:"sap/m/designtime/DateTimePicker.designtime",dnd:{draggable:false,droppable:true}}});
var n={Short:"short",Medium:"medium",Long:"long",Full:"full"};
var o=C.extend("sap.m.internal.DateTimePickerPopup",{
metadata:{library:"sap.m",aggregations:{_switcher:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"},calendar:{type:"sap.ui.core.Control",multiple:false},timeSliders:{type:"sap.ui.core.Control",multiple:false}}},
renderer:{apiVersion:2,render:function(i,j){i.openStart("div",j);i.class("sapMDateTimePopupCont").class("sapMTimePickerDropDown");i.openEnd();var v=j.getAggregation("_switcher");if(v){i.openStart("div");i.class("sapMTimePickerSwitch");i.openEnd();i.renderControl(v);i.close("div");}var w=j.getCalendar();if(w){i.renderControl(w);}i.openStart("div");i.class("sapMTimePickerSep");i.openEnd();i.close("div");var x=j.getTimeSliders();if(x){i.renderControl(x);}i.close("div");}},
init:function(){},
onBeforeRendering:function(){var i=this.getAggregation("_switcher");if(!i){var j=sap.ui.getCore().getLibraryResourceBundle("sap.m");var v=j.getText("DATETIMEPICKER_DATE");var w=j.getText("DATETIMEPICKER_TIME");i=new S(this.getId()+"-Switch",{selectedKey:"Cal",items:[new f(this.getId()+"-Switch-Cal",{key:"Cal",text:v}),new f(this.getId()+"-Switch-Sli",{key:"Sli",text:w})]});i.attachSelect(this._handleSelect,this);this.setAggregation("_switcher",i,true);}if(c.system.phone||q('html').hasClass("sapUiMedia-Std-Phone")){i.setVisible(true);i.setSelectedKey("Cal");}else{i.setVisible(false);}},
onAfterRendering:function(){if(c.system.phone||q('html').hasClass("sapUiMedia-Std-Phone")){var i=this.getAggregation("_switcher");var j=i.getSelectedKey();this._switchVisibility(j);}},
_handleSelect:function(E){this._switchVisibility(E.getParameter("key"));},
_switchVisibility:function(i){var j=this.getCalendar();var v=this.getTimeSliders();if(!j||!v){return;}if(i=="Cal"){j.$().css("display","");v.$().css("display","none");}else{j.$().css("display","none");v.$().css("display","");v._updateSlidersValues();v._onOrientationChanged();v.openFirstSlider();}},
switchToTime:function(){var i=this.getAggregation("_switcher");if(i&&i.getVisible()){i.setSelectedKey("Sli");this._switchVisibility("Sli");}},
getSpecialDates:function(){return this._oDateTimePicker.getSpecialDates();}
});
m.prototype.init=function(){D.prototype.init.apply(this,arguments);this._bOnlyCalendar=false;};
m.prototype.getIconSrc=function(){return g.getIconURI("date-time");};
m.prototype.exit=function(){D.prototype.exit.apply(this,arguments);if(this._oSliders){this._oSliders.destroy();delete this._oSliders;}this._oPopupContent=undefined;c.media.detachHandler(this._handleWindowResize,this);};
m.prototype.setDisplayFormat=function(i){D.prototype.setDisplayFormat.apply(this,arguments);if(this._oSliders){this._oSliders.setDisplayFormat(t.call(this));}return this;};
m.prototype.setMinutesStep=function(M){this.setProperty('minutesStep',M,true);if(this._oSliders){this._oSliders.setMinutesStep(M);}return this;};
m.prototype._getDefaultValueStyle=function(){return n.Medium;};
m.prototype.setMinDate=function(i){D.prototype.setMinDate.call(this,i);if(i){this._oMinDate.setHours(i.getHours(),i.getMinutes(),i.getSeconds());}return this;};
m.prototype.setMaxDate=function(i){D.prototype.setMaxDate.call(this,i);if(i){this._oMaxDate.setHours(i.getHours(),i.getMinutes(),i.getSeconds());}return this;};
m.prototype.setSecondsStep=function(i){this.setProperty('secondsStep',i,true);if(this._oSliders){this._oSliders.setSecondsStep(i);}return this;};
m.prototype._getFormatInstance=function(A,i){var M=q.extend({},A);var j=-1;if(M.style){j=M.style.indexOf("/");}if(i){var v=q.extend({},M);if(j>0){v.style=v.style.substr(0,j);}this._oDisplayFormatDate=d.getInstance(v);}return d.getDateTimeInstance(M);};
m.prototype._checkStyle=function(v){if(D.prototype._checkStyle.apply(this,arguments)){return true;}else if(v.indexOf("/")>0){var w=[n.Short,n.Medium,n.Long,n.Long];var x=false;for(var i=0;i<w.length;i++){var y=w[i];for(var j=0;j<w.length;j++){var z=w[j];if(v==y+"/"+z){x=true;break;}}if(x){break;}}return x;}return false;};
m.prototype._parseValue=function(v,i){var j=D.prototype._parseValue.apply(this,arguments);if(i&&!j){j=this._oDisplayFormatDate.parse(v);if(j){var O=this.getDateValue();if(!O){O=new Date();}j.setHours(O.getHours());j.setMinutes(O.getMinutes());j.setSeconds(O.getSeconds());j.setMilliseconds(O.getMilliseconds());}}return j;};
m.prototype._getLocaleBasedPattern=function(i){var j=L.getInstance(sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale()),v=i.indexOf("/");if(v>0){return j.getCombinedDateTimePattern(i.substr(0,v),i.substr(v+1));}else{return j.getCombinedDateTimePattern(i,i);}};
m.prototype._createPopup=function(){var i,j,v,O,w,x;if(!this._oPopup){v=sap.ui.getCore().getLibraryResourceBundle("sap.m");O=v.getText("TIMEPICKER_SET");w=v.getText("TIMEPICKER_CANCEL");this._oPopupContent=new o(this.getId()+"-PC");this._oPopupContent._oDateTimePicker=this;this._oOKButton=new B(this.getId()+"-OK",{text:O,type:h.Emphasized,press:_.bind(this)});this._oPopup=new R(this.getId()+"-RP",{showCloseButton:false,showHeader:false,placement:P.VerticalPreferedBottom,beginButton:this._oOKButton,content:this._oPopupContent,afterOpen:r.bind(this),afterClose:s.bind(this)});if(c.system.phone){i=this.$("inner").attr("aria-labelledby");j=i?document.getElementById(i).getAttribute("aria-label"):"";this._oPopup.setTitle(j);this._oPopup.setShowHeader(true);this._oPopup.setShowCloseButton(true);}else{this._oPopup.setEndButton(new B(this.getId()+"-Cancel",{text:w,press:p.bind(this)}));}this._oPopup.addStyleClass("sapMDateTimePopup");x=this._oPopup.getAggregation("_popup");if(x.setShowArrow){x.setShowArrow(false);}this.setAggregation("_popup",this._oPopup,true);}};
m.prototype._openPopup=function(){if(!this._oPopup){return;}this.addStyleClass(I.ICON_PRESSED_CSS_CLASS);this._storeInputSelection(this._$input.get(0));var i=this._oPopup.getAggregation("_popup");i.oPopup.setAutoCloseAreas([this.getDomRef()]);this._oPopup.openBy(this);var j=this._oPopup.getContent()[0]&&this._oPopup.getContent()[0].getTimeSliders();if(j){setTimeout(j._updateSlidersValues.bind(j),0);}};
m.prototype._createPopupContent=function(){var N=!this._oCalendar;D.prototype._createPopupContent.apply(this,arguments);if(N){this._oPopupContent.setCalendar(this._oCalendar);this._oCalendar.attachSelect(u,this);}if(!this._oSliders){this._oSliders=new T(this.getId()+"-Sliders",{minutesStep:this.getMinutesStep(),secondsStep:this.getSecondsStep(),displayFormat:t.call(this),localeId:this.getLocaleId()})._setShouldOpenSliderAfterRendering(true);this._oPopupContent.setTimeSliders(this._oSliders);}};
m.prototype._selectFocusedDateValue=function(i){var j=this._oCalendar;j.removeAllSelectedDates();j.addSelectedDate(i);return this;};
m.prototype._fillDateRange=function(){var i=this.getDateValue(),j=true;if(i){i=new Date(i.getTime());this._oOKButton.setEnabled(true);}else{j=false;i=this.getInitialFocusedDateValue();if(!i){i=new Date();this._oCalendar.removeAllSelectedDates();}var M=this._oMaxDate.getTime();if(i.getTime()<this._oMinDate.getTime()||i.getTime()>M){i=this._oMinDate;}this._oOKButton.setEnabled(false);}this._oCalendar.focusDate(i);if(j){if(!this._oDateRange.getStartDate()||this._oDateRange.getStartDate().getTime()!=i.getTime()){this._oDateRange.setStartDate(i);}}this._oSliders._setTimeValues(i);};
m.prototype._getSelectedDate=function(){var i=D.prototype._getSelectedDate.apply(this,arguments);if(i){var j=this._oSliders.getTimeValues();var v=this._oSliders._getDisplayFormatPattern();if(v.search("h")>=0||v.search("H")>=0){i.setHours(j.getHours());}if(v.search("m")>=0){i.setMinutes(j.getMinutes());}if(v.search("s")>=0){i.setSeconds(j.getSeconds());}if(i.getTime()<this._oMinDate.getTime()){i=new Date(this._oMinDate.getTime());}else if(i.getTime()>this._oMaxDate.getTime()){i=new Date(this._oMaxDate.getTime());}}return i;};
m.prototype.getLocaleId=function(){return sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale().toString();};
m.prototype.getAccessibilityInfo=function(){var i=D.prototype.getAccessibilityInfo.apply(this,arguments);i.type=sap.ui.getCore().getLibraryResourceBundle("sap.m").getText("ACC_CTR_TYPE_DATETIMEINPUT");return i;};
function _(E){this._handleCalendarSelect();}
function p(E){this.onsaphide(E);if(!this.getDateValue()){this._oCalendar.removeAllSelectedDates();}}
m.prototype._handleWindowResize=function(i){var j=this.getAggregation("_popup").getContent()[0].getAggregation("_switcher"),v=this.getAggregation("_popup").getContent()[0].getCalendar(),w=this.getAggregation("_popup").getContent()[0].getTimeSliders();if(i.name===k){j.setVisible(true);this.getAggregation("_popup").getContent()[0]._switchVisibility(j.getSelectedKey());}else{j.setVisible(false);w.$().css("display","");v.$().css("display","");}};
function r(E){this.$("inner").attr("aria-expanded",true);this._oCalendar.focus();this._oSliders._onOrientationChanged();c.media.attachHandler(this._handleWindowResize,this);}
function s(){this.removeStyleClass(I.ICON_PRESSED_CSS_CLASS);this.$("inner").attr("aria-expanded",false);this._restoreInputSelection(this._$input.get(0));this._oCalendar._closedPickers();c.media.detachHandler(this._handleWindowResize,this);}
function t(){var i=this.getDisplayFormat();var j;var v=this.getBinding("value");if(v&&v.oType&&(v.oType instanceof a)){i=v.oType.getOutputPattern();}else if(v&&v.oType&&v.oType.oFormat){i=v.oType.oFormat.oFormatOptions.pattern;}else{i=this.getDisplayFormat();}if(!i){i=n.Medium;}var w=i.indexOf("/");if(w>0&&this._checkStyle(i)){i=i.substr(w+1);}if(i==n.Short||i==n.Medium||i==n.Long||i==n.Full){var x=sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale();var y=L.getInstance(x);j=y.getTimePattern(i);}else{j=i;}return j;}
function u(E){this._oOKButton.setEnabled(true);this._oPopupContent.switchToTime();}
return m;});
}
},"sap-ui-integration-cardEditor"
);
//# sourceMappingURL=sap-ui-integration-cardEditor.js.map