/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Renderer","sap/ui/core/library","sap/ui/core/Core","sap/ui/Device","sap/base/Log","./library","./ListItemBaseRenderer"],function(R,c,C,D,L,l,a){"use strict";var P=l.PopinDisplay;var V=c.VerticalAlign;var b=l.PopinLayout;var d=R.extend(a);d.apiVersion=2;d.render=function(r,o){var t=o.getTable();if(!t){return;}a.render.apply(this,arguments);if(o.getVisible()&&t.hasPopin()){this.renderPopin(r,o,t);}};d.renderHighlight=function(r,o){r.openStart("td");r.class("sapMListTblHighlightCell");r.attr("role","presentation");r.attr("aria-hidden","true");r.openEnd();a.renderHighlight.apply(this,arguments);r.close("td");};d.renderNavigated=function(r,o){r.openStart("td");r.class("sapMListTblNavigatedCell");r.attr("role","presentation");r.attr("aria-hidden","true");r.openEnd();a.renderNavigated.apply(this,arguments);r.close("td");};d.renderType=function(r,o){r.openStart("td");r.class("sapMListTblNavCol");r.attr("role","presentation");r.attr("aria-hidden","true");r.openEnd();a.renderType.apply(this,arguments);r.close("td");};d.renderModeContent=function(r,o){r.openStart("td");r.class("sapMListTblSelCol");r.attr("role","presentation");r.attr("aria-hidden","true");r.openEnd();a.renderModeContent.apply(this,arguments);r.close("td");};d.renderCounter=function(r,o){};d.getAriaRole=function(o){return"";};d.renderLIAttributes=function(r,o){r.class("sapMListTblRow");var A=o.getVAlign();if(A!=V.Inherit){r.class("sapMListTblRow"+A);}var t=o.getTable();if(t&&t.getAlternateRowColors()){var p=t.indexOfItem(o);if(p%2==0){r.class("sapMListTblRowAlternate");}}if(t&&t.shouldRenderDummyColumn()){r.class("sapMListTblRowHasDummyCell");}};d.renderLIContentWrapper=function(r,o){var t=o.getTable();if(!t){return;}var e=t.getColumns(true),f=o.getCells();o._destroyClonedHeaders();e.forEach(function(g,i){var h,j=true,k=f[g.getInitialOrder()];if(!k||!g.getVisible()||g.isPopin()){g.setIndex(-1);return;}r.openStart("td",o.getId()+"_cell"+i);r.class("sapMListTblCell");r.attr("data-sap-ui-column",g.getId());if(g){r.class(g.getStyleClass(true));h=g.getHeader();if(h){r.attr("headers",g.getId());}if(!t.hasPopin()&&g.getMergeDuplicates()){var F=g.getMergeFunctionName(),m=F.split("#"),s=m[1],n=m[0];if(typeof k[n]!="function"){L.warning("mergeFunctionName property is defined on "+g+" but this is not function of "+k);}else if(t._bRendering||!k.bOutput){var p=g.getLastValue(),q=k[n](s);if(p===q){j=C.getConfiguration().getAccessibility();k.addStyleClass("sapMListTblCellDupCnt");r.class("sapMListTblCellDup");}else{g.setLastValue(q);}}else if(k.hasStyleClass("sapMListTblCellDupCnt")){r.class("sapMListTblCellDup");}}g.getVAlign()!="Inherit"&&r.style("vertical-align",g.getVAlign().toLowerCase());r.style("text-align",g.getCssAlign());if(g.isHidden()){r.style("display","none");r.attr("aria-hidden","true");}}r.openEnd();if(j){this.applyAriaLabelledBy(h,k);r.renderControl(k);}r.close("td");},this);};d.renderDummyCell=function(r,o){r.openStart("td");r.class("sapMListTblDummyCell");r.attr("role","presentation");r.attr("aria-hidden","true");r.openEnd();r.close("td");};d.applyAriaLabelledBy=function(h,o){if(h&&h.getText&&h.getVisible()&&o.getAriaLabelledBy&&(o.getAriaLabelledBy()||[]).indexOf(h.getId())==-1){o.addAriaLabelledBy(h);}};d.renderPopin=function(r,o,t){o.removePopin();r.openStart("tr",o.getPopin());r.class("sapMListTblSubRow");r.attr("tabindex","-1");if(o.isSelectable()){r.attr("aria-selected",o.getSelected());}r.openEnd();this.renderHighlight(r,o);r.openStart("td",o.getId()+"-subcell");r.attr("colspan",t.shouldRenderDummyColumn()?t.getColSpan()+1:t.getColSpan());var p=t.getPopinLayout();if(D.browser.msie||(D.browser.edge&&D.browser.version<16)){p=b.Block;}r.attr("aria-labelledby",this.getAriaAnnouncement(null,"TABLE_POPIN_ROLE_DESCRIPTION"));r.openEnd();r.openStart("div");r.class("sapMListTblSubCnt");r.class("sapMListTblSubCnt"+p);r.openEnd();var e=o.getCells(),f=t.getColumns(true);f.forEach(function(g){if(!g.getVisible()||!g.isPopin()){return;}var h=e[g.getInitialOrder()],H=g.getHeader();if(!H&&!h){return;}var s=g.getStyleClass(),i=g.getPopinDisplay();r.openStart("div");r.class("sapMListTblSubCntRow");s&&r.class(s);r.openEnd();if(H&&i!=P.WithoutHeader){r.openStart("div").class("sapMListTblSubCntHdr").openEnd();H=H.clone();g.addDependent(H);o._addClonedHeader(H);r.renderControl(H);r.close("div");r.openStart("div").class("sapMListTblSubCntSpr").openEnd();r.text(C.getLibraryResourceBundle("sap.m").getText("TABLE_POPIN_LABEL_COLON"));r.close("div");}if(h){r.openStart("div");r.class("sapMListTblSubCntVal");r.class("sapMListTblSubCntVal"+i);r.openEnd();this.applyAriaLabelledBy(H,h);r.renderControl(h);r.close("div");}r.close("div");},this);r.close("div");r.close("td");this.renderNavigated(r,o);r.close("tr");};d.addLegacyOutlineClass=function(r,o){};d.renderContentLatter=function(r,o){var t=o.getTable();if(t&&t.shouldRenderDummyColumn()){if(!t.hasPopin()){a.renderContentLatter.apply(this,arguments);this.renderDummyCell(r,o);}else{this.renderDummyCell(r,o);a.renderContentLatter.apply(this,arguments);}}else{a.renderContentLatter.apply(this,arguments);}};return d;},true);
