/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/Log","sap/ui/core/ComponentContainer","sap/ui/core/library"],function(L,C,c){"use strict";var a=c.ComponentLifecycle;return{display:function(d){var s=Promise.resolve();return this._display(d,s);},_display:function(d,s,t){if(this._oParent){s=this._oParent._display(d,s,t);}return this._place(d,s,t);},suspend:function(){if(this._oParent){this._oParent.suspend();}if(this._isLoaded()){var o=this._get(),r;if(o.isA("sap.ui.core.UIComponent")&&(r=o.getRouter())){r.stop();}}else{L.warning("The target with name '"+this._oOptions._name+"' can't be suspended because it's being loaded or not loaded yet");}return this;},_isLoaded:function(){return this._bIsLoaded;},_get:function(t){var n=this._getEffectiveObjectName(this._oOptions.name),o=this._oOptions,b;switch(o.type){case"View":b={name:n,type:o.viewType,id:o.id,async:true};break;case"Component":b={id:o.id};if(o.usage){b.usage=o.usage;}else{b.name=n;}b=Object.assign({},o.options||{},b);break;default:throw new Error("The given type "+o.type+" isn't support by sap.ui.core.routing.Target");}return this._oCache._get(b,o.type,this._bUseRawViewId,t);},_load:function(t){var o=this._get(t),p;if(!(o instanceof Promise)){if(o.isA("sap.ui.core.mvc.View")){p=o.loaded();}else{p=Promise.resolve(o);}}else{p=o;}return p.then(function(o){this._bIsLoaded=true;return o;}.bind(this));},_place:function(d,s,t){if(d instanceof Promise){t=s;s=d;d=undefined;}var o=this._oOptions,b=this,O,e,p,i=true,r,f;if((o.name||o.usage)&&o.type){f=new Promise(function(g){r=g;});p=this._load(t).then(function(O){if(O.isA("sap.ui.core.UIComponent")){var R=O.getRouter();if(R){var h=R.getHashChanger().getHash();var g=R.getRouteByHash(h);if(!R._oConfig.async){throw new Error("The router of component '"+O.getId()+"' which is loaded via the target '"+b._oOptions._name+"' is defined as synchronous which is not supported using as a nested component.");}if(R._oOwner){R._oOwner._bRoutingPropagateTitle=t.propagateTitle;}if(g&&g._oConfig.target){i=false;R.attachRouteMatched(r);}if(R.isStopped()){R.initialize();}}}if(i){r();}return O;});s=s.then(function(P){return p.then(function(O){return{object:O,parentInfo:P||{}};});}).then(function(v){var V=b._isValid(v.parentInfo),g,R;O=v.object;if(O.isA("sap.ui.core.UIComponent")){R=O.getRootControl();if(R&&R.isA("sap.ui.core.mvc.View")){g=R;}}else{g=O;}b._bindTitleInTitleProvider(g);b._addTitleProviderAsDependent(g);if(V!==true){e=V;return b._refuseInvalidTarget(o._name,e);}var h=v.parentInfo.view,j=v.parentInfo.control,k=Promise.resolve(j);if(h&&h.isA("sap.ui.core.ComponentContainer")){h=h.getComponentInstance().getRootControl();}if(!h&&o.rootView){h=sap.ui.getCore().byId(o.rootView);if(!h){e="Did not find the root view with the id "+o.rootView;return b._refuseInvalidTarget(o._name,e);}}if(o.controlId){if(h&&h.isA("sap.ui.core.mvc.View")){k=h.loaded().then(function(l){return l.byId(o.controlId);});}k=k.then(function(l){if(!l){l=sap.ui.getCore().byId(o.controlId);}if(!l){e="Control with ID "+o.controlId+" could not be found";return b._refuseInvalidTarget(o._name,e);}else{return l;}});}return k;}).then(function(g){var h,j,k;if(O.isA("sap.ui.core.UIComponent")){h=O;j=h.getId()+"-container";O=sap.ui.getCore().byId(j);if(!O){var l=Object.assign({component:h,height:"100%",width:"100%",lifecycle:a.Application},o.containerOptions);O=new C(j,l);k=h.destroy;h.destroy=function(){if(k){k.apply(this);}O.destroy();};}}b._beforePlacingViewIntoContainer({container:g,view:O,data:d});var A=g.getMetadata().getJSONKeys()[o.controlAggregation];if(!A){e="Control "+o.controlId+" does not have an aggregation called "+o.controlAggregation;return b._refuseInvalidTarget(o._name,e);}if(o.clearControlAggregation===true){g[A._sRemoveAllMutator]();}L.info("Did place the "+o.type.toLowerCase()+" target '"+(o.name?b._getEffectiveObjectName(o.name):o.usage)+"' with the id '"+O.getId()+"' into the aggregation '"+o.controlAggregation+"' of a control with the id '"+g.getId()+"'",b);g[A._sMutator](O);return{name:o._name,view:O,control:g};});}else{s=s.then(function(){return{name:o._name};});}return Promise.all([s,f]).then(function(g){var h=g[0].control;var O=g[0].view;if(h&&O){b.fireDisplay({view:O.isA("sap.ui.core.mvc.View")?O:undefined,object:O,control:h,config:b._oOptions,data:d});}return g[0];});},_isValid:function(p){var o=this._oOptions,b=p&&p.control,h=(b||o.controlId),i=true,l="";if(!h){l="The target "+o._name+" has no controlId set and no parent so the target cannot be displayed.";i=false;}if(!o.controlAggregation){l="The target "+o._name+" has a control id or a parent but no 'controlAggregation' was set, so the target could not be displayed.";i=false;}if(l){L.error(l,this);}return i||l;},_refuseInvalidTarget:function(n,m){return Promise.reject(new Error(m+" - Target: "+n));}};});
