/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/base/ManagedObject","sap/base/util/deepEqual","sap/m/library","sap/m/Popover","sap/m/VBox","sap/m/HBox","sap/m/Button","sap/m/FlexItemData","sap/ui/dt/OverlayRegistry","sap/ui/dt/DOMUtil","sap/ui/Device","sap/ui/dom/jquery/rect"],function(q,M,D,m,P,V,H,B,F,O,a,b){"use strict";var c=m.PlacementType;var C=M.extend("sap.ui.dt.ContextMenuControl",{metadata:{properties:{maxButtonsDisplayed:{type:"int",defaultValue:4},buttons:{type:"object[]",defaultValue:[]},styleClass:{type:"string",defaultValue:""}},events:{Opened:{},Closed:{},OverflowButtonPressed:{}}},init:function(){var p=this.getId()+"-popover";var o=new P(p,{showHeader:false,verticalScrolling:false,placement:"Top",showArrow:true,horizontalScrolling:false,content:new H(p+"ContentBox",{renderType:"Bare"})});o._getAnimationDuration=function(){return 0;};o.attachBrowserEvent("keydown",this._onKeyDown,this);this._oPopover=o;o.addStyleClass("sapUiDtContextMenu");var s=this.getId()+"-popoverExp";var d=new P(s,{showHeader:false,showArrow:false,verticalScrolling:true,horizontalScrolling:false,content:new V(s+"ContentBox",{renderType:"Bare"})});d._getAnimationDuration=function(){return 0;};d.attachBrowserEvent("keydown",this._onKeyDown,this);this._oExpandedPopover=d;d.addStyleClass("sapUiDtContextMenu");o.attachBrowserEvent("contextmenu",this._onContextMenu,this);d.attachBrowserEvent("contextmenu",this._onContextMenu,this);this.bOnInit=true;this._oLastSourceOverlay=this._oLastSourceClientRects=this._oLastPosition=null;},exit:function(){[true,false].forEach(function(d){this.getPopover(d).detachBrowserEvent("contextmenu",this._onContextMenu,this);this.getPopover(d).destroy();}.bind(this));},isPopupOpen:function(d){return this.getPopover(d).isOpen();},show:function(s,d,o){d=!!d;this._bCompactMode=q(s.getDomRef()).closest(".sapUiSizeCompact").length>0;this._bOpenAsContextMenu=d;this._oContextMenuPosition=o;this.getPopover(true).addStyleClass(this.getStyleClass());this.getPopover(false).addStyleClass(this.getStyleClass());this._showButtons(d);if(this.bOnInit||!this.isPopupOpen()){this._finalizeOpening(s);this.bOnInit=false;}else{this.getPopover().oPopup.attachEventOnce("closed",this._finalizeOpening.bind(this,s));}},_finalizeOpening:function(s){this._bUseExpPop=this._bOpenAsContextMenu;if(this._bOpenAsContextMenu&&this._oContextMenuPosition.x===null&&this._oContextMenuPosition.y===null){this._bOpenAsContextMenu=false;}this.getPopover().attachAfterOpen(this._handleAfterOpen,this);this.getPopover().attachBeforeClose(this._handleBeforeClose,this);this.getPopover().attachAfterClose(this._handleAfterClose,this);this._oTarget=this._placeContextMenu(s,this._bOpenAsContextMenu);this.getPopover().setVisible(true);},_showButtons:function(d){var e=this.getButtons(d);if(!this._bOpenAsContextMenu){this._setButtonsForCollapsedMenu(e);}else{this._makeAllButtonsVisible(e);}},_setButtonsForCollapsedMenu:function(d){var i=this._getNumberOfEnabledButtons(d);if(i!==0){this._hideDisabledButtons(d);}this._iButtonsVisible=this._hideButtonsInOverflow(d);if(this._iButtonsVisible===this.getMaxButtonsDisplayed()&&this._iButtonsVisible!==d.length){this._replaceLastVisibleButtonWithOverflowButton(d);}else if(i<d.length-1&&i!==0){this.addOverflowButton();}i=null;},_makeAllButtonsVisible:function(d){this._iFirstVisibleButtonIndex=0;d.forEach(function(o){o.setVisible(true);o._bInOverflow=true;});},_getNumberOfEnabledButtons:function(d){var e=0;for(var i=0;i<d.length;i++){if(d[i].getEnabled()){e++;if(!this._iFirstVisibleButtonIndex){this._iFirstVisibleButtonIndex=i;}}}return e;},_hideDisabledButtons:function(d){var v=0;d.forEach(function(o){o.setVisible(o.getEnabled());if(o.getEnabled()){v++;}});return v;},_hideButtonsInOverflow:function(d){var v=0;for(var i=0;i<d.length;i++){if(v<this.getMaxButtonsDisplayed()&&d[i].getVisible()){v++;}else{d[i].setVisible(false);}}return v;},_replaceLastVisibleButtonWithOverflowButton:function(d){for(var i=d.length-1;i>=0;i--){if(d[i].getVisible()){d[i].setVisible(false);this.addOverflowButton();return;}}},_placeContextMenu:function(s,d){var o=(s.getId&&s.getId())||s.getAttribute("overlay");var f="contextMenuFakeDiv";var e=this._getOverlayDimensions(o);var v=this._getViewportDimensions();var i=e.top-50>v.top?0:v.top-(e.top-50);q("#"+f).remove();q("#"+o).append("<div id=\""+f+"\" overlay=\""+o+"\" style = \"position: absolute; top: "+i+"px; left: 0px;\"></div>");o=null;var g=document.getElementById(f);this.getPopover().setContentWidth(undefined);this.getPopover().setContentHeight(undefined);this.getPopover().openBy(g);var p=this._getPopoverDimensions(!d);if(p.height>=v.height*2/3){p.height=(v.height*2/3).toFixed(0);this.getPopover().setContentHeight(p.height+"px");}if(p.width>400){p.width=400;this.getPopover().setContentWidth("400px");}else{this.getPopover().setContentWidth(undefined);}var I=(this._oLastSourceOverlay?this._oLastSourceOverlay===s:false);var h=(this._oLastSourceClientRects?D(JSON.parse(JSON.stringify(this._oLastSourceClientRects)),JSON.parse(JSON.stringify(s.getDomRef().getClientRects()))):false);if(this._oContextMenuPosition.x==="not set"&&this._oContextMenuPosition.y==="not set"&&I&&h){this._oContextMenuPosition.x=this._oLastPosition.x;this._oContextMenuPosition.y=this._oLastPosition.y;}else{this._oContextMenuPosition.x=this._oContextMenuPosition.x||parseInt(e.left+20);this._oContextMenuPosition.y=this._oContextMenuPosition.y||parseInt(e.top+20);}var j={};if(d){j=this._placeAsExpandedContextMenu(this._oContextMenuPosition,p,v);}else{j=this._placeAsCompactContextMenu(this._oContextMenuPosition,p,v);}j.top-=e.top;j.left-=e.left;j.top=(j.top<0)?0:j.top;j.left=(j.left<0)?0:j.left;g.style.top=j.top.toFixed(0)+"px";g.style.left=j.left.toFixed(0)+"px";return g;},_placeAsExpandedContextMenu:function(o,p,v){this.getPopover().setShowArrow(false);var d={};if(v.height-10-o.y>=p.height){d.top=o.y;this.getPopover().setPlacement("Bottom");}else if(o.y>=p.height){d.top=o.y;this.getPopover().setPlacement("Top");}else{d.top=v.height-p.height;this.getPopover().setPlacement("Bottom");}if(v.width-o.x>=p.width){d.left=o.x;}else if(o.x>=p.width){d.left=o.x-p.width/2;}else{d.left=v.width-p.width;}return d;},_placeAsCompactContextMenu:function(o,p,v){this.getPopover().setShowArrow(true);var d={};this.getPopover().setPlacement(c.PreferredTopOrFlip);var i=p.width/this._iButtonsVisible;var f=sap.ui.getCore().getConfiguration().getRTL()?-1:1;d.left=o.x+(f*((this._iButtonsVisible-1)*i)/2+(this._getBaseFontSize()*1/2));d.top=o.y-(this._getBaseFontSize()*1/2);d.left=(d.left<32)?32:d.left;d.top=(d.top-v.top<0)?v.top:d.top;if(v.width-d.left<32){d.left=v.width-32;this.getPopover().addStyleClass("sapUiDtContextMenuRightArrow");}else{this.getPopover().removeStyleClass("sapUiDtContextMenuRightArrow");}var e=this._bCompactMode?0:15;if(d.top<(100+e)){this.getPopover().setPlacement(c.Bottom);d.top+=16;}return d;},_getPopoverDimensions:function(w){var p={};var d=this._bCompactMode;var A=this._getArrowHeight(d);var i=this._getBaseFontSize();this._iFirstVisibleButtonIndex=null;p.height=parseInt(q("#"+this.getPopover().getId()).css("height"))||40;p.width=parseInt(q("#"+this.getPopover().getId()).css("width"))||80;if(w){var e=i*A;if(e){p.height+=e;p.width+=e;}}return p;},_getArrowHeight:function(d){if(b.browser.msie||b.browser.edge){return d?0.5:0.5;}return d?0.5625:0.5625;},_getBaseFontSize:function(){return parseInt(q(document.documentElement).css("fontSize"));},_getOverlayDimensions:function(o){var d=q("#"+o).rect();d.right=d.left+d.width;d.bottom=d.top+d.height;return d;},_getViewportDimensions:function(){var v={};v.width=window.innerWidth;v.height=window.innerHeight;v.top=parseInt(q(".type_standalone").css("height"))||0;v.bottom=v.top+v.height;return v;},_getIcon:function(i){if(i===undefined||i===null||typeof i!=="string"){return"sap-icon://incident";}if(i==="blank"){return" ";}return i;},addOverflowButton:function(){var o="OVERFLOW_BUTTON";var d={icon:"sap-icon://overflow",type:"Transparent",enabled:true,press:this._onOverflowPress.bind(this),layoutData:new F({})};return this._addButton(o,d);},addMenuButton:function(o,f,e){function h(){f(this);}if(o.responsible){e=o.responsible;}var t=typeof o.text==="function"?o.text(e[0]):o.text;var E=typeof o.enabled==="function"?o.enabled(e):o.enabled;var d={icon:this._getIcon(o.icon),text:t,tooltip:t,type:"Transparent",enabled:E,press:h,layoutData:new F({})};return this._addButton(o.id,d);},_addButton:function(s,o){this.setProperty("buttons",this.getProperty("buttons").concat(o));var d={id:s,key:s};var e=new B(o);e.data(d);delete o.text;var f=new B(o);f.data(d);this.getFlexbox(true).addItem(e);this.getFlexbox(false).addItem(f);return this;},close:function(e){if(this.getPopover()){if(e){this.getPopover(true).close();this.getPopover(false).close();}if(this.getProperty("buttons").length>this.getProperty("maxButtonsDisplayed")){this.setProperty("buttons",this.getProperty("buttons").splice(0,this.getProperty("buttons").length-1));this.getFlexbox().removeItem(this.getButtons().length-1);}}return this;},removeButton:function(i){this.setProperty("buttons",this.getProperty("buttons").splice(i,1));this.getFlexbox(true).removeItem(i);return this.getFlexbox(false).removeItem(i);},removeAllButtons:function(){this.setProperty("buttons",[]);this.getFlexbox(true).removeAllItems();return this.getFlexbox(false).removeAllItems();},getButtons:function(d){return this.getFlexbox(d).getItems();},insertButton:function(o,i){this.getFlexbox().insertItem(o,i);return this;},setButtons:function(_,f,e){this.removeAllButtons();_.forEach(function(o){this.addMenuButton(o,f,e);}.bind(this));},setMaxButtonsDisplayed:function(i){if(i<2){throw Error("maxButtonsDisplayed can't be less than two!");}this.setProperty("maxButtonsDisplayed",i);},getPopover:function(e){if(e===undefined){if(this._bUseExpPop){return this._oExpandedPopover;}return this._oPopover;}else if(e){return this._oExpandedPopover;}return this._oPopover;},getFlexbox:function(e){return this.getPopover(e).getContent()[0];},_onOverflowPress:function(e){this.fireOverflowButtonPressed({oButton:e.oSource});},_setFocusOnButton:function(o){if(o.getEnabled()&&o.getVisible()){o.focus();return true;}},_onKeyDown:function(e){if(document.activeElement){var i=document.activeElement.id;switch(e.key){case"ArrowRight":this._changeFocusOnButtons(i);break;case"ArrowLeft":this._changeFocusOnButtons(i,true);break;case"ArrowUp":this._changeFocusOnButtons(i,true);break;case"ArrowDown":this._changeFocusOnButtons(i);break;case"Escape":this._rememberPosition();break;default:break;}}},_changeFocusOnButtons:function(i,p){this.getButtons().some(function(o,I,A){if(i===o.getId()){if(p){this._setFocusOnPreviousButton(A,I);}else{this._setFocusOnNextButton(A,I);}return true;}}.bind(this));},_rememberPosition:function(){var n=document.getElementById(this._oTarget.getAttribute("overlay"));if(n){a.focusWithoutScrolling(n);this._oLastSourceOverlay=O.getOverlay(n.id);this._oLastSourceClientRects=this._oLastSourceOverlay.getDomRef().getClientRects();}else{this._oLastSourceClientRects=null;}this._oLastPosition={x:this._oContextMenuPosition.x,y:this._oContextMenuPosition.y};},_setFocusOnNextButton:function(d,i){for(var e=i+1;e<d.length;e++){if(this._setFocusOnButton(d[e])){return;}}for(var f=0;f<i;f++){if(this._setFocusOnButton(d[f])){return;}}},_setFocusOnPreviousButton:function(d,i){for(var e=i-1;e>=0;e--){if(this._setFocusOnButton(d[e])){return;}}for(var f=d.length-1;f>=i;f--){if(this._setFocusOnButton(d[f])){return;}}},_onContextMenu:function(e){if(e.preventDefault){e.preventDefault();}},_handleAfterOpen:function(){this.getPopover().detachAfterOpen(this._handleAfterOpen,this);this.getPopover().addStyleClass("sapUiDtContextMenuVisible");this.fireOpened();},_handleBeforeClose:function(){this.getPopover().detachBeforeClose(this._handleBeforeClose,this);this.getPopover().removeStyleClass("sapUiDtContextMenuVisible");},_handleAfterClose:function(){this.getPopover().detachAfterClose(this._handleAfterClose,this);this.fireClosed();},setStyleClass:function(s){this.setProperty("styleClass",s);}});return C;});
