/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/fl/registry/Settings","sap/ui/fl/ChangePersistenceFactory","sap/ui/fl/write/_internal/Storage","sap/base/util/UriParameters","sap/ui/model/json/JSONModel","sap/ui/fl/Utils","sap/ui/model/BindingMode"],function(S,C,a,U,J,b,B){"use strict";var _={};var M=9;var c=M+1;function d(p,v,h){var i=g(h);var n=sap.ui.fl.Versions.Original;h.forEach(function(o){if(o.version===sap.ui.fl.Versions.Draft){o.type="draft";}else if(n===sap.ui.fl.Versions.Original){o.type="active";n=o.version;}else{o.type="inactive";}});var s=U.fromQuery(window.location.search).get("sap-ui-xx-versionSwitchActive");var j=false;if(s&&(s!=="false")){j=true;}var m=new J({versioningEnabled:v,versions:h,activeVersion:n,backendDraft:i,dirtyChanges:false,draftAvailable:i,switchVersionsActive:j});m.setDefaultBindingMode(B.OneWay);m.setSizeLimit(M);m.setDirtyChanges=function(D){m.setProperty("/dirtyChanges",D);m.updateDraftVersion();m.updateBindings(true);};m.updateDraftVersion=function(){var h=m.getProperty("/versions");var v=m.getProperty("/versioningEnabled");var D=m.getProperty("/dirtyChanges");var i=m.getProperty("/backendDraft");var k=v&&(D||i);m.setProperty("/draftAvailable",k);if(!g(h)&&k){h.splice(0,0,{version:sap.ui.fl.Versions.Draft,type:"draft"});m.updateBindings(true);}if(g(h)&&!k){h.shift();m.updateBindings(true);}};return m;}function e(p,D){var h=[];var i=D.changePersistences;i.forEach(function(o){h=o.getDirtyChanges().concat();h.forEach(function(j){o.deleteChange(j,true);});});return h.length>0;}function f(p){var D={dirtyChangesExist:false,changePersistences:[]};if(p.reference){var o=C.getChangePersistenceForComponent(p.reference,p.appVersion);if(o.getDirtyChanges().length>0){D.dirtyChangesExist=true;D.changePersistences.push(o);}}if(p.nonNormalizedReference){var h=C.getChangePersistenceForComponent(p.nonNormalizedReference,p.appVersion);if(h.getDirtyChanges().length>0){D.dirtyChangesExist=true;D.changePersistences.push(h);}}return D;}function g(v){return v.some(function(o){return o.version===sap.ui.fl.Versions.Draft;});}var V={};V.initialize=function(p){var r=p.reference;var l=p.layer;p.limit=c;return S.getInstance().then(function(s){var v=s.isVersioningEnabled(l);var h=v?a.versions.load(p):Promise.resolve([]);return h.then(function(i){_[r]=_[r]||{};_[r][l]=_[r][l]||{};_[r][l]=d(p,v,i);return _[r][l];});});};V.getVersionsModel=function(p){var r=p.reference;var l=p.layer;if(!_[r]||!_[r][l]){throw Error("Versions Model for reference '"+r+"' and layer '"+l+"' were not initialized.");}var D=f(p);if(D.dirtyChangesExist){_[r][l].updateDraftVersion(p);}return _[r][l];};V.clearInstances=function(){_={};};V.onAllChangesSaved=function(p){p.reference=b.normalizeReference(p.reference);var m=V.getVersionsModel(p);var v=m.getProperty("/versioningEnabled");var D=m.getProperty("/dirtyChanges");m.setProperty("/dirtyChanges",true);m.setProperty("/backendDraft",v&&D);m.updateDraftVersion();};V.activateDraft=function(p){var m=V.getVersionsModel(p);var v=m.getProperty("/versions");var D=g(v);if(!D){return Promise.reject("No draft exists");}var s=[];if(m.getProperty("/dirtyChanges")){var o=f(p);var h=o.changePersistences;s=h.map(function(i){return i.saveDirtyChanges(p.appComponent,false,undefined,true);});}return Promise.all(s).then(a.versions.activate.bind(undefined,p)).then(function(i){v.forEach(function(j){j.type="inactive";});i.type="active";v.shift();v.splice(0,0,i);m.setProperty("/backendDraft",false);m.setProperty("/dirtyChanges",false);m.setProperty("/draftAvailable",false);m.setProperty("/activeVersion",i.version);m.updateBindings(true);});};V.discardDraft=function(p){var m=V.getVersionsModel(p);var v=m.getProperty("/versions");var D=f(p);var h=m.getProperty("/backendDraft");var o=h?a.versions.discardDraft(p):Promise.resolve();return o.then(function(){v.shift();m.setProperty("/backendDraft",false);m.setProperty("/dirtyChanges",false);m.setProperty("/draftAvailable",false);m.updateBindings(true);var i=e(p,D);return{backendChangesDiscarded:h,dirtyChangesDiscarded:i};});};return V;});
