/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/util/restricted/_CancelablePromise","sap/base/util/restricted/_isEqual","sap/base/util/restricted/_omit","sap/base/util/restricted/_toArray","sap/base/util/deepEqual","sap/base/util/each","sap/base/util/merge","sap/base/util/deepClone","sap/base/util/ObjectPath","sap/ui/integration/designtime/baseEditor/BaseEditor","sap/ui/integration/util/CardMerger","sap/ui/thirdparty/jquery","./config/index"],function(C,_,a,b,d,e,m,c,O,B,f,q,D){"use strict";var g=B.extend("sap.ui.integration.designtime.cardEditor.CardEditor",{metadata:{properties:{layout:{type:"string",defaultValue:"form"},designtimeChanges:{type:"array",defaultValue:[]}}},constructor:function(p){p=p||{};B.prototype.constructor.apply(this,arguments);if(!p["config"]){this.addConfig(D,true);}},renderer:B.getMetadata().getRenderer()});function h(o,l,n,K,v){if(!o[l]){o[l]={};}if(!o[l][n]){o[l][n]={};}o[l][n][K]=v;}function i(J,I){var n="sap.card";var o=O.get([n,"configuration"],J);var l=O.get([n,"configuration"],I);if(d(o,l)){return undefined;}var p={};e(o,function(r,u){e(u,function(N,S){if(!l[r][N]){p[r]=p[r]||{};p[r][N]=S;}else{e(S,function(K,v){if(l[r][N][K]!==v){h(p,r,N,K,v);}});}});});return{configuration:p};}g.prototype.init=function(){B.prototype.init.apply(this,arguments);this.attachJsonChange(function(E){if(!this._oInitialJson){this._oInitialJson=E.getParameter("json");}},this);};g.prototype.setJson=function(){B.prototype.setJson.apply(this,arguments);var J=this.getJson();var l=O.get(["sap.app","id"],J);if(this._bDesigntimeInit&&this._bCardId!==l){if(this._oDesigntimePromise){this._oDesigntimePromise.cancel();}delete this._bCardId;delete this._bDesigntimeInit;}if(!this._bDesigntimeInit){this._bDesigntimeInit=true;this._bCardId=l;var n=s(O.get(["sap.card","designtime"],J)||"");var o=s(O.get(["baseURL"],J)||"");if(o&&n){var p={};var S=s(o);p[l]=S;sap.ui.loader.config({paths:p});var r=t(n);var u=l+"/"+r;var E=u+"/editor.config";var v=S+"/"+r+"/metadata.json";this._oDesigntimePromise=new C(function(R){Promise.all([new Promise(function(w){sap.ui.require([E],w,function(){return{};});}),new Promise(function(w){q.getJSON(v).done(w).fail(function(){w({});});})]).then(R);});this._oDesigntimePromise.then(function(w){var x=m({},w[0]);x.i18n=b(x.i18n);x.i18n.push(u+"/i18n.properties");this._addSpecificConfig(m({},x));var y=w[1];y=f.mergeCardDesigntimeMetadata(y,this.getDesigntimeChanges());this._oInitialDesigntimeMetadata=y;this.setDesigntimeMetadata(j(y),true);}.bind(this));}}};g.prototype.setDesigntimeChanges=function(l){if(this._oInitialDesigntimeMetadata){throw Error("Designtime Changes can only be set initially");}this.setProperty("designtimeChanges",l);};function j(F){var o={};Object.keys(F).forEach(function(p){O.set(p.split("/"),{__value:c(F[p])},o);});return o;}function s(p){return p.trim().replace(/\/*$/,"");}function t(p){return p.replace(/^\.\//,"");}g.prototype.getChanges=function(p){return Promise.all([this.getDeltaChangeDefinition(p).catch(function(){return;}),this.getDesigntimeChangeDefinition(p).catch(function(){return;})]).then(function(l){if(l[0]===undefined&&l[1]===undefined){return Promise.reject("No changes");}return{runtimeChange:l[0],designtimeChange:l[1]};});};function k(p){return new Promise(function(r){sap.ui.require(["sap/ui/fl/Change"],function(l){var o=l.createInitialFileContent(p);o.creation=new Date().toISOString();r(o);});});}g.prototype.getDesigntimeChangeDefinition=function(p){var l=[];var o=Object.assign({},this._oInitialDesigntimeMetadata);var n=this._formatExportedDesigntimeMetadata(this.getDesigntimeMetadata());e(n,function(K,v){if(o.hasOwnProperty(K)){if(!_(o[K],v)){l.push({propertyPath:K,operation:"UPDATE",propertyValue:v});}delete o[K];}else{l.push({propertyPath:K,operation:"INSERT",propertyValue:v});}});e(o,function(K){l.push({propertyPath:K,operation:"DELETE"});});if(!l.length){return Promise.reject("No Change");}this._oInitialDesigntimeMetadata=n;var r=this.getJson();var P=m({},a(p,["oldValue","newValue"]));P.content={entityPropertyChange:l};P.changeType="appdescr_card_designtime";P.generator="CardEditor";P.selector={};P.reference=O.get(["sap.app","id"],r);return k(P);};g.prototype.getDeltaChangeDefinition=function(p){var o=this.getJson();var P=m({},p);P.content=i(o,this._oInitialJson);if(!P.content){return Promise.reject("No Change");}this._oInitialJson=o;P.changeType=o.hasOwnProperty("sap.card")?"appdescr_card":"appdescr_widget";P.generator="CardEditor";P.selector={};P.reference=O.get(["sap.app","id"],o);return k(P);};return g;});
