/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/mdc/filterbar/p13n/GroupContainer","sap/ui/mdc/filterbar/p13n/FilterGroupLayout","sap/ui/mdc/filterbar/p13n/TableContainer","sap/ui/mdc/filterbar/p13n/FilterColumnLayout","sap/ui/mdc/filterbar/FilterBarBase","sap/ui/mdc/filterbar/FilterBarBaseRenderer","sap/ui/fl/apply/api/FlexRuntimeInfoAPI","sap/m/Toolbar","sap/m/ToolbarSpacer"],function(G,F,T,a,b,c,d,e,f){"use strict";var A=b.extend("sap.ui.mdc.filterbar.p13n.AdaptationFilterBar",{metadata:{properties:{adaptationControl:{type:"object"},advancedMode:{type:"boolean",defaultValue:true}},events:{change:{}}},renderer:c});A.prototype.init=function(){b.prototype.init.apply(this,arguments);this._bPersistValues=true;};A.prototype.setLiveMode=function(l,s){b.prototype.setLiveMode.apply(this,arguments);if(l){this._createGoToolbar();}else{this._oConditionModel.detachPropertyChange(this._handleConditionModelPropertyChange,this);}var o=function(E){var C=E.getParameter("container");C.removeAllContent();if(!l){this._handleModal(E.getParameter("reason"));}if(this.getAdvancedMode()){this._executeRequestedRemoves();}this.getAdaptationController().detachAfterP13nContainerCloses(o);}.bind(this);this.getAdaptationControl()._oAdaptationController.attachEvent("afterP13nContainerCloses",o);return this;};A.prototype._handleModal=function(C){var g=C==="Ok";if(g){var m=this._getModelConditions(this._getConditionModel(),false,true);if(this._bPersistValues){this.getAdaptationController().createConditionChanges(m);}else{this.getAdaptationControl()._setXConditions(m,true);}}else{this._setXConditions(this.getAdaptationControl().getFilterConditions(),true);}};A.prototype._createGoToolbar=function(){if(!this._btnSearch){var s=this._getSearchButton();s.attachPress(function(){this.getAdaptationControl().triggerSearch();}.bind(this));this._oFilterBarLayout.getInner().setFooterToolbar(new e({content:[new f(),this._getSearchButton()]}));}};A.prototype.setP13nModel=function(p){this.oAdaptationModel=p;};A.prototype._getWaitForChangesPromise=function(){return d.waitForChanges({element:this.getAdaptationControl()});};A.prototype.getAdaptationController=function(){return this.getAdaptationControl().getAdaptationController();};A.prototype.retrieveAdaptationController=function(){return this.getAdaptationControl().retrieveAdaptationController();};A.prototype.applyConditionsAfterChangesApplied=function(){b.prototype.applyConditionsAfterChangesApplied.apply(this,arguments);this.triggerSearch();};A.prototype.initialized=function(){var p=this.getAdaptationControl().awaitControlDelegate().then(function(P){return P.fetchProperties(this.getAdaptationControl()).then(function(g){return g;});}.bind(this));return Promise.all([p,b.prototype.initialized.apply(this,arguments)]).then(function(r){var P=r[0];this._aProperties=P;}.bind(this));};A.prototype.createFilterFields=function(){return new Promise(function(r,g){this.initialized().then(function(){var C=this._bPersistValues?this.getAdaptationControl().getFilterConditions():this.getAdaptationControl()._getXConditions();this._setXConditions(C,true);if(this._bFilterFieldsCreated){r(this);return;}var D=this.getAdaptationControl().getControlDelegate();this.mOriginalsForClone={};this.oAdaptationModel.getProperty("/items").forEach(function(i,I){var o;if(this.getAdvancedMode()){o=this._checkExisting(i,D);}else{o=D.getFilterDelegate().addFilterItem(i,this.getAdaptationControl());}o.then(function(h){var j;if(this.getAdvancedMode()){if(h._bTemporaryOriginal){delete o._bTemporaryOriginal;this.mOriginalsForClone[h.getFieldPath()]=h;}j=h.clone();}else{j=h;}this.addAggregation("filterItems",j);if(I==this.oAdaptationModel.getProperty("/items").length-1){if(this._oFilterBarLayout.getInner().setP13nModel){this._oFilterBarLayout.getInner().setP13nModel(this.oAdaptationModel);}this._bFilterFieldsCreated=true;r(this);}}.bind(this));}.bind(this));}.bind(this));}.bind(this));};A.prototype._checkExisting=function(i,D){var o;var E=this.getAdaptationControl().getFilterItems().reduce(function(m,g){m[g.getFieldPath()]=g;return m;},{});if(E[i.name]){o=Promise.resolve(E[i.name]);}else{o=D.addItem(i.name,this.getAdaptationControl()).then(function(g){g._bTemporaryOriginal=true;return g;});}return o;};A.prototype._executeRequestedRemoves=function(){var E=this._oFilterBarLayout.getInner().getSelectedFields();Object.keys(this.mOriginalsForClone).forEach(function(k){var D=this.getAdaptationControl().getControlDelegate();if(E.indexOf(k)<0){D.removeItem.call(D,k,this.getAdaptationControl());}delete this.mOriginalsForClone[k];}.bind(this));};A.prototype.setAdvancedMode=function(g,s){this.setProperty("advancedMode",g,s);this._createInnerLayout();return this;};A.prototype._createInnerLayout=function(){this._cLayoutItem=this.getAdvancedMode()?F:a;this._oFilterBarLayout=this.getAdvancedMode()?new G():new T();this._oFilterBarLayout.getInner().setParent(this);this.setAggregation("layout",this._oFilterBarLayout,true);this.addStyleClass("sapUIAdaptationFilterBar");if(this._oFilterBarLayout.getInner().attachChange){this._oFilterBarLayout.getInner().attachChange(function(){this.fireChange();}.bind(this));}};A.prototype.exit=function(){b.prototype.exit.apply(this,arguments);this.oAdaptationModel=null;};return A;});
