/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Element","sap/ui/model/Sorter","sap/ui/Device","../library","sap/ui/thirdparty/jquery"],function(E,S,D,l,q){"use strict";var G={TableUtils:null,clearMode:function(t){t._mode=null;},setGroupMode:function(t){t._mode="Group";},isGroupMode:function(t){return t?t._mode==="Group":false;},setTreeMode:function(t){t._mode="Tree";},isTreeMode:function(t){return t?t._mode==="Tree":false;},getModeCssClass:function(t){switch(t._mode){case"Group":return"sapUiTableGroupMode";case"Tree":return"sapUiTableTreeMode";default:return null;}},showGroupMenuButton:function(t){return!D.system.desktop&&G.TableUtils.isA(t,"sap.ui.table.AnalyticalTable");},toggleGroupHeader:function(t,r,e){var I=[];var B=t?t.getBinding("rows"):null;if(!t||!B||!B.expand||r==null){return null;}if(typeof r==="number"){I=[r];}else if(Array.isArray(r)){if(e==null&&r.length>1){return null;}I=r;}var T=t._getTotalRowCount();var v=I.filter(function(a){var b=B.isExpanded(a);var c=true;if(B.nodeHasChildren){if(B.getNodeByIndex){c=!B.nodeHasChildren(B.getNodeByIndex(a));}else{c=false;}}return a>=0&&a<T&&!c&&e!==b;}).sort(function(a,b){return a-b;});if(v.length===0){return null;}for(var i=v.length-1;i>0;i--){if(e){B.expand(v[i],true);}else{B.collapse(v[i],true);}}if(e===true){B.expand(v[0],false);}else if(e===false){B.collapse(v[0],false);}else{B.toggleIndex(v[0]);}return B.isExpanded(v[0]);},toggleGroupHeaderByRef:function(t,r,e){var c=G.TableUtils.getCell(t,r);var C=G.TableUtils.getCellInfo(c);var R=t.getRows()[C.rowIndex];var b=t.getBinding("rows");if(R&&R.isExpandable()&&b){var a=R.getIndex();var i=G.toggleGroupHeader(t,a,e);var d=i===true||i===false;if(d&&t._onGroupHeaderChanged){t._onGroupHeaderChanged(a,i);}return d;}return false;},isInGroupHeaderRow:function(c){var i=G.TableUtils.getCellInfo(c);if(i.isOfType(G.TableUtils.CELLTYPE.ANYCONTENTCELL)){return i.cell.parent().hasClass("sapUiTableGroupHeaderRow");}return false;},isInSummaryRow:function(c){var i=G.TableUtils.getCellInfo(c);if(i.isOfType(G.TableUtils.CELLTYPE.ANYCONTENTCELL)){return i.cell.parent().hasClass("sapUiTableSummaryRow");}return false;},calcGroupIndent:function(r){var L=r.getLevel();var I=0;for(var i=1;i<L;i++){I+=i<=2?12:8;}return I;},calcTreeIndent:function(r){return(r.getLevel()-1)*17;},setGroupIndent:function(r,i){var d=r.getDomRefs(true);var R=d.row;var $=d.rowHeaderPart;var b=r.getTable()._bRtlMode;var f=R.find("td.sapUiTableCellFirst > .sapUiTableCellInner");var s=$.find(".sapUiTableGroupShield");if(i<=0){$.css(b?"right":"left","");s.css("width","").css(b?"margin-right":"margin-left","");f.css(b?"padding-right":"padding-left","");}else{$.css(b?"right":"left",i+"px");s.css("width",i+"px").css(b?"margin-right":"margin-left",((-1)*i)+"px");f.css(b?"padding-right":"padding-left",(i+8)+"px");}},setTreeIndent:function(r,i){var d=r.getDomRefs(true);var R=d.row;var b=r.getTable()._bRtlMode;var t=R.find(".sapUiTableTreeIcon");t.css(b?"margin-right":"margin-left",i>0?i+"px":"");},updateTableRowForGrouping:function(r){var t=r.getTable();var d=r.getDomRefs(true);var R=d.row;var L=r.getLevel();var i=r.isExpanded();var I=r.isExpandable();R.attr({"data-sap-ui-level":L}).data("sap-ui-level",L).toggleClass("sapUiTableSummaryRow",r.isSummary()).toggleClass("sapUiTableGroupHeaderRow",r.isGroupHeader());if(G.isGroupMode(t)){var T=r.getTitle();var a=G.calcGroupIndent(r);r.$("groupHeader").toggleClass("sapUiTableGroupIconOpen",I&&i).toggleClass("sapUiTableGroupIconClosed",I&&!i).attr("title",t._getShowStandardTooltips()&&T?T:null).text(T);G.setGroupIndent(r,a);R.toggleClass("sapUiTableRowIndented",a>0);}if(G.isTreeMode(t)){var $=R.find(".sapUiTableTreeIcon");$.toggleClass("sapUiTableTreeIconLeaf",!I).toggleClass("sapUiTableTreeIconNodeOpen",I&&i).toggleClass("sapUiTableTreeIconNodeClosed",I&&!i);G.setTreeIndent(r,G.calcTreeIndent(r));}if(G.showGroupMenuButton(t)){var b=d.rowHeaderPart;var s=0;var c=t.$();if(c.hasClass("sapUiTableVScr")){s+=c.find(".sapUiTableVSb").width();}var g=b.find(".sapUiTableGroupMenuButton");if(t._bRtlMode){g.css("right",(c.width()-g.width()+b.position().left-s-5)+"px");}else{g.css("left",(c.width()-g.width()-b.position().left-s-5)+"px");}}t._getAccExtension().updateAriaExpandAndLevelState(r);},cleanupTableRowForGrouping:function(r){var t=r.getTable();var d=r.getDomRefs(true);d.row.removeAttr("data-sap-ui-level");d.row.removeData("sap-ui-level");if(G.isGroupMode(t)){d.row.removeClass("sapUiTableGroupHeaderRow sapUiTableSummaryRow sapUiTableRowIndented");r.$("groupHeader").removeClass("sapUiTableGroupIconOpen","sapUiTableGroupIconClosed").attr("title","").text("");G.setGroupIndent(r,0);}if(G.isTreeMode(t)){d.row.find(".sapUiTableTreeIcon").removeClass("sapUiTableTreeIconLeaf").removeClass("sapUiTableTreeIconNodeOpen").removeClass("sapUiTableTreeIconNodeClosed");G.setTreeIndent(r,0);}t._getAccExtension().updateAriaExpandAndLevelState(r);},updateGroups:function(t){if(G.isGroupMode(t)||G.isTreeMode(t)){var b=t.getBinding("rows");if(b){t.getRows().forEach(function(r){G.updateTableRowForGrouping(r);});}else{t.getRows().forEach(function(r){G.cleanupTableRowForGrouping(r);});}}},setupExperimentalGrouping:function(t){if(!t.getEnableGrouping()){return;}var b=E.prototype.getBinding.call(t,"rows");var g=sap.ui.getCore().byId(t.getGroupBy());var I=g&&g.getGrouped()&&G.TableUtils.isA(b,"sap.ui.model.ClientListBinding");if(!I||b._modified){return;}b._modified=true;G.setGroupMode(t);var p=g.getSortProperty();b.sort(new S(p));var L=t._getTotalRowCount(),c=b.getContexts(0,L);var k;var C=0;for(var i=L-1;i>=0;i--){var n=c[i].getProperty(p);if(!k){k=n;}if(k!==n){var o=c[i+1].getModel().getContext("/sap.ui.table.GroupInfo"+i);o.__groupInfo={oContext:c[i+1],name:k,count:C,groupHeader:true,expanded:true};c.splice(i+1,0,o);k=n;C=0;}C++;}var o=c[0].getModel().getContext("/sap.ui.table.GroupInfo");o.__groupInfo={oContext:c[0],name:k,count:C,groupHeader:true,expanded:true};c.splice(0,0,o);q.extend(b,{getLength:function(){return c.length;},getContexts:function(s,L){return c.slice(s,s+L);},isGroupHeader:function(a){var d=c[a];return(d&&d.__groupInfo&&d.__groupInfo.groupHeader)===true;},getTitle:function(a){var d=c[a];return d&&d.__groupInfo&&d.__groupInfo.name+" - "+d.__groupInfo.count;},isExpanded:function(a){var d=c[a];return this.isGroupHeader(a)&&d.__groupInfo&&d.__groupInfo.expanded;},expand:function(a){if(this.isGroupHeader(a)&&!c[a].__groupInfo.expanded){for(var i=0;i<c[a].__childs.length;i++){c.splice(a+1+i,0,c[a].__childs[i]);}delete c[a].__childs;c[a].__groupInfo.expanded=true;this._fireChange();}},collapse:function(a){if(this.isGroupHeader(a)&&c[a].__groupInfo.expanded){c[a].__childs=c.splice(a+1,c[a].__groupInfo.count);c[a].__groupInfo.expanded=false;this._fireChange();}},toggleIndex:function(a){if(this.isExpanded(a)){this.collapse(a);}else{this.expand(a);}},nodeHasChildren:function(a){if(!a||!a.__groupInfo){return false;}else{return a.__groupInfo.groupHeader===true;}},getNodeByIndex:function(a){return c[a];}});t._experimentalGroupingRowState=function(s){var a=s.context;if((a&&a.__groupInfo&&a.__groupInfo.groupHeader)===true){s.type=s.Type.GroupHeader;}s.title=a&&a.__groupInfo&&a.__groupInfo.name+" - "+a.__groupInfo.count;s.expandable=s.type===s.Type.GroupHeader;s.expanded=s.expandable&&a.__groupInfo&&a.__groupInfo.expanded;s.level=s.expandable?1:2;s.contentHidden=s.expandable;};G.TableUtils.Hook.register(t,G.TableUtils.Hook.Keys.Row.UpdateState,t._experimentalGroupingRowState,t);t._mTimeouts.groupingFireBindingChange=t._mTimeouts.groupingFireBindingChange||window.setTimeout(function(){b._fireChange();},0);},resetExperimentalGrouping:function(t){var b=t.getBinding("rows");if(b&&b._modified){G.clearMode(t);var B=t.getBindingInfo("rows");t.unbindRows();t.bindRows(B);}G.TableUtils.Hook.deregister(t,G.TableUtils.Hook.Keys.Row.UpdateState,t._experimentalGroupingRowState,t);}};return G;},true);
