/*!
* OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
*/
sap.ui.define(['sap/ui/test/Opa','sap/ui/test/OpaPlugin','sap/ui/test/PageObjectFactory','sap/ui/base/Object','sap/ui/test/launchers/iFrameLauncher','sap/ui/test/launchers/componentLauncher','sap/ui/core/routing/HashChanger','sap/ui/test/matchers/Matcher','sap/ui/test/matchers/AggregationFilled','sap/ui/test/matchers/PropertyStrictEquals','sap/ui/test/pipelines/ActionPipeline','sap/ui/test/_ParameterValidator','sap/ui/test/_OpaLogger','sap/ui/thirdparty/URI','sap/ui/base/EventProvider','sap/ui/qunit/QUnitUtils','sap/ui/test/autowaiter/_autoWaiter','sap/ui/dom/includeStylesheet','sap/ui/thirdparty/jquery','sap/ui/test/_OpaUriParameterParser',"sap/ui/test/_ValidationParameters"],function(O,a,P,U,f,c,H,M,A,b,d,_,e,g,E,Q,h,j,$,k,l){"use strict";var L=e.getLogger("sap.ui.test.Opa5"),o=new d(),F="OpaFrame",v=new _({errorPrefix:"sap.ui.test.Opa5#waitFor"}),C=Object.keys(l.OPA5_WAITFOR_CONFIG),p=Object.keys(l.OPA_WAITFOR),m=[],n=new E();var q=U.extend("sap.ui.test.Opa5",$.extend({},O.prototype,{constructor:function(){O.apply(this,arguments);}}));q._appUriParams=k._getAppParams();q._allUriParams=new g().search(true);q._oPlugin=new a();function s(){var i=this;var z={};var B=["source","timeout","autoWait","width","height"];if(arguments.length===1&&$.isPlainObject(arguments[0])){z=arguments[0];}else{var V=arguments;B.forEach(function(K,N){z[K]=V[N];});}if(z.source&&typeof z.source!=="string"){z.source=z.source.toString();}var D=new g(z.source?z.source:'');D.search($.extend(D.search(true),O.config.appParams));var G=u();G.success=function(){r({source:D.toString(),width:z.width||O.config.frameWidth,height:z.height||O.config.frameHeight});};this.waitFor(G);var I=u();I.check=f.hasLaunched;I.timeout=z.timeout||80;I.errorMessage="unable to load the IFrame with the url: "+z.source;i.waitFor(I);var J=u();J.success=function(){i._loadExtensions(f.getWindow());};this.waitFor(J);var W=u();W.autoWait=z.autoWait||false;W.timeout=z.timeout||80;return this.waitFor(W);}q.prototype.iStartMyUIComponent=function iStartMyUIComponent(i){var z=this;var B=false;i=i||{};var D=u();D.success=function(){var J=new g();J.search($.extend(J.search(true),O.config.appParams));window.history.replaceState({},"",J.toString());};this.waitFor(D);var S=u();S.success=function(){var J=sap.ui.require.toUrl("sap/ui/test/OpaCss")+".css";j(J);H.getInstance().setHash(i.hash||"");c.start(i.componentConfig).then(function(){B=true;});};this.waitFor(S);var G=u();G.errorMessage="Unable to load the component with the name: "+i.name;G.check=function(){return B;};if(i.timeout){G.timeout=i.timeout;}z.waitFor(G);var I=u();I.success=function(){z._loadExtensions(window);};this.waitFor(I);var W=u();W.autoWait=i.autoWait||false;W.timeout=i.timeout||80;return this.waitFor(W);};q.prototype.iTeardownMyUIComponent=function iTeardownMyUIComponent(){var i=u();i.success=function(){c.teardown();};var z=u();z.success=function(){var B=new g();B.search(q._allUriParams);window.history.replaceState({},"",B.toString());};return $.when(this.waitFor(i),this.waitFor(z));};q.prototype.iTeardownMyApp=function(){var i=this;var z=u();z.success=function(){i._unloadExtensions(q.getWindow());};var B=u();B.success=function(){if(f.hasLaunched()){this.iTeardownMyAppFrame();}else if(c.hasLaunched()){this.iTeardownMyUIComponent();}else{var D="A teardown was called but there was nothing to tear down use iStartMyComponent or iStartMyAppInAFrame";L.error(D,"Opa");throw new Error(D);}}.bind(this);return $.when(this.waitFor(z),this.waitFor(B));};q.iStartMyAppInAFrame=s;q.prototype.iStartMyAppInAFrame=s;function t(){var W=u();W.success=function(){f.teardown();};return this.waitFor(W);}q.iTeardownMyAppFrame=t;q.prototype.iTeardownMyAppFrame=t;q.prototype.hasAppStartedInAFrame=function(){return f.hasLaunched();};q.prototype.hasUIComponentStarted=function(){return c.hasLaunched();};q.prototype.hasAppStarted=function(){return f.hasLaunched()||c.hasLaunched();};q.prototype.waitFor=function(i){var z=w(i);var B=x(i,z);if(B){B.success=function(K){var T=Array.isArray(K)?K[0]:K;var V=y(i,z,T);return q.prototype.waitFor.call(this,V);};return q.prototype.waitFor.call(this,B);}var D=i.actions,G=O._createFilteredConfig(C),I;i=$.extend({},G,i);i.actions=D;v.validate({validationInfo:l.OPA5_WAITFOR,inputToValidate:i});var J=i.check,K=null,N=i.success,R,S;I=O._createFilteredOptions(p,i);I.check=function(){var T=!!i.actions||i.autoWait;var V=q._getAutoWaiter();V.extendConfig(i.autoWait);if(T&&V.hasToWait()){return false;}var W=q.getPlugin();var X=$.extend({},i,{interactable:T||i.interactable});R=W._getFilteredControls(X,K);if(f.hasLaunched()&&$.isArray(R)){var Y=[];R.forEach(function(Z){Y.push(Z);});R=Y;}if(R===a.FILTER_FOUND_NO_CONTROLS){L.debug("Matchers found no controls so check function will be skipped");return false;}if(J){return this._executeCheck(J,R);}return true;};I.success=function(){var W=O._getWaitForCounter();if(D&&(R||!S)){o.process({actions:D,control:R});}if(!N){return;}var T=[];if(R){T.push(R);}if(W.get()===0){L.timestamp("opa.waitFor.success");L.debug("Execute success handler");N.apply(this,T);return;}var V=u();if($.isPlainObject(i.autoWait)){V.autoWait=$.extend({},i.autoWait);}else{V.autoWait=i.autoWait;}V.success=function(){N.apply(this,T);};this.waitFor(V);};return O.prototype.waitFor.call(this,I);};q.getPlugin=function(){return f.getPlugin()||q._oPlugin;};q.getJQuery=function(){return f.getJQuery()||$;};q.getWindow=function(){return f.getWindow()||window;};q.getUtils=function(){return f.getUtils()||Q;};q.getHashChanger=function(){return f.getHashChanger()||H.getInstance();};q._getAutoWaiter=function(){return f._getAutoWaiter()||h;};q.extendConfig=function(i){O.extendConfig(i);O.extendConfig({appParams:q._appUriParams});q._getAutoWaiter().extendConfig(i.autoWait);};q.resetConfig=function(){O.resetConfig();O.extendConfig({viewNamespace:"",arrangements:new q(),actions:new q(),assertions:new q(),visible:true,enabled:undefined,editable:undefined,autoWait:false,_stackDropCount:1});O.extendConfig({appParams:q._appUriParams});};q.getTestLibConfig=function(T){return O.config.testLibs&&O.config.testLibs[T]?O.config.testLibs[T]:{};};q.emptyQueue=O.emptyQueue;q.stopQueue=O.stopQueue;q.getContext=O.getContext;q.matchers={};q.matchers.Matcher=M;q.matchers.AggregationFilled=A;q.matchers.PropertyStrictEquals=b;q.createPageObjects=function(i){return P.create(i,q);};q.prototype._executeCheck=function(i,z){var B=[];z&&B.push(z);L.debug("Executing OPA check function on controls "+z);L.debug("Check function is:\n"+i);var R=i.apply(this,B);L.debug("Result of check function is: "+R||"not defined or null");return R;};q.prototype.iWaitForPromise=function(i){var z=u();return O.prototype._schedulePromiseOnFlow.call(this,i,z);};q.resetConfig();function r(i){var I=sap.ui.require.toUrl("sap/ui/test/OpaCss")+".css";j(I);var z=$.extend({},i,{frameId:F,opaLogLevel:O.config.logLevel,disableHistoryOverride:O.config.disableHistoryOverride});return f.launch(z);}function u(){return{viewName:null,controlType:null,id:null,searchOpenDialogs:false,autoWait:false};}$(function(){if($("#"+F).length){r();}$("body").addClass("sapUiBody");$("html").height("100%");});q._getEventProvider=function(){return n;};q.prototype._loadExtensions=function(i){var z=this;var B=O.config.extensions?O.config.extensions:[];var D=$.when($.map(B,function(G){var I;var J=$.Deferred();i.sap.ui.require([G],function(K){I=new K();I.name=G;z._executeExtensionOnAfterInit(I,i).done(function(){q._getEventProvider().fireEvent('onExtensionAfterInit',{extension:I,appWindow:i});z._addExtension(I);J.resolve();}).fail(function(N){L.error(new Error("Error during extension init: "+N),"Opa");J.resolve();});});return J.promise();}));return this.iWaitForPromise(D);};q.prototype._unloadExtensions=function(i){var z=this;var B=$.when($.map(this._getExtensions(),function(D){var G=$.Deferred();q._getEventProvider().fireEvent('onExtensionBeforeExit',{extension:D});z._executeExtensionOnBeforeExit(D,i).done(function(){G.resolve();}).fail(function(I){L.error(new Error("Error during extension init: "+I),"Opa");G.resolve();});return G.promise();}));this.iWaitForPromise(B);};q.prototype._addExtension=function(i){m.push(i);};q.prototype._getExtensions=function(){return m;};q.prototype._executeExtensionOnAfterInit=function(i,z){var D=$.Deferred();var B=i.onAfterInit;if(B){B.bind(z)().done(function(){D.resolve();}).fail(function(G){D.reject(new Error("Error while waiting for extension: "+i.name+" to init, details: "+G));});}else{D.resolve();}return D.promise();};q.prototype._executeExtensionOnBeforeExit=function(i,z){var D=$.Deferred();var B=i.onBeforeExit;if(B){B.bind(z)().done(function(){D.resolve();}).fail(function(G){D.reject(new Error("Error while waiting for extension: "+i.name+" to exit, details: "+G));});}else{D.resolve();}return D.promise();};function w(i){var z="matchers";var B="ancestor";var D="descendant";if(i[B]&&jQuery.isPlainObject(i[B])){return[B];}else if(i[z]&&i[z][B]&&jQuery.isPlainObject(i[z][B])){return[z,B];}else if(i[D]&&jQuery.isPlainObject(i[D])){return[D];}else if(i[z]&&i[z][D]&&jQuery.isPlainObject(i[z][D])){return[z,D];}}function x(i,z){if(z){var R=i;z.forEach(function(B){if(R[B]!==undefined){R=R[B];}});return R;}}function y(z,B,D){if(B){var R=jQuery.extend({},z);var G=R;var i=0;while(i<B.length-1){G=R[B[i++]];}G[B[i]]=D;return R;}}return q;});
